﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
'use strict';var cr={plugins_:{},behaviors:{}};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
(function(){function a(f,h){this.x=f;this.y=h;cr.seal(this)}function b(f,h,a,t){this.set(f,h,a,t);cr.seal(this)}function d(){this.bly=this.blx=this.bry=this.brx=this.try_=this.trx=this.tly=this.tlx=0;cr.seal(this)}function e(f,h,a,t){f<h?a<t?(m=f<a?f:a,s=h>t?h:t):(m=f<t?f:t,s=h>a?h:a):a<t?(m=h<a?h:a,s=f>t?f:t):(m=h<t?h:t,s=f>a?f:a)}function c(){this.items=this.s=null;this.item_count=0;u?this.s=new Set:this.items={};this.values_cache=[];this.cache_valid=!0;cr.seal(this)}function k(f){x[w++]=f}function g(){this.sum=
this.t=this.y=this.c=0;cr.seal(this)}function r(f){this.pts_cache=[];this.bboxBottom=this.bboxRight=this.bboxTop=this.bboxLeft=0;this.convexpolys=null;this.set_pts(f);cr.seal(this)}function l(f,h){this.cellwidth=f;this.cellheight=h;this.cells={}}function p(f,h,a){var k;l.prototype.totalCellCount++;return t.length?(k=t.pop(),k.grid=f,k.x=h,k.y=a,k):new cr.GridCell(f,h,a)}function n(f,h,a){this.grid=f;this.x=h;this.y=a;this.objects=new cr.ObjectSet}cr.logexport=function(f){window.console&&window.console.log&&
window.console.log(f)};cr.seal=function(f){return f};cr.freeze=function(f){return f};cr.is_undefined=function(f){return"undefined"===typeof f};cr.is_number=function(f){return"number"===typeof f};cr.is_string=function(f){return"string"===typeof f};cr.isPOT=function(f){return 0<f&&0===(f-1&f)};cr.nextHighestPowerOfTwo=function(f){--f;for(var h=1;32>h;h<<=1)f|=f>>h;return f+1};cr.abs=function(f){return 0>f?-f:f};cr.max=function(f,h){return f>h?f:h};cr.min=function(f,h){return f<h?f:h};cr.PI=Math.PI;
cr.round=function(f){return f+0.5|0};cr.floor=function(f){return 0<=f?f|0:(f|0)-1};cr.ceil=function(f){var h=f|0;return h===f?h:h+1};a.prototype.offset=function(f,h){this.x+=f;this.y+=h;return this};a.prototype.mul=function(f,h){this.x*=f;this.y*=h;return this};cr.vector2=a;cr.segments_intersect=function(f,h,a,t,k,c,b,g){var v,d,l,e;f<a?(d=f,v=a):(d=a,v=f);k<b?(e=k,l=b):(e=b,l=k);if(v<e||d>l)return!1;h<t?(d=h,v=t):(d=t,v=h);c<g?(e=c,l=g):(e=g,l=c);if(v<e||d>l)return!1;v=k-f+b-a;d=c-h+g-t;f=a-f;h=
t-h;k=b-k;c=g-c;g=cr.abs(h*k-c*f);return cr.abs(k*d-c*v)>g?!1:cr.abs(f*d-h*v)<=g};b.prototype.set=function(f,h,a,t){this.left=f;this.top=h;this.right=a;this.bottom=t};b.prototype.copy=function(f){this.left=f.left;this.top=f.top;this.right=f.right;this.bottom=f.bottom};b.prototype.width=function(){return this.right-this.left};b.prototype.height=function(){return this.bottom-this.top};b.prototype.offset=function(f,h){this.left+=f;this.top+=h;this.right+=f;this.bottom+=h;return this};b.prototype.normalize=
function(){var f=0;this.left>this.right&&(f=this.left,this.left=this.right,this.right=f);this.top>this.bottom&&(f=this.top,this.top=this.bottom,this.bottom=f)};b.prototype.intersects_rect=function(f){return!(f.right<this.left||f.bottom<this.top||f.left>this.right||f.top>this.bottom)};b.prototype.intersects_rect_off=function(f,h,a){return!(f.right+h<this.left||f.bottom+a<this.top||f.left+h>this.right||f.top+a>this.bottom)};b.prototype.contains_pt=function(f,h){return f>=this.left&&f<=this.right&&h>=
this.top&&h<=this.bottom};b.prototype.equals=function(f){return this.left===f.left&&this.top===f.top&&this.right===f.right&&this.bottom===f.bottom};cr.rect=b;d.prototype.set_from_rect=function(f){this.tlx=f.left;this.tly=f.top;this.trx=f.right;this.try_=f.top;this.brx=f.right;this.bry=f.bottom;this.blx=f.left;this.bly=f.bottom};d.prototype.set_from_rotated_rect=function(f,h){if(0===h)this.set_from_rect(f);else{var a=Math.sin(h),t=Math.cos(h),k=f.left*a,c=f.top*a,b=f.right*a,a=f.bottom*a,v=f.left*
t,g=f.top*t,d=f.right*t,t=f.bottom*t;this.tlx=v-c;this.tly=g+k;this.trx=d-c;this.try_=g+b;this.brx=d-a;this.bry=t+b;this.blx=v-a;this.bly=t+k}};d.prototype.offset=function(f,h){this.tlx+=f;this.tly+=h;this.trx+=f;this.try_+=h;this.brx+=f;this.bry+=h;this.blx+=f;this.bly+=h;return this};var m=0,s=0;d.prototype.bounding_box=function(f){e(this.tlx,this.trx,this.brx,this.blx);f.left=m;f.right=s;e(this.tly,this.try_,this.bry,this.bly);f.top=m;f.bottom=s};d.prototype.contains_pt=function(f,h){var a=this.trx-
this.tlx,t=this.try_-this.tly,k=this.brx-this.tlx,c=this.bry-this.tly,b=f-this.tlx,v=h-this.tly,g=a*a+t*t,d=a*k+t*c,t=a*b+t*v,l=k*k+c*c,e=k*b+c*v,m=1/(g*l-d*d),a=(l*t-d*e)*m,g=(g*e-d*t)*m;if(0<=a&&0<g&&1>a+g)return!0;a=this.blx-this.tlx;t=this.bly-this.tly;g=a*a+t*t;d=a*k+t*c;t=a*b+t*v;m=1/(g*l-d*d);a=(l*t-d*e)*m;g=(g*e-d*t)*m;return 0<=a&&0<g&&1>a+g};d.prototype.at=function(f,h){if(h)switch(f){case 0:return this.tlx;case 1:return this.trx;case 2:return this.brx;case 3:return this.blx;case 4:return this.tlx;
default:return this.tlx}else switch(f){case 0:return this.tly;case 1:return this.try_;case 2:return this.bry;case 3:return this.bly;case 4:return this.tly;default:return this.tly}};d.prototype.midX=function(){return(this.tlx+this.trx+this.brx+this.blx)/4};d.prototype.midY=function(){return(this.tly+this.try_+this.bry+this.bly)/4};d.prototype.intersects_segment=function(f,h,a,t){if(this.contains_pt(f,h)||this.contains_pt(a,t))return!0;var k,c,b,g,v;for(v=0;4>v;v++)if(k=this.at(v,!0),c=this.at(v,!1),
b=this.at(v+1,!0),g=this.at(v+1,!1),cr.segments_intersect(f,h,a,t,k,c,b,g))return!0;return!1};d.prototype.intersects_quad=function(f){var h=f.midX(),a=f.midY();if(this.contains_pt(h,a))return!0;h=this.midX();a=this.midY();if(f.contains_pt(h,a))return!0;var t,k,c,b,g,v,d,l;for(d=0;4>d;d++)for(l=0;4>l;l++)if(h=this.at(d,!0),a=this.at(d,!1),t=this.at(d+1,!0),k=this.at(d+1,!1),c=f.at(l,!0),b=f.at(l,!1),g=f.at(l+1,!0),v=f.at(l+1,!1),cr.segments_intersect(h,a,t,k,c,b,g,v))return!0;return!1};cr.quad=d;cr.RGB=
function(f,h,a){return Math.max(Math.min(f,255),0)|Math.max(Math.min(h,255),0)<<8|Math.max(Math.min(a,255),0)<<16};cr.GetRValue=function(f){return f&255};cr.GetGValue=function(f){return(f&65280)>>8};cr.GetBValue=function(f){return(f&16711680)>>16};cr.shallowCopy=function(f,h,a){for(var t in h)h.hasOwnProperty(t)&&(f[t]=h[t]);return f};cr.arrayRemove=function(f,h){var a,t;h=cr.floor(h);if(!(0>h||h>=f.length))if(0===h)f.shift();else if(h===f.length-1)f.pop();else{a=h;for(t=f.length-1;a<t;a++)f[a]=f[a+
1];f.length=t}};cr.shallowAssignArray=function(f,h){f.length=h.length;var a,t;a=0;for(t=h.length;a<t;a++)f[a]=h[a]};cr.appendArray=function(f,h){f.push.apply(f,h)};cr.arrayFindRemove=function(f,h){var a=f.indexOf(h);-1!==a&&cr.arrayRemove(f,a)};cr.clamp=function(f,h,a){return f<h?h:f>a?a:f};cr.to_radians=function(f){return f/(180/cr.PI)};cr.to_degrees=function(f){return f*(180/cr.PI)};cr.clamp_angle_degrees=function(f){f%=360;0>f&&(f+=360);return f};cr.clamp_angle=function(f){f%=2*cr.PI;0>f&&(f+=
2*cr.PI);return f};cr.to_clamped_degrees=function(f){return cr.clamp_angle_degrees(cr.to_degrees(f))};cr.to_clamped_radians=function(f){return cr.clamp_angle(cr.to_radians(f))};cr.angleTo=function(f,h,a,t){return Math.atan2(t-h,a-f)};cr.angleDiff=function(f,h){if(f===h)return 0;var a=Math.sin(f),t=Math.cos(f),k=Math.sin(h),c=Math.cos(h),a=a*k+t*c;return 1<=a?0:-1>=a?cr.PI:Math.acos(a)};cr.angleRotate=function(f,h,a){var t=Math.sin(f),k=Math.cos(f),c=Math.sin(h),b=Math.cos(h);return Math.acos(t*c+
k*b)>a?0<k*c-t*b?cr.clamp_angle(f+a):cr.clamp_angle(f-a):cr.clamp_angle(h)};cr.angleClockwise=function(f,h){var a=Math.sin(f),t=Math.cos(f),k=Math.sin(h),c=Math.cos(h);return 0>=t*k-a*c};cr.rotatePtAround=function(f,h,a,t,k,c){if(0===a)return c?f:h;var b=Math.sin(a);a=Math.cos(a);f-=t;h-=k;var g=f*b;f=f*a-h*b;h=h*a+g;return c?f+t:h+k};cr.distanceTo=function(f,h,a,t){f=a-f;h=t-h;return Math.sqrt(f*f+h*h)};cr.xor=function(f,h){return!f!==!h};cr.lerp=function(f,h,a){return f+(h-f)*a};cr.unlerp=function(f,
h,a){return f===h?0:(a-f)/(h-f)};cr.anglelerp=function(f,h,a){var t=cr.angleDiff(f,h);return cr.angleClockwise(h,f)?f+t*a:f-t*a};cr.hasAnyOwnProperty=function(f){for(var h in f)if(f.hasOwnProperty(h))return!0;return!1};cr.wipe=function(f){for(var h in f)f.hasOwnProperty(h)&&delete f[h]};var q=+new Date;cr.performance_now=function(){if("undefined"!==typeof window.performance){var f=window.performance;if("undefined"!==typeof f.now)return f.now();if("undefined"!==typeof f.webkitNow)return f.webkitNow();
if("undefined"!==typeof f.mozNow)return f.mozNow();if("undefined"!==typeof f.msNow)return f.msNow()}return Date.now()-q};var u="undefined"!==typeof Set&&"undefined"!==typeof Set.prototype.forEach;c.prototype.contains=function(f){return u?this.s.has(f):this.items.hasOwnProperty(f.toString())};c.prototype.add=function(f){if(u)this.s.has(f)||(this.s.add(f),this.cache_valid=!1);else{var h=f.toString();this.items.hasOwnProperty(h)||(this.items[h]=f,this.item_count++,this.cache_valid=!1)}return this};c.prototype.remove=
function(f){u?this.s.has(f)&&(this.s["delete"](f),this.cache_valid=!1):(f=f.toString(),this.items.hasOwnProperty(f)&&(delete this.items[f],this.item_count--,this.cache_valid=!1));return this};c.prototype.clear=function(){u?this.s.clear():(this.items={},this.item_count=0);this.values_cache.length=0;this.cache_valid=!0;return this};c.prototype.isEmpty=function(){return u?0===this.s.size:0===this.item_count};c.prototype.count=function(){return u?this.s.size:this.item_count};var x=null,w=0;c.prototype.update_cache=
function(){if(!this.cache_valid){if(u)this.values_cache.length=this.s.size,x=this.values_cache,w=0,this.s.forEach(k),x=null,w=0;else{this.values_cache.length=this.item_count;var f,h=0;for(f in this.items)this.items.hasOwnProperty(f)&&(this.values_cache[h++]=this.items[f])}this.cache_valid=!0}};c.prototype.values=function(){this.update_cache();return this.values_cache.slice(0)};c.prototype.valuesRef=function(){this.update_cache();return this.values_cache};cr.ObjectSet=c;g.prototype.add=function(f){this.y=
f-this.c;this.t=this.sum+this.y;this.c=this.t-this.sum-this.y;this.sum=this.t};g.prototype.reset=function(){this.sum=this.t=this.y=this.c=0};cr.KahanAdder=g;cr.regexp_escape=function(f){return f.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};r.prototype.set_pts=function(f){this.pts_array=f;this.pts_count=f.length/2;this.pts_cache.length=f.length;this.cache_height=this.cache_width=-1;this.cache_angle=0};r.prototype.is_empty=function(){return!this.pts_array.length};r.prototype.update_bbox=function(){for(var f=
this.pts_cache,h=f[0],a=h,t=f[1],k=t,c,b,g=1,v=this.pts_count;g<v;++g)b=2*g,c=f[b],b=f[b+1],c<h&&(h=c),c>a&&(a=c),b<t&&(t=b),b>k&&(k=b);this.bboxLeft=h;this.bboxRight=a;this.bboxTop=t;this.bboxBottom=k};r.prototype.set_from_rect=function(f,h,a){this.pts_cache.length=8;this.pts_count=4;var t=this.pts_cache;t[0]=f.left-h;t[1]=f.top-a;t[2]=f.right-h;t[3]=f.top-a;t[4]=f.right-h;t[5]=f.bottom-a;t[6]=f.left-h;t[7]=f.bottom-a;this.cache_width=f.right-f.left;this.cache_height=f.bottom-f.top;this.update_bbox()};
r.prototype.set_from_quad=function(f,h,a,t,k){this.pts_cache.length=8;this.pts_count=4;var c=this.pts_cache;c[0]=f.tlx-h;c[1]=f.tly-a;c[2]=f.trx-h;c[3]=f.try_-a;c[4]=f.brx-h;c[5]=f.bry-a;c[6]=f.blx-h;c[7]=f.bly-a;this.cache_width=t;this.cache_height=k;this.update_bbox()};r.prototype.set_from_poly=function(f){this.pts_count=f.pts_count;cr.shallowAssignArray(this.pts_cache,f.pts_cache);this.bboxLeft=f.bboxLeft;this.bboxTop-f.bboxTop;this.bboxRight=f.bboxRight;this.bboxBottom=f.bboxBottom};r.prototype.cache_poly=
function(f,h,a){if(this.cache_width!==f||this.cache_height!==h||this.cache_angle!==a){this.cache_width=f;this.cache_height=h;this.cache_angle=a;var t,k,c,b,g,v=0,d=1,l=this.pts_array,e=this.pts_cache;0!==a&&(v=Math.sin(a),d=Math.cos(a));a=0;for(c=this.pts_count;a<c;a++)t=2*a,k=t+1,b=l[t]*f,g=l[k]*h,e[t]=b*d-g*v,e[k]=g*d+b*v;this.update_bbox()}};r.prototype.contains_pt=function(f,h){var a=this.pts_cache;if(f===a[0]&&h===a[1])return!0;var t,k,c,b=this.pts_count,g=this.bboxLeft-110,v=this.bboxTop-101,
d=this.bboxRight+131,l=this.bboxBottom+120,e,m,r=0,n=0;for(t=0;t<b;t++)k=2*t,c=2*((t+1)%b),e=a[k],k=a[k+1],m=a[c],c=a[c+1],cr.segments_intersect(g,v,f,h,e,k,m,c)&&r++,cr.segments_intersect(d,l,f,h,e,k,m,c)&&n++;return 1===r%2||1===n%2};r.prototype.intersects_poly=function(f,h,a){var t=f.pts_cache,k=this.pts_cache;if(this.contains_pt(t[0]+h,t[1]+a)||f.contains_pt(k[0]-h,k[1]-a))return!0;var c,b,g,v,d,l,e,m,r,n,w,q;c=0;for(v=this.pts_count;c<v;c++)for(b=2*c,g=2*((c+1)%v),m=k[b],b=k[b+1],r=k[g],n=k[g+
1],g=0,e=f.pts_count;g<e;g++)if(d=2*g,l=2*((g+1)%e),w=t[d]+h,d=t[d+1]+a,q=t[l]+h,l=t[l+1]+a,cr.segments_intersect(m,b,r,n,w,d,q,l))return!0;return!1};r.prototype.intersects_segment=function(f,h,a,t,k,c){var b=this.pts_cache;if(this.contains_pt(a-f,t-h))return!0;var g,v,d,l,e,m;g=0;for(v=this.pts_count;g<v;g++)if(d=2*g,l=2*((g+1)%v),e=b[d]+f,d=b[d+1]+h,m=b[l]+f,l=b[l+1]+h,cr.segments_intersect(a,t,k,c,e,d,m,l))return!0;return!1};r.prototype.mirror=function(f){var h,a,t;h=0;for(a=this.pts_count;h<a;++h)t=
2*h,this.pts_cache[t]=2*f-this.pts_cache[t]};r.prototype.flip=function(f){var h,a,t;h=0;for(a=this.pts_count;h<a;++h)t=2*h+1,this.pts_cache[t]=2*f-this.pts_cache[t]};r.prototype.diag=function(){var f,h,a,t,k;f=0;for(h=this.pts_count;f<h;++f)a=2*f,t=a+1,k=this.pts_cache[a],this.pts_cache[a]=this.pts_cache[t],this.pts_cache[t]=k};cr.CollisionPoly=r;l.prototype.totalCellCount=0;l.prototype.getCell=function(f,h,a){var t;t=this.cells[f];return t?(t=t[h])?t:a?(t=p(this,f,h),this.cells[f][h]=t):null:a?(t=
p(this,f,h),this.cells[f]={},this.cells[f][h]=t):null};l.prototype.XToCell=function(f){return cr.floor(f/this.cellwidth)};l.prototype.YToCell=function(f){return cr.floor(f/this.cellheight)};l.prototype.update=function(f,h,a){var k,c,b,g,v;if(h)for(k=h.left,c=h.right;k<=c;++k)for(b=h.top,g=h.bottom;b<=g;++b)if(!a||!a.contains_pt(k,b))if(v=this.getCell(k,b,!1))v.remove(f),v.isEmpty()&&(l.prototype.totalCellCount--,v.objects.clear(),1E3>t.length&&t.push(v),this.cells[k][b]=null);if(a)for(k=a.left,c=
a.right;k<=c;++k)for(b=a.top,g=a.bottom;b<=g;++b)h&&h.contains_pt(k,b)||this.getCell(k,b,!0).insert(f)};l.prototype.queryRange=function(f,h){var a,t,k,c,b,g;a=this.XToCell(f.left);k=this.YToCell(f.top);t=this.XToCell(f.right);for(b=this.YToCell(f.bottom);a<=t;++a)for(c=k;c<=b;++c)(g=this.getCell(a,c,!1))&&g.dump(h)};cr.SparseGrid=l;var t=[];n.prototype.isEmpty=function(){return this.objects.isEmpty()};n.prototype.insert=function(f){this.objects.add(f)};n.prototype.remove=function(f){this.objects.remove(f)};
n.prototype.dump=function(f){cr.appendArray(f,this.objects.valuesRef())};cr.GridCell=n;var v="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");cr.effectToCompositeOp=function(f){return 0>=f||11<=f?"source-over":v[f-1]};cr.setGLBlend=function(f,h,a){if(a)switch(f.srcBlend=a.ONE,f.destBlend=a.ONE_MINUS_SRC_ALPHA,h){case 1:f.srcBlend=a.ONE;f.destBlend=a.ONE;break;case 3:f.srcBlend=a.ONE;f.destBlend=a.ZERO;break;case 4:f.srcBlend=
a.ONE_MINUS_DST_ALPHA;f.destBlend=a.ONE;break;case 5:f.srcBlend=a.DST_ALPHA;f.destBlend=a.ZERO;break;case 6:f.srcBlend=a.ZERO;f.destBlend=a.SRC_ALPHA;break;case 7:f.srcBlend=a.ONE_MINUS_DST_ALPHA;f.destBlend=a.ZERO;break;case 8:f.srcBlend=a.ZERO;f.destBlend=a.ONE_MINUS_SRC_ALPHA;break;case 9:f.srcBlend=a.DST_ALPHA;f.destBlend=a.ONE_MINUS_SRC_ALPHA;break;case 10:f.srcBlend=a.ONE_MINUS_DST_ALPHA,f.destBlend=a.SRC_ALPHA}};cr.round6dp=function(f){return cr.round(1E6*f)/1E6};cr.equals_nocase=function(f,
h){return"string"!==typeof f||"string"!==typeof h||f.length!==h.length?!1:f===h?!0:f.toLowerCase()===h.toLowerCase()}})();var MatrixArray="undefined"!==typeof Float32Array?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};
vec3.add=function(a,b,d){if(!d||a===d)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;d[0]=a[0]+b[0];d[1]=a[1]+b[1];d[2]=a[2]+b[2];return d};vec3.subtract=function(a,b,d){if(!d||a===d)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;d[0]=a[0]-b[0];d[1]=a[1]-b[1];d[2]=a[2]-b[2];return d};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,d){if(!d||a===d)return a[0]*=b,a[1]*=b,a[2]*=b,a;d[0]=a[0]*b;d[1]=a[1]*b;d[2]=a[2]*b;return d};
vec3.normalize=function(a,b){b||(b=a);var d=a[0],e=a[1],c=a[2],k=Math.sqrt(d*d+e*e+c*c);if(k){if(1===k)return b[0]=d,b[1]=e,b[2]=c,b}else return b[0]=0,b[1]=0,b[2]=0,b;k=1/k;b[0]=d*k;b[1]=e*k;b[2]=c*k;return b};vec3.cross=function(a,b,d){d||(d=a);var e=a[0],c=a[1];a=a[2];var k=b[0],g=b[1];b=b[2];d[0]=c*b-a*g;d[1]=a*k-e*b;d[2]=e*g-c*k;return d};vec3.length=function(a){var b=a[0],d=a[1];a=a[2];return Math.sqrt(b*b+d*d+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,d){d||(d=a);var e=a[0]-b[0],c=a[1]-b[1];a=a[2]-b[2];b=Math.sqrt(e*e+c*c+a*a);if(!b)return d[0]=0,d[1]=0,d[2]=0,d;b=1/b;d[0]=e*b;d[1]=c*b;d[2]=a*b;return d};vec3.lerp=function(a,b,d,e){e||(e=a);e[0]=a[0]+d*(b[0]-a[0]);e[1]=a[1]+d*(b[1]-a[1]);e[2]=a[2]+d*(b[2]-a[2]);return e};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var d=a[1],e=a[2],c=a[5];a[1]=a[3];a[2]=a[6];a[3]=d;a[5]=a[7];a[6]=e;a[7]=c;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var d=a[1],e=a[2],c=a[3],k=a[6],g=a[7],r=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=d;a[6]=a[9];a[7]=a[13];a[8]=e;a[9]=k;a[11]=a[14];a[12]=c;a[13]=g;a[14]=r;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],d=a[1],e=a[2],c=a[3],k=a[4],g=a[5],r=a[6],l=a[7],p=a[8],n=a[9],m=a[10],s=a[11],q=a[12],u=a[13],x=a[14];a=a[15];return q*n*r*c-p*u*r*c-q*g*m*c+k*u*m*c+p*g*x*c-k*n*x*c-q*n*e*l+p*u*e*l+q*d*m*l-b*u*m*l-p*d*x*l+b*n*x*l+q*g*e*s-k*u*e*s-q*d*r*s+b*u*r*s+k*d*x*s-b*g*x*s-p*g*e*a+k*n*e*a+p*d*r*a-b*n*r*a-k*d*m*a+b*g*m*a};
mat4.inverse=function(a,b){b||(b=a);var d=a[0],e=a[1],c=a[2],k=a[3],g=a[4],r=a[5],l=a[6],p=a[7],n=a[8],m=a[9],s=a[10],q=a[11],u=a[12],x=a[13],w=a[14],t=a[15],v=d*r-e*g,f=d*l-c*g,h=d*p-k*g,C=e*l-c*r,z=e*p-k*r,A=c*p-k*l,y=n*x-m*u,E=n*w-s*u,F=n*t-q*u,B=m*w-s*x,M=m*t-q*x,J=s*t-q*w,I=1/(v*J-f*M+h*B+C*F-z*E+A*y);b[0]=(r*J-l*M+p*B)*I;b[1]=(-e*J+c*M-k*B)*I;b[2]=(x*A-w*z+t*C)*I;b[3]=(-m*A+s*z-q*C)*I;b[4]=(-g*J+l*F-p*E)*I;b[5]=(d*J-c*F+k*E)*I;b[6]=(-u*A+w*h-t*f)*I;b[7]=(n*A-s*h+q*f)*I;b[8]=(g*M-r*F+p*y)*I;
b[9]=(-d*M+e*F-k*y)*I;b[10]=(u*z-x*h+t*v)*I;b[11]=(-n*z+m*h-q*v)*I;b[12]=(-g*B+r*E-l*y)*I;b[13]=(d*B-e*E+c*y)*I;b[14]=(-u*C+x*f-w*v)*I;b[15]=(n*C-m*f+s*v)*I;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var d=a[0],e=a[1],c=a[2],k=a[4],g=a[5],r=a[6],l=a[8],p=a[9],n=a[10],m=n*g-r*p,s=-n*k+r*l,q=p*k-g*l,u=d*m+e*s+c*q;if(!u)return null;u=1/u;b||(b=mat3.create());b[0]=m*u;b[1]=(-n*e+c*p)*u;b[2]=(r*e-c*g)*u;b[3]=s*u;b[4]=(n*d-c*l)*u;b[5]=(-r*d+c*k)*u;b[6]=q*u;b[7]=(-p*d+e*l)*u;b[8]=(g*d-e*k)*u;return b};
mat4.multiply=function(a,b,d){d||(d=a);var e=a[0],c=a[1],k=a[2],g=a[3],r=a[4],l=a[5],p=a[6],n=a[7],m=a[8],s=a[9],q=a[10],u=a[11],x=a[12],w=a[13],t=a[14];a=a[15];var v=b[0],f=b[1],h=b[2],C=b[3],z=b[4],A=b[5],y=b[6],E=b[7],F=b[8],B=b[9],M=b[10],J=b[11],I=b[12],G=b[13],U=b[14];b=b[15];d[0]=v*e+f*r+h*m+C*x;d[1]=v*c+f*l+h*s+C*w;d[2]=v*k+f*p+h*q+C*t;d[3]=v*g+f*n+h*u+C*a;d[4]=z*e+A*r+y*m+E*x;d[5]=z*c+A*l+y*s+E*w;d[6]=z*k+A*p+y*q+E*t;d[7]=z*g+A*n+y*u+E*a;d[8]=F*e+B*r+M*m+J*x;d[9]=F*c+B*l+M*s+J*w;d[10]=F*
k+B*p+M*q+J*t;d[11]=F*g+B*n+M*u+J*a;d[12]=I*e+G*r+U*m+b*x;d[13]=I*c+G*l+U*s+b*w;d[14]=I*k+G*p+U*q+b*t;d[15]=I*g+G*n+U*u+b*a;return d};mat4.multiplyVec3=function(a,b,d){d||(d=b);var e=b[0],c=b[1];b=b[2];d[0]=a[0]*e+a[4]*c+a[8]*b+a[12];d[1]=a[1]*e+a[5]*c+a[9]*b+a[13];d[2]=a[2]*e+a[6]*c+a[10]*b+a[14];return d};
mat4.multiplyVec4=function(a,b,d){d||(d=b);var e=b[0],c=b[1],k=b[2];b=b[3];d[0]=a[0]*e+a[4]*c+a[8]*k+a[12]*b;d[1]=a[1]*e+a[5]*c+a[9]*k+a[13]*b;d[2]=a[2]*e+a[6]*c+a[10]*k+a[14]*b;d[3]=a[3]*e+a[7]*c+a[11]*k+a[15]*b;return d};
mat4.translate=function(a,b,d){var e=b[0],c=b[1];b=b[2];var k,g,r,l,p,n,m,s,q,u,x,w;if(!d||a===d)return a[12]=a[0]*e+a[4]*c+a[8]*b+a[12],a[13]=a[1]*e+a[5]*c+a[9]*b+a[13],a[14]=a[2]*e+a[6]*c+a[10]*b+a[14],a[15]=a[3]*e+a[7]*c+a[11]*b+a[15],a;k=a[0];g=a[1];r=a[2];l=a[3];p=a[4];n=a[5];m=a[6];s=a[7];q=a[8];u=a[9];x=a[10];w=a[11];d[0]=k;d[1]=g;d[2]=r;d[3]=l;d[4]=p;d[5]=n;d[6]=m;d[7]=s;d[8]=q;d[9]=u;d[10]=x;d[11]=w;d[12]=k*e+p*c+q*b+a[12];d[13]=g*e+n*c+u*b+a[13];d[14]=r*e+m*c+x*b+a[14];d[15]=l*e+s*c+w*b+
a[15];return d};mat4.scale=function(a,b,d){var e=b[0],c=b[1];b=b[2];if(!d||a===d)return a[0]*=e,a[1]*=e,a[2]*=e,a[3]*=e,a[4]*=c,a[5]*=c,a[6]*=c,a[7]*=c,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;d[0]=a[0]*e;d[1]=a[1]*e;d[2]=a[2]*e;d[3]=a[3]*e;d[4]=a[4]*c;d[5]=a[5]*c;d[6]=a[6]*c;d[7]=a[7]*c;d[8]=a[8]*b;d[9]=a[9]*b;d[10]=a[10]*b;d[11]=a[11]*b;d[12]=a[12];d[13]=a[13];d[14]=a[14];d[15]=a[15];return d};
mat4.rotate=function(a,b,d,e){var c=d[0],k=d[1];d=d[2];var g=Math.sqrt(c*c+k*k+d*d),r,l,p,n,m,s,q,u,x,w,t,v,f,h,C,z,A,y,E,F;if(!g)return null;1!==g&&(g=1/g,c*=g,k*=g,d*=g);r=Math.sin(b);l=Math.cos(b);p=1-l;b=a[0];g=a[1];n=a[2];m=a[3];s=a[4];q=a[5];u=a[6];x=a[7];w=a[8];t=a[9];v=a[10];f=a[11];h=c*c*p+l;C=k*c*p+d*r;z=d*c*p-k*r;A=c*k*p-d*r;y=k*k*p+l;E=d*k*p+c*r;F=c*d*p+k*r;c=k*d*p-c*r;k=d*d*p+l;e?a!==e&&(e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[0]=b*h+s*C+w*z;e[1]=g*h+q*C+t*z;e[2]=n*h+u*
C+v*z;e[3]=m*h+x*C+f*z;e[4]=b*A+s*y+w*E;e[5]=g*A+q*y+t*E;e[6]=n*A+u*y+v*E;e[7]=m*A+x*y+f*E;e[8]=b*F+s*c+w*k;e[9]=g*F+q*c+t*k;e[10]=n*F+u*c+v*k;e[11]=m*F+x*c+f*k;return e};
mat4.rotateX=function(a,b,d){var e=Math.sin(b);b=Math.cos(b);var c=a[4],k=a[5],g=a[6],r=a[7],l=a[8],p=a[9],n=a[10],m=a[11];d?a!==d&&(d[0]=a[0],d[1]=a[1],d[2]=a[2],d[3]=a[3],d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[4]=c*b+l*e;d[5]=k*b+p*e;d[6]=g*b+n*e;d[7]=r*b+m*e;d[8]=c*-e+l*b;d[9]=k*-e+p*b;d[10]=g*-e+n*b;d[11]=r*-e+m*b;return d};
mat4.rotateY=function(a,b,d){var e=Math.sin(b);b=Math.cos(b);var c=a[0],k=a[1],g=a[2],r=a[3],l=a[8],p=a[9],n=a[10],m=a[11];d?a!==d&&(d[4]=a[4],d[5]=a[5],d[6]=a[6],d[7]=a[7],d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=c*b+l*-e;d[1]=k*b+p*-e;d[2]=g*b+n*-e;d[3]=r*b+m*-e;d[8]=c*e+l*b;d[9]=k*e+p*b;d[10]=g*e+n*b;d[11]=r*e+m*b;return d};
mat4.rotateZ=function(a,b,d){var e=Math.sin(b);b=Math.cos(b);var c=a[0],k=a[1],g=a[2],r=a[3],l=a[4],p=a[5],n=a[6],m=a[7];d?a!==d&&(d[8]=a[8],d[9]=a[9],d[10]=a[10],d[11]=a[11],d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=c*b+l*e;d[1]=k*b+p*e;d[2]=g*b+n*e;d[3]=r*b+m*e;d[4]=c*-e+l*b;d[5]=k*-e+p*b;d[6]=g*-e+n*b;d[7]=r*-e+m*b;return d};
mat4.frustum=function(a,b,d,e,c,k,g){g||(g=mat4.create());var r=b-a,l=e-d,p=k-c;g[0]=2*c/r;g[1]=0;g[2]=0;g[3]=0;g[4]=0;g[5]=2*c/l;g[6]=0;g[7]=0;g[8]=(b+a)/r;g[9]=(e+d)/l;g[10]=-(k+c)/p;g[11]=-1;g[12]=0;g[13]=0;g[14]=-(2*k*c)/p;g[15]=0;return g};mat4.perspective=function(a,b,d,e,c){a=d*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,d,e,c)};
mat4.ortho=function(a,b,d,e,c,k,g){g||(g=mat4.create());var r=b-a,l=e-d,p=k-c;g[0]=2/r;g[1]=0;g[2]=0;g[3]=0;g[4]=0;g[5]=2/l;g[6]=0;g[7]=0;g[8]=0;g[9]=0;g[10]=-2/p;g[11]=0;g[12]=-(a+b)/r;g[13]=-(e+d)/l;g[14]=-(k+c)/p;g[15]=1;return g};
mat4.lookAt=function(a,b,d,e){e||(e=mat4.create());var c,k,g,r,l,p,n,m,s=a[0],q=a[1];a=a[2];k=d[0];g=d[1];c=d[2];d=b[1];p=b[2];if(s===b[0]&&q===d&&a===p)return mat4.identity(e);d=s-b[0];p=q-b[1];n=a-b[2];m=1/Math.sqrt(d*d+p*p+n*n);d*=m;p*=m;n*=m;b=g*n-c*p;c=c*d-k*n;k=k*p-g*d;(m=Math.sqrt(b*b+c*c+k*k))?(m=1/m,b*=m,c*=m,k*=m):k=c=b=0;g=p*k-n*c;r=n*b-d*k;l=d*c-p*b;(m=Math.sqrt(g*g+r*r+l*l))?(m=1/m,g*=m,r*=m,l*=m):l=r=g=0;e[0]=b;e[1]=g;e[2]=d;e[3]=0;e[4]=c;e[5]=r;e[6]=p;e[7]=0;e[8]=k;e[9]=l;e[10]=n;e[11]=
0;e[12]=-(b*s+c*q+k*a);e[13]=-(g*s+r*q+l*a);e[14]=-(d*s+p*q+n*a);e[15]=1;return e};mat4.fromRotationTranslation=function(a,b,d){d||(d=mat4.create());var e=a[0],c=a[1],k=a[2],g=a[3],r=e+e,l=c+c,p=k+k;a=e*r;var n=e*l,e=e*p,m=c*l,c=c*p,k=k*p,r=r*g,l=l*g,g=g*p;d[0]=1-(m+k);d[1]=n+g;d[2]=e-l;d[3]=0;d[4]=n-g;d[5]=1-(a+k);d[6]=c+r;d[7]=0;d[8]=e+l;d[9]=c-r;d[10]=1-(a+m);d[11]=0;d[12]=b[0];d[13]=b[1];d[14]=b[2];d[15]=1;return d};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var d=a[0],e=a[1],c=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-d*d-e*e-c*c)),a;b[0]=d;b[1]=e;b[2]=c;b[3]=-Math.sqrt(Math.abs(1-d*d-e*e-c*c));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],d=a[1],e=a[2];a=a[3];return Math.sqrt(b*b+d*d+e*e+a*a)};
quat4.normalize=function(a,b){b||(b=a);var d=a[0],e=a[1],c=a[2],k=a[3],g=Math.sqrt(d*d+e*e+c*c+k*k);if(0===g)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;g=1/g;b[0]=d*g;b[1]=e*g;b[2]=c*g;b[3]=k*g;return b};quat4.multiply=function(a,b,d){d||(d=a);var e=a[0],c=a[1],k=a[2];a=a[3];var g=b[0],r=b[1],l=b[2];b=b[3];d[0]=e*b+a*g+c*l-k*r;d[1]=c*b+a*r+k*g-e*l;d[2]=k*b+a*l+e*r-c*g;d[3]=a*b-e*g-c*r-k*l;return d};
quat4.multiplyVec3=function(a,b,d){d||(d=b);var e=b[0],c=b[1],k=b[2];b=a[0];var g=a[1],r=a[2];a=a[3];var l=a*e+g*k-r*c,p=a*c+r*e-b*k,n=a*k+b*c-g*e,e=-b*e-g*c-r*k;d[0]=l*a+e*-b+p*-r-n*-g;d[1]=p*a+e*-g+n*-b-l*-r;d[2]=n*a+e*-r+l*-g-p*-b;return d};quat4.toMat3=function(a,b){b||(b=mat3.create());var d=a[0],e=a[1],c=a[2],k=a[3],g=d+d,r=e+e,l=c+c,p=d*g,n=d*r,d=d*l,m=e*r,e=e*l,c=c*l,g=g*k,r=r*k,k=k*l;b[0]=1-(m+c);b[1]=n+k;b[2]=d-r;b[3]=n-k;b[4]=1-(p+c);b[5]=e+g;b[6]=d+r;b[7]=e-g;b[8]=1-(p+m);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var d=a[0],e=a[1],c=a[2],k=a[3],g=d+d,r=e+e,l=c+c,p=d*g,n=d*r,d=d*l,m=e*r,e=e*l,c=c*l,g=g*k,r=r*k,k=k*l;b[0]=1-(m+c);b[1]=n+k;b[2]=d-r;b[3]=0;b[4]=n-k;b[5]=1-(p+c);b[6]=e+g;b[7]=0;b[8]=d+r;b[9]=e-g;b[10]=1-(p+m);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,d,e){e||(e=a);var c=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],k,g;if(1<=Math.abs(c))return e!==a&&(e[0]=a[0],e[1]=a[1],e[2]=a[2],e[3]=a[3]),e;k=Math.acos(c);g=Math.sqrt(1-c*c);if(0.001>Math.abs(g))return e[0]=0.5*a[0]+0.5*b[0],e[1]=0.5*a[1]+0.5*b[1],e[2]=0.5*a[2]+0.5*b[2],e[3]=0.5*a[3]+0.5*b[3],e;c=Math.sin((1-d)*k)/g;d=Math.sin(d*k)/g;e[0]=a[0]*c+b[0]*d;e[1]=a[1]*c+b[1]*d;e[2]=a[2]*c+b[2]*d;e[3]=a[3]*c+b[3]*d;return e};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function(){function a(a,c){this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.height=this.width=0;this.cam=vec3.create([0,0,100]);this.look=vec3.create([0,0,0]);this.up=vec3.create([0,1,0]);this.worldScale=vec3.create([1,1,1]);this.matP=mat4.create();this.matMV=mat4.create();this.lastMV=mat4.create();this.currentMV=mat4.create();this.gl=a;this.initState()}function b(a,c,b){this.gl=a;this.shaderProgram=c;this.name=b;this.locAPos=a.getAttribLocation(c,"aPos");this.locATex=
a.getAttribLocation(c,"aTex");this.locMatP=a.getUniformLocation(c,"matP");this.locMatMV=a.getUniformLocation(c,"matMV");this.locOpacity=a.getUniformLocation(c,"opacity");this.locSamplerFront=a.getUniformLocation(c,"samplerFront");this.locSamplerBack=a.getUniformLocation(c,"samplerBack");this.locDestStart=a.getUniformLocation(c,"destStart");this.locDestEnd=a.getUniformLocation(c,"destEnd");this.locSeconds=a.getUniformLocation(c,"seconds");this.locPixelWidth=a.getUniformLocation(c,"pixelWidth");this.locPixelHeight=
a.getUniformLocation(c,"pixelHeight");this.locLayerScale=a.getUniformLocation(c,"layerScale");this.locLayerAngle=a.getUniformLocation(c,"layerAngle");this.locViewOrigin=a.getUniformLocation(c,"viewOrigin");this.hasAnyOptionalUniforms=!!(this.locPixelWidth||this.locPixelHeight||this.locSeconds||this.locSamplerBack||this.locDestStart||this.locDestEnd||this.locLayerScale||this.locLayerAngle||this.locViewOrigin);this.locOpacity&&a.uniform1f(this.locOpacity,1);this.locSamplerFront&&a.uniform1i(this.locSamplerFront,
0);this.locSamplerBack&&a.uniform1i(this.locSamplerBack,1);this.locDestStart&&a.uniform2f(this.locDestStart,0,0);this.locDestEnd&&a.uniform2f(this.locDestEnd,1,1);this.locLayerScale&&a.uniform1f(this.locLayerScale,1);this.locLayerAngle&&a.uniform1f(this.locLayerAngle,0);this.locViewOrigin&&a.uniform2f(this.locViewOrigin,0,0);this.hasCurrentMatMV=!1}function d(a,c){this.type=a;this.glwrap=c;this.gl=c.gl;this.indexCount=this.startIndex=this.opacityParam=0;this.mat4param=this.texParam=null;this.shaderParams=
[];cr.seal(this)}a.prototype.initState=function(){var a=this.gl,c;this.lastOpacity=1;this.lastTexture1=this.lastTexture0=null;this.currentOpacity=1;a.clearColor(0,0,0,0);a.clear(a.COLOR_BUFFER_BIT);a.enable(a.BLEND);a.blendFunc(a.ONE,a.ONE_MINUS_SRC_ALPHA);a.disable(a.CULL_FACE);a.disable(a.DEPTH_TEST);this.maxTextureSize=a.getParameter(a.MAX_TEXTURE_SIZE);this.lastSrcBlend=a.ONE;this.lastDestBlend=a.ONE_MINUS_SRC_ALPHA;this.pointBuffer=a.createBuffer();a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer);
this.vertexBuffers=Array(4);this.texcoordBuffers=Array(4);for(c=0;4>c;c++)this.vertexBuffers[c]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[c]),this.texcoordBuffers[c]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[c]);this.curBuffer=0;this.indexBuffer=a.createBuffer();a.bindBuffer(a.ELEMENT_ARRAY_BUFFER,this.indexBuffer);this.vertexData=new Float32Array(16E3);this.texcoordData=new Float32Array(16E3);this.pointData=new Float32Array(32E3);for(var b=new Uint16Array(12E3),
d=c=0;12E3>c;)b[c++]=d,b[c++]=d+1,b[c++]=d+2,b[c++]=d,b[c++]=d+2,b[c++]=d+3,d+=4;a.bufferData(a.ELEMENT_ARRAY_BUFFER,b,a.STATIC_DRAW);this.pointPtr=this.vertexPtr=0;this.shaderPrograms=[];c=this.createShaderProgram({src:"varying mediump vec2 vTex;\nuniform lowp float opacity;\nuniform lowp sampler2D samplerFront;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, vTex);\n\tgl_FragColor *= opacity;\n}"},"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",
"<default>");this.shaderPrograms.push(c);c=this.createShaderProgram({src:"uniform mediump sampler2D samplerFront;\nvarying lowp float opacity;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, gl_PointCoord);\n\tgl_FragColor *= opacity;\n}"},"attribute vec4 aPos;\nvarying float opacity;\nuniform mat4 matP;\nuniform mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tgl_PointSize = aPos.z;\n\topacity = aPos.w;\n}","<point>");this.shaderPrograms.push(c);
for(var e in cr.shaders)cr.shaders.hasOwnProperty(e)&&this.shaderPrograms.push(this.createShaderProgram(cr.shaders[e],"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",e));a.activeTexture(a.TEXTURE0);a.bindTexture(a.TEXTURE_2D,null);this.batch=[];this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;
this.currentProgram=this.lastProgram=-1;this.currentShader=null;this.fbo=a.createFramebuffer();this.renderToTex=null;this.tmpVec3=vec3.create([0,0,0]);a=a.getParameter(a.ALIASED_POINT_SIZE_RANGE);this.minPointSize=a[0];this.maxPointSize=a[1];this.switchProgram(0);cr.seal(this)};a.prototype.createShaderProgram=function(a,c,d){var l=this.gl,e=l.createShader(l.FRAGMENT_SHADER);l.shaderSource(e,a.src);l.compileShader(e);if(!l.getShaderParameter(e,l.COMPILE_STATUS))return l.deleteShader(e),null;var n=
l.createShader(l.VERTEX_SHADER);l.shaderSource(n,c);l.compileShader(n);if(!l.getShaderParameter(n,l.COMPILE_STATUS))return l.deleteShader(e),l.deleteShader(n),null;c=l.createProgram();l.attachShader(c,e);l.attachShader(c,n);l.linkProgram(c);if(!l.getProgramParameter(c,l.LINK_STATUS))return l.deleteShader(e),l.deleteShader(n),l.deleteProgram(c),null;l.useProgram(c);l.deleteShader(e);l.deleteShader(n);d=new b(l,c,d);d.extendBoxHorizontal=a.extendBoxHorizontal||0;d.extendBoxVertical=a.extendBoxVertical||
0;d.crossSampling=!!a.crossSampling;d.animated=!!a.animated;d.parameters=a.parameters||[];a=0;for(e=d.parameters.length;a<e;a++)d.parameters[a][1]=l.getUniformLocation(c,d.parameters[a][0]),l.uniform1f(d.parameters[a][1],0);cr.seal(d);return d};a.prototype.getShaderIndex=function(a){var c,b;c=0;for(b=this.shaderPrograms.length;c<b;c++)if(this.shaderPrograms[c].name===a)return c;return-1};a.prototype.project=function(a,c,b){var d=this.matMV,e=this.matP,n=[0,0,0,0,0,0,0,0];n[0]=d[0]*a+d[4]*c+d[12];
n[1]=d[1]*a+d[5]*c+d[13];n[2]=d[2]*a+d[6]*c+d[14];n[3]=d[3]*a+d[7]*c+d[15];n[4]=e[0]*n[0]+e[4]*n[1]+e[8]*n[2]+e[12]*n[3];n[5]=e[1]*n[0]+e[5]*n[1]+e[9]*n[2]+e[13]*n[3];n[6]=e[2]*n[0]+e[6]*n[1]+e[10]*n[2]+e[14]*n[3];n[7]=-n[2];0!==n[7]&&(n[7]=1/n[7],n[4]*=n[7],n[5]*=n[7],n[6]*=n[7],b[0]=(0.5*n[4]+0.5)*this.width,b[1]=(0.5*n[5]+0.5)*this.height)};a.prototype.setSize=function(a,c,b){if(this.width!==a||this.height!==c||b){this.endBatch();this.width=a;this.height=c;this.gl.viewport(0,0,a,c);mat4.perspective(45,
a/c,1,1E3,this.matP);mat4.lookAt(this.cam,this.look,this.up,this.matMV);a=[0,0];c=[0,0];this.project(0,0,a);this.project(1,1,c);this.worldScale[0]=1/(c[0]-a[0]);this.worldScale[1]=-1/(c[1]-a[1]);a=0;for(c=this.shaderPrograms.length;a<c;a++)b=this.shaderPrograms[a],b.hasCurrentMatMV=!1,b.locMatP&&(this.gl.useProgram(b.shaderProgram),this.gl.uniformMatrix4fv(b.locMatP,!1,this.matP));this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);this.gl.bindTexture(this.gl.TEXTURE_2D,null);
this.gl.activeTexture(this.gl.TEXTURE1);this.gl.bindTexture(this.gl.TEXTURE_2D,null);this.gl.activeTexture(this.gl.TEXTURE0);this.lastTexture1=this.lastTexture0=null}};a.prototype.resetModelView=function(){mat4.lookAt(this.cam,this.look,this.up,this.matMV);mat4.scale(this.matMV,this.worldScale)};a.prototype.translate=function(a,c){if(0!==a||0!==c)this.tmpVec3[0]=a,this.tmpVec3[1]=c,this.tmpVec3[2]=0,mat4.translate(this.matMV,this.tmpVec3)};a.prototype.scale=function(a,c){if(1!==a||1!==c)this.tmpVec3[0]=
a,this.tmpVec3[1]=c,this.tmpVec3[2]=1,mat4.scale(this.matMV,this.tmpVec3)};a.prototype.rotateZ=function(a){0!==a&&mat4.rotateZ(this.matMV,a)};a.prototype.updateModelView=function(){for(var a=!1,c=0;16>c;c++)if(this.lastMV[c]!==this.matMV[c]){a=!0;break}a&&(a=this.pushBatch(),a.type=5,a.mat4param?mat4.set(this.matMV,a.mat4param):a.mat4param=mat4.create(this.matMV),mat4.set(this.matMV,this.lastMV),this.hasPointBatchTop=this.hasQuadBatchTop=!1)};d.prototype.doSetTexture=function(){this.gl.bindTexture(this.gl.TEXTURE_2D,
this.texParam)};d.prototype.doSetTexture1=function(){var a=this.gl;a.activeTexture(a.TEXTURE1);a.bindTexture(a.TEXTURE_2D,this.texParam);a.activeTexture(a.TEXTURE0)};d.prototype.doSetOpacity=function(){var a=this.opacityParam,c=this.glwrap;c.currentOpacity=a;c=c.currentShader;c.locOpacity&&this.gl.uniform1f(c.locOpacity,a)};d.prototype.doQuad=function(){this.gl.drawElements(this.gl.TRIANGLES,this.indexCount,this.gl.UNSIGNED_SHORT,2*this.startIndex)};d.prototype.doSetBlend=function(){this.gl.blendFunc(this.startIndex,
this.indexCount)};d.prototype.doUpdateModelView=function(){var a,c,b,d=this.glwrap.shaderPrograms,e=this.glwrap.currentProgram;a=0;for(c=d.length;a<c;a++)b=d[a],a===e&&b.locMatMV?(this.gl.uniformMatrix4fv(b.locMatMV,!1,this.mat4param),b.hasCurrentMatMV=!0):b.hasCurrentMatMV=!1;mat4.set(this.mat4param,this.glwrap.currentMV)};d.prototype.doRenderToTexture=function(){var a=this.gl,c=this.glwrap;this.texParam?(c.lastTexture1===this.texParam&&(a.activeTexture(a.TEXTURE1),a.bindTexture(a.TEXTURE_2D,null),
c.lastTexture1=null,a.activeTexture(a.TEXTURE0)),a.bindFramebuffer(a.FRAMEBUFFER,c.fbo),a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,this.texParam,0)):(a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,null,0),a.bindFramebuffer(a.FRAMEBUFFER,null))};d.prototype.doClear=function(){var a=this.gl;0===this.startIndex?(a.clearColor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clear(a.COLOR_BUFFER_BIT)):(a.enable(a.SCISSOR_TEST),
a.scissor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clearColor(0,0,0,0),a.clear(this.gl.COLOR_BUFFER_BIT),a.disable(a.SCISSOR_TEST))};d.prototype.doPoints=function(){var a=this.gl,c=this.glwrap,b=c.shaderPrograms[1];a.useProgram(b.shaderProgram);!b.hasCurrentMatMV&&b.locMatMV&&(a.uniformMatrix4fv(b.locMatMV,!1,c.currentMV),b.hasCurrentMatMV=!0);a.enableVertexAttribArray(b.locAPos);a.bindBuffer(a.ARRAY_BUFFER,c.pointBuffer);a.vertexAttribPointer(b.locAPos,4,a.FLOAT,
!1,0,0);a.drawArrays(a.POINTS,this.startIndex/4,this.indexCount);b=c.currentShader;a.useProgram(b.shaderProgram);0<=b.locAPos&&(a.enableVertexAttribArray(b.locAPos),a.bindBuffer(a.ARRAY_BUFFER,c.vertexBuffers[c.curBuffer]),a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0));0<=b.locATex&&(a.enableVertexAttribArray(b.locATex),a.bindBuffer(a.ARRAY_BUFFER,c.texcoordBuffers[c.curBuffer]),a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0))};d.prototype.doSetProgram=function(){var a=this.gl,c=this.glwrap,
b=c.shaderPrograms[this.startIndex];c.currentProgram=this.startIndex;c.currentShader=b;a.useProgram(b.shaderProgram);!b.hasCurrentMatMV&&b.locMatMV&&(a.uniformMatrix4fv(b.locMatMV,!1,c.currentMV),b.hasCurrentMatMV=!0);b.locOpacity&&a.uniform1f(b.locOpacity,c.currentOpacity);0<=b.locAPos&&(a.enableVertexAttribArray(b.locAPos),a.bindBuffer(a.ARRAY_BUFFER,c.vertexBuffers[c.curBuffer]),a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0));0<=b.locATex&&(a.enableVertexAttribArray(b.locATex),a.bindBuffer(a.ARRAY_BUFFER,
c.texcoordBuffers[c.curBuffer]),a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0))};d.prototype.doSetProgramParameters=function(){var a,c,b=this.glwrap.currentShader,d=this.gl;a=this.mat4param;b.locSamplerBack&&this.glwrap.lastTexture1!==this.texParam&&(d.activeTexture(d.TEXTURE1),d.bindTexture(d.TEXTURE_2D,this.texParam),this.glwrap.lastTexture1=this.texParam,d.activeTexture(d.TEXTURE0));b.locPixelWidth&&d.uniform1f(b.locPixelWidth,a[0]);b.locPixelHeight&&d.uniform1f(b.locPixelHeight,a[1]);b.locDestStart&&
d.uniform2f(b.locDestStart,a[2],a[3]);b.locDestEnd&&d.uniform2f(b.locDestEnd,a[4],a[5]);b.locLayerScale&&d.uniform1f(b.locLayerScale,a[6]);b.locLayerAngle&&d.uniform1f(b.locLayerAngle,a[7]);b.locViewOrigin&&d.uniform2f(b.locViewOrigin,a[8],a[9]);b.locSeconds&&d.uniform1f(b.locSeconds,cr.performance_now()/1E3);if(b.parameters.length)for(a=0,c=b.parameters.length;a<c;a++)d.uniform1f(b.parameters[a][1],this.shaderParams[a])};a.prototype.pushBatch=function(){this.batchPtr===this.batch.length&&this.batch.push(new d(0,
this));return this.batch[this.batchPtr++]};a.prototype.endBatch=function(){if(0!==this.batchPtr&&!this.gl.isContextLost()){var a=this.gl;0<this.pointPtr&&(a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer),a.bufferData(a.ARRAY_BUFFER,this.pointData.subarray(0,this.pointPtr),a.STREAM_DRAW),c&&0<=c.locAPos&&"<point>"===c.name&&a.vertexAttribPointer(c.locAPos,4,a.FLOAT,!1,0,0));if(0<this.vertexPtr){var c=this.currentShader;a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,
this.vertexData.subarray(0,this.vertexPtr),a.STREAM_DRAW);c&&0<=c.locAPos&&"<point>"!==c.name&&a.vertexAttribPointer(c.locAPos,2,a.FLOAT,!1,0,0);a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,this.texcoordData.subarray(0,this.vertexPtr),a.STREAM_DRAW);c&&0<=c.locATex&&"<point>"!==c.name&&a.vertexAttribPointer(c.locATex,2,a.FLOAT,!1,0,0)}for(var b,a=0,c=this.batchPtr;a<c;a++)switch(b=this.batch[a],b.type){case 1:b.doQuad();break;case 2:b.doSetTexture();
break;case 3:b.doSetOpacity();break;case 4:b.doSetBlend();break;case 5:b.doUpdateModelView();break;case 6:b.doRenderToTexture();break;case 7:b.doClear();break;case 8:b.doPoints();break;case 9:b.doSetProgram();break;case 10:b.doSetProgramParameters();break;case 11:b.doSetTexture1()}this.pointPtr=this.vertexPtr=this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;this.curBuffer++;4<=this.curBuffer&&(this.curBuffer=0)}};a.prototype.setOpacity=function(a){if(a!==this.lastOpacity){var c=this.pushBatch();
c.type=3;this.lastOpacity=c.opacityParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setTexture=function(a){if(a!==this.lastTexture0){var c=this.pushBatch();c.type=2;this.lastTexture0=c.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setBlend=function(a,c){if(a!==this.lastSrcBlend||c!==this.lastDestBlend){var b=this.pushBatch();b.type=4;b.startIndex=a;b.indexCount=c;this.lastSrcBlend=a;this.lastDestBlend=c;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.isPremultipliedAlphaBlend=
function(){return this.lastSrcBlend===this.gl.ONE&&this.lastDestBlend===this.gl.ONE_MINUS_SRC_ALPHA};a.prototype.setAlphaBlend=function(){this.setBlend(this.gl.ONE,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.setNoPremultiplyAlphaBlend=function(){this.setBlend(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.quad=function(a,c,b,d,e,n,m,s){15992<=this.vertexPtr&&this.endBatch();var q=this.vertexPtr,u=this.vertexData,x=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var w=this.pushBatch();w.type=1;w.startIndex=3*(q/4);w.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}u[q]=a;x[q++]=0;u[q]=c;x[q++]=0;u[q]=b;x[q++]=1;u[q]=d;x[q++]=0;u[q]=e;x[q++]=1;u[q]=n;x[q++]=1;u[q]=m;x[q++]=0;u[q]=s;x[q++]=1;this.vertexPtr=q};a.prototype.quadTex=function(a,c,b,d,e,n,m,s,q){15992<=this.vertexPtr&&this.endBatch();var u=this.vertexPtr,x=this.vertexData,w=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=6;else{var t=this.pushBatch();
t.type=1;t.startIndex=3*(u/4);t.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}var t=q.left,v=q.top,f=q.right;q=q.bottom;x[u]=a;w[u++]=t;x[u]=c;w[u++]=v;x[u]=b;w[u++]=f;x[u]=d;w[u++]=v;x[u]=e;w[u++]=f;x[u]=n;w[u++]=q;x[u]=m;w[u++]=t;x[u]=s;w[u++]=q;this.vertexPtr=u};a.prototype.quadTexUV=function(a,c,b,d,e,n,m,s,q,u,x,w,t,v,f,h){15992<=this.vertexPtr&&this.endBatch();var C=this.vertexPtr,z=this.vertexData,A=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var y=this.pushBatch();y.type=1;y.startIndex=3*(C/4);y.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}z[C]=a;A[C++]=q;z[C]=c;A[C++]=u;z[C]=b;A[C++]=x;z[C]=d;A[C++]=w;z[C]=e;A[C++]=t;z[C]=n;A[C++]=v;z[C]=m;A[C++]=f;z[C]=s;A[C++]=h;this.vertexPtr=C};a.prototype.point=function(a,c,b,d){7996<=this.pointPtr&&this.endBatch();var e=this.pointPtr,n=this.pointData;if(this.hasPointBatchTop)this.batch[this.batchPtr-1].indexCount++;else{var m=this.pushBatch();m.type=8;m.startIndex=e;m.indexCount=
1;this.hasPointBatchTop=!0;this.hasQuadBatchTop=!1}n[e++]=a;n[e++]=c;n[e++]=b;n[e++]=d;this.pointPtr=e};a.prototype.switchProgram=function(a){if(this.lastProgram!==a){if(!this.shaderPrograms[a]){if(0===this.lastProgram)return;a=0}var c=this.pushBatch();c.type=9;this.lastProgram=c.startIndex=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.programUsesDest=function(a){a=this.shaderPrograms[a];return!(!a.locDestStart&&!a.locDestEnd)};a.prototype.programUsesCrossSampling=function(a){a=this.shaderPrograms[a];
return!!(a.locDestStart||a.locDestEnd||a.crossSampling)};a.prototype.programExtendsBox=function(a){a=this.shaderPrograms[a];return 0!==a.extendBoxHorizontal||0!==a.extendBoxVertical};a.prototype.getProgramBoxExtendHorizontal=function(a){return this.shaderPrograms[a].extendBoxHorizontal};a.prototype.getProgramBoxExtendVertical=function(a){return this.shaderPrograms[a].extendBoxVertical};a.prototype.getProgramParameterType=function(a,c){return this.shaderPrograms[a].parameters[c][2]};a.prototype.programIsAnimated=
function(a){return this.shaderPrograms[a].animated};a.prototype.setProgramParameters=function(a,c,b,d,e,n,m,s,q,u,x,w){var t=this.shaderPrograms[this.lastProgram],v,f;if(t.hasAnyOptionalUniforms||w.length){v=this.pushBatch();v.type=10;v.mat4param?mat4.set(this.matMV,v.mat4param):v.mat4param=mat4.create();f=v.mat4param;f[0]=c;f[1]=b;f[2]=d;f[3]=e;f[4]=n;f[5]=m;f[6]=s;f[7]=q;f[8]=u;f[9]=x;v.texParam=t.locSamplerBack?a:null;if(w.length)for(b=v.shaderParams,b.length=w.length,a=0,c=w.length;a<c;a++)b[a]=
w[a];this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.clear=function(a,c,b,d){var e=this.pushBatch();e.type=7;e.startIndex=0;e.mat4param||(e.mat4param=mat4.create());e.mat4param[0]=a;e.mat4param[1]=c;e.mat4param[2]=b;e.mat4param[3]=d;this.hasPointBatchTop=this.hasQuadBatchTop=!1};a.prototype.clearRect=function(a,c,b,d){var e=this.pushBatch();e.type=7;e.startIndex=1;e.mat4param||(e.mat4param=mat4.create());e.mat4param[0]=a;e.mat4param[1]=c;e.mat4param[2]=b;e.mat4param[3]=d;this.hasPointBatchTop=
this.hasQuadBatchTop=!1};a.prototype.present=function(){this.endBatch();this.gl.flush()};var e=[],c={};a.prototype.loadTexture=function(a,b,d,l,p){b=!!b;d=!!d;var n=a.src+","+b+","+d+(b?","+p:""),m=null;if("undefined"!==typeof a.src&&c.hasOwnProperty(n))return m=c[n],m.c2refcount++,m;this.endBatch();var s=this.gl,q=cr.isPOT(a.width)&&cr.isPOT(a.height),m=s.createTexture();s.bindTexture(s.TEXTURE_2D,m);s.pixelStorei(s.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);var u=s.RGBA,x=s.RGBA,w=s.UNSIGNED_BYTE;if(l&&
!this.isIE)switch(l){case 1:x=u=s.RGB;break;case 2:w=s.UNSIGNED_SHORT_4_4_4_4;break;case 3:w=s.UNSIGNED_SHORT_5_5_5_1;break;case 4:x=u=s.RGB,w=s.UNSIGNED_SHORT_5_6_5}!q&&b?(l=document.createElement("canvas"),l.width=cr.nextHighestPowerOfTwo(a.width),l.height=cr.nextHighestPowerOfTwo(a.height),l.getContext("2d").drawImage(a,0,0,a.width,a.height,0,0,l.width,l.height),s.texImage2D(s.TEXTURE_2D,0,u,x,w,l)):s.texImage2D(s.TEXTURE_2D,0,u,x,w,a);b?"repeat-x"===p?(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,
s.REPEAT),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_T,s.CLAMP_TO_EDGE)):("repeat-y"===p?s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,s.CLAMP_TO_EDGE):s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,s.REPEAT),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_T,s.REPEAT)):(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_S,s.CLAMP_TO_EDGE),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_WRAP_T,s.CLAMP_TO_EDGE));d?(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MAG_FILTER,s.LINEAR),q?(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MIN_FILTER,
s.LINEAR_MIPMAP_LINEAR),s.generateMipmap(s.TEXTURE_2D)):s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MIN_FILTER,s.LINEAR)):(s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MAG_FILTER,s.NEAREST),s.texParameteri(s.TEXTURE_2D,s.TEXTURE_MIN_FILTER,s.NEAREST));s.bindTexture(s.TEXTURE_2D,null);this.lastTexture0=null;m.c2width=a.width;m.c2height=a.height;m.c2refcount=1;m.c2texkey=n;e.push(m);return c[n]=m};a.prototype.createEmptyTexture=function(a,c,b,d,p){this.endBatch();var n=this.gl;this.isIE&&(d=!1);var m=n.createTexture();
n.bindTexture(n.TEXTURE_2D,m);n.texImage2D(n.TEXTURE_2D,0,n.RGBA,a,c,0,n.RGBA,d?n.UNSIGNED_SHORT_4_4_4_4:n.UNSIGNED_BYTE,null);p?(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_S,n.REPEAT),n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_T,n.REPEAT)):(n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_S,n.CLAMP_TO_EDGE),n.texParameteri(n.TEXTURE_2D,n.TEXTURE_WRAP_T,n.CLAMP_TO_EDGE));n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MAG_FILTER,b?n.LINEAR:n.NEAREST);n.texParameteri(n.TEXTURE_2D,n.TEXTURE_MIN_FILTER,b?n.LINEAR:
n.NEAREST);n.bindTexture(n.TEXTURE_2D,null);this.lastTexture0=null;m.c2width=a;m.c2height=c;e.push(m);return m};a.prototype.videoToTexture=function(a,c,b){this.endBatch();var d=this.gl;this.isIE&&(b=!1);d.bindTexture(d.TEXTURE_2D,c);d.pixelStorei(d.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);d.texImage2D(d.TEXTURE_2D,0,d.RGBA,d.RGBA,b?d.UNSIGNED_SHORT_4_4_4_4:d.UNSIGNED_BYTE,a);d.bindTexture(d.TEXTURE_2D,null);this.lastTexture0=null};a.prototype.deleteTexture=function(a){a&&("undefined"!==typeof a.c2refcount&&
1<a.c2refcount?a.c2refcount--:(this.endBatch(),a===this.lastTexture0&&(this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.lastTexture0=null),a===this.lastTexture1&&(this.gl.activeTexture(this.gl.TEXTURE1),this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.gl.activeTexture(this.gl.TEXTURE0),this.lastTexture1=null),cr.arrayFindRemove(e,a),"undefined"!==typeof a.c2texkey&&delete c[a.c2texkey],this.gl.deleteTexture(a)))};a.prototype.estimateVRAM=function(){var a=8*this.width*this.height,c,b,d;c=0;for(b=
e.length;c<b;c++)d=e[c],a+=4*d.c2width*d.c2height;return a};a.prototype.textureCount=function(){return e.length};a.prototype.setRenderingToTexture=function(a){if(a!==this.renderToTex){var c=this.pushBatch();c.type=6;this.renderToTex=c.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};cr.GLWrap=a})();
(function(){function a(a){if(a&&(a.getContext||a.dc)&&!a.c2runtime){a.c2runtime=this;var c=this;this.isCrosswalk=/crosswalk/i.test(navigator.userAgent)||/xwalk/i.test(navigator.userAgent)||!("undefined"===typeof window.c2isCrosswalk||!window.c2isCrosswalk);this.isPhoneGap=!this.isCrosswalk&&"undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap);this.isDirectCanvas=!!a.dc;this.isAppMobi="undefined"!==typeof window.AppMobi||this.isDirectCanvas;
if(this.isCocoonJs=!!window.c2cocoonjs)CocoonJS.App.onSuspended.addEventListener(function(){c.setSuspended(!0)}),CocoonJS.App.onActivated.addEventListener(function(){c.setSuspended(!1)});this.isDomFree=this.isDirectCanvas||this.isCocoonJs;this.isTizen=/tizen/i.test(navigator.userAgent);this.isAndroid=/android/i.test(navigator.userAgent)&&!this.isTizen;this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.isiPhone=/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent);
this.isiPad=/ipad/i.test(navigator.userAgent);this.isiOS=this.isiPhone||this.isiPad;this.isiPhoneiOS6=this.isiPhone&&/os\s6/i.test(navigator.userAgent);this.isChrome=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.isAmazonWebApp=/amazonwebappplatform/i.test(navigator.userAgent);this.isFirefox=/firefox/i.test(navigator.userAgent);this.isSafari=!this.isChrome&&/safari/i.test(navigator.userAgent);this.isWindows=/windows/i.test(navigator.userAgent);this.isNodeWebkit="undefined"!==
typeof window.c2nodewebkit||/nodewebkit/i.test(navigator.userAgent);this.isArcade="undefined"!==typeof window.is_scirra_arcade;this.isWindows8App=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.isWindowsPhone8=!("undefined"===typeof window.c2isWindowsPhone8||!window.c2isWindowsPhone8);this.isBlackberry10=!("undefined"===typeof window.c2isBlackberry10||!window.c2isBlackberry10);this.isAndroidStockBrowser=this.isAndroid&&!this.isChrome&&!this.isFirefox&&!this.isAmazonWebApp&&
!this.isDomFree;this.devicePixelRatio=1;this.isMobile=this.isPhoneGap||this.isCrosswalk||this.isAppMobi||this.isCocoonJs||this.isAndroid||this.isiOS||this.isWindowsPhone8||this.isBlackberry10||this.isTizen;this.isMobile||(this.isMobile=/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet)/i.test(navigator.userAgent));"undefined"===typeof cr_is_preview||this.isNodeWebkit||"?nw"!==window.location.search&&!/nodewebkit/i.test(navigator.userAgent)||(this.isNodeWebkit=!0);this.isDebug=
"undefined"!==typeof cr_is_preview&&-1<window.location.search.indexOf("debug");this.canvas=a;this.canvasdiv=document.getElementById("c2canvasdiv");this.ctx=this.glwrap=this.gl=null;this.fullscreenOldMarginCss="";this.firstInFullscreen=!1;this.oldHeight=this.oldWidth=0;this.canvas.oncontextmenu=function(a){a.preventDefault&&a.preventDefault();return!1};this.canvas.onselectstart=function(a){a.preventDefault&&a.preventDefault();return!1};this.isDirectCanvas&&(window.c2runtime=this);this.isNodeWebkit&&
(window.ondragover=function(a){a.preventDefault();return!1},window.ondrop=function(a){a.preventDefault();return!1},require("nw.gui").App.clearCache());this.width=a.width;this.height=a.height;this.draw_width=this.width;this.draw_height=this.height;this.cssWidth=this.width;this.cssHeight=this.height;this.lastWindowWidth=window.innerWidth;this.lastWindowHeight=window.innerHeight;this.redraw=!0;this.blockSuspend=this.isSuspended=!1;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types=
{};this.types_by_index=[];this.behaviors=[];this.layouts={};this.layouts_by_index=[];this.eventsheets={};this.eventsheets_by_index=[];this.wait_for_textures=[];this.triggers_to_postinit=[];this.all_global_vars=[];this.all_local_vars=[];this.jumpthruBehavior=this.solidBehavior=null;this.deathRow=new cr.ObjectSet;this.isInClearDeathRow=!1;this.isInOnDestroy=0;this.isRunningEvents=!1;this.createRow=[];this.isLoadingState=!1;this.lastSaveJson=this.loadFromJson=this.loadFromSlot=this.saveToSlot="";this.suspendDrawing=
this.signalledContinuousPreview=!1;this.zeroDtCount=this.cpuutilisation=this.logictime=this.dt1=this.dt=0;this.timescale=1;this.kahanTime=new cr.KahanAdder;this.last_tick_time=0;this.measuring_dt=!0;this.objectcount=this.framecount=this.execcount=this.tickcount=this.last_fps_time=this.fps=0;this.changelayout=null;this.destroycallbacks=[];this.event_stack=[];this.event_stack_index=-1;this.localvar_stack=[[]];this.trigger_depth=this.localvar_stack_index=0;this.pushEventStack(null);this.loop_stack=[];
this.loop_stack_index=-1;this.next_puid=this.next_uid=0;this.layout_first_tick=!0;this.family_count=0;this.suspend_events=[];this.timeout_id=this.raf_id=0;this.isloading=!0;this.loadingprogress=0;this.isNodeFullscreen=!1;this.stackLocalCount=0;this.halfFramerateMode=!1;this.lastRafTime=0;this.isInUserInputEvent=this.had_a_click=this.ranLastRaf=!1;this.objects_to_tick=new cr.ObjectSet;this.objects_to_tick2=new cr.ObjectSet;this.registered_collisions=[];this.temp_poly=new cr.CollisionPoly([]);this.temp_poly2=
new cr.CollisionPoly([]);this.allGroups=[];this.activeGroups={};this.cndsBySid={};this.actsBySid={};this.varsBySid={};this.blocksBySid={};this.layout_ctx=this.layout_canvas=this.layout_tex=this.layer_tex=this.layer_ctx=this.layer_canvas=this.running_layout=null;this.uses_background_blending=this.is_WebGL_context_lost=!1;this.fx_tex=[null,null];this.fullscreen_scaling=0;this.files_subfolder="";this.objectsByUid={};this.snapshotCanvas=this.loaderlogo=null;this.snapshotData="";this.load();this.devicePixelRatio=
(this.isRetina=!this.isDomFree&&this.useHighDpi&&!this.isAndroidStockBrowser)?window.devicePixelRatio||window.webkitDevicePixelRatio||window.mozDevicePixelRatio||window.msDevicePixelRatio||1:1;this.ClearDeathRow();var f,h=this.alphaBackground&&!(this.isNodeWebkit||this.isWindows8App||this.isWindowsPhone8);0<this.fullscreen_mode&&this.setSize(window.innerWidth,window.innerHeight,!0);try{!this.enableWebGL||!this.isCocoonJs&&this.isDomFree||(f={alpha:h,depth:!1,antialias:!1,failIfMajorPerformanceCaveat:!0},
this.gl=a.getContext("webgl",f)||a.getContext("experimental-webgl",f))}catch(b){}if(this.gl){this.isDomFree||(this.overlay_canvas=document.createElement("canvas"),jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode),this.overlay_canvas.oncontextmenu=function(a){return!1},this.overlay_canvas.onselectstart=function(a){return!1},this.overlay_canvas.width=this.cssWidth,this.overlay_canvas.height=this.cssHeight,jQuery(this.overlay_canvas).css({width:this.cssWidth+"px",height:this.cssHeight+"px"}),
this.positionOverlayCanvas(),this.overlay_ctx=this.overlay_canvas.getContext("2d"));this.glwrap=new cr.GLWrap(this.gl,this.isMobile);this.glwrap.setSize(a.width,a.height);this.ctx=null;this.canvas.addEventListener("webglcontextlost",function(a){a.preventDefault();c.onContextLost();console.log("[Construct 2] WebGL context lost");window.cr_setSuspended(!0)},!1);this.canvas.addEventListener("webglcontextrestored",function(a){c.glwrap.initState();c.glwrap.setSize(c.glwrap.width,c.glwrap.height,!0);c.layer_tex=
null;c.layout_tex=null;c.fx_tex[0]=null;c.fx_tex[1]=null;c.onContextRestored();c.redraw=!0;console.log("[Construct 2] WebGL context restored");window.cr_setSuspended(!1)},!1);var d,e,g,k,l,m;a=0;for(f=this.types_by_index.length;a<f;a++)for(e=this.types_by_index[a],h=0,d=e.effect_types.length;h<d;h++)k=e.effect_types[h],k.shaderindex=this.glwrap.getShaderIndex(k.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(k.shaderindex);a=0;for(f=this.layouts_by_index.length;a<
f;a++){l=this.layouts_by_index[a];h=0;for(d=l.effect_types.length;h<d;h++)k=l.effect_types[h],k.shaderindex=this.glwrap.getShaderIndex(k.id);h=0;for(d=l.layers.length;h<d;h++)for(m=l.layers[h],e=0,g=m.effect_types.length;e<g;e++)k=m.effect_types[e],k.shaderindex=this.glwrap.getShaderIndex(k.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(k.shaderindex)}}else{if(0<this.fullscreen_mode&&this.isDirectCanvas){this.canvas=null;document.oncontextmenu=function(a){return!1};
document.onselectstart=function(a){return!1};this.ctx=AppMobi.canvas.getContext("2d");try{this.ctx.samplingMode=this.linearSampling?"smooth":"sharp",this.ctx.globalScale=1,this.ctx.HTML5CompatibilityMode=!0,this.ctx.imageSmoothingEnabled=this.linearSampling}catch(n){}0!==this.width&&0!==this.height&&(this.ctx.width=this.width,this.ctx.height=this.height)}this.ctx||(f=this.isCocoonJs?{antialias:!!this.linearSampling,alpha:h}:{alpha:h},this.ctx=a.getContext("2d",f),this.ctx.webkitImageSmoothingEnabled=
this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling);this.overlay_ctx=this.overlay_canvas=null}this.tickFunc=function(){c.tick()};window==window.top||this.isDomFree||this.isWindows8App||(document.addEventListener("mousedown",function(){window.focus()},!0),document.addEventListener("touchstart",function(){window.focus()},!0));"undefined"!==typeof cr_is_preview&&(this.isCocoonJs&&
console.log("[Construct 2] In preview-over-wifi via CocoonJS mode"),-1<window.location.search.indexOf("continuous")&&(cr.logexport("Reloading for continuous preview"),this.loadFromSlot="__c2_continuouspreview",this.suspendDrawing=!0),this.pauseOnBlur&&!this.isMobile&&(jQuery(window).focus(function(){c.setSuspended(!1)}),jQuery(window).blur(function(){c.setSuspended(!0)})));0===this.fullscreen_mode&&this.isRetina&&1<this.devicePixelRatio&&this.setSize(this.original_width,this.original_height,!0);this.tryLockOrientation();
this.go();this.extra={};cr.seal(this)}}function b(a){a.target.result.createObjectStore("saves",{keyPath:"slot"})}function d(a,c,f,h){var C=indexedDB.open("_C2SaveStates");C.onupgradeneeded=b;C.onerror=h;C.onsuccess=function(b){b=b.target.result;b.onerror=h;b.transaction(["saves"],"readwrite").objectStore("saves").put({slot:a,data:c}).onsuccess=f}}function e(a,c,f){var h=indexedDB.open("_C2SaveStates");h.onupgradeneeded=b;h.onerror=f;h.onsuccess=function(h){h=h.target.result;h.onerror=f;var b=h.transaction(["saves"]).objectStore("saves").get(a);
b.onsuccess=function(a){b.result?c(b.result.data):c(null)}}}function c(){cr.logexport("Reloading for continuous preview");window.c2cocoonjs?CocoonJS.App.reload():-1<window.location.search.indexOf("continuous")?window.location.reload(!0):window.location+="?continuous"}function k(a){var c,f={};for(c in a)!a.hasOwnProperty(c)||a[c]instanceof cr.ObjectSet||a[c]&&"undefined"!==typeof a[c].c2userdata||(f[c]=a[c]);return f}a.prototype.setSize=function(a,c,f){var h=0,b=0,d=0,e=0,e=0,k=this.isiPhoneiOS6&&
this.isSafari&&!navigator.standalone&&!this.isDomFree&&!this.isPhoneGap;k&&(c+=60);if(this.lastWindowWidth!==a||this.lastWindowHeight!==c||f){this.lastWindowWidth=a;this.lastWindowHeight=c;var g=this.fullscreen_mode,l=document.mozFullScreen||document.webkitIsFullScreen||!!document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen;if(l||0!==this.fullscreen_mode||f)l&&0<this.fullscreen_scaling&&(g=this.fullscreen_scaling),4<=g?(f=this.original_width/this.original_height,a/c>f?(d=c*f,5===
g?(e=d/this.original_width,1<e?e=Math.floor(e):1>e&&(e=1/Math.ceil(1/e)),d=this.original_width*e,e*=this.original_height,h=(a-d)/2,b=(c-e)/2,a=d,c=e):(h=(a-d)/2,a=d)):(e=a/f,5===g?(e/=this.original_height,1<e?e=Math.floor(e):1>e&&(e=1/Math.ceil(1/e)),d=this.original_width*e,e*=this.original_height,h=(a-d)/2,b=(c-e)/2,a=d):b=(c-e)/2,c=e),l&&!this.isNodeWebkit&&(b=h=0),h=Math.floor(h),b=Math.floor(b),a=Math.floor(a),c=Math.floor(c)):this.isNodeWebkit&&this.isNodeFullscreen&&0===this.fullscreen_mode_set&&
(h=Math.floor((a-this.original_width)/2),b=Math.floor((c-this.original_height)/2),a=this.original_width,c=this.original_height),2>g&&(this.aspect_scale=this.devicePixelRatio),this.isRetina&&this.isiPad&&1<this.devicePixelRatio&&(1024<=a&&(a=1023),1024<=c&&(c=1023)),l=this.devicePixelRatio,this.cssWidth=a,this.cssHeight=c,this.width=Math.round(a*l),this.height=Math.round(c*l),this.redraw=!0,this.wantFullscreenScalingQuality?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=
!0):this.width<this.original_width&&this.height<this.original_height||1===g?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):(this.draw_width=this.original_width,this.draw_height=this.original_height,this.fullscreenScalingQuality=!1,2===g?(f=this.original_width/this.original_height,g=this.lastWindowWidth/this.lastWindowHeight,g<f?this.draw_width=this.draw_height*g:g>f&&(this.draw_height=this.draw_width/g)):3===g&&(f=this.original_width/this.original_height,
g=this.lastWindowWidth/this.lastWindowHeight,g>f?this.draw_width=this.draw_height*g:g<f&&(this.draw_height=this.draw_width/g))),this.canvasdiv&&!this.isDomFree&&(jQuery(this.canvasdiv).css({width:a+"px",height:c+"px","margin-left":h,"margin-top":b}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:a+"px",height:c+"px"})),this.canvas&&(this.canvas.width=Math.round(a*l),this.canvas.height=Math.round(c*l),this.isRetina&&jQuery(this.canvas).css({width:a+"px",height:c+"px"})),this.overlay_canvas&&
(this.overlay_canvas.width=a,this.overlay_canvas.height=c,jQuery(this.overlay_canvas).css({width:a+"px",height:c+"px"})),this.glwrap&&this.glwrap.setSize(Math.round(a*l),Math.round(c*l)),this.isDirectCanvas&&this.ctx&&(this.ctx.width=a,this.ctx.height=c),this.ctx&&(this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling),this.tryLockOrientation(),
k&&window.setTimeout(function(){window.scrollTo(0,1)},100)}};a.prototype.tryLockOrientation=function(){if(this.autoLockOrientation&&0!==this.orientations){var a="portrait";2===this.orientations&&(a="landscape");screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&screen.msLockOrientation(a)}};a.prototype.onContextLost=function(){this.is_WebGL_context_lost=!0;var a,
c,f;a=0;for(c=this.types_by_index.length;a<c;a++)if(f=this.types_by_index[a],f.onLostWebGLContext)f.onLostWebGLContext()};a.prototype.onContextRestored=function(){this.is_WebGL_context_lost=!1;var a,c,f;a=0;for(c=this.types_by_index.length;a<c;a++)if(f=this.types_by_index[a],f.onRestoreWebGLContext)f.onRestoreWebGLContext()};a.prototype.positionOverlayCanvas=function(){if(!this.isDomFree){var a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||document.msFullscreenElement||
this.isNodeFullscreen?jQuery(this.canvas).offset():jQuery(this.canvas).position();a.position="absolute";jQuery(this.overlay_canvas).css(a)}};var g=window.cancelAnimationFrame||window.mozCancelAnimationFrame||window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;a.prototype.setSuspended=function(a){var c;if(a&&!this.isSuspended&&!this.blockSuspend)for(cr.logexport("[Construct 2] Suspending"),this.isSuspended=!0,0!==this.raf_id&&g&&g(this.raf_id),0!==this.timeout_id&&
clearTimeout(this.timeout_id),a=0,c=this.suspend_events.length;a<c;a++)this.suspend_events[a](!0);else if(!a&&this.isSuspended){cr.logexport("[Construct 2] Resuming");this.isSuspended=!1;this.last_tick_time=cr.performance_now();this.last_fps_time=cr.performance_now();a=this.logictime=this.framecount=0;for(c=this.suspend_events.length;a<c;a++)this.suspend_events[a](!1);this.tick()}};a.prototype.addSuspendCallback=function(a){this.suspend_events.push(a)};a.prototype.load=function(){var a=cr.getProjectModel();
this.name=a[0];this.first_layout=a[1];this.fullscreen_mode=a[11];this.fullscreen_mode_set=a[11];this.original_width=a[9];this.original_height=a[10];this.parallax_x_origin=this.original_width/2;this.parallax_y_origin=this.original_height/2;this.isDomFree&&(4<=a[11]||0===a[11])&&(cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'"),this.fullscreen_mode_set=this.fullscreen_mode=3);this.uses_loader_layout=a[17];this.loaderstyle=
a[18];0===this.loaderstyle&&(this.loaderlogo=new Image,this.loaderlogo.src="loading-logo.png");this.next_uid=a[20];this.system=new cr.system_object(this);var c,f,h,b,d,e,g,k,l;c=0;for(f=a[2].length;c<f;c++){g=a[2][c];cr.add_common_aces(g);l=new g[0](this);l.singleglobal=g[1];l.is_world=g[2];l.must_predraw=g[9];if(l.onCreate)l.onCreate();cr.seal(l);this.plugins.push(l)}a=cr.getProjectModel();c=0;for(f=a[3].length;c<f;c++){g=a[3][c];d=g[1];l=null;h=0;for(b=this.plugins.length;h<b;h++)if(this.plugins[h]instanceof
d){l=this.plugins[h];break}var m=new l.Type(l);m.name=g[0];m.is_family=g[2];m.instvar_sids=g[3].slice(0);m.vars_count=g[3].length;m.behs_count=g[4];m.fx_count=g[5];m.sid=g[11];m.is_family?(m.members=[],m.family_index=this.family_count++,m.families=null):(m.members=null,m.family_index=-1,m.families=[]);m.family_var_map=null;m.family_beh_map=null;m.family_fx_map=null;m.is_contained=!1;m.container=null;g[6]?(m.texture_file=g[6][0],m.texture_filesize=g[6][1],m.texture_pixelformat=g[6][2]):(m.texture_file=
null,m.texture_filesize=0,m.texture_pixelformat=0);m.animations=g[7]?g[7]:null;m.index=c;m.instances=[];m.deadCache=[];m.solstack=[new cr.selection(m)];m.cur_sol=0;m.default_instance=null;m.default_layerindex=0;m.stale_iids=!0;m.updateIIDs=cr.type_updateIIDs;m.getFirstPicked=cr.type_getFirstPicked;m.getPairedInstance=cr.type_getPairedInstance;m.getCurrentSol=cr.type_getCurrentSol;m.pushCleanSol=cr.type_pushCleanSol;m.pushCopySol=cr.type_pushCopySol;m.popSol=cr.type_popSol;m.getBehaviorByName=cr.type_getBehaviorByName;
m.getBehaviorIndexByName=cr.type_getBehaviorIndexByName;m.getEffectIndexByName=cr.type_getEffectIndexByName;m.applySolToContainer=cr.type_applySolToContainer;m.getInstanceByIID=cr.type_getInstanceByIID;m.collision_grid=new cr.SparseGrid(this.original_width,this.original_height);m.any_cell_changed=!0;m.any_instance_parallaxed=!1;m.extra={};m.toString=cr.type_toString;m.behaviors=[];h=0;for(b=g[8].length;h<b;h++){k=g[8][h];var n=k[1],w=null;d=0;for(e=this.behaviors.length;d<e;d++)if(this.behaviors[d]instanceof
n){w=this.behaviors[d];break}if(!w){w=new n(this);w.my_types=[];w.my_instances=new cr.ObjectSet;if(w.onCreate)w.onCreate();cr.seal(w);this.behaviors.push(w);cr.behaviors.solid&&w instanceof cr.behaviors.solid&&(this.solidBehavior=w);cr.behaviors.jumpthru&&w instanceof cr.behaviors.jumpthru&&(this.jumpthruBehavior=w)}-1===w.my_types.indexOf(m)&&w.my_types.push(m);d=new w.Type(w,m);d.name=k[0];d.sid=k[2];d.onCreate();cr.seal(d);m.behaviors.push(d)}m.global=g[9];m.isOnLoaderLayout=g[10];m.effect_types=
[];h=0;for(b=g[12].length;h<b;h++)m.effect_types.push({id:g[12][h][0],name:g[12][h][1],shaderindex:-1,active:!0,index:h});m.tile_poly_data=g[13];if(!this.uses_loader_layout||m.is_family||m.isOnLoaderLayout||!l.is_world)m.onCreate(),cr.seal(m);m.name&&(this.types[m.name]=m);this.types_by_index.push(m);l.singleglobal&&(h=new l.Instance(m),h.uid=this.next_uid++,h.puid=this.next_puid++,h.iid=0,h.get_iid=cr.inst_get_iid,h.toString=cr.inst_toString,h.properties=g[14],h.onCreate(),cr.seal(h),m.instances.push(h),
this.objectsByUid[h.uid.toString()]=h)}c=0;for(f=a[4].length;c<f;c++)for(d=a[4][c],e=this.types_by_index[d[0]],h=1,b=d.length;h<b;h++)g=this.types_by_index[d[h]],g.families.push(e),e.members.push(g);c=0;for(f=a[23].length;c<f;c++){d=a[23][c];e=[];h=0;for(b=d.length;h<b;h++)e.push(this.types_by_index[d[h]]);h=0;for(b=e.length;h<b;h++)e[h].is_contained=!0,e[h].container=e}if(0<this.family_count)for(c=0,f=this.types_by_index.length;c<f;c++)if(g=this.types_by_index[c],!g.is_family&&g.families.length){g.family_var_map=
Array(this.family_count);g.family_beh_map=Array(this.family_count);g.family_fx_map=Array(this.family_count);m=[];h=w=n=k=0;for(b=g.families.length;h<b;h++)for(l=g.families[h],g.family_var_map[l.family_index]=k,k+=l.vars_count,g.family_beh_map[l.family_index]=n,n+=l.behs_count,g.family_fx_map[l.family_index]=w,w+=l.fx_count,d=0,e=l.effect_types.length;d<e;d++)m.push(cr.shallowCopy({},l.effect_types[d]));g.effect_types=m.concat(g.effect_types);h=0;for(b=g.effect_types.length;h<b;h++)g.effect_types[h].index=
h}c=0;for(f=a[5].length;c<f;c++)g=a[5][c],h=new cr.layout(this,g),cr.seal(h),this.layouts[h.name]=h,this.layouts_by_index.push(h);c=0;for(f=a[6].length;c<f;c++)g=a[6][c],h=new cr.eventsheet(this,g),cr.seal(h),this.eventsheets[h.name]=h,this.eventsheets_by_index.push(h);c=0;for(f=this.eventsheets_by_index.length;c<f;c++)this.eventsheets_by_index[c].postInit();c=0;for(f=this.triggers_to_postinit.length;c<f;c++)this.triggers_to_postinit[c].postInit();this.triggers_to_postinit.length=0;this.files_subfolder=
a[7];this.pixel_rounding=a[8];this.aspect_scale=1;this.enableWebGL=a[12];this.linearSampling=a[13];this.alphaBackground=a[14];this.versionstr=a[15];this.useHighDpi=a[16];this.orientations=a[19];this.autoLockOrientation=0<this.orientations;this.pauseOnBlur=a[21];this.fullscreenScalingQuality=this.wantFullscreenScalingQuality=a[22];this.start_time=Date.now()};var r=!1;a.prototype.waitForImageLoad=function(a){a.onerror=function(){r=a.c2error=!0};this.wait_for_textures.push(a)};a.prototype.findWaitingTexture=
function(a){var c,f;c=0;for(f=this.wait_for_textures.length;c<f;c++)if(this.wait_for_textures[c].cr_src===a)return this.wait_for_textures[c];return null};a.prototype.areAllTexturesLoaded=function(){var a=0,c=0,f=!0,h,b,d;h=0;for(b=this.wait_for_textures.length;h<b;h++){d=this.wait_for_textures[h];var e=d.cr_filesize;if(!e||0>=e)e=5E4;a+=e;!d.complete&&!d.loaded||d.c2error?f=!1:c+=e}this.progress=0==a?0:c/a;return f};a.prototype.go=function(){if(this.ctx||this.glwrap){var a=this.ctx||this.overlay_ctx;
this.overlay_canvas&&this.positionOverlayCanvas();this.progress=0;this.last_progress=-1;if(this.areAllTexturesLoaded())this.go_textures_done();else{var c=Date.now()-this.start_time;if(a){var f=this.width,h=this.height,b=this.devicePixelRatio;this.overlay_canvas&&(f=this.cssWidth,h=this.cssHeight,b=1);if(3!==this.loaderstyle&&500<=c&&this.last_progress!=this.progress){a.clearRect(0,0,f,h);var c=f/2,h=h/2,f=0===this.loaderstyle&&this.loaderlogo.complete,d=40*b,e=0,g=80*b,m;f&&(g=this.loaderlogo.width*
b,m=this.loaderlogo.height*b,d=g/2,e=m/2,a.drawImage(this.loaderlogo,cr.floor(c-d),cr.floor(h-e),g,m));1>=this.loaderstyle?(h+=e+(f?12*b:0),c=cr.floor(c-d)+0.5,h=cr.floor(h)+0.5,a.fillStyle=r?"red":"DodgerBlue",a.fillRect(c,h,Math.floor(g*this.progress),6*b),a.strokeStyle="black",a.strokeRect(c,h,g,6*b),a.strokeStyle="white",a.strokeRect(c-1*b,h-1*b,g+2*b,8*b)):2===this.loaderstyle&&(a.font="12pt Arial",a.fillStyle=r?"#f00":"#999",a.textBaseLine="middle",b=Math.round(100*this.progress)+"%",f=a.measureText?
a.measureText(b):null,a.fillText(b,c-(f?f.width:0)/2,h))}this.last_progress=this.progress}setTimeout(function(a){return function(){a.go()}}(this),100)}}};a.prototype.go_textures_done=function(){this.overlay_canvas&&(this.canvas.parentNode.removeChild(this.overlay_canvas),this.overlay_canvas=this.overlay_ctx=null);this.start_time=Date.now();this.last_fps_time=cr.performance_now();var a,c,f;if(this.uses_loader_layout)for(a=0,c=this.types_by_index.length;a<c;a++)f=this.types_by_index[a],f.is_family||
f.isOnLoaderLayout||!f.plugin.is_world||(f.onCreate(),cr.seal(f));else this.isloading=!1;a=0;for(c=this.layouts_by_index.length;a<c;a++)this.layouts_by_index[a].createGlobalNonWorlds();2<=this.fullscreen_mode&&(a=this.original_width/this.original_height,c=this.width/this.height,this.aspect_scale=2!==this.fullscreen_mode&&c>a||2===this.fullscreen_mode&&c<a?this.height/this.original_height:this.width/this.original_width);this.first_layout?this.layouts[this.first_layout].startRunning():this.layouts_by_index[0].startRunning();
this.uses_loader_layout||(this.loadingprogress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null));navigator.splashscreen&&navigator.splashscreen.hide&&navigator.splashscreen.hide();a=0;for(c=this.types_by_index.length;a<c;a++)if(f=this.types_by_index[a],f.onAppBegin)f.onAppBegin();this.tick();this.isDirectCanvas&&AppMobi.webview.execute("onGameReady();")};var l=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||
window.oRequestAnimationFrame;a.prototype.tick=function(){if(this.running_layout){var a=cr.performance_now();if(this.halfFramerateMode&&this.ranLastRaf&&29>a-this.lastRafTime)this.ranLastRaf=!1,this.lastRafTime=a,l?this.raf_id=l(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16);else{this.ranLastRaf=!0;this.lastRafTime=a;var c=this.fullscreen_mode,f=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement;(f||this.isNodeFullscreen)&&
0<this.fullscreen_scaling&&(c=this.fullscreen_scaling);if(0<c&&(!this.isiPhone||window.self!==window.top)){var c=window.innerWidth,h=window.innerHeight;this.lastWindowWidth===c&&this.lastWindowHeight===h||this.setSize(c,h)}this.isDomFree||(f?(this.firstInFullscreen||(this.fullscreenOldMarginCss=jQuery(this.canvas).css("margin")||"0",this.firstInFullscreen=!0),this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css({"margin-left":""+Math.floor((screen.width-this.width/this.devicePixelRatio)/2)+"px",
"margin-top":""+Math.floor((screen.height-this.height/this.devicePixelRatio)/2)+"px"})):this.firstInFullscreen?(this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css("margin",this.fullscreenOldMarginCss),this.fullscreenOldMarginCss="",this.firstInFullscreen=!1,0===this.fullscreen_mode&&this.setSize(Math.round(this.oldWidth/this.devicePixelRatio),Math.round(this.oldHeight/this.devicePixelRatio),!0)):(this.oldWidth=this.width,this.oldHeight=this.height));this.isloading&&(f=this.areAllTexturesLoaded(),
this.loadingprogress=this.progress,f&&(this.isloading=!1,this.progress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null)));this.logic();!this.redraw&&!this.isCocoonJs||this.is_WebGL_context_lost||this.suspendDrawing||(this.redraw=!1,this.glwrap?this.drawGL():this.draw(),this.snapshotCanvas&&(this.canvas&&this.canvas.toDataURL&&(this.snapshotData=this.canvas.toDataURL(this.snapshotCanvas[0],this.snapshotCanvas[1]),this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot,null)),
this.snapshotCanvas=null));this.hit_breakpoint||(this.tickcount++,this.execcount++,this.framecount++);this.logictime+=cr.performance_now()-a;this.isSuspended||(l?this.raf_id=l(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16))}}};a.prototype.logic=function(){var a,c,f,h,b,d,e,g,m;a=cr.performance_now();1E3<=a-this.last_fps_time&&(this.last_fps_time+=1E3,this.fps=this.framecount,this.framecount=0,this.cpuutilisation=this.logictime,this.logictime=0);this.measuring_dt&&
(0!==this.last_tick_time&&(c=a-this.last_tick_time,0!==c||this.isDebug?(this.dt1=c/1E3,0.5<this.dt1?this.dt1=0:0.1<this.dt1&&(this.dt1=0.1)):(this.zeroDtCount++,10<=this.zeroDtCout&&(this.measuring_dt=!1),this.dt1=1/60)),this.last_tick_time=a);this.dt=this.dt1*this.timescale;this.kahanTime.add(this.dt);a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement||this.isNodeFullscreen;2<=this.fullscreen_mode||a&&0<this.fullscreen_scaling?(c=this.original_width/
this.original_height,f=this.width/this.height,h=this.fullscreen_mode,a&&0<this.fullscreen_scaling&&(h=this.fullscreen_scaling),this.aspect_scale=2!==h&&f>c||2===h&&f<c?this.height/this.original_height:this.width/this.original_width,this.running_layout&&(this.running_layout.scrollToX(this.running_layout.scrollX),this.running_layout.scrollToY(this.running_layout.scrollY))):this.aspect_scale=this.isRetina?this.devicePixelRatio:1;this.ClearDeathRow();this.isInOnDestroy++;this.system.runWaits();this.isInOnDestroy--;
this.ClearDeathRow();this.isInOnDestroy++;a=0;for(c=this.types_by_index.length;a<c;a++)if(e=this.types_by_index[a],!e.is_family&&(e.behaviors.length||e.families.length))for(f=0,h=e.instances.length;f<h;f++)for(g=e.instances[f],b=0,d=g.behavior_insts.length;b<d;b++)g.behavior_insts[b].tick();a=0;for(c=this.types_by_index.length;a<c;a++)if(e=this.types_by_index[a],!e.is_family&&(e.behaviors.length||e.families.length))for(f=0,h=e.instances.length;f<h;f++)for(g=e.instances[f],b=0,d=g.behavior_insts.length;b<
d;b++)m=g.behavior_insts[b],m.posttick&&m.posttick();f=this.objects_to_tick.valuesRef();a=0;for(c=f.length;a<c;a++)f[a].tick();this.isInOnDestroy--;this.handleSaveLoad();for(a=0;this.changelayout&&10>a++;)this.doChangeLayout(this.changelayout);a=0;for(c=this.eventsheets_by_index.length;a<c;a++)this.eventsheets_by_index[a].hasRun=!1;this.running_layout.event_sheet&&this.running_layout.event_sheet.run();this.registered_collisions.length=0;this.layout_first_tick=!1;this.isInOnDestroy++;a=0;for(c=this.types_by_index.length;a<
c;a++)if(e=this.types_by_index[a],!e.is_family&&(e.behaviors.length||e.families.length))for(f=0,h=e.instances.length;f<h;f++)for(g=e.instances[f],b=0,d=g.behavior_insts.length;b<d;b++)m=g.behavior_insts[b],m.tick2&&m.tick2();f=this.objects_to_tick2.valuesRef();a=0;for(c=f.length;a<c;a++)f[a].tick2();this.isInOnDestroy--};a.prototype.doChangeLayout=function(a){var c=this.running_layout;this.running_layout.stopRunning();var f,h,b,d,e,g,m;if(this.glwrap)for(f=0,h=this.types_by_index.length;f<h;f++)e=
this.types_by_index[f],e.is_family||!e.unloadTextures||e.global&&0!==e.instances.length||-1!==a.initial_types.indexOf(e)||e.unloadTextures();c==a&&(this.system.waits.length=0);a.startRunning();f=0;for(h=this.types_by_index.length;f<h;f++)if(e=this.types_by_index[f],e.global||e.plugin.singleglobal)for(a=0,c=e.instances.length;a<c;a++){g=e.instances[a];if(g.onLayoutChange)g.onLayoutChange();if(g.behavior_insts)for(b=0,d=g.behavior_insts.length;b<d;b++)if(m=g.behavior_insts[b],m.onLayoutChange)m.onLayoutChange()}this.layout_first_tick=
this.redraw=!0;this.ClearDeathRow()};a.prototype.tickMe=function(a){this.objects_to_tick.add(a)};a.prototype.untickMe=function(a){this.objects_to_tick.remove(a)};a.prototype.tick2Me=function(a){this.objects_to_tick2.add(a)};a.prototype.untick2Me=function(a){this.objects_to_tick2.remove(a)};a.prototype.getDt=function(a){return a&&-1!==a.my_timescale?this.dt1*a.my_timescale:this.dt};a.prototype.draw=function(){this.running_layout.draw(this.ctx);this.isDirectCanvas&&this.ctx.present()};a.prototype.drawGL=
function(){this.running_layout.drawGL(this.glwrap);this.glwrap.present()};a.prototype.addDestroyCallback=function(a){a&&this.destroycallbacks.push(a)};a.prototype.removeDestroyCallback=function(a){cr.arrayFindRemove(this.destroycallbacks,a)};a.prototype.getObjectByUID=function(a){a=a.toString();return this.objectsByUid.hasOwnProperty(a)?this.objectsByUid[a]:null};a.prototype.DestroyInstance=function(a){var c,f;if(!this.deathRow.contains(a)){this.deathRow.add(a);if(a.is_contained)for(c=0,f=a.siblings.length;c<
f;c++)this.DestroyInstance(a.siblings[c]);this.isInClearDeathRow&&this.deathRow.values_cache.push(a);this.isInOnDestroy++;this.trigger(Object.getPrototypeOf(a.type.plugin).cnds.OnDestroyed,a);this.isInOnDestroy--}};a.prototype.ClearDeathRow=function(){var a,c,f,h,b,d,e,g,m,l;this.isInClearDeathRow=!0;h=0;for(d=this.createRow.length;h<d;h++)for(a=this.createRow[h],c=a.type,c.instances.push(a),b=0,e=c.families.length;b<e;b++)c.families[b].instances.push(a),c.families[b].stale_iids=!0;this.createRow.length=
0;d=this.deathRow.valuesRef();for(h=0;h<d.length;h++){a=d[h];c=a.type;f=c.instances;b=0;for(e=this.destroycallbacks.length;b<e;b++)this.destroycallbacks[b](a);cr.arrayFindRemove(f,a);0===f.length&&(c.any_instance_parallaxed=!1);a.collcells&&c.collision_grid.update(a,a.collcells,null);a.layer&&(cr.arrayRemove(a.layer.instances,a.get_zindex()),a.layer.zindices_stale=!0);b=0;for(e=c.families.length;b<e;b++)cr.arrayFindRemove(c.families[b].instances,a),c.families[b].stale_iids=!0;if(a.behavior_insts)for(b=
0,e=a.behavior_insts.length;b<e;b++){f=a.behavior_insts[b];if(f.onDestroy)f.onDestroy();f.behavior.my_instances.remove(a)}this.objects_to_tick.remove(a);this.objects_to_tick2.remove(a);b=0;for(e=this.system.waits.length;b<e;b++)if(m=this.system.waits[b],m.sols.hasOwnProperty(c.index)&&cr.arrayFindRemove(m.sols[c.index].insts,a),!c.is_family)for(f=0,g=c.families.length;f<g;f++)l=c.families[f],m.sols.hasOwnProperty(l.index)&&cr.arrayFindRemove(m.sols[l.index].insts,a);if(a.onDestroy)a.onDestroy();this.objectsByUid.hasOwnProperty(a.uid.toString())&&
delete this.objectsByUid[a.uid.toString()];this.objectcount--;64>c.deadCache.length&&c.deadCache.push(a);c.stale_iids=!0}this.deathRow.isEmpty()||(this.redraw=!0);this.deathRow.clear();this.isInClearDeathRow=!1};a.prototype.createInstance=function(a,c,f,h){if(a.is_family){var b=cr.floor(Math.random()*a.members.length);return this.createInstance(a.members[b],c,f,h)}return a.default_instance?this.createInstanceFromInit(a.default_instance,c,!1,f,h,!1):null};var p=[];a.prototype.createInstanceFromInit=
function(a,c,f,h,b,d){var e,g,m,l;if(!a)return null;var k=this.types_by_index[a[1]],n=k.plugin.is_world;if(this.isloading&&n&&!k.isOnLoaderLayout||n&&!this.glwrap&&11===a[0][11])return null;var w=c;n||(c=null);var q;k.deadCache.length?(q=k.deadCache.pop(),q.recycled=!0,k.plugin.Instance.call(q,k)):(q=new k.plugin.Instance(k),q.recycled=!1);q.uid=f&&!d?a[2]:this.next_uid++;this.objectsByUid[q.uid.toString()]=q;q.puid=this.next_puid++;q.iid=k.instances.length;e=0;for(g=this.createRow.length;e<g;++e)this.createRow[e].type===
k&&q.iid++;q.get_iid=cr.inst_get_iid;m=a[3];if(q.recycled)cr.wipe(q.extra);else{q.extra={};if("undefined"!==typeof cr_is_preview)for(q.instance_var_names=[],q.instance_var_names.length=m.length,e=0,g=m.length;e<g;e++)q.instance_var_names[e]=m[e][1];q.instance_vars=[];q.instance_vars.length=m.length}e=0;for(g=m.length;e<g;e++)q.instance_vars[e]=m[e][0];if(n){var r=a[0];q.x=cr.is_undefined(h)?r[0]:h;q.y=cr.is_undefined(b)?r[1]:b;q.z=r[2];q.width=r[3];q.height=r[4];q.depth=r[5];q.angle=r[6];q.opacity=
r[7];q.hotspotX=r[8];q.hotspotY=r[9];q.blend_mode=r[10];e=r[11];!this.glwrap&&k.effect_types.length&&(q.blend_mode=e);q.compositeOp=cr.effectToCompositeOp(q.blend_mode);this.gl&&cr.setGLBlend(q,q.blend_mode,this.gl);if(q.recycled){e=0;for(g=r[12].length;e<g;e++)for(m=0,l=r[12][e].length;m<l;m++)q.effect_params[e][m]=r[12][e][m];q.bbox.set(0,0,0,0);q.collcells.set(0,0,-1,-1);q.bquad.set_from_rect(q.bbox);q.bbox_changed_callbacks.length=0}else{q.effect_params=r[12].slice(0);e=0;for(g=q.effect_params.length;e<
g;e++)q.effect_params[e]=r[12][e].slice(0);q.active_effect_types=[];q.active_effect_flags=[];q.active_effect_flags.length=k.effect_types.length;q.bbox=new cr.rect(0,0,0,0);q.collcells=new cr.rect(0,0,-1,-1);q.bquad=new cr.quad;q.bbox_changed_callbacks=[];q.set_bbox_changed=cr.set_bbox_changed;q.add_bbox_changed_callback=cr.add_bbox_changed_callback;q.contains_pt=cr.inst_contains_pt;q.update_bbox=cr.update_bbox;q.update_collision_cell=cr.update_collision_cell;q.get_zindex=cr.inst_get_zindex}q.tilemap_exists=
!1;q.tilemap_width=0;q.tilemap_height=0;q.tilemap_data=null;14===r.length&&(q.tilemap_exists=!0,q.tilemap_width=r[13][0],q.tilemap_height=r[13][1],q.tilemap_data=r[13][2]);e=0;for(g=k.effect_types.length;e<g;e++)q.active_effect_flags[e]=!0;q.updateActiveEffects=cr.inst_updateActiveEffects;q.updateActiveEffects();q.uses_shaders=!!q.active_effect_types.length;q.bbox_changed=!0;q.cell_changed=!0;k.any_cell_changed=!0;q.visible=!0;q.my_timescale=-1;q.layer=c;q.zindex=c.instances.length;"undefined"===
typeof q.collision_poly&&(q.collision_poly=null);this.redraw=q.collisionsEnabled=!0}q.toString=cr.inst_toString;var s;e=p.length=0;for(g=k.families.length;e<g;e++)p.push.apply(p,k.families[e].behaviors);p.push.apply(p,k.behaviors);if(q.recycled)for(e=0,g=p.length;e<g;e++){var x=p[e];s=q.behavior_insts[e];s.recycled=!0;x.behavior.Instance.call(s,x,q);r=a[4][e];m=0;for(l=r.length;m<l;m++)s.properties[m]=r[m];s.onCreate();x.behavior.my_instances.add(q)}else for(q.behavior_insts=[],e=0,g=p.length;e<g;e++)x=
p[e],s=new x.behavior.Instance(x,q),s.recycled=!1,s.properties=a[4][e].slice(0),s.onCreate(),cr.seal(s),q.behavior_insts.push(s),x.behavior.my_instances.add(q);r=a[5];if(q.recycled)for(e=0,g=r.length;e<g;e++)q.properties[e]=r[e];else q.properties=r.slice(0);this.createRow.push(q);c&&(c.instances.push(q),1!==c.parallaxX||1!==c.parallaxY)&&(k.any_instance_parallaxed=!0);this.objectcount++;if(k.is_contained){if(q.is_contained=!0,q.recycled?q.siblings.length=0:q.siblings=[],!f&&!d){e=0;for(g=k.container.length;e<
g;e++)if(k.container[e]!==k){if(!k.container[e].default_instance)return null;q.siblings.push(this.createInstanceFromInit(k.container[e].default_instance,w,!1,n?q.x:h,n?q.y:b,!0))}e=0;for(g=q.siblings.length;e<g;e++)for(q.siblings[e].siblings.push(q),m=0;m<g;m++)e!==m&&q.siblings[e].siblings.push(q.siblings[m])}}else q.is_contained=!1,q.siblings=null;q.onCreate();q.recycled||cr.seal(q);e=0;for(g=q.behavior_insts.length;e<g;e++)q.behavior_insts[e].postCreate&&q.behavior_insts[e].postCreate();return q};
a.prototype.getLayerByName=function(a){var c,f;c=0;for(f=this.running_layout.layers.length;c<f;c++){var h=this.running_layout.layers[c];if(cr.equals_nocase(h.name,a))return h}return null};a.prototype.getLayerByNumber=function(a){a=cr.floor(a);0>a&&(a=0);a>=this.running_layout.layers.length&&(a=this.running_layout.layers.length-1);return this.running_layout.layers[a]};a.prototype.getLayer=function(a){return cr.is_number(a)?this.getLayerByNumber(a):this.getLayerByName(a.toString())};a.prototype.clearSol=
function(a){var c,f;c=0;for(f=a.length;c<f;c++)a[c].getCurrentSol().select_all=!0};a.prototype.pushCleanSol=function(a){var c,f;c=0;for(f=a.length;c<f;c++)a[c].pushCleanSol()};a.prototype.pushCopySol=function(a){var c,f;c=0;for(f=a.length;c<f;c++)a[c].pushCopySol()};a.prototype.popSol=function(a){var c,f;c=0;for(f=a.length;c<f;c++)a[c].popSol()};a.prototype.updateAllCells=function(a){if(a.any_cell_changed){var c,f,h=a.instances;c=0;for(f=h.length;c<f;++c)h[c].update_collision_cell();h=this.createRow;
c=0;for(f=h.length;c<f;++c)h[c].type===a&&h[c].update_collision_cell();a.any_cell_changed=!1}};a.prototype.getCollisionCandidates=function(a,c,f,h){var b,d,e=a?1!==a.parallaxX||1!==a.parallaxY:!1;if(c.is_family)for(a=0,b=c.members.length;a<b;++a)d=c.members[a],e||d.any_instance_parallaxed?cr.appendArray(h,d.instances):(this.updateAllCells(d),d.collision_grid.queryRange(f,h));else e||c.any_instance_parallaxed?cr.appendArray(h,c.instances):(this.updateAllCells(c),c.collision_grid.queryRange(f,h))};
a.prototype.getTypesCollisionCandidates=function(a,c,f,h){var b,d;b=0;for(d=c.length;b<d;++b)this.getCollisionCandidates(a,c[b],f,h)};a.prototype.getSolidCollisionCandidates=function(a,c,f){var h=this.getSolidBehavior();if(!h)return null;this.getTypesCollisionCandidates(a,h.my_types,c,f)};a.prototype.getJumpthruCollisionCandidates=function(a,c,f){var h=this.getJumpthruBehavior();if(!h)return null;this.getTypesCollisionCandidates(a,h.my_types,c,f)};a.prototype.testAndSelectCanvasPointOverlap=function(a,
c,f,h){var b=a.getCurrentSol(),d,e,g,m,k,l;if(b.select_all)for(h||(b.select_all=!1,b.instances.length=0),d=0,m=a.instances.length;d<m;d++){if(g=a.instances[d],g.update_bbox(),k=g.layer.canvasToLayer(c,f,!0),l=g.layer.canvasToLayer(c,f,!1),g.contains_pt(k,l)){if(h)return!1;b.instances.push(g)}}else{d=e=0;for(m=b.instances.length;d<m;d++)if(g=b.instances[d],g.update_bbox(),k=g.layer.canvasToLayer(c,f,!0),l=g.layer.canvasToLayer(c,f,!1),g.contains_pt(k,l)){if(h)return!1;b.instances[e]=b.instances[d];
e++}h||(b.instances.length=e)}a.applySolToContainer();return h?!0:b.hasObjects()};a.prototype.testOverlap=function(a,c){if(!(a&&c&&a!==c&&a.collisionsEnabled&&c.collisionsEnabled))return!1;a.update_bbox();c.update_bbox();var f=a.layer,h=c.layer,b,d,e,g,m,k,l,q;if(f===h||f.parallaxX===h.parallaxX&&h.parallaxY===h.parallaxY&&f.scale===h.scale&&f.angle===h.angle&&f.zoomRate===h.zoomRate){if(!a.bbox.intersects_rect(c.bbox)||!a.bquad.intersects_quad(c.bquad)||a.tilemap_exists&&c.tilemap_exists)return!1;
if(a.tilemap_exists)return this.testTilemapOverlap(a,c);if(c.tilemap_exists)return this.testTilemapOverlap(c,a);l=a.collision_poly&&!a.collision_poly.is_empty();b=c.collision_poly&&!c.collision_poly.is_empty();if(!l&&!b)return!0;l?(a.collision_poly.cache_poly(a.width,a.height,a.angle),l=a.collision_poly):(this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height),l=this.temp_poly);b?(c.collision_poly.cache_poly(c.width,c.height,c.angle),q=c.collision_poly):(this.temp_poly.set_from_quad(c.bquad,
c.x,c.y,c.width,c.height),q=this.temp_poly);return l.intersects_poly(q,c.x-a.x,c.y-a.y)}l=a.collision_poly&&!a.collision_poly.is_empty();b=c.collision_poly&&!c.collision_poly.is_empty();l?(a.collision_poly.cache_poly(a.width,a.height,a.angle),this.temp_poly.set_from_poly(a.collision_poly)):this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height);l=this.temp_poly;b?(c.collision_poly.cache_poly(c.width,c.height,c.angle),this.temp_poly2.set_from_poly(c.collision_poly)):this.temp_poly2.set_from_quad(c.bquad,
c.x,c.y,c.width,c.height);q=this.temp_poly2;b=0;for(d=l.pts_count;b<d;b++)e=2*b,g=e+1,m=l.pts_cache[e],k=l.pts_cache[g],l.pts_cache[e]=f.layerToCanvas(m+a.x,k+a.y,!0),l.pts_cache[g]=f.layerToCanvas(m+a.x,k+a.y,!1);l.update_bbox();b=0;for(d=q.pts_count;b<d;b++)e=2*b,g=e+1,m=q.pts_cache[e],k=q.pts_cache[g],q.pts_cache[e]=h.layerToCanvas(m+c.x,k+c.y,!0),q.pts_cache[g]=h.layerToCanvas(m+c.x,k+c.y,!1);q.update_bbox();return l.intersects_poly(q,0,0)};var n=new cr.quad,m=new cr.rect(0,0,0,0),s=[];a.prototype.testTilemapOverlap=
function(a,c){var f,h,b,d,e=c.bbox,g=a.x,m=a.y;a.getCollisionRectCandidates(e,s);var k=c.collision_poly&&!c.collision_poly.is_empty();f=0;for(h=s.length;f<h;++f)if(b=s[f],d=b.rc,e.intersects_rect_off(d,g,m)&&(n.set_from_rect(d),n.offset(g,m),n.intersects_quad(c.bquad)))if(k)if(c.collision_poly.cache_poly(c.width,c.height,c.angle),b.poly){if(b.poly.intersects_poly(c.collision_poly,c.x-(g+d.left),c.y-(m+d.top)))return s.length=0,!0}else{if(this.temp_poly.set_from_quad(n,0,0,d.right-d.left,d.bottom-
d.top),this.temp_poly.intersects_poly(c.collision_poly,c.x,c.y))return s.length=0,!0}else if(b.poly){if(this.temp_poly.set_from_quad(c.bquad,0,0,c.width,c.height),b.poly.intersects_poly(this.temp_poly,-(g+d.left),-(m+d.top)))return s.length=0,!0}else return s.length=0,!0;s.length=0;return!1};a.prototype.testRectOverlap=function(a,c){if(!c||!c.collisionsEnabled)return!1;c.update_bbox();if(!c.bbox.intersects_rect(a))return!1;if(c.tilemap_exists){c.getCollisionRectCandidates(a,s);var f,h,b,d,e=c.x,g=
c.y;f=0;for(h=s.length;f<h;++f)if(b=s[f],d=b.rc,a.intersects_rect_off(d,e,g))if(b.poly){if(this.temp_poly.set_from_rect(a,0,0),b.poly.intersects_poly(this.temp_poly,-(e+d.left),-(g+d.top)))return s.length=0,!0}else return s.length=0,!0;s.length=0;return!1}n.set_from_rect(a);if(!c.bquad.intersects_quad(n))return!1;if(!c.collision_poly||c.collision_poly.is_empty())return!0;c.collision_poly.cache_poly(c.width,c.height,c.angle);n.offset(-a.left,-a.top);this.temp_poly.set_from_quad(n,0,0,1,1);return c.collision_poly.intersects_poly(this.temp_poly,
a.left-c.x,a.top-c.y)};a.prototype.testSegmentOverlap=function(a,c,f,h,b){if(!b||!b.collisionsEnabled)return!1;b.update_bbox();m.set(cr.min(a,f),cr.min(c,h),cr.max(a,f),cr.max(c,h));if(!b.bbox.intersects_rect(m))return!1;if(b.tilemap_exists){b.getCollisionRectCandidates(m,s);var d,e,g,k=b.x,l=b.y;b=0;for(d=s.length;b<d;++b)if(e=s[b],g=e.rc,m.intersects_rect_off(g,k,l)&&(n.set_from_rect(g),n.offset(k,l),n.intersects_segment(a,c,f,h)))if(e.poly){if(e.poly.intersects_segment(k+g.left,l+g.top,a,c,f,h))return s.length=
0,!0}else return s.length=0,!0;s.length=0;return!1}if(!b.bquad.intersects_segment(a,c,f,h))return!1;if(!b.collision_poly||b.collision_poly.is_empty())return!0;b.collision_poly.cache_poly(b.width,b.height,b.angle);return b.collision_poly.intersects_segment(b.x,b.y,a,c,f,h)};a.prototype.typeHasBehavior=function(a,c){if(!c)return!1;var f,h,b,d,e;f=0;for(h=a.behaviors.length;f<h;f++)if(a.behaviors[f].behavior instanceof c)return!0;if(!a.is_family)for(f=0,h=a.families.length;f<h;f++)for(e=a.families[f],
b=0,d=e.behaviors.length;b<d;b++)if(e.behaviors[b].behavior instanceof c)return!0;return!1};a.prototype.typeHasNoSaveBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.NoSave)};a.prototype.typeHasPersistBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.Persist)};a.prototype.getSolidBehavior=function(){return this.solidBehavior};a.prototype.getJumpthruBehavior=function(){return this.jumpthruBehavior};var q=[];a.prototype.testOverlapSolid=function(a){var c,f,h;a.update_bbox();
this.getSolidCollisionCandidates(a.layer,a.bbox,q);c=0;for(f=q.length;c<f;++c)if(h=q[c],h.extra.solidEnabled&&this.testOverlap(a,h))return q.length=0,h;q.length=0;return null};a.prototype.testRectOverlapSolid=function(a){var c,f,h;this.getSolidCollisionCandidates(null,a,q);c=0;for(f=q.length;c<f;++c)if(h=q[c],h.extra.solidEnabled&&this.testRectOverlap(a,h))return q.length=0,h;q.length=0;return null};var u=[];a.prototype.testOverlapJumpThru=function(a,c){var f=null;c&&(f=u,f.length=0);a.update_bbox();
this.getJumpthruCollisionCandidates(a.layer,a.bbox,q);var h,b,d;h=0;for(b=q.length;h<b;++h)if(d=q[h],d.extra.jumpthruEnabled&&this.testOverlap(a,d))if(c)f.push(d);else return q.length=0,d;q.length=0;return f};a.prototype.pushOutSolid=function(a,c,f,h,b,d){h=h||50;var e=a.x,g=a.y,m,k=null,l=null;for(m=0;m<h;m++)if(a.x=e+c*m,a.y=g+f*m,a.set_bbox_changed(),!this.testOverlap(a,k)&&((k=this.testOverlapSolid(a))&&(l=k),!k&&(b&&(k=d?this.testOverlap(a,d)?d:null:this.testOverlapJumpThru(a))&&(l=k),!k)))return l&&
this.pushInFractional(a,c,f,l,16),!0;a.x=e;a.y=g;a.set_bbox_changed();return!1};a.prototype.pushOut=function(a,c,f,h,b){h=h||50;var d=a.x,e=a.y,g;for(g=0;g<h;g++)if(a.x=d+c*g,a.y=e+f*g,a.set_bbox_changed(),!this.testOverlap(a,b))return!0;a.x=d;a.y=e;a.set_bbox_changed();return!1};a.prototype.pushInFractional=function(a,c,f,h,b){var d=2,e,g=!1;e=!1;for(var m=a.x,k=a.y;d<=b;)e=1/d,d*=2,a.x+=c*e*(g?1:-1),a.y+=f*e*(g?1:-1),a.set_bbox_changed(),this.testOverlap(a,h)?e=g=!0:(e=g=!1,m=a.x,k=a.y);e&&(a.x=
m,a.y=k,a.set_bbox_changed())};a.prototype.pushOutSolidNearest=function(a,c){var f=cr.is_undefined(c)?100:c,h=0,b=a.x,d=a.y,e=0,g=0,m=0,k=this.testOverlapSolid(a);if(!k)return!0;for(;h<=f;){switch(e){case 0:g=0;m=-1;h++;break;case 1:g=1;m=-1;break;case 2:g=1;m=0;break;case 3:m=g=1;break;case 4:g=0;m=1;break;case 5:g=-1;m=1;break;case 6:g=-1;m=0;break;case 7:m=g=-1}e=(e+1)%8;a.x=cr.floor(b+g*h);a.y=cr.floor(d+m*h);a.set_bbox_changed();if(!this.testOverlap(a,k)&&(k=this.testOverlapSolid(a),!k))return!0}a.x=
b;a.y=d;a.set_bbox_changed();return!1};a.prototype.registerCollision=function(a,c){a.collisionsEnabled&&c.collisionsEnabled&&this.registered_collisions.push([a,c])};a.prototype.checkRegisteredCollision=function(a,c){var f,h,b;f=0;for(h=this.registered_collisions.length;f<h;f++)if(b=this.registered_collisions[f],b[0]==a&&b[1]==c||b[0]==c&&b[1]==a)return!0;return!1};a.prototype.calculateSolidBounceAngle=function(a,c,f,h){var b=a.x,d=a.y,e=cr.max(10,cr.distanceTo(c,f,b,d)),g=cr.angleTo(c,f,b,d),m=h||
this.testOverlapSolid(a);if(!m)return cr.clamp_angle(g+cr.PI);var k=m,l,q,n,w,r=cr.to_radians(5);for(l=1;36>l;l++)if(q=g-l*r,a.x=c+Math.cos(q)*e,a.y=f+Math.sin(q)*e,a.set_bbox_changed(),!this.testOverlap(a,k)&&(k=h?null:this.testOverlapSolid(a),!k)){n=q;break}36===l&&(n=cr.clamp_angle(g+cr.PI));k=m;for(l=1;36>l;l++)if(q=g+l*r,a.x=c+Math.cos(q)*e,a.y=f+Math.sin(q)*e,a.set_bbox_changed(),!this.testOverlap(a,k)&&(k=h?null:this.testOverlapSolid(a),!k)){w=q;break}36===l&&(w=cr.clamp_angle(g+cr.PI));a.x=
b;a.y=d;a.set_bbox_changed();if(w===n)return w;a=cr.angleDiff(w,n)/2;a=cr.angleClockwise(w,n)?cr.clamp_angle(n+a+cr.PI):cr.clamp_angle(w+a);n=Math.cos(g);g=Math.sin(g);w=Math.cos(a);a=Math.sin(a);c=n*w+g*a;return cr.angleTo(0,0,n-2*c*w,g-2*c*a)};var x=[],w=-1;a.prototype.trigger=function(a,c,f){if(!this.running_layout)return!1;var h=this.running_layout.event_sheet;if(!h)return!1;w++;w===x.length?x.push(new cr.ObjectSet):x[w].clear();a=this.triggerOnSheet(a,c,h,f);w--;return a};a.prototype.triggerOnSheet=
function(a,c,f,h){var b=x[w];if(b.contains(f))return!1;b.add(f);var b=f.includes.valuesRef(),d=!1,e,g,m;e=0;for(g=b.length;e<g;e++)b[e].isActive()&&(m=this.triggerOnSheet(a,c,b[e].include_sheet,h),d=d||m);if(c)for(m=this.triggerOnSheetForTypeName(a,c,c.type.name,f,h),d=d||m,e=0,g=c.type.families.length;e<g;e++)m=this.triggerOnSheetForTypeName(a,c,c.type.families[e].name,f,h),d=d||m;else m=this.triggerOnSheetForTypeName(a,c,"system",f,h),d=d||m;return d};a.prototype.triggerOnSheetForTypeName=function(a,
c,f,h,b){var d,e=!1,g=!1,g="undefined"!==typeof b,m=(g?h.fasttriggers:h.triggers)[f];if(!m)return e;var k=null;h=0;for(d=m.length;h<d;h++)if(m[h].method==a){k=m[h].evs;break}if(!k)return e;a=g?k[b]:k;if(!a)return null;h=0;for(d=a.length;h<d;h++)b=a[h][0],g=a[h][1],g=this.executeSingleTrigger(c,f,b,g),e=e||g;return e};a.prototype.executeSingleTrigger=function(a,c,f,h){var b,d,e=!1;this.trigger_depth++;var g=this.getCurrentEventStack().current_event;g&&this.pushCleanSol(g.solModifiersIncludingParents);
var m=1<this.trigger_depth;this.pushCleanSol(f.solModifiersIncludingParents);m&&this.pushLocalVarStack();var k=this.pushEventStack(f);k.current_event=f;a&&(b=this.types[c].getCurrentSol(),b.select_all=!1,b.instances.length=1,b.instances[0]=a,this.types[c].applySolToContainer());a=!0;if(f.parent){c=k.temp_parents_arr;for(b=f.parent;b;)c.push(b),b=b.parent;c.reverse();b=0;for(d=c.length;b<d;b++)if(!c[b].run_pretrigger()){a=!1;break}}a&&(this.execcount++,f.orblock?f.run_orblocktrigger(h):f.run(),e=e||
k.last_event_true);this.popEventStack();m&&this.popLocalVarStack();this.popSol(f.solModifiersIncludingParents);g&&this.popSol(g.solModifiersIncludingParents);0!==this.isInOnDestroy||0!==w||this.isRunningEvents||this.deathRow.isEmpty()&&!this.createRow.length||this.ClearDeathRow();this.trigger_depth--;return e};a.prototype.getCurrentCondition=function(){var a=this.getCurrentEventStack();return a.current_event.conditions[a.cndindex]};a.prototype.getCurrentAction=function(){var a=this.getCurrentEventStack();
return a.current_event.actions[a.actindex]};a.prototype.pushLocalVarStack=function(){this.localvar_stack_index++;this.localvar_stack_index>=this.localvar_stack.length&&this.localvar_stack.push([])};a.prototype.popLocalVarStack=function(){this.localvar_stack_index--};a.prototype.getCurrentLocalVarStack=function(){return this.localvar_stack[this.localvar_stack_index]};a.prototype.pushEventStack=function(a){this.event_stack_index++;this.event_stack_index>=this.event_stack.length&&this.event_stack.push(new cr.eventStackFrame);
var c=this.getCurrentEventStack();c.reset(a);return c};a.prototype.popEventStack=function(){this.event_stack_index--};a.prototype.getCurrentEventStack=function(){return this.event_stack[this.event_stack_index]};a.prototype.pushLoopStack=function(a){this.loop_stack_index++;this.loop_stack_index>=this.loop_stack.length&&this.loop_stack.push(cr.seal({name:a,index:0,stopped:!1}));var c=this.getCurrentLoop();c.name=a;c.index=0;c.stopped=!1;return c};a.prototype.popLoopStack=function(){this.loop_stack_index--};
a.prototype.getCurrentLoop=function(){return this.loop_stack[this.loop_stack_index]};a.prototype.getEventVariableByName=function(a,c){for(var f,h,b,d,e,g;c;){f=0;for(h=c.subevents.length;f<h;f++)if(g=c.subevents[f],g instanceof cr.eventvariable&&cr.equals_nocase(a,g.name))return g;c=c.parent}f=0;for(h=this.eventsheets_by_index.length;f<h;f++)for(e=this.eventsheets_by_index[f],b=0,d=e.events.length;b<d;b++)if(g=e.events[b],g instanceof cr.eventvariable&&cr.equals_nocase(a,g.name))return g;return null};
a.prototype.getLayoutBySid=function(a){var c,f;c=0;for(f=this.layouts_by_index.length;c<f;c++)if(this.layouts_by_index[c].sid===a)return this.layouts_by_index[c];return null};a.prototype.getObjectTypeBySid=function(a){var c,f;c=0;for(f=this.types_by_index.length;c<f;c++)if(this.types_by_index[c].sid===a)return this.types_by_index[c];return null};a.prototype.getGroupBySid=function(a){var c,f;c=0;for(f=this.allGroups.length;c<f;c++)if(this.allGroups[c].sid===a)return this.allGroups[c];return null};
a.prototype.signalContinuousPreview=function(){this.signalledContinuousPreview=!0};a.prototype.handleSaveLoad=function(){var a=this,b=this.saveToSlot,f=this.lastSaveJson,h=this.loadFromSlot,g=!1;this.signalledContinuousPreview&&(g=!0,b="__c2_continuouspreview",this.signalledContinuousPreview=!1);if(b.length){this.ClearDeathRow();f=this.saveToJSONString();if(window.indexedDB&&!this.isCocoonJs)d(b,f,function(){cr.logexport("Saved state to IndexedDB storage ("+f.length+" bytes)");a.lastSaveJson=f;a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null);a.lastSaveJson="";g&&c()},function(h){try{localStorage.setItem("__c2save_"+b,f),cr.logexport("Saved state to WebStorage ("+f.length+" bytes)"),a.lastSaveJson=f,a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",g&&c()}catch(d){cr.logexport("Failed to save game state: "+h+"; "+d)}});else try{localStorage.setItem("__c2save_"+b,f),cr.logexport("Saved state to WebStorage ("+f.length+" bytes)"),a.lastSaveJson=f,this.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null),a.lastSaveJson="",g&&c()}catch(m){cr.logexport("Error saving to WebStorage: "+m)}this.loadFromJson=this.loadFromSlot=this.saveToSlot=""}h.length&&(window.indexedDB&&!this.isCocoonJs?e(h,function(c){c?(a.loadFromJson=c,cr.logexport("Loaded state from IndexedDB storage ("+a.loadFromJson.length+" bytes)")):(a.loadFromJson=localStorage.getItem("__c2save_"+h)||"",cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)"));a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,
null)},function(c){a.loadFromJson=localStorage.getItem("__c2save_"+h)||"";cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)");a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)}):(this.loadFromJson=localStorage.getItem("__c2save_"+h)||"",cr.logexport("Loaded state from WebStorage ("+this.loadFromJson.length+" bytes)"),this.suspendDrawing=!1,a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,
null)),this.saveToSlot=this.loadFromSlot="");this.loadFromJson.length&&(this.ClearDeathRow(),this.loadFromJSONString(this.loadFromJson),this.lastSaveJson=this.loadFromJson,this.trigger(cr.system_object.prototype.cnds.OnLoadComplete,null),this.loadFromJson=this.lastSaveJson="")};a.prototype.saveToJSONString=function(){var a,c,f,h,b,d,e,g={c2save:!0,version:1,rt:{time:this.kahanTime.sum,timescale:this.timescale,tickcount:this.tickcount,execcount:this.execcount,next_uid:this.next_uid,running_layout:this.running_layout.sid,
start_time_offset:Date.now()-this.start_time},types:{},layouts:{},events:{groups:{},cnds:{},acts:{},vars:{}}};a=0;for(c=this.types_by_index.length;a<c;a++)if(b=this.types_by_index[a],!b.is_family&&!this.typeHasNoSaveBehavior(b)){d={instances:[]};cr.hasAnyOwnProperty(b.extra)&&(d.ex=k(b.extra));f=0;for(h=b.instances.length;f<h;f++)d.instances.push(this.saveInstanceToJSON(b.instances[f]));g.types[b.sid.toString()]=d}a=0;for(c=this.layouts_by_index.length;a<c;a++)f=this.layouts_by_index[a],g.layouts[f.sid.toString()]=
f.saveToJSON();h=g.events.groups;a=0;for(c=this.allGroups.length;a<c;a++)f=this.allGroups[a],h[f.sid.toString()]=!!this.activeGroups[f.group_name];c=g.events.cnds;for(e in this.cndsBySid)this.cndsBySid.hasOwnProperty(e)&&(a=this.cndsBySid[e],cr.hasAnyOwnProperty(a.extra)&&(c[e]={ex:k(a.extra)}));c=g.events.acts;for(e in this.actsBySid)this.actsBySid.hasOwnProperty(e)&&(a=this.actsBySid[e],cr.hasAnyOwnProperty(a.extra)&&(c[e]={ex:a.extra}));c=g.events.vars;for(e in this.varsBySid)this.varsBySid.hasOwnProperty(e)&&
(a=this.varsBySid[e],a.is_constant||a.parent&&!a.is_static||(c[e]=a.data));g.system=this.system.saveToJSON();return JSON.stringify(g)};a.prototype.refreshUidMap=function(){var a,c,f,h,b,d;this.objectsByUid={};a=0;for(c=this.types_by_index.length;a<c;a++)if(f=this.types_by_index[a],!f.is_family)for(h=0,b=f.instances.length;h<b;h++)d=f.instances[h],this.objectsByUid[d.uid.toString()]=d};a.prototype.loadFromJSONString=function(a){a=JSON.parse(a);if(a.c2save&&!(1<a.version)){var c=a.rt;this.kahanTime.reset();
this.kahanTime.sum=c.time;this.timescale=c.timescale;this.tickcount=c.tickcount;this.start_time=Date.now()-c.start_time_offset;var f=c.running_layout;if(f!==this.running_layout.sid)if(f=this.getLayoutBySid(f))this.doChangeLayout(f);else return;this.isLoadingState=!0;var h,b,d,e,g,m,k;m=a.types;for(b in m)if(m.hasOwnProperty(b)&&(e=this.getObjectTypeBySid(parseInt(b,10)))&&!e.is_family&&!this.typeHasNoSaveBehavior(e)){m[b].ex?e.extra=m[b].ex:cr.wipe(e.extra);g=e.instances;d=m[b].instances;f=0;for(h=
cr.min(g.length,d.length);f<h;f++)this.loadInstanceFromJSON(g[f],d[f]);f=d.length;for(h=g.length;f<h;f++)this.DestroyInstance(g[f]);f=g.length;for(h=d.length;f<h;f++){g=null;if(e.plugin.is_world&&(g=this.running_layout.getLayerBySid(d[f].w.l),!g))continue;g=this.createInstanceFromInit(e.default_instance,g,!1,0,0,!0);this.loadInstanceFromJSON(g,d[f])}e.stale_iids=!0}this.ClearDeathRow();this.refreshUidMap();h=a.layouts;for(b in h)h.hasOwnProperty(b)&&(f=this.getLayoutBySid(parseInt(b,10)))&&f.loadFromJSON(h[b]);
h=a.events.groups;for(b in h)h.hasOwnProperty(b)&&(f=this.getGroupBySid(parseInt(b,10)))&&(this.activeGroups[f.group_name]=h[b]);f=a.events.cnds;for(b in f)f.hasOwnProperty(b)&&this.cndsBySid.hasOwnProperty(b)&&(this.cndsBySid[b].extra=f[b].ex);f=a.events.acts;for(b in f)f.hasOwnProperty(b)&&this.actsBySid.hasOwnProperty(b)&&(this.actsBySid[b].extra=f[b].ex);f=a.events.vars;for(b in f)f.hasOwnProperty(b)&&this.varsBySid.hasOwnProperty(b)&&(this.varsBySid[b].data=f[b]);this.next_uid=c.next_uid;this.isLoadingState=
!1;this.system.loadFromJSON(a.system);f=0;for(h=this.types_by_index.length;f<h;f++)if(e=this.types_by_index[f],!e.is_family)for(b=0,a=e.instances.length;b<a;b++){g=e.instances[b];if(e.is_contained)for(m=g.get_iid(),c=g.siblings.length=0,d=e.container.length;c<d;c++)k=e.container[c],e!==k&&g.siblings.push(k.instances[m]);g.afterLoad&&g.afterLoad();if(g.behavior_insts)for(c=0,d=g.behavior_insts.length;c<d;c++)m=g.behavior_insts[c],m.afterLoad&&m.afterLoad()}this.redraw=!0}};a.prototype.saveInstanceToJSON=
function(a,c){var f,h,b,d,e;d=a.type;b=d.plugin;var g={};c?g.c2=!0:g.uid=a.uid;cr.hasAnyOwnProperty(a.extra)&&(g.ex=k(a.extra));if(a.instance_vars&&a.instance_vars.length)for(g.ivs={},f=0,h=a.instance_vars.length;f<h;f++)g.ivs[a.type.instvar_sids[f].toString()]=a.instance_vars[f];if(b.is_world){b={x:a.x,y:a.y,w:a.width,h:a.height,l:a.layer.sid,zi:a.get_zindex()};0!==a.angle&&(b.a=a.angle);1!==a.opacity&&(b.o=a.opacity);0.5!==a.hotspotX&&(b.hX=a.hotspotX);0.5!==a.hotspotY&&(b.hY=a.hotspotY);0!==a.blend_mode&&
(b.bm=a.blend_mode);a.visible||(b.v=a.visible);a.collisionsEnabled||(b.ce=a.collisionsEnabled);-1!==a.my_timescale&&(b.mts=a.my_timescale);if(d.effect_types.length)for(b.fx=[],f=0,h=d.effect_types.length;f<h;f++)e=d.effect_types[f],b.fx.push({name:e.name,active:a.active_effect_flags[e.index],params:a.effect_params[e.index]});g.w=b}if(a.behavior_insts&&a.behavior_insts.length)for(g.behs={},f=0,h=a.behavior_insts.length;f<h;f++)d=a.behavior_insts[f],d.saveToJSON&&(g.behs[d.type.sid.toString()]=d.saveToJSON());
a.saveToJSON&&(g.data=a.saveToJSON());return g};a.prototype.getInstanceVarIndexBySid=function(a,c){var f,h;f=0;for(h=a.instvar_sids.length;f<h;f++)if(a.instvar_sids[f]===c)return f;return-1};a.prototype.getBehaviorIndexBySid=function(a,c){var f,h;f=0;for(h=a.behavior_insts.length;f<h;f++)if(a.behavior_insts[f].type.sid===c)return f;return-1};a.prototype.loadInstanceFromJSON=function(a,c,f){var h,b,d,e,g;g=a.type;d=g.plugin;if(f){if(!c.c2)return}else a.uid=c.uid;c.ex?a.extra=c.ex:cr.wipe(a.extra);
if(b=c.ivs)for(h in b)b.hasOwnProperty(h)&&(f=this.getInstanceVarIndexBySid(g,parseInt(h,10)),0>f||f>=a.instance_vars.length||(a.instance_vars[f]=b[h]));if(d.is_world){d=c.w;a.layer.sid!==d.l&&(f=a.layer,a.layer=this.running_layout.getLayerBySid(d.l),a.layer?(a.layer.instances.push(a),a.layer.zindices_stale=!0,cr.arrayFindRemove(f.instances,a),f.zindices_stale=!0):(a.layer=f,this.DestroyInstance(a)));a.x=d.x;a.y=d.y;a.width=d.w;a.height=d.h;a.zindex=d.zi;a.angle=d.hasOwnProperty("a")?d.a:0;a.opacity=
d.hasOwnProperty("o")?d.o:1;a.hotspotX=d.hasOwnProperty("hX")?d.hX:0.5;a.hotspotY=d.hasOwnProperty("hY")?d.hY:0.5;a.visible=d.hasOwnProperty("v")?d.v:!0;a.collisionsEnabled=d.hasOwnProperty("ce")?d.ce:!0;a.my_timescale=d.hasOwnProperty("mts")?d.mts:-1;a.blend_mode=d.hasOwnProperty("bm")?d.bm:0;a.compositeOp=cr.effectToCompositeOp(a.blend_mode);this.gl&&cr.setGLBlend(a,a.blend_mode,this.gl);a.set_bbox_changed();if(d.hasOwnProperty("fx"))for(f=0,b=d.fx.length;f<b;f++)e=g.getEffectIndexByName(d.fx[f].name),
0>e||(a.active_effect_flags[e]=d.fx[f].active,a.effect_params[e]=d.fx[f].params);a.updateActiveEffects()}if(g=c.behs)for(h in g)g.hasOwnProperty(h)&&(d=this.getBehaviorIndexBySid(a,parseInt(h,10)),0>d||a.behavior_insts[d].loadFromJSON(g[h]));c.data&&a.loadFromJSON(c.data)};cr.runtime=a;cr.createRuntime=function(c){return new a(document.getElementById(c))};cr.createDCRuntime=function(c,b){return new a({dc:!0,width:c,height:b})};window.cr_createRuntime=cr.createRuntime;window.cr_createDCRuntime=cr.createDCRuntime;
window.createCocoonJSRuntime=function(){window.c2cocoonjs=!0;var c=document.createElement("screencanvas")||document.createElement("canvas");c.screencanvas=!0;document.body.appendChild(c);c=new a(c);window.c2runtime=c;window.addEventListener("orientationchange",function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});window.c2runtime.setSize(window.innerWidth,window.innerHeight);return c}})();
window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");return a?a.c2runtime:window.c2runtime?window.c2runtime:null};window.cr_sizeCanvas=function(a,b){if(0!==a&&0!==b){var d=window.cr_getC2Runtime();d&&d.setSize(a,b)}};window.cr_setSuspended=function(a){var b=window.cr_getC2Runtime();b&&b.setSuspended(a)};
(function(){function a(a,b){this.runtime=a;this.event_sheet=null;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;this.scale=1;this.angle=0;this.first_visit=!0;this.name=b[0];this.width=b[1];this.height=b[2];this.unbounded_scrolling=b[3];this.sheetname=b[4];this.sid=b[5];var d=b[6],e,l;this.layers=[];this.initial_types=[];e=0;for(l=d.length;e<l;e++){var p=new cr.layer(this,d[e]);p.number=e;cr.seal(p);this.layers.push(p)}d=b[7];this.initial_nonworld=[];e=0;for(l=
d.length;e<l;e++){var p=d[e],n=this.runtime.types_by_index[p[1]];n.default_instance||(n.default_instance=p);this.initial_nonworld.push(p);-1===this.initial_types.indexOf(n)&&this.initial_types.push(n)}this.effect_types=[];this.active_effect_types=[];this.effect_params=[];e=0;for(l=b[8].length;e<l;e++)this.effect_types.push({id:b[8][e][0],name:b[8][e][1],shaderindex:-1,active:!0,index:e}),this.effect_params.push(b[8][e][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=
new cr.rect(0,0,1,1);this.persist_data={}}function b(a,b){this.layout=a;this.runtime=a.runtime;this.instances=[];this.scale=1;this.angle=0;this.disableAngle=!1;this.tmprect=new cr.rect(0,0,0,0);this.tmpquad=new cr.quad;this.viewBottom=this.viewTop=this.viewRight=this.viewLeft=0;this.zindices_stale=!1;this.name=b[0];this.index=b[1];this.sid=b[2];this.visible=b[3];this.background_color=b[4];this.transparent=b[5];this.parallaxX=b[6];this.parallaxY=b[7];this.opacity=b[8];this.forceOwnTexture=b[9];this.zoomRate=
b[10];this.blend_mode=b[11];this.effect_fallback=b[12];this.compositeOp="source-over";this.destBlend=this.srcBlend=0;this.render_offscreen=!1;var d=b[13],e,l;this.initial_instances=[];e=0;for(l=d.length;e<l;e++){var p=d[e],n=this.runtime.types_by_index[p[1]];n.default_instance||(n.default_instance=p,n.default_layerindex=this.index);this.initial_instances.push(p);-1===this.layout.initial_types.indexOf(n)&&this.layout.initial_types.push(n)}this.effect_types=[];this.active_effect_types=[];this.effect_params=
[];e=0;for(l=b[14].length;e<l;e++)this.effect_types.push({id:b[14][e][0],name:b[14][e][1],shaderindex:-1,active:!0,index:e}),this.effect_params.push(b[14][e][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=new cr.rect(0,0,1,1)}function d(a,b){return a.zindex-b.zindex}a.prototype.saveObjectToPersist=function(a){var b=a.type.sid.toString();this.persist_data.hasOwnProperty(b)||(this.persist_data[b]=[]);this.persist_data[b].push(this.runtime.saveInstanceToJSON(a))};
a.prototype.hasOpaqueBottomLayer=function(){var a=this.layers[0];return!a.transparent&&1===a.opacity&&!a.forceOwnTexture&&a.visible};a.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,d;a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],d.active&&this.active_effect_types.push(d)};a.prototype.getEffectByName=function(a){var b,d,e;b=0;for(d=this.effect_types.length;b<d;b++)if(e=this.effect_types[b],e.name===a)return e;return null};var e=[];a.prototype.startRunning=
function(){this.sheetname&&(this.event_sheet=this.runtime.eventsheets[this.sheetname]);this.runtime.running_layout=this;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;var a,b,g,r,l,p,n;a=0;for(g=this.runtime.types_by_index.length;a<g;a++)if(b=this.runtime.types_by_index[a],!b.is_family)for(l=b.instances,b=0,r=l.length;b<r;b++)if(p=l[b],p.layer){var m=p.layer.number;m>=this.layers.length&&(m=this.layers.length-1);p.layer=this.layers[m];p.layer.instances.push(p);
p.layer.zindices_stale=!0}e.length=0;this.boundScrolling();a=0;for(g=this.layers.length;a<g;a++)p=this.layers[a],p.createInitialInstances(),p.disableAngle=!0,b=p.canvasToLayer(0,0,!0,!0),r=p.canvasToLayer(0,0,!1,!0),p.disableAngle=!1,this.runtime.pixel_rounding&&(b=b+0.5|0,r=r+0.5|0),p.rotateViewport(b,r,null);l=!1;if(!this.first_visit){for(n in this.persist_data)if(this.persist_data.hasOwnProperty(n)&&(b=this.runtime.getObjectTypeBySid(parseInt(n,10)))&&!b.is_family&&this.runtime.typeHasPersistBehavior(b)){r=
this.persist_data[n];a=0;for(g=r.length;a<g;a++){p=null;if(b.plugin.is_world&&(p=this.getLayerBySid(r[a].w.l),!p))continue;p=this.runtime.createInstanceFromInit(b.default_instance,p,!1,0,0,!0);this.runtime.loadInstanceFromJSON(p,r[a]);l=!0;e.push(p)}r.length=0}a=0;for(g=this.layers.length;a<g;a++)this.layers[a].instances.sort(d),this.layers[a].zindices_stale=!0}l&&(this.runtime.ClearDeathRow(),this.runtime.refreshUidMap());for(a=0;a<e.length;a++)if(p=e[a],p.type.is_contained)for(g=p.get_iid(),b=0,
r=p.type.container.length;b<r;b++)n=p.type.container[b],p.type!==n&&(n.instances.length>g?p.siblings.push(n.instances[g]):n.default_instance&&(l=this.runtime.createInstanceFromInit(n.default_instance,p.layer,!0,p.x,p.y,!0),this.runtime.ClearDeathRow(),n.updateIIDs(),p.siblings.push(l),e.push(l)));a=0;for(g=this.initial_nonworld.length;a<g;a++)this.runtime.createInstanceFromInit(this.initial_nonworld[a],null,!0);this.runtime.changelayout=null;this.runtime.ClearDeathRow();if(this.runtime.ctx&&!this.runtime.isDomFree)for(a=
0,g=this.runtime.types_by_index.length;a<g;a++)n=this.runtime.types_by_index[a],!n.is_family&&n.instances.length&&n.preloadCanvas2D&&n.preloadCanvas2D(this.runtime.ctx);a=0;for(g=e.length;a<g;a++)p=e[a],this.runtime.trigger(Object.getPrototypeOf(p.type.plugin).cnds.OnCreated,p);e.length=0;this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart,null);this.first_visit=!1};a.prototype.createGlobalNonWorlds=function(){var a,b,d,e,l;b=a=0;for(d=this.initial_nonworld.length;a<d;a++)e=this.initial_nonworld[a],
l=this.runtime.types_by_index[e[1]],l.global?this.runtime.createInstanceFromInit(e,null,!0):(this.initial_nonworld[b]=e,b++);this.initial_nonworld.length=b};a.prototype.stopRunning=function(){this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd,null);this.runtime.system.waits.length=0;var a,b,d,e,l,p;a=0;for(b=this.layers.length;a<b;a++){l=this.layers[a].instances;d=0;for(e=l.length;d<e;d++)p=l[d],p.type.global||(this.runtime.typeHasPersistBehavior(p.type)&&this.saveObjectToPersist(p),
this.runtime.DestroyInstance(p));this.runtime.ClearDeathRow();l.length=0;this.layers[a].zindices_stale=!0}a=0;for(b=this.runtime.types_by_index.length;a<b;a++)if(l=this.runtime.types_by_index[a],!(l.global||l.plugin.is_world||l.plugin.singleglobal||l.is_family)){d=0;for(e=l.instances.length;d<e;d++)this.runtime.DestroyInstance(l.instances[d]);this.runtime.ClearDeathRow()}};a.prototype.draw=function(a){var b,d=a,e=!1,l=!this.runtime.fullscreenScalingQuality;l&&(this.runtime.layout_canvas||(this.runtime.layout_canvas=
document.createElement("canvas"),b=this.runtime.layout_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layout_ctx=b.getContext("2d"),e=!0),b=this.runtime.layout_canvas,d=this.runtime.layout_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,e=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,e=!0),e&&(d.webkitImageSmoothingEnabled=this.runtime.linearSampling,d.mozImageSmoothingEnabled=this.runtime.linearSampling,
d.msImageSmoothingEnabled=this.runtime.linearSampling,d.imageSmoothingEnabled=this.runtime.linearSampling));d.globalAlpha=1;d.globalCompositeOperation="source-over";this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&d.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height);var p,n,e=0;for(p=this.layers.length;e<p;e++)n=this.layers[e],n.visible&&0<n.opacity&&11!==n.blend_mode&&n.draw(d);l&&a.drawImage(b,0,0,this.runtime.width,this.runtime.height)};a.prototype.drawGL=function(a){var b=
0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality;if(b){this.runtime.layout_tex||(this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layout_tex.c2width!==this.runtime.draw_width||this.runtime.layout_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,
this.runtime.draw_height,this.runtime.linearSampling);a.setRenderingToTexture(this.runtime.layout_tex);this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.draw_width,this.runtime.draw_height)}else this.runtime.layout_tex&&(a.setRenderingToTexture(null),a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=null);this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&a.clear(0,0,0,0);var d,e;d=0;for(e=this.layers.length;d<e;d++)this.layers[d].visible&&0<this.layers[d].opacity&&
this.layers[d].drawGL(a);b&&(0===this.active_effect_types.length||1===this.active_effect_types.length&&this.runtime.fullscreenScalingQuality?(1===this.active_effect_types.length?(b=this.active_effect_types[0].index,a.switchProgram(this.active_effect_types[0].shaderindex),a.setProgramParameters(null,1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.scale,this.angle,0,0,this.effect_params[b]),a.programIsAnimated(this.active_effect_types[0].shaderindex)&&(this.runtime.redraw=!0)):a.switchProgram(0),
this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.width,this.runtime.height),a.setRenderingToTexture(null),a.setOpacity(1),a.setTexture(this.runtime.layout_tex),a.setAlphaBlend(),a.resetModelView(),a.updateModelView(),b=this.runtime.width/2,d=this.runtime.height/2,a.quad(-b,d,b,d,b,-d,-b,-d),a.setTexture(null)):this.renderEffectChain(a,null,null,null))};a.prototype.getRenderTarget=function(){return 0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality?
this.runtime.layout_tex:null};a.prototype.getMinLayerScale=function(){var a=this.layers[0].getScale(),b,d,e;b=1;for(d=this.layers.length;b<d;b++)e=this.layers[b],(0!==e.parallaxX||0!==e.parallaxY)&&e.getScale()<a&&(a=e.getScale());return a};a.prototype.scrollToX=function(a){if(!this.unbounded_scrolling){var b=this.runtime.draw_width*(1/this.getMinLayerScale())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.runtime.redraw=!0)};a.prototype.scrollToY=function(a){if(!this.unbounded_scrolling){var b=
this.runtime.draw_height*(1/this.getMinLayerScale())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.runtime.redraw=!0)};a.prototype.boundScrolling=function(){this.scrollToX(this.scrollX);this.scrollToY(this.scrollY)};a.prototype.renderEffectChain=function(a,b,d,e){var l=d?d.active_effect_types:b?b.active_effect_types:this.active_effect_types,p=1,n=0,m=0,s=0;d?(p=d.layer.getScale(),n=d.layer.getAngle(),m=d.layer.viewLeft,s=d.layer.viewTop):b&&(p=b.getScale(),
n=b.getAngle(),m=b.viewLeft,s=b.viewTop);var q=this.runtime.fx_tex,u,x,w,t,v=0,f=1,h,C=this.runtime.draw_width,z=this.runtime.draw_height,A=C/2,y=z/2,E=b?b.rcTex:this.rcTex,F=b?b.rcTex2:this.rcTex2,B=0,M=0,J=0,I=0,G=C,U=C,O=z,V=z,K=w=0,D=d?d.layer.getAngle():0;if(d){u=0;for(x=l.length;u<x;u++)w+=a.getProgramBoxExtendHorizontal(l[u].shaderindex),K+=a.getProgramBoxExtendVertical(l[u].shaderindex);t=d.bbox;B=b.layerToCanvas(t.left,t.top,!0,!0);J=b.layerToCanvas(t.left,t.top,!1,!0);G=b.layerToCanvas(t.right,
t.bottom,!0,!0);O=b.layerToCanvas(t.right,t.bottom,!1,!0);0!==D&&(u=b.layerToCanvas(t.right,t.top,!0,!0),x=b.layerToCanvas(t.right,t.top,!1,!0),M=b.layerToCanvas(t.left,t.bottom,!0,!0),I=b.layerToCanvas(t.left,t.bottom,!1,!0),t=Math.min(B,G,u,M),G=Math.max(B,G,u,M),B=t,t=Math.min(J,O,x,I),O=Math.max(J,O,x,I),J=t);B-=w;J-=K;G+=w;O+=K;F.left=B/C;F.top=1-J/z;F.right=G/C;F.bottom=1-O/z;M=B=cr.floor(B);I=J=cr.floor(J);U=G=cr.ceil(G);V=O=cr.ceil(O);M-=w;I-=K;U+=w;V+=K;0>B&&(B=0);0>J&&(J=0);G>C&&(G=C);O>
z&&(O=z);0>M&&(M=0);0>I&&(I=0);U>C&&(U=C);V>z&&(V=z);E.left=B/C;E.top=1-J/z;E.right=G/C;E.bottom=1-O/z}else E.left=F.left=0,E.top=F.top=0,E.right=F.right=1,E.bottom=F.bottom=1;K=d&&((d.angle||D)&&a.programUsesDest(l[0].shaderindex)||0!==w||0!==K||1!==d.opacity||d.type.plugin.must_predraw)||b&&!d&&1!==b.opacity;a.setAlphaBlend();if(K){q[v]||(q[v]=a.createEmptyTexture(C,z,this.runtime.linearSampling));if(q[v].c2width!==C||q[v].c2height!==z)a.deleteTexture(q[v]),q[v]=a.createEmptyTexture(C,z,this.runtime.linearSampling);
a.switchProgram(0);a.setRenderingToTexture(q[v]);h=V-I;a.clearRect(M,z-I-h,U-M,h);d?d.drawGL(a):(a.setTexture(this.runtime.layer_tex),a.setOpacity(b.opacity),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),a.quadTex(B,O,G,O,G,J,B,J,E));F.left=F.top=0;F.right=F.bottom=1;d&&(t=E.top,E.top=E.bottom,E.bottom=t);v=1;f=0}a.setOpacity(1);w=l.length-1;var D=a.programUsesCrossSampling(l[w].shaderindex)||!b&&!d&&!this.runtime.fullscreenScalingQuality,S=0;u=0;for(x=l.length;u<x;u++){q[v]||(q[v]=a.createEmptyTexture(C,
z,this.runtime.linearSampling));if(q[v].c2width!==C||q[v].c2height!==z)a.deleteTexture(q[v]),q[v]=a.createEmptyTexture(C,z,this.runtime.linearSampling);a.switchProgram(l[u].shaderindex);S=l[u].index;a.programIsAnimated(l[u].shaderindex)&&(this.runtime.redraw=!0);0!=u||K?(a.setProgramParameters(e,1/C,1/z,F.left,F.top,F.right,F.bottom,p,n,m,s,d?d.effect_params[S]:b?b.effect_params[S]:this.effect_params[S]),a.setTexture(null),u!==w||D?(a.setRenderingToTexture(q[v]),h=V-I,t=z-I-h,a.clearRect(M,t,U-M,
h)):(d?a.setBlend(d.srcBlend,d.destBlend):b&&a.setBlend(b.srcBlend,b.destBlend),a.setRenderingToTexture(e)),a.setTexture(q[f]),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),a.quadTex(B,O,G,O,G,J,B,J,E),u!==w||D||a.setTexture(null)):(a.setRenderingToTexture(q[v]),h=V-I,t=z-I-h,a.clearRect(M,t,U-M,h),d?(a.setProgramParameters(e,1/d.width,1/d.height,F.left,F.top,F.right,F.bottom,p,n,m,s,d.effect_params[S]),d.drawGL(a)):(a.setProgramParameters(e,1/C,1/z,0,0,1,1,p,n,m,s,b?b.effect_params[S]:
this.effect_params[S]),a.setTexture(b?this.runtime.layer_tex:this.runtime.layout_tex),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),a.quadTex(B,O,G,O,G,J,B,J,E)),F.left=F.top=0,F.right=F.bottom=1,d&&!D&&(t=O,O=J,J=t));v=0===v?1:0;f=0===v?1:0}D&&(a.switchProgram(0),d?a.setBlend(d.srcBlend,d.destBlend):b?a.setBlend(b.srcBlend,b.destBlend):this.runtime.fullscreenScalingQuality||(a.setSize(this.runtime.width,this.runtime.height),A=this.runtime.width/2,y=this.runtime.height/2,J=B=0,G=this.runtime.width,
O=this.runtime.height),a.setRenderingToTexture(e),a.setTexture(q[f]),a.resetModelView(),a.translate(-A,-y),a.updateModelView(),d&&1===l.length&&!K?a.quadTex(B,J,G,J,G,O,B,O,E):a.quadTex(B,O,G,O,G,J,B,J,E),a.setTexture(null))};a.prototype.getLayerBySid=function(a){var b,d;b=0;for(d=this.layers.length;b<d;b++)if(this.layers[b].sid===a)return this.layers[b];return null};a.prototype.saveToJSON=function(){var a,b,d,e={sx:this.scrollX,sy:this.scrollY,s:this.scale,a:this.angle,w:this.width,h:this.height,
fv:this.first_visit,persist:this.persist_data,fx:[],layers:{}};a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],e.fx.push({name:d.name,active:d.active,params:this.effect_params[d.index]});a=0;for(b=this.layers.length;a<b;a++)d=this.layers[a],e.layers[d.sid.toString()]=d.saveToJSON();return e};a.prototype.loadFromJSON=function(a){var b,d,e,l;this.scrollX=a.sx;this.scrollY=a.sy;this.scale=a.s;this.angle=a.a;this.width=a.w;this.height=a.h;this.persist_data=a.persist;"undefined"!==typeof a.fv&&
(this.first_visit=a.fv);var p=a.fx;b=0;for(d=p.length;b<d;b++)if(e=this.getEffectByName(p[b].name))e.active=p[b].active,this.effect_params[e.index]=p[b].params;this.updateActiveEffects();b=a.layers;for(l in b)b.hasOwnProperty(l)&&(a=this.getLayerBySid(parseInt(l,10)))&&a.loadFromJSON(b[l])};cr.layout=a;b.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,d;a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],d.active&&this.active_effect_types.push(d)};
b.prototype.getEffectByName=function(a){var b,d,e;b=0;for(d=this.effect_types.length;b<d;b++)if(e=this.effect_types[b],e.name===a)return e;return null};b.prototype.createInitialInstances=function(){var a,b,d,r,l,p;b=a=0;for(d=this.initial_instances.length;a<d;a++){r=this.initial_instances[a];l=this.runtime.types_by_index[r[1]];p=this.runtime.typeHasPersistBehavior(l);l=!0;if(!p||this.layout.first_visit)r=this.runtime.createInstanceFromInit(r,this,!0),e.push(r),r.type.global&&(l=!1);l&&(this.initial_instances[b]=
this.initial_instances[a],b++)}this.initial_instances.length=b;this.runtime.ClearDeathRow();!this.runtime.glwrap&&this.effect_types.length&&(this.blend_mode=this.effect_fallback);this.compositeOp=cr.effectToCompositeOp(this.blend_mode);this.runtime.gl&&cr.setGLBlend(this,this.blend_mode,this.runtime.gl)};b.prototype.updateZIndices=function(){if(this.zindices_stale){var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].zindex=a;this.zindices_stale=!1}};b.prototype.getScale=function(a){return this.getNormalScale()*
(this.runtime.fullscreenScalingQuality||a?this.runtime.aspect_scale:1)};b.prototype.getNormalScale=function(){return(this.scale*this.layout.scale-1)*this.zoomRate+1};b.prototype.getAngle=function(){return this.disableAngle?0:cr.clamp_angle(this.layout.angle+this.angle)};b.prototype.draw=function(a){this.render_offscreen=this.forceOwnTexture||1!==this.opacity||0!==this.blend_mode;var b=this.runtime.canvas,d=a,e=!1;a.globalAlpha=1;a.globalCompositeOperation="source-over";this.render_offscreen&&(this.runtime.layer_canvas||
(this.runtime.layer_canvas=document.createElement("canvas"),b=this.runtime.layer_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layer_ctx=b.getContext("2d"),e=!0),b=this.runtime.layer_canvas,d=this.runtime.layer_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,e=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,e=!0),e&&(d.webkitImageSmoothingEnabled=this.runtime.linearSampling,d.mozImageSmoothingEnabled=this.runtime.linearSampling,
d.msImageSmoothingEnabled=this.runtime.linearSampling,d.imageSmoothingEnabled=this.runtime.linearSampling),this.transparent&&d.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height));this.transparent||(d.fillStyle="rgb("+this.background_color[0]+","+this.background_color[1]+","+this.background_color[2]+")",d.fillRect(0,0,this.runtime.draw_width,this.runtime.draw_height));d.save();this.disableAngle=!0;var e=this.canvasToLayer(0,0,!0,!0),l=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;
this.runtime.pixel_rounding&&(e=e+0.5|0,l=l+0.5|0);this.rotateViewport(e,l,d);var p=this.getScale();d.scale(p,p);d.translate(-e,-l);for(var n,e=0,l=this.instances.length;e<l;e++)p=this.instances[e],p.visible&&0!==p.width&&0!==p.height&&(p.update_bbox(),n=p.bbox,n.right<this.viewLeft||n.bottom<this.viewTop||n.left>this.viewRight||n.top>this.viewBottom||(d.globalCompositeOperation=p.compositeOp,p.draw(d)));d.restore();this.render_offscreen&&(a.globalCompositeOperation=this.compositeOp,a.globalAlpha=
this.opacity,a.drawImage(b,0,0))};b.prototype.rotateViewport=function(a,b,d){var e=this.getScale();this.viewLeft=a;this.viewTop=b;this.viewRight=a+this.runtime.draw_width*(1/e);this.viewBottom=b+this.runtime.draw_height*(1/e);a=this.getAngle();0!==a&&(d&&(d.translate(this.runtime.draw_width/2,this.runtime.draw_height/2),d.rotate(-a),d.translate(this.runtime.draw_width/-2,this.runtime.draw_height/-2)),this.tmprect.set(this.viewLeft,this.viewTop,this.viewRight,this.viewBottom),this.tmprect.offset((this.viewLeft+
this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),this.tmpquad.set_from_rotated_rect(this.tmprect,a),this.tmpquad.bounding_box(this.tmprect),this.tmprect.offset((this.viewLeft+this.viewRight)/2,(this.viewTop+this.viewBottom)/2),this.viewLeft=this.tmprect.left,this.viewTop=this.tmprect.top,this.viewRight=this.tmprect.right,this.viewBottom=this.tmprect.bottom)};b.prototype.drawGL=function(a){var b=this.runtime.draw_width,d=this.runtime.draw_height,e=0,l=0;if(this.render_offscreen=this.forceOwnTexture||
1!==this.opacity||0<this.active_effect_types.length||0!==this.blend_mode){this.runtime.layer_tex||(this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layer_tex.c2width!==this.runtime.draw_width||this.runtime.layer_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layer_tex),this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling);
a.setRenderingToTexture(this.runtime.layer_tex);this.transparent&&a.clear(0,0,0,0)}this.transparent||a.clear(this.background_color[0]/255,this.background_color[1]/255,this.background_color[2]/255,1);this.disableAngle=!0;var l=this.canvasToLayer(0,0,!0,!0),p=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;this.runtime.pixel_rounding&&(l=l+0.5|0,p=p+0.5|0);this.rotateViewport(l,p,null);p=this.getScale();a.resetModelView();a.scale(p,p);a.rotateZ(-this.getAngle());a.translate((this.viewLeft+this.viewRight)/
-2,(this.viewTop+this.viewBottom)/-2);a.updateModelView();var n,m,s;n=0;for(m=this.instances.length;n<m;n++)if(s=this.instances[n],s.visible&&0!==s.width&&0!==s.height&&(s.update_bbox(),e=s.bbox,!(e.right<this.viewLeft||e.bottom<this.viewTop||e.left>this.viewRight||e.top>this.viewBottom)))if(s.uses_shaders)if(e=s.active_effect_types[0].shaderindex,l=s.active_effect_types[0].index,1!==s.active_effect_types.length||a.programUsesCrossSampling(e)||a.programExtendsBox(e)||(s.angle||s.layer.getAngle())&&
a.programUsesDest(e)||1!==s.opacity||s.type.plugin.must_predraw)this.layout.renderEffectChain(a,this,s,this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget()),a.resetModelView(),a.scale(p,p),a.rotateZ(-this.getAngle()),a.translate((this.viewLeft+this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),a.updateModelView();else{a.switchProgram(e);a.setBlend(s.srcBlend,s.destBlend);a.programIsAnimated(e)&&(this.runtime.redraw=!0);var q=0,u=0,x=0,w=0;a.programUsesDest(e)&&(e=s.bbox,q=
this.layerToCanvas(e.left,e.top,!0,!0),u=this.layerToCanvas(e.left,e.top,!1,!0),x=this.layerToCanvas(e.right,e.bottom,!0,!0),e=this.layerToCanvas(e.right,e.bottom,!1,!0),q/=b,u=1-u/d,x/=b,w=1-e/d);a.setProgramParameters(this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget(),1/s.width,1/s.height,q,u,x,w,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,s.effect_params[l]);s.drawGL(a)}else a.switchProgram(0),a.setBlend(s.srcBlend,s.destBlend),s.drawGL(a);this.render_offscreen&&
(e=this.active_effect_types.length?this.active_effect_types[0].shaderindex:0,l=this.active_effect_types.length?this.active_effect_types[0].index:0,0===this.active_effect_types.length||1===this.active_effect_types.length&&!a.programUsesCrossSampling(e)&&1===this.opacity?(1===this.active_effect_types.length?(a.switchProgram(e),a.setProgramParameters(this.layout.getRenderTarget(),1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,this.effect_params[l]),
a.programIsAnimated(e)&&(this.runtime.redraw=!0)):a.switchProgram(0),a.setRenderingToTexture(this.layout.getRenderTarget()),a.setOpacity(this.opacity),a.setTexture(this.runtime.layer_tex),a.setBlend(this.srcBlend,this.destBlend),a.resetModelView(),a.updateModelView(),b=this.runtime.draw_width/2,d=this.runtime.draw_height/2,a.quad(-b,d,b,d,b,-d,-b,-d),a.setTexture(null)):this.layout.renderEffectChain(a,this,null,this.layout.getRenderTarget()))};b.prototype.canvasToLayer=function(a,b,d,e){var l=this.runtime.devicePixelRatio;
this.runtime.isRetina&&(a*=l,b*=l);var l=this.runtime.parallax_x_origin,p=this.runtime.parallax_y_origin,l=(this.layout.scrollX-l)*this.parallaxX+l,p=(this.layout.scrollY-p)*this.parallaxY+p,n=1/this.getScale(!e);e?(l-=this.runtime.draw_width*n/2,p-=this.runtime.draw_height*n/2):(l-=this.runtime.width*n/2,p-=this.runtime.height*n/2);l+=a*n;p+=b*n;b=this.getAngle();0!==b&&(l-=this.layout.scrollX,p-=this.layout.scrollY,a=Math.cos(b),b=Math.sin(b),e=l*a-p*b,p=p*a+l*b,l=e+this.layout.scrollX,p+=this.layout.scrollY);
return d?l:p};b.prototype.layerToCanvas=function(a,b,d,e){var l=this.getAngle();if(0!==l){a-=this.layout.scrollX;b-=this.layout.scrollY;var p=Math.cos(-l),l=Math.sin(-l),n=a*p-b*l;b=b*p+a*l;a=n+this.layout.scrollX;b+=this.layout.scrollY}p=this.runtime.parallax_x_origin;l=this.runtime.parallax_y_origin;p=(this.layout.scrollX-p)*this.parallaxX+p;l=(this.layout.scrollY-l)*this.parallaxY+l;n=1/this.getScale(!e);e?(p-=this.runtime.draw_width*n/2,l-=this.runtime.draw_height*n/2):(p-=this.runtime.width*
n/2,l-=this.runtime.height*n/2);p=(a-p)/n;l=(b-l)/n;a=this.runtime.devicePixelRatio;this.runtime.isRetina&&(p/=a,l/=a);return d?p:l};b.prototype.rotatePt=function(a,b,d){if(0===this.getAngle())return d?a:b;var e=this.layerToCanvas(a,b,!0);b=this.layerToCanvas(a,b,!1);this.disableAngle=!0;a=this.canvasToLayer(e,b,!0);e=this.canvasToLayer(e,b,!0);this.disableAngle=!1;return d?a:e};b.prototype.saveToJSON=function(){var a,b,d,e={s:this.scale,a:this.angle,vl:this.viewLeft,vt:this.viewTop,vr:this.viewRight,
vb:this.viewBottom,v:this.visible,bc:this.background_color,t:this.transparent,px:this.parallaxX,py:this.parallaxY,o:this.opacity,zr:this.zoomRate,fx:[],instances:[]};a=0;for(b=this.effect_types.length;a<b;a++)d=this.effect_types[a],e.fx.push({name:d.name,active:d.active,params:this.effect_params[d.index]});return e};b.prototype.loadFromJSON=function(a){var b,e;this.scale=a.s;this.angle=a.a;this.viewLeft=a.vl;this.viewTop=a.vt;this.viewRight=a.vr;this.viewBottom=a.vb;this.visible=a.v;this.background_color=
a.bc;this.transparent=a.t;this.parallaxX=a.px;this.parallaxY=a.py;this.opacity=a.o;this.zoomRate=a.zr;var r=a.fx;a=0;for(b=r.length;a<b;a++)if(e=this.getEffectByName(r[a].name))e.active=r[a].active,this.effect_params[e.index]=r[a].params;this.updateActiveEffects();this.instances.sort(d);this.zindices_stale=!0};cr.layer=b})();
(function(){function a(a,b){var d,f=a.length;switch(f){case 0:return!0;case 1:return a[0]===b[0];case 2:return a[0]===b[0]&&a[1]===b[1];default:for(d=0;d<f;d++)if(a[d]!==b[d])return!1;return!0}}function b(a,b){return a.index-b.index}function d(d){var c,e,f,h;2===d.length?d[0].index>d[1].index&&(c=d[0],d[0]=d[1],d[1]=c):2<d.length&&d.sort(b);d.length>=q.length&&(q.length=d.length+1);q[d.length]||(q[d.length]=[]);h=q[d.length];c=0;for(e=h.length;c<e;c++)if(f=h[c],a(d,f))return f;h.push(d);return d}
function e(a,b){this.runtime=a;this.triggers={};this.fasttriggers={};this.hasRun=!1;this.includes=new cr.ObjectSet;this.name=b[0];var d=b[1];this.events=[];var f,h;f=0;for(h=d.length;f<h;f++)this.init_event(d[f],null,this.events)}function c(a){this.type=a;this.instances=[];this.else_instances=[];this.select_all=!0}function k(a,b,d){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.solModifiersIncludingParents=[];this.has_else_block=this.toplevelgroup=this.toplevelevent=this.initially_activated=
this.group=this.solWriterAfterCnds=!1;this.conditions=[];this.actions=[];this.subevents=[];d[1]?(this.group_name=d[1][1].toLowerCase(),this.group=!0,this.initially_activated=!!d[1][0],this.runtime.allGroups.push(this),this.runtime.activeGroups[this.group_name.toLowerCase()]=this.initially_activated):(this.group_name="",this.initially_activated=this.group=!1);this.orblock=d[2];this.sid=d[4];this.group||(this.runtime.blocksBySid[this.sid.toString()]=this);var f=d[5];a=0;for(b=f.length;a<b;a++){var h=
new cr.condition(this,f[a]);h.index=a;cr.seal(h);this.conditions.push(h);this.addSolModifier(h.type)}f=d[6];a=0;for(b=f.length;a<b;a++)h=new cr.action(this,f[a]),h.index=a,cr.seal(h),this.actions.push(h);if(8===d.length)for(d=d[7],a=0,b=d.length;a<b;a++)this.sheet.init_event(d[a],this,this.subevents);this.is_else_block=!1;this.conditions.length&&(this.is_else_block=null==this.conditions[0].type&&this.conditions[0].func==cr.system_object.prototype.cnds.Else)}function g(a,b){var d,f,h;if(a&&(-1===b.indexOf(a)&&
b.push(a),a.is_contained))for(d=0,f=a.container.length;d<f;d++)h=a.container[d],a!==h&&-1===b.indexOf(h)&&b.push(h)}function r(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.func=b[1];this.trigger=0<b[3];this.fasttrigger=2===b[3];this.looping=b[4];this.inverted=b[5];this.isstatic=b[6];this.sid=b[7];this.runtime.cndsBySid[this.sid.toString()]=this;-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,
this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],this.run=this.isstatic?this.run_static:this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1),this.block.parent&&this.block.parent.setSolWriterAfterCnds());this.fasttrigger&&(this.run=this.run_true);if(10===b.length){var d,f,h=b[9];d=0;for(f=h.length;d<f;d++){var c=new cr.parameter(this,h[d]);cr.seal(c);this.parameters.push(c)}this.results.length=
h.length}}function l(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.func=b[1];-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],this.run=this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1));this.sid=b[3];this.runtime.actsBySid[this.sid.toString()]=
this;if(6===b.length){var d,f,h=b[5];d=0;for(f=h.length;d<f;d++){var c=new cr.parameter(this,h[d]);cr.seal(c);this.parameters.push(c)}this.results.length=h.length}}function p(a,b){this.owner=a;this.block=a.block;this.sheet=a.sheet;this.runtime=a.runtime;this.type=b[0];this.expression=null;this.combosel=this.solindex=0;this.layout=null;this.key=0;this.object=null;this.index=0;this.variadicret=this.subparams=this.fileinfo=this.eventvar=this.varname=null;var d,f,h;switch(b[0]){case 0:case 7:this.expression=
new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp;break;case 1:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp_str;break;case 5:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_layer;break;case 3:case 8:this.combosel=b[1];this.get=this.get_combosel;break;case 6:this.layout=this.runtime.layouts[b[1]];this.get=this.get_layout;break;case 9:this.key=b[1];this.get=this.get_key;break;case 4:this.object=this.runtime.types_by_index[b[1]];
this.get=this.get_object;this.block.addSolModifier(this.object);this.owner instanceof cr.action?this.block.setSolWriterAfterCnds():this.block.parent&&this.block.parent.setSolWriterAfterCnds();break;case 10:this.index=b[1];this.get=a.type.is_family?this.get_familyvar:this.get_instvar;break;case 11:this.varname=b[1];this.eventvar=null;this.get=this.get_eventvar;break;case 2:case 12:this.fileinfo=b[1];this.get=this.get_audiofile;break;case 13:for(this.get=this.get_variadic,this.subparams=[],this.variadicret=
[],d=1,f=b.length;d<f;d++)h=new cr.parameter(this.owner,b[d]),cr.seal(h),this.subparams.push(h),this.variadicret.push(0)}}function n(a,b,d){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.name=d[1];this.vartype=d[2];this.initial=d[3];this.is_static=!!d[4];this.is_constant=!!d[5];this.sid=d[6];this.runtime.varsBySid[this.sid.toString()]=this;this.data=this.initial;this.parent?(this.localIndex=this.is_static||this.is_constant?-1:this.runtime.stackLocalCount++,this.runtime.all_local_vars.push(this)):
(this.localIndex=-1,this.runtime.all_global_vars.push(this))}function m(a,b,d){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.include_sheet=null;this.include_sheet_name=d[1]}function s(){this.temp_parents_arr=[];this.reset(null);cr.seal(this)}var q=[];e.prototype.toString=function(){return this.name};e.prototype.init_event=function(a,b,d){switch(a[0]){case 0:a=new cr.eventblock(this,b,a);cr.seal(a);if(a.orblock)for(d.push(a),d=0,b=a.conditions.length;d<b;d++)a.conditions[d].trigger&&
this.init_trigger(a,d);else a.is_trigger()?this.init_trigger(a,0):d.push(a);break;case 1:a=new cr.eventvariable(this,b,a);cr.seal(a);d.push(a);break;case 2:a=new cr.eventinclude(this,b,a),cr.seal(a),d.push(a)}};e.prototype.postInit=function(){var a,b;a=0;for(b=this.events.length;a<b;a++)this.events[a].postInit(a<b-1&&this.events[a+1].is_else_block)};e.prototype.run=function(a){this.runtime.resuming_breakpoint||(this.hasRun=!0,a||(this.runtime.isRunningEvents=!0));var b,d;b=0;for(d=this.events.length;b<
d;b++){var f=this.events[b];f.run();this.runtime.clearSol(f.solModifiers);this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()}a||(this.runtime.isRunningEvents=!1)};e.prototype.init_trigger=function(a,b){a.orblock||this.runtime.triggers_to_postinit.push(a);var d,f,h=a.conditions[b],c;c=h.type?h.type.name:"system";var e=(d=h.fasttrigger)?this.fasttriggers:this.triggers;e[c]||(e[c]=[]);c=e[c];e=h.func;if(d){if(h.parameters.length&&(h=h.parameters[0],1===h.type&&
2===h.expression.type)){h=h.expression.value.toLowerCase();d=0;for(f=c.length;d<f;d++)if(c[d].method==e){d=c[d].evs;d[h]?d[h].push([a,b]):d[h]=[[a,b]];return}d={};d[h]=[[a,b]];c.push({method:e,evs:d})}}else{d=0;for(f=c.length;d<f;d++)if(c[d].method==e){c[d].evs.push([a,b]);return}c.push({method:e,evs:[[a,b]]})}};cr.eventsheet=e;c.prototype.hasObjects=function(){return this.select_all?this.type.instances.length:this.instances.length};c.prototype.getObjects=function(){return this.select_all?this.type.instances:
this.instances};c.prototype.pick_one=function(a){a&&(a.runtime.getCurrentEventStack().current_event.orblock?(this.select_all&&(this.instances.length=0,cr.shallowAssignArray(this.else_instances,a.type.instances),this.select_all=!1),a=this.else_instances.indexOf(a),-1!==a&&(this.instances.push(this.else_instances[a]),this.else_instances.splice(a,1))):(this.select_all=!1,this.instances.length=1,this.instances[0]=a))};cr.selection=c;window._c2hh_="8298F408C605618B5AA7CD9EF53456B82D2BD6A1";k.prototype.postInit=
function(a){var b,c=this.parent;if(this.group)for(this.toplevelgroup=!0;c;){if(!c.group){this.toplevelgroup=!1;break}c=c.parent}this.toplevelevent=!this.is_trigger()&&(!this.parent||this.parent.group&&this.parent.toplevelgroup);this.has_else_block=!!a;this.solModifiersIncludingParents=this.solModifiers.slice(0);for(c=this.parent;c;){a=0;for(b=c.solModifiers.length;a<b;a++)this.addParentSolModifier(c.solModifiers[a]);c=c.parent}this.solModifiers=d(this.solModifiers);this.solModifiersIncludingParents=
d(this.solModifiersIncludingParents);a=0;for(b=this.conditions.length;a<b;a++)this.conditions[a].postInit();a=0;for(b=this.actions.length;a<b;a++)this.actions[a].postInit();a=0;for(b=this.subevents.length;a<b;a++)this.subevents[a].postInit(a<b-1&&this.subevents[a+1].is_else_block)};k.prototype.addSolModifier=function(a){g(a,this.solModifiers)};k.prototype.addParentSolModifier=function(a){g(a,this.solModifiersIncludingParents)};k.prototype.setSolWriterAfterCnds=function(){this.solWriterAfterCnds=!0;
this.parent&&this.parent.setSolWriterAfterCnds()};k.prototype.is_trigger=function(){return this.conditions.length?this.conditions[0].trigger:!1};k.prototype.run=function(){var a,b=!1,d,f=this.runtime.getCurrentEventStack();f.current_event=this;this.is_else_block||(f.else_branch_ran=!1);if(this.orblock){0===this.conditions.length&&(b=!0);f.cndindex=0;for(a=this.conditions.length;f.cndindex<a;f.cndindex++)this.conditions[f.cndindex].trigger||(d=this.conditions[f.cndindex].run())&&(b=!0);(f.last_event_true=
b)&&this.run_actions_and_subevents()}else{f.cndindex=0;for(a=this.conditions.length;f.cndindex<a;f.cndindex++)if(d=this.conditions[f.cndindex].run(),!d){f.last_event_true=!1;!this.toplevelevent||this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow();return}f.last_event_true=!0;this.run_actions_and_subevents()}this.end_run(f)};k.prototype.end_run=function(a){a.last_event_true&&this.has_else_block&&(a.else_branch_ran=!0);!this.toplevelevent||this.runtime.deathRow.isEmpty()&&
!this.runtime.createRow.length||this.runtime.ClearDeathRow()};k.prototype.run_orblocktrigger=function(a){this.runtime.getCurrentEventStack().current_event=this;this.conditions[a].run()&&(this.run_actions_and_subevents(),this.runtime.getCurrentEventStack().last_event_true=!0)};k.prototype.run_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),b;a.actindex=0;for(b=this.actions.length;a.actindex<b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};k.prototype.resume_actions_and_subevents=
function(){var a=this.runtime.getCurrentEventStack(),b;for(b=this.actions.length;a.actindex<b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};k.prototype.run_subevents=function(){if(this.subevents.length){var a,b,d,f,h=this.subevents.length-1;this.runtime.pushEventStack(this);if(this.solWriterAfterCnds)for(a=0,b=this.subevents.length;a<b;a++)d=this.subevents[a],(f=!this.toplevelgroup||!this.group&&a<h)&&this.runtime.pushCopySol(d.solModifiers),d.run(),f?this.runtime.popSol(d.solModifiers):
this.runtime.clearSol(d.solModifiers);else for(a=0,b=this.subevents.length;a<b;a++)this.subevents[a].run();this.runtime.popEventStack()}};k.prototype.run_pretrigger=function(){var a=this.runtime.getCurrentEventStack();a.current_event=this;var b=!1,d;a.cndindex=0;for(d=this.conditions.length;a.cndindex<d;a.cndindex++)if(this.conditions[a.cndindex].run())b=!0;else if(!this.orblock)return!1;return this.orblock?b:!0};k.prototype.retrigger=function(){this.runtime.execcount++;var a=this.runtime.getCurrentEventStack().cndindex,
b=this.runtime.pushEventStack(this);if(!this.orblock)for(b.cndindex=a+1,a=this.conditions.length;b.cndindex<a;b.cndindex++)if(!this.conditions[b.cndindex].run())return this.runtime.popEventStack(),!1;this.run_actions_and_subevents();this.runtime.popEventStack();return!0};k.prototype.isFirstConditionOfType=function(a){var b=a.index;if(0===b)return!0;for(--b;0<=b;--b)if(this.conditions[b].type===a.type)return!1;return!0};cr.eventblock=k;r.prototype.postInit=function(){var a,b;a=0;for(b=this.parameters.length;a<
b;a++)this.parameters[a].postInit()};r.prototype.run_true=function(){return!0};r.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();return cr.xor(this.func.apply(this.runtime.system,this.results),this.inverted)};r.prototype.run_static=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get(a);a=this.func.apply(this.behaviortype?this.behaviortype:this.type,this.results);this.type.applySolToContainer();
return a};r.prototype.run_object=function(){var a,b,d,f,h,c,e,m=this.type.getCurrentSol(),g=this.block.orblock&&!this.trigger,l=0,q=this.type.is_contained;if(m.select_all){m.instances.length=0;a=m.else_instances.length=0;for(d=this.type.instances.length;a<d;a++){c=this.type.instances[a];b=0;for(f=this.parameters.length;b<f;b++)this.results[b]=this.parameters[b].get(a);-1<this.beh_index?(this.type.is_family&&(l=c.type.family_beh_map[this.type.family_index]),b=this.func.apply(c.behavior_insts[this.beh_index+
l],this.results)):b=this.func.apply(c,this.results);(h=cr.xor(b,this.inverted))?m.instances.push(c):g&&m.else_instances.push(c)}this.type.finish&&this.type.finish(!0);m.select_all=!1;this.type.applySolToContainer();return m.hasObjects()}var n=0,k=(h=g&&!this.block.isFirstConditionOfType(this))?m.else_instances:m.instances,s=!1;a=0;for(d=k.length;a<d;a++){c=k[a];b=0;for(f=this.parameters.length;b<f;b++)this.results[b]=this.parameters[b].get(a);-1<this.beh_index?(this.type.is_family&&(l=c.type.family_beh_map[this.type.family_index]),
b=this.func.apply(c.behavior_insts[this.beh_index+l],this.results)):b=this.func.apply(c,this.results);if(cr.xor(b,this.inverted))if(s=!0,h){if(m.instances.push(c),q)for(b=0,f=c.siblings.length;b<f;b++)e=c.siblings[b],e.type.getCurrentSol().instances.push(e)}else{k[n]=c;if(q)for(b=0,f=c.siblings.length;b<f;b++)e=c.siblings[b],e.type.getCurrentSol().instances[n]=e;n++}else if(h){k[n]=c;if(q)for(b=0,f=c.siblings.length;b<f;b++)e=c.siblings[b],e.type.getCurrentSol().else_instances[n]=e;n++}else if(g&&
(m.else_instances.push(c),q))for(b=0,f=c.siblings.length;b<f;b++)e=c.siblings[b],e.type.getCurrentSol().else_instances.push(e)}k.length=n;if(q)for(a=0,d=this.type.container.length;a<d;a++)c=this.type.container[a].getCurrentSol(),h?c.else_instances.length=n:c.instances.length=n;l=s;if(h&&!s)for(a=0,d=m.instances.length;a<d;a++){c=m.instances[a];b=0;for(f=this.parameters.length;b<f;b++)this.results[b]=this.parameters[b].get(a);b=-1<this.beh_index?this.func.apply(c.behavior_insts[this.beh_index],this.results):
this.func.apply(c,this.results);if(cr.xor(b,this.inverted)){s=!0;break}}this.type.finish&&this.type.finish(l||g);return g?s:m.hasObjects()};cr.condition=r;l.prototype.postInit=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()};l.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();return this.func.apply(this.runtime.system,this.results)};l.prototype.run_object=function(){var a=this.type.getCurrentSol().getObjects(),
b,d,f,h,c;b=0;for(f=a.length;b<f;b++){c=a[b];d=0;for(h=this.parameters.length;d<h;d++)this.results[d]=this.parameters[d].get(b);-1<this.beh_index?(d=0,this.type.is_family&&(d=c.type.family_beh_map[this.type.family_index]),this.func.apply(c.behavior_insts[this.beh_index+d],this.results)):this.func.apply(c,this.results)}return!1};cr.action=l;var u=[],x=-1;p.prototype.postInit=function(){var a,b;if(11===this.type)this.eventvar=this.runtime.getEventVariableByName(this.varname,this.block.parent);else if(13===
this.type)for(a=0,b=this.subparams.length;a<b;a++)this.subparams[a].postInit();this.expression&&this.expression.postInit()};p.prototype.pushTempValue=function(){x++;u.length===x&&u.push(new cr.expvalue);return u[x]};p.prototype.popTempValue=function(){x--};p.prototype.get_exp=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.data};p.prototype.get_exp_str=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();
return cr.is_string(a.data)?a.data:""};p.prototype.get_object=function(){return this.object};p.prototype.get_combosel=function(){return this.combosel};p.prototype.get_layer=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.is_number()?this.runtime.getLayerByNumber(a.data):this.runtime.getLayerByName(a.data)};p.prototype.get_layout=function(){return this.layout};p.prototype.get_key=function(){return this.key};p.prototype.get_instvar=function(){return this.index};
p.prototype.get_familyvar=function(a){var b=this.owner.type,d=null,d=b.getCurrentSol(),f=d.getObjects(),d=f.length?f[a%f.length].type:d.else_instances[a%d.else_instances.length].type;return this.index+d.family_var_map[b.family_index]};p.prototype.get_eventvar=function(){return this.eventvar};p.prototype.get_audiofile=function(){return this.fileinfo};p.prototype.get_variadic=function(){var a,b;a=0;for(b=this.subparams.length;a<b;a++)this.variadicret[a]=this.subparams[a].get();return this.variadicret};
cr.parameter=p;n.prototype.postInit=function(){this.solModifiers=d(this.solModifiers)};n.prototype.setValue=function(a){var b=this.runtime.getCurrentLocalVarStack();this.parent&&!this.is_static&&b?(this.localIndex>=b.length&&(b.length=this.localIndex+1),b[this.localIndex]=a):this.data=a};n.prototype.getValue=function(){var a=this.runtime.getCurrentLocalVarStack();return!this.parent||this.is_static||!a||this.is_constant?this.data:this.localIndex>=a.length||"undefined"===typeof a[this.localIndex]?this.initial:
a[this.localIndex]};n.prototype.run=function(){!this.parent||this.is_static||this.is_constant||this.setValue(this.initial)};cr.eventvariable=n;m.prototype.toString=function(){return"include:"+this.include_sheet.toString()};m.prototype.postInit=function(){this.include_sheet=this.runtime.eventsheets[this.include_sheet_name];this.sheet.includes.add(this);this.solModifiers=d(this.solModifiers)};m.prototype.run=function(){this.parent&&this.runtime.pushCleanSol(this.runtime.types_by_index);this.include_sheet.hasRun||
this.include_sheet.run(!0);this.parent&&this.runtime.popSol(this.runtime.types_by_index)};m.prototype.isActive=function(){for(var a=this.parent;a;){if(a.group&&!this.runtime.activeGroups[a.group_name.toLowerCase()])return!1;a=a.parent}return!0};cr.eventinclude=m;s.prototype.reset=function(a){this.current_event=a;this.actindex=this.cndindex=0;this.temp_parents_arr.length=0;this.any_true_state=this.else_branch_ran=this.last_event_true=!1};s.prototype.isModifierAfterCnds=function(){return this.current_event.solWriterAfterCnds?
!0:this.cndindex<this.current_event.conditions.length-1?!!this.current_event.solModifiers.length:!1};cr.eventStackFrame=s})();
(function(){function a(a,b){this.owner=a;this.runtime=a.runtime;this.type=b[0];this.get=[this.eval_int,this.eval_float,this.eval_string,this.eval_unaryminus,this.eval_add,this.eval_subtract,this.eval_multiply,this.eval_divide,this.eval_mod,this.eval_power,this.eval_and,this.eval_or,this.eval_equal,this.eval_notequal,this.eval_less,this.eval_lessequal,this.eval_greater,this.eval_greaterequal,this.eval_conditional,this.eval_system_exp,this.eval_object_behavior_exp,this.eval_instvar_exp,this.eval_object_behavior_exp,
this.eval_eventvar_exp][this.type];var c=null;this.object_type=this.parameters=this.results=this.func=this.third=this.second=this.first=this.value=null;this.beh_index=-1;this.instance_expr=null;this.varindex=-1;this.eventvar=this.varname=this.behavior_type=null;this.return_string=!1;switch(this.type){case 0:case 1:case 2:this.value=b[1];break;case 3:this.first=new cr.expNode(a,b[1]);break;case 18:this.first=new cr.expNode(a,b[1]);this.second=new cr.expNode(a,b[2]);this.third=new cr.expNode(a,b[3]);
break;case 19:this.func=b[1];this.results=[];this.parameters=[];3===b.length?(c=b[2],this.results.length=c.length+1):this.results.length=1;break;case 20:this.object_type=this.runtime.types_by_index[b[1]];this.beh_index=-1;this.func=b[2];this.return_string=b[3];this.instance_expr=b[4]?new cr.expNode(a,b[4]):null;this.results=[];this.parameters=[];6===b.length?(c=b[5],this.results.length=c.length+1):this.results.length=1;break;case 21:this.object_type=this.runtime.types_by_index[b[1]];this.return_string=
b[2];this.instance_expr=b[3]?new cr.expNode(a,b[3]):null;this.varindex=b[4];break;case 22:this.object_type=this.runtime.types_by_index[b[1]];this.behavior_type=this.object_type.getBehaviorByName(b[2]);this.beh_index=this.object_type.getBehaviorIndexByName(b[2]);this.func=b[3];this.return_string=b[4];this.instance_expr=b[5]?new cr.expNode(a,b[5]):null;this.results=[];this.parameters=[];7===b.length?(c=b[6],this.results.length=c.length+1):this.results.length=1;break;case 23:this.varname=b[1],this.eventvar=
null}4<=this.type&&17>=this.type&&(this.first=new cr.expNode(a,b[1]),this.second=new cr.expNode(a,b[2]));if(c){var k,g;k=0;for(g=c.length;k<g;k++)this.parameters.push(new cr.expNode(a,c[k]))}cr.seal(this)}function b(a,b){this.type=a||cr.exptype.Integer;this.data=b||0;this.object_class=null;this.type==cr.exptype.Integer&&(this.data=Math.floor(this.data));cr.seal(this)}a.prototype.postInit=function(){23===this.type&&(this.eventvar=this.owner.runtime.getEventVariableByName(this.varname,this.owner.block.parent));
this.first&&this.first.postInit();this.second&&this.second.postInit();this.third&&this.third.postInit();this.instance_expr&&this.instance_expr.postInit();if(this.parameters){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()}};a.prototype.eval_system_exp=function(a){this.results[0]=a;a=this.owner.pushTempValue();var b,c;b=0;for(c=this.parameters.length;b<c;b++)this.parameters[b].get(a),this.results[b+1]=a.data;this.owner.popTempValue();this.func.apply(this.runtime.system,
this.results)};a.prototype.eval_object_behavior_exp=function(a){var b=this.object_type.getCurrentSol(),c=b.getObjects();if(!c.length)if(b.else_instances.length)c=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}this.results[0]=a;a.object_class=this.object_type;a=this.owner.pushTempValue();var k,b=0;for(k=this.parameters.length;b<k;b++)this.parameters[b].get(a),this.results[b+1]=a.data;b=this.owner.solindex;this.instance_expr&&(this.instance_expr.get(a),a.is_number()&&
(b=a.data,c=this.object_type.instances));this.owner.popTempValue();b%=c.length;0>b&&(b+=c.length);c=c[b];-1<this.beh_index?(a=0,this.object_type.is_family&&(a=c.type.family_beh_map[this.object_type.family_index]),this.func.apply(c.behavior_insts[this.beh_index+a],this.results)):this.func.apply(c,this.results)};a.prototype.eval_instvar_exp=function(a){var b=this.object_type.getCurrentSol(),c=b.getObjects();if(!c.length)if(b.else_instances.length)c=b.else_instances;else{this.return_string?a.set_string(""):
a.set_int(0);return}b=this.owner.solindex;if(this.instance_expr){var k=this.owner.pushTempValue();this.instance_expr.get(k);if(k.is_number()){b=k.data;c=this.object_type.instances;b%=c.length;0>b&&(b+=c.length);c=c[b].instance_vars[this.varindex];cr.is_string(c)?a.set_string(c):a.set_float(c);this.owner.popTempValue();return}this.owner.popTempValue()}b%=c.length;0>b&&(b+=c.length);c=c[b];b=0;this.object_type.is_family&&(b=c.type.family_var_map[this.object_type.family_index]);c=c.instance_vars[this.varindex+
b];cr.is_string(c)?a.set_string(c):a.set_float(c)};a.prototype.eval_int=function(a){a.type=cr.exptype.Integer;a.data=this.value};a.prototype.eval_float=function(a){a.type=cr.exptype.Float;a.data=this.value};a.prototype.eval_string=function(a){a.type=cr.exptype.String;a.data=this.value};a.prototype.eval_unaryminus=function(a){this.first.get(a);a.is_number()&&(a.data=-a.data)};a.prototype.eval_add=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&
(a.data+=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_subtract=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data-=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_multiply=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data*=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_divide=
function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data/=b.data,a.make_float());this.owner.popTempValue()};a.prototype.eval_mod=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data%=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_power=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&
(a.data=Math.pow(a.data,b.data),b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_and=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()?b.is_string()?a.set_string(a.data.toString()+b.data):a.data&&b.data?a.set_int(1):a.set_int(0):a.is_string()&&(b.is_string()?a.data+=b.data:a.data+=(Math.round(1E10*b.data)/1E10).toString());this.owner.popTempValue()};a.prototype.eval_or=function(a){this.first.get(a);var b=this.owner.pushTempValue();
this.second.get(b);a.is_number()&&b.is_number()&&(a.data||b.data?a.set_int(1):a.set_int(0));this.owner.popTempValue()};a.prototype.eval_conditional=function(a){this.first.get(a);a.data?this.second.get(a):this.third.get(a)};a.prototype.eval_equal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data===b.data?1:0);this.owner.popTempValue()};a.prototype.eval_notequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data!==
b.data?1:0);this.owner.popTempValue()};a.prototype.eval_less=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<b.data?1:0);this.owner.popTempValue()};a.prototype.eval_lessequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greater=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>b.data?1:0);
this.owner.popTempValue()};a.prototype.eval_greaterequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_eventvar_exp=function(a){var b=this.eventvar.getValue();cr.is_number(b)?a.set_float(b):a.set_string(b)};cr.expNode=a;b.prototype.is_int=function(){return this.type===cr.exptype.Integer};b.prototype.is_float=function(){return this.type===cr.exptype.Float};b.prototype.is_number=function(){return this.type===
cr.exptype.Integer||this.type===cr.exptype.Float};b.prototype.is_string=function(){return this.type===cr.exptype.String};b.prototype.make_int=function(){this.is_int()||(this.is_float()?this.data=Math.floor(this.data):this.is_string()&&(this.data=parseInt(this.data,10)),this.type=cr.exptype.Integer)};b.prototype.make_float=function(){this.is_float()||(this.is_string()&&(this.data=parseFloat(this.data)),this.type=cr.exptype.Float)};b.prototype.make_string=function(){this.is_string()||(this.data=this.data.toString(),
this.type=cr.exptype.String)};b.prototype.set_int=function(a){this.type=cr.exptype.Integer;this.data=Math.floor(a)};b.prototype.set_float=function(a){this.type=cr.exptype.Float;this.data=a};b.prototype.set_string=function(a){this.type=cr.exptype.String;this.data=a};b.prototype.set_any=function(a){cr.is_number(a)?(this.type=cr.exptype.Float,this.data=a):cr.is_string(a)?(this.type=cr.exptype.String,this.data=a.toString()):(this.type=cr.exptype.Integer,this.data=0)};cr.expvalue=b;cr.exptype={Integer:0,
Float:1,String:2}})();cr.system_object=function(a){this.runtime=a;this.waits=[]};
cr.system_object.prototype.saveToJSON=function(){var a={},b,d,e,c,k,g,r,l;a.waits=[];var p=a.waits,n;b=0;for(d=this.waits.length;b<d;b++){g=this.waits[b];n={t:g.time,ev:g.ev.sid,sm:[],sols:{}};g.ev.actions[g.actindex]&&(n.act=g.ev.actions[g.actindex].sid);e=0;for(c=g.solModifiers.length;e<c;e++)n.sm.push(g.solModifiers[e].sid);for(k in g.sols)if(g.sols.hasOwnProperty(k)){r=this.runtime.types_by_index[parseInt(k,10)];l={sa:g.sols[k].sa,insts:[]};e=0;for(c=g.sols[k].insts.length;e<c;e++)l.insts.push(g.sols[k].insts[e].uid);
n.sols[r.sid.toString()]=l}p.push(n)}return a};
cr.system_object.prototype.loadFromJSON=function(a){a=a.waits;var b,d,e,c,k,g,r,l,p,n,m;b=this.waits.length=0;for(d=a.length;b<d;b++)if(g=a[b],l=this.runtime.blocksBySid[g.ev.toString()]){p=-1;e=0;for(c=l.actions.length;e<c;e++)if(l.actions[e].sid===g.act){p=e;break}if(-1!==p){r={sols:{},solModifiers:[],deleteme:!1};r.time=g.t;r.ev=l;r.actindex=p;e=0;for(c=g.sm.length;e<c;e++)(l=this.runtime.getObjectTypeBySid(g.sm[e]))&&r.solModifiers.push(l);for(k in g.sols)if(g.sols.hasOwnProperty(k)&&(l=this.runtime.getObjectTypeBySid(parseInt(k,
10)))){p=g.sols[k];n={sa:p.sa,insts:[]};e=0;for(c=p.insts.length;e<c;e++)(m=this.runtime.getObjectByUID(p.insts[e]))&&n.insts.push(m);r.sols[l.index.toString()]=n}this.waits.push(r)}}};
(function(){function a(){}function b(a,b){var c=a.extra.c2_foreachordered_val,d=b.extra.c2_foreachordered_val;if(cr.is_number(c)&&cr.is_number(d))return c-d;c=""+c;d=""+d;return c<d?-1:c>d?1:0}function d(a,b){p&&a===n&&b===m||(p=RegExp(a,b),n=a,m=b);p.lastIndex=0;return p}function e(){}function c(){}function k(a,b,c){if(a!==w||b!==t||c!==v){var e=d(b,c);x=a.match(e);w=a;t=b;v=c}}var g=cr.system_object.prototype;a.prototype.EveryTick=function(){return!0};a.prototype.OnLayoutStart=function(){return!0};
a.prototype.OnLayoutEnd=function(){return!0};a.prototype.Compare=function(a,b,c){return cr.do_cmp(a,b,c)};a.prototype.CompareTime=function(a,b){var c=this.runtime.kahanTime.sum;if(0===a){var d=this.runtime.getCurrentCondition();return!d.extra.CompareTime_executed&&c>=b?d.extra.CompareTime_executed=!0:!1}return cr.do_cmp(c,a,b)};a.prototype.LayerVisible=function(a){return a?a.visible:!1};a.prototype.LayerCmpOpacity=function(a,b,c){return a?cr.do_cmp(100*a.opacity,b,c):!1};a.prototype.Repeat=function(a){var b=
this.runtime.getCurrentEventStack(),c=b.current_event,d=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(d)for(d=0;d<a&&!b.stopped;d++)this.runtime.pushCopySol(c.solModifiers),b.index=d,c.retrigger(),this.runtime.popSol(c.solModifiers);else for(d=0;d<a&&!b.stopped;d++)b.index=d,c.retrigger();this.runtime.popLoopStack();return!1};a.prototype.While=function(a){var b=this.runtime.getCurrentEventStack();a=b.current_event;var c=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(c)for(c=
0;!b.stopped;c++)this.runtime.pushCopySol(a.solModifiers),b.index=c,a.retrigger()||(b.stopped=!0),this.runtime.popSol(a.solModifiers);else for(c=0;!b.stopped;c++)b.index=c,a.retrigger()||(b.stopped=!0);this.runtime.popLoopStack();return!1};a.prototype.For=function(a,b,c){var d=this.runtime.getCurrentEventStack(),e=d.current_event,d=d.isModifierAfterCnds();a=this.runtime.pushLoopStack(a);if(c<b)if(d)for(;b>=c&&!a.stopped;--b)this.runtime.pushCopySol(e.solModifiers),a.index=b,e.retrigger(),this.runtime.popSol(e.solModifiers);
else for(;b>=c&&!a.stopped;--b)a.index=b,e.retrigger();else if(d)for(;b<=c&&!a.stopped;++b)this.runtime.pushCopySol(e.solModifiers),a.index=b,e.retrigger(),this.runtime.popSol(e.solModifiers);else for(;b<=c&&!a.stopped;++b)a.index=b,e.retrigger();this.runtime.popLoopStack();return!1};var r=[],l=-1;a.prototype.ForEach=function(a){var b=a.getCurrentSol();l++;r.length===l&&r.push([]);var c=r[l];cr.shallowAssignArray(c,b.getObjects());var d=this.runtime.getCurrentEventStack(),e=d.current_event,m=d.isModifierAfterCnds(),
d=this.runtime.pushLoopStack(),g,q,n,k,s,p,x=a.is_contained;if(m)for(m=0,g=c.length;m<g&&!d.stopped;m++){this.runtime.pushCopySol(e.solModifiers);k=c[m];b=a.getCurrentSol();b.select_all=!1;b.instances.length=1;b.instances[0]=k;if(x)for(q=0,n=k.siblings.length;q<n;q++)s=k.siblings[q],p=s.type.getCurrentSol(),p.select_all=!1,p.instances.length=1,p.instances[0]=s;d.index=m;e.retrigger();this.runtime.popSol(e.solModifiers)}else for(b.select_all=!1,b.instances.length=1,m=0,g=c.length;m<g&&!d.stopped;m++){k=
c[m];b.instances[0]=k;if(x)for(q=0,n=k.siblings.length;q<n;q++)s=k.siblings[q],p=s.type.getCurrentSol(),p.select_all=!1,p.instances.length=1,p.instances[0]=s;d.index=m;e.retrigger()}c.length=0;this.runtime.popLoopStack();l--;return!1};a.prototype.ForEachOrdered=function(a,c,d){c=a.getCurrentSol();l++;r.length===l&&r.push([]);var e=r[l];cr.shallowAssignArray(e,c.getObjects());var m=this.runtime.getCurrentEventStack(),g=m.current_event,q=this.runtime.getCurrentCondition(),n=m.isModifierAfterCnds(),
m=this.runtime.pushLoopStack(),k,s,p,x,u;k=0;for(s=e.length;k<s;k++)e[k].extra.c2_foreachordered_val=q.parameters[1].get(k);e.sort(b);1===d&&e.reverse();d=a.is_contained;if(n)for(k=0,s=e.length;k<s&&!m.stopped;k++){this.runtime.pushCopySol(g.solModifiers);p=e[k];c=a.getCurrentSol();c.select_all=!1;c.instances.length=1;c.instances[0]=p;if(d)for(q=0,n=p.siblings.length;q<n;q++)x=p.siblings[q],u=x.type.getCurrentSol(),u.select_all=!1,u.instances.length=1,u.instances[0]=x;m.index=k;g.retrigger();this.runtime.popSol(g.solModifiers)}else for(c.select_all=
!1,c.instances.length=1,k=0,s=e.length;k<s&&!m.stopped;k++){p=e[k];c.instances[0]=p;if(d)for(q=0,n=p.siblings.length;q<n;q++)x=p.siblings[q],u=x.type.getCurrentSol(),u.select_all=!1,u.instances.length=1,u.instances[0]=x;m.index=k;g.retrigger()}e.length=0;this.runtime.popLoopStack();l--;return!1};a.prototype.PickByComparison=function(a,b,c,d){var e,m,g,q;if(a){l++;r.length===l&&r.push([]);var n=r[l],k=a.getCurrentSol();cr.shallowAssignArray(n,k.getObjects());k.select_all&&(k.else_instances.length=
0);var s=this.runtime.getCurrentCondition();g=e=0;for(m=n.length;e<m;e++)q=n[e],n[g]=q,b=s.parameters[1].get(e),d=s.parameters[3].get(e),cr.do_cmp(b,c,d)?g++:k.else_instances.push(q);n.length=g;k.select_all=!1;cr.shallowAssignArray(k.instances,n);n.length=0;l--;a.applySolToContainer();return!!k.instances.length}};a.prototype.PickByEvaluate=function(a,b){var c,d,e,m;if(a){l++;r.length===l&&r.push([]);var g=r[l],q=a.getCurrentSol();cr.shallowAssignArray(g,q.getObjects());q.select_all&&(q.else_instances.length=
0);var n=this.runtime.getCurrentCondition();e=c=0;for(d=g.length;c<d;c++)m=g[c],g[e]=m,(b=n.parameters[1].get(c))?e++:q.else_instances.push(m);g.length=e;q.select_all=!1;cr.shallowAssignArray(q.instances,g);g.length=0;l--;a.applySolToContainer();return!!q.instances.length}};a.prototype.TriggerOnce=function(){var a=this.runtime.getCurrentCondition().extra;"undefined"===typeof a.TriggerOnce_lastTick&&(a.TriggerOnce_lastTick=-1);var b=a.TriggerOnce_lastTick,c=this.runtime.tickcount;a.TriggerOnce_lastTick=
c;return this.runtime.layout_first_tick||b!==c-1};a.prototype.Every=function(a){var b=this.runtime.getCurrentCondition(),c=b.extra.Every_lastTime||0,d=this.runtime.kahanTime.sum;"undefined"===typeof b.extra.Every_seconds&&(b.extra.Every_seconds=a);var e=b.extra.Every_seconds;return d>=c+e?(b.extra.Every_lastTime=c+e,d>=b.extra.Every_lastTime+0.04&&(b.extra.Every_lastTime=d),b.extra.Every_seconds=a,!0):!1};a.prototype.PickNth=function(a,b){if(!a)return!1;var c=a.getCurrentSol(),d=c.getObjects();b=
cr.floor(b);if(0>b||b>=d.length)return!1;c.pick_one(d[b]);a.applySolToContainer();return!0};a.prototype.PickRandom=function(a){if(!a)return!1;var b=a.getCurrentSol(),c=b.getObjects(),d=cr.floor(Math.random()*c.length);if(d>=c.length)return!1;b.pick_one(c[d]);a.applySolToContainer();return!0};a.prototype.CompareVar=function(a,b,c){return cr.do_cmp(a.getValue(),b,c)};a.prototype.IsGroupActive=function(a){return this.runtime.activeGroups[a.toLowerCase()]};a.prototype.IsPreview=function(){return"undefined"!==
typeof cr_is_preview};a.prototype.PickAll=function(a){if(!a||!a.instances.length)return!1;a.getCurrentSol().select_all=!0;a.applySolToContainer();return!0};a.prototype.IsMobile=function(){return this.runtime.isMobile};a.prototype.CompareBetween=function(a,b,c){return a>=b&&a<=c};a.prototype.Else=function(){var a=this.runtime.getCurrentEventStack();return a.else_branch_ran?!1:!a.last_event_true};a.prototype.OnLoadFinished=function(){return!0};a.prototype.OnCanvasSnapshot=function(){return!0};a.prototype.EffectsSupported=
function(){return!!this.runtime.glwrap};a.prototype.OnSaveComplete=function(){return!0};a.prototype.OnLoadComplete=function(){return!0};a.prototype.OnLoadFailed=function(){return!0};a.prototype.ObjectUIDExists=function(a){return!!this.runtime.getObjectByUID(a)};a.prototype.IsOnPlatform=function(a){var b=this.runtime;switch(a){case 0:return!b.isDomFree&&!b.isNodeWebkit&&!b.isPhoneGap&&!b.isCrosswalk&&!b.isWindows8App&&!b.isWindowsPhone8&&!b.isBlackberry10&&!b.isAmazonWebApp;case 1:return b.isiOS;case 2:return b.isAndroid;
case 3:return b.isWindows8App;case 4:return b.isWindowsPhone8;case 5:return b.isBlackberry10;case 6:return b.isTizen;case 7:return b.isCocoonJs;case 8:return b.isPhoneGap;case 9:return b.isArcade;case 10:return b.isNodeWebkit;case 11:return b.isCrosswalk;case 12:return b.isAmazonWebApp;default:return!1}};var p=null,n="",m="";a.prototype.RegexTest=function(a,b,c){return d(b,c).test(a)};var s=[];a.prototype.PickOverlappingPoint=function(a,b,c){if(!a)return!1;var d=a.getCurrentSol(),e=d.getObjects(),
m=this.runtime.getCurrentEventStack().current_event.orblock,g=this.runtime.getCurrentCondition(),l,q;d.select_all?(cr.shallowAssignArray(s,e),d.else_instances.length=0,d.select_all=!1,d.instances.length=0):m?(cr.shallowAssignArray(s,d.else_instances),d.else_instances.length=0):(cr.shallowAssignArray(s,e),d.instances.length=0);e=0;for(m=s.length;e<m;++e)l=s[e],(q=cr.xor(l.contains_pt(b,c),g.inverted))?d.instances.push(l):d.else_instances.push(l);a.applySolToContainer();return cr.xor(!!d.instances.length,
g.inverted)};g.cnds=new a;e.prototype.GoToLayout=function(a){this.runtime.isloading||this.runtime.changelayout||(this.runtime.changelayout=a)};e.prototype.CreateObject=function(a,b,c,d){if(b&&a&&(b=this.runtime.createInstance(a,b,c,d))){this.runtime.isInOnDestroy++;var e;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(c=0,d=b.siblings.length;c<d;c++)e=b.siblings[c],this.runtime.trigger(Object.getPrototypeOf(e.type.plugin).cnds.OnCreated,e);this.runtime.isInOnDestroy--;
a=a.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=b;if(b.is_contained)for(c=0,d=b.siblings.length;c<d;c++)e=b.siblings[c],a=e.type.getCurrentSol(),a.select_all=!1,a.instances.length=1,a.instances[0]=e}};e.prototype.SetLayerVisible=function(a,b){a&&a.visible!==b&&(a.visible=b,this.runtime.redraw=!0)};e.prototype.SetLayerOpacity=function(a,b){a&&(b=cr.clamp(b/100,0,1),a.opacity!==b&&(a.opacity=b,this.runtime.redraw=!0))};e.prototype.SetLayerScaleRate=function(a,b){a&&a.zoomRate!==
b&&(a.zoomRate=b,this.runtime.redraw=!0)};e.prototype.SetLayoutScale=function(a){this.runtime.running_layout&&this.runtime.running_layout.scale!==a&&(this.runtime.running_layout.scale=a,this.runtime.running_layout.boundScrolling(),this.runtime.redraw=!0)};e.prototype.ScrollX=function(a){this.runtime.running_layout.scrollToX(a)};e.prototype.ScrollY=function(a){this.runtime.running_layout.scrollToY(a)};e.prototype.Scroll=function(a,b){this.runtime.running_layout.scrollToX(a);this.runtime.running_layout.scrollToY(b)};
e.prototype.ScrollToObject=function(a){if(a=a.getFirstPicked())this.runtime.running_layout.scrollToX(a.x),this.runtime.running_layout.scrollToY(a.y)};e.prototype.SetVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(b):a.setValue(parseFloat(b)):1===a.vartype&&a.setValue(b.toString())};e.prototype.AddVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(a.getValue()+b):a.setValue(a.getValue()+parseFloat(b)):1===a.vartype&&a.setValue(a.getValue()+b.toString())};e.prototype.SubVar=function(a,
b){0===a.vartype&&(cr.is_number(b)?a.setValue(a.getValue()-b):a.setValue(a.getValue()-parseFloat(b)))};e.prototype.SetGroupActive=function(a,b){var c=this.runtime.activeGroups,d=a.toLowerCase();switch(b){case 0:c[d]=!1;break;case 1:c[d]=!0;break;case 2:c[d]=!c[d]}};e.prototype.SetTimescale=function(a){0>a&&(a=0);this.runtime.timescale=a};e.prototype.SetObjectTimescale=function(a,b){var c=b;0>c&&(c=0);if(a){var d=a.getCurrentSol().getObjects(),e,m;e=0;for(m=d.length;e<m;e++)d[e].my_timescale=c}};e.prototype.RestoreObjectTimescale=
function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var b,c;b=0;for(c=a.length;b<c;b++)a[b].my_timescale=-1};var q=[],u=[];e.prototype.Wait=function(a){if(!(0>a)){var b,c,d,e=this.runtime.getCurrentEventStack(),m;m=q.length?q.pop():{sols:{},solModifiers:[]};m.deleteme=!1;m.time=this.runtime.kahanTime.sum+a;m.ev=e.current_event;m.actindex=e.actindex+1;a=0;for(b=this.runtime.types_by_index.length;a<b;a++)d=this.runtime.types_by_index[a],c=d.getCurrentSol(),c.select_all&&-1===e.current_event.solModifiers.indexOf(d)||
(m.solModifiers.push(d),d=void 0,d=u.length?u.pop():{insts:[]},d.sa=!1,d.sa=c.select_all,cr.shallowAssignArray(d.insts,c.instances),m.sols[a.toString()]=d);this.waits.push(m);return!0}};e.prototype.SetLayerScale=function(a,b){a&&a.scale!==b&&(a.scale=b,this.runtime.redraw=!0)};e.prototype.ResetGlobals=function(){var a,b,c;a=0;for(b=this.runtime.all_global_vars.length;a<b;a++)c=this.runtime.all_global_vars[a],c.data=c.initial};e.prototype.SetLayoutAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);
this.runtime.running_layout&&this.runtime.running_layout.angle!==a&&(this.runtime.running_layout.angle=a,this.runtime.redraw=!0)};e.prototype.SetLayerAngle=function(a,b){a&&(b=cr.to_radians(b),b=cr.clamp_angle(b),a.angle!==b&&(a.angle=b,this.runtime.redraw=!0))};e.prototype.SetLayerParallax=function(a,b,c){if(a&&(a.parallaxX!==b/100||a.parallaxY!==c/100)){a.parallaxX=b/100;a.parallaxY=c/100;if(1!==a.parallaxX||1!==a.parallaxY)for(c=a.instances,a=0,b=c.length;a<b;++a)c[a].type.any_instance_parallaxed=
!0;this.runtime.redraw=!0}};e.prototype.SetLayerBackground=function(a,b){if(a){var c=cr.GetRValue(b),d=cr.GetGValue(b),e=cr.GetBValue(b);if(a.background_color[0]!==c||a.background_color[1]!==d||a.background_color[2]!==e)a.background_color[0]=c,a.background_color[1]=d,a.background_color[2]=e,this.runtime.redraw=!0}};e.prototype.SetLayerTransparent=function(a,b){a&&!!b!==!!a.transparent&&(a.transparent=!!b,this.runtime.redraw=!0)};e.prototype.StopLoop=function(){0>this.runtime.loop_stack_index||(this.runtime.getCurrentLoop().stopped=
!0)};e.prototype.GoToLayoutByName=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout)for(var b in this.runtime.layouts)if(this.runtime.layouts.hasOwnProperty(b)&&cr.equals_nocase(b,a)){this.runtime.changelayout=this.runtime.layouts[b];break}};e.prototype.RestartLayout=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout&&this.runtime.running_layout){this.runtime.changelayout=this.runtime.running_layout;var b,c;a=0;for(b=this.runtime.allGroups.length;a<b;a++)c=this.runtime.allGroups[a],
this.runtime.activeGroups[c.group_name.toLowerCase()]=c.initially_activated}};e.prototype.SnapshotCanvas=function(a,b){this.runtime.snapshotCanvas=[0===a?"image/png":"image/jpeg",b/100];this.runtime.redraw=!0};e.prototype.SetCanvasSize=function(a,b){if(!(0>=a||0>=b)){var c=this.runtime.fullscreen_mode;(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.runtime.isNodeFullscreen)&&0<this.runtime.fullscreen_scaling&&(c=this.runtime.fullscreen_scaling);
0===c?this.runtime.setSize(a,b,!0):(this.runtime.original_width=a,this.runtime.original_height=b,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0))}};e.prototype.SetLayoutEffectEnabled=function(a,b){if(this.runtime.running_layout&&this.runtime.glwrap){var c=this.runtime.running_layout.getEffectByName(b);if(c){var d=1===a;c.active!=d&&(c.active=d,this.runtime.running_layout.updateActiveEffects(),this.runtime.redraw=!0)}}};e.prototype.SetLayerEffectEnabled=function(a,
b,c){a&&this.runtime.glwrap&&(c=a.getEffectByName(c))&&(b=1===b,c.active!=b&&(c.active=b,a.updateActiveEffects(),this.runtime.redraw=!0))};e.prototype.SetLayoutEffectParam=function(a,b,c){if(this.runtime.running_layout&&this.runtime.glwrap&&(a=this.runtime.running_layout.getEffectByName(a))){var d=this.runtime.running_layout.effect_params[a.index];b=Math.floor(b);0>b||b>=d.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),d[b]!==c&&(d[b]=c,a.active&&(this.runtime.redraw=
!0)))}};e.prototype.SetLayerEffectParam=function(a,b,c,d){a&&this.runtime.glwrap&&(b=a.getEffectByName(b))&&(a=a.effect_params[b.index],c=Math.floor(c),0>c||c>=a.length||(1===this.runtime.glwrap.getProgramParameterType(b.shaderindex,c)&&(d/=100),a[c]!==d&&(a[c]=d,b.active&&(this.runtime.redraw=!0))))};e.prototype.SaveState=function(a){this.runtime.saveToSlot=a};e.prototype.LoadState=function(a){this.runtime.loadFromSlot=a};e.prototype.LoadStateJSON=function(a){this.runtime.loadFromJson=a};e.prototype.SetHalfFramerateMode=
function(a){this.runtime.halfFramerateMode=0!==a};e.prototype.SetFullscreenQuality=function(a){if(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen||0!==this.runtime.fullscreen_mode)this.runtime.wantFullscreenScalingQuality=0!==a,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0)};g.acts=new e;c.prototype["int"]=function(a,b){cr.is_string(b)?(a.set_int(parseInt(b,10)),isNaN(a.data)&&(a.data=
0)):a.set_int(b)};c.prototype["float"]=function(a,b){cr.is_string(b)?(a.set_float(parseFloat(b)),isNaN(a.data)&&(a.data=0)):a.set_float(b)};c.prototype.str=function(a,b){cr.is_string(b)?a.set_string(b):a.set_string(b.toString())};c.prototype.len=function(a,b){a.set_int(b.length||0)};c.prototype.random=function(a,b,c){void 0===c?a.set_float(Math.random()*b):a.set_float(Math.random()*(c-b)+b)};c.prototype.sqrt=function(a,b){a.set_float(Math.sqrt(b))};c.prototype.abs=function(a,b){a.set_float(Math.abs(b))};
c.prototype.round=function(a,b){a.set_int(Math.round(b))};c.prototype.floor=function(a,b){a.set_int(Math.floor(b))};c.prototype.ceil=function(a,b){a.set_int(Math.ceil(b))};c.prototype.sin=function(a,b){a.set_float(Math.sin(cr.to_radians(b)))};c.prototype.cos=function(a,b){a.set_float(Math.cos(cr.to_radians(b)))};c.prototype.tan=function(a,b){a.set_float(Math.tan(cr.to_radians(b)))};c.prototype.asin=function(a,b){a.set_float(cr.to_degrees(Math.asin(b)))};c.prototype.acos=function(a,b){a.set_float(cr.to_degrees(Math.acos(b)))};
c.prototype.atan=function(a,b){a.set_float(cr.to_degrees(Math.atan(b)))};c.prototype.exp=function(a,b){a.set_float(Math.exp(b))};c.prototype.ln=function(a,b){a.set_float(Math.log(b))};c.prototype.log10=function(a,b){a.set_float(Math.log(b)/Math.LN10)};c.prototype.max=function(a){var b=arguments[1],c,d;c=2;for(d=arguments.length;c<d;c++)b<arguments[c]&&(b=arguments[c]);a.set_float(b)};c.prototype.min=function(a){var b=arguments[1],c,d;c=2;for(d=arguments.length;c<d;c++)b>arguments[c]&&(b=arguments[c]);
a.set_float(b)};c.prototype.dt=function(a){a.set_float(this.runtime.dt)};c.prototype.timescale=function(a){a.set_float(this.runtime.timescale)};c.prototype.wallclocktime=function(a){a.set_float((Date.now()-this.runtime.start_time)/1E3)};c.prototype.time=function(a){a.set_float(this.runtime.kahanTime.sum)};c.prototype.tickcount=function(a){a.set_int(this.runtime.tickcount)};c.prototype.objectcount=function(a){a.set_int(this.runtime.objectcount)};c.prototype.fps=function(a){a.set_int(this.runtime.fps)};
c.prototype.loopindex=function(a,b){var c,d,e;if(this.runtime.loop_stack.length)if(b){d=0;for(e=this.runtime.loop_stack.length;d<e;d++)if(c=this.runtime.loop_stack[d],c.name===b){a.set_int(c.index);return}a.set_int(0)}else c=this.runtime.getCurrentLoop(),a.set_int(c?c.index:-1);else a.set_int(0)};c.prototype.distance=function(a,b,c,d,e){a.set_float(cr.distanceTo(b,c,d,e))};c.prototype.angle=function(a,b,c,d,e){a.set_float(cr.to_degrees(cr.angleTo(b,c,d,e)))};c.prototype.scrollx=function(a){a.set_float(this.runtime.running_layout.scrollX)};
c.prototype.scrolly=function(a){a.set_float(this.runtime.running_layout.scrollY)};c.prototype.newline=function(a){a.set_string("\n")};c.prototype.lerp=function(a,b,c,d){a.set_float(cr.lerp(b,c,d))};c.prototype.windowwidth=function(a){a.set_int(this.runtime.width)};c.prototype.windowheight=function(a){a.set_int(this.runtime.height)};c.prototype.uppercase=function(a,b){a.set_string(cr.is_string(b)?b.toUpperCase():"")};c.prototype.lowercase=function(a,b){a.set_string(cr.is_string(b)?b.toLowerCase():
"")};c.prototype.clamp=function(a,b,c,d){b<c?a.set_float(c):b>d?a.set_float(d):a.set_float(b)};c.prototype.layerscale=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.scale):a.set_float(0)};c.prototype.layeropacity=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.opacity):a.set_float(0)};c.prototype.layerscalerate=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.zoomRate):a.set_float(0)};c.prototype.layerparallaxx=function(a,b){var c=this.runtime.getLayer(b);
c?a.set_float(100*c.parallaxX):a.set_float(0)};c.prototype.layerparallaxy=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.parallaxY):a.set_float(0)};c.prototype.layoutscale=function(a){this.runtime.running_layout?a.set_float(this.runtime.running_layout.scale):a.set_float(0)};c.prototype.layoutangle=function(a){a.set_float(cr.to_degrees(this.runtime.running_layout.angle))};c.prototype.layerangle=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(cr.to_degrees(c.angle)):a.set_float(0)};
c.prototype.layoutwidth=function(a){a.set_int(this.runtime.running_layout.width)};c.prototype.layoutheight=function(a){a.set_int(this.runtime.running_layout.height)};c.prototype.find=function(a,b,c){cr.is_string(b)&&cr.is_string(c)?a.set_int(b.search(RegExp(cr.regexp_escape(c),"i"))):a.set_int(-1)};c.prototype.left=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(0,c):"")};c.prototype.right=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(b.length-c):"")};c.prototype.mid=function(a,b,c,
d){a.set_string(cr.is_string(b)?b.substr(c,d):"")};c.prototype.tokenat=function(a,b,c,d){cr.is_string(b)&&cr.is_string(d)?(b=b.split(d),c=cr.floor(c),0>c||c>=b.length?a.set_string(""):a.set_string(b[c])):a.set_string("")};c.prototype.tokencount=function(a,b,c){cr.is_string(b)&&b.length?a.set_int(b.split(c).length):a.set_int(0)};c.prototype.replace=function(a,b,c,d){cr.is_string(b)&&cr.is_string(c)&&cr.is_string(d)?a.set_string(b.replace(RegExp(cr.regexp_escape(c),"gi"),d)):a.set_string(cr.is_string(b)?
b:"")};c.prototype.trim=function(a,b){a.set_string(cr.is_string(b)?b.trim():"")};c.prototype.pi=function(a){a.set_float(cr.PI)};c.prototype.layoutname=function(a){this.runtime.running_layout?a.set_string(this.runtime.running_layout.name):a.set_string("")};c.prototype.renderer=function(a){a.set_string(this.runtime.gl?"webgl":"canvas2d")};c.prototype.anglediff=function(a,b,c){a.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(b),cr.to_radians(c))))};c.prototype.choose=function(a){var b=cr.floor(Math.random()*
(arguments.length-1));a.set_any(arguments[b+1])};c.prototype.rgb=function(a,b,c,d){a.set_int(cr.RGB(b,c,d))};c.prototype.projectversion=function(a){a.set_string(this.runtime.versionstr)};c.prototype.anglelerp=function(a,b,c,d){b=cr.to_radians(b);c=cr.to_radians(c);var e=cr.angleDiff(b,c);cr.angleClockwise(c,b)?a.set_float(cr.to_clamped_degrees(b+e*d)):a.set_float(cr.to_clamped_degrees(b-e*d))};c.prototype.anglerotate=function(a,b,c,d){b=cr.to_radians(b);c=cr.to_radians(c);d=cr.to_radians(d);a.set_float(cr.to_clamped_degrees(cr.angleRotate(b,
c,d)))};c.prototype.zeropad=function(a,b,c){var d=0>b?"-":"";0>b&&(b=-b);c-=b.toString().length;for(var e=0;e<c;e++)d+="0";a.set_string(d+b.toString())};c.prototype.cpuutilisation=function(a){a.set_float(this.runtime.cpuutilisation/1E3)};c.prototype.viewportleft=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewLeft:0)};c.prototype.viewporttop=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewTop:0)};c.prototype.viewportright=function(a,b){var c=this.runtime.getLayer(b);
a.set_float(c?c.viewRight:0)};c.prototype.viewportbottom=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewBottom:0)};c.prototype.loadingprogress=function(a){a.set_float(this.runtime.loadingprogress)};c.prototype.unlerp=function(a,b,c,d){a.set_float(cr.unlerp(b,c,d))};c.prototype.canvassnapshot=function(a){a.set_string(this.runtime.snapshotData)};c.prototype.urlencode=function(a,b){a.set_string(encodeURIComponent(b))};c.prototype.urldecode=function(a,b){a.set_string(decodeURIComponent(b))};
c.prototype.canvastolayerx=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,d,!0):0)};c.prototype.canvastolayery=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,d,!1):0)};c.prototype.layertocanvasx=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,d,!0):0)};c.prototype.layertocanvasy=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,d,!1):0)};c.prototype.savestatejson=function(a){a.set_string(this.runtime.lastSaveJson)};
c.prototype.imagememoryusage=function(a){this.runtime.glwrap?a.set_float(Math.round(100*this.runtime.glwrap.estimateVRAM()/1048576)/100):a.set_float(0)};c.prototype.regexsearch=function(a,b,c,e){c=d(c,e);a.set_int(b?b.search(c):-1)};c.prototype.regexreplace=function(a,b,c,e,m){c=d(c,e);a.set_string(b?b.replace(c,m):"")};var x=[],w="",t="",v="";c.prototype.regexmatchcount=function(a,b,c,e){d(c,e);k(b,c,e);a.set_int(x?x.length:0)};c.prototype.regexmatchat=function(a,b,c,e,m){m=Math.floor(m);d(c,e);
k(b,c,e);!x||0>m||m>=x.length?a.set_string(""):a.set_string(x[m])};c.prototype.infinity=function(a){a.set_float(Infinity)};c.prototype.setbit=function(a,b,c,d){c|=0;a.set_int((b|0)&~(1<<c)|(0!==d?1:0)<<c)};c.prototype.togglebit=function(a,b,c){a.set_int((b|0)^1<<(c|0))};c.prototype.getbit=function(a,b,c){a.set_int((b|0)&1<<(c|0)?1:0)};g.exps=new c;g.runWaits=function(){var a,b,c,d,e,m,g=this.runtime.getCurrentEventStack();a=0;for(c=this.waits.length;a<c;a++)if(d=this.waits[a],!(d.time>this.runtime.kahanTime.sum)){g.current_event=
d.ev;g.actindex=d.actindex;g.cndindex=0;for(b in d.sols)d.sols.hasOwnProperty(b)&&(e=this.runtime.types_by_index[parseInt(b,10)].getCurrentSol(),m=d.sols[b],e.select_all=m.sa,cr.shallowAssignArray(e.instances,m.insts),e=m,e.insts.length=0,u.push(e));d.ev.resume_actions_and_subevents();this.runtime.clearSol(d.solModifiers);d.deleteme=!0}b=a=0;for(c=this.waits.length;a<c;a++)d=this.waits[a],this.waits[b]=d,d.deleteme?(cr.wipe(d.sols),d.solModifiers.length=0,q.push(d)):b++;this.waits.length=b}})();
(function(){cr.add_common_aces=function(a){var d=a[0].prototype,e=a[1],c=a[3],k=a[4],g=a[5],r=a[6],l=a[7];a=a[8];d.cnds||(d.cnds={});d.acts||(d.acts={});d.exps||(d.exps={});var p=d.cnds,n=d.acts,d=d.exps;c&&(p.CompareX=function(a,b){return cr.do_cmp(this.x,a,b)},p.CompareY=function(a,b){return cr.do_cmp(this.y,a,b)},p.IsOnScreen=function(){var a=this.layer;this.update_bbox();var b=this.bbox;return!(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)},p.IsOutsideLayout=
function(){this.update_bbox();var a=this.bbox,b=this.runtime.running_layout;return 0>a.right||0>a.bottom||a.left>b.width||a.top>b.height},p.PickDistance=function(a,b,c){var d=this.getCurrentSol(),e=d.getObjects();if(!e.length)return!1;var g=e[0],l=g,n=cr.distanceTo(g.x,g.y,b,c),f,h,k;f=1;for(h=e.length;f<h;f++)if(g=e[f],k=cr.distanceTo(g.x,g.y,b,c),0===a&&k<n||1===a&&k>n)n=k,l=g;d.pick_one(l);return!0},n.SetX=function(a){this.x!==a&&(this.x=a,this.set_bbox_changed())},n.SetY=function(a){this.y!==
a&&(this.y=a,this.set_bbox_changed())},n.SetPos=function(a,b){if(this.x!==a||this.y!==b)this.x=a,this.y=b,this.set_bbox_changed()},n.SetPosToObject=function(a,b){var c=a.getPairedInstance(this);if(c){var d;c.getImagePoint?(d=c.getImagePoint(b,!0),c=c.getImagePoint(b,!1)):(d=c.x,c=c.y);if(this.x!==d||this.y!==c)this.x=d,this.y=c,this.set_bbox_changed()}},n.MoveForward=function(a){0!==a&&(this.x+=Math.cos(this.angle)*a,this.y+=Math.sin(this.angle)*a,this.set_bbox_changed())},n.MoveAtAngle=function(a,
b){0!==b&&(this.x+=Math.cos(cr.to_radians(a))*b,this.y+=Math.sin(cr.to_radians(a))*b,this.set_bbox_changed())},d.X=function(a){a.set_float(this.x)},d.Y=function(a){a.set_float(this.y)},d.dt=function(a){a.set_float(this.runtime.getDt(this))});k&&(p.CompareWidth=function(a,b){return cr.do_cmp(this.width,a,b)},p.CompareHeight=function(a,b){return cr.do_cmp(this.height,a,b)},n.SetWidth=function(a){this.width!==a&&(this.width=a,this.set_bbox_changed())},n.SetHeight=function(a){this.height!==a&&(this.height=
a,this.set_bbox_changed())},n.SetSize=function(a,b){if(this.width!==a||this.height!==b)this.width=a,this.height=b,this.set_bbox_changed()},d.Width=function(a){a.set_float(this.width)},d.Height=function(a){a.set_float(this.height)},d.BBoxLeft=function(a){this.update_bbox();a.set_float(this.bbox.left)},d.BBoxTop=function(a){this.update_bbox();a.set_float(this.bbox.top)},d.BBoxRight=function(a){this.update_bbox();a.set_float(this.bbox.right)},d.BBoxBottom=function(a){this.update_bbox();a.set_float(this.bbox.bottom)});
g&&(p.AngleWithin=function(a,b){return cr.angleDiff(this.angle,cr.to_radians(b))<=cr.to_radians(a)},p.IsClockwiseFrom=function(a){return cr.angleClockwise(this.angle,cr.to_radians(a))},p.IsBetweenAngles=function(a,b){var c=cr.to_clamped_radians(a),d=cr.to_clamped_radians(b),e=cr.clamp_angle(this.angle);return cr.angleClockwise(d,c)?cr.angleClockwise(e,c)&&!cr.angleClockwise(e,d):!(!cr.angleClockwise(e,c)&&cr.angleClockwise(e,d))},n.SetAngle=function(a){a=cr.to_radians(cr.clamp_angle_degrees(a));isNaN(a)||
this.angle===a||(this.angle=a,this.set_bbox_changed())},n.RotateClockwise=function(a){0===a||isNaN(a)||(this.angle+=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},n.RotateCounterclockwise=function(a){0===a||isNaN(a)||(this.angle-=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},n.RotateTowardAngle=function(a,b){var c=cr.angleRotate(this.angle,cr.to_radians(b),cr.to_radians(a));isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},
n.RotateTowardPosition=function(a,b,c){b=Math.atan2(c-this.y,b-this.x);a=cr.angleRotate(this.angle,b,cr.to_radians(a));isNaN(a)||this.angle===a||(this.angle=a,this.set_bbox_changed())},n.SetTowardPosition=function(a,b){var c=Math.atan2(b-this.y,a-this.x);isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},d.Angle=function(a){a.set_float(cr.to_clamped_degrees(this.angle))});e||(p.CompareInstanceVar=function(a,b,c){return cr.do_cmp(this.instance_vars[a],b,c)},p.IsBoolInstanceVarSet=function(a){return this.instance_vars[a]},
p.PickInstVarHiLow=function(a,b){var c=this.getCurrentSol(),d=c.getObjects();if(!d.length)return!1;var e=d[0],g=e,l=e.instance_vars[b],n,f,h;n=1;for(f=d.length;n<f;n++)if(e=d[n],h=e.instance_vars[b],0===a&&h<l||1===a&&h>l)l=h,g=e;c.pick_one(g);return!0},p.PickByUID=function(a){var b,c,d,e,g;if(this.runtime.getCurrentCondition().inverted){g=this.getCurrentSol();if(g.select_all)for(g.select_all=!1,g.instances.length=0,g.else_instances.length=0,d=this.instances,b=0,c=d.length;b<c;b++)e=d[b],e.uid===
a?g.else_instances.push(e):g.instances.push(e);else{d=b=0;for(c=g.instances.length;b<c;b++)e=g.instances[b],g.instances[d]=e,e.uid===a?g.else_instances.push(e):d++;g.instances.length=d}this.applySolToContainer();return!!g.instances.length}e=this.runtime.getObjectByUID(a);if(!e)return!1;g=this.getCurrentSol();if(!g.select_all&&-1===g.instances.indexOf(e))return!1;if(this.is_family)for(a=e.type.families,b=0,c=a.length;b<c;b++){if(a[b]===this)return g.pick_one(e),this.applySolToContainer(),!0}else if(e.type===
this)return g.pick_one(e),this.applySolToContainer(),!0;return!1},p.OnCreated=function(){return!0},p.OnDestroyed=function(){return!0},n.SetInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]=b:c[a]=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]=b:c[a]=b.toString())},n.AddInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]+=b:c[a]+=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]+=b:c[a]+=b.toString())},n.SubInstanceVar=
function(a,b){var c=this.instance_vars;cr.is_number(c[a])&&(cr.is_number(b)?c[a]-=b:c[a]-=parseFloat(b))},n.SetBoolInstanceVar=function(a,b){this.instance_vars[a]=b?1:0},n.ToggleBoolInstanceVar=function(a){this.instance_vars[a]=1-this.instance_vars[a]},n.Destroy=function(){this.runtime.DestroyInstance(this)},n.LoadFromJsonString||(n.LoadFromJsonString=function(a){var b,c;try{b=JSON.parse(a)}catch(d){return}this.runtime.loadInstanceFromJSON(this,b,!0);this.afterLoad&&this.afterLoad();if(this.behavior_insts)for(a=
0,b=this.behavior_insts.length;a<b;++a)c=this.behavior_insts[a],c.afterLoad&&c.afterLoad()}),d.Count=function(a){var b=a.object_class.instances.length,c,d,e;c=0;for(d=this.runtime.createRow.length;c<d;c++)e=this.runtime.createRow[c],a.object_class.is_family?0<=e.type.families.indexOf(a.object_class)&&b++:e.type===a.object_class&&b++;a.set_int(b)},d.PickedCount=function(a){a.set_int(a.object_class.getCurrentSol().getObjects().length)},d.UID=function(a){a.set_int(this.uid)},d.IID=function(a){a.set_int(this.get_iid())},
d.AsJSON||(d.AsJSON=function(a){a.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this,!0)))}));r&&(p.IsVisible=function(){return this.visible},n.SetVisible=function(a){!a!==!this.visible&&(this.visible=a,this.runtime.redraw=!0)},p.CompareOpacity=function(a,b){return cr.do_cmp(cr.round6dp(100*this.opacity),a,b)},n.SetOpacity=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.runtime.redraw=!0)},d.Opacity=function(a){a.set_float(cr.round6dp(100*this.opacity))});
l&&(p.IsOnLayer=function(a){return a?this.layer===a:!1},p.PickTopBottom=function(a){var b=this.getCurrentSol(),c=b.getObjects();if(!c.length)return!1;var d=c[0],e=d,g,l;g=1;for(l=c.length;g<l;g++)if(d=c[g],0===a){if(d.layer.index>e.layer.index||d.layer.index===e.layer.index&&d.get_zindex()>e.get_zindex())e=d}else if(d.layer.index<e.layer.index||d.layer.index===e.layer.index&&d.get_zindex()<e.get_zindex())e=d;b.pick_one(e);return!0},n.MoveToTop=function(){var a=this.get_zindex();a!==this.layer.instances.length-
1&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.push(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},n.MoveToBottom=function(){var a=this.get_zindex();0!==a&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.unshift(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},n.MoveToLayer=function(a){a&&a!=this.layer&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=a,this.zindex=a.instances.length,a.instances.push(this),
this.runtime.redraw=!0)},n.ZMoveToObject=function(a,b){var c=0===a;if(b){var d=b.getFirstPicked(this);if(d&&d.uid!==this.uid){this.layer.index!==d.layer.index&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=d.layer,this.zindex=d.layer.instances.length,d.layer.instances.push(this));var e=this.get_zindex(),d=d.get_zindex();cr.arrayRemove(this.layer.instances,e);e<d&&d--;c&&d++;d===this.layer.instances.length?this.layer.instances.push(this):this.layer.instances.splice(d,
0,this);this.layer.zindices_stale=!0;this.runtime.redraw=!0}}},d.LayerNumber=function(a){a.set_int(this.layer.number)},d.LayerName=function(a){a.set_string(this.layer.name)},d.ZIndex=function(a){a.set_int(this.get_zindex())});a&&(n.SetEffectEnabled=function(a,b){if(this.runtime.glwrap){var c=this.type.getEffectIndexByName(b);if(!(0>c)){var d=1===a;this.active_effect_flags[c]!==d&&(this.active_effect_flags[c]=d,this.updateActiveEffects(),this.runtime.redraw=!0)}}},n.SetEffectParam=function(a,b,c){if(this.runtime.glwrap){var d=
this.type.getEffectIndexByName(a);0>d||(a=this.type.effect_types[d],d=this.effect_params[d],b=Math.floor(b),0>b||b>=d.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),d[b]!==c&&(d[b]=c,a.active&&(this.runtime.redraw=!0))))}})};cr.set_bbox_changed=function(){this.cell_changed=this.bbox_changed=!0;this.type.any_cell_changed=!0;this.runtime.redraw=!0;var a,d,e=this.bbox_changed_callbacks;a=0;for(d=e.length;a<d;++a)e[a](this)};cr.add_bbox_changed_callback=function(a){a&&
this.bbox_changed_callbacks.push(a)};cr.update_bbox=function(){if(this.bbox_changed){var a=this.bbox,d=this.bquad;a.set(this.x,this.y,this.x+this.width,this.y+this.height);a.offset(-this.hotspotX*this.width,-this.hotspotY*this.height);this.angle?(a.offset(-this.x,-this.y),d.set_from_rotated_rect(a,this.angle),d.offset(this.x,this.y),d.bounding_box(a)):d.set_from_rect(a);a.normalize();this.bbox_changed=!1}};var a=new cr.rect(0,0,0,0);cr.update_collision_cell=function(){if(this.cell_changed&&this.collisionsEnabled){this.update_bbox();
var b=this.type.collision_grid,d=this.collcells,e=this.bbox;a.set(b.XToCell(e.left),b.YToCell(e.top),b.XToCell(e.right),b.YToCell(e.bottom));d.equals(a)||(d.right<d.left?b.update(this,null,a):b.update(this,d,a),d.copy(a),this.cell_changed=!1)}};cr.inst_contains_pt=function(a,d){return this.bbox.contains_pt(a,d)&&this.bquad.contains_pt(a,d)?this.collision_poly&&!this.collision_poly.is_empty()?(this.collision_poly.cache_poly(this.width,this.height,this.angle),this.collision_poly.contains_pt(a-this.x,
d-this.y)):!0:!1};cr.inst_get_iid=function(){this.type.updateIIDs();return this.iid};cr.inst_get_zindex=function(){this.layer.updateZIndices();return this.zindex};cr.inst_updateActiveEffects=function(){this.active_effect_types.length=0;var a,d;a=0;for(d=this.active_effect_flags.length;a<d;a++)this.active_effect_flags[a]&&this.active_effect_types.push(this.type.effect_types[a]);this.uses_shaders=!!this.active_effect_types.length};cr.inst_toString=function(){return"Inst"+this.puid};cr.type_getFirstPicked=
function(a){if(a&&a.is_contained&&a.type!=this){var d,e,c;d=0;for(e=a.siblings.length;d<e;d++)if(c=a.siblings[d],c.type==this)return c}a=this.getCurrentSol().getObjects();return a.length?a[0]:null};cr.type_getPairedInstance=function(a){var d=this.getCurrentSol().getObjects();return d.length?d[a.get_iid()%d.length]:null};cr.type_updateIIDs=function(){if(this.stale_iids&&!this.is_family){var a,d;a=0;for(d=this.instances.length;a<d;a++)this.instances[a].iid=a;var e=a,c=this.runtime.createRow;a=0;for(d=
c.length;a<d;++a)c[a].type===this&&(c[a].iid=e++);this.stale_iids=!1}};cr.type_getInstanceByIID=function(a){if(a<this.instances.length)return this.instances[a];a-=this.instances.length;var d=this.runtime.createRow,e,c;e=0;for(c=d.length;e<c;++e)if(d[e].type===this){if(0===a)return d[e];--a}return null};cr.type_getCurrentSol=function(){return this.solstack[this.cur_sol]};cr.type_pushCleanSol=function(){this.cur_sol++;this.cur_sol===this.solstack.length?this.solstack.push(new cr.selection(this)):this.solstack[this.cur_sol].select_all=
!0};cr.type_pushCopySol=function(){this.cur_sol++;this.cur_sol===this.solstack.length&&this.solstack.push(new cr.selection(this));var a=this.solstack[this.cur_sol],d=this.solstack[this.cur_sol-1];d.select_all?a.select_all=!0:(a.select_all=!1,cr.shallowAssignArray(a.instances,d.instances),cr.shallowAssignArray(a.else_instances,d.else_instances))};cr.type_popSol=function(){this.cur_sol--};cr.type_getBehaviorByName=function(a){var d,e,c,k,g,r=0;if(!this.is_family)for(d=0,e=this.families.length;d<e;d++)for(g=
this.families[d],c=0,k=g.behaviors.length;c<k;c++){if(a===g.behaviors[c].name)return this.extra.lastBehIndex=r,g.behaviors[c];r++}d=0;for(e=this.behaviors.length;d<e;d++){if(a===this.behaviors[d].name)return this.extra.lastBehIndex=r,this.behaviors[d];r++}return null};cr.type_getBehaviorIndexByName=function(a){return this.getBehaviorByName(a)?this.extra.lastBehIndex:-1};cr.type_getEffectIndexByName=function(a){var d,e;d=0;for(e=this.effect_types.length;d<e;d++)if(this.effect_types[d].name===a)return d;
return-1};cr.type_applySolToContainer=function(){if(this.is_contained&&!this.is_family){var a,d,e,c,k,g,r;this.updateIIDs();g=this.getCurrentSol();var l=g.select_all,p=(a=this.runtime.getCurrentEventStack())&&a.current_event&&a.current_event.orblock;a=0;for(d=this.container.length;a<d;a++)if(k=this.container[a],k!==this&&(k.updateIIDs(),r=k.getCurrentSol(),r.select_all=l,!l)){r.instances.length=g.instances.length;e=0;for(c=g.instances.length;e<c;e++)r.instances[e]=k.getInstanceByIID(g.instances[e].iid);
if(p)for(r.else_instances.length=g.else_instances.length,e=0,c=g.else_instances.length;e<c;e++)r.else_instances[e]=k.getInstanceByIID(g.else_instances[e].iid)}}};cr.type_toString=function(){return"Type"+this.sid};cr.do_cmp=function(a,d,e){if("undefined"===typeof a||"undefined"===typeof e)return!1;switch(d){case 0:return a===e;case 1:return a!==e;case 2:return a<e;case 3:return a<=e;case 4:return a>e;case 5:return a>=e;default:return!1}}})();cr.shaders={};
cr.plugins_.AJAX=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=!1,c=null,k=null,g="",r=cr.plugins_.AJAX.prototype;r.Type=function(a){this.plugin=a;this.runtime=a.runtime};r.Type.prototype.onCreate=function(){};r.Instance=function(a){this.type=a;this.runtime=a.runtime;this.curTag=this.lastData="";this.progress=0;if(e=this.runtime.isNodeWebkit)c=require("path"),k=require("fs"),g=c.dirname(process.execPath)+"\\"};var l=r.Instance.prototype,p=null;window.C2_AJAX_DCSide=function(a,b,c){p&&("success"===a?
(p.curTag=b,p.lastData=c,p.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnComplete,p)):"error"===a?(p.curTag=b,p.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnError,p)):"progress"===a&&(p.progress=c,p.curTag=b,p.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnProgress,p)))};l.onCreate=function(){p=this};l.saveToJSON=function(){return{lastData:this.lastData}};l.loadFromJSON=function(a){this.lastData=a.lastData;this.curTag="";this.progress=0};l.doRequest=function(a,b,c,d){if(this.runtime.isDirectCanvas)AppMobi.webview.execute('C2_AJAX_WebSide("'+
a+'", "'+b+'", "'+c+'", '+(d?'"'+d+'"':"null")+");");else{var l=this,p=null,r=function(){l.curTag=a;l.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnError,l)},t=function(){if(e){var a=g+b;k.existsSync(a)?k.readFile(a,{encoding:"utf8"},function(a,b){a?r():(l.lastData=b.replace(/\r\n/g,"\n"),l.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnComplete,l))}):r()}else r()},v=function(b){b.lengthComputable&&(l.progress=b.loaded/b.total,l.curTag=a,l.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnProgress,
l))};try{p=new XMLHttpRequest;p.onreadystatechange=function(){4===p.readyState&&(l.curTag=a,l.lastData=p.responseText?p.responseText.replace(/\r\n/g,"\n"):"",400<=p.status?l.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnError,l):e&&!l.lastData.length||l.runtime.trigger(cr.plugins_.AJAX.prototype.cnds.OnComplete,l))};p.onerror=t;p.ontimeout=t;p.onabort=t;p.onprogress=v;p.open(c,b);try{p.responseType="text"}catch(f){}"POST"===c&&d?(p.setRequestHeader&&p.setRequestHeader("Content-Type","application/x-www-form-urlencoded"),
p.send(d)):p.send()}catch(h){t()}}};a.prototype.OnComplete=function(a){return cr.equals_nocase(a,this.curTag)};a.prototype.OnError=function(a){return cr.equals_nocase(a,this.curTag)};a.prototype.OnProgress=function(a){return cr.equals_nocase(a,this.curTag)};r.cnds=new a;b.prototype.Request=function(a,b){this.doRequest(a,b,"GET")};b.prototype.RequestFile=function(a,b){this.doRequest(a,b,"GET")};b.prototype.Post=function(a,b,c){this.doRequest(a,b,"POST",c)};r.acts=new b;d.prototype.LastData=function(a){a.set_string(this.lastData)};
d.prototype.Progress=function(a){a.set_float(this.progress)};r.exps=new d})();cr.plugins_.Audio=function(a){this.runtime=a};
(function(){function a(a){a=Math.pow(10,a/20);0>a&&(a=0);1<a&&(a=1);return a}function b(a){0>a&&(a=0);1<a&&(a=1);return 20*(Math.log(a)/Math.log(10))}function d(a){a=a.toLowerCase();return P.hasOwnProperty(a)&&P[a].length?P[a][0].getInputNode():H.destination}function e(){return H.createGain?H.createGain():H.createGainNode()}function c(a){return H.createDelay?H.createDelay(a):H.createDelayNode(a)}function k(a){a.start?a.start(0):a.noteOn(0)}function g(a,b,c){a.start?a.start(0,b):a.noteGrainOn(0,b,
c-b)}function r(a){try{a.stop?a.stop(0):a.noteOff(0)}catch(b){}}function l(a,b,c,d){if(a)if(a.cancelScheduledValues(0),0===d)a.value=b;else{var e=H.currentTime;d+=e;switch(c){case 0:a.setValueAtTime(b,d);break;case 1:a.setValueAtTime(a.value,e);a.linearRampToValueAtTime(b,d);break;case 2:a.setValueAtTime(a.value,e),a.exponentialRampToValueAtTime(b,d)}}}function p(a,b,c,d,f,h){this.type="filter";this.params=[a,b,c,d,f,h];this.inputNode=e();this.wetNode=e();this.wetNode.gain.value=h;this.dryNode=e();
this.dryNode.gain.value=1-h;this.filterNode=H.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?a:la[a];this.filterNode.frequency.value=b;this.filterNode.detune&&(this.filterNode.detune.value=c);this.filterNode.Q.value=d;this.filterNode.gain.value=f;this.inputNode.connect(this.filterNode);this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode)}function n(a,b,d){this.type="delay";this.params=[a,b,d];this.inputNode=e();this.wetNode=e();this.wetNode.gain.value=
d;this.dryNode=e();this.dryNode.gain.value=1-d;this.mainNode=e();this.delayNode=c(a);this.delayNode.delayTime.value=a;this.delayGainNode=e();this.delayGainNode.gain.value=b;this.inputNode.connect(this.mainNode);this.inputNode.connect(this.dryNode);this.mainNode.connect(this.wetNode);this.mainNode.connect(this.delayNode);this.delayNode.connect(this.delayGainNode);this.delayGainNode.connect(this.mainNode)}function m(a,b,c,d){this.type="convolve";this.params=[b,c,d];this.inputNode=e();this.wetNode=e();
this.wetNode.gain.value=c;this.dryNode=e();this.dryNode.gain.value=1-c;this.convolveNode=H.createConvolver();a&&(this.convolveNode.normalize=b,this.convolveNode.buffer=a);this.inputNode.connect(this.convolveNode);this.inputNode.connect(this.dryNode);this.convolveNode.connect(this.wetNode)}function s(a,b,d,f,h){this.type="flanger";this.params=[a,b,d,f,h];this.inputNode=e();this.dryNode=e();this.dryNode.gain.value=1-h/2;this.wetNode=e();this.wetNode.gain.value=h/2;this.feedbackNode=e();this.feedbackNode.gain.value=
f;this.delayNode=c(a+b);this.delayNode.delayTime.value=a;this.oscNode=H.createOscillator();this.oscNode.frequency.value=d;this.oscGainNode=e();this.oscGainNode.gain.value=b;this.inputNode.connect(this.delayNode);this.inputNode.connect(this.dryNode);this.delayNode.connect(this.wetNode);this.delayNode.connect(this.feedbackNode);this.feedbackNode.connect(this.delayNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.delayNode.delayTime);k(this.oscNode)}function q(a,b,c,d,f,h){this.type=
"phaser";this.params=[a,b,c,d,f,h];this.inputNode=e();this.dryNode=e();this.dryNode.gain.value=1-h/2;this.wetNode=e();this.wetNode.gain.value=h/2;this.filterNode=H.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?7:"allpass";this.filterNode.frequency.value=a;this.filterNode.detune&&(this.filterNode.detune.value=b);this.filterNode.Q.value=c;this.oscNode=H.createOscillator();this.oscNode.frequency.value=f;this.oscGainNode=e();this.oscGainNode.gain.value=d;this.inputNode.connect(this.filterNode);
this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.filterNode.frequency);k(this.oscNode)}function u(a){this.type="gain";this.params=[a];this.node=e();this.node.gain.value=a}function x(a,b){this.type="tremolo";this.params=[a,b];this.node=e();this.node.gain.value=1-b/2;this.oscNode=H.createOscillator();this.oscNode.frequency.value=a;this.oscGainNode=e();this.oscGainNode.gain.value=b/2;this.oscNode.connect(this.oscGainNode);
this.oscGainNode.connect(this.node.gain);k(this.oscNode)}function w(a,b){this.type="ringmod";this.params=[a,b];this.inputNode=e();this.wetNode=e();this.wetNode.gain.value=b;this.dryNode=e();this.dryNode.gain.value=1-b;this.ringNode=e();this.ringNode.gain.value=0;this.oscNode=H.createOscillator();this.oscNode.frequency.value=a;this.oscNode.connect(this.ringNode.gain);k(this.oscNode);this.inputNode.connect(this.ringNode);this.inputNode.connect(this.dryNode);this.ringNode.connect(this.wetNode)}function t(a,
b,c,d,f){this.type="distortion";this.params=[a,b,c,d,f];this.inputNode=e();this.preGain=e();this.postGain=e();this.setDrive(c,Math.pow(10,d/20));this.wetNode=e();this.wetNode.gain.value=f;this.dryNode=e();this.dryNode.gain.value=1-f;this.waveShaper=H.createWaveShaper();this.curve=new Float32Array(65536);this.generateColortouchCurve(a,b);this.waveShaper.curve=this.curve;this.inputNode.connect(this.preGain);this.inputNode.connect(this.dryNode);this.preGain.connect(this.waveShaper);this.waveShaper.connect(this.postGain);
this.postGain.connect(this.wetNode)}function v(a,b,c,d,e){this.type="compressor";this.params=[a,b,c,d,e];this.node=H.createDynamicsCompressor();try{this.node.threshold.value=a,this.node.knee.value=b,this.node.ratio.value=c,this.node.attack.value=d,this.node.release.value=e}catch(f){}}function f(a,b){this.type="analyser";this.params=[a,b];this.node=H.createAnalyser();this.node.fftSize=a;this.node.smoothingTimeConstant=b;this.freqBins=new Float32Array(this.node.frequencyBinCount);this.signal=new Uint8Array(a);
this.rms=this.peak=0}function h(){this.obj=null;this.loadUid=0;this.speeds=[];this.moveAngle=this.lastY=this.lastX=0}function C(a,b){this.src=a;this.myapi=L;this.is_music=b;this.added_end_listener=!1;var c=this;this.mediaSourceNode=this.outNode=null;this.panWhenReady=[];this.seekWhenReady=0;this.supportWebAudioAPI=this.pauseWhenReady=!1;L===D&&b&&(this.myapi=K,this.outNode=e());this.audioData=this.bufferObject=null;var d;switch(this.myapi){case K:this.bufferObject=new Audio;L===D&&H.createMediaElementSource&&
!G.isFirefox&&(this.supportWebAudioAPI=!0,this.bufferObject.addEventListener("canplay",function(){c.mediaSourceNode||(c.mediaSourceNode=H.createMediaElementSource(c.bufferObject),c.mediaSourceNode.connect(c.outNode))}));this.bufferObject.autoplay=!1;this.bufferObject.preload="auto";this.bufferObject.src=a;break;case D:d=new XMLHttpRequest;d.open("GET",a,!0);d.responseType="arraybuffer";d.onload=function(){c.audioData=d.response;c.decodeAudioBuffer()};d.send();break;case S:this.bufferObject=!0;break;
case W:this.bufferObject=!0}}function z(a,b){var c=this;this.tag=b;this.stopped=this.fresh=!0;this.src=a.src;this.buffer=a;this.myapi=L;this.is_music=a.is_music;this.playbackRate=1;this.pgended=!0;this.is_paused=this.resume_me=!1;this.resume_position=0;this.is_silent=this.is_muted=this.looping=!1;this.mutevol=this.volume=1;this.startTime=G.kahanTime.sum;this.pannerNode=this.gainNode=null;this.pannerEnabled=!1;this.objectTracker=null;this.panConeOuterGain=this.panConeOuter=this.panConeInner=this.panAngle=
this.panY=this.panX=0;this.instanceObject=null;var f=!1;this.myapi!==D||this.buffer.myapi!==K||this.buffer.supportWebAudioAPI||(this.myapi=K);switch(this.myapi){case K:this.is_music?(this.instanceObject=a.bufferObject,f=!a.added_end_listener,a.added_end_listener=!0):(this.instanceObject=new Audio,this.instanceObject.autoplay=!1,this.instanceObject.src=a.bufferObject.src,f=!0);f&&this.instanceObject.addEventListener("ended",function(){O=c.tag;c.stopped=!0;G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
U)});break;case D:this.gainNode=e();this.gainNode.connect(d(b));this.buffer.myapi===D?a.bufferObject&&(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=a.bufferObject,this.instanceObject.connect(this.gainNode)):(this.instanceObject=this.buffer.bufferObject,this.buffer.outNode.connect(this.gainNode));break;case S:this.instanceObject=new window.Media(V+this.src,null,null,function(a){a===window.Media.MEDIA_STOPPED&&(c.pgended=!0,c.stopped=!0,O=c.tag,G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
U))});break;case W:this.instanceObject=!0}}function A(a){Q.length=0;if(a.length){var b,c,d;b=0;for(c=N.length;b<c;b++)d=N[b],cr.equals_nocase(a,d.tag)&&Q.push(d)}else R&&!R.hasEnded()&&(Q.length=1,Q[0]=R)}function y(a){var b,c,d,e,f=H.destination;if(P.hasOwnProperty(a)&&(d=P[a],d.length))for(f=d[0].getInputNode(),b=0,c=d.length;b<c;b++)e=d[b],b+1===c?e.connectTo(H.destination):e.connectTo(d[b+1].getInputNode());A(a);b=0;for(c=Q.length;b<c;b++)Q[b].reconnect(f);ca&&ia===a&&(ca.disconnect(),ca.connect(f))}
function E(a,b){P.hasOwnProperty(a)?P[a].push(b):P[a]=[b];y(a)}function F(){}function B(){}function M(){}function J(a,b){var c=null;P.hasOwnProperty(a)&&(c=P[a]);return c&&0<=b&&b<c.length&&c[b].freqBins?c[b]:null}var I=cr.plugins_.Audio.prototype;I.Type=function(a){this.plugin=a;this.runtime=a.runtime};I.Type.prototype.onCreate=function(){};var G=null,U=null,O="",V="",K=0,D=1,S=2,W=3,L=K,H=null,da=[],N=[],R=null,X=!1,ha=0,T=!1,Y=1,Z=0,aa=0,ja=1,ka=1,ma=10,na=1E4,oa=1,ca=null,ia="",ea=!1,fa=[],P=
{},la="lowpass highpass bandpass lowshelf highshelf peaking notch allpass".split(" ");p.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};p.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};p.prototype.getInputNode=function(){return this.inputNode};p.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=
1);this.params[5]=b;l(this.wetNode.gain,b,c,d);l(this.dryNode.gain,1-b,c,d);break;case 1:this.params[1]=b;l(this.filterNode.frequency,b,c,d);break;case 2:this.params[2]=b;l(this.filterNode.detune,b,c,d);break;case 3:this.params[3]=b;l(this.filterNode.Q,b,c,d);break;case 4:this.params[4]=b,l(this.filterNode.gain,b,c,d)}};n.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};n.prototype.remove=function(){this.inputNode.disconnect();
this.mainNode.disconnect();this.delayNode.disconnect();this.delayGainNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};n.prototype.getInputNode=function(){return this.inputNode};n.prototype.setParam=function(b,c,d,e){switch(b){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[2]=c;l(this.wetNode.gain,c,d,e);l(this.dryNode.gain,1-c,d,e);break;case 4:this.params[1]=a(c);l(this.delayGainNode.gain,a(c),d,e);break;case 5:this.params[0]=c,l(this.delayNode.delayTime,c,d,e)}};m.prototype.connectTo=
function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};m.prototype.remove=function(){this.inputNode.disconnect();this.convolveNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};m.prototype.getInputNode=function(){return this.inputNode};m.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[1]=b,l(this.wetNode.gain,b,c,d),l(this.dryNode.gain,1-b,c,d)}};s.prototype.connectTo=function(a){this.dryNode.disconnect();
this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};s.prototype.remove=function(){this.inputNode.disconnect();this.delayNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect();this.feedbackNode.disconnect()};s.prototype.getInputNode=function(){return this.inputNode};s.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[4]=b;l(this.wetNode.gain,b/2,c,d);l(this.dryNode.gain,
1-b/2,c,d);break;case 6:this.params[1]=b/1E3;l(this.oscGainNode.gain,b/1E3,c,d);break;case 7:this.params[2]=b;l(this.oscNode.frequency,b,c,d);break;case 8:this.params[3]=b/100,l(this.feedbackNode.gain,b/100,c,d)}};q.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};q.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();
this.wetNode.disconnect()};q.prototype.getInputNode=function(){return this.inputNode};q.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[5]=b;l(this.wetNode.gain,b/2,c,d);l(this.dryNode.gain,1-b/2,c,d);break;case 1:this.params[0]=b;l(this.filterNode.frequency,b,c,d);break;case 2:this.params[1]=b;l(this.filterNode.detune,b,c,d);break;case 3:this.params[2]=b;l(this.filterNode.Q,b,c,d);break;case 6:this.params[3]=b;l(this.oscGainNode.gain,b,c,d);break;case 7:this.params[4]=
b,l(this.oscNode.frequency,b,c,d)}};u.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};u.prototype.remove=function(){this.node.disconnect()};u.prototype.getInputNode=function(){return this.node};u.prototype.setParam=function(b,c,d,e){switch(b){case 4:this.params[0]=a(c),l(this.node.gain,a(c),d,e)}};x.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};x.prototype.remove=function(){this.oscNode.disconnect();this.oscGainNode.disconnect();this.node.disconnect()};
x.prototype.getInputNode=function(){return this.node};x.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;l(this.node.gain.value,1-b/2,c,d);l(this.oscGainNode.gain.value,b/2,c,d);break;case 7:this.params[0]=b,l(this.oscNode.frequency,b,c,d)}};w.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};w.prototype.remove=function(){this.oscNode.disconnect();this.ringNode.disconnect();
this.inputNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};w.prototype.getInputNode=function(){return this.inputNode};w.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;l(this.wetNode.gain,b,c,d);l(this.dryNode.gain,1-b,c,d);break;case 7:this.params[0]=b,l(this.oscNode.frequency,b,c,d)}};t.prototype.setDrive=function(a,b){0.01>a&&(a=0.01);this.preGain.gain.value=a;this.postGain.gain.value=Math.pow(1/a,0.6)*b};t.prototype.shape=
function(a,b,c){var d=1.05*c*b-b;c=0>a?-1:1;a=0>a?-a:a;b=a<b?a:b+d*(1-Math.exp(-(1/d)*(a-b)));return b*c};t.prototype.generateColortouchCurve=function(a,b){for(var c=Math.pow(10,a/20),d=Math.pow(10,b/20),e=0,f=0;32768>f;++f)e=f/32768,e=this.shape(e,c,d),this.curve[32768+f]=e,this.curve[32768-f-1]=-e};t.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};t.prototype.remove=function(){this.inputNode.disconnect();this.preGain.disconnect();
this.waveShaper.disconnect();this.postGain.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};t.prototype.getInputNode=function(){return this.inputNode};t.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[4]=b,l(this.wetNode.gain,b,c,d),l(this.dryNode.gain,1-b,c,d)}};v.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};v.prototype.remove=function(){this.node.disconnect()};v.prototype.getInputNode=function(){return this.node};
v.prototype.setParam=function(a,b,c,d){};f.prototype.tick=function(){this.node.getFloatFrequencyData(this.freqBins);this.node.getByteTimeDomainData(this.signal);for(var a=this.node.fftSize,c=0,d=this.peak=0,e=0;c<a;c++)e=(this.signal[c]-128)/128,0>e&&(e=-e),this.peak<e&&(this.peak=e),d+=e*e;this.peak=b(this.peak);this.rms=b(Math.sqrt(d/a))};f.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};f.prototype.remove=function(){this.node.disconnect()};f.prototype.getInputNode=
function(){return this.node};f.prototype.setParam=function(a,b,c,d){};h.prototype.setObject=function(a){if(this.obj=a)this.lastX=this.obj.x,this.lastY=this.obj.y;this.speeds.length=0};h.prototype.hasObject=function(){return!!this.obj};h.prototype.tick=function(a){this.obj&&0!==a&&(this.moveAngle=cr.angleTo(this.lastX,this.lastY,this.obj.x,this.obj.y),a=cr.distanceTo(this.lastX,this.lastY,this.obj.x,this.obj.y)/a,4>this.speeds.length||this.speeds.shift(),this.speeds.push(a),this.lastX=this.obj.x,this.lastY=
this.obj.y)};h.prototype.getSpeed=function(){if(!this.speeds.length)return 0;var a,b,c=0;a=0;for(b=this.speeds.length;a<b;a++)c+=this.speeds[a];return c/this.speeds.length};h.prototype.getVelocityX=function(){return Math.cos(this.moveAngle)*this.getSpeed()};h.prototype.getVelocityY=function(){return Math.sin(this.moveAngle)*this.getSpeed()};var pa=!1;C.prototype.decodeAudioBuffer=function(){if(!this.bufferObject&&this.audioData){var a=this;if(H.decodeAudioData)H.decodeAudioData(this.audioData,function(b){a.bufferObject=
b;var c,d,e;if(cr.is_undefined(a.playTagWhenReady)||T)cr.is_undefined(a.convolveWhenReady)||(c=a.convolveWhenReady.convolveNode,c.normalize=a.normalizeWhenReady,c.buffer=b);else if(a.panWhenReady.length){c=0;for(d=a.panWhenReady.length;c<d;c++){b=a.panWhenReady[c];e=new z(a,b.thistag);e.setPannerEnabled(!0);if("undefined"!==typeof b.objUid&&(b.obj=G.getObjectByUID(b.objUid),!b.obj))continue;if(b.obj){var f=cr.rotatePtAround(b.obj.x,b.obj.y,-b.obj.layer.getAngle(),Z,aa,!0),h=cr.rotatePtAround(b.obj.x,
b.obj.y,-b.obj.layer.getAngle(),Z,aa,!1);e.setPan(f,h,cr.to_degrees(b.obj.angle-b.obj.layer.getAngle()),b.ia,b.oa,b.og);e.setObject(b.obj)}else e.setPan(b.x,b.y,b.a,b.ia,b.oa,b.og);e.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady);a.pauseWhenReady&&e.pause();N.push(e)}a.panWhenReady.length=0}else e=new z(a,a.playTagWhenReady),e.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady),a.pauseWhenReady&&e.pause(),N.push(e)});else if(this.bufferObject=H.createBuffer(this.audioData,!1),cr.is_undefined(this.playTagWhenReady)||
T)cr.is_undefined(this.convolveWhenReady)||(b=this.convolveWhenReady.convolveNode,b.normalize=this.normalizeWhenReady,b.buffer=this.bufferObject);else{var b=new z(this,this.playTagWhenReady);b.play(this.loopWhenReady,this.volumeWhenReady,this.seekWhenReady);this.pauseWhenReady&&b.pause();N.push(b)}}};C.prototype.isLoaded=function(){switch(this.myapi){case K:return 4===this.bufferObject.readyState;case D:return!!this.audioData;case S:return!0;case W:return!0}return!1};z.prototype.hasEnded=function(){switch(this.myapi){case K:return this.instanceObject.ended;
case D:return this.buffer.myapi===D?!this.fresh&&!this.stopped&&this.instanceObject.loop||this.is_paused?!1:G.kahanTime.sum-this.startTime>this.buffer.bufferObject.duration:this.instanceObject.ended;case S:return this.pgended;case W:!0}return!0};z.prototype.canBeRecycled=function(){return this.fresh||this.stopped?!0:this.hasEnded()};z.prototype.setPannerEnabled=function(a){L===D&&(!this.pannerEnabled&&a?this.gainNode&&(this.pannerNode||(this.pannerNode=H.createPanner(),this.pannerNode.panningModel=
"number"===typeof this.pannerNode.panningModel?ja:["equalpower","HRTF","soundfield"][ja],this.pannerNode.distanceModel="number"===typeof this.pannerNode.distanceModel?ka:["linear","inverse","exponential"][ka],this.pannerNode.refDistance=ma,this.pannerNode.maxDistance=na,this.pannerNode.rolloffFactor=oa),this.gainNode.disconnect(),this.gainNode.connect(this.pannerNode),this.pannerNode.connect(d(this.tag)),this.pannerEnabled=!0):this.pannerEnabled&&!a&&this.gainNode&&(this.pannerNode.disconnect(),this.gainNode.disconnect(),
this.gainNode.connect(d(this.tag)),this.pannerEnabled=!1))};z.prototype.setPan=function(a,b,c,d,e,f){this.pannerEnabled&&L===D&&(this.pannerNode.setPosition(a,b,0),this.pannerNode.setOrientation(Math.cos(cr.to_radians(c)),Math.sin(cr.to_radians(c)),0),this.pannerNode.coneInnerAngle=d,this.pannerNode.coneOuterAngle=e,this.pannerNode.coneOuterGain=f,this.panX=a,this.panY=b,this.panAngle=c,this.panConeInner=d,this.panConeOuter=e,this.panConeOuterGain=f)};z.prototype.setObject=function(a){this.pannerEnabled&&
L===D&&(this.objectTracker||(this.objectTracker=new h),this.objectTracker.setObject(a))};z.prototype.tick=function(a){if(this.pannerEnabled&&L===D&&this.objectTracker&&this.objectTracker.hasObject()&&this.isPlaying()){this.objectTracker.tick(a);a=this.objectTracker.obj;var b=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!0),c=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),Z,aa,!1);this.pannerNode.setPosition(b,c,0);b=0;"undefined"!==typeof this.objectTracker.obj.angle&&(b=a.angle-a.layer.getAngle(),
this.pannerNode.setOrientation(Math.cos(b),Math.sin(b),0));b=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!0);c=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!1);this.pannerNode.setVelocity(b,c,0)}};z.prototype.play=function(a,b,c){var d=this.instanceObject;this.looping=a;this.volume=b;c=c||0;switch(this.myapi){case K:1!==d.playbackRate&&(d.playbackRate=1);d.volume!==b*
Y&&(d.volume=b*Y);d.loop!==a&&(d.loop=a);d.muted&&(d.muted=!1);if(d.currentTime!==c)try{d.currentTime=c}catch(e){}this.is_music&&ea&&!G.isInUserInputEvent?fa.push(this):this.instanceObject.play();break;case D:this.muted=!1;this.mutevol=1;if(this.buffer.myapi===D)this.fresh||(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode)),this.instanceObject.loop=a,this.gainNode.gain.value=b*Y,0===c?k(this.instanceObject):g(this.instanceObject,
c,this.getDuration());else{1!==d.playbackRate&&(d.playbackRate=1);d.loop!==a&&(d.loop=a);this.gainNode.gain.value=b*Y;if(d.currentTime!==c)try{d.currentTime=c}catch(f){}this.is_music&&ea&&!G.isInUserInputEvent?fa.push(this):d.play()}break;case S:(!this.fresh&&this.stopped||0!==c)&&d.seekTo(c);d.play();this.pgended=!1;break;case W:G.isDirectCanvas?AppMobi.context.playSound(this.src,a):AppMobi.player.playSound(this.src,a)}this.playbackRate=1;this.startTime=G.kahanTime.sum-c;this.is_paused=this.stopped=
this.fresh=!1};z.prototype.stop=function(){switch(this.myapi){case K:this.instanceObject.paused||this.instanceObject.pause();break;case D:this.buffer.myapi===D?r(this.instanceObject):this.instanceObject.paused||this.instanceObject.pause();break;case S:this.instanceObject.stop();break;case W:G.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.stopped=!0;this.is_paused=!1};z.prototype.pause=function(){if(!(this.fresh||this.stopped||this.hasEnded()||this.is_paused)){switch(this.myapi){case K:this.instanceObject.paused||
this.instanceObject.pause();break;case D:this.buffer.myapi===D?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),r(this.instanceObject)):this.instanceObject.paused||this.instanceObject.pause();break;case S:this.instanceObject.pause();break;case W:G.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.is_paused=!0}};z.prototype.resume=function(){if(!this.fresh&&!this.stopped&&!this.hasEnded()&&this.is_paused){switch(this.myapi){case K:this.instanceObject.play();
break;case D:this.buffer.myapi===D?(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=G.kahanTime.sum-this.resume_position,g(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play();break;case S:this.instanceObject.play();break;case W:G.isDirectCanvas&&AppMobi.context.resumeSound(this.src)}this.is_paused=
!1}};z.prototype.seek=function(a){if(!(this.fresh||this.stopped||this.hasEnded()))switch(this.myapi){case K:try{this.instanceObject.currentTime=a}catch(b){}break;case D:if(this.buffer.myapi===D)this.is_paused?this.resume_position=a:(this.pause(),this.resume_position=a,this.resume());else try{this.instanceObject.currentTime=a}catch(c){}break;case W:G.isDirectCanvas&&AppMobi.context.seekSound(this.src,a)}};z.prototype.reconnect=function(a){this.myapi===D&&(this.pannerEnabled?(this.pannerNode.disconnect(),
this.pannerNode.connect(a)):(this.gainNode.disconnect(),this.gainNode.connect(a)))};z.prototype.getDuration=function(){switch(this.myapi){case K:if("undefined"!==typeof this.instanceObject.duration)return this.instanceObject.duration;break;case D:return this.buffer.bufferObject.duration;case S:return this.instanceObject.getDuration();case W:if(G.isDirectCanvas)return AppMobi.context.getDurationSound(this.src)}return 0};z.prototype.getPlaybackTime=function(){var a=this.getDuration(),b=0;switch(this.myapi){case K:"undefined"!==
typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case D:if(this.buffer.myapi===D){if(this.is_paused)return this.resume_position;b=G.kahanTime.sum-this.startTime}else"undefined"!==typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case W:G.isDirectCanvas&&(b=AppMobi.context.getPlaybackTimeSound(this.src))}!this.looping&&b>a&&(b=a);return b};z.prototype.isPlaying=function(){return!this.is_paused&&!this.fresh&&!this.stopped&&!this.hasEnded()};
z.prototype.setVolume=function(a){this.volume=a;this.updateVolume()};z.prototype.updateVolume=function(){var a=this.volume*Y;switch(this.myapi){case K:this.instanceObject.volume&&this.instanceObject.volume!==a&&(this.instanceObject.volume=a);break;case D:this.gainNode.gain.value=a*this.mutevol}};z.prototype.getVolume=function(){return this.volume};z.prototype.doSetMuted=function(a){switch(this.myapi){case K:this.instanceObject.muted!==!!a&&(this.instanceObject.muted=!!a);break;case D:this.mutevol=
a?0:1,this.gainNode.gain.value=Y*this.volume*this.mutevol}};z.prototype.setMuted=function(a){this.is_muted=!!a;this.doSetMuted(this.is_muted||this.is_silent)};z.prototype.setSilent=function(a){this.is_silent=!!a;this.doSetMuted(this.is_muted||this.is_silent)};z.prototype.setLooping=function(a){this.looping=a;switch(this.myapi){case K:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case D:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case W:G.isDirectCanvas&&
AppMobi.context.setLoopingSound(this.src,a)}};z.prototype.setPlaybackRate=function(a){this.playbackRate=a;this.updatePlaybackRate()};z.prototype.updatePlaybackRate=function(){var a=this.playbackRate;if(1===ha&&!this.is_music||2===ha)a*=G.timescale;switch(this.myapi){case K:this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a);break;case D:this.buffer.myapi===D?this.instanceObject.playbackRate.value!==a&&(this.instanceObject.playbackRate.value=a):this.instanceObject.playbackRate!==
a&&(this.instanceObject.playbackRate=a)}};z.prototype.setSuspended=function(a){switch(this.myapi){case K:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play();break;case D:a?this.isPlaying()?(this.buffer.myapi===D?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),r(this.instanceObject)):this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&(this.buffer.myapi===
D?(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Y*this.volume*this.mutevol,this.startTime=G.kahanTime.sum-this.resume_position,g(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play());break;case S:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play()}};
I.Instance=function(a){this.type=a;G=this.runtime=a.runtime;U=this;this.listenerTracker=null;this.listenerZ=-600;!(this.runtime.isiOS||this.runtime.isAndroid&&(this.runtime.isChrome||this.runtime.isAndroidStockBrowser))||this.runtime.isCrosswalk||this.runtime.isDomFree||(ea=!0);H=null;"undefined"!==typeof AudioContext?(L=D,H=new AudioContext):"undefined"!==typeof webkitAudioContext&&(L=D,H=new webkitAudioContext);(this.runtime.isiOS&&L===D||ea)&&document.addEventListener("touchstart",function(){var a,
b,c;!pa&&H&&(a=H.createBuffer(1,1,22050),b=H.createBufferSource(),b.buffer=a,b.connect(H.destination),k(b),pa=!0);if(ea){if(!T)for(a=0,b=fa.length;a<b;++a)c=fa[a],c.stopped||c.is_paused||c.instanceObject.play();fa.length=0}},!0);L!==D&&(this.runtime.isPhoneGap?L=S:this.runtime.isAppMobi&&(L=W));L===S&&(V=location.href,a=V.lastIndexOf("/"),-1<a&&(V=V.substr(0,a+1)),V=V.replace("file://",""));if(this.runtime.isSafari&&this.runtime.isWindows&&"undefined"===typeof Audio)alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),
this.runtime.DestroyInstance(this);else{if(this.runtime.isDirectCanvas)X=this.runtime.isAndroid;else try{X=!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"')}catch(b){X=!1}this.runtime.tickMe(this)}};var ba=I.Instance.prototype;ba.onCreate=function(){ha=this.properties[0];this.saveload=this.properties[1];ja=this.properties[2];ka=this.properties[3];this.listenerZ=-this.properties[4];ma=this.properties[5];na=this.properties[6];oa=this.properties[7];this.listenerTracker=new h;L===D&&(H.listener.speedOfSound=
this.properties[8],H.listener.dopplerFactor=this.properties[9],H.listener.setPosition(this.runtime.draw_width/2,this.runtime.draw_height/2,this.listenerZ),H.listener.setOrientation(0,0,1,0,-1,0),window.c2OnAudioMicStream=function(a,b){ca&&ca.disconnect();ia=b.toLowerCase();ca=H.createMediaStreamSource(a);ca.connect(d(ia))});this.runtime.addSuspendCallback(function(a){U.onSuspend(a)});var a=this;this.runtime.addDestroyCallback(function(b){a.onInstanceDestroyed(b)})};ba.onInstanceDestroyed=function(a){var b,
c,d;b=0;for(c=N.length;b<c;b++)d=N[b],d.objectTracker&&d.objectTracker.obj===a&&(d.objectTracker.obj=null,d.pannerEnabled&&d.isPlaying()&&d.looping&&d.stop());this.listenerTracker.obj===a&&(this.listenerTracker.obj=null)};ba.saveToJSON=function(){var a={silent:T,masterVolume:Y,listenerZ:this.listenerZ,listenerUid:this.listenerTracker.hasObject()?this.listenerTracker.obj.uid:-1,playing:[],effects:{}},b=a.playing,c,d,e,f,h,g;c=0;for(d=N.length;c<d;c++)e=N[c],!e.isPlaying()||3===this.saveload||e.is_music&&
1===this.saveload||!e.is_music&&2===this.saveload||(f=e.getPlaybackTime(),e.looping&&(f%=e.getDuration()),f={tag:e.tag,buffersrc:e.buffer.src,is_music:e.is_music,playbackTime:f,volume:e.volume,looping:e.looping,muted:e.is_muted,playbackRate:e.playbackRate,paused:e.is_paused,resume_position:e.resume_position},e.pannerEnabled&&(f.pan={},g=f.pan,e.objectTracker&&e.objectTracker.hasObject()?g.objUid=e.objectTracker.obj.uid:(g.x=e.panX,g.y=e.panY,g.a=e.panAngle),g.ia=e.panConeInner,g.oa=e.panConeOuter,
g.og=e.panConeOuterGain),b.push(f));b=a.effects;for(h in P)if(P.hasOwnProperty(h)){e=[];c=0;for(d=P[h].length;c<d;c++)e.push({type:P[h][c].type,params:P[h][c].params});b[h]=e}return a};var ga=[];ba.loadFromJSON=function(a){var b=a.silent;Y=a.masterVolume;this.listenerZ=a.listenerZ;this.listenerTracker.setObject(null);var c=a.listenerUid;-1!==c&&(this.listenerTracker.loadUid=c,ga.push(this.listenerTracker));var c=a.playing,d,e,g,l,k,r,C,z,A,y,B;if(3!==this.saveload)for(d=0,e=N.length;d<e;d++)A=N[d],
A.is_music&&1===this.saveload||(A.is_music||2!==this.saveload)&&A.stop();for(k in P)if(P.hasOwnProperty(k))for(d=0,e=P[k].length;d<e;d++)P[k][d].remove();cr.wipe(P);for(k in a.effects)if(a.effects.hasOwnProperty(k))for(r=a.effects[k],d=0,e=r.length;d<e;d++)switch(g=r[d].type,y=r[d].params,g){case "filter":E(k,new p(y[0],y[1],y[2],y[3],y[4],y[5]));break;case "delay":E(k,new n(y[0],y[1],y[2]));break;case "convolve":g=y[2];A=this.getAudioBuffer(g,!1);A.bufferObject?g=new m(A.bufferObject,y[0],y[1],g):
(g=new m(null,y[0],y[1],g),A.normalizeWhenReady=y[0],A.convolveWhenReady=g);E(k,g);break;case "flanger":E(k,new s(y[0],y[1],y[2],y[3],y[4]));break;case "phaser":E(k,new q(y[0],y[1],y[2],y[3],y[4],y[5]));break;case "gain":E(k,new u(y[0]));break;case "tremolo":E(k,new x(y[0],y[1]));break;case "ringmod":E(k,new w(y[0],y[1]));break;case "distortion":E(k,new t(y[0],y[1],y[2],y[3],y[4]));break;case "compressor":E(k,new v(y[0],y[1],y[2],y[3],y[4]));break;case "analyser":E(k,new f(y[0],y[1]))}d=0;for(e=c.length;d<
e;d++)3===this.saveload||(a=c[d],g=a.buffersrc,l=a.is_music,k=a.tag,r=a.playbackTime,C=a.looping,z=a.volume,B=(y=a.pan)&&y.hasOwnProperty("objUid")?y.objUid:-1,l&&1===this.saveload)||!l&&2===this.saveload||((A=this.getAudioInstance(g,k,l,C,z))?(A.resume_position=a.resume_position,A.setPannerEnabled(!!y),A.play(C,z,r),A.updatePlaybackRate(),A.updateVolume(),A.doSetMuted(A.is_muted||A.is_silent),a.paused&&A.pause(),a.muted&&A.setMuted(!0),A.doSetMuted(A.is_muted||A.is_silent),y&&(-1!==B?(A.objectTracker=
A.objectTracker||new h,A.objectTracker.loadUid=B,ga.push(A.objectTracker)):A.setPan(y.x,y.y,y.a,y.ia,y.oa,y.og))):(A=this.getAudioBuffer(g,l),A.seekWhenReady=r,A.pauseWhenReady=a.paused,y&&(-1!==B?A.panWhenReady.push({objUid:B,ia:y.ia,oa:y.oa,og:y.og,thistag:k}):A.panWhenReady.push({x:y.x,y:y.y,a:y.a,ia:y.ia,oa:y.oa,og:y.og,thistag:k}))));if(b&&!T){d=0;for(e=N.length;d<e;d++)N[d].setSilent(!0);T=!0}else if(!b&&T){d=0;for(e=N.length;d<e;d++)N[d].setSilent(!1);T=!1}};ba.afterLoad=function(){var a,b,
c,d;a=0;for(b=ga.length;a<b;a++)c=ga[a],d=this.runtime.getObjectByUID(c.loadUid),c.setObject(d),c.loadUid=-1,d&&(Z=d.x,aa=d.y);ga.length=0};ba.onSuspend=function(a){var b,c;b=0;for(c=N.length;b<c;b++)N[b].setSuspended(a)};ba.tick=function(){var a=this.runtime.dt,b,c,d;b=0;for(c=N.length;b<c;b++)d=N[b],d.tick(a),d.myapi===K||d.myapi===W||d.fresh||d.stopped||!d.hasEnded()||(d.stopped=!0,O=d.tag,G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,U)),0!==ha&&d.updatePlaybackRate();var e,f;for(e in P)if(P.hasOwnProperty(e))for(d=
P[e],b=0,c=d.length;b<c;b++)f=d[b],f.tick&&f.tick();L===D&&this.listenerTracker.hasObject()&&(this.listenerTracker.tick(a),Z=this.listenerTracker.obj.x,aa=this.listenerTracker.obj.y,H.listener.setPosition(this.listenerTracker.obj.x,this.listenerTracker.obj.y,this.listenerZ),H.listener.setVelocity(this.listenerTracker.getVelocityX(),this.listenerTracker.getVelocityY(),0))};ba.getAudioBuffer=function(a,b){var c,d,e,f=null;c=0;for(d=da.length;c<d;c++)if(e=da[c],e.src===a){f=e;break}f||(f=new C(a,b),
da.push(f));return f};ba.getAudioInstance=function(a,b,c,d,e){var f,h,g;f=0;for(h=N.length;f<h;f++)if(g=N[f],g.src===a&&(g.canBeRecycled()||c))return g.tag=b,g;a=this.getAudioBuffer(a,c);if(!a.bufferObject)return"<preload>"!==b&&(a.playTagWhenReady=b,a.loopWhenReady=d,a.volumeWhenReady=e),null;g=new z(a,b);N.push(g);return g};var Q=[];F.prototype.OnEnded=function(a){return cr.equals_nocase(O,a)};F.prototype.PreloadsComplete=function(){var a,b;a=0;for(b=da.length;a<b;a++)if(!da[a].isLoaded())return!1;
return!0};F.prototype.AdvancedAudioSupported=function(){return L===D};F.prototype.IsSilent=function(){return T};F.prototype.IsAnyPlaying=function(){var a,b;a=0;for(b=N.length;a<b;a++)if(N[a].isPlaying())return!0;return!1};F.prototype.IsTagPlaying=function(a){A(a);var b;a=0;for(b=Q.length;a<b;a++)if(Q[a].isPlaying())return!0;return!1};I.cnds=new F;B.prototype.Play=function(b,c,d,e){!T&&(d=a(d),R=this.getAudioInstance(this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a"),e,b[1],0!==c,d))&&(R.setPannerEnabled(!1),
R.play(0!==c,d))};B.prototype.PlayAtPosition=function(b,c,d,e,f,h,g,l,m,n){if(!T){d=a(d);var q=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");(R=this.getAudioInstance(b,n,q,0!==c,d))?(R.setPannerEnabled(!0),R.setPan(e,f,h,g,l,a(m)),R.play(0!==c,d)):this.getAudioBuffer(b,q).panWhenReady.push({x:e,y:f,a:h,ia:g,oa:l,og:a(m),thistag:n})}};B.prototype.PlayAtObject=function(b,c,d,e,f,h,g,l){if(!T&&e&&(e=e.getFirstPicked())){d=a(d);var m=b[1];b=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");
(R=this.getAudioInstance(b,l,m,0!==c,d))?(R.setPannerEnabled(!0),l=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),Z,aa,!0),b=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),Z,aa,!1),R.setPan(l,b,cr.to_degrees(e.angle-e.layer.getAngle()),f,h,a(g)),R.setObject(e),R.play(0!==c,d)):this.getAudioBuffer(b,m).panWhenReady.push({obj:e,ia:f,oa:h,og:a(g),thistag:l})}};B.prototype.PlayByName=function(b,c,d,e,f){!T&&(e=a(e),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),R=this.getAudioInstance(c,
f,b,0!==d,e))&&(R.setPannerEnabled(!1),R.play(0!==d,e))};B.prototype.PlayAtPositionByName=function(b,c,d,e,f,h,g,l,m,n,q){T||(e=a(e),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),(R=this.getAudioInstance(c,q,b,0!==d,e))?(R.setPannerEnabled(!0),R.setPan(f,h,g,l,m,a(n)),R.play(0!==d,e)):this.getAudioBuffer(c,b).panWhenReady.push({x:f,y:h,a:g,ia:l,oa:m,og:a(n),thistag:q}))};B.prototype.PlayAtObjectByName=function(b,c,d,e,f,h,g,l,m){!T&&f&&(f=f.getFirstPicked())&&(e=a(e),b=
1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(X?".ogg":".m4a"),(R=this.getAudioInstance(c,m,b,0!==d,e))?(R.setPannerEnabled(!0),m=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),Z,aa,!0),c=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),Z,aa,!1),R.setPan(m,c,cr.to_degrees(f.angle-f.layer.getAngle()),h,g,a(l)),R.setObject(f),R.play(0!==d,e)):this.getAudioBuffer(c,b).panWhenReady.push({obj:f,ia:h,oa:g,og:a(l),thistag:m}))};B.prototype.SetLooping=function(a,b){A(a);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].setLooping(0===
b)};B.prototype.SetMuted=function(a,b){A(a);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].setMuted(0===b)};B.prototype.SetVolume=function(b,c){A(b);var d=a(c),e,f;e=0;for(f=Q.length;e<f;e++)Q[e].setVolume(d)};B.prototype.Preload=function(a){if(!T){var b=a[1];a=this.runtime.files_subfolder+a[0]+(X?".ogg":".m4a");L===W?this.runtime.isDirectCanvas?AppMobi.context.loadSound(a):AppMobi.player.loadSound(a):L!==S&&this.getAudioInstance(a,"<preload>",b,!1)}};B.prototype.PreloadByName=function(a,b){if(!T){var c=
1===a,d=this.runtime.files_subfolder+b.toLowerCase()+(X?".ogg":".m4a");L===W?this.runtime.isDirectCanvas?AppMobi.context.loadSound(d):AppMobi.player.loadSound(d):L!==S&&this.getAudioInstance(d,"<preload>",c,!1)}};B.prototype.SetPlaybackRate=function(a,b){A(a);0>b&&(b=0);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].setPlaybackRate(b)};B.prototype.Stop=function(a){A(a);var b;a=0;for(b=Q.length;a<b;a++)Q[a].stop()};B.prototype.StopAll=function(){var a,b;a=0;for(b=N.length;a<b;a++)N[a].stop()};B.prototype.SetPaused=
function(a,b){A(a);var c,d;c=0;for(d=Q.length;c<d;c++)0===b?Q[c].pause():Q[c].resume()};B.prototype.Seek=function(a,b){A(a);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].seek(b)};B.prototype.SetSilent=function(a){var b;2===a&&(a=T?1:0);if(0===a&&!T){a=0;for(b=N.length;a<b;a++)N[a].setSilent(!0);T=!0}else if(1===a&&T){a=0;for(b=N.length;a<b;a++)N[a].setSilent(!1);T=!1}};B.prototype.SetMasterVolume=function(b){Y=a(b);var c;b=0;for(c=N.length;b<c;b++)N[b].updateVolume()};B.prototype.AddFilterEffect=function(a,
b,c,d,e,f,h){L!==D||0>b||b>=la.length||!H.createBiquadFilter||(a=a.toLowerCase(),h/=100,0>h&&(h=0),1<h&&(h=1),E(a,new p(b,c,d,e,f,h)))};B.prototype.AddDelayEffect=function(b,c,d,e){L===D&&(b=b.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),E(b,new n(c,a(d),e)))};B.prototype.AddFlangerEffect=function(a,b,c,d,e,f){L===D&&H.createOscillator&&(a=a.toLowerCase(),f/=100,0>f&&(f=0),1<f&&(f=1),E(a,new s(b/1E3,c/1E3,d,e/100,f)))};B.prototype.AddPhaserEffect=function(a,b,c,d,e,f,h){L===D&&H.createOscillator&&(a=
a.toLowerCase(),h/=100,0>h&&(h=0),1<h&&(h=1),E(a,new q(b,c,d,e,f,h)))};B.prototype.AddConvolutionEffect=function(a,b,c,d){if(L===D&&H.createConvolver){c=0===c;var e=this.runtime.files_subfolder+b[0]+(X?".ogg":".m4a");b=this.getAudioBuffer(e,!1);a=a.toLowerCase();d/=100;0>d&&(d=0);1<d&&(d=1);b.bufferObject?d=new m(b.bufferObject,c,d,e):(d=new m(null,c,d,e),b.normalizeWhenReady=c,b.convolveWhenReady=d);E(a,d)}};B.prototype.AddGainEffect=function(b,c){L===D&&(b=b.toLowerCase(),E(b,new u(a(c))))};B.prototype.AddMuteEffect=
function(a){L===D&&(a=a.toLowerCase(),E(a,new u(0)))};B.prototype.AddTremoloEffect=function(a,b,c){L===D&&H.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),E(a,new x(b,c)))};B.prototype.AddRingModEffect=function(a,b,c){L===D&&H.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),E(a,new w(b,c)))};B.prototype.AddDistortionEffect=function(a,b,c,d,e,f){L===D&&H.createWaveShaper&&(a=a.toLowerCase(),f/=100,0>f&&(f=0),1<f&&(f=1),E(a,new t(b,c,d,e,f)))};B.prototype.AddCompressorEffect=
function(a,b,c,d,e,f){L===D&&H.createDynamicsCompressor&&(a=a.toLowerCase(),E(a,new v(b,c,d,e/1E3,f/1E3)))};B.prototype.AddAnalyserEffect=function(a,b,c){L===D&&(a=a.toLowerCase(),E(a,new f(b,c)))};B.prototype.RemoveEffects=function(a){if(L===D){a=a.toLowerCase();var b,c,d;if(P.hasOwnProperty(a)&&(d=P[a],d.length)){b=0;for(c=d.length;b<c;b++)d[b].remove();d.length=0;y(a)}}};B.prototype.SetEffectParameter=function(a,b,c,d,e,f){L===D&&(a=a.toLowerCase(),b=Math.floor(b),P.hasOwnProperty(a)&&(a=P[a],
0>b||b>=a.length||a[b].setParam(c,d,e,f)))};B.prototype.SetListenerObject=function(a){a&&L===D&&(a=a.getFirstPicked())&&(this.listenerTracker.setObject(a),Z=a.x,aa=a.y)};B.prototype.SetListenerZ=function(a){this.listenerZ=a};I.acts=new B;M.prototype.Duration=function(a,b){A(b);Q.length?a.set_float(Q[0].getDuration()):a.set_float(0)};M.prototype.PlaybackTime=function(a,b){A(b);Q.length?a.set_float(Q[0].getPlaybackTime()):a.set_float(0)};M.prototype.Volume=function(a,c){A(c);if(Q.length){var d=Q[0].getVolume();
a.set_float(b(d))}else a.set_float(0)};M.prototype.MasterVolume=function(a){a.set_float(Y)};M.prototype.EffectCount=function(a,b){b=b.toLowerCase();var c=null;P.hasOwnProperty(b)&&(c=P[b]);a.set_int(c?c.length:0)};M.prototype.AnalyserFreqBinCount=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);b=J(b,c);a.set_int(b?b.node.frequencyBinCount:0)};M.prototype.AnalyserFreqBinAt=function(a,b,c,d){b=b.toLowerCase();c=Math.floor(c);d=Math.floor(d);(b=J(b,c))?0>d||d>=b.node.frequencyBinCount?a.set_float(0):
a.set_float(b.freqBins[d]):a.set_float(0)};M.prototype.AnalyserPeakLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=J(b,c))?a.set_float(b.peak):a.set_float(0)};M.prototype.AnalyserRMSLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=J(b,c))?a.set_float(b.rms):a.set_float(0)};I.exps=new M})();cr.plugins_.Browser=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){"undefined"!==typeof jQuery&&g.setSize(jQuery(window).width(),jQuery(window).height())}function e(){}var c=cr.plugins_.Browser.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=a;this.runtime=a.runtime};c.Instance.prototype.onCreate=function(){var a=this;window.addEventListener("resize",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnResize,
a)});"undefined"!==typeof navigator.onLine&&(window.addEventListener("online",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOnline,a)}),window.addEventListener("offline",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOffline,a)}));"undefined"!==typeof window.applicationCache&&(window.applicationCache.addEventListener("updateready",function(){a.runtime.loadingprogress=1;a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),window.applicationCache.addEventListener("progress",
function(b){a.runtime.loadingprogress=b.loaded/b.total}));this.runtime.isDirectCanvas||(document.addEventListener("appMobi.device.update.available",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),document.addEventListener("backbutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a)}),document.addEventListener("menubutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a)}),document.addEventListener("searchbutton",
function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnSearchButton,a)}),document.addEventListener("tizenhwkey",function(b){var c;switch(b.keyName){case "back":c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a);!c&&window.tizen&&window.tizen.application.getCurrentApplication().exit();break;case "menu":(c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a))||b.preventDefault()}}));this.runtime.addSuspendCallback(function(b){b?a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageHidden,
a):a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageVisible,a)});this.is_arcade="undefined"!==typeof window.is_scirra_arcade};a.prototype.CookiesEnabled=function(){return navigator?navigator.cookieEnabled:!1};a.prototype.IsOnline=function(){return navigator?navigator.onLine:!1};a.prototype.HasJava=function(){return navigator?navigator.javaEnabled():!1};a.prototype.OnOnline=function(){return!0};a.prototype.OnOffline=function(){return!0};a.prototype.IsDownloadingUpdate=function(){return"undefined"===
typeof window.applicationCache?!1:window.applicationCache.status===window.applicationCache.DOWNLOADING};a.prototype.OnUpdateReady=function(){return!0};a.prototype.PageVisible=function(){return!this.runtime.isSuspended};a.prototype.OnPageVisible=function(){return!0};a.prototype.OnPageHidden=function(){return!0};a.prototype.OnResize=function(){return!0};a.prototype.IsFullscreen=function(){return!!(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.runtime.isNodeFullscreen)};
a.prototype.OnBackButton=function(){return!0};a.prototype.OnMenuButton=function(){return!0};a.prototype.OnSearchButton=function(){return!0};a.prototype.IsMetered=function(){var a=navigator.connection||navigator.mozConnection||navigator.webkitConnection;return a?a.metered:!1};a.prototype.IsCharging=function(){var a=navigator.battery||navigator.mozBattery||navigator.webkitBattery;return a?a.charging:!0};a.prototype.IsPortraitLandscape=function(a){return(window.innerWidth<=window.innerHeight?0:1)===
a};c.cnds=new a;b.prototype.Alert=function(a){this.runtime.isDomFree||alert(a.toString())};b.prototype.Close=function(){this.runtime.isCocoonJs?CocoonJS.App.forceToFinish():window.tizen?window.tizen.application.getCurrentApplication().exit():navigator.app&&navigator.app.exitApp?navigator.app.exitApp():navigator.device&&navigator.device.exitApp?navigator.device.exitApp():this.is_arcade||this.runtime.isDomFree||window.close()};b.prototype.Focus=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().focus():
this.is_arcade||this.runtime.isDomFree||window.focus()};b.prototype.Blur=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().blur():this.is_arcade||this.runtime.isDomFree||window.blur()};b.prototype.GoBack=function(){navigator.app&&navigator.app.backHistory?navigator.app.backHistory():this.is_arcade||this.runtime.isDomFree||!window.back||window.back()};b.prototype.GoForward=function(){this.is_arcade||this.runtime.isDomFree||!window.forward||window.forward()};b.prototype.GoHome=function(){this.is_arcade||
this.runtime.isDomFree||!window.home||window.home()};b.prototype.GoToURL=function(a){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.is_arcade||this.runtime.isDomFree||(window.location=a)};b.prototype.GoToURLWindow=function(a,b){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.is_arcade||this.runtime.isDomFree||window.open(a,b)};b.prototype.Reload=function(){this.is_arcade||this.runtime.isDomFree||window.location.reload()};var k=!0,g=null;b.prototype.RequestFullScreen=function(a){this.runtime.isDomFree?
cr.logexport("[Construct 2] Requesting fullscreen is not supported on this platform - the request has been ignored"):(2<=a&&(a+=1),6===a&&(a=2),this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen||(window.nwgui.Window.get().enterFullscreen(),this.runtime.isNodeFullscreen=!0):document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||(this.runtime.fullscreen_scaling=2<=a?a:0,a=this.runtime.canvasdiv||this.runtime.canvas,k&&(k=!1,g=this.runtime,a.addEventListener("mozfullscreenerror",
d),a.addEventListener("webkitfullscreenerror",d),a.addEventListener("msfullscreenerror",d),a.addEventListener("fullscreenerror",d)),cr.is_undefined(a.requestFullscreen)?cr.is_undefined(a.webkitRequestFullScreen)?cr.is_undefined(a.mozRequestFullScreen)?cr.is_undefined(a.msRequestFullscreen)||a.msRequestFullscreen():a.mozRequestFullScreen():"undefined"!==typeof Element&&"undefined"!==typeof Element.ALLOW_KEYBOARD_INPUT?a.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT):a.webkitRequestFullScreen():
a.requestFullscreen()))};b.prototype.CancelFullScreen=function(){this.runtime.isDomFree?cr.logexport("[Construct 2] Exiting fullscreen is not supported on this platform - the request has been ignored"):this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen&&(window.nwgui.Window.get().leaveFullscreen(),this.runtime.isNodeFullscreen=!1):cr.is_undefined(document.exitFullscreen)?cr.is_undefined(document.webkitCancelFullScreen)?cr.is_undefined(document.mozCancelFullScreen)?cr.is_undefined(document.msExitFullscreen)||
document.msExitFullscreen():document.mozCancelFullScreen():document.webkitCancelFullScreen():document.exitFullscreen()};b.prototype.Vibrate=function(a){try{var b=a.split(","),c,d;c=0;for(d=b.length;c<d;c++)b[c]=parseInt(b[c],10);navigator.vibrate?navigator.vibrate(b):navigator.mozVibrate?navigator.mozVibrate(b):navigator.webkitVibrate?navigator.webkitVibrate(b):navigator.msVibrate&&navigator.msVibrate(b)}catch(e){}};b.prototype.InvokeDownload=function(a,b){var c=document.createElement("a");if("undefined"===
typeof c.download)window.open(a);else{var d=document.getElementsByTagName("body")[0];c.textContent=b;c.href=a;c.download=b;d.appendChild(c);var e=document.createEvent("MouseEvent");e.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);c.dispatchEvent(e);d.removeChild(c)}};b.prototype.InvokeDownloadString=function(a,b,c){var d="data:"+b+","+encodeURIComponent(a);a=document.createElement("a");"undefined"===typeof a.download?window.open(d):(b=document.getElementsByTagName("body")[0],a.textContent=
c,a.href=d,a.download=c,b.appendChild(a),c=document.createEvent("MouseEvent"),c.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null),a.dispatchEvent(c),b.removeChild(a))};b.prototype.ConsoleLog=function(a,b){"undefined"!==typeof console&&(0===a&&console.log&&console.log(b.toString()),1===a&&console.warn&&console.warn(b.toString()),2===a&&console.error&&console.error(b.toString()))};b.prototype.ConsoleGroup=function(a){console&&console.group&&console.group(a)};b.prototype.ConsoleGroupEnd=
function(){console&&console.groupEnd&&console.groupEnd()};b.prototype.ExecJs=function(a){eval&&eval(a)};var r="portrait landscape portrait-primary portrait-secondary landscape-primary landscape-secondary".split(" ");b.prototype.LockOrientation=function(a){a=Math.floor(a);0>a||a>=r.length||(this.runtime.autoLockOrientation=!1,a=r[a],screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&
screen.msLockOrientation(a))};b.prototype.UnlockOrientation=function(){this.runtime.autoLockOrientation=!1;screen.unlockOrientation?screen.unlockOrientation():screen.webkitUnlockOrientation?screen.webkitUnlockOrientation():screen.mozUnlockOrientation?screen.mozUnlockOrientation():screen.msUnlockOrientation&&screen.msUnlockOrientation()};c.acts=new b;e.prototype.URL=function(a){a.set_string(this.runtime.isDomFree?"":window.location.toString())};e.prototype.Protocol=function(a){a.set_string(this.runtime.isDomFree?
"":window.location.protocol)};e.prototype.Domain=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hostname)};e.prototype.PathName=function(a){a.set_string(this.runtime.isDomFree?"":window.location.pathname)};e.prototype.Hash=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hash)};e.prototype.Referrer=function(a){a.set_string(this.runtime.isDomFree?"":document.referrer)};e.prototype.Title=function(a){a.set_string(this.runtime.isDomFree?"":document.title)};e.prototype.Name=
function(a){a.set_string(this.runtime.isDomFree?"":navigator.appName)};e.prototype.Version=function(a){a.set_string(this.runtime.isDomFree?"":navigator.appVersion)};e.prototype.Language=function(a){navigator&&navigator.language?a.set_string(navigator.language):a.set_string("")};e.prototype.Platform=function(a){a.set_string(this.runtime.isDomFree?"":navigator.platform)};e.prototype.Product=function(a){navigator&&navigator.product?a.set_string(navigator.product):a.set_string("")};e.prototype.Vendor=
function(a){navigator&&navigator.vendor?a.set_string(navigator.vendor):a.set_string("")};e.prototype.UserAgent=function(a){a.set_string(this.runtime.isDomFree?"":navigator.userAgent)};e.prototype.QueryString=function(a){a.set_string(this.runtime.isDomFree?"":window.location.search)};e.prototype.QueryParam=function(a,b){if(this.runtime.isDomFree)a.set_string("");else{var c=RegExp("[?&]"+b+"=([^&]*)").exec(window.location.search);c?a.set_string(decodeURIComponent(c[1].replace(/\+/g," "))):a.set_string("")}};
e.prototype.Bandwidth=function(a){var b=navigator.connection||navigator.mozConnection||navigator.webkitConnection;b?a.set_float(b.bandwidth):a.set_float(Number.POSITIVE_INFINITY)};e.prototype.BatteryLevel=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.level):a.set_float(1)};e.prototype.BatteryTimeLeft=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.dischargingTime):a.set_float(Number.POSITIVE_INFINITY)};
e.prototype.ExecJS=function(a,b){if(eval){var c=eval(b);"number"===typeof c?a.set_any(c):"string"===typeof c?a.set_any(c):"boolean"===typeof c?a.set_any(c?1:0):a.set_any(0)}else a.set_any(0)};e.prototype.ScreenWidth=function(a){a.set_int(screen.width)};e.prototype.ScreenHeight=function(a){a.set_int(screen.height)};e.prototype.DevicePixelRatio=function(a){a.set_float(this.runtime.devicePixelRatio)};c.exps=new e})();cr.plugins_.CJSAds=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e="",c=[],k=0,g=0,r=!1,l=!1,p=!1,n=cr.plugins_.CJSAds.prototype;n.Type=function(a){this.plugin=a;this.runtime=a.runtime};n.Type.prototype.onCreate=function(){};n.Instance=function(a){this.type=a;this.runtime=a.runtime};n.Instance.prototype.onCreate=function(){this.isShowingFullscreen=this.isShowingBanner=!1;this.triggerProduct="";this.socialService=null;this.socialServiceAvailable=!1;this.storeServiceAvailable=this.runtime.isCocoonJs&&"undefined"!==
typeof CocoonJS.Store.nativeExtensionObjectAvailable;this.storeManaged=1!==this.properties[0];this.storeSandboxed=0!==this.properties[1];this.onConsumePurchaseCompleted=this.onConsumePurchaseFailedTransactionId="";var a=this;this.runtime.isCocoonJs&&(CocoonJS.App.onTextDialogFinished.addEventListener(function(b){e=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK,a)}),CocoonJS.App.onTextDialogCancelled.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled,
a)}),CocoonJS.Ad.onBannerShown.addEventListener(function(){a.isShowingBanner=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown,a)}),CocoonJS.Ad.onBannerReady.addEventListener(function(){l=!0;r||(CocoonJS.Ad.setBannerLayout(g),CocoonJS.Ad.showBanner())}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.isShowingFullscreen=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.isShowingFullscreen=
!1;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden,a)}),CocoonJS.Ad.onFullScreenReady.addEventListener(function(){p=!0;preloadFullScreen||CocoonJS.Ad.showFullScreen()}),this.storeServiceAvailable&&(CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,a);CocoonJS.Store.addPurchase(b);CocoonJS.Store.consumePurchase(b.transactionId,b.productId);CocoonJS.Store.finishPurchase(b.transactionId)}),
CocoonJS.Store.onConsumePurchaseFailed.addEventListener(function(b,c){this.onConsumePurchaseFailedTransactionId=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed,a)}),CocoonJS.Store.onConsumePurchaseCompleted.addEventListener(function(b){this.onConsumePurchaseCompleted=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(b,c){a.triggerProduct=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart,a)}),CocoonJS.Store.onProductsFetchStarted.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted,a)}),CocoonJS.Store.onProductsFetchFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,a)}),CocoonJS.Store.onProductsFetchCompleted.addEventListener(function(b){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
a)}),CocoonJS.Store.requestInitialization({managed:this.storeManaged,sandbox:this.storeSandboxed}),CocoonJS.Store.start()),this.socialService=CocoonJS.SocialGaming.GameCenter,this.socialServiceAvailable=!!this.socialService.nativeExtensionObjectAvailable,this.socialService.onRequestLoginSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess,a)}),this.socialService.onRequestLoginFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail,
a)}),this.socialService.onLogout.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout,a)}),this.socialService.onRequestUserScoreSucceed.addEventListener(function(b){k=b.score||0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived,a)}),this.socialService.onRequestUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable,a)}),this.socialService.onSubmitUserScoreSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess,
a)}),this.socialService.onSubmitUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail,a)}),this.socialService.onLeaderboardViewSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen,a)}),this.socialService.onLeaderboardViewClosed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose,a)}))};a.prototype.IsShowingBanner=function(){return this.isShowingBanner};
a.prototype.IsCocoonJS=function(){return this.runtime.isCocoonJs};a.prototype.OnBannerShown=function(){return!0};a.prototype.OnFullscreenShown=function(){return!0};a.prototype.OnFullscreenHidden=function(){return!0};a.prototype.IsShowingFullscreen=function(){return this.isShowingFullscreen};a.prototype.IsStoreAvailable=function(){return this.runtime.isCocoonJs?this.storeServiceAvailable&&CocoonJS.Store.canPurchase():!1};a.prototype.OnPurchaseStart=function(a){return this.triggerProduct===a};a.prototype.OnPurchaseComplete=
function(a){return this.triggerProduct===a};a.prototype.OnPurchaseFail=function(a){return this.triggerProduct===a};a.prototype.onProductsFetchStarted=function(){return!0};a.prototype.onConsumePurchaseFailed=function(){return!0};a.prototype.onProductsFetchCompleted=function(){return!0};a.prototype.onProductsFetchFailed=function(){return!0};a.prototype.IsProductPurchased=function(a){return this.runtime.isCocoonJs?CocoonJS.Store.isProductPurchased(a):!1};a.prototype.OnKeyboardCancelled=function(){return!0};
a.prototype.OnKeyboardOK=function(){return!0};a.prototype.IsGCAvailable=function(){return this.socialServiceAvailable};a.prototype.IsGCLoggedIn=function(){return this.socialServiceAvailable?this.socialService.isLoggedIn():!1};a.prototype.OnGCLoginSuccess=function(){return!0};a.prototype.OnGCLoginFail=function(){return!0};a.prototype.OnGCLogout=function(){return!0};a.prototype.OnGCScoreReceived=function(){return!0};a.prototype.OnGCScoreUnavailable=function(){return!0};a.prototype.OnGCScoreSubmitSuccess=
function(){return!0};a.prototype.OnGCScoreSubmitFail=function(){return!0};a.prototype.OnGCLeaderboardOpen=function(){return!0};a.prototype.OnGCLeaderboardClose=function(){return!0};n.cnds=new a;b.prototype.ShowBanner=function(a){this.runtime.isCocoonJs&&(g=0===a?CocoonJS.Ad.BannerLayout.TOP_CENTER:CocoonJS.Ad.BannerLayout.BOTTOM_CENTER,r=!1,l?(CocoonJS.Ad.setBannerLayout(g),CocoonJS.Ad.showBanner()):CocoonJS.Ad.preloadBanner())};b.prototype.ShowFullscreen=function(){this.runtime.isCocoonJs&&(p?CocoonJS.Ad.showFullScreen():
CocoonJS.Ad.preloadFullScreen())};b.prototype.HideBanner=function(){this.runtime.isCocoonJs&&(CocoonJS.Ad.hideBanner(),this.isShowingBanner=!1)};b.prototype.PreloadBanner=function(){this.runtime.isCocoonJs&&(r=!0,CocoonJS.Ad.preloadBanner())};b.prototype.PreloadFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.preloadFullScreen()};b.prototype.RefreshBanner=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshBanner()};b.prototype.RefreshFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshFullScreen()};
b.prototype.Purchase=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProduct(a)};b.prototype.fetchProductsFromStore=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.fetchProductsFromStore(a.split(","))};b.prototype.restorePurchases=function(){if(this.runtime.isCocoonJs)return CocoonJS.Store.restorePurchases()};b.prototype.PurchasePreview=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProductModalWithPreview(a)};b.prototype.RestorePurchases=function(){this.runtime.isCocoonJs&&
CocoonJS.Store.restorePurchases()};b.prototype.PromptKeyboard=function(a,b,c,d,e,g){this.runtime.isCocoonJs&&CocoonJS.App.showTextDialog(a,b,c,["text","num","phone","email","url"][d],e,g)};b.prototype.UpdateProductsList=function(){this.runtime.isCocoonJs&&CocoonJS.Store.canPurchase()&&(c=CocoonJS.Store.getProducts())};b.prototype.GCLogin=function(){this.socialServiceAvailable&&!this.socialService.isLoggedIn()&&this.socialService.requestLogin()};b.prototype.GCLogout=function(){this.socialServiceAvailable&&
this.socialService.isLoggedIn()&&this.socialService.requestLogout()};b.prototype.GCSubmitScore=function(a,b){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.submitUserScore(a,b)};b.prototype.GCRequestScore=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.requestUserScore(a)};b.prototype.GCOpenLeaderboard=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.showLeaderboardView(a)};n.acts=
new b;d.prototype.InputText=function(a){a.set_string(e)};d.prototype.ProductCount=function(a){a.set_int(c.length)};d.prototype.ProductDescription=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].description)};d.prototype.ProductLocalizedPrice=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].localizedPrice)};d.prototype.ProductPrice=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].price)};d.prototype.ProductAlias=
function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].productAlias)};d.prototype.ProductID=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].productId)};d.prototype.ProductTitle=function(a,b){b=Math.floor(b);0>b||b>=c.length?a.set_string(""):a.set_string(c[b].title)};d.prototype.GameCenterScore=function(a){a.set_float(k)};n.exps=new d})();cr.plugins_.Facebook=function(a){this.runtime=a};
(function(){function a(){l||(l=!0,q.trigger(cr.plugins_.Facebook.prototype.cnds.OnLogIn,u),FB.api("/me",function(a){n=a.name;m=a.first_name;s=a.last_name;q.trigger(cr.plugins_.Facebook.prototype.cnds.OnNameAvailable,u)}))}function b(){}function d(){}function e(){}var c=cr.plugins_.Facebook.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};var k="",g="",r=!1,l=!1,p="",n="",m="",s="",q=null,u=null,x=0,w="",t=0,v=0,f=!1,h=!1,C="";c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=
a;this.runtime=a.runtime};var z=c.Instance.prototype;z.onCreate=function(){this.runtime.isDomFree?cr.logexport("[Construct 2] Facebook plugin not supported on this platform - the object will not be created"):(k=this.properties[0],g=this.properties[1],q=this.runtime,u=this,window.fbAsyncInit=function(){var b=location.pathname;"/"!==b.substr(b.length-1)&&(b=b.substr(0,b.lastIndexOf("/")+1));FB.init({appId:k,channelURL:"//"+location.hostname+b+"channel.html",status:!0,cookie:!0,oauth:!0,xfbml:!1});r=
!0;FB.Event.subscribe("auth.login",function(b){p=b.authResponse.userID;a()});FB.Event.subscribe("auth.logout",function(a){l&&(l=!1,s=m=n="",q.trigger(cr.plugins_.Facebook.prototype.cnds.OnLogOut,u))});FB.getLoginStatus(function(b){b.authResponse&&(p=b.authResponse.userID,a())});q.trigger(cr.plugins_.Facebook.prototype.cnds.OnReady,u)},k.length&&function(a){var b;a.getElementById("facebook-jssdk")||(b=a.createElement("script"),b.id="facebook-jssdk",b.async=!0,b.src="//connect.facebook.net/en_US/all.js",
a.getElementsByTagName("head")[0].appendChild(b))}(document))};z.onLayoutChange=function(){this.runtime.isDomFree||(l&&q.trigger(cr.plugins_.Facebook.prototype.cnds.OnLogIn,u),n.length&&q.trigger(cr.plugins_.Facebook.prototype.cnds.OnNameAvailable,u))};b.prototype.IsReady=function(){return r};b.prototype.OnReady=function(){return!0};b.prototype.IsLoggedIn=function(){return l};b.prototype.OnLogIn=function(){return!0};b.prototype.OnLogOut=function(){return!0};b.prototype.OnNameAvailable=function(){return!0};
b.prototype.OnUserTopScoreAvailable=function(){return!0};b.prototype.OnHiscore=function(){return!0};b.prototype.OnScoreSubmitted=function(){return!0};c.cnds=new b;d.prototype.LogIn=function(b,c){if(!this.runtime.isDomFree&&r){f=1===b;h=1===c;var d=[];f&&d.push("publish_stream");h&&d.push("publish_actions");C=d.join();FB.login(function(b){b.authResponse&&a()},{scope:C})}};d.prototype.LogOut=function(){this.runtime.isDomFree||l&&FB.logout(function(a){})};d.prototype.PromptWallPost=function(){!this.runtime.isDomFree&&
l&&FB.ui({method:"feed"},function(a){a&&!a.error||console.error(a)})};d.prototype.PromptToShareApp=function(a,b,c,d){!this.runtime.isDomFree&&l&&FB.ui({method:"feed",link:"http://apps.facebook.com/"+k+"/",picture:d,name:a,caption:b,description:c},function(a){a&&!a.error||console.error(a)})};d.prototype.PromptToShareLink=function(a,b,c,d,e){!this.runtime.isDomFree&&l&&FB.ui({method:"feed",link:a,picture:e,name:b,caption:c,description:d},function(a){a&&!a.error||console.error(a)})};d.prototype.PublishToWall=
function(a){!this.runtime.isDomFree&&l&&FB.api("/me/feed","POST",{method:"stream.publish",message:a},function(a){a&&!a.error||console.error(a)})};d.prototype.PublishLink=function(a,b,c,d,e,f){!this.runtime.isDomFree&&l&&(a={method:"stream.publish",message:a,link:b,name:c,caption:d,description:e},f.length&&(a.picture=f),FB.api("/me/feed","POST",a,function(a){a&&!a.error||console.error(a)}))};d.prototype.PublishScore=function(a){!this.runtime.isDomFree&&l&&FB.api("/"+p+"/scores","POST",{score:Math.floor(a),
access_token:k+"|"+g},function(a){q.trigger(cr.plugins_.Facebook.prototype.cnds.OnScoreSubmitted,u);a&&!a.error||console.error(a)})};d.prototype.RequestUserHiscore=function(){!this.runtime.isDomFree&&l&&FB.api("/me/scores","GET",{},function(a){x=0;var b=a.data;if(b){var c,d;c=0;for(d=b.length;c<d;c++)b[c].score>x&&(x=b[c].score);q.trigger(cr.plugins_.Facebook.prototype.cnds.OnUserTopScoreAvailable,u);a&&!a.error||console.error(a)}else console.error("Request for user hi-score failed: "+a)})};d.prototype.RequestHiscores=
function(a){!this.runtime.isDomFree&&l&&FB.api("/"+k+"/scores","GET",{},function(b){var c=b.data;if(c){c.sort(function(a,b){return b.score-a.score});for(var d=0,e=Math.min(c.length,a);d<e;d++)x=c[d].score,w=c[d].user.name,t=c[d].user.id,v=d+1,q.trigger(cr.plugins_.Facebook.prototype.cnds.OnHiscore,u);b&&!b.error||console.error(b)}else console.error("Hi-scores request failed: "+b)})};c.acts=new d;e.prototype.FullName=function(a){a.set_string(n)};e.prototype.FirstName=function(a){a.set_string(m)};e.prototype.LastName=
function(a){a.set_string(s)};e.prototype.Score=function(a){a.set_int(x)};e.prototype.HiscoreName=function(a){a.set_string(w)};e.prototype.HiscoreUserID=function(a){a.set_int(t)};e.prototype.HiscoreRank=function(a){a.set_int(v)};e.prototype.UserID=function(a){a.set_float(parseFloat(p))};c.exps=new e})();cr.plugins_.Mouse=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=cr.plugins_.Mouse.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime;this.buttonMap=Array(4);this.triggerDir=this.triggerType=this.triggerButton=this.mouseYcanvas=this.mouseXcanvas=0;this.handled=!1};var c=e.Instance.prototype;c.onCreate=function(){var a=this;if(!this.runtime.isDomFree){jQuery(document).mousemove(function(b){a.onMouseMove(b)});
jQuery(document).mousedown(function(b){a.onMouseDown(b)});jQuery(document).mouseup(function(b){a.onMouseUp(b)});jQuery(document).dblclick(function(b){a.onDoubleClick(b)});var b=function(b){a.onWheel(b)};document.addEventListener("mousewheel",b,!1);document.addEventListener("DOMMouseScroll",b,!1)}};var k={left:0,top:0};c.onMouseMove=function(a){var b=this.runtime.isDomFree?k:jQuery(this.runtime.canvas).offset();this.mouseXcanvas=a.pageX-b.left;this.mouseYcanvas=a.pageY-b.top};c.mouseInGame=function(){return 0<
this.runtime.fullscreen_mode?!0:0<=this.mouseXcanvas&&0<=this.mouseYcanvas&&this.mouseXcanvas<this.runtime.width&&this.mouseYcanvas<this.runtime.height};c.onMouseDown=function(a){this.mouseInGame()&&(this.runtime.had_a_click&&a.preventDefault(),this.buttonMap[a.which]=!0,this.runtime.isInUserInputEvent=!0,this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnAnyClick,this),this.triggerButton=a.which-1,this.triggerType=0,this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnClick,this),this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,
this),this.runtime.isInUserInputEvent=!1)};c.onMouseUp=function(a){this.buttonMap[a.which]&&(this.runtime.had_a_click&&a.preventDefault(),this.runtime.had_a_click=!0,this.buttonMap[a.which]=!1,this.runtime.isInUserInputEvent=!0,this.triggerButton=a.which-1,this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnRelease,this),this.runtime.isInUserInputEvent=!1)};c.onDoubleClick=function(a){this.mouseInGame()&&(a.preventDefault(),this.runtime.isInUserInputEvent=!0,this.triggerButton=a.which-1,this.triggerType=
1,this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnClick,this),this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnObjectClicked,this),this.runtime.isInUserInputEvent=!1)};c.onWheel=function(a){this.triggerDir=0>(a.wheelDelta?a.wheelDelta:a.detail?-a.detail:0)?0:1;this.handled=!1;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Mouse.prototype.cnds.OnWheel,this);this.runtime.isInUserInputEvent=!1;this.handled&&a.preventDefault()};a.prototype.OnClick=function(a,b){return a===
this.triggerButton&&b===this.triggerType};a.prototype.OnAnyClick=function(){return!0};a.prototype.IsButtonDown=function(a){return this.buttonMap[a+1]};a.prototype.OnRelease=function(a){return a===this.triggerButton};a.prototype.IsOverObject=function(a){var b=this.runtime.getCurrentCondition();return cr.xor(this.runtime.testAndSelectCanvasPointOverlap(a,this.mouseXcanvas,this.mouseYcanvas,b.inverted),b.inverted)};a.prototype.OnObjectClicked=function(a,b,c){return a!==this.triggerButton||b!==this.triggerType?
!1:this.runtime.testAndSelectCanvasPointOverlap(c,this.mouseXcanvas,this.mouseYcanvas,!1)};a.prototype.OnWheel=function(a){this.handled=!0;return a===this.triggerDir};e.cnds=new a;b.prototype.SetCursor=function(a){a="auto pointer text crosshair move help wait none".split(" ")[a];this.runtime.canvas&&this.runtime.canvas.style&&(this.runtime.canvas.style.cursor=a)};b.prototype.SetCursorSprite=function(a){this.runtime.isDomFree||this.runtime.isMobile||!a||(a=a.getFirstPicked())&&a.curFrame&&(a=a.curFrame,
a="url("+a.getDataUri()+") "+Math.round(a.hotspotX*a.width)+" "+Math.round(a.hotspotY*a.height)+", auto",jQuery(this.runtime.canvas).css("cursor",a))};e.acts=new b;d.prototype.X=function(a,b){var c,d,e,k,s;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,k=c.parallaxX,s=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.mouseXcanvas,this.mouseYcanvas,!0)),c.scale=d,c.zoomRate=
e,c.parallaxX=k,c.angle=s):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.mouseXcanvas,this.mouseYcanvas,!0)):a.set_float(0)};d.prototype.Y=function(a,b){var c,d,e,k,s;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,k=c.parallaxY,s=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.mouseXcanvas,this.mouseYcanvas,
!1)),c.scale=d,c.zoomRate=e,c.parallaxY=k,c.angle=s):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.mouseXcanvas,this.mouseYcanvas,!1)):a.set_float(0)};d.prototype.AbsoluteX=function(a){a.set_float(this.mouseXcanvas)};d.prototype.AbsoluteY=function(a){a.set_float(this.mouseYcanvas)};e.exps=new d})();cr.plugins_.Sprite=function(a){this.runtime=a};
(function(){function a(){if(0===this.datauri.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var b=a.getContext("2d");this.spritesheeted?b.drawImage(this.texture_img,this.offx,this.offy,this.width,this.height,0,0,this.width,this.height):b.drawImage(this.texture_img,0,0,this.width,this.height);this.datauri=a.toDataURL("image/png")}return this.datauri}function b(){}function d(a){a[0]=0;a[1]=0;a[2]=0;u.push(a)}function e(a,b){return a<b?""+a+","+b:""+b+","+a}function c(a,
b,c,d){b=b.uid;c=c.uid;var f=e(b,c);if(a.hasOwnProperty(f))a[f][2]=d;else{var g;g=u.length?u.pop():[0,0,0];g[0]=b;g[1]=c;g[2]=d;a[f]=g}}function k(a,b,c){b=e(b.uid,c.uid);a.hasOwnProperty(b)&&(d(a[b]),delete a[b])}function g(a,b,c){b=e(b.uid,c.uid);if(a.hasOwnProperty(b))return x=a[b][2],!0;x=-2;return!1}function r(a,b,c){if(!a)return!1;var d=0!==b||0!==c,e,g,q=!1,k,n=this.runtime.getCurrentCondition(),l=n.type,n=n.inverted,m=a.getCurrentSol();k=this.runtime.getCurrentEventStack().current_event.orblock;
m.select_all?(this.update_bbox(),this.runtime.getCollisionCandidates(this.layer,a,this.bbox,w),m=w):m=k?m.else_instances:m.instances;t=a;f=l!==a&&!n;d&&(e=this.x,g=this.y,this.x+=b,this.y+=c,this.set_bbox_changed());b=0;for(c=m.length;b<c;b++)if(k=m[b],this.runtime.testOverlap(this,k)){q=!0;if(n)break;l!==a&&v.add(k)}d&&(this.x=e,this.y=g,this.set_bbox_changed());w.length=0;return q}function l(){}function p(){}var n=cr.plugins_.Sprite.prototype;n.Type=function(a){this.plugin=a;this.runtime=a.runtime};
var m=n.Type.prototype;m.onCreate=function(){if(!this.is_family){var b,c,d,e,f,g,q,k,n;this.all_frames=[];this.has_loaded_textures=!1;b=0;for(c=this.animations.length;b<c;b++){f=this.animations[b];q={};q.name=f[0];q.speed=f[1];q.loop=f[2];q.repeatcount=f[3];q.repeatto=f[4];q.pingpong=f[5];q.sid=f[6];q.frames=[];d=0;for(e=f[7].length;d<e;d++)g=f[7][d],k={},k.texture_file=g[0],k.texture_filesize=g[1],k.offx=g[2],k.offy=g[3],k.width=g[4],k.height=g[5],k.duration=g[6],k.hotspotX=g[7],k.hotspotY=g[8],
k.image_points=g[9],k.poly_pts=g[10],k.pixelformat=g[11],k.spritesheeted=0!==k.width,k.datauri="",k.getDataUri=a,n={left:0,top:0,right:1,bottom:1},k.sheetTex=n,k.webGL_texture=null,(n=this.runtime.findWaitingTexture(g[0]))?k.texture_img=n:(k.texture_img=new Image,k.texture_img.idtkLoadDisposed=!0,k.texture_img.src=g[0],k.texture_img.cr_src=g[0],k.texture_img.cr_filesize=g[1],k.texture_img.c2webGL_texture=null,this.runtime.waitForImageLoad(k.texture_img)),cr.seal(k),q.frames.push(k),this.all_frames.push(k);
cr.seal(q);this.animations[b]=q}}};m.updateAllCurrentTexture=function(){var a,b,c;a=0;for(b=this.instances.length;a<b;a++)c=this.instances[a],c.curWebGLTexture=c.curFrame.webGL_texture};m.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.texture_img.c2webGL_texture=null,c.webGL_texture=null}};m.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],
c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.updateAllCurrentTexture()}};m.loadTextures=function(){if(!this.is_family&&!this.has_loaded_textures&&this.runtime.glwrap){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.has_loaded_textures=!0}};m.unloadTextures=function(){if(!this.is_family&&!this.instances.length&&
this.has_loaded_textures){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],this.runtime.glwrap.deleteTexture(c.webGL_texture);this.has_loaded_textures=!1}};var s=[];m.preloadCanvas2D=function(a){var b,c,d;b=s.length=0;for(c=this.all_frames.length;b<c;++b)d=this.all_frames[b].texture_img,-1===s.indexOf(d)&&(a.drawImage(d,0,0),s.push(d))};n.Instance=function(a){this.type=a;this.runtime=a.runtime;a=this.type.animations[0].frames[0].poly_pts;this.recycled?this.collision_poly.set_pts(a):
this.collision_poly=new cr.CollisionPoly(a)};var q=n.Instance.prototype;q.onCreate=function(){this.visible=0===this.properties[0];this.inAnimTrigger=this.isTicking=!1;this.collisionsEnabled=0!==this.properties[3];1===this.type.animations.length&&1===this.type.animations[0].frames.length||0===this.type.animations[0].speed||(this.runtime.tickMe(this),this.isTicking=!0);this.cur_animation=this.getAnimationByName(this.properties[1])||this.type.animations[0];this.cur_frame=this.properties[2];0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);var a=this.cur_animation.frames[this.cur_frame];this.collision_poly.set_pts(a.poly_pts);this.hotspotX=a.hotspotX;this.hotspotY=a.hotspotY;this.cur_anim_speed=this.cur_animation.speed;this.recycled?this.animTimer.reset():this.animTimer=new cr.KahanAdder;this.frameStart=this.getNowTime();this.animPlaying=!0;this.animRepeats=0;this.animForwards=!0;this.changeAnimName=this.animTriggerName=
"";this.changeAnimFrom=0;this.changeAnimFrame=-1;this.type.loadTextures();var b,c,d,e,f,g,k,a=0;for(b=this.type.animations.length;a<b;a++)for(e=this.type.animations[a],c=0,d=e.frames.length;c<d;c++)f=e.frames[c],0===f.width&&(f.width=f.texture_img.width,f.height=f.texture_img.height),f.spritesheeted&&(k=f.texture_img,g=f.sheetTex,g.left=f.offx/k.width,g.top=f.offy/k.height,g.right=(f.offx+f.width)/k.width,g.bottom=(f.offy+f.height)/k.height,0===f.offx&&0===f.offy&&f.width===k.width&&f.height===k.height&&
(f.spritesheeted=!1));this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture};q.saveToJSON=function(){var a={a:this.cur_animation.sid,f:this.cur_frame,cas:this.cur_anim_speed,fs:this.frameStart,ar:this.animRepeats,at:this.animTimer.sum};this.animPlaying||(a.ap=this.animPlaying);this.animForwards||(a.af=this.animForwards);return a};q.loadFromJSON=function(a){var b=this.getAnimationBySid(a.a);b&&(this.cur_animation=b);this.cur_frame=a.f;0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);this.cur_anim_speed=a.cas;this.frameStart=a.fs;this.animRepeats=a.ar;this.animTimer.reset();this.animTimer.sum=a.at;this.animPlaying=a.hasOwnProperty("ap")?a.ap:!0;this.animForwards=a.hasOwnProperty("af")?a.af:!0;this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture;this.collision_poly.set_pts(this.curFrame.poly_pts);this.hotspotX=
this.curFrame.hotspotX;this.hotspotY=this.curFrame.hotspotY};q.animationFinish=function(a){this.cur_frame=a?0:this.cur_animation.frames.length-1;this.animPlaying=!1;this.animTriggerName=this.cur_animation.name;this.inAnimTrigger=!0;this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,this);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,this);this.inAnimTrigger=!1;this.animRepeats=0};q.getNowTime=function(){return this.animTimer.sum};q.tick=function(){this.animTimer.add(this.runtime.getDt(this));
this.changeAnimName.length&&this.doChangeAnim();0<=this.changeAnimFrame&&this.doChangeAnimFrame();var a=this.getNowTime(),b=this.cur_animation,c=b.frames[this.cur_frame],d=c.duration/this.cur_anim_speed;this.animPlaying&&a>=this.frameStart+d&&(this.animForwards?this.cur_frame++:this.cur_frame--,this.frameStart+=d,this.cur_frame>=b.frames.length&&(b.pingpong?(this.animForwards=!1,this.cur_frame=b.frames.length-2):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?
this.animationFinish(!1):this.cur_frame=b.repeatto)),0>this.cur_frame&&(b.pingpong?(this.cur_frame=1,this.animForwards=!0,b.loop||(this.animRepeats++,this.animRepeats>=b.repeatcount&&this.animationFinish(!0))):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?this.animationFinish(!0):this.cur_frame=b.repeatto)),0>this.cur_frame?this.cur_frame=0:this.cur_frame>=b.frames.length&&(this.cur_frame=b.frames.length-1),a>this.frameStart+b.frames[this.cur_frame].duration/
this.cur_anim_speed&&(this.frameStart=a),a=b.frames[this.cur_frame],this.OnFrameChanged(c,a),this.runtime.redraw=!0)};q.getAnimationByName=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],cr.equals_nocase(d.name,a))return d;return null};q.getAnimationBySid=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],d.sid===a)return d;return null};q.doChangeAnim=function(){var a=this.cur_animation.frames[this.cur_frame],
b=this.getAnimationByName(this.changeAnimName);this.changeAnimName="";!b||cr.equals_nocase(b.name,this.cur_animation.name)&&this.animPlaying||(this.cur_animation=b,this.cur_anim_speed=b.speed,0>this.cur_frame&&(this.cur_frame=0),this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1),1===this.changeAnimFrom&&(this.cur_frame=0),this.animPlaying=!0,this.frameStart=this.getNowTime(),this.animForwards=!0,this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),
this.runtime.redraw=!0)};q.doChangeAnimFrame=function(){var a=this.cur_animation.frames[this.cur_frame],b=this.cur_frame;this.cur_frame=cr.floor(this.changeAnimFrame);0>this.cur_frame&&(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);b!==this.cur_frame&&(this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),this.frameStart=this.getNowTime(),this.runtime.redraw=!0);this.changeAnimFrame=-1};q.OnFrameChanged=function(a,
b){var c=a.width,d=a.height,e=b.width,f=b.height;c!=e&&(this.width*=e/c);d!=f&&(this.height*=f/d);this.hotspotX=b.hotspotX;this.hotspotY=b.hotspotY;this.collision_poly.set_pts(b.poly_pts);this.set_bbox_changed();this.curFrame=b;this.curWebGLTexture=b.webGL_texture;c=0;for(d=this.behavior_insts.length;c<d;c++)if(e=this.behavior_insts[c],e.onSpriteFrameChanged)e.onSpriteFrameChanged(a,b);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged,this)};q.draw=function(a){a.globalAlpha=this.opacity;
var b=this.curFrame,c=b.spritesheeted,d=b.texture_img,e=this.x,f=this.y,g=this.width,k=this.height;if(0===this.angle&&0<=g&&0<=k)e-=this.hotspotX*g,f-=this.hotspotY*k,this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0),c?a.drawImage(d,b.offx,b.offy,b.width,b.height,e,f,g,k):a.drawImage(d,e,f,g,k);else{this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0);a.save();var q=0<g?1:-1,n=0<k?1:-1;a.translate(e,f);1===q&&1===n||a.scale(q,n);a.rotate(this.angle*q*n);e=0-this.hotspotX*cr.abs(g);f=0-this.hotspotY*
cr.abs(k);c?a.drawImage(d,b.offx,b.offy,b.width,b.height,e,f,cr.abs(g),cr.abs(k)):a.drawImage(d,e,f,cr.abs(g),cr.abs(k));a.restore()}};q.drawGL=function(a){a.setTexture(this.curWebGLTexture);a.setOpacity(this.opacity);var b=this.curFrame,c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,e=(this.y+0.5|0)-this.y;b.spritesheeted?a.quadTex(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,c.bly+e,b.sheetTex):a.quad(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,
c.bly+e)}else b.spritesheeted?a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b.sheetTex):a.quad(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly)};q.getImagePointIndexByName=function(a){var b=this.curFrame,c,d;c=0;for(d=b.image_points.length;c<d;c++)if(cr.equals_nocase(a,b.image_points[c][0]))return c;return-1};q.getImagePoint=function(a,b){var c=this.curFrame,d=c.image_points,e;e=cr.is_string(a)?this.getImagePointIndexByName(a):a-1;e=cr.floor(e);if(0>e||e>=d.length)return b?this.x:this.y;
var f=(d[e][1]-c.hotspotX)*this.width,d=d[e][2],d=(d-c.hotspotY)*this.height,c=Math.cos(this.angle);e=Math.sin(this.angle);var g=f*c-d*e,d=d*c+f*e,f=g+this.x,d=d+this.y;return b?f:d};var u=[],x=-2,w=[];b.prototype.OnCollision=function(a){if(!a)return!1;var b=this.runtime,e=b.getCurrentCondition(),f=e.type;e.extra.collmemory||(e.extra.collmemory={},b.addDestroyCallback(function(a){return function(b){b=b.uid;var c,e;for(c in a)a.hasOwnProperty(c)&&(e=a[c],e[0]===b||e[1]===b)&&(d(a[c]),delete a[c])}}(e.extra.collmemory)));
var e=e.extra.collmemory,q=f.getCurrentSol(),n=a.getCurrentSol(),q=q.getObjects(),l,m,p,r,u,s,t,v=this.runtime.tickcount,V=v-1,K=b.getCurrentEventStack().current_event;for(m=0;m<q.length;m++){p=q[m];n.select_all?(p.update_bbox(),this.runtime.getCollisionCandidates(p.layer,a,p.bbox,w),l=w):l=n.getObjects();for(r=0;r<l.length;r++)u=l[r],b.testOverlap(p,u)||b.checkRegisteredCollision(p,u)?(s=g(e,p,u),s=!s||x<V,c(e,p,u,v),s&&(b.pushCopySol(K.solModifiers),s=f.getCurrentSol(),t=a.getCurrentSol(),s.select_all=
!1,t.select_all=!1,f===a?(s.instances.length=2,s.instances[0]=p,s.instances[1]=u,f.applySolToContainer()):(s.instances.length=1,t.instances.length=1,s.instances[0]=p,t.instances[0]=u,f.applySolToContainer(),a.applySolToContainer()),K.retrigger(),b.popSol(K.solModifiers))):k(e,p,u);w.length=0}return!1};var t=null,v=new cr.ObjectSet,f=!1;m.finish=function(a){if(f){if(a){var b=this.runtime.getCurrentEventStack().current_event.orblock;a=t.getCurrentSol();var c=v.valuesRef(),d,e;if(a.select_all){a.select_all=
!1;a.instances.length=c.length;d=0;for(e=c.length;d<e;d++)a.instances[d]=c[d];if(b)for(d=a.else_instances.length=0,e=t.instances.length;d<e;d++)c=t.instances[d],v.contains(c)||a.else_instances.push(c)}else if(b)for(b=a.instances.length,a.instances.length=b+c.length,d=0,e=c.length;d<e;d++)a.instances[b+d]=c[d],cr.arrayFindRemove(a.else_instances,c[d]);else cr.shallowAssignArray(a.instances,c);t.applySolToContainer()}v.clear();f=!1}};b.prototype.IsOverlapping=function(a){return r.call(this,a,0,0)};
b.prototype.IsOverlappingOffset=function(a,b,c){return r.call(this,a,b,c)};b.prototype.IsAnimPlaying=function(a){return this.changeAnimName.length?cr.equals_nocase(this.changeAnimName,a):cr.equals_nocase(this.cur_animation.name,a)};b.prototype.CompareFrame=function(a,b){return cr.do_cmp(this.cur_frame,a,b)};b.prototype.CompareAnimSpeed=function(a,b){return cr.do_cmp(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed,a,b)};b.prototype.OnAnimFinished=function(a){return cr.equals_nocase(this.animTriggerName,
a)};b.prototype.OnAnyAnimFinished=function(){return!0};b.prototype.OnFrameChanged=function(){return!0};b.prototype.IsMirrored=function(){return 0>this.width};b.prototype.IsFlipped=function(){return 0>this.height};b.prototype.OnURLLoaded=function(){return!0};b.prototype.IsCollisionEnabled=function(){return this.collisionsEnabled};n.cnds=new b;l.prototype.Spawn=function(a,b,c){if(a&&b&&(b=this.runtime.createInstance(a,b,this.getImagePoint(c,!0),this.getImagePoint(c,!1)))){"undefined"!==typeof b.angle&&
(b.angle=this.angle,b.set_bbox_changed());this.runtime.isInOnDestroy++;var d,e,f;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(d=0,e=b.siblings.length;d<e;d++)f=b.siblings[d],this.runtime.trigger(Object.getPrototypeOf(f.type.plugin).cnds.OnCreated,f);this.runtime.isInOnDestroy--;d=this.runtime.getCurrentAction();c=!1;if(cr.is_undefined(d.extra.Spawn_LastExec)||d.extra.Spawn_LastExec<this.runtime.execcount)c=!0,d.extra.Spawn_LastExec=this.runtime.execcount;
if(a!=this.type&&(a=a.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=b):a.instances.push(b),b.is_contained))for(d=0,e=b.siblings.length;d<e;d++)f=b.siblings[d],a=f.type.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=f):a.instances.push(f)}};l.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};l.prototype.StopAnim=function(){this.animPlaying=!1};l.prototype.StartAnim=
function(a){this.animPlaying=!0;this.frameStart=this.getNowTime();1===a&&0!==this.cur_frame&&(this.changeAnimFrame=0,this.inAnimTrigger||this.doChangeAnimFrame());this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};l.prototype.SetAnim=function(a,b){this.changeAnimName=a;this.changeAnimFrom=b;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0);this.inAnimTrigger||this.doChangeAnim()};l.prototype.SetAnimFrame=function(a){this.changeAnimFrame=a;this.isTicking||(this.runtime.tickMe(this),
this.isTicking=!0);this.inAnimTrigger||this.doChangeAnimFrame()};l.prototype.SetAnimSpeed=function(a){this.cur_anim_speed=cr.abs(a);this.animForwards=0<=a;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};l.prototype.SetMirrored=function(a){a=cr.abs(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.set_bbox_changed())};l.prototype.SetFlipped=function(a){a=cr.abs(this.height)*(0===a?-1:1);this.height!==a&&(this.height=a,this.set_bbox_changed())};l.prototype.SetScale=function(a){var b=
this.curFrame,c=b.width*a*(0>this.width?-1:1);a=b.height*a*(0>this.height?-1:1);if(this.width!==c||this.height!==a)this.width=c,this.height=a,this.set_bbox_changed()};l.prototype.LoadURL=function(a,b){var c=new Image,d=this,e=this.curFrame;c.onload=function(){e.texture_img.src===c.src?d.runtime.glwrap&&d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture):(e.texture_img=c,e.offx=0,e.offy=0,e.width=c.width,e.height=c.height,e.spritesheeted=!1,e.datauri="",d.runtime.glwrap&&(e.webGL_texture&&d.runtime.glwrap.deleteTexture(e.webGL_texture),
e.webGL_texture=d.runtime.glwrap.loadTexture(c,!1,d.runtime.linearSampling),d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture),d.type.updateAllCurrentTexture()),0===b&&(d.width=c.width,d.height=c.height,d.set_bbox_changed()));d.runtime.redraw=!0;d.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded,d)};"data:"!==a.substr(0,5)&&(c.crossOrigin="anonymous");c.src=a};l.prototype.SetCollisions=function(a){this.collisionsEnabled!==(0!==a)&&((this.collisionsEnabled=0!==a)?this.set_bbox_changed():
(this.collcells.right>=this.collcells.left&&this.type.collision_grid.update(this,this.collcells,null),this.collcells.set(0,0,-1,-1)))};n.acts=new l;p.prototype.AnimationFrame=function(a){a.set_int(this.cur_frame)};p.prototype.AnimationFrameCount=function(a){a.set_int(this.cur_animation.frames.length)};p.prototype.AnimationName=function(a){a.set_string(this.cur_animation.name)};p.prototype.AnimationSpeed=function(a){a.set_float(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed)};p.prototype.ImagePointX=
function(a,b){a.set_float(this.getImagePoint(b,!0))};p.prototype.ImagePointY=function(a,b){a.set_float(this.getImagePoint(b,!1))};p.prototype.ImagePointCount=function(a){a.set_int(this.curFrame.image_points.length)};p.prototype.ImageWidth=function(a){a.set_float(this.curFrame.width)};p.prototype.ImageHeight=function(a){a.set_float(this.curFrame.height)};n.exps=new p})();cr.plugins_.Text=function(a){this.runtime=a};
(function(){function a(){return p.length?p.pop():{}}function b(a){var b,c;b=0;for(c=a.length;b<c;b++)p.push(a[b]);a.length=0}function d(){}function e(){}function c(){}var k=cr.plugins_.Text.prototype;k.onCreate=function(){k.acts.SetWidth=function(a){this.width!==a&&(this.width=a,this.text_changed=!0,this.set_bbox_changed())}};k.Type=function(a){this.plugin=a;this.runtime=a.runtime};var g=k.Type.prototype;g.onCreate=function(){};g.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=
this.instances.length;a<b;a++)c=this.instances[a],c.mycanvas=null,c.myctx=null,c.mytex=null}};k.Instance=function(a){this.type=a;this.runtime=a.runtime;this.recycled?this.lines.length=0:this.lines=[];this.text_changed=!0};var g=k.Instance.prototype,r={};g.onCreate=function(){this.text=this.properties[0];this.visible=0===this.properties[1];this.font=this.properties[2];this.color=this.properties[3];this.halign=this.properties[4];this.valign=this.properties[5];this.wrapbyword=0===this.properties[7];
this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height;this.line_height_offset=this.properties[8];this.fontstyle=this.facename="";this.textHeight=this.textWidth=this.ptSize=0;this.parseFont();this.mytex=this.myctx=this.mycanvas=null;this.need_text_redraw=!1;this.last_render_tick=this.runtime.tickcount;this.recycled?this.rcTex.set(0,0,1,1):this.rcTex=new cr.rect(0,0,1,1);this.runtime.glwrap&&this.runtime.tickMe(this)};g.parseFont=function(){var a=this.font.split(" "),b;for(b=0;b<
a.length;b++)if("pt"===a[b].substr(a[b].length-2,2)){this.ptSize=parseInt(a[b].substr(0,a[b].length-2));this.pxHeight=Math.ceil(96*(this.ptSize/72))+4;0<b&&(this.fontstyle=a[b-1]);this.facename=a[b+1];for(b+=2;b<a.length;b++)this.facename+=" "+a[b];break}};g.saveToJSON=function(){return{t:this.text,f:this.font,c:this.color,ha:this.halign,va:this.valign,wr:this.wrapbyword,lho:this.line_height_offset,fn:this.facename,fs:this.fontstyle,ps:this.ptSize,pxh:this.pxHeight,tw:this.textWidth,th:this.textHeight,
lrt:this.last_render_tick}};g.loadFromJSON=function(a){this.text=a.t;this.font=a.f;this.color=a.c;this.halign=a.ha;this.valign=a.va;this.wrapbyword=a.wr;this.line_height_offset=a.lho;this.facename=a.fn;this.fontstyle=a.fs;this.ptSize=a.ps;this.pxHeight=a.pxh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;this.text_changed=!0;this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height};g.tick=function(){if(this.runtime.glwrap&&this.mytex&&300<=this.runtime.tickcount-
this.last_render_tick){var a=this.layer;this.update_bbox();var b=this.bbox;if(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)this.runtime.glwrap.deleteTexture(this.mytex),this.mycanvas=this.myctx=this.mytex=null}};g.onDestroy=function(){this.mycanvas=this.myctx=null;this.runtime.glwrap&&this.mytex&&this.runtime.glwrap.deleteTexture(this.mytex);this.mytex=null};g.updateFont=function(){this.font=this.fontstyle+" "+this.ptSize.toString()+"pt "+this.facename;this.text_changed=
!0;this.runtime.redraw=!0};g.draw=function(a,b){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=b?1:this.opacity;var c=1;b&&(c=this.layer.getScale(),a.save(),a.scale(c,c));if(this.text_changed||this.width!==this.lastwrapwidth)this.type.plugin.WordWrap(this.text,this.lines,a,this.width,this.wrapbyword),this.text_changed=!1,this.lastwrapwidth=this.width;this.update_bbox();var c=b?0:this.bquad.tlx,d=b?0:this.bquad.tly;this.runtime.pixel_rounding&&(c=c+0.5|0,d=d+0.5|0);0===
this.angle||b||(a.save(),a.translate(c,d),a.rotate(this.angle),d=c=0);var e=d+this.height,g=this.pxHeight,g=g+this.line_height_offset,k,l;1===this.valign?d+=Math.max(this.height/2-this.lines.length*g/2,0):2===this.valign&&(d+=Math.max(this.height-this.lines.length*g-2,0));for(l=0;l<this.lines.length&&!(k=c,1===this.halign?k=c+(this.width-this.lines[l].width)/2:2===this.halign&&(k=c+(this.width-this.lines[l].width)),a.fillText(this.lines[l].text,k,d),d+=g,d>=e-g);l++);(0!==this.angle||b)&&a.restore();
this.last_render_tick=this.runtime.tickcount};g.drawGL=function(a){if(!(1>this.width||1>this.height)){var b=this.text_changed||this.need_text_redraw;this.need_text_redraw=!1;var c=this.layer.getScale(),d=this.layer.getAngle(),e=this.rcTex,g=c*this.width,k=c*this.height,l=Math.ceil(g),p=Math.ceil(k),f=this.runtime.draw_width/2,h=this.runtime.draw_height/2;this.myctx||(this.mycanvas=document.createElement("canvas"),this.mycanvas.width=l,this.mycanvas.height=p,this.lastwidth=l,this.lastheight=p,b=!0,
this.myctx=this.mycanvas.getContext("2d"));if(l!==this.lastwidth||p!==this.lastheight)this.mycanvas.width=l,this.mycanvas.height=p,this.mytex&&(a.deleteTexture(this.mytex),this.mytex=null),b=!0;b&&(this.myctx.clearRect(0,0,l,p),this.draw(this.myctx,!0),this.mytex||(this.mytex=a.createEmptyTexture(l,p,this.runtime.linearSampling,this.runtime.isMobile)),a.videoToTexture(this.mycanvas,this.mytex,this.runtime.isMobile));this.lastwidth=l;this.lastheight=p;a.setTexture(this.mytex);a.setOpacity(this.opacity);
a.resetModelView();a.translate(-f,-h);a.updateModelView();var r=this.bquad,z=this.runtime.devicePixelRatio;this.runtime.devicePixelRatio=1;var b=this.layer.layerToCanvas(r.tlx,r.tly,!0,!0),f=this.layer.layerToCanvas(r.tlx,r.tly,!1,!0),h=this.layer.layerToCanvas(r.trx,r.try_,!0,!0),A=this.layer.layerToCanvas(r.trx,r.try_,!1,!0),y=this.layer.layerToCanvas(r.brx,r.bry,!0,!0),E=this.layer.layerToCanvas(r.brx,r.bry,!1,!0),F=this.layer.layerToCanvas(r.blx,r.bly,!0,!0),r=this.layer.layerToCanvas(r.blx,r.bly,
!1,!0);this.runtime.devicePixelRatio=z;if(this.runtime.pixel_rounding||0===this.angle&&0===d)var z=(b+0.5|0)-b,B=(f+0.5|0)-f,b=b+z,f=f+B,h=h+z,A=A+B,y=y+z,E=E+B,F=F+z,r=r+B;0===this.angle&&0===d?(h=b+l,A=f,y=h,E=f+p,F=b,r=E,e.right=1,e.bottom=1):(e.right=g/l,e.bottom=k/p);a.quadTex(b,f,h,A,y,E,F,r,e);a.resetModelView();a.scale(c,c);a.rotateZ(-this.layer.getAngle());a.translate((this.layer.viewLeft+this.layer.viewRight)/-2,(this.layer.viewTop+this.layer.viewBottom)/-2);a.updateModelView();this.last_render_tick=
this.runtime.tickcount}};var l=[];k.TokeniseWords=function(a){l.length=0;for(var b="",c,d=0;d<a.length;)if(c=a.charAt(d),"\n"===c)b.length&&(l.push(b),b=""),l.push("\n"),++d;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(d),d++;while(d<a.length&&(" "===a.charAt(d)||"\t"===a.charAt(d)));l.push(b);b=""}else d<a.length&&(b+=c,d++);b.length&&l.push(b)};var p=[];k.WordWrap=function(c,d,e,g,k){if(c&&c.length)if(2>=g)b(d);else{if(100>=c.length&&-1===c.indexOf("\n")){var l=e.measureText(c).width;if(l<=
g){b(d);d.push(a());d[0].text=c;d[0].width=l;return}}this.WrapText(c,d,e,g,k)}else b(d)};k.WrapText=function(b,c,d,e,g){g&&(this.TokeniseWords(b),b=l);var k="",r,t,v,f=0;for(v=0;v<b.length;v++)"\n"===b[v]?(f>=c.length&&c.push(a()),t=c[f],t.text=k,t.width=d.measureText(k).width,f++,k=""):(r=k,k+=b[v],t=d.measureText(k).width,t>=e&&(f>=c.length&&c.push(a()),t=c[f],t.text=r,t.width=d.measureText(r).width,f++,k=b[v],g||" "!==k||(k="")));k.length&&(f>=c.length&&c.push(a()),t=c[f],t.text=k,t.width=d.measureText(k).width,
f++);for(v=f;v<c.length;v++)p.push(c[v]);c.length=f};d.prototype.CompareText=function(a,b){return b?this.text==a:cr.equals_nocase(this.text,a)};k.cnds=new d;e.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};e.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=!0,this.runtime.redraw=!0};e.prototype.SetFontFace=
function(a,b){var c="";switch(b){case 1:c="bold";break;case 2:c="italic";break;case 3:c="bold italic"}if(a!==this.facename||c!==this.fontstyle)this.facename=a,this.fontstyle=c,this.updateFont()};e.prototype.SetFontSize=function(a){this.ptSize!==a&&(this.ptSize=a,this.pxHeight=Math.ceil(96*(this.ptSize/72))+4,this.updateFont())};e.prototype.SetFontColor=function(a){a="rgb("+cr.GetRValue(a).toString()+","+cr.GetGValue(a).toString()+","+cr.GetBValue(a).toString()+")";a!==this.color&&(this.color=a,this.need_text_redraw=
!0,this.runtime.redraw=!0)};e.prototype.SetWebFont=function(a,b){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");else{var c=this,d=function(){c.runtime.redraw=!0;c.text_changed=!0};if(r.hasOwnProperty(b)){var e="'"+a+"'";if(this.facename!==e)for(this.facename=e,this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}else for(e=document.createElement("link"),e.href=b,e.rel="stylesheet",e.type=
"text/css",e.onload=d,document.getElementsByTagName("head")[0].appendChild(e),r[b]=!0,this.facename="'"+a+"'",this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}};e.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};k.acts=new e;c.prototype.Text=function(a){a.set_string(this.text)};c.prototype.FaceName=function(a){a.set_string(this.facename)};c.prototype.FaceSize=function(a){a.set_int(this.ptSize)};
c.prototype.TextWidth=function(a){var b=0,c,d,e;c=0;for(d=this.lines.length;c<d;c++)e=this.lines[c].width,b<e&&(b=e);a.set_int(b)};c.prototype.TextHeight=function(a){a.set_int(this.lines.length*(this.pxHeight+this.line_height_offset)-this.line_height_offset)};k.exps=new c})();cr.plugins_.TextBox=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=cr.plugins_.TextBox.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime};var c=e.Instance.prototype,k="text password email number tel url".split(" ");-1<navigator.userAgent.indexOf("MSIE 9")&&(k[2]="text",k[3]="text",k[4]="text",k[5]="text");c.onCreate=function(){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Textbox plugin not supported on this platform - the object will not be created");
else{6===this.properties[7]?(this.elem=document.createElement("textarea"),jQuery(this.elem).css("resize","none")):(this.elem=document.createElement("input"),this.elem.type=k[this.properties[7]]);this.elem.id=this.properties[9];jQuery(this.elem).appendTo(this.runtime.canvasdiv?this.runtime.canvasdiv:"body");this.elem.autocomplete="off";this.elem.value=this.properties[0];this.elem.placeholder=this.properties[1];this.elem.title=this.properties[2];this.elem.disabled=0===this.properties[4];this.elem.readOnly=
1===this.properties[5];this.elem.spellcheck=1===this.properties[6];this.autoFontSize=0!==this.properties[8];this.element_hidden=!1;0===this.properties[3]&&(jQuery(this.elem).hide(),this.visible=!1,this.element_hidden=!0);var a=function(a){return function(){a.runtime.trigger(cr.plugins_.TextBox.prototype.cnds.OnTextChanged,a)}}(this);this.elem.oninput=a;-1!==navigator.userAgent.indexOf("MSIE")&&(this.elem.oncut=a);this.elem.onclick=function(a){return function(b){b.stopPropagation();a.runtime.isInUserInputEvent=
!0;a.runtime.trigger(cr.plugins_.TextBox.prototype.cnds.OnClicked,a);a.runtime.isInUserInputEvent=!1}}(this);this.elem.ondblclick=function(a){return function(b){b.stopPropagation();a.runtime.isInUserInputEvent=!0;a.runtime.trigger(cr.plugins_.TextBox.prototype.cnds.OnDoubleClicked,a);a.runtime.isInUserInputEvent=!1}}(this);this.elem.addEventListener("touchstart",function(a){a.stopPropagation()},!1);this.elem.addEventListener("touchmove",function(a){a.stopPropagation()},!1);this.elem.addEventListener("touchend",
function(a){a.stopPropagation()},!1);jQuery(this.elem).mousedown(function(a){a.stopPropagation()});jQuery(this.elem).mouseup(function(a){a.stopPropagation()});jQuery(this.elem).keydown(function(a){13!==a.which&&27!=a.which&&a.stopPropagation()});jQuery(this.elem).keyup(function(a){13!==a.which&&27!=a.which&&a.stopPropagation()});this.lastWinHeight=this.lastWinWidth=this.lastBottom=this.lastRight=this.lastTop=this.lastLeft=0;this.updatePosition(!0);this.runtime.tickMe(this)}};c.saveToJSON=function(){return{text:this.elem.value,
placeholder:this.elem.placeholder,tooltip:this.elem.title,disabled:!!this.elem.disabled,readonly:!!this.elem.readOnly,spellcheck:!!this.elem.spellcheck}};c.loadFromJSON=function(a){this.elem.value=a.text;this.elem.placeholder=a.placeholder;this.elem.title=a.tooltip;this.elem.disabled=a.disabled;this.elem.readOnly=a.readonly;this.elem.spellcheck=a.spellcheck};c.onDestroy=function(){this.runtime.isDomFree||(jQuery(this.elem).remove(),this.elem=null)};c.tick=function(){this.updatePosition()};c.updatePosition=
function(a){if(!this.runtime.isDomFree){var b=this.layer.layerToCanvas(this.x,this.y,!0),c=this.layer.layerToCanvas(this.x,this.y,!1),d=this.layer.layerToCanvas(this.x+this.width,this.y+this.height,!0),e=this.layer.layerToCanvas(this.x+this.width,this.y+this.height,!1);if(!this.visible||!this.layer.visible||0>=d||0>=e||b>=this.runtime.width||c>=this.runtime.height)this.element_hidden||jQuery(this.elem).hide(),this.element_hidden=!0;else{1>b&&(b=1);1>c&&(c=1);d>=this.runtime.width&&(d=this.runtime.width-
1);e>=this.runtime.height&&(e=this.runtime.height-1);var k=window.innerWidth,s=window.innerHeight;a||this.lastLeft!==b||this.lastTop!==c||this.lastRight!==d||this.lastBottom!==e||this.lastWinWidth!==k||this.lastWinHeight!==s?(this.lastLeft=b,this.lastTop=c,this.lastRight=d,this.lastBottom=e,this.lastWinWidth=k,this.lastWinHeight=s,this.element_hidden&&(jQuery(this.elem).show(),this.element_hidden=!1),a=Math.round(b)+jQuery(this.runtime.canvas).offset().left,k=Math.round(c)+jQuery(this.runtime.canvas).offset().top,
jQuery(this.elem).css("position","absolute"),jQuery(this.elem).offset({left:a,top:k}),jQuery(this.elem).width(Math.round(d-b)),jQuery(this.elem).height(Math.round(e-c)),this.autoFontSize&&jQuery(this.elem).css("font-size",this.layer.getScale(!0)/this.runtime.devicePixelRatio-0.2+"em")):this.element_hidden&&(jQuery(this.elem).show(),this.element_hidden=!1)}}};c.draw=function(a){};c.drawGL=function(a){};a.prototype.CompareText=function(a,b){return this.runtime.isDomFree?!1:0===b?cr.equals_nocase(this.elem.value,
a):this.elem.value===a};a.prototype.OnTextChanged=function(){return!0};a.prototype.OnClicked=function(){return!0};a.prototype.OnDoubleClicked=function(){return!0};e.cnds=new a;b.prototype.SetText=function(a){this.runtime.isDomFree||(this.elem.value=a)};b.prototype.SetPlaceholder=function(a){this.runtime.isDomFree||(this.elem.placeholder=a)};b.prototype.SetTooltip=function(a){this.runtime.isDomFree||(this.elem.title=a)};b.prototype.SetVisible=function(a){this.runtime.isDomFree||(this.visible=0!==a)};
b.prototype.SetEnabled=function(a){this.runtime.isDomFree||(this.elem.disabled=0===a)};b.prototype.SetReadOnly=function(a){this.runtime.isDomFree||(this.elem.readOnly=0===a)};b.prototype.SetFocus=function(){this.runtime.isDomFree||this.elem.focus()};b.prototype.SetBlur=function(){this.runtime.isDomFree||this.elem.blur()};b.prototype.SetCSSStyle=function(a,b){this.runtime.isDomFree||jQuery(this.elem).css(a,b)};e.acts=new b;d.prototype.Text=function(a){this.runtime.isDomFree?a.set_string(""):a.set_string(this.elem.value)};
e.exps=new d})();cr.plugins_.Touch=function(a){this.runtime=a};
(function(){function a(a){r=a.x;l=a.y;p=a.z}function b(a){n=a.x;m=a.y;s=a.z}function d(){}function e(){}var c=cr.plugins_.Touch.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=a;this.runtime=a.runtime;this.touches=[];this.mouseDown=!1};var k=c.Instance.prototype,g={left:0,top:0};k.findTouch=function(a){var b,c;b=0;for(c=this.touches.length;b<c;b++)if(this.touches[b].id===a)return b;return-1};var r=0,l=0,p=0,
n=0,m=0,s=0;k.onCreate=function(){this.isWindows8=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.trigger_id=this.trigger_index=this.curTouchY=this.curTouchX=this.acc_z=this.acc_y=this.acc_x=this.acc_g_z=this.acc_g_y=this.acc_g_x=this.orient_gamma=this.orient_beta=this.orient_alpha=0;this.useMouseInput=0!==this.properties[0];var c=0<this.runtime.fullscreen_mode?document:this.runtime.canvas,d=document;this.runtime.isDirectCanvas?d=c=window.Canvas:this.runtime.isCocoonJs&&(d=
c=window);var e=this;window.navigator.pointerEnabled?(c.addEventListener("pointerdown",function(a){e.onPointerStart(a)},!1),c.addEventListener("pointermove",function(a){e.onPointerMove(a)},!1),d.addEventListener("pointerup",function(a){e.onPointerEnd(a)},!1),d.addEventListener("pointercancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},
!1),this.runtime.canvas.addEventListener("gesturehold",function(a){a.preventDefault()},!1),document.addEventListener("gesturehold",function(a){a.preventDefault()},!1))):window.navigator.msPointerEnabled?(c.addEventListener("MSPointerDown",function(a){e.onPointerStart(a)},!1),c.addEventListener("MSPointerMove",function(a){e.onPointerMove(a)},!1),d.addEventListener("MSPointerUp",function(a){e.onPointerEnd(a)},!1),d.addEventListener("MSPointerCancel",function(a){e.onPointerEnd(a)},!1),this.runtime.canvas&&
(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1))):(c.addEventListener("touchstart",function(a){e.onTouchStart(a)},!1),c.addEventListener("touchmove",function(a){e.onTouchMove(a)},!1),d.addEventListener("touchend",function(a){e.onTouchEnd(a)},!1),d.addEventListener("touchcancel",function(a){e.onTouchEnd(a)},!1));if(this.isWindows8){var g=function(a){a=a.reading;e.acc_x=a.accelerationX;
e.acc_y=a.accelerationY;e.acc_z=a.accelerationZ},k=function(a){a=a.reading;e.orient_alpha=a.yawDegrees;e.orient_beta=a.pitchDegrees;e.orient_gamma=a.rollDegrees},l=Windows.Devices.Sensors.Accelerometer.getDefault();l&&(l.reportInterval=Math.max(l.minimumReportInterval,16),l.addEventListener("readingchanged",g));var f=Windows.Devices.Sensors.Inclinometer.getDefault();f&&(f.reportInterval=Math.max(f.minimumReportInterval,16),f.addEventListener("readingchanged",k));document.addEventListener("visibilitychange",
function(a){document.hidden||document.msHidden?(l&&l.removeEventListener("readingchanged",g),f&&f.removeEventListener("readingchanged",k)):(l&&l.addEventListener("readingchanged",g),f&&f.addEventListener("readingchanged",k))},!1)}else window.addEventListener("deviceorientation",function(a){e.orient_alpha=a.alpha||0;e.orient_beta=a.beta||0;e.orient_gamma=a.gamma||0},!1),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(e.acc_g_x=a.accelerationIncludingGravity.x||0,
e.acc_g_y=a.accelerationIncludingGravity.y||0,e.acc_g_z=a.accelerationIncludingGravity.z||0);a.acceleration&&(e.acc_x=a.acceleration.x||0,e.acc_y=a.acceleration.y||0,e.acc_z=a.acceleration.z||0)},!1);this.useMouseInput&&!this.runtime.isDomFree&&(jQuery(document).mousemove(function(a){e.onMouseMove(a)}),jQuery(document).mousedown(function(a){e.onMouseDown(a)}),jQuery(document).mouseup(function(a){e.onMouseUp(a)}));this.runtime.isAppMobi&&!this.runtime.isDirectCanvas&&AppMobi.accelerometer.watchAcceleration(a,
{frequency:40,adjustForRotation:!0});this.runtime.isPhoneGap&&navigator.accelerometer.watchAcceleration(b,null,{frequency:40});this.runtime.tick2Me(this)};k.onPointerMove=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.findTouch(a.pointerId),c=cr.performance_now();if(0<=b){var d=this.runtime.isDomFree?g:jQuery(this.runtime.canvas).offset(),b=this.touches[b];2>c-b.time||(b.lasttime=b.time,b.lastx=b.x,b.lasty=b.y,b.time=
c,b.x=a.pageX-d.left,b.y=a.pageY-d.top)}}};k.onPointerStart=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?g:jQuery(this.runtime.canvas).offset(),c=a.pageX-b.left,b=a.pageY-b.top,d=cr.performance_now();this.trigger_index=this.touches.length;this.trigger_id=a.pointerId;this.touches.push({time:d,x:c,y:b,lasttime:d,lastx:c,lasty:b,id:a.pointerId,startindex:this.trigger_index});this.runtime.isInUserInputEvent=
!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=c;this.curTouchY=b;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this);this.runtime.isInUserInputEvent=!1}};k.onPointerEnd=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),a=this.findTouch(a.pointerId),this.trigger_index=0<=a?this.touches[a].startindex:
-1,this.trigger_id=0<=a?this.touches[a].id:-1,this.runtime.isInUserInputEvent=!0,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.runtime.isInUserInputEvent=!1,0<=a&&this.touches.splice(a,1))};k.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b=cr.performance_now(),c,d,e,k;c=0;for(d=a.changedTouches.length;c<d;c++)if(e=a.changedTouches[c],k=this.findTouch(e.identifier),0<=k){var f=
this.runtime.isDomFree?g:jQuery(this.runtime.canvas).offset();k=this.touches[k];2>b-k.time||(k.lasttime=k.time,k.lastx=k.x,k.lasty=k.y,k.time=b,k.x=e.pageX-f.left,k.y=e.pageY-f.top)}};k.onTouchStart=function(a){a.preventDefault&&a.preventDefault();var b=this.runtime.isDomFree?g:jQuery(this.runtime.canvas).offset(),c=cr.performance_now();this.runtime.isInUserInputEvent=!0;var d,e,k,f;d=0;for(e=a.changedTouches.length;d<e;d++)if(k=a.changedTouches[d],f=this.findTouch(k.identifier),-1===f){f=k.pageX-
b.left;var h=k.pageY-b.top;this.trigger_index=this.touches.length;this.trigger_id=k.identifier;this.touches.push({time:c,x:f,y:h,lasttime:c,lastx:f,lasty:h,id:k.identifier,startindex:this.trigger_index});this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=f;this.curTouchY=h;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this)}this.runtime.isInUserInputEvent=!1};k.onTouchEnd=
function(a){a.preventDefault&&a.preventDefault();this.runtime.isInUserInputEvent=!0;var b,c,d;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],d=this.findTouch(d.identifier),0<=d&&(this.trigger_index=this.touches[d].startindex,this.trigger_id=this.touches[d].id,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),this.touches.splice(d,1));this.runtime.isInUserInputEvent=!1};k.getAlpha=function(){return this.runtime.isAppMobi&&
0===this.orient_alpha&&0!==p?90*p:this.runtime.isPhoneGap&&0===this.orient_alpha&&0!==s?90*s:this.orient_alpha};k.getBeta=function(){return this.runtime.isAppMobi&&0===this.orient_beta&&0!==l?-90*l:this.runtime.isPhoneGap&&0===this.orient_beta&&0!==m?-90*m:this.orient_beta};k.getGamma=function(){return this.runtime.isAppMobi&&0===this.orient_gamma&&0!==r?90*r:this.runtime.isPhoneGap&&0===this.orient_gamma&&0!==n?90*n:this.orient_gamma};k.onMouseDown=function(a){a.preventDefault&&this.runtime.had_a_click&&
a.preventDefault();this.onTouchStart({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!0};k.onMouseMove=function(a){a.preventDefault&&this.runtime.had_a_click&&a.preventDefault();if(this.mouseDown)this.onTouchMove({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]})};k.onMouseUp=function(a){a.preventDefault&&this.runtime.had_a_click&&a.preventDefault();this.runtime.had_a_click=!0;this.onTouchEnd({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});
this.mouseDown=!1};k.tick2=function(){var a,b,c,d=cr.performance_now();a=0;for(b=this.touches.length;a<b;a++)c=this.touches[a],c.time<=d-50&&(c.lasttime=d)};d.prototype.OnTouchStart=function(){return!0};d.prototype.OnTouchEnd=function(){return!0};d.prototype.IsInTouch=function(){return this.touches.length};d.prototype.OnTouchObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};d.prototype.IsTouchingObject=function(a){if(!a)return!1;var b=
a.getCurrentSol(),c=b.getObjects(),d,e,g=[],f,h,k,l;f=0;for(h=c.length;f<h;f++){var m=c[f];m.update_bbox();k=0;for(l=this.touches.length;k<l;k++)if(e=this.touches[k],d=m.layer.canvasToLayer(e.x,e.y,!0),e=m.layer.canvasToLayer(e.x,e.y,!1),m.contains_pt(d,e)){g.push(m);break}}return g.length?(b.select_all=!1,b.instances=g,a.applySolToContainer(),!0):!1};d.prototype.CompareTouchSpeed=function(a,b,c){a=Math.floor(a);if(0>a||a>=this.touches.length)return!1;var d=this.touches[a];a=cr.distanceTo(d.x,d.y,
d.lastx,d.lasty);var d=(d.time-d.lasttime)/1E3,e=0;0<d&&(e=a/d);return cr.do_cmp(e,b,c)};d.prototype.OrientationSupported=function(){return"undefined"!==typeof window.DeviceOrientationEvent};d.prototype.MotionSupported=function(){return"undefined"!==typeof window.DeviceMotionEvent};d.prototype.CompareOrientation=function(a,b,c){var d=0,d=0===a?this.getAlpha():1===a?this.getBeta():this.getGamma();return cr.do_cmp(d,b,c)};d.prototype.CompareAcceleration=function(a,b,c){var d=0;0===a?d=this.acc_g_x:
1===a?d=this.acc_g_y:2===a?d=this.acc_g_z:3===a?d=this.acc_x:4===a?d=this.acc_y:5===a&&(d=this.acc_z);return cr.do_cmp(d,b,c)};d.prototype.OnNthTouchStart=function(a){a=Math.floor(a);return a===this.trigger_index};d.prototype.OnNthTouchEnd=function(a){a=Math.floor(a);return a===this.trigger_index};d.prototype.HasNthTouch=function(a){a=Math.floor(a);return this.touches.length>=a+1};c.cnds=new d;e.prototype.TouchCount=function(a){a.set_int(this.touches.length)};e.prototype.X=function(a,b){if(this.touches.length){var c,
d,e,g,f;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,g=c.parallaxX,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=g,c.angle=f):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!0)):a.set_float(0)}else a.set_float(0)};
e.prototype.XAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,g,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,g=c.parallaxX,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=g,c.angle=f):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?
a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)):a.set_float(0)}};e.prototype.XForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,g,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,g=c.parallaxX,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=g,c.angle=f):(c=
cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!0)):a.set_float(0)}};e.prototype.Y=function(a,b){if(this.touches.length){var c,d,e,g,f;cr.is_undefined(b)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,g=c.parallaxY,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)),c.scale=d,c.zoomRate=
e,c.parallaxY=g,c.angle=f):(c=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(c.canvasToLayer(this.touches[0].x,this.touches[0].y,!1)):a.set_float(0)}else a.set_float(0)};e.prototype.YAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,g,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,g=c.parallaxY,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=
this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=g,c.angle=f):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)):a.set_float(0)}};e.prototype.YForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,g,f;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,
g=c.parallaxY,f=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=g,c.angle=f):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!1)):a.set_float(0)}};e.prototype.AbsoluteX=function(a){this.touches.length?a.set_float(this.touches[0].x):a.set_float(0)};e.prototype.AbsoluteXAt=function(a,
b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].x)};e.prototype.AbsoluteXForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):a.set_float(this.touches[c].x)};e.prototype.AbsoluteY=function(a){this.touches.length?a.set_float(this.touches[0].y):a.set_float(0)};e.prototype.AbsoluteYAt=function(a,b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].y)};e.prototype.AbsoluteYForID=function(a,b){var c=this.findTouch(b);
0>c?a.set_float(0):a.set_float(this.touches[c].y)};e.prototype.SpeedAt=function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b],d=cr.distanceTo(c.x,c.y,c.lastx,c.lasty),c=(c.time-c.lasttime)/1E3;0===c?a.set_float(0):a.set_float(d/c)}};e.prototype.SpeedForID=function(a,b){var c=this.findTouch(b);if(0>c)a.set_float(0);else{var d=this.touches[c],c=cr.distanceTo(d.x,d.y,d.lastx,d.lasty),d=(d.time-d.lasttime)/1E3;0===d?a.set_float(0):a.set_float(c/d)}};e.prototype.AngleAt=
function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b];a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y)))}};e.prototype.AngleForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):(c=this.touches[c],a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y))))};e.prototype.Alpha=function(a){a.set_float(this.getAlpha())};e.prototype.Beta=function(a){a.set_float(this.getBeta())};e.prototype.Gamma=function(a){a.set_float(this.getGamma())};
e.prototype.AccelerationXWithG=function(a){a.set_float(this.acc_g_x)};e.prototype.AccelerationYWithG=function(a){a.set_float(this.acc_g_y)};e.prototype.AccelerationZWithG=function(a){a.set_float(this.acc_g_z)};e.prototype.AccelerationX=function(a){a.set_float(this.acc_x)};e.prototype.AccelerationY=function(a){a.set_float(this.acc_y)};e.prototype.AccelerationZ=function(a){a.set_float(this.acc_z)};e.prototype.TouchIndex=function(a){a.set_int(this.trigger_index)};e.prototype.TouchID=function(a){a.set_float(this.trigger_id)};
c.exps=new e})();cr.plugins_.WebStorage=function(a){this.runtime=a};
(function(){function a(){l||(cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead."),l=!0)}function b(){}function d(){}function e(){}var c=cr.plugins_.WebStorage.prototype;c.Type=function(a){this.plugin=a;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a){this.type=a;this.runtime=a.runtime};var k=c.Instance.prototype,g="",r="undefined"!==typeof window.is_scirra_arcade;
r&&(g="arcade"+window.scirra_arcade_id);var l=!1;k.onCreate=function(){};b.prototype.LocalStorageEnabled=function(){return!0};b.prototype.SessionStorageEnabled=function(){return!0};b.prototype.LocalStorageExists=function(a){return null!=localStorage.getItem(g+a)};b.prototype.SessionStorageExists=function(b){return this.runtime.isCocoonJs||!sessionStorage?(a(),!1):null!=sessionStorage.getItem(g+b)};b.prototype.OnQuotaExceeded=function(){return!0};b.prototype.CompareKeyText=function(a,b,c){a=localStorage.getItem(g+
a)||"";return c?a==b:cr.equals_nocase(a,b)};b.prototype.CompareKeyNumber=function(a,b,c){a=localStorage.getItem(g+a)||"";return cr.do_cmp(parseFloat(a),b,c)};c.cnds=new b;d.prototype.StoreLocal=function(a,b){try{localStorage.setItem(g+a,b)}catch(c){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this)}};d.prototype.StoreSession=function(b,c){if(this.runtime.isCocoonJs||!sessionStorage)a();else try{sessionStorage.setItem(g+b,c)}catch(d){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,
this)}};d.prototype.RemoveLocal=function(a){localStorage.removeItem(g+a)};d.prototype.RemoveSession=function(b){this.runtime.isCocoonJs||!sessionStorage?a():sessionStorage.removeItem(g+b)};d.prototype.ClearLocal=function(){r||localStorage.clear()};d.prototype.ClearSession=function(){this.runtime.isCocoonJs||!sessionStorage?a():r||sessionStorage.clear()};d.prototype.JSONLoad=function(a,b){var c;try{c=JSON.parse(a)}catch(d){return}if(c.c2dictionary){c=c.data;0!==b||r||localStorage.clear();for(var e in c)if(c.hasOwnProperty(e))try{localStorage.setItem(g+
e,c[e])}catch(k){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this);break}}};c.acts=new d;e.prototype.LocalValue=function(a,b){a.set_string(localStorage.getItem(g+b)||"")};e.prototype.SessionValue=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):b.set_string(sessionStorage.getItem(g+c)||"")};e.prototype.LocalCount=function(a){a.set_int(r?0:localStorage.length)};e.prototype.SessionCount=function(b){this.runtime.isCocoonJs||!sessionStorage?
(a(),b.set_int(0)):b.set_int(r?0:sessionStorage.length)};e.prototype.LocalAt=function(a,b){r?a.set_string(""):a.set_string(localStorage.getItem(localStorage.key(b))||"")};e.prototype.SessionAt=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):r?b.set_string(""):b.set_string(sessionStorage.getItem(sessionStorage.key(c))||"")};e.prototype.LocalKeyAt=function(a,b){r?a.set_string(""):a.set_string(localStorage.key(b)||"")};e.prototype.SessionKeyAt=function(b,c){this.runtime.isCocoonJs||
!sessionStorage?(a(),b.set_string("")):r?b.set_string(""):b.set_string(sessionStorage.key(c)||"")};e.prototype.AsJSON=function(a){var b={},c,d,e;c=0;for(d=localStorage.length;c<d;c++)e=localStorage.key(c),r?e.substr(0,g.length)===g&&(b[e.substr(g.length)]=localStorage.getItem(e)):b[e]=localStorage.getItem(e);a.set_string(JSON.stringify({c2dictionary:!0,data:b}))};c.exps=new e})();cr.behaviors.Bullet=function(a){this.runtime=a};
(function(){function a(){}function b(){}function d(){}var e=cr.behaviors.Bullet.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var c=e.Instance.prototype;c.onCreate=function(){var a=this.properties[0];this.acc=this.properties[1];this.g=this.properties[2];this.bounceOffSolid=0!==this.properties[3];this.setAngle=0!==this.properties[4];
this.dx=Math.cos(this.inst.angle)*a;this.dy=Math.sin(this.inst.angle)*a;this.lastx=this.inst.x;this.lasty=this.inst.y;this.lastKnownAngle=this.inst.angle;this.travelled=0;this.enabled=0!==this.properties[5]};c.saveToJSON=function(){return{acc:this.acc,g:this.g,dx:this.dx,dy:this.dy,lx:this.lastx,ly:this.lasty,lka:this.lastKnownAngle,t:this.travelled,e:this.enabled}};c.loadFromJSON=function(a){this.acc=a.acc;this.g=a.g;this.dx=a.dx;this.dy=a.dy;this.lastx=a.lx;this.lasty=a.ly;this.lastKnownAngle=a.lka;
this.travelled=a.t;this.enabled=a.e};c.tick=function(){if(this.enabled){var a=this.runtime.getDt(this.inst),b,c;this.inst.angle!==this.lastKnownAngle&&(this.setAngle&&(b=cr.distanceTo(0,0,this.dx,this.dy),this.dx=Math.cos(this.inst.angle)*b,this.dy=Math.sin(this.inst.angle)*b),this.lastKnownAngle=this.inst.angle);0!==this.acc&&(b=cr.distanceTo(0,0,this.dx,this.dy),c=0===this.dx&&0===this.dy?this.inst.angle:cr.angleTo(0,0,this.dx,this.dy),b+=this.acc*a,0>b&&(b=0),this.dx=Math.cos(c)*b,this.dy=Math.sin(c)*
b);0!==this.g&&(this.dy+=this.g*a);this.lastx=this.inst.x;this.lasty=this.inst.y;if(0!==this.dx||0!==this.dy)if(this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.travelled+=cr.distanceTo(0,0,this.dx*a,this.dy*a),this.setAngle&&(this.inst.angle=cr.angleTo(0,0,this.dx,this.dy),this.inst.set_bbox_changed(),this.lastKnownAngle=this.inst.angle),this.inst.set_bbox_changed(),this.bounceOffSolid&&(b=this.runtime.testOverlapSolid(this.inst)))this.runtime.registerCollision(this.inst,b),b=cr.distanceTo(0,0,
this.dx,this.dy),c=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty),this.dx=Math.cos(c)*b,this.dy=Math.sin(c)*b,this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.inst.set_bbox_changed(),this.setAngle&&(this.lastKnownAngle=this.inst.angle=c,this.inst.set_bbox_changed()),this.runtime.pushOutSolid(this.inst,this.dx/b,this.dy/b,Math.max(2.5*b*a,30))||this.runtime.pushOutSolidNearest(this.inst,100)}};a.prototype.CompareSpeed=function(a,b){return cr.do_cmp(cr.distanceTo(0,0,this.dx,
this.dy),a,b)};a.prototype.CompareTravelled=function(a,b){return cr.do_cmp(this.travelled,a,b)};e.cnds=new a;b.prototype.SetSpeed=function(a){var b=cr.angleTo(0,0,this.dx,this.dy);this.dx=Math.cos(b)*a;this.dy=Math.sin(b)*a};b.prototype.SetAcceleration=function(a){this.acc=a};b.prototype.SetGravity=function(a){this.g=a};b.prototype.SetAngleOfMotion=function(a){a=cr.to_radians(a);var b=cr.distanceTo(0,0,this.dx,this.dy);this.dx=Math.cos(a)*b;this.dy=Math.sin(a)*b};b.prototype.Bounce=function(a){if(a&&
(a=a.getFirstPicked(this.inst))){var b=this.runtime.getDt(this.inst),c=cr.distanceTo(0,0,this.dx,this.dy),d=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty,a);this.dx=Math.cos(d)*c;this.dy=Math.sin(d)*c;this.inst.x+=this.dx*b;this.inst.y+=this.dy*b;this.inst.set_bbox_changed();this.setAngle&&(this.lastKnownAngle=this.inst.angle=d,this.inst.set_bbox_changed());this.bounceOffSolid?this.runtime.pushOutSolid(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*b,30))||this.runtime.pushOutSolidNearest(this.inst,
100):this.runtime.pushOut(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*b,30),a)}};b.prototype.SetEnabled=function(a){this.enabled=1===a};e.acts=new b;d.prototype.Speed=function(a){var b=cr.distanceTo(0,0,this.dx,this.dy),b=cr.round6dp(b);a.set_float(b)};d.prototype.Acceleration=function(a){a.set_float(this.acc)};d.prototype.AngleOfMotion=function(a){a.set_float(cr.to_degrees(cr.angleTo(0,0,this.dx,this.dy)))};d.prototype.DistanceTravelled=function(a){a.set_float(this.travelled)};e.exps=new d})();
cr.behaviors.Fade=function(a){this.runtime=a};
(function(){function a(){}function b(){}var d=cr.behaviors.Fade.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){var a=1===this.properties[0];this.fadeInTime=this.properties[1];this.waitTime=this.properties[2];this.fadeOutTime=this.properties[3];this.destroy=this.properties[4];
this.stage=a?0:3;this.recycled?this.stageTime.reset():this.stageTime=new cr.KahanAdder;this.maxOpacity=this.inst.opacity?this.inst.opacity:1;a&&(0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0))};e.saveToJSON=function(){return{fit:this.fadeInTime,wt:this.waitTime,fot:this.fadeOutTime,s:this.stage,st:this.stageTime.sum,mo:this.maxOpacity}};e.loadFromJSON=function(a){this.fadeInTime=a.fit;this.waitTime=a.wt;this.fadeOutTime=a.fot;this.stage=
a.s;this.stageTime.reset();this.stageTime.sum=a.st;this.maxOpacity=a.mo};e.tick=function(){this.stageTime.add(this.runtime.getDt(this.inst));0===this.stage&&(this.inst.opacity=this.stageTime.sum/this.fadeInTime*this.maxOpacity,this.runtime.redraw=!0,this.inst.opacity>=this.maxOpacity&&(this.inst.opacity=this.maxOpacity,this.stage=1,this.stageTime.reset()));1===this.stage&&this.stageTime.sum>=this.waitTime&&(this.stage=2,this.stageTime.reset());2===this.stage&&0!==this.fadeOutTime&&(this.inst.opacity=
this.maxOpacity-this.stageTime.sum/this.fadeOutTime*this.maxOpacity,this.runtime.redraw=!0,0>this.inst.opacity&&(this.inst.opacity=0,this.stage=3,this.stageTime.reset(),this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,this.inst),1===this.destroy&&this.runtime.DestroyInstance(this.inst)))};e.doStart=function(){this.stage=0;this.stageTime.reset();0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0)};a.prototype.OnFadeOutEnd=
function(){return!0};d.cnds=new a;b.prototype.StartFade=function(){3===this.stage&&this.doStart()};b.prototype.RestartFade=function(){this.doStart()};d.acts=new b})();cr.behaviors.Flash=function(a){this.runtime=a};
(function(){function a(){}function b(){}var d=cr.behaviors.Flash.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){this.timeleft=this.stagetimeleft=this.stage=this.offtime=this.ontime=0};e.saveToJSON=function(){return{ontime:this.ontime,offtime:this.offtime,stage:this.stage,stagetimeleft:this.stagetimeleft,
timeleft:this.timeleft}};e.loadFromJSON=function(a){this.ontime=a.ontime;this.offtime=a.offtime;this.stage=a.stage;this.stagetimeleft=a.stagetimeleft;this.timeleft=a.timeleft};e.tick=function(){if(!(0>=this.timeleft)){var a=this.runtime.getDt(this.inst);this.timeleft-=a;0>=this.timeleft?(this.timeleft=0,this.inst.visible=!0,this.runtime.redraw=!0,this.runtime.trigger(cr.behaviors.Flash.prototype.cnds.OnFlashEnded,this.inst)):(this.stagetimeleft-=a,0>=this.stagetimeleft&&(0===this.stage?(this.inst.visible=
!1,this.stage=1,this.stagetimeleft+=this.offtime):(this.inst.visible=!0,this.stage=0,this.stagetimeleft+=this.ontime),this.runtime.redraw=!0))}};a.prototype.IsFlashing=function(){return 0<this.timeleft};a.prototype.OnFlashEnded=function(){return!0};d.cnds=new a;b.prototype.Flash=function(a,b,d){this.ontime=a;this.offtime=b;this.stage=1;this.stagetimeleft=b;this.timeleft=d;this.inst.visible=!1;this.runtime.redraw=!0};b.prototype.StopFlashing=function(){this.timeleft=0;this.inst.visible=!0;this.runtime.redraw=
!0};d.acts=new b;d.exps=new function(){}})();cr.behaviors.solid=function(a){this.runtime=a};
(function(){function a(){}function b(){}var d=cr.behaviors.solid.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){this.inst.extra.solidEnabled=0!==this.properties[0]};e.tick=function(){};a.prototype.IsEnabled=function(){return this.inst.extra.solidEnabled};d.cnds=new a;b.prototype.SetEnabled=
function(a){this.inst.extra.solidEnabled=!!a};d.acts=new b})();
cr.getProjectModel=function(){return[null,"chose",[[cr.plugins_.AJAX,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Audio,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.CJSAds,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Browser,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.WebStorage,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Facebook,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Mouse,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Sprite,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.Text,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.TextBox,
!1,!0,!0,!0,!1,!1,!1,!1,!1],[cr.plugins_.Touch,!0,!1,!1,!1,!1,!1,!1,!1,!1]],[["t0",cr.plugins_.Sprite,!1,[],0,0,null,[["hanoi",5,!1,1,0,!1,1,[["hanoi-sheet0.png",636848,0,0,838,540,1,0.5,0.5,[],[],0]]]],[],!1,!1,0,[],null],["t1",cr.plugins_.Sprite,!1,[],0,0,null,[["kobam",5,!1,1,0,!1,3,[["nut4-sheet0.png",3346,0,0,251,152,1,0.4980079829692841,0.5,[],[],0]]],["bam",5,!1,1,0,!1,4,[["nut4-sheet1.png",4390,0,0,251,152,1,0.5019920468330383,0.5,[],[0.4980079531669617,0.5,-0.5019920468330383,0.5,-0.5019920468330383,
-0.5,0.4980079531669617,-0.5],0]]]],[],!1,!1,2,[],null],["t2",cr.plugins_.Sprite,!1,[],0,0,null,[["kobam",5,!1,1,0,!1,6,[["nut2-sheet0.png",3357,0,0,251,152,1,0.5019920468330383,0.5,[],[],0]]],["bam",5,!1,1,0,!1,7,[["nut2-sheet1.png",4398,0,0,251,152,1,0.5019920468330383,0.5,[],[],0]]]],[],!1,!1,5,[],null],["t3",cr.plugins_.Sprite,!1,[],0,0,null,[["kobam",5,!1,1,0,!1,9,[["nut2-sheet0.png",3357,0,0,251,152,1,0.5019920468330383,0.5,[],[],0]]],["bam",5,!1,1,0,!1,10,[["nut2-sheet1.png",4398,0,0,251,152,
1,0.5019920468330383,0.5,[],[],0]]]],[],!1,!1,8,[],null],["t4",cr.plugins_.Sprite,!1,[],0,0,null,[["kobam",5,!1,1,0,!1,12,[["nut2-sheet0.png",3357,0,0,251,152,1,0.5019920468330383,0.5,[],[],0]]],["bam",5,!1,1,0,!1,13,[["nut2-sheet1.png",4398,0,0,251,152,1,0.5019920468330383,0.5,[],[],0]]]],[],!1,!1,11,[],null],["t5",cr.plugins_.Sprite,!1,[],0,0,null,[["kobam",5,!1,1,0,!1,15,[["nut4-sheet0.png",3346,0,0,251,152,1,0.5019920468330383,0.5,[],[],0]]],["bam",5,!1,1,0,!1,16,[["nut5-sheet0.png",4390,0,0,
251,152,1,0.5019920468330383,0.5,[],[0.4980079531669617,0.5,-0.5019920468330383,0.5,-0.5019920468330383,-0.5,0.4980079531669617,-0.5],0]]]],[],!1,!1,14,[],null],["t6",cr.plugins_.Sprite,!1,[],0,0,null,[["kobam",5,!1,1,0,!1,18,[["nut4-sheet0.png",3346,0,0,251,152,1,0.4980079829692841,0.5,[],[],0]]],["bam",5,!1,1,0,!1,19,[["nut5-sheet0.png",4390,0,0,251,152,1,0.4980079829692841,0.5,[],[0.5019919872283936,0.5,-0.4980079829692841,0.5,-0.4980079829692841,-0.5,0.5019919872283936,-0.5],0]]]],[],!1,!1,17,
[],null],["t7",cr.plugins_.Touch,!1,[],0,0,null,null,[],!1,!1,20,[],null,[1]],["t8",cr.plugins_.Mouse,!1,[],0,0,null,null,[],!1,!1,21,[],null,[]],["t9",cr.plugins_.CJSAds,!1,[],0,0,null,null,[],!1,!1,22,[],null,[0,1]],["t10",cr.plugins_.WebStorage,!1,[],0,0,null,null,[],!1,!1,23,[],null,[]],["t11",cr.plugins_.Audio,!1,[],0,0,null,null,[],!1,!1,24,[],null,[0,0,1,1,600,600,1E4,1,5E3,1]],["t12",cr.plugins_.Sprite,!1,[26,27,28,29,30,31,32,33,34,35,36,37,38,39,40],1,0,null,[["idle",5,!0,1,0,!1,42,[["player-sheet1.png",
667078,1584,754,300,250,10,0.5,0.5,[],[],0],["player-sheet1.png",667078,1204,971,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,1,1005,300,250,3,0.5,0.5,[],[],0]]],["mid_right_punch",50,!1,1,0,!1,43,[["player-sheet1.png",667078,302,1005,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,603,1005,300,250,1,0.5,0.5,[["Imagepoint 1",0.8266666531562805,0.5],["Imagepoint 2",0.8166666626930237,0.5]],[],0]]],["mid_left_punch",50,!1,1,0,!1,44,[["player-sheet1.png",667078,1505,1005,300,250,1,0.5,
0.5,[["Imagepoint 1",0.5,0.5]],[],0],["player-sheet1.png",667078,904,1222,300,250,1,0.5,0.5,[["Imagepoint 1",0.1899999976158142,0.5]],[],0]]],["low_right_kick",50,!1,1,0,!1,45,[["player-sheet1.png",667078,1,1256,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,302,1256,300,250,1,0.5,0.5,[["Imagepoint 1",0.7599999904632568,0.8519999980926514]],[],0]]],["low_left_kick",50,!1,1,0,!1,46,[["player-sheet1.png",667078,603,1256,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,1205,1256,300,250,
1,0.5,0.5,[["Imagepoint 1",0.2233333289623261,0.8920000195503235]],[],0]]],["high_right_punch",50,!1,1,0,!1,47,[["player-sheet1.png",667078,1506,1256,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,904,1473,300,250,1,0.5,0.5,[["Imagepoint 1",0.7633333206176758,0.2360000014305115]],[],0]]],["high_left_punch",50,!1,1,0,!1,48,[["player-sheet1.png",667078,1,1507,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,302,1507,300,250,1,0.5,0.5,[["Imagepoint 1",0.236666664481163,0.2240000069141388]],
[],0]]],["combo_high",50,!1,1,0,!1,49,[["player-sheet1.png",667078,603,1507,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,1205,1507,300,250,1,0.5,0.5,[["Imagepoint 1",0.253333330154419,0.2160000056028366],["Imagepoint 2",0.7766666412353516,0.2119999974966049]],[],0]]],["combo_mid",50,!1,1,0,!1,50,[["player-sheet1.png",667078,1506,1507,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,904,1724,300,250,1,0.5,0.5,[["Imagepoint 1",0.2233333289623261,0.5],["Imagepoint 2",0.800000011920929,
0.472000002861023]],[],0]]],["combo_low",50,!1,1,0,!1,51,[["player-sheet1.png",667078,1,1758,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,302,1758,300,250,1,0.5,0.5,[["Imagepoint 1",0.1766666620969772,0.8999999761581421],["Imagepoint 2",0.8366666436195374,0.8880000114440918]],[],0]]],["combo_low_left_high_right",50,!1,1,0,!1,52,[["player-sheet1.png",667078,603,1758,300,250,1,0.5,0.5,[],[],0],["player-sheet1.png",667078,1205,1758,300,250,1,0.5,0.5,[["Imagepoint 1",0.7633333206176758,0.2759999930858612],
["Imagepoint 2",0.1800000071525574,0.9120000004768372]],[],0]]],["combo_low_right_high_left",50,!1,1,0,!1,53,[["player-sheet1.png",667078,1506,1758,300,250,1,0.5,0.5,[],[],0],["player-sheet2.png",180851,1,1,300,250,1,0.5,0.5,[["Imagepoint 1",0.2300000041723251,0.2759999930858612],["Imagepoint 2",0.8233333230018616,0.9039999842643738]],[],0]]],["combo_mid_right_high_left",50,!1,1,0,!1,54,[["player-sheet2.png",180851,302,1,300,250,1,0.5,0.5,[],[],0],["player-sheet2.png",180851,603,1,300,250,1,0.5,0.5,
[["Imagepoint 1",0.1800000071525574,0.2520000040531158],["Imagepoint 2",0.8533333539962769,0.5600000023841858]],[],0]]],["combo_mid_left_high_right",50,!1,1,0,!1,55,[["player-sheet2.png",180851,1,252,300,250,1,0.5,0.5,[],[],0],["player-sheet2.png",180851,302,252,300,250,1,0.5,0.5,[["Imagepoint 1",0.8266666531562805,0.2520000040531158],["Imagepoint 2",0.1466666609048843,0.5440000295639038]],[],0]]],["combo_mid_right_low_left",50,!1,1,0,!1,56,[["player-sheet2.png",180851,603,252,300,250,1,0.5,0.5,[],
[],0],["player-sheet2.png",180851,1,503,300,250,1,0.5,0.5,[["Imagepoint 1",0.8299999833106995,0.5080000162124634],["Imagepoint 2",0.2166666686534882,0.9240000247955322]],[],0]]],["combo_mid_left_low_right",50,!1,1,0,!1,57,[["player-sheet2.png",180851,302,503,300,250,1,0.5,0.5,[],[],0],["player-sheet2.png",180851,603,503,300,250,1,0.5,0.5,[["Imagepoint 1",0.1700000017881393,0.5080000162124634],["Imagepoint 2",0.7900000214576721,0.9200000166893005]],[],0]]],["huytsao",5,!1,1,0,!1,58,[["player-sheet2.png",
180851,1,754,300,250,1,0.5,0.5,[],[],0]]],["gla_idle",5,!1,1,0,!1,75,[["player-sheet0.png",519675,1,1,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0]]],["gla_mid_right_hack",30,!1,1,0,!1,76,[["player-sheet1.png",667078,1885,754,161,220,1,0.4099378883838654,0.4636363685131073,[],[-0.2981368899345398,
0.1227276027202606,1.192092895507813E-7,-0.4136363565921783,0.4409941136837006,0.01818162202835083,0.4285711348056793,-0.02727237343788147,1.192092895507813E-7,0.4409086406230927,-0.1366458833217621,-0.2409093677997589,-0.2795028686523438,-3.576278686523438E-7],0],["player-sheet2.png",180851,595,754,330,219,1,0.5727272629737854,0.4794520437717438,[["Imagepoint 1",0.9333333373069763,0.534246563911438]],[0.3484847545623779,-0.009132057428359985,0.3212117552757263,0.2283109724521637,-0.06363624334335327,
0.4337899386882782,-0.454545259475708,0.2374429404735565,-0.2333332598209381,-0.009132057428359985,-0.1636362671852112,0.1826479732990265,-0.06363624334335327,-0.2191780507564545,0.1515147089958191,0.009131968021392822],0],["player-sheet0.png",519675,402,1,400,250,1,0.5,0.5,[],[0.1200000047683716,0,0.2625000476837158,0.1200000047683716,0,0.3840000033378601,-0.175000011920929,-0.02000001072883606,-0.1649999916553497,0,-0.1624999940395355,0.04000002145767212,0,-0.3680000007152557,0.1725000143051148,
0.02399998903274536],0]]],["gla_mid_left_hack",30,!1,1,0,!1,77,[["player-sheet4.png",393321,495,634,161,220,1,0.4099378883838654,0.4636363685131073,[],[-0.2981368899345398,0.1227276027202606,1.192092895507813E-7,-0.4136363565921783,0.4409941136837006,0.01818162202835083,0.4285711348056793,-0.02727237343788147,1.192092895507813E-7,0.4409086406230927,-0.1366458833217621,-0.2409093677997589,-0.2795028686523438,-3.576278686523438E-7],0],["player-sheet3.png",446853,1,1,330,219,1,0.4909090995788574,0.4703196287155151,
[["Imagepoint 1",0.08484848588705063,0.5388127565383911]],[-0.2151511013507843,0.01826438307762146,-8.940696716308594E-8,-0.2100456357002258,0.09999990463256836,0.1917803883552551,0.1696969270706177,3.576278686523438E-7,0.3909088969230652,0.2465753555297852,-8.940696716308594E-8,0.4429223537445068,-0.3848481178283691,0.2374433875083923,-0.4121212065219879,3.576278686523438E-7],0],["player-sheet0.png",519675,803,1,400,250,1,0.5,0.5,[],[-0.1725000143051148,0.02399998903274536,0,-0.3680000007152557,
0.1625000238418579,0.04000002145767212,0.1650000214576721,0,0.175000011920929,-0.02000001072883606,0,0.3840000033378601,-0.262499988079071,0.1200000047683716,-0.1200000047683716,0],0]]],["gla_low_right_hack",30,!1,1,0,!1,78,[["player-sheet0.png",519675,1204,1,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,
0],0],["player-sheet4.png",393321,312,414,253,219,1,0.5889328122138977,0.4429223835468292,[["Imagepoint 1",0.9249011874198914,0.8630136847496033]],[0.1501981616020203,0.02739760279655457,0.1620551943778992,-0.09589037299156189,-0.0276678204536438,0.4429226219654083,-0.3754938244819641,0.08675763010978699,-0.2687748074531555,0.02739760279655457,-0.5533596873283386,-0.2374433875083923,-0.0276678204536438,-0.4337899684906006,0.2134391665458679,0.09132459759712219],0],["player-sheet4.png",393321,820,
414,202,218,1,0.4752475321292877,0.4403669834136963,[],[0.123762458562851,0.01834902167320252,0.2178214490413666,-0.1009169816970825,-0.02475252747535706,0.4449540376663208,-0.4653465747833252,0.08256900310516357,-0.3267325162887573,0.01834902167320252,-0.3564355373382568,0.05504602193832398,-0.02475252747535706,-0.4311926662921906,0.1386134922504425,0.2110090255737305],0]]],["gla_low_left_hack",30,!1,1,0,!1,79,[["player-sheet0.png",519675,1605,1,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,
0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet4.png",393321,566,414,253,219,1,0.4664031565189362,0.4429223835468292,[["Imagepoint 1",0.08695652335882187,0.8675799369812012]],[-0.2687751650810242,0.09132459759712219,-0.02766814827919006,-0.4337899684906006,0.4980238378047943,-0.2374433875083923,0.2134388387203217,0.02739760279655457,0.3201578557491303,
0.08675763010978699,-0.02766814827919006,0.4429226219654083,-0.217391163110733,-0.09589037299156189,-0.2055331468582153,0.02739760279655457],0],["player-sheet4.png",393321,820,633,202,218,1,0.5495049357414246,0.4587155878543854,[],[-0.1633659303188324,0.1926604211330414,5.9604644775390625E-8,-0.4495412707328796,0.3316830396652222,0.03669741749763489,0.3019800782203674,4.172325134277344E-7,0.4405940771102905,0.06422039866447449,5.9604644775390625E-8,0.4266054332256317,-0.2425739467144013,-0.1192655861377716,
-0.1485149264335632,4.172325134277344E-7],0]]],["gla_high_right_hack",30,!1,1,0,!1,80,[["player-sheet0.png",519675,1,252,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet4.png",393321,1,596,246,223,1,0.5487805008888245,0.4708520174026489,[["Imagepoint 1",0.9146341681480408,0.1704035848379135]],
[-0.1260164976119995,0.1973089575767517,4.76837158203125E-7,-0.4573991298675537,0.2520325183868408,0.05829596519470215,0.2601624727249146,-2.980232238769531E-8,0.2764225006103516,-0.03139001131057739,4.76837158203125E-7,0.3318389654159546,-0.2154475152492523,-0.09865501523017883,-0.1463415026664734,-2.980232238769531E-8],0],["player-sheet0.png",519675,402,252,400,250,1,0.5,0.5,[],[-0.05750000476837158,0.2080000042915344,0,-0.4039999842643738,0.1625000238418579,0.04000002145767212,0.1174999475479126,
0,0.1499999761581421,-0.06000000238418579,0,0.300000011920929,-0.1324999928474426,-0.08799999952316284,-0.0925000011920929,0],0]]],["gla_high_left_hack",30,!1,1,0,!1,81,[["player-sheet0.png",519675,803,252,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet4.png",393321,248,634,246,223,1,
0.4512194991111755,0.4708520174026489,[["Imagepoint 1",0.1341463476419449,0.1793721914291382]],[0.1463415026664734,-2.980232238769531E-8,0.2154474854469299,-0.09865501523017883,-5.066394805908203E-7,0.3318389654159546,-0.2764225006103516,-0.03139001131057739,-0.2601625025272369,-2.980232238769531E-8,-0.2520325183868408,0.05829596519470215,-5.066394805908203E-7,-0.4573991298675537,0.1260164976119995,0.1973089575767517],0],["player-sheet0.png",519675,1204,252,400,250,1,0.5,0.5,[],[0.09250003099441528,
0,0.1325000524520874,-0.08799999952316284,0,0.300000011920929,-0.1500000059604645,-0.06000000238418579,-0.1175000071525574,0,-0.1624999940395355,0.04000002145767212,0,-0.4039999842643738,0.05749994516372681,0.2080000042915344],0]]],["gla_combo_high_hack",30,!1,1,0,!1,82,[["player-sheet0.png",519675,1605,252,400,250,1,0.5,0.5,[["Imagepoint 1",0.5,0.5]],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,
-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet3.png",446853,633,464,316,222,1,0.4588607549667358,0.472972959280014,[["Imagepoint 1",0.9177215099334717,0.1126126125454903],["Imagepoint 2",0.08544303476810455,0.1171171143651009]],[-0.4493670761585236,-0.3018019795417786,2.384185791015625E-7,-0.3783783614635468,0.5253162384033203,-0.4099098443984985,0.4462022185325623,2.980232238769531E-8,0.3607592582702637,0.1756760179996491,2.384185791015625E-7,0.4639640152454376,
-0.316455751657486,0.1126130521297455,-0.3702531456947327,2.980232238769531E-8],0],["player-sheet0.png",519675,1,503,400,250,1,0.5,0.5,[],[-0.07749998569488525,0.1759999990463257,0,-0.3400000035762787,0.4150000214576721,-0.3639999926090241,0.1474999785423279,0,0.1725000143051148,-0.02399998903274536,0,0.3600000143051148,-0.1500000059604645,-0.06000000238418579,-0.1024999916553497,0],0]]],["gla_combo_mid_hack",30,!1,1,0,!1,83,[["player-sheet0.png",519675,402,503,400,250,1,0.5,0.5,[],[-0.1200000047683716,
0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet1.png",667078,1204,754,379,216,1,0.4670184552669525,0.4583333432674408,[["Imagepoint 1",0.09762533009052277,0.4953703582286835],["Imagepoint 2",0.9050132036209106,0.4814814925193787]],[-0.23482845723629,-0.06481432914733887,-4.470348358154297E-7,-0.3981481492519379,0.2506595551967621,
-0.09259232878684998,0.5197885036468506,-3.576278686523438E-7,0.2664905488491058,0.1203706562519074,-4.470348358154297E-7,0.4027776420116425,-0.2717674374580383,0.1296296417713165,-0.4432717561721802,-3.576278686523438E-7],0],["player-sheet0.png",519675,803,503,400,250,1,0.5,0.5,[],[-0.2100000083446503,-0.03600001335144043,0,-0.3320000171661377,0.2300000190734863,-0.06799998879432678,0.4774999618530273,0,0.2174999713897705,0.04799997806549072,0,0.371999979019165,-0.2199999988079071,0.05199998617172241,
-0.4200000166893005,0],0]]],["gla_combo_low_hack",30,!1,1,0,!1,84,[["player-sheet0.png",519675,1204,503,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet2.png",180851,302,754,292,253,1,0.4520547986030579,0.529644250869751,[["Imagepoint 1",0.1095890402793884,0.8853754997253418],["Imagepoint 2",
0.9280821681022644,0.8774703741073608]],[-0.1609587967395783,0.1106717586517334,2.086162567138672E-7,-0.1501972377300263,0.2191781997680664,0.04347777366638184,0.1883562207221985,-2.384185791015625E-7,0.5205482244491577,0.3043477535247803,2.086162567138672E-7,0.39920973777771,-0.1232877969741821,-0.1541502475738525,-0.08561679720878601,-2.384185791015625E-7],0],["player-sheet0.png",519675,1605,503,400,250,1,0.5,0.5,[],[-0.112500011920929,0.1200000047683716,0,-0.1279999911785126,0.1549999713897705,
0.05199998617172241,0.1225000023841858,0,0.3825000524520874,0.3119999766349793,0,0.4240000247955322,-0.04750001430511475,0],0]]],["gla_combo_low_left_high_right",30,!1,1,0,!1,85,[["player-sheet0.png",519675,1,754,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet3.png",446853,1,671,290,239,
1,0.6137930750846863,0.5062761306762695,[["Imagepoint 1",0.9034482836723328,0.1715481132268906],["Imagepoint 2",0.1000000014901161,0.8702929019927979]],[0.237930953502655,-1.192092895507813E-7,0.2482759356498718,-0.01255214214324951,-5.9604644775390625E-8,0.3012548685073853,-0.5896551609039307,0.4016738533973694,-0.3310340642929077,-1.192092895507813E-7,-0.3068960607051849,-0.05857712030410767,-5.9604644775390625E-8,-0.2008371353149414,0.1862069368362427,0.08786588907241821],0],["player-sheet0.png",
519675,402,754,400,250,1,0.5,0.5,[],[0.01250004768371582,0,0.1100000143051148,-0.1240000128746033,0,0.3040000200271606,-0.4099999964237213,0.3560000061988831,-0.2125000059604645,0,-0.2050000131130219,-0.02799999713897705,0,-0.199999988079071,0.06999999284744263,0.1880000233650208],0]]],["gla_combo_low_right_high_left",30,!1,1,0,!1,86,[["player-sheet0.png",519675,803,754,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,
-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet3.png",446853,633,687,290,239,1,0.3862068951129913,0.5062761306762695,[["Imagepoint 1",0.9103448390960693,0.8786610960960388],["Imagepoint 2",0.1551724076271057,0.1589958220720291]],[-0.1862068921327591,0.08786588907241821,1.192092895507813E-7,-0.2008371353149414,0.3068961203098297,-0.05857712030410767,0.3310340940952301,-1.192092895507813E-7,0.5896551609039307,0.4016738533973694,
1.192092895507813E-7,0.3012548685073853,-0.2482758909463882,-0.01255214214324951,-0.2379308938980103,-1.192092895507813E-7],0],["player-sheet0.png",519675,1204,754,400,250,1,0.5,0.5,[],[-0.06999999284744263,0.1880000233650208,0,-0.199999988079071,0.2049999833106995,-0.02799999713897705,0.2125000357627869,0,0.4100000262260437,0.3560000061988831,0,0.3040000200271606,-0.1100000143051148,-0.1240000128746033,-0.01249998807907105,0],0]]],["gla_combo_mid_right_high_left",30,!1,1,0,!1,87,[["player-sheet0.png",
519675,1605,754,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet4.png",393321,288,195,273,218,1,0.4249084293842316,0.4633027613162994,[["Imagepoint 1",0.9120879173278809,0.5458715558052063],["Imagepoint 2",0.161172166466713,0.169724777340889]],[-0.06959742307662964,0.2568802535533905,-4.172325134277344E-7,
-0.4036697745323181,0.2271065413951874,0.05963322520256043,0.1941395699977875,2.384185791015625E-7,0.553113579750061,0.3486242592334747,-4.172325134277344E-7,0.4082572162151337,-0.2417584359645844,-0.04128476977348328,-0.2014654278755188,2.384185791015625E-7],0],["player-sheet0.png",519675,1,1005,400,250,1,0.5,0.5,[],[-0.04750001430511475,0.2239999771118164,0,-0.3639999926090241,0.1499999761581421,0.06000000238418579,0.112500011920929,0,0.2699999809265137,0.1320000290870667,0,0.3880000114440918,-0.1500000059604645,
-0.06000000238418579,-0.1324999928474426,0],0]]],["gla_combo_mid_left_high_right",30,!1,1,0,!1,88,[["player-sheet0.png",519675,402,1005,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet4.png",393321,562,195,273,218,1,0.5164835453033447,0.4633027613162994,[["Imagepoint 1",0.0842490866780281,
0.5825688242912292],["Imagepoint 2",0.8534798622131348,0.1788990795612335]],[0.2600734829902649,2.384185791015625E-7,0.3003664612770081,-0.04128476977348328,0.05860847234725952,0.4082572162151337,-0.4945054352283478,0.3486242592334747,-0.1355315446853638,2.384185791015625E-7,-0.1684985458850861,0.05963322520256043,0.05860847234725952,-0.4036697745323181,0.1282054781913757,0.2568802535533905],0],["player-sheet0.png",519675,803,1005,400,250,1,0.4625000059604645,0.5,[],[0.1700000464916229,0,0.1874999701976776,
-0.06000000238418579,0.03749999403953552,0.3880000114440918,-0.2325000017881393,0.1320000290870667,-0.07500001788139343,0,-0.112500011920929,0.06000000238418579,0.03749999403953552,-0.3639999926090241,0.0849999487400055,0.2239999771118164],0]]],["gla_combo_mid_right_low_left",30,!1,1,0,!1,89,[["player-sheet0.png",519675,1204,1005,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,
-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet3.png",446853,323,244,324,219,1,0.5555555820465088,0.456620991230011,[["Imagepoint 1",0.1388888955116272,0.9041095972061157],["Imagepoint 2",0.9074074029922485,0.5022830963134766]],[0.4135804176330566,0,0.3611114025115967,0.1917809844017029,4.172325134277344E-7,0.3424659967422485,-0.5061728954315186,0.4063929915428162,-0.3858025670051575,0,-0.2592595815658569,-0.04109600186347961,4.172325134277344E-7,-0.1598169803619385,
0.2253084182739258,0.00913199782371521],0],["player-sheet0.png",519675,1605,1005,400,250,1,0.5,0.5,[],[0.3325000405311585,0,0.2325000166893005,0.07200002670288086,0,0.300000011920929,-0.4124999940395355,0.3600000143051148,-0.2175000011920929,0,-0.2100000083446503,-0.03600001335144043,0,-0.136000007390976,0.1800000071525574,0.01200002431869507],0]]],["gla_combo_mid_left_low_right",30,!1,1,0,!1,90,[["player-sheet0.png",519675,1,1256,400,250,1,0.5,0.5,[],[-0.1200000047683716,0.1079999804496765,0,-0.3639999926090241,
0.1774999499320984,0.01599997282028198,0.1725000143051148,-0.02399998903274536,0,0.3880000114440918,-0.05500000715255737,-0.2120000123977661,-0.112500011920929,0],0],["player-sheet3.png",446853,648,244,324,219,1,0.4444444477558136,0.456620991230011,[["Imagepoint 1",0.09567901492118835,0.5068492889404297],["Imagepoint 2",0.8919752836227417,0.8858447670936584]],[-0.2253084480762482,0.00913199782371521,-4.470348358154297E-7,-0.1598169803619385,0.2592595517635346,-0.04109600186347961,0.3858025372028351,
0,0.5061725378036499,0.4063929915428162,-4.470348358154297E-7,0.3424659967422485,-0.3611111640930176,0.1917809844017029,-0.4135802388191223,0],0],["player-sheet0.png",519675,402,1256,400,250,1,0.5,0.5,[],[-0.1800000071525574,0.01200002431869507,0,-0.136000007390976,0.2099999785423279,-0.03600001335144043,0.2174999713897705,0,0.4125000238418579,0.3600000143051148,0,0.300000011920929,-0.2324999868869782,0.07200002670288086,-0.3324999809265137,0],0]]],["sam_idle",5,!1,1,0,!1,59,[["player-sheet0.png",
519675,803,1256,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0]]],["sam_mid_right_hack",30,!1,1,0,!1,60,[["player-sheet0.png",519675,1204,1256,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,
0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet1.png",667078,904,1005,286,215,1,0.503496527671814,0.5674418807029724,[["Imagepoint 1",0.9790209531784058,0.5116279125213623]],[-0.2097905278205872,0.02790713310241699,-0.05244752764701843,-0.5488373041152954,0.1573424935340881,-0.04186087846755981,0.03496545553207398,-0.1116278767585754,0.3391604423522949,0.06046509742736816,-0.05244752764701843,0.2744181156158447,
-0.4160839319229126,0.02325612306594849,-0.2202795147895813,-0.1116278767585754],0],["player-sheet0.png",519675,1605,1256,400,250,1,0.5,0.5,[],[-0.112500011920929,0.1200000047683716,0,-0.3759999871253967,0.1499999761581421,0.06000000238418579,0.0625,0,0.2574999928474426,0.1119999885559082,0,0.328000009059906,-0.1299999952316284,-0.09200000762939453],0]]],["sam_mid_left_hack",30,!1,1,0,!1,61,[["player-sheet0.png",519675,1,1507,400,250,1,0.5,0.5,[["Imagepoint 1",0.5,0.5]],[-0.1175000071525574,0.1119999885559082,
0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet4.png",393321,1,1,286,215,1,0.5944055914878845,0.539534866809845,[["Imagepoint 1",0.02097902074456215,0.5116279125213623]],[0.1223773956298828,-0.083720862865448,0.3181813955307007,0.05116313695907593,-0.04545462131500244,0.3023251295089722,-0.4370625913143158,0.0883721113204956,
-0.1328676044940949,-0.083720862865448,-0.2552445828914642,-0.01395386457443237,-0.04545462131500244,-0.520930290222168,0.1118884086608887,0.05581414699554443],0],["player-sheet0.png",519675,402,1507,400,250,1,0.5,0.5,[],[0.1299999952316284,-0.09200000762939453,0,0.328000009059906,-0.2574999928474426,0.1119999885559082,-0.0625,0,-0.1500000059604645,0.06000000238418579,0,-0.3759999871253967,0.112500011920929,0.1200000047683716],0]]],["sam_low_right_hack",30,!1,1,0,!1,62,[["player-sheet0.png",519675,
803,1507,400,250,1,0.5,0.5,[["Imagepoint 1",0.5,0.5]],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet1.png",667078,1807,1005,236,254,1,0.2796610295772553,0.5708661675453186,[["Imagepoint 1",0.8347457647323608,0.8700787425041199]],[-0.1567800343036652,0.07086580991744995,-0.00423702597618103,
-0.5669291615486145,0.5423729419708252,-0.2952751815319061,0.6483049392700195,-0.08267715573310852,0.6949149370193481,0.2716538310050964,-0.00423702597618103,0.381889820098877,0.1228809654712677,-0.4960629642009735,-0.0127120316028595,-0.08267715573310852],0],["player-sheet0.png",519675,1204,1507,400,250,1,0.5,0.5,[],[-0.0925000011920929,0.1520000100135803,0,-0.1439999938011169,0.2400000095367432,-0.08399999141693115,0.2274999618530273,0,0.4074999690055847,0.3519999980926514,0,0.4959999918937683,
0.01999998092651367,0],0]]],["sam_low_left_hack",30,!1,1,0,!1,63,[["player-sheet0.png",519675,1605,1507,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet1.png",667078,1807,1260,236,254,1,0.7076271176338196,0.5787401795387268,[["Imagepoint 1",0.1949152499437332,0.8779527544975281]],
[0.02542388439178467,-0.09055116772651672,-0.1101691126823425,-0.5039370059967041,0.0169488787651062,0.3740158081054688,-0.6822034120559692,0.2637798190116882,-0.6355931162834167,-0.09055116772651672,-0.5296611189842224,-0.3031491935253143,0.0169488787651062,-0.5748031735420227,0.1694918870925903,0.06299179792404175],0],["player-sheet0.png",519675,1,1758,400,250,1,0.5,0.5,[],[-0.02000001072883606,0,0,0.4959999918937683,-0.4074999988079071,0.3519999980926514,-0.2274999916553497,0,-0.2400000095367432,
-0.08399999141693115,0,-0.1439999938011169,0.09250003099441528,0.1520000100135803],0]]],["sam_high_right_hack",30,!1,1,0,!1,64,[["player-sheet0.png",519675,402,1758,400,250,1,0.5,0.5,[["Imagepoint 1",0.5,0.5]],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet1.png",667078,1807,1515,235,
228,1,0.2765957415103912,0.5,[["Imagepoint 1",0.8170212507247925,0.01754385977983475]],[-0.23829784989357,0.0175439715385437,2.682209014892578E-7,-0.3157889842987061,0.6255322694778442,-0.3815789818763733,0.706383228302002,-0.06578901410102844,0.6680852174758911,0.2938600182533264,2.682209014892578E-7,0.2675439715385437,-0.1957446336746216,-0.1929819881916046,-0.1744677424430847,-0.06578901410102844],0],["player-sheet0.png",519675,803,1758,400,250,1,0.5,0.5,[],[-0.1349999904632568,0.08399999141693115,
0,-0.2400000095367432,0.1000000238418579,0.1399999856948853,0.1274999976158142,0,0.1225000023841858,-0.1040000021457672,0,0.2960000038146973,-0.125,-0.09999999403953552,-0.09749999642372131,0],0]]],["sam_high_left_hack",30,!1,1,0,!1,65,[["player-sheet0.png",519675,1204,1758,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,
-0.08500000834465027,0],0],["player-sheet1.png",667078,1807,1744,235,228,1,0.7234042286872864,0.4912280738353729,[["Imagepoint 1",0.2638297975063324,0.03070175461471081]],[0.1744677424430847,-0.05701708793640137,0.1957447528839111,-0.1842100620269775,-2.384185791015625E-7,0.2763158977031708,-0.6680850982666016,0.3026319444179535,-0.7063830494880676,-0.05701708793640137,-0.6255318522453308,-0.3728070855140686,-2.384185791015625E-7,-0.3070170879364014,0.2382977604866028,0.02631589770317078],0],["player-sheet0.png",
519675,1605,1758,400,250,1,0.5,0.5,[],[0.09749996662139893,0,0.125,-0.09999999403953552,0,0.2960000038146973,-0.1225000023841858,-0.1040000021457672,-0.1274999976158142,0,-0.09999999403953552,0.1399999856948853,0,-0.2400000095367432,0.1349999904632568,0.08399999141693115],0]]],["sam_combo_high_hack",30,!1,1,0,!1,66,[["player-sheet1.png",667078,1,1,400,250,1,0.5,0.5,[["Imagepoint 1",0.5,0.5]],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,
0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet3.png",446853,1,221,321,223,1,0.514018714427948,0.5156950950622559,[["Imagepoint 1",0.1090342700481415,0.02242152392864227],["Imagepoint 2",0.9065420627593994,0.02690582908689976]],[-0.4859813153743744,-0.4080720841884613,-0.01557672023773193,-0.488789290189743,0.4704052805900574,-0.4304932951927185,0.4579442739486694,-0.0672650933265686,0.3738312721252441,
0.1569508910179138,-0.01557672023773193,0.2242149114608765,-0.4205608069896698,0.1793718934059143,-0.4984424114227295,-0.0672650933265686],0],["player-sheet1.png",667078,402,1,400,250,1,0.5,0.5,[],[-0.08000001311302185,0.171999990940094,0,-0.3880000114440918,0.08749997615814209,0.1600000262260437,0.1600000262260437,0,0.1700000166893005,-0.02799999713897705,0,0.2480000257492065,-0.1475000083446503,-0.06400001049041748],0]]],["sam_combo_mid_hack",30,!1,1,0,!1,67,[["player-sheet1.png",667078,803,1,400,
250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet4.png",393321,1,414,310,181,1,0.4645161330699921,0.4640884101390839,[["Imagepoint 1",0.09677419066429138,0.4861878454685211],["Imagepoint 2",0.8387096524238586,0.4917127192020416]],[-0.1741931438446045,0.01657459139823914,
-0.009677141904830933,-0.4475138187408447,0.1612898409366608,0.005524575710296631,0.1419358551502228,-0.1160224080085754,0.4193548858165741,0.2044195830821991,-0.009677141904830933,0.3038676083087921,-0.4258065223693848,0.1823205649852753,-0.1387101411819458,-0.1160224080085754],0],["player-sheet1.png",667078,1204,1,400,250,1,0.5,0.5,[],[-0.1299999952316284,0.09200000762939453,0,-0.2400000095367432,0.1325000524520874,0.08799999952316284,0.1174999475479126,0,0.2749999761581421,0.1399999856948853,0,
0.2919999957084656,-0.2724999785423279,0.1359999775886536,-0.09999999403953552,0],0]]],["sam_combo_low_hack",30,!1,1,0,!1,68,[["player-sheet1.png",667078,1605,1,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet3.png",446853,292,690,295,221,1,0.5220338702201843,0.529411792755127,
[["Imagepoint 1",0.08474576473236084,0.8325791954994202],["Imagepoint 2",0.9118643999099731,0.8280543088912964]],[-0.4067798852920532,-0.2669687867164612,-0.003389894962310791,-0.2669687867164612,0.3796611428260803,-0.2398187816143036,0.4542371034622192,-0.06787380576133728,0.4610171318054199,0.2126691937446594,-0.003389894962310791,0.3619912266731262,-0.5050846934318542,0.2624431848526001,-0.498305082321167,-0.06787380576133728],0],["player-sheet1.png",667078,1,252,400,250,1,0.5,0.5,[],[-0.06749999523162842,
0.1919999718666077,0,-0.1800000071525574,0.1225000023841858,0.1039999723434448,0.0625,0,0.1050000190734863,-0.1319999992847443,0,0.371999979019165,-0.1525000035762787,-0.0559999942779541,-0.1150000095367432,0],0]]],["sam_combo_low_left_high_right",30,!1,1,0,!1,69,[["player-sheet1.png",667078,402,252,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,
-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet3.png",446853,1,445,315,225,1,0.4730158746242523,0.6088888645172119,[["Imagepoint 1",0.8571428656578064,0.01333333365619183],["Imagepoint 2",0.1619047671556473,0.8799999952316284]],[0.4634921252727509,-0.1333328783512116,0.4857141077518463,0.1866671442985535,0.01904711127281189,0.3422221541404724,-0.4603173732757568,0.2044441103935242,-0.2063488662242889,-0.1333328783512116,-0.1746028661727905,-0.07111084461212158,0.01904711127281189,
-0.4266668558120728,0.482540100812912,-0.4488888680934906],0],["player-sheet1.png",667078,803,252,400,250,1,0.5,0.5,[],[0.08250004053115845,0,0.1274999976158142,-0.09599998593330383,0,0.3159999847412109,-0.1775000095367432,-0.01600000262260437,-0.175000011920929,0,-0.1550000011920929,0.05199998617172241,0,-0.2680000066757202,0.05500000715255737,0.2120000123977661],0]]],["sam_combo_low_right_high_left",30,!1,1,0,!1,70,[["player-sheet1.png",667078,1204,252,400,250,1,0.5,0.5,[],[-0.1175000071525574,
0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet3.png",446853,317,464,315,225,1,0.5428571701049805,0.5955555438995361,[["Imagepoint 1",0.1206349208950996,0.008888889104127884],["Imagepoint 2",0.8476190567016602,0.8711110949516296]],[-0.4984127581119537,-0.4355555474758148,-0.03492015600204468,-0.413333535194397,
0.1587298512458801,-0.0577775239944458,0.1904758214950562,-0.1199995577335358,0.4444448351860046,0.2177774310112,-0.03492015600204468,0.3555554747581482,-0.5015873908996582,0.2000004649162293,-0.4793650805950165,-0.1199995577335358],0],["player-sheet1.png",667078,1605,252,400,250,1,0.5,0.5,[],[-0.05500000715255737,0.2120000123977661,0,-0.2680000066757202,0.1549999713897705,0.05199998617172241,0.175000011920929,0,0.1774999499320984,-0.01600000262260437,0,0.3159999847412109,-0.1274999976158142,-0.09599998593330383,
-0.08250001072883606,0],0]]],["sam_combo_mid_right_high_left",30,!1,1,0,!1,71,[["player-sheet1.png",667078,1,503,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet4.png",393321,288,1,313,193,1,0.4632587730884552,0.5077720284461975,[["Imagepoint 1",0.9329073429107666,
0.5129533410072327],["Imagepoint 2",0.09584664553403854,-0.02590673603117466]],[-0.4472843706607819,-0.3471500277519226,-0.06709277629852295,-0.2953370213508606,0.2268372476100922,-0.207254022359848,0.2108622491359711,-0.1191710233688355,0.3482432067394257,0.1658029556274414,-0.06709277629852295,0.2590669989585877,-0.3993609547615051,0.03108799457550049,-0.4376996755599976,-0.1191710233688355],0],["player-sheet1.png",667078,402,503,400,250,1,0.5,0.5,[],[-0.07249999046325684,0.1840000152587891,0,-0.1399999856948853,
0.2300000190734863,-0.06799998879432678,0.2149999737739563,0,0.29749995470047,0.1759999990463257,0,0.2879999876022339,-0.09749999642372131,-0.1439999938011169,-0.06000000238418579,0],0]]],["sam_combo_mid_left_high_right",30,!1,1,0,!1,72,[["player-sheet1.png",667078,803,503,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,
-0.08500000834465027,0],0],["player-sheet4.png",393321,602,1,313,193,1,0.5463258624076843,0.5388600826263428,[["Imagepoint 1",0.07667731493711472,0.5336787700653076],["Imagepoint 2",0.884984016418457,-0.005181347019970417]],[0.4281151294708252,-0.1502590775489807,0.3897761106491089,-5.9604644775390625E-8,0.05750811100006104,0.2279789447784424,-0.3578278422355652,0.1347149014472961,-0.2204468548297882,-0.1502590775489807,-0.2364218533039093,-0.2383420765399933,0.05750811100006104,-0.3264250755310059,
0.4377001523971558,-0.3782380819320679],0],["player-sheet1.png",667078,1204,503,400,250,1,0.5,0.5,[],[0.06000000238418579,0,0.09749996662139893,-0.1439999938011169,0,0.2879999876022339,-0.2975000143051148,0.1759999990463257,-0.2150000035762787,0,-0.2299999892711639,-0.06799998879432678,0,-0.1399999856948853,0.07250005006790161,0.1840000152587891],0]]],["sam_combo_mid_right_low_left",30,!1,1,0,!1,73,[["player-sheet1.png",667078,1605,503,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,
0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet3.png",446853,332,1,298,242,1,0.4932885766029358,0.6859503984451294,[["Imagepoint 1",0.07718120515346527,0.8429751992225647],["Imagepoint 2",0.8959731459617615,0.5826446413993835]],[0.4865774512290955,-0.1735534071922302,0.006711423397064209,0.2479336261749268,-0.241610586643219,
-0.1776863932609558,-0.2348995804786682,-0.1735534071922302,-0.1845635771751404,-0.09917342662811279,0.006711423397064209,-0.6363636255264282,0.399329423904419,-0.3471074104309082],0],["player-sheet1.png",667078,1,754,400,250,1,0.5,0.5,[],[0.04250001907348633,0,0.2574999928474426,0.1119999885559082,0,0.328000009059906,-0.1850000023841858,-0.00400000810623169,-0.1775000095367432,0,-0.1425000131130219,0.07200002670288086,0,-0.2279999852180481,0.137499988079071,0.07999998331069946],0]]],["sam_combo_mid_left_low_right",
30,!1,1,0,!1,74,[["player-sheet1.png",667078,402,754,400,250,1,0.5,0.5,[],[-0.1175000071525574,0.1119999885559082,0,-0.3959999978542328,0.1225000023841858,0.1039999723434448,0.1050000190734863,0,0.09250003099441528,-0.1520000100135803,0,0.2760000228881836,-0.07249999046325684,-0.1839999854564667,-0.08500000834465027,0],0],["player-sheet3.png",446853,631,1,298,242,1,0.5503355860710144,0.6611570119857788,[["Imagepoint 1",0.07382550090551376,0.5495867729187012],["Imagepoint 2",0.9463087320327759,0.8636363744735718]],
[-0.442952573299408,-0.3223140239715576,-0.0503355860710144,-0.6115702390670776,0.1409394145011902,-0.07438004016876221,0.191275417804718,-0.1487600207328796,0.1979864239692688,-0.1528930068016052,-0.0503355860710144,0.2727270126342773,-0.5302013754844666,-0.1487600207328796],0],["player-sheet1.png",667078,803,754,400,250,1,0.5,0.5,[],[-0.137499988079071,0.07999998331069946,0,-0.2279999852180481,0.1425000429153442,0.07200002670288086,0.1774999499320984,0,0.1850000023841858,-0.00400000810623169,0,
0.328000009059906,-0.2574999928474426,0.1119999885559082,-0.04249998927116394,0],0]]]],[["Flash",cr.behaviors.Flash,41]],!1,!1,25,[],null],["t13",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,92,[["low_right-sheet0.png",156,0,0,256,256,1,0.51953125,0.50390625,[],[],1]]]],[],!1,!1,91,[],null],["t14",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,94,[["low_left-sheet0.png",156,0,0,256,256,1,0.4921875,0.515625,[],[],1]]]],[],!1,!1,93,[],null],["t15",cr.plugins_.Sprite,!1,[],0,
0,null,[["Default",5,!1,1,0,!1,96,[["mid_right-sheet0.png",156,0,0,256,256,1,0.5390625,0.4921875,[],[],1]]]],[],!1,!1,95,[],null],["t16",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,98,[["mid_left-sheet0.png",156,0,0,256,256,1,0.46875,0.5078125,[],[],1]]]],[],!1,!1,97,[],null],["t17",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,100,[["high_right-sheet0.png",156,0,0,256,256,1,0.49609375,0.4609375,[],[],1]]]],[],!1,!1,99,[],null],["t18",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,102,[["high_left-sheet0.png",156,0,0,256,256,1,0.50390625,0.48828125,[],[],1]]]],[],!1,!1,101,[],null],["t19",cr.plugins_.Sprite,!1,[104,105,106,107,108],1,0,null,[["walk",9,!0,1,0,!1,111,[["daugau1-sheet0.png",36512,302,211,120,210,1,0.5,0.5,[],[],0],["daugau1-sheet1.png",42770,302,212,109,211,1,0.5045871734619141,0.5023696422576904,[],[],0],["daugau1-sheet1.png",42770,302,1,113,210,1,0.5044247508049011,0.5,[],[-0.5044247508049011,-0.5,0.4955752491950989,-0.5,0.4955752491950989,0.4904760122299194,
-0.5044247508049011,0.4904760122299194],0],["daugau1-sheet1.png",42770,1,252,109,211,1,0.5045871734619141,0.5023696422576904,[],[],0]]],["atk",2,!0,1,0,!1,112,[["daugau1-sheet0.png",36512,1,1,300,250,1,0.5,0.5,[],[-0.06333300471305847,-0.492000013589859,0.2466670274734497,-0.492000013589859,0.2333329916000366,0.4480000138282776,-0.06000000238418579,0.4480000138282776],0],["daugau1-sheet0.png",36512,1,252,300,250,1,0.5,0.5,[["Imagepoint 1",0.2166666686534882,0.6159999966621399]],[-0.2033329904079437,
-0.4799999892711639,0.223334014415741,-0.4959999918937683,0.2466670274734497,0.4480000138282776,-0.2066670060157776,0.4480000138282776],0]]],["die",5,!1,1,0,!1,113,[["daugau1-sheet0.png",36512,302,1,131,209,1,0,0.459330141544342,[],[],0]]],["land",5,!1,1,0,!1,114,[["daugau1-sheet1.png",42770,111,424,219,74,1,0.4885844886302948,-0.6216216087341309,[],[-0.4885844886302948,0.6216216087341309,0.5114154815673828,0.6216216087341309,0.5114154815673828,1.324324607849121,-0.4885844886302948,1.33783769607544],
0]]],["docbao",5,!1,1,0,!1,115,[["daugau1-sheet1.png",42770,1,1,300,250,1,0.5,0.5,[],[-0.5,-0.5,0.5,-0.5,0.5,0.4480000138282776,-0.5,0.4480000138282776],0]]]],[["Bullet",cr.behaviors.Bullet,110]],!1,!1,103,[],null],["t20",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,118,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[["Solid",cr.behaviors.solid,117]],!1,!1,116,[],null],["t21",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,120,[["solid-sheet0.png",169,0,0,256,256,
1,0.5,0.5,[],[],3]]]],[],!1,!1,119,[],null],["t22",cr.plugins_.Sprite,!1,[],0,0,null,[["blood1",20,!1,1,0,!1,122,[["blood1-sheet0.png",24689,1,1,200,280,1,0.5,0.5,[],[-0.1450000107288361,-0.2464289963245392,0,-0.2607139945030212,0,-0.2428570091724396],0],["blood1-sheet0.png",24689,202,1,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",24689,403,1,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",24689,604,1,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",24689,805,1,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",
24689,1,282,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",24689,202,282,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",24689,403,282,200,280,1,0.5,0.5,[],[],0],["blood1-sheet0.png",24689,604,282,200,280,1,0.5,0.5,[],[],0]]]],[],!1,!1,121,[],null],["t23",cr.plugins_.Sprite,!1,[],0,0,null,[["blood3",10,!1,1,0,!1,124,[["blood3-sheet0.png",1536,1,1,80,80,1,0.5,0.5,[],[-0.07499998807907104,-0.07499998807907104,0,-0.112500011920929,0.03749996423721314,-0.03749999403953552,0.07499998807907104,0,0.125,
0.125,0,0.125,-0.0625,0.0625,-0.137499988079071,0],0],["blood3-sheet0.png",1536,82,1,80,80,1,0.5,0.5,[],[],0],["blood3-sheet0.png",1536,163,1,80,80,1,0.5,0.5,[],[],0],["blood3-sheet0.png",1536,1,82,80,80,1,0.5,0.5,[],[],0],["blood3-sheet0.png",1536,82,82,80,80,1,0.5,0.5,[],[],0]]]],[],!1,!1,123,[],null],["t24",cr.plugins_.Sprite,!1,[126],1,0,null,[["ngon",8,!1,1,0,!1,129,[["ngon-sheet0.png",6373,1,1,127,68,1,0.5039370059967041,0.5,[],[-0.2913390100002289,-0.1029410064220429,-0.007874011993408203,
-0.2941179871559143,0.2440940141677856,-0.02941200137138367,0.4330710172653198,0,-0.007874011993408203,0.3235290050506592,-0.3779529929161072,0.264706015586853,-0.3543310165405273,0],0],["ngon-sheet0.png",6373,1,70,127,68,1,0.5039370059967041,0.5,[],[],0],["ngon-sheet0.png",6373,1,139,127,68,1,0.5039370059967041,0.5,[],[],0],["ngon-sheet1.png",6093,1,1,127,68,1,0.5039370059967041,0.5,[],[],0],["ngon-sheet1.png",6093,1,70,127,68,1,0.5039370059967041,0.5,[],[],0],["ngon-sheet1.png",6093,1,139,127,68,
1,0.5039370059967041,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,15606]],!1,!1,125,[],null],["t25",cr.plugins_.Sprite,!1,[131,132,133,134,135],1,0,null,[["walk",10,!0,1,0,!1,138,[["dog-sheet0.png",11375,1,82,99,71,1,0.4848484992980957,0.4788732528686523,[],[],0],["dog-sheet0.png",11375,101,140,99,71,1,0.4848484992980957,0.4788732528686523,[],[],0]]],["atk",2,!0,1,0,!1,139,[["dog-sheet0.png",11375,122,70,104,69,1,0.567307710647583,0.4347825944423676,[],[],0],["dog-sheet0.png",11375,122,1,110,68,
1,0.4727272689342499,0.4264705777168274,[["Imagepoint 1",0.918181836605072,0.5735294222831726]],[],0]]],["die",5,!1,1,0,!1,140,[["dog-sheet0.png",11375,1,154,82,79,3,0.5,0.4936708807945252,[],[],0]]],["land",5,!1,1,0,!1,141,[["dog-sheet0.png",11375,1,1,120,80,1,0.5,0.5,[],[-0.5,-0.5,0.5,-0.5,0.5,0.3500000238418579,-0.5,0.3374999761581421],0]]],["ngu",5,!1,1,0,!1,142,[["dog-sheet1.png",1733,0,0,118,57,1,0.5254237055778503,0.2280701696872711,[],[0.330508291721344,0.1578948199748993,0.4237293004989624,
0.5789477825164795,-0.00847470760345459,0.7017548084259033,-0.4576271176338196,0.6140347719192505,-0.4322032928466797,0.1578948199748993,-0.3559316992759705,-0.0701751708984375,-0.00847470760345459,-0.140350878238678,0.2711862921714783,0.07017582654953003],0]]]],[["Bullet",cr.behaviors.Bullet,137]],!1,!1,130,[],null],["t26",cr.plugins_.Sprite,!1,[],0,0,null,[["blood2",15,!1,1,0,!1,144,[["blood2-sheet0.png",7395,1,1,120,190,1,0.5,0.5,[],[-0.1666670143604279,-0.2894740104675293,0,-0.3368420004844666,
0.125,-0.263157993555069,0,-0.1368420124053955],0],["blood2-sheet0.png",7395,122,1,120,190,1,0.5,0.5,[],[],0],["blood2-sheet0.png",7395,243,1,120,190,1,0.5,0.5,[],[],0],["blood2-sheet0.png",7395,364,1,120,190,1,0.5,0.5,[],[],0],["blood2-sheet0.png",7395,1,192,120,190,1,0.5,0.5,[],[],0],["blood2-sheet0.png",7395,122,192,120,190,1,0.5,0.5,[],[],0],["blood2-sheet0.png",7395,243,192,120,190,1,0.5,0.5,[],[],0],["blood2-sheet0.png",7395,364,192,120,190,1,0.5,0.5,[],[],0],["blood2-sheet1.png",130,0,0,120,
190,1,0.5,0.5,[],[],3]]]],[],!1,!1,143,[],null],["t27",cr.plugins_.Sprite,!1,[146],1,0,null,[["tuyet",8,!1,1,0,!1,149,[["tuyet-sheet0.png",16655,1,1,126,68,1,0.5079365372657776,0.5,[],[-0.2936505377292633,-0.1029410064220429,-0.007936537265777588,-0.3235290050506592,0.2539684772491455,-0.04411798715591431,0.4285714626312256,0,0.2777774333953857,0.08823502063751221,-0.007936537265777588,0.3235290050506592,-0.3809525370597839,0.264706015586853,-0.3650795221328735,0],0],["tuyet-sheet0.png",16655,128,
1,126,68,1,0.5079365372657776,0.5,[],[],0],["tuyet-sheet0.png",16655,1,70,126,68,1,0.5079365372657776,0.5,[],[],0],["tuyet-sheet0.png",16655,128,70,126,68,1,0.5079365372657776,0.5,[],[],0],["tuyet-sheet0.png",16655,1,139,126,68,1,0.5079365372657776,0.5,[],[],0],["tuyet-sheet0.png",16655,128,139,126,68,1,0.5079365372657776,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,15605]],!1,!1,145,[],null],["t28",cr.plugins_.Sprite,!1,[151,152,153],1,0,null,[["fly",20,!0,1,0,!1,155,[["bia-sheet0.png",37106,483,
1,26,80,1,0.5,0.5,[],[],0],["bia-sheet0.png",37106,393,337,66,66,1,0.5303030014038086,0.469696968793869,[],[],0],["bia-sheet0.png",37106,192,376,80,26,1,0.5,0.5,[],[],0],["bia-sheet0.png",37106,410,202,67,66,1,0.5373134613037109,0.5454545617103577,[],[],0],["bia-sheet0.png",37106,483,82,26,80,1,0.5,0.5,[],[],0],["bia-sheet0.png",37106,410,269,66,67,1,0.469696968793869,0.5373134613037109,[],[],0],["bia-sheet0.png",37106,192,348,80,27,1,0.5,0.5185185074806213,[],[],0],["bia-sheet0.png",37106,325,332,
67,66,1,0.4626865684986115,0.469696968793869,[],[],0]]],["break",15,!1,1,0,!1,156,[["bia-sheet0.png",37106,460,337,36,120,1,0.6666666865348816,0.449999988079071,[],[-0.5277776718139648,0.008332997560501099,2.980232238769531E-7,-0.1499999761581421,-0.1111106872558594,0.199999988079071,0.1666663289070129,0,2.980232238769531E-7,-0.1666669845581055,2.980232238769531E-7,0.5333330035209656,-0.4999997019767761,-0.01666697859764099,-0.4999997019767761,0],0],["bia-sheet0.png",37106,325,202,84,129,1,0.5952380895614624,
0.4496124088764191,[],[],0],["bia-sheet0.png",37106,192,202,132,145,1,0.6060606241226196,0.4896551668643951,[],[],0],["bia-sheet0.png",37106,1,202,190,194,1,0.5315789580345154,0.5567010045051575,[],[],0],["bia-sheet0.png",37106,1,1,240,200,1,0.5083333253860474,0.5299999713897705,[],[],0],["bia-sheet0.png",37106,242,1,240,200,1,0.5083333253860474,0.5299999713897705,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,154]],!1,!1,150,[],null],["t29",cr.plugins_.Sprite,!1,[158],1,0,null,[["tot",8,!1,1,0,!1,161,
[["tot-sheet0.png",6049,1,1,127,68,1,0.5039370059967041,0.5,[],[-0.2992129921913147,-0.1176469922065735,-0.007874011993408203,-0.3088240027427673,0.2519689798355103,-0.04411798715591431,0.4251970052719116,0,0.2755910158157349,0.08823502063751221,-0.007874011993408203,0.3235290050506592,-0.3779529929161072,0.264706015586853,-0.3622049987316132,0],0],["tot-sheet0.png",6049,1,70,127,68,1,0.5039370059967041,0.5,[],[],0],["tot-sheet0.png",6049,1,139,127,68,1,0.5039370059967041,0.5,[],[],0],["tot-sheet1.png",
5889,1,1,127,68,1,0.5039370059967041,0.5,[],[],0],["tot-sheet1.png",5889,1,70,127,68,1,0.5039370059967041,0.5,[],[],0],["tot-sheet1.png",5889,1,139,127,68,1,0.5039370059967041,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,15604]],!1,!1,157,[],null],["t30",cr.plugins_.Sprite,!1,[2375],1,0,null,[["fly",15,!0,1,0,!1,164,[["coigia-sheet1.png",22041,545,1,42,233,1,0.4523809552192688,0.497854083776474,[],[],0],["coigia-sheet0.png",66099,385,803,181,200,1,0.4475138187408447,0.4350000023841858,[],[],0],
["coigia-sheet0.png",66099,767,846,254,41,1,0.4921259880065918,0.2439024448394775,[],[],0],["coigia-sheet0.png",66099,567,803,199,181,1,0.5025125741958618,0.3977900445461273,[],[],0],["coigia-sheet1.png",22041,502,1,42,253,1,0.4523809552192688,0.4624505937099457,[],[],0],["coigia-sheet0.png",66099,203,803,181,201,1,0.530386745929718,0.4577114284038544,[],[],0],["coigia-sheet0.png",66099,767,803,255,42,1,0.4901960790157318,0.2380952388048172,[],[],0],["coigia-sheet0.png",66099,1,803,201,182,1,0.4776119291782379,
0.4835164844989777,[],[],0]]],["break",13,!1,1,0,!1,165,[["coigia-sheet0.png",66099,1,1,500,400,1,0.5,0.5,[],[],0],["coigia-sheet0.png",66099,502,1,500,400,1,0.5,0.5,[],[],0],["coigia-sheet0.png",66099,1,402,500,400,1,0.5,0.5,[],[],0],["coigia-sheet0.png",66099,502,402,500,400,1,0.5,0.5,[],[],0],["coigia-sheet1.png",22041,1,1,500,400,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,163]],!1,!1,162,[],null],["t31",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,167,[["phai-sheet0.png",
156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,166,[],null],["t32",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,169,[["trai-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,168,[],null],["t33",cr.plugins_.Sprite,!1,[171],1,0,null,[["vai",8,!1,1,0,!1,174,[["vai-sheet0.png",6156,1,1,127,68,1,0.5039370059967041,0.5,[],[-0.2992129921913147,-0.1176469922065735,-0.007874011993408203,-0.3088240027427673,0.2519689798355103,-0.04411798715591431,0.4251970052719116,0,-0.007874011993408203,
0.3235290050506592,-0.3779529929161072,0.264706015586853,-0.3622049987316132,0],0],["vai-sheet0.png",6156,1,70,127,68,1,0.5039370059967041,0.5,[],[],0],["vai-sheet0.png",6156,1,139,127,68,1,0.5039370059967041,0.5,[],[],0],["vai-sheet1.png",6179,1,1,127,68,1,0.5039370059967041,0.5,[],[],0],["vai-sheet1.png",6179,1,70,127,68,1,0.5039370059967041,0.5,[],[],0],["vai-sheet1.png",6179,1,139,127,68,1,0.5039370059967041,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,15603]],!1,!1,170,[],null],["t34",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,176,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,175,[],null],["t35",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,178,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,177,[],null],["t36",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,184,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,183,[],null],["t37",cr.plugins_.Sprite,!1,[],0,0,null,[["full",5,!1,1,0,!1,186,[["hp-sheet0.png",
9077,1,1,134,43,1,0.5,0.5116279125213623,[],[-0.4552238881587982,-0.3720929026603699,0,-0.4186046123504639,0.4626870155334473,-0.3953489065170288,0.4850749969482422,-0.02325591444969177,0.4626870155334473,0.3720930814743042,-0.4776118993759155,0.4186050891876221,-0.5,-0.02325591444969177],0]]],["full3",5,!1,1,0,!1,187,[["hp-sheet0.png",9077,1,45,134,43,1,0.5,0.5116279125213623,[],[-0.4552238881587982,-0.3720929026603699,0,-0.4186046123504639,0.3358209729194641,5.9604644775390625E-8,0.3358209729194641,
-0.02325591444969177,0.3358209729194641,-0.02325591444969177,0,0.3953490853309631,-0.4776118993759155,0.4186050891876221,-0.5,-0.02325591444969177],0]]],["full2",5,!1,1,0,!1,188,[["hp-sheet0.png",9077,1,89,134,43,1,0.5,0.5116279125213623,[],[-0.4552238881587982,-0.3720929026603699,0,-0.4186046123504639,0.1791049838066101,-0.02325591444969177,0,0.3953490853309631,-0.4776118993759155,0.4186050891876221,-0.5,-0.02325591444969177],0]]],["full1",5,!1,1,0,!1,189,[["hp-sheet0.png",9077,1,133,134,43,1,0.5,
0.5116279125213623,[],[-0.4552238881587982,-0.3720929026603699,0,-0.4186046123504639,0.02985101938247681,-0.02325591444969177,0,0.3953490853309631,-0.4776118993759155,0.4186050891876221,-0.5,-0.02325591444969177],0]]],["end",5,!1,1,0,!1,190,[["hp-sheet0.png",9077,1,177,134,43,1,0.5,0.5116279125213623,[],[-0.4552238881587982,-0.3720929026603699,-0.1417909860610962,-0.02325591444969177,-0.4776118993759155,0.4186050891876221,-0.5,-0.02325591444969177],0]]]],[],!1,!1,185,[],null],["t38",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,192,[["score-sheet0.png",1009,0,0,134,43,1,0.5,0.5116279125213623,[],[-0.4179103970527649,-0.2558139264583588,0,-0.4186046123504639,0.3805969953536987,-0.1395349204540253,0.3805969953536987,-0.02325591444969177,0.3731340169906616,0.09302306175231934,0,0.3953490853309631,-0.4179103970527649,0.2325580716133118,-0.4104478061199188,-0.02325591444969177],0]]]],[],!1,!1,191,[],null],["t39",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,194,[["trai-sheet0.png",
156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,193,[],null],["t40",cr.plugins_.Sprite,!1,[],2,0,null,[["scorespawn",5,!1,1,0,!1,198,[["scorespawn-sheet0.png",699,0,0,100,80,1,0.4699999988079071,0.550000011920929,[],[0.0300000011920929,-0.3250000178813934,0.1900000274181366,-0.125,0.4600000083446503,-0.05000001192092896,0.2800000011920929,0.1374999284744263,0.0300000011920929,0.2749999761581421,-0.2899999916553497,0.2249999642372131,-0.300000011920929,-0.05000001192092896],0]]]],[["Fade",cr.behaviors.Fade,
196],["Bullet",cr.behaviors.Bullet,197]],!1,!1,195,[],null],["t41",cr.plugins_.Text,!1,[200],1,0,null,null,[["Bullet",cr.behaviors.Bullet,15575]],!1,!1,199,[],null],["t42",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,203,[],null],["t43",cr.plugins_.Sprite,!1,[],0,0,null,[["fill",5,!1,1,0,!1,205,[["sprite3-sheet0.png",10531,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,
225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,113,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet0.png",10531,1,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,
337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,1,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet1.png",9052,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,225,111,
111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,337,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet1.png",9052,225,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,337,1,111,111,
1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,113,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0]]]],[],!1,!1,204,[],null],["t44",cr.plugins_.Sprite,!1,[207,208],0,0,null,[["fill",1,!1,1,0,!1,209,[["sprite3-sheet0.png",10531,113,1,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet0.png",10531,225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,113,
111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,337,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet0.png",10531,113,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,1,111,
111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,113,111,111,1,0.5045045018196106,0.5045045018196106,[],
[],0],["sprite3-sheet1.png",9052,1,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,337,111,
111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],
0],["sprite3-sheet2.png",4447,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0]]],["active",5,!1,1,0,!1,210,[["sprite3-sheet0.png",10531,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0]]],["fillnguoc",4,!1,1,0,!1,211,[["sprite3-sheet2.png",4447,225,113,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet2.png",4447,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet2.png",4447,1,1,111,111,
1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,225,111,111,1,0.5045045018196106,0.5045045018196106,[],
[],0],["sprite3-sheet1.png",9052,225,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,113,111,
111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet1.png",9052,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],
["sprite3-sheet0.png",10531,337,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,337,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,225,111,
111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,225,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,113,111,111,1,0.5045045018196106,0.5045045018196106,
[],[],0],["sprite3-sheet0.png",10531,1,113,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,337,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,225,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,113,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0],["sprite3-sheet0.png",10531,1,1,111,111,1,0.5045045018196106,0.5045045018196106,[],[],0]]]],[],!1,!1,206,[],null],["t45",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,213,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,212,[],null],["t46",cr.plugins_.Sprite,!1,[],0,0,null,[["ring",20,!1,1,0,!1,215,[["ring-sheet0.png",3997,1,1,150,150,1,0.5,0.5,[],[-0.1666670143604279,-0.1666670143604279,0.1733329892158508,-0.1733329892158508,0.1666669845581055,0.1666669845581055,-0.1666670143604279,0.1666669845581055],0],["ring-sheet0.png",3997,152,1,150,150,1,0.5,0.5,[],[],0],["ring-sheet0.png",3997,303,1,150,150,1,0.5,
0.5,[],[],0],["ring-sheet0.png",3997,1,152,150,150,1,0.5,0.5,[],[],0],["ring-sheet0.png",3997,152,152,150,150,1,0.5,0.5,[],[],0]]]],[],!1,!1,214,[],null],["t47",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,217,[["sprite4-sheet0.png",596533,0,0,838,490,1,0.5,0.5,[],[],0]]]],[],!1,!1,216,[],null],["t48",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,219,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,218,[],null],["t49",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,221,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,220,[],null],["t50",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,223,[["sprite5-sheet0.png",631417,0,0,838,490,1,0.5,0.5,[],[],0]]]],[],!1,!1,222,[],null],["t51",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,225,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,224,[],null],["t52",cr.plugins_.Sprite,!1,[2282],0,0,null,[["credit_1",5,!1,1,0,!1,227,[["score_credit-sheet0.png",
1237910,1,1,838,490,1,0.5,0.5,[],[],0]]],["option",5,!1,1,0,!1,0x7e766cd5e6d74,[["score_credit-sheet0.png",1237910,1,492,838,490,1,0.5,0.5,[],[],0]]],["score_1",5,!1,1,0,!1,2279,[["score_credit-sheet1.png",617778,0,0,838,490,1,0.5011933445930481,0.5,[],[],0]]]],[],!1,!1,226,[],null],["t53",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,229,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,228,[],null],["t54",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,231,
[["sprite7-sheet0.png",642212,0,0,838,490,1,0.5,0.5,[],[],0]]]],[],!1,!1,230,[],null],["t55",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,233,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,232,[],null],["t56",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,235,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,234,[],null],["t57",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,237,[["sprite8-sheet0.png",467074,0,0,838,490,1,0.5,
0.5,[],[],0]]]],[],!1,!1,236,[],null],["t58",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,239,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,238,[],null],["t59",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,241,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,240,[],null],["t60",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,243,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,242,[],null],["t61",cr.plugins_.TextBox,
!1,[],0,0,null,null,[],!1,!1,244,[],null],["t62",cr.plugins_.Text,!1,[246],0,0,null,null,[],!1,!1,245,[],null],["t63",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,247,[],null],["t64",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,249,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,248,[],null],["t65",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,250,[],null],["t66",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,252,[["solid-sheet0.png",169,0,0,256,256,1,
0.5,0.5,[],[],3]]]],[],!1,!1,251,[],null],["t67",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,254,[["sam_mask-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,253,[],null],["t68",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,256,[["sam_mask2-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,255,[],null],["t69",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2278,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,2277,[],null],
["t70",cr.plugins_.AJAX,!1,[],0,0,null,null,[],!1,!1,2288,[],null,[]],["t71",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2298,[["money_logo-sheet0.png",423,0,0,41,60,1,0.5121951103210449,0.5166666507720947,[],[-0.4634146094322205,-0.4833333492279053,-0.02439010143280029,-0.4999999403953552,0.4390239119529724,-0.4833333492279053,0.4390239119529724,-0.01666665077209473,0.3414638638496399,0.3833333253860474,-0.414634108543396,0.4166663289070129,-0.4634146094322205,-0.01666665077209473],
0]]]],[],!1,!1,2297,[],null],["t72",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,2299,[],null],["t73",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,2301,[],null],["t74",cr.plugins_.Sprite,!1,[2319],0,0,null,[["nopick",5,!1,1,0,!1,2305,[["bruce_store-sheet0.png",1746,0,0,100,80,1,0.5,0.5,[],[-0.25,-0.1875,0,-0.449999988079071,0.2799999713897705,-0.2249999940395355,0.199999988079071,0,0.3100000023841858,0.4374999403953552,-0.3299999833106995,0.4374999403953552,-0.1800000071525574,0],0]]],["equip",
5,!1,1,0,!1,13624,[["bruce_store-sheet2.png",4327,0,0,87,74,1,0.5057471394538879,0.4864864945411682,[],[-0.2873561382293701,-0.2027024924755096,-1.192092895507813E-7,-0.297297477722168,0.3908048868179321,-0.3243244886398315,0.4712648391723633,-5.066394805908203E-7,0.3908048868179321,0.3243244886398315,-0.4022991359233856,0.3378375172615051,-0.459770143032074,-5.066394805908203E-7],0]]],["pick",5,!1,1,0,!1,2310,[["bruce_store-sheet1.png",1738,0,0,100,80,1,0.5,0.5,[],[-0.25,-0.1875,0,-0.262499988079071,
0.2799999713897705,-0.2249999940395355,0.199999988079071,0,0.3399999737739563,0.300000011920929,-0.3299999833106995,0.2874999642372131,-0.1800000071525574,0],0]]]],[],!1,!1,2304,[],null],["t75",cr.plugins_.Sprite,!1,[2321],0,0,null,[["nopick",5,!1,1,0,!1,2307,[["samurai_store-sheet0.png",4347,0,0,80,110,1,0.5,0.5,[],[-0.4000000059604645,-0.4272727072238922,0,-0.2636359930038452,0.3999999761581421,-0.4272727072238922,0.425000011920929,0,0.2749999761581421,0.3363639712333679,0,0.4181820154190064,-0.237500011920929,
0.3090909719467163,-0.4375,0],0]]],["pick",5,!1,1,0,!1,2311,[["samurai_store-sheet1.png",4261,0,0,80,110,1,0.5,0.5,[],[-0.4000000059604645,-0.4272727072238922,0,-0.2636359930038452,0.3999999761581421,-0.4272727072238922,0.425000011920929,0,0.2749999761581421,0.3363639712333679,0,0.2545449733734131,-0.237500011920929,0.3090909719467163,-0.4375,0],0]]],["equip",5,!1,1,0,!1,13625,[["samurai_store-sheet2.png",5999,0,0,88,100,1,0.5,0.5099999904632568,[],[-0.3181819915771484,-0.3799999952316284,0,-0.2899999916553497,
0.3409090042114258,-0.3999999761581421,0.4659090042114258,0,0.25,0.3199999928474426,0,0.2800000309944153,-0.2386359870433807,0.3100000023841858,-0.4204545021057129,0],0]]]],[],!1,!1,2306,[],null],["t76",cr.plugins_.Sprite,!1,[2322],0,0,null,[["nopick",5,!1,1,0,!1,2309,[["gladiator_store-sheet0.png",5216,0,0,110,80,1,0.5,0.5,[],[-0.4090909063816071,-0.375,0,-0.2750000059604645,0.4181820154190064,-0.387499988079071,0.354544997215271,0.02499997615814209,0.3454539775848389,0.4374999403953552,0,0.375,
-0.3636360168457031,0.375],0]]],["pick",5,!1,1,0,!1,2312,[["gladiator_store-sheet1.png",5175,0,0,110,80,1,0.5,0.5,[],[-0.4090909063816071,-0.375,0,-0.2750000059604645,0.4181820154190064,-0.387499988079071,0.3090909719467163,0,0.199999988079071,0.08749997615814209,0,0.375,-0.2363640069961548,0],0]]],["equip",5,!1,1,0,!1,13626,[["gladiator_store-sheet2.png",6450,0,0,107,82,1,0.4859813153743744,0.5,[],[-0.4205607175827026,-0.3658539950847626,-3.278255462646484E-7,-0.2682929933071137,0.4299066960811615,
-0.3780490159988403,0.3644857108592987,0,0.2336446940898895,0.1219509840011597,-3.278255462646484E-7,0.365854024887085,-0.3644863069057465,0.2926830053329468,-0.3177573084831238,0],0]]]],[],!1,!1,2308,[],null],["t77",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,2313,[],null],["t78",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,2331,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,
0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,2329,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,2330,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,
0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,2328,[],null],["t79",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2348,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3444440066814423,-0.03333300352096558,0,-0.3499999940395355,0.3333330154418945,0,0.3333330154418945,0,0,0.3833330273628235,-0.3444440066814423,
0.03333300352096558],0]]]],[],!1,!1,2347,[],null],["t80",cr.plugins_.Sprite,!1,[2363],0,0,null,[["unactive",5,!1,1,0,!1,2356,[["skill-sheet0.png",26058,1,1,76,76,1,0.5,0.5,[],[],0]]],["active",5,!1,1,0,!1,2357,[["skill-sheet0.png",26058,78,1,76,76,1,0.5,0.5,[],[],0]]],["bomb_active",5,!1,1,0,!1,2371,[["skill-sheet0.png",26058,155,1,76,76,1,0.5,0.5,[],[],0]]],["bomb_unactive",5,!1,1,0,!1,2372,[["skill-sheet0.png",26058,1,78,76,76,1,0.5,0.5,[],[],0]]],["battu_active",5,!1,1,0,!1,2388,[["skill-sheet0.png",
26058,78,78,76,76,1,0.5,0.5,[],[],0]]],["battu_unactive",5,!1,1,0,!1,2389,[["skill-sheet0.png",26058,155,78,76,76,1,0.5,0.5,[],[],0]]]],[],!1,!1,2355,[],null],["t81",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,2358,[],null],["t82",cr.plugins_.Sprite,!1,[],0,0,null,[["money_add",5,!1,1,0,!1,2399,[["bonus-sheet0.png",12791,1,1,76,76,1,0.5,0.5,[],[-0.3026320040225983,-0.3026320040225983,0.3157889842987061,-0.3157889842987061,0.4473680257797241,0,0.4210529923439026,0.4210529923439026,0,0.4868419766426086,
-0.4210526049137116,0.4210529923439026,-0.4868420958518982,0],0]]],["skilltime_add",5,!1,1,0,!1,2393,[["bonus-sheet0.png",12791,78,1,76,76,1,0.5,0.5,[],[-0.3684210181236267,-0.3684210181236267,0,-0.3552629947662354,0.434211015701294,-0.4342105090618134,0.4605259895324707,0,0.4605259895324707,0.4605259895324707,0,0.4736840128898621,-0.3026320040225983,0.3026319742202759,-0.3815789818763733,0],0]]],["hp_add",5,!1,1,0,!1,2405,[["bonus-sheet0.png",12791,155,1,76,76,1,0.5,0.5,[],[-0.2894740104675293,-0.2894740104675293,
0,-0.4342105090618134,0.2763159871101379,-0.2763159871101379,0.434211015701294,0,0.2631580233573914,0.2631580233573914,0,0.4868419766426086,-0.1578949987888336,0.157895028591156,-0.3552629947662354,0],0]]],["skillreload_add",5,!1,1,0,!1,2406,[["bonus-sheet0.png",12791,1,78,76,76,1,0.5,0.5,[],[-0.4473683834075928,-0.4473683834075928,0,-0.4605262875556946,0.342104971408844,-0.3421050012111664,0.4605259895324707,0,0.342104971408844,0.342104971408844,0,0.4736840128898621,-0.3552629947662354,0.3552629947662354,
-0.4210526049137116,0],0]]]],[],!1,!1,2392,[],null],["t83",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2415,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,2414,[],null],["t84",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2417,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,2416,[],null],["t85",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2419,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,2418,[],
null],["t86",cr.plugins_.Sprite,!1,[2439],0,0,null,[["nopick",5,!1,1,0,!1,2429,[["skill-sheet0.png",26058,78,1,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2428,[["slowtime_store-sheet1.png",2663,0,0,76,76,1,0.5,0.5,[],[],0]]],["equip",5,!1,1,0,!1,13631,[["slowtime_store-sheet0.png",5156,0,0,87,76,1,0.5057471394538879,0.5,[],[-0.367816150188446,-0.2236840128898621,-1.192092895507813E-7,-0.4473683834075928,0.3908048868179321,-0.25,0.4712648391723633,0,0.3563218712806702,0.2105259895324707,-1.192092895507813E-7,
0.2763159871101379,-0.4252873361110687,0.2894740104675293,-0.436781644821167,0],0]]]],[],!1,!1,2427,[],null],["t87",cr.plugins_.Sprite,!1,[2441],0,0,null,[["nopick",5,!1,1,0,!1,2432,[["bomb_store-sheet1.png",4015,0,0,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2431,[["bomb_store-sheet2.png",3759,0,0,76,76,1,0.5,0.5,[],[],0]]],["equip",5,!1,1,0,!1,13632,[["bomb_store-sheet0.png",7838,0,0,87,76,1,0.5057471394538879,0.5131579041481018,[],[-0.2988501191139221,-0.1447369158267975,-1.192092895507813E-7,
-0.4078949093818665,0.3908048868179321,-0.2499999105930328,0.4712648391723633,1.192092895507813E-7,0.3218388557434082,0.1710531115531921,-1.192092895507813E-7,0.4078950881958008,-0.4252873361110687,0.2894740700721741,-0.4022991359233856,1.192092895507813E-7],0]]]],[],!1,!1,2430,[],null],["t88",cr.plugins_.Sprite,!1,[2440],0,0,null,[["nopick",5,!1,1,0,!1,2434,[["battu_store-sheet1.png",2675,0,0,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2435,[["battu_store-sheet2.png",2692,0,0,76,76,1,0.5,0.5,
[],[],0]]],["equip",5,!1,1,0,!1,13633,[["battu_store-sheet0.png",5206,0,0,87,78,1,0.5057471394538879,0.5256410241127014,[],[-1.192092895507813E-7,-0.5,0.3908048868179321,-0.3076920211315155,0.4712648391723633,0,0.2873558402061462,0.1923079490661621,-1.192092895507813E-7,0.4615379571914673,-0.4022991359233856,0.3205129504203796,-0.459770143032074,0],0]]]],[],!1,!1,2433,[],null],["t89",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2449,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,
0.5,[],[-0.3444440066814423,-0.03333300352096558,0,-0.3499999940395355,0.3333330154418945,0,0.3333330154418945,0,0,0.3833330273628235,-0.3444440066814423,0.03333300352096558],0]]]],[],!1,!1,2448,[],null],["t90",cr.plugins_.Sprite,!1,[2472],0,0,null,[["nopick",5,!1,1,0,!1,2456,[["skilltime_add_store-sheet1.png",4032,0,0,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2457,[["skilltime_add_store-sheet2.png",3325,0,0,76,76,1,0.5,0.5,[],[],0]]],["equip",5,!1,1,0,!1,13627,[["skilltime_add_store-sheet0.png",
5448,0,0,87,75,1,0.5057471394538879,0.5333333611488342,[],[-0.3908041417598724,-0.3200003504753113,-1.192092895507813E-7,-0.4133333563804627,0.4137928485870361,-0.3466663658618927,0.4712648391723633,-3.576278686523438E-7,0.3218388557434082,0.2399996519088745,-1.192092895507813E-7,0.4399996399879456,-0.4022991359233856,0.3333336114883423,-0.459770143032074,-3.576278686523438E-7],0]]]],[],!1,!1,2455,[],null],["t91",cr.plugins_.Sprite,!1,[2473],0,0,null,[["nopick",5,!1,1,0,!1,2459,[["money_add_store-sheet1.png",
1981,0,0,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2460,[["money_add_store-sheet2.png",1938,0,0,76,76,1,0.5,0.5,[],[],0]]],["equip",5,!1,1,0,!1,13628,[["money_add_store-sheet0.png",4218,0,0,87,76,1,0.5057471394538879,0.5263158082962036,[],[-0.3793101310729981,-0.3026317954063416,-1.192092895507813E-7,-0.3289478123188019,0.3908048868179321,-0.3157898187637329,0.4712648391723633,1.788139343261719E-7,0.4367818832397461,0.368421196937561,-1.192092895507813E-7,0.460526168346405,-0.4022991359233856,
0.3289471864700317,-0.459770143032074,1.788139343261719E-7],0]]]],[],!1,!1,2458,[],null],["t92",cr.plugins_.Sprite,!1,[2474],0,0,null,[["nopick",5,!1,1,0,!1,2462,[["hp_add_store-sheet1.png",1760,0,0,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2463,[["hp_add_store-sheet2.png",1699,0,0,76,76,1,0.5,0.5,[],[],0]]],["equip",5,!1,1,0,!1,13629,[["hp_add_store-sheet0.png",4379,0,0,87,75,1,0.5057471394538879,0.5199999809265137,[],[-0.3793101310729981,-0.3066669702529907,-1.192092895507813E-7,-0.413332998752594,
0.3908048868179321,-0.3199999928474426,0.4712648391723633,0,0.2413788437843323,0.1466670036315918,-1.192092895507813E-7,0.4533330202102661,-0.4022991359233856,0.3333330154418945,-0.459770143032074,0],0]]]],[],!1,!1,2461,[],null],["t93",cr.plugins_.Sprite,!1,[2471],0,0,null,[["nopick",5,!1,1,0,!1,2465,[["skillreload_add_store-sheet1.png",3592,0,0,76,76,1,0.5,0.5,[],[],0]]],["pick",5,!1,1,0,!1,2466,[["skillreload_add_store-sheet2.png",3458,0,0,76,76,1,0.5,0.5,[],[],0]]],["equip",5,!1,1,0,!1,13630,[["skillreload_add_store-sheet0.png",
4737,0,0,87,75,1,0.5057471394538879,0.5199999809265137,[],[-0.41379314661026,-0.3466669917106628,-1.192092895507813E-7,-0.4933332800865173,0.3908048868179321,-0.3199999928474426,0.4712648391723633,0,0.3333328366279602,0.2533330321311951,-1.192092895507813E-7,0.4533330202102661,-0.4022991359233856,0.3333330154418945,-0.459770143032074,0],0]]]],[],!1,!1,2464,[],null],["t94",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2476,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3444440066814423,
-0.03333300352096558,0,-0.3499999940395355,0.3333330154418945,0,0.3333330154418945,0,0,0.3833330273628235,-0.3444440066814423,0.03333300352096558],0]]]],[],!1,!1,2475,[],null],["t95",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2660,[["halong-sheet0.png",471144,0,0,916,646,1,0.5,0.5,[],[],0]]]],[],!1,!1,2659,[],null],["t96",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2662,[["saigon-sheet0.png",858604,0,0,916,646,1,0.5,0.5,[],[],0]]]],[],!1,!1,2661,[],null],["t97",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,2664,[["nhatban-sheet0.png",520859,0,0,916,646,1,0.5,0.5,[],[],1]]]],[],!1,!1,2663,[],null],["t98",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,2666,[["lama-sheet0.png",767359,0,0,916,646,1,0.5,0.5,[],[],0]]]],[],!1,!1,2665,[],null],["t99",cr.plugins_.Sprite,!1,[2896,2897,2898,2899,2900],1,0,null,[["walk",9,!0,1,0,!1,2880,[["hl_daugau1-sheet0.png",58103,1,213,138,196,1,0.47826087474823,0.4897959232330322,[],[],0],["hl_daugau1-sheet0.png",58103,182,
182,137,200,1,0.474452555179596,0.4950000047683716,[],[],0],["hl_daugau1-sheet1.png",24781,1,1,138,194,1,0.47826087474823,0.4948453605175018,[],[],0],["hl_daugau1-sheet0.png",58103,320,182,137,200,1,0.474452555179596,0.4950000047683716,[],[],0]]],["atk",2,!0,1,0,!1,2881,[["hl_daugau1-sheet1.png",24781,140,1,125,193,1,0.3440000116825104,0.4766839444637299,[],[-0.3440000116825104,-0.4766839444637299,0.656000018119812,-0.4766839444637299,0.656000018119812,0.5129530429840088,-0.3440000116825104,0.5129530429840088],
0],["hl_daugau1-sheet0.png",58103,182,1,206,180,1,0.6310679316520691,0.4388888776302338,[],[],0]]],["die",5,!1,1,0,!1,2882,[["hl_daugau1-sheet0.png",58103,1,1,180,211,1,0.4833333194255829,0.521327018737793,[],[],0]]],["land",5,!1,1,0,!1,2883,[["hl_daugau1-sheet0.png",58103,140,383,205,86,1,0.502439022064209,-0.2906976640224457,[],[-0.502439022064209,0.2906976640224457,0.497560977935791,0.2906976640224457,0.497560977935791,1.069767713546753,-0.502439022064209,1.058139681816101],0]]]],[["Bullet",cr.behaviors.Bullet,
2908]],!1,!1,2879,[],null],["t100",cr.plugins_.Sprite,!1,[2901,2902,2903,2904,2905],1,0,null,[["walk",10,!0,1,0,!1,2885,[["hl_ocbien-sheet1.png",15859,1,60,110,70,1,0.5,0.5,[],[],0],["hl_ocbien-sheet1.png",15859,147,1,108,72,1,0.5,0.5,[],[0.5,0.5,-0.5,0.5,-0.5,-0.5,0.5,-0.5],0]]],["atk",2,!0,1,0,!1,2886,[["hl_ocbien-sheet0.png",10519,1,1,200,120,1,0.5,0.5,[],[0.25,0.2250000238418579,0.2400000095367432,0.3583329916000366,-0.2649999856948853,0.3666669726371765,-0.2649999856948853,0.1083329916000366,
-0.2750000059604645,0,-0.2800000011920929,-0.1333329975605011,0,-0.175000011920929,0.25,-0.25],0],["hl_ocbien-sheet0.png",10519,1,122,200,120,1,0.5,0.5,[],[0.3600000143051148,-0.1500000059604645,0.3299999833106995,0.3416669964790344,0,0.3333330154418945,-0.2350000143051148,0.3583329916000366,-0.25,-0.08333298563957214,0,-0.1500000059604645,0.1949999928474426,-0.1416670083999634],0]]],["die",5,!1,1,0,!1,2887,[["hl_ocbien-sheet1.png",15859,112,74,87,87,1,0.6321839094161987,0.4827586114406586,[],[],
0]]],["land",5,!1,1,0,!1,2888,[["hl_ocbien-sheet1.png",15859,1,1,145,58,1,0.5034482479095459,0.5,[],[-0.5034482479095459,-0.5,0.4965517520904541,-0.5,0.4965517520904541,0.2931039929389954,-0.5034482479095459,0.3103449940681458],0]]]],[["Bullet",cr.behaviors.Bullet,2911]],!1,!1,2884,[],null],["t101",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",20,!0,1,0,!1,2890,[["moneo-sheet0.png",16340,129,202,65,85,1,0.4769230782985687,0.5058823823928833,[],[],0],["moneo-sheet0.png",16340,1,320,79,64,1,0.4683544337749481,
0.640625,[],[],0],["moneo-sheet0.png",16340,418,1,86,65,1,0.406976729631424,0.5230769515037537,[],[],0],["moneo-sheet0.png",16340,129,288,64,79,1,0.515625,0.5443037748336792,[],[],0],["moneo-sheet0.png",16340,399,255,65,85,1,0.4000000059604645,0.6000000238418579,[],[],0],["moneo-sheet0.png",16340,261,281,80,64,1,0.4375,0.5,[],[],0],["moneo-sheet0.png",16340,418,67,86,64,1,0.5,0.609375,[],[],0],["moneo-sheet0.png",16340,342,341,64,79,1,0.421875,0.4936708807945252,[],[],0]]],["break",15,!1,1,0,!1,2891,
[["moneo-sheet0.png",16340,195,281,65,81,1,0.4307692348957062,0.4691357910633087,[],[],0],["moneo-sheet0.png",16340,399,151,98,103,1,0.4795918464660645,0.485436886548996,[],[],0],["moneo-sheet0.png",16340,1,202,127,117,1,0.5118110179901123,0.4957264959812164,[],[],0],["moneo-sheet0.png",16340,252,151,146,129,1,0.5273972749710083,0.4961240291595459,[],[],0],["moneo-sheet0.png",16340,252,1,165,149,1,0.539393961429596,0.4899328947067261,[],[],0],["moneo-sheet0.png",16340,1,1,250,200,1,0.5,0.5,[],[],
0]]]],[["Bullet",cr.behaviors.Bullet,2907]],!1,!1,2889,[],null],["t102",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",20,!0,1,0,!1,2893,[["bua-sheet0.png",10405,202,64,52,62,1,0.4807692170143127,0.5,[],[],0],["bua-sheet0.png",10405,147,205,71,31,1,0.4507042169570923,0.6129032373428345,[],[],0],["bua-sheet0.png",10405,147,152,63,52,1,0.4285714328289032,0.4230769276618958,[],[],0],["bua-sheet1.png",8663,212,1,31,72,1,0.4516128897666931,0.4861111044883728,[],[],0],["bua-sheet0.png",10405,202,1,53,62,1,0.3396226465702057,
0.5,[],[],0],["bua-sheet1.png",8663,148,74,71,31,1,0.4225352108478546,0.3870967626571655,[],[],0],["bua-sheet1.png",8663,148,1,63,52,1,0.4285714328289032,0.5769230723381042,[],[],0],["bua-sheet0.png",10405,211,127,32,72,1,0.25,0.5138888955116272,[],[],0]]],["break",15,!1,1,0,!1,2894,[["bua-sheet1.png",8663,148,106,37,57,1,0.5135135054588318,0.4561403393745422,[],[],0],["bua-sheet0.png",10405,89,152,57,74,1,0.5964912176132202,0.472972959280014,[],[],0],["bua-sheet0.png",10405,1,152,87,90,1,0.5287356376647949,
0.5111111402511597,[],[],0],["bua-sheet1.png",8663,1,131,117,110,1,0.4957264959812164,0.5181818008422852,[],[],0],["bua-sheet1.png",8663,1,1,146,129,1,0.4863013625144959,0.5116279125213623,[],[],0],["bua-sheet0.png",10405,1,1,200,150,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,2906]],!1,!1,2892,[],null],["t103",cr.plugins_.Sprite,!1,[3527,3528,3529,3530,3531],1,0,null,[["walk",9,!0,1,0,!1,3521,[["daugausaigon-sheet1.png",8930,0,0,113,180,1,0.5575221180915833,0.4777777791023254,[],[],0],["daugausaigon-sheet0.png",
54125,328,169,113,181,1,0.5486725568771362,0.4806629717350006,[],[],0],["daugausaigon-sheet0.png",54125,1,174,113,181,1,0.5486725568771362,0.469613254070282,[],[],0],["daugausaigon-sheet0.png",54125,115,185,113,181,1,0.5486725568771362,0.4806629717350006,[],[],0]]],["atk",2,!0,1,0,!1,3522,[["daugausaigon-sheet0.png",54125,192,1,135,183,1,0.0962962955236435,0.4918032884597778,[],[],0],["daugausaigon-sheet0.png",54125,1,1,190,172,1,0.5473684072494507,0.4418604671955109,[],[],0]]],["die",5,!1,1,0,!1,
3523,[["daugausaigon-sheet0.png",54125,328,1,143,167,1,0.3006992936134338,0.443113774061203,[],[],0]]],["land",5,!1,1,0,!1,3524,[["daugausaigon-sheet0.png",54125,229,351,212,86,1,0.3962264060974121,-0.151162788271904,[],[-0.3962264060974121,0.151162788271904,0.6037735939025879,0.151162788271904,0.6037735939025879,1.023255825042725,-0.3962264060974121,1.011627793312073],0]]]],[["Bullet",cr.behaviors.Bullet,3526]],!1,!1,3520,[],null],["t104",cr.plugins_.Sprite,!1,[3798,3799,3800,3801,3802],1,0,null,
[["walk",8,!0,1,0,!1,3794,[["meo-sheet1.png",7650,1,160,157,68,1,0.5031847357749939,0.5,[],[0.4968152642250061,0.5,-0.5031847357749939,0.5,-0.5031847357749939,-0.5,0.4968152642250061,-0.5],0],["meo-sheet1.png",7650,1,89,158,70,1,0.5,0.5,[],[0.5,0.5,-0.5,0.5,-0.5,-0.5,0.5,-0.5],0]]],["atk",2,!0,1,0,!1,3795,[["meo-sheet1.png",7650,1,1,134,87,1,0.5,0.5057471394538879,[],[],0],["meo-sheet0.png",14945,1,102,173,71,1,0.5028901696205139,0.5070422291755676,[],[],0]]],["die",5,!1,1,0,!1,3796,[["meo-sheet0.png",
14945,1,1,143,100,1,0.503496527671814,0.5,[],[],0]]],["land",5,!1,1,0,!1,3797,[["meo-sheet0.png",14945,1,174,157,74,1,0.5031847357749939,0.0810810774564743,[],[-0.5031847357749939,-0.0810810774564743,0.4968152642250061,-0.0810810774564743,0.4968152642250061,0.6621618866920471,-0.5031847357749939,0.6756759285926819],0]]]],[["Bullet",cr.behaviors.Bullet,3804]],!1,!1,3793,[],null],["t105",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",15,!0,1,0,!1,3806,[["guocsg-sheet1.png",14601,142,191,70,64,1,0.4428571462631226,
0.546875,[],[],0],["guocsg-sheet1.png",14601,174,1,77,59,1,0.4285714328289032,0.2881355881690979,[],[],0],["guocsg-sheet1.png",14601,174,121,65,69,1,0.6000000238418579,0.4637681245803833,[],[],0],["guocsg-sheet0.png",10517,105,168,59,78,1,0.3559322059154511,0.4871794879436493,[],[],0],["guocsg-sheet2.png",6788,1,1,69,65,1,0.52173912525177,0.3076923191547394,[],[],0],["guocsg-sheet1.png",14601,174,61,77,59,1,0.5324675440788269,0.5423728823661804,[],[],0],["guocsg-sheet2.png",6788,71,1,65,69,1,0.3538461625576019,
0.3913043439388275,[],[],0],["guocsg-sheet0.png",10517,165,168,59,78,1,0.5932203531265259,0.3846153914928436,[],[],0]]],["break",15,!1,1,0,!1,3807,[["guocsg-sheet2.png",6788,137,1,60,65,1,0.3666666746139526,0.5384615659713745,[],[],0],["guocsg-sheet0.png",10517,1,168,103,75,1,0.485436886548996,0.4133333265781403,[],[],0],["guocsg-sheet1.png",14601,1,132,140,100,1,0.5214285850524902,0.4399999976158142,[],[],0],["guocsg-sheet1.png",14601,1,1,172,130,1,0.5348837375640869,0.4692307710647583,[],[],0],
["guocsg-sheet0.png",10517,1,1,206,166,1,0.5097087621688843,0.4879518151283264,[],[],0],["moneo-sheet0.png",16340,1,1,250,200,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,3829]],!1,!1,3805,[],null],["t106",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",13,!0,1,0,!1,3809,[["maysaysg-sheet0.png",9254,141,172,74,68,1,0.5135135054588318,0.4705882370471954,[],[],0],["maysaysg-sheet1.png",15378,173,136,76,65,1,0.5789473652839661,0.6615384817123413,[],[],0],["maysaysg-sheet0.png",9254,1,172,69,74,1,0.52173912525177,
0.472972959280014,[],[],0],["maysaysg-sheet2.png",8113,142,1,64,76,1,0.71875,0.4078947305679321,[],[],0],["maysaysg-sheet1.png",15378,173,1,74,68,1,0.5135135054588318,0.4705882370471954,[],[],0],["maysaysg-sheet1.png",15378,173,70,77,65,1,0.4545454680919647,0.2769230902194977,[],[],0],["maysaysg-sheet0.png",9254,71,172,69,74,1,0.52173912525177,0.472972959280014,[],[],0],["maysaysg-sheet1.png",15378,107,151,64,77,1,0.328125,0.5324675440788269,[],[],0]]],["break",13,!1,1,0,!1,3810,[["maysaysg-sheet2.png",
8113,142,78,68,64,1,0.5147058963775635,0.5,[],[],0],["maysaysg-sheet1.png",15378,1,151,105,94,1,0.4952380955219269,0.5,[],[],0],["maysaysg-sheet2.png",8113,1,1,140,123,1,0.4857142865657806,0.5121951103210449,[],[],0],["maysaysg-sheet1.png",15378,1,1,171,149,1,0.4795321524143219,0.5167785286903381,[],[],0],["maysaysg-sheet0.png",9254,1,1,201,170,1,0.482587069272995,0.5176470875740051,[],[],0],["moneo-sheet0.png",16340,1,1,250,200,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,3828]],!1,!1,3808,
[],null],["t107",cr.plugins_.Sprite,!1,[4809,4810,4811,4812,4813],1,0,null,[["walk",10,!0,1,0,!1,4805,[["nb_daugau1-sheet1.png",40935,200,1,198,181,1,0.5,0.5027624368667603,[],[],0],["nb_daugau1-sheet0.png",64448,235,189,199,187,1,0.5025125741958618,0.5026738047599792,[],[],0],["nb_daugau1-sheet1.png",40935,1,1,198,184,1,0.5,0.5,[],[],0],["nb_daugau1-sheet0.png",64448,1,206,199,187,1,0.5025125741958618,0.5026738047599792,[],[],0]]],["atk",2,!0,1,0,!1,4806,[["nb_daugau1-sheet1.png",40935,200,183,181,
186,1,0.5027624368667603,0.5,[],[],0],["nb_daugau1-sheet0.png",64448,1,1,233,204,1,0.5021459460258484,0.5,[],[],0]]],["die",5,!1,1,0,!1,4807,[["nb_daugau1-sheet0.png",64448,235,1,207,187,1,0.5024154782295227,0.5026738047599792,[],[],0]]],["land",5,!1,1,0,!1,4808,[["nb_daugau1-sheet0.png",64448,201,377,223,116,1,0.4843049347400665,-0.0517241396009922,[],[-0.4843049347400665,0.0517241396009922,0.5156950950622559,0.0517241396009922,0.5156950950622559,0.9741381406784058,-0.4843049347400665,0.9913791418075562],
0]]]],[["Bullet",cr.behaviors.Bullet,4815]],!1,!1,4804,[],null],["t108",cr.plugins_.Sprite,!1,[4821,4822,4823,4824,4825],1,0,null,[["walk",10,!0,1,0,!1,4817,[["nb_ran-sheet0.png",19770,186,1,54,69,1,0.5,0.5072463750839233,[],[],0],["nb_ran-sheet0.png",19770,1,89,52,69,1,0.5,0.5072463750839233,[],[],0],["nb_ran-sheet0.png",19770,54,108,50,70,1,0.5,0.5,[],[],0],["nb_ran-sheet0.png",19770,153,142,46,69,1,0.5,0.5072463750839233,[],[],0],["nb_ran-sheet0.png",19770,105,108,47,69,1,0.5106382966041565,0.5072463750839233,
[],[],0],["nb_ran-sheet0.png",19770,186,71,53,70,1,0.5094339847564697,0.5,[],[],0]]],["atk",2,!0,1,0,!1,4818,[["nb_ran-sheet0.png",19770,200,142,42,71,1,0.5,0.5070422291755676,[],[],0],["nb_ran-sheet0.png",19770,72,1,96,58,1,0.5,0.5,[],[],0]]],["die",5,!1,1,0,!1,4819,[["nb_ran-sheet0.png",19770,1,1,70,87,1,0.5,0.5057471394538879,[],[],0]]],["land",5,!1,1,0,!1,4820,[["nb_ran-sheet0.png",19770,72,60,113,47,1,0.4955752193927765,0,[],[-0.4955752193927765,0,0.5044248104095459,0,0.5044248104095459,0.7659569978713989,
-0.4955752193927765,0.7659569978713989],0]]]],[["Bullet",cr.behaviors.Bullet,4827]],!1,!1,4816,[],null],["t109",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",14,!0,1,0,!1,4829,[["tieu-sheet0.png",17716,352,102,95,82,1,0.4315789341926575,0.4878048896789551,[],[],0],["tieu-sheet0.png",17716,369,420,89,81,1,0.3707865178585053,0.2222222238779068,[],[],0],["tieu-sheet1.png",18845,176,1,82,95,1,0.4268292784690857,0.4947368502616882,[],[],0],["tieu-sheet1.png",18845,342,1,81,89,1,0.1604938209056854,0.550561785697937,
[],[],0],["tieu-sheet0.png",17716,274,420,94,82,1,0.436170220375061,0.4878048896789551,[],[],0],["tieu-sheet1.png",18845,342,91,89,80,1,0.483146071434021,0.762499988079071,[],[],0],["tieu-sheet1.png",18845,259,1,82,95,1,0.4268292784690857,0.4947368502616882,[],[],0],["tieu-sheet1.png",18845,424,1,81,89,1,0.6913580298423767,0.4382022619247437,[],[],0]]],["break",14,!1,1,0,!1,4830,[["tieu-sheet1.png",18845,176,97,87,80,1,0.5632184147834778,0.487500011920929,[],[],0],["tieu-sheet0.png",17716,352,1,128,
100,1,0.5390625,0.5,[],[],0],["tieu-sheet1.png",18845,1,1,174,125,1,0.4885057508945465,0.5040000081062317,[],[],0],["tieu-sheet0.png",17716,274,252,218,167,1,0.4724770784378052,0.514970064163208,[],[],0],["tieu-sheet0.png",17716,1,252,272,207,1,0.4889705777168274,0.5072463750839233,[],[],0],["tieu-sheet0.png",17716,1,1,350,250,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,4831]],!1,!1,4828,[],null],["t110",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",14,!0,1,0,!1,4833,[["dao-sheet0.png",23165,
172,271,108,20,1,0.5,0.5,[],[],0],["dao-sheet0.png",23165,403,232,80,78,1,0.487500011920929,0.5256410241127014,[],[],0],["dao-sheet0.png",23165,281,271,20,108,1,0.5,0.5,[],[],0],["dao-sheet0.png",23165,411,1,79,81,1,0.5316455960273743,0.5185185074806213,[],[],0],["dao-sheet0.png",23165,172,292,108,20,1,0.5,0.5,[],[],0],["dao-sheet0.png",23165,411,83,81,79,1,0.5185185074806213,0.4810126721858978,[],[],0],["dao-sheet0.png",23165,484,163,21,108,1,0.523809552192688,0.5,[],[],0],["dao-sheet0.png",23165,
323,232,79,80,1,0.4810126721858978,0.487500011920929,[],[],0]]],["break",13,!1,1,0,!1,4834,[["dao-sheet0.png",23165,1,305,98,21,1,0.4693877696990967,0.523809552192688,[],[],0],["dao-sheet0.png",23165,323,169,127,62,1,0.4803149700164795,0.5161290168762207,[],[],0],["dao-sheet0.png",23165,172,169,150,101,1,0.4866666793823242,0.5148515105247498,[],[],0],["dao-sheet0.png",23165,1,169,170,135,1,0.4882352948188782,0.5111111402511597,[],[],0],["dao-sheet0.png",23165,1,1,204,167,1,0.4950980246067047,0.514970064163208,
[],[],0],["dao-sheet0.png",23165,206,1,204,167,1,0.5,0.5029940009117126,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,4835]],!1,!1,4832,[],null],["t111",cr.plugins_.Sprite,!1,[4841,4842,4843,4844,4845],1,0,null,[["walk",7,!0,1,0,!1,4837,[["lm_daugau-sheet0.png",70154,301,182,149,177,1,0.5033556818962097,0.5028248429298401,[],[],0],["lm_daugau-sheet0.png",70154,348,1,149,180,1,0.5033556818962097,0.5,[],[],0],["lm_daugau-sheet0.png",70154,151,178,149,179,1,0.5033556818962097,0.5027933120727539,[],[],0],
["lm_daugau-sheet0.png",70154,1,170,149,180,1,0.5033556818962097,0.5,[],[],0]]],["atk",2,!0,1,0,!1,4838,[["lm_daugau-sheet0.png",70154,187,1,160,176,1,0.5,0.5,[],[],0],["lm_daugau-sheet0.png",70154,1,1,185,168,1,0.5027027130126953,0.5,[],[],0]]],["die",5,!1,1,0,!1,4839,[["lm_daugau-sheet0.png",70154,1,351,146,152,1,0.4794520437717438,0.3157894611358643,[],[-0.2602750658988953,-0.0855264663696289,-2.980232238769531E-8,-0.2499999701976776,0.3972599804401398,-0.2171052694320679,0.4931509792804718,-4.470348358154297E-7,
0.3904109299182892,0.2105265259742737,-2.980232238769531E-8,0.6381575465202332,-0.2465750426054001,0.07236853241920471,-0.2465750426054001,-4.470348358154297E-7],0]]],["land",5,!1,1,0,!1,4840,[["lm_daugau-sheet0.png",70154,148,360,189,103,1,0.5079365372657776,-0.06796116381883621,[],[-0.5079365372657776,0.06796116381883621,0.4920634627342224,0.06796116381883621,0.4920634627342224,0.9514561295509338,-0.5079365372657776,0.9514561295509338],0]]]],[["Bullet",cr.behaviors.Bullet,4847]],!1,!1,4836,[],null],
["t112",cr.plugins_.Sprite,!1,[5664,5665,5666,5667,5668],1,0,null,[["walk",8,!0,1,0,!1,4849,[["lm_linhcau-sheet0.png",15825,1,132,153,76,1,0.5032680034637451,0.5,[],[],0],["lm_linhcau-sheet1.png",14806,1,1,157,72,1,0.5031847357749939,0.5,[],[],0]]],["atk",2,!0,1,0,!1,4850,[["lm_linhcau-sheet0.png",15825,105,1,130,83,1,0.5,0.5060241222381592,[],[0.5,0.4939758777618408,-0.5,0.4939758777618408,-0.5,-0.5060241222381592,0.5,-0.5060241222381592],0],["lm_linhcau-sheet1.png",14806,1,74,155,72,1,0.5032258033752441,
0.5,[],[0.4967741966247559,0.5,-0.5032258033752441,0.5,-0.5032258033752441,-0.5,0.4967741966247559,-0.5],0]]],["die",5,!1,1,0,!1,4851,[["lm_linhcau-sheet0.png",15825,1,1,103,130,1,0.5048543810844421,0.5,[],[0.4951456189155579,0.5,-0.5048543810844421,0.5,-0.5048543810844421,-0.5,0.4951456189155579,-0.5],0]]],["land",5,!1,1,0,!1,4852,[["lm_linhcau-sheet1.png",14806,1,147,123,55,1,0.4959349632263184,0.1090909093618393,[],[0.5040650367736816,0.8909090757369995,-0.4959349632263184,0.8909090757369995,-0.4959349632263184,
-0.1090909093618393,0.5040650367736816,-0.1090909093618393],0]]]],[["Bullet",cr.behaviors.Bullet,5663]],!1,!1,4848,[],null],["t113",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",14,!0,1,0,!1,4854,[["riu-sheet1.png",5669,81,160,92,45,1,0.5,0.4000000059604645,[],[],0],["riu-sheet1.png",5669,170,81,72,78,1,0.5416666865348816,0.4230769276618958,[],[],0],["riu-sheet0.png",5929,208,1,45,92,1,0.4888888895511627,0.445652186870575,[],[],0],["riu-sheet0.png",5929,122,179,79,72,1,0.4810126721858978,0.3888888955116272,
[],[],0],["riu-sheet1.png",5669,81,206,92,45,1,0.489130437374115,0.4000000059604645,[],[],0],["riu-sheet1.png",5669,170,1,72,79,1,0.4444444477558136,0.4556961953639984,[],[],0],["riu-sheet0.png",5929,208,94,45,92,1,0.4888888895511627,0.45652174949646,[],[],0],["riu-sheet1.png",5669,1,155,79,71,1,0.5063291192054749,0.4788732528686523,[],[],0]]],["break",14,!1,1,0,!1,4855,[["riu-sheet2.png",2515,148,1,86,44,1,0.4883720874786377,0.5454545617103577,[],[],0],["riu-sheet0.png",5929,1,179,120,76,1,0.4916666746139526,
0.4868420958518982,[],[],0],["riu-sheet2.png",2515,1,1,146,118,1,0.5,0.4745762646198273,[],[],0],["riu-sheet1.png",5669,1,1,168,153,1,0.5178571343421936,0.4771241843700409,[],[],0],["riu-sheet0.png",5929,1,1,206,177,1,0.4951456189155579,0.4971751272678375,[],[],0],["moneo-sheet0.png",16340,1,1,250,200,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,4856]],!1,!1,4853,[],null],["t114",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",14,!0,1,0,!1,4858,[["trident-sheet0.png",9889,122,181,84,59,1,0.511904776096344,
0.508474588394165,[],[],0],["trident-sheet1.png",12283,130,185,64,62,1,0.515625,0.5161290168762207,[],[],0],["trident-sheet0.png",9889,195,1,60,84,1,0.5166666507720947,0.511904776096344,[],[],0],["trident-sheet1.png",12283,167,120,63,64,1,0.523809552192688,0.515625,[],[],0],["trident-sheet1.png",12283,167,1,84,59,1,0.511904776096344,0.508474588394165,[],[],0],["trident-sheet1.png",12283,1,152,64,63,1,0.515625,0.5079365372657776,[],[],0],["trident-sheet0.png",9889,195,86,60,84,1,0.5166666507720947,
0.511904776096344,[],[],0],["trident-sheet1.png",12283,66,152,63,63,1,0.5079365372657776,0.5079365372657776,[],[],0]]],["break",14,!1,1,0,!1,4859,[["trident-sheet1.png",12283,167,61,80,58,1,0.5,0.5517241358757019,[],[],0],["trident-sheet0.png",9889,1,181,120,68,1,0.4916666746139526,0.5,[],[],0],["trident-sheet2.png",1887,0,0,147,108,1,0.4897959232330322,0.5277777910232544,[],[],0],["trident-sheet1.png",12283,1,1,165,150,1,0.5030303001403809,0.5133333206176758,[],[],0],["trident-sheet0.png",9889,1,
1,193,179,1,0.5233160853385925,0.5027933120727539,[],[],0],["moneo-sheet0.png",16340,1,1,250,200,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,4860]],!1,!1,4857,[],null],["t115",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6441,[["store_touch-sheet0.png",6340,0,0,166,85,1,0.5,0.5058823823928833,[],[-0.4819276928901672,-0.4705882668495178,0,-0.4000003933906555,0.4698799848556519,-0.4470588862895966,0.4698799848556519,0.4352936148643494,0,0.3882356286048889,-0.4819276928901672,0.4588236212730408,
-0.4638553857803345,-0.01176437735557556],0]]]],[],!1,!1,6440,[],null],["t116",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6443,[["pause-sheet0.png",575,0,0,97,40,1,0.4432989656925201,0.4749999940395355,[],[-0.4020618796348572,-0.375,0.5154640674591064,-0.375,0.494845062494278,0.3750000298023224,0.05154603719711304,0.4500000178813934,-0.4020618796348572,0.4249999821186066],0]]]],[],!1,!1,6442,[],null],["t117",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6444,[],null],["t118",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,6446,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,6445,[],null],["t119",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6447,[],null],["t120",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6448,[],null],["t121",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6452,[],null],["t122",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6456,[["sprite12-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],4]]]],[],!1,!1,6455,[],null],["t123",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,6599,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,6598,[],null],["t124",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6920,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,6919,[],null],["t125",cr.plugins_.Sprite,!1,[9950,9951,9952,9953,9954],1,0,null,[["walk",9,!0,1,0,!1,9924,[["hn_daugau2-sheet0.png",64205,329,1,123,206,1,0.5040650367736816,0.5,[],[],0],["hn_daugau2-sheet0.png",64205,1,197,123,205,1,0.5040650367736816,
0.502439022064209,[],[],0],["hn_daugau2-sheet0.png",64205,249,208,123,200,1,0.5040650367736816,0.5,[],[],0],["hn_daugau2-sheet0.png",64205,125,202,123,205,1,0.5040650367736816,0.502439022064209,[],[],0]]],["atk",2,!0,1,0,!1,9925,[["hn_daugau2-sheet0.png",64205,197,1,131,200,1,0.5038167834281921,0.5,[],[],0],["hn_daugau2-sheet0.png",64205,373,208,136,178,1,0.5,0.5,[],[],0]]],["die",5,!1,1,0,!1,9926,[["hn_daugau2-sheet0.png",64205,1,1,195,195,1,0.4923076927661896,0.4205128252506256,[],[],0]]],["land",
5,!1,1,0,!1,9927,[["hn_daugau2-sheet0.png",64205,1,408,220,91,1,0.5090909004211426,-0.2527472674846649,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,9949]],!1,!1,9923,[],null],["t126",cr.plugins_.Sprite,!1,[9958,9959,9960,9961,9962],1,0,null,[["walk",9,!0,1,0,!1,9929,[["hl_daugau2-sheet1.png",10386,0,0,116,194,1,0.5,0.5,[],[],0],["hl_daugau2-sheet0.png",69193,1,175,116,196,1,0.5,0.5,[],[],0],["hl_daugau2-sheet0.png",69193,169,159,117,195,1,0.504273533821106,0.5025641322135925,[],[],0],["hl_daugau2-sheet0.png",
69193,287,202,116,196,1,0.5,0.5,[],[],0]]],["atk",2,!0,1,0,!1,9930,[["hl_daugau2-sheet0.png",69193,330,1,125,200,1,0.5040000081062317,0.5,[],[],0],["hl_daugau2-sheet0.png",69193,1,1,167,173,1,0.5029940009117126,0.5028901696205139,[],[],0]]],["die",5,!1,1,0,!1,9931,[["hl_daugau2-sheet0.png",69193,169,1,160,157,1,0.3687500059604645,0.3503184616565704,[],[],0]]],["land",5,!1,1,0,!1,9932,[["hl_daugau2-sheet0.png",69193,1,372,221,92,1,0.4977375566959381,-0.29347825050354,[],[-0.4977375566959381,0.29347825050354,
0.5022624731063843,0.29347825050354,0.5022624731063843,1.152174234390259,-0.4977375566959381,1.152174234390259],0]]]],[["Bullet",cr.behaviors.Bullet,9955]],!1,!1,9928,[],null],["t127",cr.plugins_.Sprite,!1,[9965,9966,9967,9968,9969],1,0,null,[["walk",9,!0,1,0,!1,9934,[["gau2_sg-sheet0.png",60322,118,318,116,186,1,0.5,0.5,[],[],0],["gau2_sg-sheet0.png",60322,386,1,116,187,1,0.5,0.5026738047599792,[],[],0],["gau2_sg-sheet0.png",60322,1,185,116,187,1,0.5,0.5026738047599792,[],[],0],["gau2_sg-sheet0.png",
60322,338,189,116,187,1,0.5,0.5026738047599792,[],[],0]]],["atk",2,!0,1,0,!1,9935,[["gau2_sg-sheet0.png",60322,1,1,200,183,1,0.5,0.5027322173118591,[],[],0],["gau2_sg-sheet0.png",60322,202,1,183,142,1,0.5027322173118591,0.5,[],[],0]]],["die",5,!1,1,0,!1,9936,[["gau2_sg-sheet0.png",60322,202,144,135,173,1,0.422222226858139,0.4046242833137512,[],[],0]]],["land",5,!1,1,0,!1,9937,[["gau2_sg-sheet0.png",60322,235,377,190,90,1,0.4842105209827423,-0.3111111223697662,[],[-0.4842105209827423,0.3111111223697662,
0.5157895088195801,0.3111111223697662,0.5157895088195801,1.211111068725586,-0.4842105209827423,1.211111068725586],0]]]],[["Bullet",cr.behaviors.Bullet,9964]],!1,!1,9933,[],null],["t128",cr.plugins_.Sprite,!1,[9970,9971,9972,9973,9974],1,0,null,[["walk",9,!0,1,0,!1,9939,[["bannhat2-sheet0.png",53741,313,206,155,198,1,0.5032258033752441,0.5,[],[],0],["bannhat2-sheet0.png",53741,1,194,155,200,1,0.5032258033752441,0.5,[],[],0],["bannhat2-sheet0.png",53741,157,206,155,200,1,0.5032258033752441,0.5,[],[],
0],["bannhat2-sheet0.png",53741,208,1,155,204,1,0.5032258033752441,0.5,[],[],0]]],["atk",2,!0,1,0,!1,9940,[["bannhat2-sheet0.png",53741,364,1,138,181,1,0.5,0.5027624368667603,[],[],0],["bannhat2-sheet0.png",53741,1,1,206,192,1,0.5,0.5,[],[],0]]],["die",5,!1,1,0,!1,9941,[["bannhat2-sheet1.png",5887,0,0,172,167,1,0.4709302186965942,0.299401193857193,[],[],0]]],["land",5,!1,1,0,!1,9942,[["bannhat2-sheet0.png",53741,313,405,197,81,1,0.4923857748508453,-0.4691357910633087,[],[-0.4923857748508453,0.4691357910633087,
0.507614254951477,0.4691357910633087,0.507614254951477,1.296296834945679,-0.4923857748508453,1.320987820625305],0]]]],[["Bullet",cr.behaviors.Bullet,9975]],!1,!1,9938,[],null],["t129",cr.plugins_.Sprite,!1,[9977,9978,9979,9980,9981],1,0,null,[["walk",9,!0,1,0,!1,9944,[["lama2-sheet0.png",57126,1,186,142,198,1,0.5,0.5,[],[],0],["lama2-sheet0.png",57126,359,1,141,202,1,0.5035461187362671,0.5,[],[],0],["lama2-sheet0.png",57126,325,204,141,197,1,0.5035461187362671,0.5025380849838257,[],[],0],["lama2-sheet0.png",
57126,183,173,141,200,1,0.5035461187362671,0.5,[],[],0]]],["atk",2,!0,1,0,!1,9945,[["lama2-sheet1.png",9174,0,0,118,200,1,0.5,0.5,[],[],0],["lama2-sheet0.png",57126,1,1,181,184,1,0.5027624368667603,0.5,[],[],0]]],["die",5,!1,1,0,!1,9946,[["lama2-sheet0.png",57126,183,1,175,171,1,0.3885714411735535,0.3684210479259491,[],[],0]]],["land",5,!1,1,0,!1,9947,[["lama2-sheet0.png",57126,1,385,215,104,1,0.5116279125213623,-0.1346153914928436,[],[-0.5116279125213623,0.1346153914928436,0.4883720874786377,0.1346153914928436,
0.4883720874786377,0.9807693958282471,-0.5116279125213623,1.000000357627869],0]]]],[["Bullet",cr.behaviors.Bullet,9983]],!1,!1,9943,[],null],["t130",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,10502,[["score_credit-sheet0.png",1237910,1,1,838,490,1,0.5,0.5,[],[],0]]]],[],!1,!1,10501,[],null],["t131",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,10504,[["hanoi_touch-sheet0.png",39257,0,0,168,108,1,0.5,0.5,[],[],1]]]],[],!1,!1,10503,[],null],["t132",cr.plugins_.Sprite,!1,[],
0,0,null,[["Default",5,!1,1,0,!1,10506,[["sprite12-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],4]]]],[],!1,!1,10505,[],null],["t133",cr.plugins_.Sprite,!1,[],0,0,null,[["unlock",5,!1,1,0,!1,13401,[["halong_touch-sheet0.png",28253,0,0,184,130,1,0.5,0.5,[],[-0.3858700096607208,-0.3384619951248169,0.3858699798583984,-0.3384619951248169,0.3913040161132813,0.3461539745330811,0,-0.1692309975624085,-0.3097829818725586,0.2307689785957336,-0.407608687877655,0],0]]],["unlocked",5,!1,1,0,!1,10508,[["halong_touch-sheet1.png",
52302,0,0,184,130,1,0.5,0.5,[],[],1]]]],[],!1,!1,10507,[],null],["t134",cr.plugins_.Sprite,!1,[],0,0,null,[["unlock",5,!1,1,0,!1,13402,[["saigon_touch-sheet0.png",30200,0,0,184,130,1,0.5,0.5,[],[-0.3858700096607208,-0.3384619951248169,0.3858699798583984,-0.3384619951248169,0.4076089859008789,0,0.4021739959716797,0.3615379929542542,0,-0.1692309975624085,-0.407608687877655,0.3692309856414795,-0.4293478131294251,0],0]]],["unlocked",5,!1,1,0,!1,10510,[["saigon_touch-sheet1.png",50890,0,0,184,130,1,0.5,
0.5,[],[],1]]]],[],!1,!1,10509,[],null],["t135",cr.plugins_.Sprite,!1,[],0,0,null,[["lock",5,!1,1,0,!1,4831035853821352,[["japan_touch-sheet0.png",26432,0,0,184,130,1,0.5,0.5,[],[-0.2608699798583984,-0.1615380048751831,0.2608699798583984,-0.1615380048751831,0.4673910140991211,0,0.2880430221557617,0.199999988079071,-0.2934780120849609,0.20769202709198,-0.4782609045505524,0],0]]],["unlock",5,!1,1,0,!1,13403,[["japan_touch-sheet1.png",25328,0,0,184,130,1,0.5,0.5,[],[-0.3858700096607208,-0.3384619951248169,
0.3858699798583984,-0.3384619951248169,0.4021739959716797,0,0.3967390060424805,0.35384601354599,0,-0.1692309975624085,-0.3967390060424805,0.35384601354599],0]]],["unlocked",5,!1,1,0,!1,10512,[["japan_touch-sheet2.png",49009,0,0,184,130,1,0.5,0.5,[],[],1]]]],[],!1,!1,10511,[],null],["t136",cr.plugins_.Sprite,!1,[],0,0,null,[["lock",5,!1,1,0,!1,9471756632239768,[["arenatouch-sheet0.png",30373,0,0,184,130,1,0.5,0.5,[],[-0.2608699798583984,-0.1615380048751831,0.2608699798583984,-0.1615380048751831,0.4673910140991211,
0,0.2880430221557617,0.199999988079071,-0.2934780120849609,0.20769202709198,-0.4782609045505524,0],0]]],["unlock",5,!1,1,0,!1,13404,[["arenatouch-sheet1.png",25524,0,0,184,130,1,0.5,0.5,[],[-0.3858700096607208,-0.3384619951248169,0.3858699798583984,-0.3384619951248169,0.4510869979858398,0,0.4076089859008789,0.3692309856414795,-0.407608687877655,0.3692309856414795,-0.467391312122345,0],0]]],["unlocked",5,!1,1,0,!1,10514,[["arenatouch-sheet2.png",50737,0,0,184,130,1,0.5,0.5,[],[],1]]]],[],!1,!1,10513,
[],null],["t137",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,10515,[],null],["t138",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,10517,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,10516,[],null],["t139",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,10518,[],null],["t140",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,10519,[],null],["t141",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,10520,[],null],["t142",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,10521,[],
null],["t143",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,11792,[],null],["t144",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,11829,[],null],["t145",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,11831,[["credit_text-sheet0.png",5471,0,0,800,480,1,0.5,0.5,[],[-0.2024999856948853,-0.004166990518569946,0,-0.2958329916000366,0.20250004529953,-0.004166990518569946,0.3025000095367432,0,0.2174999713897705,0.02916699647903442,0,0.1354169845581055,-0.2674999833106995,0.112500011920929,-0.3262500166893005,
0],0]]]],[],!1,!1,11830,[],null],["t146",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,11875,[],null],["t147",cr.plugins_.Sprite,!1,[],0,0,null,[["addhp",5,!1,1,0,!1,11885,[["infor_store-sheet0.png",10173,1,1,190,90,1,0.5,0.5,[],[-0.4631578922271729,-0.4222221970558167,0,-0.06666699051856995,0.2947369813919067,-0.06666699051856995,0.3894739747047424,0,0.2947369813919067,0.06666702032089233,0,0.06666702032089233,-0.263157993555069,0,-0.4894737005233765,0],0]]],["weaponactive",5,!1,1,0,!1,820757473653154,
[["infor_store-sheet0.png",10173,192,1,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0,-0.07777801156044006,0.300000011920929,-0.07777801156044006,0.3684210181236267,0,0.2789469957351685,0.03333300352096558,0,0.3444439768791199,-0.4473683834075928,0.3888890147209168,-0.4842104911804199,0],0]]],["bonusactive",5,!1,1,0,!1,8753804100219857,[["infor_store-sheet0.png",10173,1,92,190,90,1,0.5,0.5,[],[-0.4631578922271729,-0.4222221970558167,0,-0.4333333075046539,0.4210529923439026,-0.3333330154418945,
0.4473680257797241,0,0.2578949928283691,-0.01111099123954773,0,0.02222198247909546,-0.4473683834075928,0.3888890147209168,-0.4842104911804199,0],0]]],["bruce",5,!1,1,0,!1,11877,[["infor_store-sheet0.png",10173,192,92,190,90,1,0.5,0.5,[],[-0.4631578922271729,-0.4222221970558167,0,-0.4222221970558167,0.300000011920929,-0.07777801156044006,0.4052630066871643,0,0.2894740104675293,0.05555599927902222,0,0.3999999761581421,-0.4526315927505493,0.3999999761581421,-0.4842104911804199,0],0]]],["sam",5,!1,1,
0,!1,11878,[["infor_store-sheet0.png",10173,1,183,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0,-0.4333333075046539,0.2947369813919067,-0.06666699051856995,0.3999999761581421,0,0.2894740104675293,0.05555599927902222,0,0.3888890147209168,-0.4473683834075928,0.3888890147209168,-0.4842104911804199,0],0]]],["gla",5,!1,1,0,!1,11879,[["infor_store-sheet0.png",10173,192,183,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0.4684209823608398,-0.4333333075046539,0.4526320099830627,
0,0.2894740104675293,0.05555599927902222,0,-0.300000011920929,-0.2894740104675293,0.05555599927902222,-0.4842104911804199,0],0]]],["slow",5,!1,1,0,!1,11880,[["infor_store-sheet0.png",10173,1,274,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0,-0.07777801156044006,0.2789469957351685,-0.03333300352096558,0.2684209942817688,0,0.2842109799385071,0.04444402456283569,-0.2789469957351685,0.03333300352096558,-0.4842104911804199,0],0]]],["bomb",5,!1,1,0,!1,11881,[["infor_store-sheet0.png",10173,
192,274,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0,-0.4222221970558167,0.4210529923439026,-0.3333330154418945,0.2368419766426086,0,0.2842109799385071,0.04444402456283569,0,-0.3111110031604767,-0.2894740104675293,0.05555599927902222,-0.4631578922271729,0],0]]],["battu",5,!1,1,0,!1,11882,[["infor_store-sheet0.png",10173,1,365,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0,-0.4333333075046539,0.4473680257797241,-0.3888890147209168,0.1052629947662354,0,0.1210529804229736,
-0.300000011920929,0,0.05555599927902222,-0.2842109799385071,0.04444402456283569,-0.4842104911804199,0],0]]],["addtime",5,!1,1,0,!1,11883,[["infor_store-sheet0.png",10173,192,365,190,90,1,0.5,0.5,[],[-0.4631578922271729,-0.4222221970558167,0,-0.4333333075046539,0.2578949928283691,0.01111102104187012,0.2526320219039917,0,0.2842109799385071,0.04444402456283569,-0.2789469957351685,0.03333300352096558,-0.4736841917037964,0],0]]],["money",5,!1,1,0,!1,11884,[["infor_store-sheet1.png",13118,1,1,190,90,1,
0.5,0.5,[],[-0.4631578922271729,-0.4222221970558167,0,-0.4333333075046539,0.300000011920929,-0.07777801156044006,0.3947370052337647,0,0.2789469957351685,0.03333300352096558,0,0.05555599927902222,-0.2526320219039917,-0.02222201228141785,-0.4842104911804199,0],0]]],["cooldown",5,!1,1,0,!1,11886,[["infor_store-sheet1.png",13118,192,1,190,90,1,0.5,0.5,[],[-0.4684211015701294,-0.4333333075046539,0,-0.4222221970558167,0.3052629828453064,-0.08888900279998779,0.3263159990310669,0,0.2684209942817688,0.01111102104187012,
0,0.3999999761581421,-0.4526315927505493,0.3999999761581421,-0.4842104911804199,0],0]]],["skillactive",5,!1,1,0,!1,0x3d51eb7a44471,[["infor_store-sheet1.png",13118,1,92,190,90,1,0.5,0.5,[],[-0.4631578922271729,-0.4222221970558167,0,-0.4333333075046539,0.4578949809074402,-0.4111111164093018,0.3789470195770264,0,0.2894740104675293,0.05555599927902222,0,0.05555599927902222,-0.4368420839309692,0.3666669726371765,-0.4842104911804199,0],0]]],["weapon_viet",5,!1,1,0,!1,0xd095fce8e8fa9,[["infor_store-sheet1.png",
13118,192,92,190,90,1,0.5,0.5,[],[-0.4578947126865387,-0.4111111164093018,0.2842109799385071,-0.04444399476051331,0.4368420243263245,0,0.2842109799385071,0.04444402456283569,-0.4421052932739258,0.3777779936790466,-0.4842104911804199,0],0]]],["Bruce_viet",5,!1,1,0,!1,0x39c4243551a56,[["infor_store-sheet1.png",13118,1,183,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0,-0.04444399476051331,0.4105259776115418,-0.3111110031604767,0.4105259776115418,0,0,0.08888900279998779,-0.4368420839309692,
0.3666669726371765,-0.4842104911804199,0],0]]],["sam_viet",5,!1,1,0,!1,4635729095718801,[["infor_store-sheet1.png",13118,192,183,190,90,1,0.5,0.5,[],[-0.4368420839309692,-0.3666670024394989,0,-0.4333333075046539,0.4210529923439026,-0.3333330154418945,0.2947369813919067,0,0.2684209942817688,0.01111102104187012,0,0.3888890147209168,-0.4263157844543457,0.3444439768791199,-0.4842104911804199,0],0]]],["gla_viet",5,!1,1,0,!1,0x9c49c4051a038,[["infor_store-sheet1.png",13118,1,274,190,90,1,0.5,0.5,[],[-0.4473683834075928,
-0.3888890147209168,0,-0.04444399476051331,0.4473680257797241,-0.3888890147209168,0.4684209823608398,0,0.2894740104675293,0.05555599927902222,0,-0.02222201228141785,-0.4368420839309692,0.3666669726371765,-0.4842104911804199,0],0]]],["skill_viet",5,!1,1,0,!1,0x4e86836aad136,[["infor_store-sheet1.png",13118,192,274,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0,-0.4333333075046539,0.2789469957351685,-0.03333300352096558,0.4789469838142395,0,0.2789469957351685,0.03333300352096558,0,0.04444402456283569,
-0.4368420839309692,0.3666669726371765,-0.4842104911804199,0],0]]],["bonus_viet",5,!1,1,0,!1,8786289511835466,[["infor_store-sheet1.png",13118,1,365,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0,-0.04444399476051331,0.4578949809074402,-0.4111111164093018,0.342104971408844,0,0.2894740104675293,0.05555599927902222,0,0.05555599927902222,-0.4263157844543457,0.3444439768791199,-0.4894737005233765,0],0]]],["slow_viet",5,!1,1,0,!1,0x86109de043b17,[["infor_store-sheet1.png",13118,192,365,
190,90,1,0.5,0.5,[],[-0.4315789043903351,-0.3555560111999512,0,-0.3888890147209168,0.4526320099830627,-0.4000000059604645,0.4684209823608398,0,0.2578949928283691,-0.01111099123954773,0,-0.3333330154418945,-0.2894740104675293,0.05555599927902222,-0.4842104911804199,0],0]]],["bomb_viet",5,!1,1,0,!1,0xd3b8f550258d5,[["infor_store-sheet2.png",6534,1,1,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0,-0.4333333075046539,0.2578949928283691,0.01111102104187012,0.2578949928283691,0,0.2842109799385071,
0.04444402456283569,0,-0.03333300352096558,-0.2789469957351685,0.03333300352096558,-0.4842104911804199,0],0]]],["battu_viet",5,!1,1,0,!1,4866159653388702,[["infor_store-sheet2.png",6534,192,1,190,90,1,0.5,0.5,[],[-0.4526315927505493,-0.4000000059604645,0,-0.4111111164093018,0.3052629828453064,-0.08888900279998779,0.4105259776115418,0,0.2842109799385071,0.04444402456283569,0,-0.3888890147209168,-0.4315789043903351,0.3555560111999512,-0.4842104911804199,0],0]]],["addtime_viet",5,!1,1,0,!1,5373919320816334,
[["infor_store-sheet2.png",6534,1,92,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0.4421049952507019,-0.3777779936790466,0.3105260133743286,0,0.300000011920929,0.07777798175811768,0,-0.02222201228141785,-0.3052629828453064,0.08888900279998779,-0.4894737005233765,0],0]]],["money_viet",5,!1,1,0,!1,6367996166681032,[["infor_store-sheet2.png",6534,192,92,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0,-0.4111111164093018,0.2631580233573914,0,0.2631580233573914,0,0.2894740104675293,
0.05555599927902222,0,-0.300000011920929,-0.2842109799385071,0.04444402456283569,-0.4842104911804199,0],0]]],["addhp_viet",5,!1,1,0,!1,5975386558723996,[["infor_store-sheet2.png",6534,1,183,190,90,1,0.5,0.5,[],[-0.4157894849777222,-0.3222219944000244,0,-0.4000000059604645,0.2473679780960083,0.03333300352096558,0.2210530042648315,0,0.1263160109519959,-0.2888889908790588,0,0.08888900279998779,-0.2421050071716309,-0.04444399476051331,-0.4842104911804199,0],0]]],["reload_viet",5,!1,1,0,!1,9417416537316044,
[["infor_store-sheet2.png",6534,192,183,190,90,1,0.5,0.5,[],[-0.4736841917037964,-0.4444443881511688,0,-0.4000000059604645,0.2842109799385071,-0.04444399476051331,0.3157889842987061,0,0.4473680257797241,0.3888890147209168,0,0.05555599927902222,-0.4473683834075928,0.3888890147209168,-0.4894737005233765,0],0]]]],[],!1,!1,11876,[],null],["t148",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,13399,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,13398,[],null],["t149",cr.plugins_.Text,
!1,[],0,0,null,null,[],!1,!1,13400,[],null],["t150",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,13509,[["sam_mask-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,13508,[],null],["t151",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13844,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,
-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13845,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13846,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,
-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13843,[],null],["t152",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13848,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,
13849,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13850,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,
0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13847,[],null],["t153",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13852,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13853,[["trade_bruce-sheet0.png",1752,1,
62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13854,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,
-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13851,[],null],["t154",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13856,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13857,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,
0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13858,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],
0]]]],[],!1,!1,13855,[],null],["t155",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13860,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13861,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,
0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13862,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13859,[],null],["t156",
cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13864,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13865,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,
0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13866,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13863,[],null],["t157",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",
5,!1,1,0,!1,13868,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13869,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,
-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13870,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13867,[],null],["t158",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13872,[["trade_bruce-sheet0.png",1752,
1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13873,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,
-0.300000011920929],0]]],["equip",5,!1,1,0,!1,13874,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13871,[],null],["t159",cr.plugins_.Sprite,!1,[],0,0,null,[["unequip",5,!1,1,0,!1,13876,[["trade_bruce-sheet0.png",1752,1,1,180,60,1,0.5,0.5,[],[-0.449999988079071,
-0.3499999940395355,0.4555559754371643,-0.3666670024394989,0.4944440126419067,0,0.4611110091209412,0.3833330273628235,-0.4555555880069733,0.3666669726371765,-0.4888888895511627,0],0]]],["buy",5,!1,1,0,!1,13877,[["trade_bruce-sheet0.png",1752,1,62,180,60,1,0.5,0.5,[],[-0.2444440126419067,0.2666670083999634,0,0.3500000238418579,0.2222219705581665,0.3333330154418945,0.2277780175209045,-0.3166670203208923,0.01111102104187012,-0.2666670083999634,-0.2333329916000366,-0.300000011920929],0]]],["equip",5,
!1,1,0,!1,13878,[["trade_bruce-sheet0.png",1752,1,123,180,60,1,0.5,0.5,[],[-0.3499999940395355,0.3500000238418579,-0.3222219944000244,-0.3833329975605011,0.3222219944000244,-0.3166670203208923,0.3388890027999878,0.3333330154418945,0,0.3833330273628235,-0.3611109852790833,0.3666669726371765],0]]]],[],!1,!1,13875,[],null],["t160",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,14728,[["spawn_r-sheet0.png",156,0,0,256,256,1,0.5,0.5,[["Imagepoint 1",0.4921875,0.8359375]],[],1]]]],[],!1,!1,14727,
[],null],["t161",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,14730,[["spawn_l-sheet0.png",156,0,0,256,256,1,0.5,0.5,[["Imagepoint 1",0.50390625,0.859375]],[],1]]]],[],!1,!1,14729,[],null],["t162",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,14732,[["spawn_lu-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,14731,[],null],["t163",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,14734,[["spawn_ru-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,
14733,[],null],["t164",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,14756,[["spawn_animal_r-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,14755,[],null],["t165",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,14758,[["spawn_animal_l-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],!1,!1,14757,[],null],["t166",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15406,[],null],["t167",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15407,[],null],["t168",cr.plugins_.Text,
!1,[],0,0,null,null,[],!1,!1,15408,[],null],["t169",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15409,[],null],["t170",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15410,[],null],["t171",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15411,[],null],["t172",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15412,[],null],["t173",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15413,[],null],["t174",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15414,[],null],["t175",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,15566,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,15565,[],null],["t176",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,15567,[],null],["t177",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6705191030267901,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,9462745385192972,[],null],["t178",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x4f1c6920a1a37,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,0xc1962d8cdb24a,
[],null],["t179",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xe81fe36c81edd,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,0x6713aedc66eb0,[],null],["t180",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5523323759812434,[["menu_ingame-sheet0.png",7191,0,0,280,300,1,0.5,0.5,[],[-0.3321430087089539,-0.3433330059051514,0,-0.3566669821739197,0.4035710096359253,-0.4099999964237213,0.3500000238418579,0.3600000143051148,-0.3464289903640747,0.3566669821739197],
0]]]],[],!1,!1,0x758c97bd25422,[],null],["t181",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xdcd17ed1a501e,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,8252862197657157,[],null],["t182",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6089763985425605,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,7906679159072266,[],null],["t183",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8935942531642557,[["tutorial_touch-sheet0.png",
707,0,0,184,130,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x6a068854bb541,[],null],["t184",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9544662180628860,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,4790130035645809,[],null],["t185",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,9229574491447256,[],null],["t186",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5361019081912537,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,0xf605361af971d,[],null],
["t187",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0x5eb01dcaa2eca,[],null],["t188",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x8210dde2fcfc4,[["sprite17-sheet0.png",60352,0,0,528,131,1,0.5113636255264282,0.5343511700630188,[],[-0.4166666269302368,-0.1526721715927124,3.576278686523438E-7,-0.4961832761764526,0.486742377281189,-0.4351145625114441,0.4848483800888062,0.4274808168411255,3.576278686523438E-7,0.4580148458480835,-0.4318181276321411,0.2137408256530762,-0.5037878751754761,
-1.788139343261719E-7],0]]]],[],!1,!1,0xa90edc3c3457,[],null],["t189",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xf203a0ee80169,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,0x5a43df0280566,[],null],["t190",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xd7693421b3e35,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,8518724302773815,[],null],["t191",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xe6dc65e519731,[["sprite18-sheet0.png",
156,0,0,256,256,1,0.5,0.5,[],[],4]]]],[],!1,!1,394623967666786,[],null],["t192",cr.plugins_.Browser,!1,[],0,0,null,null,[],!1,!1,5675594325470127,[],null,[]],["t193",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5971483319727745,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,0x8cf4dfce4eb47,[],null],["t194",cr.plugins_.Facebook,!1,[],0,0,null,null,[],!1,!1,9280877780697300,[],null,["",""]],["t195",cr.plugins_.Sprite,!1,[],0,0,null,[["unstoppedable",5,!1,1,0,!1,0xd8f362aec8b,
[["rank-sheet0.png",2077,1,1,147,30,1,0.5034013390541077,0.5666666626930237,[],[-0.4829931259155273,-0.5333333611488342,-3.576278686523438E-7,-0.4999999701976776,0.4761906862258911,-0.4999999701976776,0.4897956848144531,3.576278686523438E-7,0.4557826519012451,0.4000003337860107,-0.4557823538780212,0.4000003337860107,-0.4897959530353546,3.576278686523438E-7],0]]],["novice",5,!1,1,0,!1,5986330866648739,[["rank-sheet0.png",2077,1,63,77,31,1,0.5064935088157654,0.5161290168762207,[],[-0.4805195033550263,
-0.2258060276508331,4.76837158203125E-7,-0.4516129195690155,0.4675325155258179,-0.1935480237007141,0.4675325155258179,0.1935479640960693,4.76837158203125E-7,0.4193549752235413,-0.493506520986557,0.2580649852752686],0]]],["skillful",5,!1,1,0,!1,0x855b1de05129c,[["rank-sheet0.png",2077,1,32,96,30,1,0.5,0.5333333611488342,[],[-0.46875,-0.5000000596046448,0,-0.4666666686534882,0.4583330154418945,-0.4666666686534882,0.4895830154418945,-3.576278686523438E-7,0.4479169845581055,0.4333336353302002,-0.4479166865348816,
0.4333336353302002,-0.4791666865348816,-3.576278686523438E-7],0]]],["expert",5,!1,1,0,!1,7389820937756242,[["rank-sheet0.png",2077,98,33,89,31,1,0.5056179761886597,0.5161290168762207,[],[-0.4719100594520569,-0.3870970010757446,0,-0.4516129195690155,0.4831460118293762,-0.4193548262119293,0.4831460118293762,0.4193549752235413,-0.483146071434021,0.4193549752235413],0]]],["master",5,!1,1,0,!1,6366956761983,[["rank-sheet0.png",2077,149,1,94,31,1,0.5,0.5161290168762207,[],[-0.478723406791687,-0.322581022977829,
0,-0.4516129195690155,0.4787229895591736,-0.322581022977829,0.4787229895591736,0.3225809931755066,0,0.4193549752235413,-0.478723406791687,0.3225809931755066],0]]]],[],!1,!1,0x84297857d168,[],null],["t196",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",13,!0,1,0,!1,0x5e6976f998a5a,[["hp_add-sheet1.png",3765,196,43,29,70,1,0.4482758641242981,0.4571428596973419,[],[-0.3793103694915772,-0.0142858624458313,1.490116119384766E-7,-0.4428571462631226,0.5172411203384399,-0.07142886519432068,0.4827591180801392,1.490116119384766E-7,
0.5172411203384399,0.07142814993858337,1.490116119384766E-7,0.5142861604690552,-0.3793103694915772,0.01428613066673279],0],["hp_add-sheet0.png",2875,182,1,59,60,1,0.4745762646198273,0.449999988079071,[],[],0],["hp_add-sheet1.png",3765,121,46,70,29,1,0.4714285731315613,0.4137931168079376,[],[],0],["hp_add-sheet1.png",3765,1,1,59,59,1,0.4745762646198273,0.4576271176338196,[],[],0],["hp_add-sheet1.png",3765,226,43,29,70,1,0.4482758641242981,0.4571428596973419,[],[],0],["hp_add-sheet1.png",3765,61,1,
59,59,1,0.4745762646198273,0.4576271176338196,[],[],0],["hp_add-sheet0.png",2875,182,122,71,29,1,0.4788732528686523,0.4137931168079376,[],[],0],["hp_add-sheet0.png",2875,182,62,60,59,1,0.4666666686534882,0.4576271176338196,[],[],0]]],["break",15,!1,1,0,!1,7030080157836256,[["hp_add-sheet1.png",3765,1,61,40,39,1,0.425000011920929,0.282051295042038,[],[-0.3250000178813934,0.05128169059753418,0,-0.2564103007316589,0.324999988079071,0.05128169059753418,0.199999988079071,-2.980232238769531E-7,0.5249999761581421,
0.1538456976413727,0,0.692307710647583,-0.07500001788139343,-2.980232238769531E-7],0],["hp_add-sheet1.png",3765,196,1,56,41,1,0.4464285671710968,0.4878048896789551,[],[],0],["hp_add-sheet1.png",3765,121,1,74,44,1,0.4594594538211823,0.6818181872367859,[],[],0],["hp_add-sheet0.png",2875,143,200,90,46,1,0.4666666686534882,0.8478260636329651,[],[],0],["hp_add-sheet0.png",2875,143,152,107,47,1,0.4766355156898499,1.021276593208313,[],[],0],["hp_add-sheet0.png",2875,1,205,125,49,1,0.4799999892711639,1.163265347480774,
[],[],0],["hp_add-sheet0.png",2875,1,152,141,52,1,0.4822694957256317,1.288461565971375,[],[],0],["hp_add-sheet0.png",2875,1,1,180,150,1,0.5,0.5,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,0x68ed9ee3d1b26]],!1,!1,0xac7e86ff9ae9b,[],null],["t197",cr.plugins_.Sprite,!1,[],1,0,null,[["fly",13,!0,1,0,!1,0x79dd45d4e9903,[["bomb_add-sheet1.png",3999,56,1,39,53,1,0.4871794879436493,0.5094339847564697,[],[-0.3846154808998108,-0.1886789798736572,-4.76837158203125E-7,-0.3962259888648987,0.3076924979686737,-0.1320759952068329,
0.3846155107021332,0,0.4102565348148346,0.2075470089912415,-4.76837158203125E-7,0.4528300166130066,-0.4358973801136017,0.2264150381088257,-0.4615383744239807,0],0],["bomb_add-sheet0.png",4460,48,58,56,45,1,0.4821428656578064,0.4666666686534882,[],[],0],["bomb_add-sheet1.png",3999,1,1,54,39,1,0.4629629552364349,0.5128205418586731,[],[],0],["bomb_add-sheet0.png",4460,1,48,46,55,1,0.47826087474823,0.4727272689342499,[],[],0],["bomb_add-sheet1.png",3999,1,41,39,53,1,0.410256415605545,0.4716981053352356,
[],[],0],["bomb_add-sheet0.png",4460,1,1,56,46,1,0.4821428656578064,0.47826087474823,[],[],0],["bomb_add-sheet1.png",3999,41,55,53,39,1,0.4905660450458527,0.410256415605545,[],[],0],["bomb_add-sheet0.png",4460,58,1,46,56,1,0.47826087474823,0.4821428656578064,[],[],0]]]],[["Bullet",cr.behaviors.Bullet,7691699664846186]],!1,!1,9729988461171992,[],null],["t198",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6289780734584157,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,
!1,7330312349029358,[],null],["t199",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8011312636053283,[["option-sheet0.png",1036,0,0,100,110,1,0.5,0.5,[],[-0.2800000011920929,-0.300000011920929,0,-0.4181818068027496,0.2599999904632568,-0.2818180024623871,0.3899999856948853,0.3999999761581421,0,0.4181820154190064,-0.3899999856948853,0.3999999761581421,-0.3499999940395355,0],0]]]],[],!1,!1,6642554931995411,[],null],["t200",cr.plugins_.Sprite,!1,[],0,0,null,[["on",5,!1,1,0,!1,9641932712731540,
[["vibra-sheet0.png",649,66,1,55,45,1,0.4909090995788574,0.5111111402511597,[],[-0.4727272987365723,-0.0222221314907074,-8.940696716308594E-8,-0.4444444477558136,0.4727268815040588,-0.0222221314907074,0.4727268815040588,0.02222186326980591,-8.940696716308594E-8,0.3999998569488525,-0.4727272987365723,0.02222186326980591],0]]],["off",5,!1,1,0,!1,7105563891879485,[["vibra-sheet0.png",649,1,1,64,45,1,0.421875,0.5111111402511597,[],[-0.40625,-0.0222221314907074,0,-0.4444444477558136,0.546875,-0.2222221493721008,
0.546875,0.222221851348877,0,0.3999998569488525,-0.40625,0.02222186326980591],0]]]],[],!1,!1,9217175468481192,[],null],["t201",cr.plugins_.Sprite,!1,[],0,0,null,[["on",5,!1,1,0,!1,0x4ec58c228b6d5,[["vibra-sheet0.png",649,66,1,55,45,1,0.4909090995788574,0.5111111402511597,[],[-0.4727272987365723,-0.0222221314907074,-8.940696716308594E-8,-0.4444444477558136,0.4727268815040588,-0.0222221314907074,0.4727268815040588,0.02222186326980591,-8.940696716308594E-8,0.3999998569488525,-0.4727272987365723,0.02222186326980591],
0]]],["off",5,!1,1,0,!1,4731204701523783,[["vibra-sheet0.png",649,1,1,64,45,1,0.421875,0.5111111402511597,[],[-0.40625,-0.0222221314907074,0,-0.4444444477558136,0.546875,-0.2222221493721008,0.546875,0.222221851348877,0,0.3999998569488525,-0.40625,0.02222186326980591],0]]]],[],!1,!1,4512310915418572,[],null],["t202",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6073145011390359,[["sprite19-sheet0.png",16220,0,0,184,130,1,0.5,0.5,[],[-0.2554349899291992,-0.1538459956645966,0,-0.1923080086708069,
0.2228260040283203,-0.1076920032501221,0.1413040161132813,-0.007692009210586548,0,0.261538028717041,-0.1413039863109589,-0.007692009210586548],0]]]],[],!1,!1,0xd5daff14d476b,[],null],["t203",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6679999590678824,[["sprite21-sheet0.png",39789,0,0,184,130,1,0.5,0.5,[],[-0.2554349899291992,-0.1538459956645966,0,-0.1923080086708069,0.2228260040283203,-0.1076920032501221,0.1413040161132813,-0.007692009210586548,0,0.261538028717041,-0.1413039863109589,
-0.007692009210586548],0]]]],[],!1,!1,0x67bd3553cbf92,[],null],["t204",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6869094751560573,[["sprite22-sheet0.png",813,0,0,104,87,1,0.5192307829856873,0.5057471394538879,[],[-0.1346157789230347,-0.0459771454334259,2.384185791015625E-7,-0.482758641242981,0.2403842210769653,-0.1724141538143158,0.2307692170143127,-1.192092895507813E-7,0.4711542129516602,0.4482758641242981,2.384185791015625E-7,0.4827588796615601,-0.4999999701976776,0.4827588796615601,
-0.1346157789230347,-1.192092895507813E-7],0]]]],[],!1,!1,7128416287015574,[],null],["t205",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,366772226858494,[["ha_noi-sheet0.png",641,0,0,106,45,1,0.5188679099082947,0.4444444477558136,[],[-0.4056599140167236,-0.1777774393558502,1.192092895507813E-7,-0.266666442155838,0.4433960914611816,-0.266666442155838,0.4622640609741211,-4.470348358154297E-7,0.4622640609741211,0.3111115396022797,1.192092895507813E-7,0.3555555641651154,-0.4811321198940277,
0.3555555641651154,-0.5,-4.470348358154297E-7],0]]]],[],!1,!1,0xd4794652864f6,[],null],["t206",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6275385521710597,[["ha_long-sheet0.png",690,0,0,130,40,1,0.5,0.375,[],[-0.4153845906257629,-0.2750000059604645,-0.007692009210586548,0.2749999761581421,0.4230769872665405,-0.324999988079071,0.4153850078582764,0,0.4384620189666748,0.375,-0.4461537897586823,0.375,-0.4923076927661896,0],0]]]],[],!1,!1,4956481832132576,[],null],["t207",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xaf52243b7adaa,[["sai_gon-sheet0.png",813,0,0,126,38,1,0.5,0.5526315569877625,[],[-0.4444443881511688,-0.3421055674552918,0.4206349849700928,-0.2894735634326935,0.4841269850730896,4.172325134277344E-7,0.4523810148239136,0.3947364687919617,-0.4603174924850464,0.3947364687919617,-0.4603174924850464,4.172325134277344E-7],0]]]],[],!1,!1,7949656226341232,[],null],["t208",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8666497572509924,[["japan-sheet0.png",
602,0,0,104,31,1,0.5,0.4516128897666931,[],[-0.3846150040626526,0.09677410125732422,-0.009615004062652588,-0.3870967924594879,0.4807689785957336,-0.2580648958683014,0.4807689785957336,0.2580640912055969,-0.009615004062652588,0.1612901091575623,-0.4807691872119904,0.2258061170578003,-0.3846150040626526,1.192092895507813E-7],0]]]],[],!1,!1,4869893282521356,[],null],["t209",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,345940922353355,[["rome-sheet0.png",533,0,0,89,32,1,0.5056179761886597,
0.46875,[],[-0.483146071434021,0,-0.01123598217964172,-0.40625,0.4831460118293762,-0.03125,0.4831460118293762,0.03125,-0.01123598217964172,0.4687499403953552,-0.483146071434021,0],0]]]],[],!1,!1,6834378015029445,[],null],["t210",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x3ea3f8a8be9ab,[["sprite28-sheet0.png",511,0,0,100,32,1,0.5,0.46875,[],[-0.4900000095367432,-0.1875,-0.009999990463256836,-0.3125,0.4399999976158142,-0.0625,0.4399999976158142,0.0625,-0.009999990463256836,0.4687499403953552,
-0.4900000095367432,0.1875],0]]]],[],!1,!1,0xe7d378bedcde0,[],null],["t211",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5648017208117271,[["sprite29-sheet0.png",881,0,0,155,38,1,0.5096774101257324,0.5526315569877625,[],[-0.4322580099105835,-0.3157895505428314,0.4387096166610718,-0.3421055674552918,0.4645165801048279,4.172325134277344E-7,0.4516125917434692,0.3947364687919617,-4.172325134277344E-7,0.3947364687919617,-0.4322580099105835,0.3157894611358643,-0.4967741966247559,4.172325134277344E-7],
0]]]],[],!1,!1,8456615307868816,[],null],["t212",cr.plugins_.Sprite,!1,[],0,0,null,[["hanoi",5,!1,1,0,!1,6138133387219658,[["ha_noi-sheet0.png",641,0,0,106,45,1,0.5188679099082947,0.4444444477558136,[],[-0.4056599140167236,-0.1777774393558502,1.192092895507813E-7,-0.266666442155838,0.4433960914611816,-0.266666442155838,0.4622640609741211,-4.470348358154297E-7,0.4622640609741211,0.3111115396022797,1.192092895507813E-7,0.3555555641651154,-0.4811321198940277,0.3555555641651154,-0.5,-4.470348358154297E-7],
0]]],["halong",5,!1,1,0,!1,5792935884133176,[["ha_long-sheet0.png",690,0,0,130,40,1,0.5,0.375,[],[-0.4153845906257629,-0.2750000059604645,-0.007692009210586548,0.2749999761581421,0.4230769872665405,-0.324999988079071,0.4153850078582764,0,0.4384620189666748,0.375,-0.4461537897586823,0.375,-0.4923076927661896,0],0]]],["saigon",5,!1,1,0,!1,9017563242937382,[["ten-sheet0.png",813,0,0,126,38,1,0.5,0.5526315569877625,[],[-0.4444443881511688,-0.3421055674552918,0.4206349849700928,-0.2894735634326935,0.4841269850730896,
4.172325134277344E-7,0.4523810148239136,0.3947364687919617,-0.4603174924850464,0.3947364687919617,-0.4603174924850464,4.172325134277344E-7],0]]],["japan",5,!1,1,0,!1,999177041646268,[["japan-sheet0.png",602,0,0,104,31,1,0.5,0.4516128897666931,[],[-0.3846150040626526,0.09677410125732422,-0.009615004062652588,-0.3870967924594879,0.4807689785957336,-0.2580648958683014,0.4807689785957336,0.2580640912055969,-0.009615004062652588,0.1612901091575623,-0.4807691872119904,0.2258061170578003,-0.3846150040626526,
1.192092895507813E-7],0]]],["rome",5,!1,1,0,!1,5822035118854921,[["rome-sheet0.png",533,0,0,89,32,1,0.5056179761886597,0.46875,[],[-0.483146071434021,0,-0.01123598217964172,-0.40625,0.4831460118293762,-0.03125,0.4831460118293762,0.03125,-0.01123598217964172,0.4687499403953552,-0.483146071434021,0],0]]]],[],!1,!1,0x8e69848819c6d,[],null],["t213",cr.plugins_.Sprite,!1,[],0,0,null,[["hit",15,!1,1,0,!1,9727426903734780,[["hit-sheet0.png",45401,388,171,116,115,1,0.6034482717514038,0.5652173757553101,[],
[-0.4051722884178162,-0.4521743655204773,-2.980232238769531E-7,-0.5478260517120361,0.3017237186431885,-0.347826361656189,0.3793107271194458,-3.576278686523438E-7,0.2413797378540039,0.2869566082954407,-2.980232238769531E-7,0.4173915982246399,-0.3275862634181976,0.3739126324653626,-0.58620685338974,-3.576278686523438E-7],0],["hit-sheet0.png",45401,1,361,132,131,1,0.5909090638160706,0.5572519302368164,[],[],0],["hit-sheet0.png",45401,165,351,148,147,1,0.5810810923576355,0.5510203838348389,[],[],0],["hit-sheet0.png",
45401,1,197,163,163,1,0.5705521702766418,0.546012282371521,[],[],0],["hit-sheet0.png",45401,207,171,180,179,1,0.5666666626930237,0.5418994426727295,[],[],0],["hit-sheet0.png",45401,1,1,205,195,1,0.5365853905677795,0.5384615659713745,[],[],0],["hit-sheet0.png",45401,207,1,191,169,1,0.5026177763938904,0.5443786978721619,[],[],0],["hit-sheet0.png",45401,314,351,189,115,1,0.4973545074462891,0.5652173757553101,[],[],0],["hit-sheet1.png",11889,1,1,189,115,1,0.4973545074462891,0.5652173757553101,[],[],0],
["hit-sheet1.png",11889,191,1,189,115,1,0.4973545074462891,0.5652173757553101,[],[],0],["hit-sheet1.png",11889,1,117,189,115,1,0.4973545074462891,0.5652173757553101,[],[],0],["hit-sheet1.png",11889,191,117,189,115,1,0.4973545074462891,0.5652173757553101,[],[],0]]]],[],!1,!1,9825826130708892,[],null],["t214",cr.plugins_.Sprite,!1,[],0,0,null,[["you",15,!1,1,0,!1,0xeb08e613dcca1,[["combo-sheet0.png",168027,724,1,269,200,1,0.460966557264328,0.6100000143051147,[],[-0.4312267601490021,-0.2050000131130219,
4.470348358154297E-7,-0.6000000238418579,0.4944234192371368,-0.2900000214576721,0.516728401184082,0,0.3531594574451447,0.09999996423721313,4.470348358154297E-7,0.3849999904632568,-0.3531595468521118,0.09999996423721313,-0.4052044451236725,0],0],["combo-sheet0.png",168027,659,543,306,228,1,0.46405228972435,0.5964912176132202,[],[],0],["combo-sheet0.png",168027,659,286,343,256,1,0.4635568559169769,0.5859375,[],[],0],["combo-sheet0.png",168027,342,1,381,284,1,0.4619422554969788,0.577464759349823,[],
[],0],["combo-sheet0.png",168027,342,286,316,312,1,0.4778481125831604,0.5705128312110901,[],[],0],["combo-sheet0.png",168027,1,1,340,340,1,0.4852941036224365,0.5647059082984924,[],[],0],["combo-sheet0.png",168027,1,342,293,293,1,0.4812286794185638,0.57337886095047,[],[],0],["combo-sheet0.png",168027,295,599,269,200,15,0.464684009552002,0.6100000143051147,[],[],0]]]],[],!1,!1,7779694819828433,[],null],["t215",cr.plugins_.Sprite,!1,[],0,0,null,[["unstoppedable",5,!1,1,0,!1,6772198674948724,[["rank-sheet0.png",
2077,1,1,147,30,1,0.5034013390541077,0.5666666626930237,[],[-0.4829931259155273,-0.5333333611488342,-3.576278686523438E-7,-0.4999999701976776,0.4761906862258911,-0.4999999701976776,0.4897956848144531,3.576278686523438E-7,0.4557826519012451,0.4000003337860107,-0.4557823538780212,0.4000003337860107,-0.4897959530353546,3.576278686523438E-7],0]]],["novice",5,!1,1,0,!1,5683464093895268,[["rank-sheet0.png",2077,1,63,77,31,1,0.5064935088157654,0.5161290168762207,[],[-0.4805195033550263,-0.2258060276508331,
4.76837158203125E-7,-0.4516129195690155,0.4675325155258179,-0.1935480237007141,0.4675325155258179,0.1935479640960693,4.76837158203125E-7,0.4193549752235413,-0.493506520986557,0.2580649852752686],0]]],["skillful",5,!1,1,0,!1,5552288785756146,[["rank-sheet0.png",2077,1,32,96,30,1,0.5,0.5333333611488342,[],[-0.46875,-0.5000000596046448,0,-0.4666666686534882,0.4583330154418945,-0.4666666686534882,0.4895830154418945,-3.576278686523438E-7,0.4479169845581055,0.4333336353302002,-0.4479166865348816,0.4333336353302002,
-0.4791666865348816,-3.576278686523438E-7],0]]],["expert",5,!1,1,0,!1,7248234972226789,[["rank-sheet0.png",2077,98,33,89,31,1,0.5056179761886597,0.5161290168762207,[],[-0.4719100594520569,-0.3870970010757446,0,-0.4516129195690155,0.4831460118293762,-0.4193548262119293,0.4831460118293762,0.4193549752235413,-0.483146071434021,0.4193549752235413],0]]],["master",5,!1,1,0,!1,0xcc9a8b22fe925,[["rank-sheet0.png",2077,149,1,94,31,1,0.5,0.5161290168762207,[],[-0.478723406791687,-0.322581022977829,0,-0.4516129195690155,
0.4787229895591736,-0.322581022977829,0.4787229895591736,0.3225809931755066,0,0.4193549752235413,-0.478723406791687,0.3225809931755066],0]]]],[],!1,!1,0x5a019a1e5a4d4,[],null],["t216",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x80392ccf0783f,[["back_t-sheet0.png",6427,0,0,168,88,1,0.5,0.5,[],[-0.4702380895614624,-0.4545454978942871,0,-0.375,0.4761899709701538,-0.4659090936183929,0.4583330154418945,-0.01136401295661926,0.4702379703521729,0.4431819915771484,0,0.3863639831542969,-0.4702380895614624,
0.4431819915771484,-0.4583333134651184,-0.01136401295661926],0]]]],[],!1,!1,7427627406048093,[],null],["t217",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6041109863531193,[["next_t-sheet0.png",6559,0,0,168,88,1,0.5,0.5,[],[-0.4702380895614624,-0.4545454978942871,0,-0.375,0.4761899709701538,-0.4659090936183929,0.4583330154418945,-0.01136401295661926,0.4702379703521729,0.4431819915771484,0,0.3863639831542969,-0.4702380895614624,0.4431819915771484,-0.4583333134651184,-0.01136401295661926],
0]]]],[],!1,!1,4756505888739276,[],null],["t218",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,6329377615089021,[],null],["t219",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9921559025432528,[["solid-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],!1,!1,7380677417117843,[],null],["t220",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,0x9ef0b3df35ddf,[],null],["t221",cr.plugins_.Sprite,!1,[],0,0,null,[["mocmui",5,!1,1,0,!1,7948336478634423,[["char_tuto-sheet0.png",49063,406,1,96,235,
1,0.5208333134651184,0.5063830018043518,[],[-0.5,-0.09787198901176453,-2.980232238769531E-7,-0.4936169981956482,0.4270836710929871,-0.06808501482009888,0.3645836710929871,0.04255300760269165,-2.980232238769531E-7,0.3361700177192688,-0.2812502980232239,0.008511006832122803,-0.2708333134651184,0],0]]],["idle",5,!1,1,0,!1,8444715577263555,[["char_tuto-sheet1.png",56522,148,237,131,209,1,0.4503816664218903,0.4688995182514191,[],[-0.2900766730308533,-0.06220051646232605,3.278255462646484E-7,-0.4401914179325104,
0.3664123117923737,-0.1100475192070007,0.4122133553028107,0.1387564837932587,3.278255462646484E-7,0.3349284827709198,-0.3816801607608795,0.1196174919605255,-0.3053426742553711,4.76837158203125E-7],0]]],["mid_left_low_right",5,!1,1,0,!1,5242951752305181,[["char_tuto-sheet1.png",56522,1,1,177,209,1,0.508474588394165,0.4641148447990418,[],[0.02824842929840088,1.490116119384766E-7,0.06214642524719238,-0.0669858455657959,4.172325134277344E-7,0.3875601291656494,-0.2655366063117981,0.1052631735801697,-0.4971751868724823,
1.490116119384766E-7,-0.2429375946521759,-0.08612483739852905,4.172325134277344E-7,-0.4354067444801331,0.09039539098739624,0.04306215047836304],0]]],["high_left_low_right",5,!1,1,0,!1,8340204646994536,[["char_tuto-sheet0.png",49063,1,223,180,206,1,0.4333333373069763,0.4757281541824341,[],[0.1611116528511047,0.01941785216331482,-3.278255462646484E-7,0.3689318299293518,-0.205555334687233,0.05825287103652954,-0.2722223401069641,-1.490116119384766E-7,-0.4000000357627869,-0.2281551510095596,-3.278255462646484E-7,
-0.4514563679695129,0.2166666388511658,-0.06796115636825562],0]]],["high_left_mid_right",5,!1,1,0,!1,0xfbe14442ed25b,[["char_tuto-sheet0.png",49063,1,1,201,221,1,0.4776119291782379,0.4841628968715668,[],[-0.422885537147522,-0.2714928984642029,5.9604644775390625E-8,-0.4027149081230164,0.139303058385849,-0.01357489824295044,0.5124380588531494,8.940696716308594E-8,5.9604644775390625E-8,0.3710410892963409,-0.1840799152851105,0.05429908633232117,-0.2487559318542481,8.940696716308594E-8],0]]],["high_combo",
5,!1,1,0,!1,0xe412039aa24f4,[["char_tuto-sheet1.png",56522,179,1,150,235,1,0.4600000083446503,0.5191489458084106,[],[-0.3933333158493042,-0.1446809470653534,0,-0.493617057800293,0.5266669988632202,-0.2297869324684143,0.2000000178813934,5.9604644775390625E-8,0.1866669952869415,0.01276606321334839,0,0.2425530552864075,-0.1533330082893372,-0.008510947227478027,-0.1466670036315918,5.9604644775390625E-8],0]]],["low_combo",5,!1,1,0,!1,5894931742205254,[["char_tuto-sheet0.png",49063,203,219,202,190,1,0.4950495064258575,
0.4157894849777222,[],[-0.09405949711799622,0.03157851099967957,5.066394805908203E-7,-0.3842105865478516,0.1584154665470123,-0.03684249520301819,0.1237625181674957,-4.76837158203125E-7,0.4900985062122345,0.3894734978675842,5.066394805908203E-7,0.5526314973831177,-0.1138615012168884,-0.01052647829055786,-0.1039605140686035,-4.76837158203125E-7],0]]],["mid_combo",5,!1,1,0,!1,7306091811610629,[["char_tuto-sheet0.png",49063,203,1,186,217,1,0.4838709533214569,0.4930875599384308,[],[-0.1774189472198486,
-0.03686654567718506,5.9604644775390625E-8,-0.474654346704483,0.1935480535030365,-0.05069157481193543,0.5,4.470348358154297E-7,0.1774190366268158,0.0368664562702179,5.9604644775390625E-8,0.3271884620189667,-0.2096769511699677,0.06451645493507385,-0.4731182456016541,4.470348358154297E-7],0]]],["low",5,!1,1,0,!1,4862646104485972,[["char_tuto-sheet1.png",56522,330,213,146,189,1,0.3904109597206116,0.4179894328117371,[],[0.130137026309967,-4.470348358154297E-7,0.171233057975769,-4.470348358154297E-7,2.980232238769531E-8,
0.4550265669822693,-0.2602739632129669,0.06878256797790527,-0.1986299604177475,-4.470348358154297E-7,-0.2739729583263397,-0.07936543226242065,2.980232238769531E-8,-0.3915344476699829,0.1027400493621826,0.05290955305099487],0]]],["high",5,!1,1,0,!1,6406714070282046,[["char_tuto-sheet1.png",56522,1,211,146,214,1,0.4041095972061157,0.4813084006309509,[],[-0.178082600235939,-0.004672408103942871,4.172325134277344E-7,-0.4672896862030029,0.2054793834686279,-0.02336439490318298,0.4452053904533386,-3.874301910400391E-7,
0.2602744102478027,0.06074762344360352,4.172325134277344E-7,0.3271026015281677,-0.164383590221405,-0.004672408103942871,-0.1438356041908264,-3.874301910400391E-7],0]]],["mid_right",5,!1,1,0,!1,0xee821c1609b9,[["char_tuto-sheet1.png",56522,330,1,165,211,1,0.3575757443904877,0.4739336371421814,[],[-0.01818174123764038,0.1042653918266296,2.682209014892578E-7,-0.4218009412288666,0.2909092605113983,-0.1090046465396881,0.6303032636642456,3.576278686523438E-7,0.2666662633419037,0.09004735946655273,2.682209014892578E-7,
0.3317533731460571,0.01212126016616821,-0.1279616355895996],0]]]],[],!1,!1,0x72ee74b7824d4,[],null],["t222",cr.plugins_.Sprite,!1,[],0,0,null,[["ass",5,!1,1,0,!1,538274640976911,[["tutotext-sheet0.png",31190,1,221,427,42,1,0.5081967115402222,0.5714285969734192,[],[-0.4613583087921143,-0.5238094925880432,0.4566742777824402,-0.4761905074119568,0.4847772717475891,4.172325134277344E-7,0.4496482610702515,0.4047613739967346,-0.4473068118095398,0.3809524178504944,-0.5011709332466125,4.172325134277344E-7],
0]]],["skill",5,!1,1,0,!1,7147917431769584,[["tutotext-sheet0.png",31190,356,374,340,42,1,0.4970588088035584,0.5714285969734192,[],[-0.4911764562129974,0.1904764175415039,1.788139343261719E-7,-0.5,0.497059166431427,0.1428574323654175,0.491176187992096,-0.1904765963554382,1.788139343261719E-7,0.3809524178504944,-0.4882352650165558,-0.2142855823040009],0]]],["creat",5,!1,1,0,!1,0xcc580f4d92a09,[["tutotext-sheet0.png",31190,1,417,340,42,1,0.4970588088035584,0.5714285969734192,[],[-0.4911764562129974,
0.1904764175415039,1.788139343261719E-7,-0.5,0.497059166431427,0.1428574323654175,0.491176187992096,-0.1904765963554382,1.788139343261719E-7,0.3809524178504944,-0.4882352650165558,-0.2142855823040009],0]]],["as",5,!1,1,0,!1,0x8fba07c2f3634,[["tutotext-sheet0.png",31190,1,460,281,42,1,0.4768683314323425,0.5714285969734192,[],[-3.278255462646484E-7,-0.5,0.5124556422233582,4.172325134277344E-7,-3.278255462646484E-7,0.3809524178504944,-0.4697508811950684,4.172325134277344E-7],0]]],["kill",5,!1,1,0,!1,
8171323784625287,[["tutotext-sheet0.png",31190,394,331,354,42,1,0.4858756959438324,0.5714285969734192,[],[-0.4802259802818298,0.1190474033355713,2.980232238769531E-7,-0.5,0.5056493282318115,-0.095238596200943,0.5084743499755859,0.1190474033355713,2.980232238769531E-7,0.3809524178504944,-0.4774011075496674,-0.1428576111793518],0]]],["same",5,!1,1,0,!1,0xa24c9ee6a174d,[["tutotext-sheet0.png",31190,1,374,354,42,1,0.4858756959438324,0.5714285969734192,[],[-0.4802259802818298,0.1190474033355713,2.980232238769531E-7,
-0.5,0.5056493282318115,-0.095238596200943,0.5084743499755859,0.1190474033355713,2.980232238769531E-7,0.3809524178504944,-0.4774011075496674,-0.1428576111793518],0]]],["combo",5,!1,1,0,!1,5759402239573397,[["tutotext-sheet0.png",31190,683,418,299,42,1,0.4882943034172058,0.5714285969734192,[],[-2.980232238769531E-7,-0.5,0.5016726851463318,4.172325134277344E-7,-2.980232238769531E-7,0.3809524178504944,-0.4816053509712219,4.172325134277344E-7],0]]],["touch",5,!1,1,0,!1,8916864191322945,[["tutotext-sheet0.png",
31190,783,111,238,42,1,0.4831932783126831,0.5714285969734192,[],[-2.682209014892578E-7,-0.5,0.5042017102241516,4.172325134277344E-7,-2.682209014892578E-7,0.3809524178504944,-0.4747899174690247,4.172325134277344E-7],0]]],["come",5,!1,1,0,!1,0x8d12c964738f7,[["tutotext-sheet0.png",31190,697,374,306,43,1,0.4836601316928864,0.5581395626068115,[],[-1.192092895507813E-7,-0.4883720576763153,0.5032678842544556,4.172325134277344E-7,-1.192092895507813E-7,0.3953484296798706,-0.4705882370471954,4.172325134277344E-7],
0]]],["learn",5,!1,1,0,!1,7019347995447659,[["tutotext-sheet0.png",31190,1,331,392,42,1,0.4872449040412903,0.5714285969734192,[],[-0.4770407974720001,-0.2857145965099335,8.940696716308594E-8,-0.5,0.4974491000175476,-0.4761905074119568,0.5051020979881287,4.172325134277344E-7,0.4897961020469666,0.4047613739967346,-0.4821428656578064,0.3333333730697632],0]]],["char",5,!1,1,0,!1,7489062090316609,[["tutotext-sheet0.png",31190,342,417,340,42,1,0.4970588088035584,0.5714285969734192,[],[-0.4911764562129974,
0.1904764175415039,1.788139343261719E-7,-0.5,0.497059166431427,0.1428574323654175,0.491176187992096,-0.1904765963554382,1.788139343261719E-7,0.3809524178504944,-0.4882352650165558,-0.2142855823040009],0]]],["icon",5,!1,1,0,!1,618372064789307,[["tutotext-sheet0.png",31190,749,331,189,42,1,0.4973545074462891,0.5714285969734192,[],[5.066394805908203E-7,-0.5,0.4867724776268005,4.172325134277344E-7,5.066394805908203E-7,0.3809524178504944,-0.4867725074291229,4.172325134277344E-7],0]]],["active",5,!1,1,
0,!1,4538416512698164,[["tutotext-sheet0.png",31190,783,154,220,42,1,0.5045454502105713,0.5714285969734192,[],[-4.76837158203125E-7,-0.5,0.4818185567855835,4.172325134277344E-7,-4.76837158203125E-7,0.3809524178504944,-0.4954545497894287,4.172325134277344E-7],0]]],["hocdanh",5,!1,1,0,!1,5224758866498346,[["tutotext-sheet0.png",31190,1,168,352,50,1,0.4744318127632141,0.6399999856948853,[],[-0.46875,0.199999988079071,1.788139343261719E-7,-0.5799999833106995,0.5170451998710632,-0.1399999856948853,0.5198861956596375,
0.1600000262260437,1.788139343261719E-7,0.3199999928474426,-0.4659090936183929,-0.2199999988079071],0]]],["cham",5,!1,1,0,!1,8515002676282613,[["tutotext-sheet0.png",31190,1,111,392,56,1,0.5076530575752258,0.6785714030265808,[],[-0.5,-0.1071423888206482,-5.9604644775390625E-8,-0.625,0.4846939444541931,-4.172325134277344E-7,0.4846939444541931,-4.172325134277344E-7,-5.9604644775390625E-8,0.2857145667076111,-0.5025510191917419,0.1250005960464478],0]]],["hoccombo",5,!1,1,0,!1,0xfef2085c4fce3,[["tutotext-sheet0.png",
31190,659,276,278,54,1,0.5107913613319397,0.6666666865348816,[],[-3.576278686523438E-7,-0.6111111044883728,0.4784176349639893,2.980232238769531E-7,-3.576278686523438E-7,0.2962962985038757,-0.5035971403121948,2.980232238769531E-7],0]]],["6HUONG",5,!1,1,0,!1,9359238745532240,[["tutotext-sheet0.png",31190,493,56,477,54,1,0.5052410960197449,0.6666666865348816,[],[-0.4800838828086853,-0.6296296715736389,0.4737948775291443,-0.5740740895271301,0.4884698987007141,2.980232238769531E-7,0.4444448947906494,0.3148143291473389,
-0.4423480033874512,0.2962962985038757,-0.49895179271698,2.980232238769531E-7],0]]],["2DIEM",5,!1,1,0,!1,0xae88755960445,[["tutotext-sheet0.png",31190,394,111,388,54,1,0.5128865838050842,0.6666666865348816,[],[-0.5051546096801758,-0.1111106872558594,4.172325134277344E-7,-0.6111111044883728,0.4819583892822266,0.05555528402328491,0.4793814420700073,2.980232238769531E-7,0.4793814420700073,-0.0740736722946167,4.172325134277344E-7,0.2962962985038757,-0.5077319145202637,0.1296293139457703],0]]],["2DICH",
5,!1,1,0,!1,0xdd39095a77697,[["tutotext-sheet0.png",31190,1,56,491,54,1,0.505091667175293,0.6666666865348816,[],[-0.4867617785930634,-0.6296296715736389,0.480651319026947,-0.5740740895271301,0.4887983202934265,2.980232238769531E-7,0.4521383047103882,0.3148143291473389,-0.4501018524169922,0.2962962985038757,-0.4989816844463348,2.980232238769531E-7],0]]],["KETHOP",5,!1,1,0,!1,0xaad9bea07ed0b,[["tutotext-sheet0.png",31190,758,221,259,54,1,0.5057914853096008,0.6666666865348816,[],[-4.76837158203125E-7,
-0.6111111044883728,0.4864864945411682,2.980232238769531E-7,-4.76837158203125E-7,0.2962962985038757,-0.4980694651603699,2.980232238769531E-7],0]]],["BANTHICH",5,!1,1,0,!1,6509358555394509,[["tutotext-sheet0.png",31190,556,1,401,54,1,0.503740668296814,0.6666666865348816,[],[-0.4987531304359436,0.09259229898452759,3.576278686523438E-7,-0.6111111044883728,0.4912713170051575,0.1481482982635498,0.4862843155860901,-0.1851857006549835,3.576278686523438E-7,0.2962962985038757,-0.4962593615055084,-0.1111106872558594],
0]]],["KYNANG",5,!1,1,0,!1,7025550925273486,[["tutotext-sheet0.png",31190,394,166,385,54,1,0.5064935088157654,0.6666666865348816,[],[-0.501298725605011,0.2222223281860352,4.76837158203125E-7,-0.6111111044883728,0.4909095168113709,0.2962962985038757,0.4831165075302124,-0.3518516719341278,4.76837158203125E-7,0.2962962985038757,-0.4987013041973114,-0.2407406866550446],0]]],["NHANVAT",5,!1,1,0,!1,9511408921280872,[["tutotext-sheet0.png",31190,429,221,328,54,1,0.5091463327407837,0.6666666865348816,[],
[-3.576278686523438E-7,-0.6111111044883728,0.4817076921463013,2.980232238769531E-7,-3.576278686523438E-7,0.2962962985038757,-0.5030487775802612,2.980232238769531E-7],0]]],["HOACICON",5,!1,1,0,!1,5517918867754834,[["tutotext-sheet0.png",31190,1,264,328,54,1,0.5091463327407837,0.6666666865348816,[],[-3.576278686523438E-7,-0.6111111044883728,0.4817076921463013,2.980232238769531E-7,-3.576278686523438E-7,0.2962962985038757,-0.5030487775802612,2.980232238769531E-7],0]]],["KICHHOAT",5,!1,1,0,!1,5303730197376595,
[["tutotext-sheet0.png",31190,330,276,328,54,1,0.5091463327407837,0.6666666865348816,[],[-3.576278686523438E-7,-0.6111111044883728,0.4817076921463013,2.980232238769531E-7,-3.576278686523438E-7,0.2962962985038757,-0.5030487775802612,2.980232238769531E-7],0]]],["NGON",5,!1,1,0,!1,24610416979974,[["tutotext-sheet0.png",31190,1,1,554,54,1,0.505415141582489,0.6666666865348816,[],[-0.4945848286151886,-0.6296296715736389,-1.192092895507813E-7,-0.6111111044883728,0.4819498658180237,-0.4999997019767761,0.4891698360443115,
2.980232238769531E-7,0.4638988375663757,0.3148143291473389,-0.4620938301086426,0.2962962985038757,-0.4999999701976776,2.980232238769531E-7],0]]]],[],!1,!1,9269404636538496,[],null],["t223",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9156812141687058,[["sprite23-sheet0.png",544,0,0,89,59,1,0.5056179761886597,0.508474588394165,[],[-0.3258429765701294,-0.2372885942459106,-0.01123598217964172,-0.2881355881690979,0.3483150005340576,-0.2881355881690979,0.4719099998474121,-0.01694959402084351,
0.303371012210846,0.2033894062042236,-0.01123598217964172,0.2203394174575806,-0.3033709824085236,0.1864404082298279,-0.4719100594520569,-0.01694959402084351],0]]]],[],!1,!1,0xd686b34bc99be,[],null],["t224",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8560413730078174,[["a_1-sheet0.png",671,0,0,89,60,1,0.5056179761886597,0.5,[],[-0.3258429765701294,-0.2333329916000366,-0.01123598217964172,-0.2833330035209656,0.3483150005340576,-0.2833330035209656,0.4719099998474121,0,0.2921350002288818,
0.199999988079071,-0.01123598217964172,0.4333329796791077,-0.3033709824085236,0.199999988079071,-0.4494381844997406,0],0]]]],[],!1,!1,7241805584053397,[],null],["t225",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8239116876581961,[["a_1-sheet0.png",671,0,0,89,60,1,0.5056179761886597,0.5,[],[-0.3258429765701294,-0.2333329916000366,-0.01123598217964172,-0.2833330035209656,0.3483150005340576,-0.2833330035209656,0.4719099998474121,0,0.2921350002288818,0.199999988079071,-0.01123598217964172,
0.4333329796791077,-0.3033709824085236,0.199999988079071,-0.4494381844997406,0],0]]]],[],!1,!1,6667770732095459,[],null],["t226",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9579633832029756,[["a_1-sheet0.png",671,0,0,89,60,1,0.5056179761886597,0.5,[],[-0.3258429765701294,-0.2333329916000366,-0.01123598217964172,-0.2833330035209656,0.3483150005340576,-0.2833330035209656,0.4719099998474121,0,0.2921350002288818,0.199999988079071,-0.01123598217964172,0.4333329796791077,-0.3033709824085236,
0.199999988079071,-0.4494381844997406,0],0]]]],[],!1,!1,0x7f9645dd8715d,[],null],["t227",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6600542113856366,[["a_5-sheet0.png",649,0,0,89,60,1,0.5056179761886597,0.5,[],[-0.3595509827136993,-0.2833330035209656,-0.01123598217964172,-0.2833330035209656,0.3146070241928101,-0.2333329916000366,0.4269660115242004,0,0.2808990478515625,0.1833329796791077,-0.01123598217964172,0.4333329796791077,-0.3146069645881653,0.2166669964790344,-0.4943819642066956,
0],0]]]],[],!1,!1,5958051708411765,[],null],["t228",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4810602832434705,[["a_5-sheet0.png",649,0,0,89,60,1,0.5056179761886597,0.5,[],[-0.3595509827136993,-0.2833330035209656,-0.01123598217964172,-0.2833330035209656,0.3146070241928101,-0.2333329916000366,0.4269660115242004,0,0.2808990478515625,0.1833329796791077,-0.01123598217964172,0.4333329796791077,-0.3146069645881653,0.2166669964790344,-0.4943819642066956,0],0]]]],[],!1,!1,7390582848376302,
[],null],["t229",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x918b4b0d55d6c,[["a_5-sheet0.png",649,0,0,89,60,1,0.5056179761886597,0.5,[],[-0.3595509827136993,-0.2833330035209656,-0.01123598217964172,-0.2833330035209656,0.3146070241928101,-0.2333329916000366,0.4269660115242004,0,0.2808990478515625,0.1833329796791077,-0.01123598217964172,0.4333329796791077,-0.3146069645881653,0.2166669964790344,-0.4943819642066956,0],0]]]],[],!1,!1,777553702131923,[],null],["t230",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x8ffa817972ce3,[["b_1-sheet0.png",1410,0,0,80,27,1,0.5,0.5185185074806213,[],[-0.08750000596046448,-0.2592595219612122,0,-0.3703705072402954,0.137499988079071,-0.4074075222015381,0.4750000238418579,4.76837158203125E-7,0.137499988079071,0.4074074625968933,0,0.3703705072402954,-0.08750000596046448,0.2592594623565674,-0.4749999940395355,4.76837158203125E-7],0]]]],[],!1,!1,6569757703968968,[],null],["t231",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,
!1,6261832293268025,[["d_1-sheet0.png",2375,0,0,120,80,1,0.5,0.5,[],[0.3916670083999634,0,0.3416669964790344,0.2625000476837158,0,0.3125,-0.3166670203208923,0.2250000238418579,-0.375,-0.3125,0,-0.362500011920929,0.2666670083999634,-0.1500000059604645],0]]]],[],!1,!1,8005337995443939,[],null],["t232",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6075651973422397,[["coigia-sheet0.png",66099,385,803,181,200,1,0.4475138187408447,0.4350000023841858,[],[1.788139343261719E-7,-0.02500000596046448,
1.788139343261719E-7,-0.02500000596046448,0.4419891834259033,-0.425000011920929,0.1436461806297302,0,0.06077319383621216,0.07999998331069946,1.788139343261719E-7,0.1600000262260437,-0.419889509677887,0.4049999713897705,-0.02762383222579956,0],0]]]],[],!1,!1,0x8b06e8eff7d5f,[],null],["t233",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9303064851103052,[["coigia-sheet1.png",22041,545,1,42,233,1,0.4523809552192688,0.497854083776474,[],[-0.2380949556827545,-0.06437808275222778,2.980232238769531E-8,
-0.4935622215270996,0.2857140302658081,-0.07296109199523926,0.2857140302658081,-8.940696716308594E-8,0.3333330154418945,0.0815449059009552,2.980232238769531E-8,0.4978539049625397,-0.2380949556827545,0.06437793374061584,-0.2142859548330307,-8.940696716308594E-8],0]]]],[],!1,!1,0xab4b6daf5f40,[],null],["t234",cr.plugins_.Sprite,!1,[],0,0,null,[["die",5,!1,1,0,!1,8852981295792243,[["da_1-sheet0.png",16660,1,1,131,209,1,1,0.459330141544342,[],[-0.1068699955940247,-1.490116119384766E-7,-0.1374049782752991,
-0.2057411372661591,-0.4580150246620178,0.1674638390541077,-0.6183210015296936,-1.490116119384766E-7,-0.8320609927177429,-0.4019138514995575,-0.1068699955940247,0.1866028308868408],0]]],["walk",5,!1,1,0,!1,8961607492761289,[["da_1-sheet0.png",16660,133,1,120,210,1,0.5249999761581421,0.4571428596973419,[],[0.4500000476837158,1.490116119384766E-7,0.3500000238418579,0.08095213770866394,0,0.5333331823348999,-0.4166669845581055,0.1190471351146698,-0.4083329737186432,1.490116119384766E-7,-0.2916669845581055,
-0.04761886596679688,0,-0.4428571462631226,0,0.1190471351146698],0]]]],[],!1,!1,0xc105bbc44966a,[],null],["t235",cr.plugins_.Sprite,!1,[],0,0,null,[["low",5,!1,1,0,!1,0xc01876eb1f194,[["atk-sheet1.png",1034,0,0,104,81,1,0.5192307829856873,0.5432098507881165,[],[-0.1634617745876312,-0.1358028650283814,-0.009615778923034668,-0.2962958514690399,0.1730772256851196,-0.1604938507080078,0.1730772256851196,1.192092895507813E-7,0.3653842210769653,0.4197531342506409,-0.009615778923034668,0.1481481194496155,
-0.3846157789230347,0.4320991635322571],0]]],["high",5,!1,1,0,!1,8170188479089006,[["atk-sheet0.png",1035,0,0,105,81,1,0.5142857432365417,0.5555555820465088,[],[-0.1619047522544861,-0.1481485962867737,-0.009523749351501465,-0.3086415827274323,0.1714282631874085,-0.1728395819664002,0.1714282631874085,-0.01234561204910278,0.3714282512664795,0.4197534322738648,-0.3809527456760407,0.4197534322738648],0]]],["mid",5,!1,1,0,!1,8351852256656629,[["atk-sheet2.png",1024,0,0,100,81,1,0.5299999713897705,0.604938268661499,
[],[-0.179999977350235,-0.1975312829017639,-0.01999998092651367,-0.3580242693424225,0.1700000166893005,-0.2222222685813904,0.1700000166893005,-0.06172829866409302,0.3800000548362732,0.3703707456588745,-0.01999998092651367,0.2345677018165588,-0.4099999666213989,0.3703707456588745],0]]]],[],!1,!1,0xcc89d66184129,[],null],["t236",cr.plugins_.Sprite,!1,[],0,0,null,[["br_1",5,!1,1,0,!1,689133376381008,[["b_1_b-sheet0.png",3939,0,0,84,129,1,0.4047619104385376,0.4496124088764191,[],[8.940696716308594E-8,
-4.172325134277344E-7,0.5595240592956543,0.2093025743961334,8.940696716308594E-8,0.4573645889759064,-0.1666669100522995,-0.04651141166687012,-0.02380990982055664,-4.172325134277344E-7,0.1785711050033569,0.2713175714015961,8.940696716308594E-8,-0.108527421951294,0.416667103767395,-0.1162794232368469],0]]]],[],!1,!1,5067254885917835,[],null],["t237",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,333467747608654,[["c_1_c-sheet0.png",8623,0,0,240,216,1,0.375,0.6620370149612427,[],[-0.1749999970197678,
0.0370369553565979,0,0.1296299695968628,0.02916699647903442,0.1990739703178406,-0.03749999403953552,0,0.4666669964790344,0.2870369553565979,0,0.1805559992790222,-0.1749999970197678,-0.03703701496124268,-0.1708330065011978,0],0]]]],[],!1,!1,8978455451030128,[],null],["t238",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6995272107459521,[["d_1_d-sheet0.png",2224,0,0,82,79,1,0.5,0.4936708807945252,[],[0.4024389982223511,1.192092895507813E-7,0.4268289804458618,0.1898730993270874,0,0.43038010597229,
-0.3902440071105957,0.1518990993499756,-0.2682929933071137,1.192092895507813E-7,-0.2682929933071137,-0.02531689405441284,0,-0.3417719006538391,0.3536589741706848,-0.1139238774776459],0]]]],[],!1,!1,7693183054136765,[],null],["t239",cr.plugins_.Sprite,!1,[],0,0,null,[["low",5,!1,1,0,!1,9808320172366826,[["atk_l-sheet1.png",1040,0,0,104,81,1,0.5384615659713745,0.6172839403152466,[],[-0.240384578704834,-0.2839509546756744,-0.02884656190872192,-0.5925925374031067,0.1250004172325134,-0.1975309550762177,
0.134615421295166,-0.07407397031784058,0.3461534380912781,0.3456790447235107,-0.02884656190872192,0.07407402992248535,-0.4038465619087219,0.358025074005127,-0.2692305743694305,-0.07407397031784058],0]]],["mid",5,!1,1,0,!1,0x6f88f0d3aa1a4,[["atk_l-sheet2.png",1025,0,0,100,81,1,0.5199999809265137,0.5432098507881165,[],[-0.2299999892711639,-0.2098768651485443,-0.009999990463256836,-0.5185184478759766,0.1500000357627869,-0.1234568655490875,0.1600000262260437,1.192092895507813E-7,0.39000004529953,0.4320991635322571,
-0.009999990463256836,0.2962961196899414,-0.3999999761581421,0.4320991635322571,-0.2599999904632568,1.192092895507813E-7],0]]],["high",5,!1,1,0,!1,0xc6f6ac7afd73a,[["atk_l-sheet0.png",1039,0,0,105,81,1,0.5142857432365417,0.5432098507881165,[],[-0.2190477550029755,-0.2098768651485443,-0.009523749351501465,-0.5185184478759766,0.1428572535514832,-0.1234568655490875,0.1523812413215637,1.192092895507813E-7,0.3714282512664795,0.4320991635322571,-0.3809527456760407,0.4320991635322571,-0.2476187348365784,
1.192092895507813E-7],0]]]],[],!1,!1,6886689377121287,[],null],["t240",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,879788320839923,[["c_1_c-sheet0.png",8623,0,0,240,216,1,0.375,0.6620370149612427,[],[-0.1749999970197678,0.0370369553565979,0,0.1296299695968628,0.02916699647903442,0.1990739703178406,-0.03749999403953552,0,0.4666669964790344,0.2870369553565979,0,0.1805559992790222,-0.1749999970197678,-0.03703701496124268,-0.1708330065011978,0],0]]]],[],!1,!1,5494919355510431,[],null],["t241",
cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9195279221887024,[["d_2_d-sheet0.png",2219,0,0,82,79,1,0.5,0.4936708807945252,[],[-0.3536590039730072,-0.1139238774776459,0,-0.3417719006538391,0.268293023109436,-0.02531689405441284,0.268293023109436,1.192092895507813E-7,0.3902440071105957,0.1518990993499756,0,0.43038010597229,-0.4268293082714081,0.1898730993270874,-0.4024389982223511,1.192092895507813E-7],0]]]],[],!1,!1,935509753170629,[],null],["t242",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,7274984891417513,[["atk_2-sheet0.png",907,0,0,47,81,1,0.5744680762290955,0.5432098507881165,[],[-0.4893616735935211,-0.2098768651485443,-0.02127707004547119,-0.5185184478759766,0.3191488981246948,-0.1234568655490875,0.3404259085655212,1.192092895507813E-7,0.2127659320831299,0.0740741491317749,-0.02127707004547119,0.3827161192893982,-0.3617020845413208,0.1481481194496155,-0.5531914830207825,1.192092895507813E-7],0]]]],[],!1,!1,0xaf9332777ef89,[],null],["t243",cr.plugins_.Sprite,!1,[],0,
0,null,[["Default",5,!1,1,0,!1,475378446773102,[["bomb_store-sheet1.png",4015,0,0,76,76,1,0.5,0.5,[],[-0.4473683834075928,-0.4473683834075928,0,-0.3947370052337647,0.184211015701294,-0.1842109858989716,0.407895028591156,0,0.2368419766426086,0.2368419766426086,0,0.4210529923439026,-0.3289470076560974,0.3289470076560974,-0.4342105090618134,0],0]]]],[],!1,!1,0xaba8a63f70d97,[],null],["t244",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x491b170fddcd2,[["sprite24-sheet0.png",155,0,0,250,
250,1,0.5,0.5,[],[],4]]]],[],!1,!1,8095728950825896,[],null]],[],[["stage",860,490,!0,"maincode",257,[["backroundvsHUD",0,258,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[431.3246459960938,248.278564453125,0,900.6493530273438,571.8074951171875,0,0,1,0.5,0.5,0,0,[]],0,0,[],[],[0,"Default",0,1]],[[144,2972,0,167,13,0,0,1,0.5,0.5,0,0,[]],67,1,[],[],[1,"Default",0,1]],[[147,2888,0,118,118,0,0,1,0.5,0.5,0,0,[]],68,2,[],[],[1,"Default",0,1]],[[-723,-2556,0,928,622,0,0,1,0.5,0.5,0,0,[]],95,88,[],[],[0,"Default",
0,1]],[[373,-2440,0,945.1156005859375,651.271484375,0,0,1,0.5,0.5,0,0,[]],96,89,[],[],[0,"Default",0,1]],[[1955,-2535,0,968.5096435546875,662.6432495117188,0,0,1,0.5,0.5,0,0,[]],97,90,[],[],[0,"Default",0,1]],[[1252,-1669,0,966,650,0,0,1,0.5,0.5,0,0,[]],98,91,[],[],[0,"Default",0,1]],[[430,-168,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,235,[],[],[0,"Default",0,1]],[[1037,326,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,236,[],[],[0,"Default",0,1]],[[-176,244,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,237,[],[],[0,"Default",
0,1]],[[364,668,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,238,[],[],[0,"Default",0,1]]],[]],["things",1,259,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[430,289,0,428,287,0,0,1,0.5,0.5,0,0,[]],45,35,[],[],[0,"Default",0,1]],[[432,321,0,300,250,0,0,1,0.5,0.5,0,0,[]],12,3,[[0],[0],[0],[0],[0],[0],[0],[0],[0],[0],[0],[0],[0],[0],[0]],[[]],[0,"Default",0,1]],[[407,2945,0,73,8,0,0,1,0.51953125,0.50390625,0,0,[]],13,4,[],[],[1,"Default",0,1]],[[405,2969,0,68,7,0,0,1,0.4921875,0.515625,0,0,[]],14,5,[],[],[1,"Default",
0,1]],[[411,2917,0,79,5,0,0,1,0.5390625,0.4921875,0,0,[]],15,6,[],[],[1,"Default",0,1]],[[405,2895,0,80,6,0,0,1,0.46875,0.5078125,0,0,[]],16,7,[],[],[1,"Default",0,1]],[[603,2962,0,85.18831634521484,92.79441833496094,0,0.6694088578224182,1,0.49609375,0.4609375,0,0,[]],17,8,[],[],[1,"Default",0,1]],[[781,2973,0,83.4722671508789,89.13140106201172,0,-0.6054019331932068,1,0.50390625,0.48828125,0,0,[]],18,9,[],[],[1,"Default",0,1]],[[442,340,0,64,104,0,0,1,0.5,0.5,0,0,[]],21,11,[],[],[0,"Default",0,1]],
[[2570,2283,0,236.4015960693359,330.9622192382813,0,0,1,0.5,0.5,0,0,[]],22,12,[],[],[0,"Default",0,1]],[[2507,1590,0,122.3274307250977,122.3274307250977,0,0,1,0.5,0.5,0,0,[]],23,13,[],[],[0,"Default",0,1]],[[2241,2573,0,124.9353485107422,66.89451599121094,0,0,1,0.5039370059967041,0.5,0,0,[]],24,14,[[0]],[[200,0,0,0,0,1]],[0,"Default",0,1]],[[2562,2516,0,120,190,0,0,1,0.5,0.5,0,0,[]],26,16,[],[],[0,"Default",0,1]],[[2198,2693,0,109.7358016967773,59.22249984741211,0,0,1,0.5079365372657776,0.5,0,0,[]],
27,17,[[0]],[[200,0,0,0,0,1]],[0,"Default",0,1]],[[1991,2689,0,127,68,0,0,1,0.5039370059967041,0.5,0,0,[]],29,19,[[0]],[[200,0,0,0,0,1]],[0,"Default",0,1]],[[1822,2815,0,105.7268829345703,56.60967254638672,0,0,1,0.5039370059967041,0.5,0,0,[]],33,21,[[0]],[[200,0,0,0,0,1]],[0,"Default",0,1]],[[365,2477,0,25.29822158813477,25.29822158813477,0,0,1,0.5,0.5,0,0,[]],39,23,[],[],[0,"Default",0,1]],[[644,2388,0,62,52,0,0,1,0,0,0,0,[]],41,24,[[0]],[[400,0,0,0,0,1]],["",0,"36pt Magnum","rgb(90,156,149)",0,
0,0,0,0]]],[]],["HUD",2,260,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[214.5287628173828,108.4871139526367,0,437,225,0,0,1,0.5019920468330383,0.5,0,0,[]],3,25,[],[],[1,"Default",0,1]],[[214.40234375,276.2769165039063,0,437,111,0,0,1,0.5019920468330383,0.5,0,0,[]],2,26,[],[],[1,"Default",0,1]],[[214.8406524658203,414.2817687988281,0,437.2330017089844,166.2071838378906,0,0,1,0.5019920468330383,0.5,0,0,[]],4,27,[],[],[1,"Default",0,1]],[[648.767333984375,108.7217864990234,0,432,230,0,0,1,0.4980079829692841,
0.5,0,0,[]],1,28,[],[],[1,"Default",0,1]],[[650.6422729492188,277.9565734863281,0,432,112.3081207275391,0,0,1,0.5019920468330383,0.5,0,0,[]],5,29,[],[],[1,"Default",0,1]],[[647.7669067382812,416.4019775390625,0,432.2330017089844,165.5521392822266,0,0,1,0.4980079829692841,0.5,0,0,[]],6,30,[],[],[1,"Default",0,1]],[[79,22,0,148.7676544189453,47.73887252807617,0,0,1,0.5,0.5116279125213623,0,0,[]],37,31,[],[],[0,"Default",0,1]],[[278,467,0,149.8217468261719,48.07712936401367,0,0,1,0.5,0.5116279125213623,
0,0,[]],38,32,[],[],[0,"Default",0,1]],[[345,446,0,514,101,0,0,1,0,0,0,0,[]],42,34,[],[],["1111",0,"50pt Magnum","rgb(254,12,12)",0,0,0,0,0]],[[546,468,0,31.85514259338379,46.61728286743164,0,0,1,0.5121951103210449,0.5166666507720947,0,0,[]],71,63,[],[],[0,"Default",0,1]],[[568,443,0,352,97,0,0,1,0,0,0,0,[]],72,66,[],[],["11111111",0,"50pt Magnum","rgb(241,210,4)",0,0,0,0,0]],[[437.3346862792969,155.3346710205078,0,55.59575653076172,55.59575653076172,0,0,1,0.5,0.5,0,0,[]],80,37,[[0]],[],[0,"Default",
0,1]],[[369.6455688476563,139.6455230712891,0,134.292236328125,84.29225158691406,0,0,1,0,0,0,0,[]],81,74,[],[],["30",0,"30pt Magnum","rgb(255,255,255)",1,0,0,0,0]],[[49.23824310302734,71.3030014038086,0,42.89522171020508,42.89522171020508,0,0,1,0.5,0.5,0,0,[]],82,75,[],[],[0,"Default",0,1]],[[432.5,328,0,111,204,0,0,1,0.5,0.5,0,0,[]],182,115,[],[],[0,"Default",0,1]]],[]],["ontop",3,261,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[1268.069091796875,517.9383544921875,0,115.5015106201172,115.5015106201172,
0,0,1,0.5,0.5,0,0,[]],46,38,[],[],[0,"Default",0,1]],[[790,23,0,115.1895217895508,47.50083541870117,0,0,0.6000000238418579,0.4432989656925201,0.4749999940395355,0,0,[]],116,108,[],[],[0,"Default",0,1]],[[-907,-178,0,185,55,0,0,1,0.5,0.5,0,0,[]],123,113,[],[],[0,"Default",0,1]],[[-1220,-1232,0,630,280,0,0,1,0,0,0,0,[]],143,143,[],[],["3",0,"150pt Magnum","rgb(0,0,0)",0,0,0,0,0]],[[-46,2711,0,167,13,0,0,1,0.5,0.5,0,0,[]],150,10,[],[],[1,"Default",0,1]],[[1366,326,0,46,46,0,0,1,0.5,0.5,0,0,[]],160,22,
[],[],[0,"Default",0,1]],[[-506,326,0,46,46,0,0,1,0.5,0.5,0,0,[]],161,96,[],[],[0,"Default",0,1]],[[-202,-125,0,46,46,0,0,1,0.5,0.5,0,0,[]],162,97,[],[],[0,"Default",0,1]],[[1083,-125,0,46,46,0,0,1,0.5,0.5,0,0,[]],163,98,[],[],[0,"Default",0,1]],[[1365,395,0,42.14261627197266,42.14261627197266,0,0,1,0.5,0.5,0,0,[]],164,99,[],[],[0,"Default",0,1]],[[-505,398,0,36.51027297973633,36.51027297973633,0,0,1,0.5,0.5,0,0,[]],165,100,[],[],[0,"Default",0,1]],[[-730,-201,0,402.119384765625,430.8421936035156,
0,0,1,0.5,0.5,0,0,[]],180,109,[],[],[0,"Default",0,1]],[[-739,-68,0,295,41,0,0,1,0.5,0.5,0,0,[]],181,110,[],[],[0,"Default",0,1]],[[435.5,332.5,0,175,199,0,0,1,0.5,0.5,0,0,[]],184,120,[],[],[0,"Default",0,1]],[[1640,340,0,71,256,0,0,1,0.5,0.5,0,0,[]],198,174,[],[],[0,"Default",0,1]],[[-647,381,0,71,256,0,0,1,0.5,0.5,0,0,[]],198,175,[],[],[0,"Default",0,1]],[[542.5,600.9999389648438,0,81,1813,0,-1.570796370506287,1,0.5,0.5,0,0,[]],198,176,[],[],[0,"Default",0,1]],[[730,410,0,100.8747787475586,100.0051727294922,
0,0,1,0.6034482717514038,0.5652173757553101,0,0,[]],213,188,[],[],[0,"Default",0,1]],[[138,386,0,129.7874298095703,96.4962387084961,0,0,1,0.460966557264328,0.6100000143051147,0,0,[]],214,111,[],[],[0,"Default",0,1]],[[142,447,0,202.3714294433594,41.30029296875,0,0,1,0.5034013390541077,0.5666666626930237,0,0,[]],215,185,[],[],[0,"Default",0,1]]],[]]],[],[]],["menu",860,490,!0,"maincode",262,[["Layer 0",0,263,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[431.2664794921875,241.7450561523438,0,869,497,0,0,1,
0.5,0.5,0,0,[]],47,39,[],[],[0,"Default",0,1]],[[657,203,0,362,58,0,0,1,0.5,0.5,0,0,[]],48,40,[],[],[0,"Default",0,1]],[[651,280,0,363,64,0,0,1,0.5,0.5,0,0,[]],49,41,[],[],[0,"Default",0,1]],[[83,61,0,108,87,0,0,1,0.5,0.5,0,0,[]],60,42,[],[],[0,"Default",0,1]],[[667,346,0,333,56,0,0,1,0.5,0.5,0,0,[]],69,62,[],[],[0,"Default",0,1]],[[659,422,0,346,64,0,0,0,0.5,0.5,0,0,[]],199,168,[],[],[0,"Default",0,1]],[[81,60,0,78.6524429321289,65.79579162597656,0,0,1,0.5192307829856873,0.5057471394538879,0,0,[]],
204,184,[],[],[0,"Default",0,1]],[[446,-137,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,231,[],[],[0,"Default",0,1]],[[1022,330,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,232,[],[],[0,"Default",0,1]],[[-160,280,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,233,[],[],[0,"Default",0,1]],[[405,626,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,234,[],[],[0,"Default",0,1]]],[]]],[],[]],["store",860,490,!0,"maincode",264,[["Layer 0",0,265,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[422,248,0,894.5720825195312,523.0791625976562,0,0,1,0.5,0.5,
0,0,[]],50,44,[],[],[0,"Default",0,1]],[[189,455,0,132,63,0,0,1,0.5,0.5,0,0,[]],51,45,[],[],[0,"Default",0,1]],[[616,37,0,328,163,0,0,1,0,0,0,0,[]],73,67,[],[],["12111",0,"50pt Magnum","rgb(241,220,25)",0,0,0,0,0]],[[922,-245,0,100,80,0,0,1,0.5,0.5,0,0,[]],74,68,[[0]],[],[0,"Default",0,1]],[[1081,-252,0,86.82926940917969,110,0,0,1,0.5,0.5,0,0,[]],75,69,[[0]],[],[0,"Default",0,1]],[[1190,-251,0,110,83.26530456542969,0,0,1,0.5,0.5,0,0,[]],76,70,[[0]],[],[0,"Default",0,1]],[[575,196,0,281,144,0,0,1,
0,0,0,0,[]],77,71,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[672.476318359375,371.8412170410156,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],78,72,[],[],[0,"Default",0,1]],[[147,72.5,0,140,107,0,0,1,0.5,0.5,0,0,[]],83,76,[],[],[0,"Default",0,1]],[[309.5,73,0,133,112,0,0,1,0.5,0.5,0,0,[]],84,77,[],[],[0,"Default",0,1]],[[468,72,0,138,110,0,0,1,0.5,0.5,0,0,[]],85,78,[],[],[0,"Default",0,1]],[[575,1011,0,76,76,0,0,1,0.5,0.5,0,0,[]],86,79,[[0]],[],[0,"Default",0,1]],
[[680,1007,0,76,76,0,0,1,0.5,0.5,0,0,[]],87,80,[[0]],[],[0,"Default",0,1]],[[786,1007,0,76,76,0,0,1,0.5,0.5,0,0,[]],88,81,[[0]],[],[0,"Default",0,1]],[[143,230,0,76,76,0,0,1,0.5,0.5,0,0,[]],90,83,[[0]],[],[0,"Default",0,1]],[[253,228,0,76,76,0,0,1,0.5,0.5,0,0,[]],91,84,[[0]],[],[0,"Default",0,1]],[[354,229,0,76,76,0,0,1,0.5,0.5,0,0,[]],92,85,[[0]],[],[0,"Default",0,1]],[[456,227,0,76,76,0,0,1,0.5,0.5,0,0,[]],93,86,[[0]],[],[0,"Default",0,1]],[[670.9884643554688,281.7815246582031,0,190,90,0,0,1,0.5,
0.5,0,0,[]],147,145,[],[],[0,"Default",0,1]],[[1635,946,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],151,18,[],[],[0,"Default",0,1]],[[1635,872,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],152,20,[],[],[0,"Default",0,1]],[[1605,1075,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],153,48,[],[],[0,"Default",0,1]],[[1628,763,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],154,49,[],[],[0,"Default",0,1]],[[1667,659,0,168.9526519775391,56.31755447387695,
0,0,1,0.5,0.5,0,0,[]],155,50,[],[],[0,"Default",0,1]],[[1357,1047,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],156,73,[],[],[0,"Default",0,1]],[[1144,1068,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],157,82,[],[],[0,"Default",0,1]],[[1197,982,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],158,87,[],[],[0,"Default",0,1]],[[1391,930,0,168.9526519775391,56.31755447387695,0,0,1,0.5,0.5,0,0,[]],159,95,[],[],[0,"Default",0,1]],[[-1828,-1173,0,281,144,0,0,1,0,0,
0,0,[]],166,33,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1814,-1040,0,281,144,0,0,1,0,0,0,0,[]],167,101,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1849,-719,0,281,144,0,0,1,0,0,0,0,[]],168,102,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1872,-494,0,281,144,0,0,1,0,0,0,0,[]],169,103,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1891,-370,0,281,144,0,0,1,0,0,0,0,[]],170,104,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",
0,0,0,0,0]],[[-1814,-109,0,281,144,0,0,1,0,0,0,0,[]],171,105,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1782,-886,0,281,144,0,0,1,0,0,0,0,[]],172,106,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1787,-1345,0,281,144,0,0,1,0,0,0,0,[]],173,107,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[-1549,-796,0,281,144,0,0,1,0,0,0,0,[]],174,114,[],[],["cost",0,"35pt Magnum","rgb(255,255,255)",0,0,0,0,0]],[[426,-146,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,
223,[],[],[0,"Default",0,1]],[[1025,353,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,224,[],[],[0,"Default",0,1]],[[-180,271,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,225,[],[],[0,"Default",0,1]],[[389,646,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,226,[],[],[0,"Default",0,1]]],[]]],[],[]],["credit",860,490,!0,"maincode",266,[["Layer 0",0,267,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[432,248,0,887.3529052734375,518.85791015625,0,0,1,0.5,0.5,0,0,[]],52,46,[[0]],[],[0,"Default",0,1]],[[634,441,0,161,81,0,0,1,0.5,0.5,0,0,[]],
53,47,[],[],[0,"Default",0,1]],[[165,169,0,510,191,0,0,1,0,0,0,0,[]],62,64,[[0]],[],["1212121",0,"60pt Magnum","rgb(102,255,255)",1,0,0,0,0]],[[386,-553,0,910.5122680664062,504.8234558105469,0,0,1,0.5,0.5,0,0,[]],145,144,[],[],[0,"Default",0,1]],[[406,215,0,321,79,0,0,1,0,0,0,0,[]],185,121,[],[],["1",0,"40pt Magnum","rgb(0,0,0)",0,1,0,0,0]],[[403,262,0,392,76,0,0,1,0,0,0,0,[]],187,138,[],[],["2",0,"40pt Magnum","rgb(0,0,0)",0,1,0,0,0]],[[428,342,0,192.5572662353516,39.29740142822266,0,0,1,0.5034013390541077,
0.5666666626930237,0,0,[]],195,171,[],[],[0,"Default",0,1]],[[422.3973999023438,228.3186492919922,0,88.61463928222656,60.67984771728516,0,0,1,0.4909090995788574,0.5111111402511597,0,0,[]],200,43,[],[],[0,"Default",0,1]],[[423,342,0,88.61499786376953,60.68000030517578,0,0,1,0.4909090995788574,0.5111111402511597,0,0,[]],201,177,[],[],[0,"Default",0,1]],[[438,-143,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,219,[],[],[0,"Default",0,1]],[[1033,356,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,220,[],[],[0,"Default",0,
1]],[[-168,274,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,221,[],[],[0,"Default",0,1]],[[401,644,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,222,[],[],[0,"Default",0,1]]],[]]],[],[]],["lose",860,490,!0,"maincode",270,[["Layer 0",0,271,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[430.421630859375,246.5,0,866,499,0,0,1,0.5,0.5,0,0,[]],57,51,[],[],[0,"Default",0,1]],[[111,424,0,143,45,0,0,1,0.5,0.5,0,0,[]],58,52,[],[],[0,"Default",0,1]],[[765,424,0,142,51,0,0,1,0.5,0.5,0,0,[]],59,53,[],[],[0,"Default",0,1]],[[525.888671875,
145.8784942626953,0,370,84,0,0,1,0,0,0,0,[]],63,54,[],[],["Text",0,"38pt Magnum","rgb(230,201,16)",0,0,0,0,0]],[[525.614990234375,193.7263336181641,0,316.0545654296875,81.58340454101562,0,0,1,0,0,0,0,[]],65,55,[],[],["Text",0,"38pt Magnum","rgb(175,221,24)",0,0,0,0,0]],[[317,282,0,424,76,0,0,1,0,0,0,0,[]],42,56,[],[],["12121",0,"44pt Magnum","rgb(115,245,215)",1,0,0,0,0]],[[526,88,0,383,93,0,0,1,0,0,0,0,[]],72,15,[],[],["text",0,"38pt Magnum","rgb(241,210,4)",0,0,0,0,0]],[[449,-133,0,1524,264,0,0,
1,0.5,0.5,0,0,[]],244,227,[],[],[0,"Default",0,1]],[[1016,366,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,228,[],[],[0,"Default",0,1]],[[-157,284,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,229,[],[],[0,"Default",0,1]],[[411,632,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,230,[],[],[0,"Default",0,1]]],[]]],[],[]],["level",860,490,!0,"maincode",6453,[["Layer 0",0,6454,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[433,274,0,-1286,776,0,0,1,0.5,0.5,0,0,[]],122,112,[],[],[0,"Default",0,1]],[[427,236,0,153.4474945068359,65.14280700683594,
0,0,1,0.5188679099082947,0.4444444477558136,0,0,[]],212,186,[],[],[0,"Default",0,1]]],[]]],[],[]],["chosestage",860,490,!0,"maincode",10499,[["Layer 0",0,10500,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[434.6815185546875,249.6001892089844,0,893.363037109375,522.3721923828125,0,0,1,0.5,0.5,0,0,[]],130,122,[],[],[0,"Default",0,1]],[[370,170,0,115.0358428955078,74.96723937988281,0,0,0.5,0.5,0.5,0,0,[]],132,124,[],[],[0,"Default",0,1]],[[370,170,0,111.2685546875,71.52978515625,0,0,1,0.5,0.5,0,0,[]],131,123,
[],[],[0,"Default",0,1]],[[515,170,0,114.6853561401367,74.96700286865234,0,0,0.5,0.5,0.5,0,0,[]],132,126,[],[],[0,"Default",0,1]],[[515.1165771484375,170,0,111.5336456298828,71.52999877929688,0,0,1,0.5,0.5,0,0,[]],133,125,[],[],[0,"Default",0,1]],[[662,170,0,115.036003112793,74.96700286865234,0,0,0.5,0.5,0.5,0,0,[]],132,128,[],[],[0,"Default",0,1]],[[661.907958984375,170,0,111.2689971923828,71.52999877929688,0,0,1,0.5,0.5,0,0,[]],134,127,[],[],[0,"Default",0,1]],[[226,315,0,115.036003112793,74.96700286865234,
0,0,0.5,0.5,0.5,0,0,[]],132,130,[],[],[0,"Default",0,1]],[[225,315,0,112.3690338134766,71.52999877929688,0,0,1,0.5,0.5,0,0,[]],135,129,[],[],[0,"Default",0,1]],[[373,315,0,115.0358428955078,74.96723937988281,0,0,0.5,0.5,0.5,0,0,[]],132,132,[],[],[0,"Default",0,1]],[[373,315,0,111.2689971923828,71.52999877929688,0,0,1,0.5,0.5,0,0,[]],136,131,[],[],[0,"Default",0,1]],[[638.7027587890625,445.442138671875,0,161,81,0,0,1,0.5,0.5,0,0,[]],53,142,[],[],[0,"Default",0,1]],[[225.2699279785156,170.19580078125,
0,115.0358428955078,74.96723937988281,0,0,0.5,0.5,0.5,0,0,[]],132,117,[],[],[0,"Default",0,1]],[[225.0735931396484,170.7207336425781,0,111.2689971923828,71.52999877929688,0,0,1,0.5,0.5,0,0,[]],183,116,[],[],[0,"Default",0,1]],[[513.9486694335938,314.7067565917969,0,115.0358428955078,74.96723937988281,0,0,0.5,0.5,0.5,0,0,[]],132,181,[],[],[0,"Default",0,1]],[[662.17724609375,315.0722351074219,0,115.0358428955078,74.96723937988281,0,0,0.5,0.5,0.5,0,0,[]],132,182,[],[],[0,"Default",0,1]],[[371.4335327148438,
111.4165191650391,0,81.2854995727539,34.50799560546875,0,0,1,0.5188679099082947,0.4444444477558136,0,0,[]],205,133,[],[],[0,"Default",0,1]],[[514.59326171875,112.1032485961914,0,101.0313415527344,31.14960861206055,0,0,1,0.5,0.375,0,0,[]],206,134,[],[],[0,"Default",0,1]],[[662.5369262695312,112.0801773071289,0,96.9660873413086,29.24374198913574,0,0,1,0.5,0.5526315569877625,0,0,[]],207,135,[],[],[0,"Default",0,1]],[[223.9512481689453,258.4509887695313,0,76.23222351074219,22.72306632995606,0,0,1,0.5,
0.4516128897666931,0,0,[]],208,136,[],[],[0,"Default",0,1]],[[372.9884033203125,258.48193359375,0,67.5735092163086,23.5072193145752,0,0,1,0.5056179761886597,0.46875,0,0,[]],209,137,[],[],[0,"Default",0,1]],[[441,-141,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,193,[],[],[0,"Default",0,1]],[[1038,358,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,194,[],[],[0,"Default",0,1]],[[-165,276,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,195,[],[],[0,"Default",0,1]],[[403,647,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,196,[],[],[0,"Default",
0,1]]],[]]],[],[]],["things",860,490,!0,null,13323,[["Layer 0",0,13324,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[-727,-71,0,136.3110809326172,193.6012573242188,0,0,1,0.47826087474823,0.4897959232330322,0,0,[]],99,146,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-948,-25,0,90.56962585449219,57.63521575927734,0,0,1,0.5,0.5,0,0,[]],100,147,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-514,-52,0,56.02100372314453,73.25823211669922,0,0,1,0.4769230782985687,0.5058823823928833,
0,0,[]],101,148,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-368,-42,0,69.06938934326172,82.35196685791016,0,0,1,0.4807692170143127,0.5,0,0,[]],102,149,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-850,-317,0,113,180,0,0,1,0.5575221180915833,0.4777777791023254,0,0,[]],103,150,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-826,213,0,63.35873413085938,54.68859481811523,0,0,1,0.4315789341926575,0.4878048896789551,0,0,[]],109,151,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-1188,179,0,207,203,
0,0,1,0.5,0.5027624368667603,0,0,[]],107,152,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-993,209,0,64.839599609375,82.85060119628906,0,0,1,0.5,0.5072463750839233,0,0,[]],108,153,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-681,165,0,101.0247497558594,18.70828628540039,0,0,1,0.5,0.5,0,0,[]],110,154,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-484,-598,0,148.6453552246094,64.38143157958984,0,0,1,0.5031847357749939,0.5,0,0,[]],104,155,[[0],[0],[0],[0],[0]],[[400,0,0,
0,0,1]],[0,"Default",0,1]],[[-950,-563,0,63.2702522277832,57.84708786010742,0,0,1,0.4428571462631226,0.546875,0,0,[]],105,156,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-276,-556,0,74,68,0,0,1,0.5135135054588318,0.4705882370471954,0,0,[]],106,157,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-1206,420,0,154,183,0,0,1,0.5033556818962097,0.5028248429298401,0,0,[]],111,158,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-404,351,0,180.0328826904297,89.4281005859375,0,0,1,0.5032680034637451,0.5,
0,0,[]],112,159,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-916,409,0,99.0003433227539,48.42407989501953,0,0,1,0.5,0.4000000059604645,0,0,[]],113,160,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-660,318,0,121.2141952514648,85.13854217529297,0,0,1,0.511904776096344,0.508474588394165,0,0,[]],114,161,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-1210,675,0,123,206,0,0,1,0.5040650367736816,0.5,0,0,[]],125,162,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-1037,674,0,116,194,
0,0,1,0.5,0.5,0,0,[]],126,163,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-873,679,0,120.7262954711914,193.578369140625,0,0,1,0.5,0.5,0,0,[]],127,164,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-731,657,0,155,198,0,0,1,0.5032258033752441,0.5,0,0,[]],128,165,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-518,656,0,143.2996215820313,199.8121337890625,0,0,1,0.5,0.5,0,0,[]],129,166,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[441,-315,0,
115.654655456543,202.3956451416016,0,0,1,0.5,0.5,0,0,[]],19,36,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[580,-286,0,92.25662231445312,66.1638412475586,0,0,1,0.4848484992980957,0.4788732528686523,0,0,[]],25,92,[[0],[0],[0],[0],[0]],[[400,0,0,0,0,1]],[0,"Default",0,1]],[[-382,852,0,20.71231269836426,63.73020172119141,0,0,1,0.5,0.5,0,0,[]],28,93,[[0],[0],[0]],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-481,498,0,13.35870265960693,74.10899353027344,0,0,1,0.4523809552192688,0.497854083776474,
0,0,[]],30,94,[[0]],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-401,-169,0,22.26881217956543,53.75230407714844,0,0,1,0.4482758641242981,0.4571428596973419,0,0,[]],196,172,[],[[400,0,0,0,1,1]],[0,"Default",0,1]],[[-291.386962890625,-42.72026443481445,0,42.46841049194336,57.71348571777344,0,0,1,0.4871794879436493,0.5094339847564697,0,0,[]],197,173,[],[[400,0,0,0,1,1]],[0,"Default",0,1]]],[]]],[],[]],["chose",860,490,!1,"maincode",6329716551795424,[["Layer 0",0,0xdbfb44aa7324d,!0,[255,255,255],!1,0,0,1,
!1,1,0,0,[[[433.5,239,0,949,552,0,0,1,0.5,0.5,0,0,[]],191,139,[],[],[0,"Default",0,1]],[[428,245,0,568.0675048828125,140.9409942626953,0,0,1,0.5113636255264282,0.5343511700630188,0,0,[]],188,141,[],[],[0,"Default",0,1]],[[632,241.5,0,160,130,0,0,1,0.5,0.5,0,0,[]],189,167,[],[],[0,"Default",0,1]],[[445,241.5,0,158,129,0,0,1,0.5,0.5,0,0,[]],190,170,[],[],[0,"Default",0,1]],[[413,-169,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,180,[],[],[0,"Default",0,1]],[[1063,330,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,183,
[],[],[0,"Default",0,1]],[[-193,248,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,191,[],[],[0,"Default",0,1]],[[375,651,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,192,[],[],[0,"Default",0,1]]],[]]],[],[]],["tutorial",860,490,!0,"maincode",0xa543a246e42be,[["Layer 0",0,4855161704660276,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[431.3250122070313,248.2790069580078,0,900.6493530273438,571.8074951171875,0,0,1,0.5,0.5,0,0,[]],0,187,[],[],[0,"Default",0,1]],[[435,163,0,497.9405517578125,48.97776412963867,0,0,1,0.5081967115402222,
0.5714285969734192,0,0,[]],222,198,[],[],[0,"Default",0,1]],[[253,-1306,0,89,60,0,0,1,0.5056179761886597,0.5,0,0,[]],224,199,[],[],[0,"Default",0,1]],[[-7,-886,0,89,60,0,-0.5667343139648438,1,0.5056179761886597,0.5,0,0,[]],225,200,[],[],[0,"Default",0,1]],[[-81,-611,0,89,60,0,0,1,0.5056179761886597,0.5,0,0,[]],226,201,[],[],[0,"Default",0,1]],[[-405,-713,0,89,60,0,0,1,0.5056179761886597,0.5,0,0,[]],227,202,[],[],[0,"Default",0,1]],[[-407,-611,0,89,60,0,0,1,0.5056179761886597,0.5,0,0,[]],228,203,[],
[],[0,"Default",0,1]],[[-469,-891,0,89,60,0,0.5349448323249817,1,0.5056179761886597,0.5,0,0,[]],229,204,[],[],[0,"Default",0,1]],[[27,-718,0,80,27,0,-0.5371668338775635,1,0.5,0.5185185074806213,0,0,[]],230,205,[],[],[0,"Default",0,1]],[[34,-624,0,120,80,0,0,1,0.5,0.5,0,0,[]],231,206,[],[],[0,"Default",0,1]],[[62,-926,0,79.1937484741211,87.50690460205078,0,-1.870990753173828,1,0.4475138187408447,0.4350000023841858,0,0,[]],232,207,[],[],[0,"Default",0,1]],[[-531,-937,0,19.45612525939941,107.9351654052734,
0,0.664164125919342,1,0.4523809552192688,0.497854083776474,0,0,[]],233,208,[],[],[0,"Default",0,1]],[[-642,-668,0,131,209,0,-0.01838082261383534,1,1,0.459330141544342,0,0,[]],234,209,[],[],[0,"Default",0,1]],[[894,-751,0,137.8844757080078,107.3907852172852,0,0,1,0.5192307829856873,0.5432098507881165,0,0,[]],235,210,[],[],[0,"Default",0,1]],[[-227,-676,0,84,129,0,0,1,0.4047619104385376,0.4496124088764191,0,0,[]],236,211,[],[],[0,"Default",0,1]],[[709,45,0,168,88,0,0,1,0.5,0.5,0,0,[]],217,190,[],[],
[0,"Default",0,1]],[[-316,-591,0,82,79,0,0,1,0.5,0.4936708807945252,0,0,[]],238,213,[],[],[0,"Default",0,1]],[[434.5,313.5,0,101.2157516479492,247.7677154541016,0,0,1,0.5208333134651184,0.5063830018043518,0,0,[]],221,197,[],[],[0,"Default",0,1]],[[273,-898,0,137.8840026855469,107.390998840332,0,0,1,0.5384615659713745,0.6172839403152466,0,0,[]],239,214,[],[],[0,"Default",0,1]],[[-821,-827,0,99.78309631347656,89.8047866821289,0,0,1,0.375,0.6620370149612427,0,0,[]],237,212,[],[],[0,"Default",0,1]],[[-191,
-809,0,104.1633377075195,93.74700164794922,0,-1.482418298721314,1,0.375,0.6620370149612427,0,0,[]],240,215,[],[],[0,"Default",0,1]],[[146,46,0,168,88,0,0,1,0.5,0.5,0,0,[]],216,189,[],[],[0,"Default",0,1]],[[314,-399,0,82,79,0,0,1,0.5,0.4936708807945252,0,0,[]],241,216,[],[],[0,"Default",0,1]],[[472,-549,0,76,76,0,0,1,0.5,0.5,0,0,[]],243,218,[],[],[0,"Default",0,1]],[[484,-500,0,57.32816696166992,98.79960632324219,0,-0.3502805829048157,1,0.5744680762290955,0.5432098507881165,0,0,[]],242,217,[],[],
[0,"Default",0,1]],[[431,-169,0,1524,264,0,0,1,0.5,0.5,0,0,[]],244,118,[],[],[0,"Default",0,1]],[[1033,330,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,119,[],[],[0,"Default",0,1]],[[-175,248,0,312,958,0,0,1,0.5,0.5,0,0,[]],244,178,[],[],[0,"Default",0,1]],[[393.5,673.5,0,1451,273,0,0,1,0.5,0.5,0,0,[]],244,179,[],[],[0,"Default",0,1]]],[]]],[],[]]],[["maincode",[[1,"touch",0,0,!1,!1,654684371513277,!1],[1,"combo",0,0,!1,!1,8944165783119503,!1],[1,"halong_unlock",0,0,!1,!1,0x5fb47aa3af3d9,!1],[1,"saigon_unlock",
0,0,!1,!1,8187076782674986,!1],[1,"nhatban_unlock",0,0,!1,!1,7673668509167047,!1],[1,"arena_unlock",0,0,!1,!1,0x6e8837f38e97,!1],[1,"vibra",0,1,!1,!1,5617957780411598,!1],[1,"sound",0,1,!1,!1,6332396727783965,!1],[1,"Language",0,0,!1,!1,0xf6e4d588a175a,!1],[1,"storebanner",0,0,!1,!1,9440312479299326,!1],[1,"reload_buy",0,0,!1,!1,14184,!1],[1,"reload_equip",0,0,!1,!1,14185,!1],[1,"addhp_buy",0,0,!1,!1,14182,!1],[1,"addhp_equip",0,0,!1,!1,14183,!1],[1,"money_buy",0,0,!1,!1,14180,!1],[1,"money_equip",
0,0,!1,!1,14181,!1],[1,"addtime_buy",0,0,!1,!1,14178,!1],[1,"addtime_equip",0,0,!1,!1,14179,!1],[1,"battu_buy",0,0,!1,!1,14165,!1],[1,"battu_equip",0,0,!1,!1,14166,!1],[1,"bomb_buy",0,0,!1,!1,14163,!1],[1,"bomb_equip",0,0,!1,!1,14164,!1],[1,"slow_buy",0,0,!1,!1,14161,!1],[1,"slow_equip",0,0,!1,!1,14162,!1],[1,"bruce_equip",0,0,!1,!1,14144,!1],[1,"bruce_buy",0,0,!1,!1,14152,!1],[1,"sam_buy",0,0,!1,!1,13987,!1],[1,"sam_equip",0,0,!1,!1,14121,!1],[1,"gla_buy",0,0,!1,!1,14018,!1],[1,"gla_equip",0,0,!1,
!1,14122,!1],[1,"skillactive",0,0,!1,!1,13586,!1],[1,"start",0,0,!1,!1,6470,!1],[1,"bahaimot",0,0,!1,!1,11802,!1],[1,"pause",0,0,!1,!1,6838,!1],[1,"stage",0,0,!1,!1,2669,!1],[1,"enemy_tutorial",0,0,!1,!1,7128350638170243,!1],[1,"bonus",0,0,!1,!1,2300,!1],[1,"slowtime",0,0,!1,!1,2300,!1],[1,"skill",0,0,!1,!1,2300,!1],[1,"money",0,0,!1,!1,2300,!1],[1,"storemoney",0,0,!1,!1,2300,!1],[1,"score_credit",0,0,!1,!1,2295,!1],[1,"highscore",0,0,!1,!1,273,!1],[1,"score",0,0,!1,!1,278,!1],[1,"scorefly",0,0,!1,
!1,277,!1],[1,"lvl",0,0,!1,!1,2270,!1],[1,"warrior",0,0,!1,!1,272,!1],[1,"move",0,0,!1,!1,274,!1],[1,"kill",0,0,!1,!1,275,!1],[1,"yourkill",0,0,!1,!1,5922038809171804,!1],[1,"yourmove",0,0,!1,!1,8075035631716854,!1],[1,"spawn",0,0,!1,!1,276,!1],[1,"hp",0,0,!1,!1,279,!1],[0,[!0,"things"],!1,null,280,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,280,!1,[[1,[2,"things"]]]]],[],[[0,null,!1,null,281,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,282,!1]],[[42,cr.plugins_.Text.prototype.acts.SetText,
null,283,!1,[[7,[10,[2,""],[23,"score"]]]]],[65,cr.plugins_.Text.prototype.acts.SetText,null,287,!1,[[7,[10,[2,""],[23,"kill"]]]]],[63,cr.plugins_.Text.prototype.acts.SetText,null,288,!1,[[7,[10,[2,""],[23,"move"]]]]],[62,cr.plugins_.Text.prototype.acts.SetText,null,289,!1,[[7,[10,[2,""],[23,"highscore"]]]]],[72,cr.plugins_.Text.prototype.acts.SetText,null,289,!1,[[7,[10,[2,""],[23,"money"]]]]],[73,cr.plugins_.Text.prototype.acts.SetText,null,13423,!1,[[7,[10,[2,""],[23,"money"]]]]],[81,cr.plugins_.Text.prototype.acts.SetText,
null,13542,!1,[[7,[10,[2,""],[23,"slowtime"]]]]],[187,cr.plugins_.Text.prototype.acts.SetText,null,9214676105133516,!1,[[7,[10,[2,""],[23,"yourkill"]]]]],[185,cr.plugins_.Text.prototype.acts.SetText,null,0x8af11830e3474,!1,[[7,[10,[2,""],[23,"yourmove"]]]]],[42,cr.plugins_.Text.prototype.acts.SetFontFace,null,0xee02120c41d1c,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[41,cr.plugins_.Text.prototype.acts.SetFontFace,null,0x9087009277a96,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[65,cr.plugins_.Text.prototype.acts.SetFontFace,
null,0xdcbfc59c518f6,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[63,cr.plugins_.Text.prototype.acts.SetFontFace,null,8054291693458052,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[62,cr.plugins_.Text.prototype.acts.SetFontFace,null,7369228765986284,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[72,cr.plugins_.Text.prototype.acts.SetFontFace,null,7451504403529719,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[73,cr.plugins_.Text.prototype.acts.SetFontFace,null,0x6e80ba0af1141,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[81,cr.plugins_.Text.prototype.acts.SetFontFace,
null,7195187934315754,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[187,cr.plugins_.Text.prototype.acts.SetFontFace,null,0xd358c60394c0d,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[185,cr.plugins_.Text.prototype.acts.SetFontFace,null,5673447562388592,!1,[[1,[2,"MAGNUM__"]],[3,0]]],[42,cr.plugins_.Text.prototype.acts.SetFontSize,null,0xbd816d63ef7d6,!1,[[0,[0,44]]]],[41,cr.plugins_.Text.prototype.acts.SetFontSize,null,8463136689533966,!1,[[0,[0,36]]]],[65,cr.plugins_.Text.prototype.acts.SetFontSize,null,6238959628098153,!1,
[[0,[0,38]]]],[63,cr.plugins_.Text.prototype.acts.SetFontSize,null,6453823744728794,!1,[[0,[0,38]]]],[62,cr.plugins_.Text.prototype.acts.SetFontSize,null,0xa3d3ad5740f39,!1,[[0,[0,60]]]],[72,cr.plugins_.Text.prototype.acts.SetFontSize,null,7935218023314376,!1,[[0,[0,50]]]],[73,cr.plugins_.Text.prototype.acts.SetFontSize,null,5441288159457461,!1,[[0,[0,50]]]],[81,cr.plugins_.Text.prototype.acts.SetFontSize,null,7034652413494823,!1,[[0,[0,30]]]],[187,cr.plugins_.Text.prototype.acts.SetFontSize,null,
0xf190e62e638b0,!1,[[0,[0,40]]]],[185,cr.plugins_.Text.prototype.acts.SetFontSize,null,0x9a95db5cbf637,!1,[[0,[0,40]]]]]],[0,null,!1,null,8427175024313906,[[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,503521547089199,!1,[[4,198]]]],[[196,cr.plugins_.Sprite.prototype.acts.Destroy,null,5444984269853095,!1]]],[0,null,!1,null,5179593317703236,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5679742884248943,!1]],[[9,cr.plugins_.CJSAds.prototype.acts.ShowBanner,
null,5872456218554893,!1,[[3,0]]]]],[0,null,!1,null,290,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,291,!1]],[[37,cr.plugins_.Sprite.prototype.acts.SetAnim,null,293,!1,[[1,[2,"full"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,0x630cb372cf88b,!1,[[2,["jab-soundbible.com-1806727891",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,954885545931429,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,
0x7a85dcbc4776,!1,[[2,["kung fu - achoo",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,8149661865504877,!1,[[2,["kung fu - hiyah",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,8308926781527212,!1,[[2,["left hook-soundbible.com-516660386",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,6933974082721593,!1,[[2,["right cross-soundbible.com-1721311663",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,6593811198594779,!1,[[2,["swoosh 3-soundbible.com-1573211927",
!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,0xdea7796bbded6,!1,[[2,["upper cut-soundbible.com-1272257235",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,6012443963237955,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,0x874353f8f8515,!1,[[2,["slow_1",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,5151902950145575,!1,[[2,["slow_2",!1]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,9061846625996992,!1,
[[2,["kung_fu_sound_test",!0]]]],[11,cr.plugins_.Audio.prototype.acts.Preload,null,8695363838268329,!1,[[2,["spartan x_remix_begin",!0]]]]],[[0,null,!1,null,295,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,296,!1,[[1,[2,"money"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,297,!1,[[11,"money"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"money"]]]]]]]],[0,null,!1,null,295,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
null,0,!1,!1,!1,296,!1,[[1,[2,"highscore"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,297,!1,[[11,"highscore"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"highscore"]]]]]]]],[0,null,!1,null,8963055648337518,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0xfa8424de94c8d,!1,[[1,[2,"yourmove"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8245049025137598,!1,[[11,"yourmove"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"yourmove"]]]]]]]],[0,null,!1,null,0x9547696a7fc1,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,9016212661093168,!1,[[1,[2,"yourkill"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,452648221648488,!1,[[11,"yourkill"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"yourkill"]]]]]]]],[0,null,!1,null,0x6aa75dd00507,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,9766967590459704,!1,[[1,[2,"halong_unlock"]]]]],
[[-1,cr.system_object.prototype.acts.SetVar,null,6144818533654682,!1,[[11,"halong_unlock"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"halong_unlock"]]]]]]]],[0,null,!1,null,650107089726752,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0xd97cbd7fd05e7,!1,[[1,[2,"saigon_unlock"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6493222647208946,!1,[[11,"saigon_unlock"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,
[[2,"saigon_unlock"]]]]]]]],[0,null,!1,null,0xbc7a30ab2b20e,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,0xd2245a8b9215a,!1,[[1,[2,"nhatban_unlock"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4605307121129779,!1,[[11,"nhatban_unlock"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"nhatban_unlock"]]]]]]]],[0,null,!1,null,9232973474335620,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,8007594781401015,
!1,[[1,[2,"arena_unlock"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe8e4234198b43,!1,[[11,"arena_unlock"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"arena_unlock"]]]]]]]]]],[0,null,!1,null,12882,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,12883,!1,[[11,"highscore"],[8,3],[7,[23,"score"]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,12884,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,12885,!1,[[11,"highscore"],
[7,[23,"score"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,12886,!1,[[1,[2,"highscore"]],[7,[23,"score"]]]]]]]],[0,[!0,"control"],!1,null,303,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,303,!1,[[1,[2,"control"]]]]],[],[[0,[!0,"lee"],!1,null,304,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,304,!1,[[1,[2,"lee"]]]]],[],[[0,[!0,"mid_left_punch"],!1,null,305,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,305,!1,[[1,[2,"mid_left_punch"]]]]],
[],[[0,null,!1,null,306,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,307,!1,[[4,2]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,308,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,309,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9588941310328196,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x83bbfe8360cc6,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,310,!1,[[1,[2,"mid_left_punch"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,311,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,312,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,6217008419651231,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x816b016f5f0f,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8180187113541631,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xb048aec70fdb8,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5791014192038479,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9268742318808464,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,313,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,314,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,315,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,316,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,317,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,318,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,319,!1,[[10,0],[7,[0,0]]]],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,320,!1],[-1,cr.system_object.prototype.acts.AddVar,null,321,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,322,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,323,!1,[[1,[2,"mid_left_punch"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,324,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,325,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,326,!1,[[4,16],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,327,!1,[[0,[1,0.001]]]],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,328,!1]]]]],[0,[!0,"mid_right_punch"],!1,null,329,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,329,!1,[[1,[2,"mid_right_punch"]]]]],[],[[0,null,!1,null,330,
[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,331,!1,[[4,5]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,332,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,333,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5187472229154588,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x48d1b00ef54cd,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,334,!1,[[1,[2,"mid_right_punch"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,335,!1,[[10,1],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,336,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9786880397645024,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6145292913120686,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f3b6e8acd85f,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x61a71f487fd1f,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7629161242646009,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,6651595687141484,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,337,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,338,!1,[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,339,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,340,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,341,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,342,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,343,!1,[[10,1],[7,[0,0]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,344,!1],[-1,cr.system_object.prototype.acts.AddVar,null,345,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,346,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,347,!1,[[1,[2,"mid_right_punch"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,348,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,349,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,350,!1,[[4,15],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,351,!1,[[0,[1,0.001]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,352,!1]]]]],[0,[!0,"high_right_punch"],!1,null,353,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,353,!1,[[1,[2,"high_right_punch"]]]]],[],[[0,null,!1,null,354,
[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,355,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,356,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,357,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5588484791100765,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xf7a7d993a808c,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,358,!1,[[1,[2,"high_right_punch"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,359,!1,[[10,2],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,360,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xddba0d52a0eeb,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4704631941925837,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe6ea061ab1dd9,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,5344412902583776,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6181846087410647,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x8de21b39bc7fc,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,361,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,362,!1,[[10,2],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,363,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,364,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,365,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,366,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,367,!1,[[10,2],[7,[0,0]]]],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,368,!1],[-1,cr.system_object.prototype.acts.AddVar,null,369,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,370,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,371,!1,[[1,[2,"high_right_punch"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,372,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,373,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,374,!1,[[4,17],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,375,!1,[[0,[1,0.001]]]],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,376,!1]]]]],[0,[!0,"high_left_punch"],!1,null,377,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,377,!1,[[1,[2,"high_left_punch"]]]]],[],[[0,null,!1,null,378,
[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,379,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,380,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,381,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9040610133885232,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xee225c3b4c727,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,382,!1,[[1,[2,"high_left_punch"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,383,!1,[[10,3],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,384,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,4814326502593335,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5c84aa814fa49,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd2ad16ea942dc,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9518149730237080,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9aa2ead9333b0,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xcc75aa3c04103,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,385,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,386,!1,[[10,3],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,387,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,388,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,389,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,390,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,391,!1,[[10,3],[7,[0,0]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,392,!1],[-1,cr.system_object.prototype.acts.AddVar,null,393,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,394,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,395,!1,[[1,[2,"high_left_punch"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,396,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,397,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,398,!1,[[4,18],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,399,!1,[[0,[1,0.001]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,400,!1]]]]],[0,[!0,"low_right_kick"],!1,null,401,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,401,!1,[[1,[2,"low_right_kick"]]]]],[],[[0,null,!1,null,402,[[7,
cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,403,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,404,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,405,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,6101383318947998,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x654e0a95f52cd,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,406,!1,[[1,[2,"low_right_kick"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,407,!1,[[10,5],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,408,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,8718618623655385,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9778251562075112,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7386559963323274,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x476962200d2dc,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x613c03c36458,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x4654073a34cda,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,409,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,410,!1,[[10,5],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,411,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,412,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,413,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,414,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,415,!1,[[10,5],[7,[0,0]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,416,!1],[-1,cr.system_object.prototype.acts.AddVar,null,417,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,418,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,419,!1,[[1,[2,"low_right_kick"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,420,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,421,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,422,!1,[[4,13],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,423,!1,[[0,[1,0.001]]]],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,424,!1]]]]],[0,[!0,"low_left_kick"],!1,null,425,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,425,!1,[[1,[2,"low_left_kick"]]]]],[],[[0,null,!1,null,426,[[7,
cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,427,!1,[[4,4]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,428,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,429,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x4e6c9c1aeea1a,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9153288407627764,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,430,!1,[[1,[2,"low_left_kick"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,431,!1,[[10,4],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,432,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,932174627639044,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5066637276756788,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9160834627522024,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xa82327a9166ff,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,570236831023137,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,4586272335434374,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,433,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,434,!1,[[10,4],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,435,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,436,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,437,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,438,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,439,!1,[[10,4],[7,[0,0]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,440,!1],[-1,cr.system_object.prototype.acts.AddVar,null,441,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,442,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,443,!1,[[1,[2,"low_left_kick"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,444,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,445,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,446,!1,[[4,14],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,447,!1,[[0,[1,0.001]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,448,!1]]]]],[0,[!0,"combo_mid"],!1,null,449,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,449,!1,[[1,[2,"combo_mid"]]]]],[],[[0,null,!1,null,450,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,451,!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,452,!1,[[4,5]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,453,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,454,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7188992522438695,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xb5c6e810869f8,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,455,!1,[[1,[2,"combo_mid"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,456,!1,[[10,6],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,457,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,8065581609283294,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7478812186613809,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x84ff4ad8835dd,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0x51980541fa711,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6935676575856331,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,75750520693281,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,458,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,459,!1,[[10,6],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,460,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,461,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,462,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,463,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,464,!1,[[10,6],[7,[0,0]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,465,!1],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,466,!1],[-1,cr.system_object.prototype.acts.AddVar,null,467,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,468,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,469,!1,[[1,[2,"combo_mid"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,470,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,471,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,472,!1,[[4,16],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,473,!1,[[4,15],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,474,!1,[[0,[1,0.001]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,
null,475,!1],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,476,!1]]]]],[0,[!0,"combo_high"],!1,null,477,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,477,!1,[[1,[2,"combo_high"]]]]],[],[[0,null,!1,null,478,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,479,!1,[[4,3]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,480,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,481,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,482,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,781416549642716,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xfd729a08197ad,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,483,!1,[[1,[2,"combo_high"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,484,!1,[[10,7],[7,[0,1]]]]],[[0,null,!1,null,0x7c994468354af,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5916753434604263,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5037495060609226,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x80f71de9a0685,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9742325043777320,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x5678704c44fcd,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,486,[[12,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,487,!1,[[10,7],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,488,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,489,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,490,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,491,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,492,!1,[[10,7],[7,[0,0]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,
null,493,!1],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,494,!1],[-1,cr.system_object.prototype.acts.AddVar,null,495,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,496,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,497,!1,[[1,[2,"combo_high"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,498,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,499,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,500,!1,[[4,
18],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,501,!1,[[4,17],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,502,!1,[[0,[1,0.001]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,503,!1],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,504,!1]]]]],[0,[!0,"combo_low"],!1,null,505,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,505,!1,[[1,[2,"combo_low"]]]]],[],[[0,null,!1,null,506,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,507,!1,[[4,4]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,508,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,509,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,510,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x767df59e35f9a,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xdeff0f9319342,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,511,!1,[[1,[2,"combo_low"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,512,!1,[[10,8],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,513,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9248265525886996,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5678171185726008,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa8dbd0c5de47c,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xef23d4bf344e2,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9483483119139314,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,6895770721588326,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,514,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,515,!1,[[10,8],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,516,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,517,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,518,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,519,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,520,!1,[[10,8],[7,[0,0]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,521,!1],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,522,!1],[-1,cr.system_object.prototype.acts.AddVar,null,523,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,524,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,525,!1,[[1,[2,"combo_low"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,526,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,527,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,528,!1,[[4,14],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,529,!1,[[4,13],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,530,!1,[[0,[1,0.001]]]],[14,cr.plugins_.Sprite.prototype.acts.Destroy,
null,531,!1],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,532,!1]]]]],[0,[!0,"combo_low_left_high_right"],!1,null,533,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,533,!1,[[1,[2,"combo_low_left_high_right"]]]]],[],[[0,null,!1,null,534,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,535,!1,[[4,4]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,536,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,537,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,538,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xc34ce24dccf41,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xb2f5fb00b0923,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,539,!1,[[1,[2,"combo_low_left_high_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,540,!1,[[10,9],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,541,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xc55057f6bcbad,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7099891033980965,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf9eedc428e455,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8645084919650195,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4a478d454d959,
!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xb2e3dbf3faad9,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,542,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,543,!1,[[10,9],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,544,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,545,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,546,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,547,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,548,!1,[[10,9],[7,[0,0]]]],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,549,!1],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,550,!1],[-1,cr.system_object.prototype.acts.AddVar,null,551,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,552,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,553,!1,[[1,[2,"combo_low_left_high_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,554,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,555,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,556,!1,[[4,17],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,557,!1,[[4,14],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,558,!1,[[0,[1,0.001]]]],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,559,!1],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,560,!1]]]]],[0,[!0,"combo_low_right_high_left"],
!1,null,561,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,561,!1,[[1,[2,"combo_low_right_high_left"]]]]],[],[[0,null,!1,null,562,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,563,!1,[[4,6]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,564,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,565,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,566,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,5110437896086032,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7835813695414354,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,567,!1,[[1,[2,"combo_low_right_high_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,568,!1,[[10,10],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,569,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,5817417724378387,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,466000096722338,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7241584934703135,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5257019091046576,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7687537477190859,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x58f384e4d0a6c,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,570,[[12,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,571,!1,[[10,10],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,572,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,573,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,574,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,575,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,576,!1,[[10,10],[7,[0,0]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,
null,577,!1],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,578,!1],[-1,cr.system_object.prototype.acts.AddVar,null,579,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,580,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,581,!1,[[1,[2,"combo_low_right_high_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,582,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,583,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,584,!1,[[4,18],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,585,!1,[[4,13],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,586,!1,[[0,[1,0.001]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,587,!1],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,588,!1]]]]],[0,[!0,"combo_mid_right_high_left"],!1,null,589,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,589,!1,[[1,[2,"combo_mid_right_high_left"]]]]],[],[[0,null,!1,null,
590,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,591,!1,[[4,5]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,592,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,593,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,594,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,889548007343657,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,5034484457245874,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,595,!1,[[1,[2,"combo_mid_right_high_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,596,!1,[[10,11],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,597,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xdd9368113003,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc7ec1443c081a,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6230338404409321,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xb75f69cb72c07,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6a201566861a2,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xcad92d88f6164,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,598,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,599,!1,[[10,
11],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,600,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,601,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,602,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,603,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,604,!1,[[10,11],[7,[0,0]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,605,!1],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,
606,!1],[-1,cr.system_object.prototype.acts.AddVar,null,607,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,608,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,609,!1,[[1,[2,"combo_mid_right_high_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,610,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,611,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,612,!1,[[4,18],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,613,!1,[[4,15],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,614,!1,[[0,[1,0.001]]]],[18,cr.plugins_.Sprite.prototype.acts.Destroy,null,615,!1],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,616,!1]]]]],[0,[!0,"combo_mid_left_high_right"],!1,null,617,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,617,!1,[[1,[2,"combo_mid_left_high_right"]]]]],[],[[0,null,!1,null,618,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,619,!1,[[4,
2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,620,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,621,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,622,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5142429335515796,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9786383228425522,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,623,!1,[[1,[2,"combo_mid_left_high_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,624,!1,[[10,12],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,625,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xe06d5d978c529,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5673509924024614,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5178607982635927,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8240308961614196,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9282373768590700,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xc2e854d19c7fd,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,626,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,627,!1,[[10,12],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,628,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,629,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,630,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,631,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,632,!1,[[10,12],[7,[0,0]]]],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,633,!1],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,634,!1],[-1,cr.system_object.prototype.acts.AddVar,null,635,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,636,[[12,
cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,637,!1,[[1,[2,"combo_mid_left_high_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,638,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,639,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,640,!1,[[4,17],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,641,!1,[[4,16],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,642,!1,
[[0,[1,0.001]]]],[17,cr.plugins_.Sprite.prototype.acts.Destroy,null,643,!1],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,644,!1]]]]],[0,[!0,"combo_mid_right_low_left"],!1,null,645,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,645,!1,[[1,[2,"combo_mid_right_low_left"]]]]],[],[[0,null,!1,null,646,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,647,!1,[[4,5]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,648,!1,[[4,4]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,649,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,650,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5137922616921055,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xe6041530e3d,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,651,!1,[[1,[2,"combo_mid_right_low_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,652,!1,[[10,13],
[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,653,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xc301dffded1ae,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xafab0fd1ff7ea,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9872815020791032,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9274813823826048,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7681265061527318,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,7567535144370732,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,654,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,655,!1,[[10,13],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,656,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,657,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,658,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,659,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,660,!1,[[10,13],[7,[0,0]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,661,!1],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,662,!1],[-1,cr.system_object.prototype.acts.AddVar,null,663,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,664,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,665,!1,[[1,[2,"combo_mid_right_low_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,666,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,667,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,668,!1,[[4,15],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,669,!1,[[4,14],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,670,!1,[[0,[1,0.001]]]],[15,cr.plugins_.Sprite.prototype.acts.Destroy,null,671,!1],[14,cr.plugins_.Sprite.prototype.acts.Destroy,null,672,!1]]]]],[0,[!0,"combo_mid_left_low_right"],
!1,null,673,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,673,!1,[[1,[2,"combo_mid_left_low_right"]]]]],[],[[0,null,!1,null,674,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,675,!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,676,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,677,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,678,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,0xa6c66c7c267f0,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,4561629455838206,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,679,!1,[[1,[2,"combo_mid_left_low_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,680,!1,[[10,14],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,681,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,4594124706198934,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6770060746012738,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x81b0d2baa28a2,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,506144435522817,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb3749cd324021,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9842792344120272,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,682,[[12,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,683,!1,[[10,14],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,684,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,685,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,686,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,687,!1,[[1,[2,"idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,688,!1,[[10,14],[7,[0,0]]]],[16,cr.plugins_.Sprite.prototype.acts.Destroy,
null,689,!1],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,690,!1],[-1,cr.system_object.prototype.acts.AddVar,null,691,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,692,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,693,!1,[[1,[2,"combo_mid_left_low_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,694,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,695,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,696,!1,[[4,16],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,697,!1,[[4,13],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,698,!1,[[0,[1,0.001]]]],[16,cr.plugins_.Sprite.prototype.acts.Destroy,null,699,!1],[13,cr.plugins_.Sprite.prototype.acts.Destroy,null,700,!1]]]]]]],[0,[!0,"sam"],!1,null,701,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,701,!1,[[1,[2,"sam"]]]]],[],[[0,[!0,"mid_left_punch2"],!1,null,702,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,702,!1,[[1,[2,"mid_left_punch2"]]]]],[],[[0,null,!1,null,703,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,704,!1,[[4,2]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,705,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,706,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5625726646415899,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,
!0,!1,0x3b878822a7fcd,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,707,!1,[[1,[2,"sam_mid_left_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,708,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,709,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xf89e53d6b2dac,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0x87a6c45b66b4c,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9902098338102284,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8654237728897407,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd23fe6a4c8bcf,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8783655503304018,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,7887349117002236,
!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,710,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,711,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,712,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,713,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,714,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,715,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,716,
!1,[[10,0],[7,[0,0]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13538,!1],[-1,cr.system_object.prototype.acts.AddVar,null,718,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,719,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,720,!1,[[1,[2,"sam_mid_left_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,721,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,722,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,723,!1,[[4,150],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,724,!1,[[0,[1,0.001]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,725,!1]]]]],[0,[!0,"mid_right_punch2"],!1,null,726,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,726,!1,[[1,[2,"mid_right_punch2"]]]]],[],[[0,null,!1,null,727,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,728,!1,[[4,5]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,729,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,730,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xf7d7dabcae3f2,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5034227629447627,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,731,!1,[[1,[2,"sam_mid_right_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,732,!1,[[10,1],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,733,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,814218981231536,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,5664056195651463,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9418927152882432,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6c778a23dab8c,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8736549947138775,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6662494772039858,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x4de11ad9d66e7,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,734,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,735,!1,[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,736,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,737,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,738,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,739,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,740,!1,[[10,1],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,741,!1],[-1,cr.system_object.prototype.acts.AddVar,null,742,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,743,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,744,!1,[[1,[2,"sam_mid_right_hack"]]]],
[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,745,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,746,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,747,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,748,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,749,!1]]]]],[0,[!0,"high_right_punch2"],!1,null,750,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,750,!1,[[1,
[2,"high_right_punch2"]]]]],[],[[0,null,!1,null,751,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,752,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,753,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,754,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7250625381458979,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9026866466758804,!1,
[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,755,!1,[[1,[2,"sam_high_right_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,756,!1,[[10,2],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,757,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6572495885293682,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xa0078ec82e6ad,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,4608433332463485,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb333f519a5af8,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7008498454026621,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6870a15e0a136,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,8610440877582115,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,758,[[12,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,759,!1,[[10,2],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,760,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,761,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,762,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,763,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,764,!1,[[10,2],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,
null,765,!1],[-1,cr.system_object.prototype.acts.AddVar,null,766,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,767,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,768,!1,[[1,[2,"sam_high_right_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,769,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,770,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,771,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,
null,772,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,773,!1]]]]],[0,[!0,"high_left_punch2"],!1,null,774,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,774,!1,[[1,[2,"high_left_punch2"]]]]],[],[[0,null,!1,null,775,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,776,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,777,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,778,!1,[[11,"warrior"],
[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8668535173020038,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7356490636502171,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,779,!1,[[1,[2,"sam_high_left_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,780,!1,[[10,3],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,781,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,
[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xf98a197fcbbaa,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0x74bf205b6588a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5290069022314739,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6528319229209627,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4937633239527163,!1,[[10,0],[8,0],[7,[0,1]]]],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9a6ce5db99991,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xfc73dbadf3b9f,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,782,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,783,!1,[[10,3],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,784,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,785,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,786,!1,
[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,787,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,788,!1,[[10,3],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,789,!1],[-1,cr.system_object.prototype.acts.AddVar,null,790,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,791,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,792,!1,[[1,[2,"sam_high_left_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,793,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,794,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,795,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,796,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,797,!1]]]]],[0,[!0,"low_right_kick2"],!1,null,798,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,798,!1,[[1,[2,"low_right_kick2"]]]]],[],[[0,null,!1,null,799,
[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,800,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,801,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,802,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9051552490171688,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x86a822c030864,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,803,!1,[[1,[2,"sam_low_right_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,804,!1,[[10,5],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,805,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,484532791218577,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,4609886961768148,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5697491812416968,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfabd2bb037d20,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xced183a20216a,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xeed5a610fd51,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9951929907659332,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,806,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,807,!1,[[10,5],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,808,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,809,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,810,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,811,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,812,!1,[[10,5],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,813,!1],[-1,cr.system_object.prototype.acts.AddVar,
null,814,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,815,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,816,!1,[[1,[2,"sam_low_right_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,817,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,818,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,819,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,820,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,821,!1]]]]],[0,[!0,"low_left_kick2"],!1,null,822,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,822,!1,[[1,[2,"low_left_kick2"]]]]],[],[[0,null,!1,null,823,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,824,!1,[[4,4]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,825,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,826,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,
0,!1,!0,!1,318267681540869,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7139320933058904,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,827,!1,[[1,[2,"sam_low_left_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,828,!1,[[10,4],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,829,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x4e7d48ee2f196,!1,[[2,
["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9124779751482218,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa84a19e5beb01,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8292653776958123,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9512747068681584,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfee51a60cb960,
!1,[[11,"vibra"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9695284885703320,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x501af75dc90f9,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,830,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,831,!1,[[10,4],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,832,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,833,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,834,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,835,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,836,!1,[[10,4],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,837,!1],[-1,cr.system_object.prototype.acts.AddVar,null,838,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,839,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,840,!1,[[1,[2,"sam_low_left_hack"]]]],[12,
cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,841,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,842,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,843,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,844,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,845,!1]]]]],[0,[!0,"combo_mid2"],!1,null,846,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,846,!1,[[1,[2,"combo_mid2"]]]]],
[],[[0,null,!1,null,847,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,848,!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,849,!1,[[4,5]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,850,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,851,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x4cd570eb0b194,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,9598411396120016,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,852,!1,[[1,[2,"sam_combo_mid_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,853,!1,[[10,6],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,854,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9945103590729320,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,
6291533298000618,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7821067338466537,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9305788214077708,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6239758154007551,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8237077676072755,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,
null,0x836ca6b7835f1,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,855,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,856,!1,[[10,6],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,857,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,858,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,859,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,860,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,861,!1,[[10,6],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,862,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13502,!1],[-1,cr.system_object.prototype.acts.AddVar,null,863,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,864,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,865,!1,[[1,[2,"sam_combo_mid_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,866,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,867,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,868,!1,[[4,150],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,869,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,870,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,871,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13510,!1]]]]],[0,[!0,"combo_high2"],!1,null,872,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,872,!1,
[[1,[2,"combo_high2"]]]]],[],[[0,null,!1,null,873,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,874,!1,[[4,3]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,875,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,876,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,877,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xd5436dc47986c,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,0xb554099382e63,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,878,!1,[[1,[2,"sam_combo_high_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,879,!1,[[10,7],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,880,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4987254379264049,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,
8394233695701999,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4652450849796318,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd4718ab800dcc,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4618903212277041,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7959540524820781,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,
null,0x3e2d5e9486d07,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,881,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,882,!1,[[10,7],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,883,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,884,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,885,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,886,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,887,!1,[[10,7],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,888,!1],[-1,cr.system_object.prototype.acts.AddVar,null,889,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,890,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,891,!1,[[1,[2,"sam_combo_high_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,892,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,893,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,894,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,895,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,896,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,897,!1]]]]],[0,[!0,"combo_low2"],!1,null,898,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,898,!1,[[1,[2,"combo_low2"]]]]],[],[[0,null,!1,null,899,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,900,!1,[[4,4]]],
[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,901,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,902,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,903,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xb8994bf440544,!1,[[4,80]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8152205717158942,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,0x93f0cd5c39d46,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,904,!1,[[1,[2,"sam_combo_low_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,905,!1,[[10,8],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,906,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,299416123237758,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xe9f1201370dd1,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd45d7bd851392,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8146cfe6f1ec4,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7525566796083061,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6370538444021812,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,6556857137077288,
!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,907,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,908,!1,[[10,8],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,909,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,910,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,911,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,912,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,913,
!1,[[10,8],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,914,!1],[-1,cr.system_object.prototype.acts.AddVar,null,915,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,916,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,917,!1,[[1,[2,"sam_combo_low_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,918,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,919,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,920,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,921,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,922,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,923,!1]]]]],[0,[!0,"combo_low_left_high_right2"],!1,null,924,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,924,!1,[[1,[2,"combo_low_left_high_right2"]]]]],[],[[0,null,!1,null,925,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,926,!1,[[4,4]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,927,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,928,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,929,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8987140090010855,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,6295073288069059,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,930,!1,[[1,[2,"sam_combo_low_left_high_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,931,!1,[[10,9],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,932,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x8809330751d93,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,4844374896453582,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb9bce3f34a63f,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6813650218538905,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9319968556160182,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6319531440170904,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,541684817921298,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,933,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,934,!1,[[10,9],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,935,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,936,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,937,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,938,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,939,!1,[[10,9],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,940,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,941,!1],[-1,cr.system_object.prototype.acts.AddVar,null,942,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,943,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,944,!1,[[1,[2,"sam_combo_low_left_high_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,945,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,946,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,947,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,948,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,949,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,950,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,951,!1]]]]],[0,[!0,"combo_low_right_high_left2"],!1,null,952,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,952,!1,[[1,[2,"combo_low_right_high_left2"]]]]],[],[[0,null,!1,null,953,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,954,!1,[[4,
6]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,955,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,956,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,957,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,6960171118332536,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xdb7ef263bf7e9,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,958,!1,[[1,[2,"sam_combo_low_right_high_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,959,!1,[[10,10],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,960,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7181741014135229,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9210271541279232,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
7437596565424677,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6967571772648896,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,7457190913477122,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9389481738404228,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xb514a63694e06,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,961,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,962,!1,[[10,10],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,963,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,964,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,965,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,966,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,967,!1,[[10,10],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,968,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,969,!1],[-1,cr.system_object.prototype.acts.AddVar,null,970,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,971,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,972,!1,[[1,[2,"sam_combo_low_right_high_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,973,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,974,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,975,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,976,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,977,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,978,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,979,!1]]]]],[0,[!0,"combo_mid_right_high_left2"],!1,null,980,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,980,!1,[[1,[2,"combo_mid_right_high_left2"]]]]],[],[[0,null,!1,null,981,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,982,!1,[[4,
5]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,983,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,984,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,985,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,4549042604416374,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,700184388308866,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,986,!1,[[1,[2,"sam_combo_mid_right_high_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,987,!1,[[10,11],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,988,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9465419857856974,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xe352c6aceb77a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7346071004623703,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab819d5d40931,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0x836e7eea5c33f,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6809772546832348,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9864294423809732,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,989,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,990,!1,[[10,11],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,991,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,992,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,993,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,994,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,995,!1,[[10,11],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,996,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,997,!1],[-1,cr.system_object.prototype.acts.AddVar,null,998,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,999,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1E3,!1,[[1,[2,"sam_combo_mid_right_high_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1001,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1002,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1003,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1004,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1005,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1006,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1007,!1]]]]],[0,[!0,"combo_mid_left_high_right2"],!1,null,1008,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1008,!1,[[1,[2,"combo_mid_left_high_right2"]]]]],[],[[0,null,!1,null,1009,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1010,
!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1011,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1012,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1013,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5126467965677462,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5682472030404631,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1014,!1,[[1,[2,"sam_combo_mid_left_high_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1015,!1,[[10,12],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1016,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,341597072916464,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0x79a613b9a2bd7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
728767767059853,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7334301563933496,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd17d0c836c579,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7642700862048603,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,4805759096107472,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1017,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1018,!1,[[10,12],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1019,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1020,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1021,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1022,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1023,!1,[[10,12],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1024,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1025,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1026,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1027,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1028,!1,[[1,[2,"sam_combo_mid_left_high_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1029,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1030,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1031,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1032,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1033,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1034,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1035,!1]]]]],[0,[!0,"combo_mid_right_low_left2"],!1,null,1036,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1036,!1,[[1,[2,"combo_mid_right_low_left2"]]]]],[],[[0,null,!1,null,1037,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1038,
!1,[[4,5]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1039,!1,[[4,4]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1040,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1041,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7671248650538775,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9770935871300552,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1042,!1,[[1,[2,"sam_combo_mid_right_low_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1043,!1,[[10,13],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1044,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9852023154284648,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,8955602826717316,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
0x6550246ebbc37,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5770487950996912,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6434570228920571,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe200a3a25967,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9909027591413654,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1045,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1046,!1,[[10,13],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1047,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1048,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1049,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1050,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1051,!1,[[10,13],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1052,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,13512,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1053,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1054,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1055,!1,[[1,[2,"sam_combo_mid_right_low_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1056,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1057,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1058,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1059,!1,[[4,150],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1060,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1061,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13511,!1]]]]],[0,[!0,"combo_mid_left_low_right2"],!1,null,1062,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1062,!1,[[1,[2,"combo_mid_left_low_right2"]]]]],[],[[0,null,!1,null,1063,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1064,
!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1065,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1066,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1067,!1,[[11,"warrior"],[8,0],[7,[0,2]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x6e7006aca1d0b,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xd63e0046decc3,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1068,!1,[[1,[2,"sam_combo_mid_left_low_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1069,!1,[[10,14],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1070,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x79980f34be98f,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9213657706674234,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
0xb7b5949215878,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcb252abfed35f,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5489523237929552,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7004269467314252,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x88132735fad7,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1071,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1072,!1,[[10,14],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1073,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1074,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1075,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1076,!1,[[1,[2,"sam_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1077,!1,[[10,14],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1078,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,13514,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1079,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1080,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1081,!1,[[1,[2,"sam_combo_mid_left_low_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1082,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1083,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,13506,!1,[[4,150],[5,[0,1]],[7,[0,1]]]],[12,
cr.plugins_.Sprite.prototype.acts.Spawn,null,13507,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1086,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1087,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13513,!1]]]]]]],[0,[!0,"glad"],!1,null,1088,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1088,!1,[[1,[2,"glad"]]]]],[],[[0,[!0,"mid_left_punch3"],!1,null,1089,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,
0,!1,!1,!1,1089,!1,[[1,[2,"mid_left_punch3"]]]]],[],[[0,null,!1,null,1090,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1091,!1,[[4,2]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1092,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1093,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5309625036952278,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,
!0,!1,6716247829733295,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1094,!1,[[1,[2,"gla_mid_left_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1095,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1096,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8146785742123867,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,6790041297479562,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd40cb293c3d03,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8059024599915117,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xf14a413e3648,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5ab2d728b8e95,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,8839189002359541,
!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1097,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1098,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1099,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1100,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1101,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1102,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,
1103,!1,[[10,0],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1104,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1105,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1106,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1107,!1,[[1,[2,"gla_mid_left_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1108,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1109,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1110,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1111,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1104,!1]]]]],[0,[!0,"mid_right_punch3"],!1,null,1113,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1113,!1,[[1,[2,"mid_right_punch3"]]]]],[],[[0,null,!1,null,1114,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1115,!1,[[4,5]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1116,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1117,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xf965845db3af1,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x782327f83f076,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1118,!1,[[1,[2,"gla_mid_right_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1119,!1,[[10,1],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1120,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9195805288415540,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,8628800337915399,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6e53232149cb7,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7899664726818509,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,8711589032824445,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbd5358454ed90,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xb3e0f40f74f90,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1121,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1122,!1,[[10,1],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1123,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1124,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1125,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1126,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1127,!1,[[10,1],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1128,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1129,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1130,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,
!1,!1,!1,1131,!1,[[1,[2,"gla_mid_right_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1132,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1133,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1134,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1135,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1128,!1]]]]],[0,[!0,"high_right_punch3"],!1,null,1137,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,1137,!1,[[1,[2,"high_right_punch3"]]]]],[],[[0,null,!1,null,1138,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1139,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1140,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1141,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,6106369165433022,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,
0,!1,!0,!1,0x7a17f7b5a97d0,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1142,!1,[[1,[2,"gla_high_right_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1143,!1,[[10,2],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1144,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8945967995873383,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,5450003172514344,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6109622566210687,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9639415390183076,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcb4f7ce529358,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5890221453164543,!1,[[11,"vibra"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4524725927206049,
!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9369612064965320,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1145,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1146,!1,[[10,2],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1147,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1148,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1149,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1150,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1151,!1,[[10,2],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1152,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1153,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1154,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1155,!1,[[1,[2,"gla_high_right_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1156,!1,[[8,0],[0,[0,1]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1157,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1158,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1159,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1152,!1]]]]],[0,[!0,"high_left_punch3"],!1,null,1161,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1161,!1,[[1,[2,"high_left_punch3"]]]]],[],[[0,null,!1,null,1162,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,1163,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1164,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1165,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x585e40733cfcf,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xf1918237a42a3,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1166,!1,[[1,[2,"gla_high_left_hack"]],[3,
1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1167,!1,[[10,3],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1168,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x3fa0f9957ff46,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0xea5662bbc05a4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386317676173376,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xbc186dd51c571,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,6084277254035052,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9504076511677428,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,384163208579586,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1169,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1170,!1,[[10,
3],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1171,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1172,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1173,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1174,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1175,!1,[[10,3],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1184,!1],[-1,cr.system_object.prototype.acts.AddVar,
null,1177,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1178,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1179,!1,[[1,[2,"gla_high_left_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1180,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1181,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1158,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1183,!1,[[0,[1,0.001]]]],[68,
cr.plugins_.Sprite.prototype.acts.Destroy,null,1184,!1]]]]],[0,[!0,"low_right_kick3"],!1,null,1185,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1185,!1,[[1,[2,"low_right_kick3"]]]]],[],[[0,null,!1,null,1186,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1187,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1188,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1189,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,0xb2c9559393a23,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,5129144388238833,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1190,!1,[[1,[2,"gla_low_right_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1191,!1,[[10,5],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1192,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7981430918183123,
!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,8818952369623355,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x64127707ba21a,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4566236338722439,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8339351548526048,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x61a792b481eeb,
!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,880415547749453,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1193,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1194,!1,[[10,5],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1195,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1196,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1197,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1198,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1199,!1,[[10,5],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1200,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1201,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1202,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1203,!1,[[1,[2,"gla_low_right_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1204,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1205,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1206,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1207,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1200,!1]]]]],[0,[!0,"low_left_kick3"],!1,null,1209,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1209,!1,[[1,[2,"low_left_kick3"]]]]],[],[[0,null,!1,null,1210,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1211,!1,[[4,4]]],
[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1212,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1213,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,652067680039206,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xdfd8b2ff9b10b,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1214,!1,[[1,[2,"gla_low_left_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1215,!1,[[10,4],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1216,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8518946623789499,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,5499523927930875,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9633888974293372,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf1a6ab2d846da,!1,[[11,"skill"],
[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8775732082343563,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8229865918825267,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,730673261622325,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1217,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1218,!1,[[10,4],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1219,
[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1220,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1221,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1222,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1223,!1,[[10,4],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1232,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1225,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,
null,!1,null,1226,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1227,!1,[[1,[2,"gla_low_left_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1228,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1229,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1206,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1231,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,
1232,!1]]]]],[0,[!0,"combo_mid3"],!1,null,1233,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1233,!1,[[1,[2,"combo_mid3"]]]]],[],[[0,null,!1,null,1234,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1235,!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1236,!1,[[4,5]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1237,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1238,!1,[[11,"warrior"],
[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9926061828414892,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x9c683e4b8e856,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1239,!1,[[1,[2,"gla_combo_mid_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1240,!1,[[10,6],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1241,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,
[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7225428662296437,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0x92507794b26dc,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x75bf45f63e3d6,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4939649350930031,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xd5a7edd722e34,!1,[[10,0],[8,0],[7,[0,1]]]],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5186618184932891,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,344963141487568,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1242,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1243,!1,[[10,6],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1244,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1245,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
1246,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1247,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1248,!1,[[10,6],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1249,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13504,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1251,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1252,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,
0,!1,!1,!1,1253,!1,[[1,[2,"gla_combo_mid_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1254,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1255,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1256,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1257,!1,[[4,150],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1258,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1249,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13533,!1]]]]],[0,[!0,"combo_high3"],!1,null,1261,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1261,!1,[[1,[2,"combo_high3"]]]]],[],[[0,null,!1,null,1262,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1263,!1,[[4,3]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1264,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1265,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,1266,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xb087fad339d3c,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7227509594422558,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1267,!1,[[1,[2,"gla_combo_high_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1268,!1,[[10,7],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1269,!1,[[2,
["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7395052768047798,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9711115249106856,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x935c941b211df,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe4ec15a174c7a,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
0x6b03569f631d4,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf397766203b2,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xf57ad8319cd9e,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1270,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1271,!1,[[10,7],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1272,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1273,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,1274,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1275,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1276,!1,[[10,7],[7,[0,0]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1277,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1277,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1279,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1280,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1281,!1,[[1,[2,"gla_combo_high_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1282,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1283,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1284,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1285,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1286,!1,[[0,[1,0.001]]]],[68,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1277,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1277,!1]]]]],[0,[!0,"combo_low3"],!1,null,1289,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1289,!1,[[1,[2,"combo_low3"]]]]],[],[[0,null,!1,null,1290,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1291,!1,[[4,4]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1292,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1293,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,1294,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x6caac032e6d3d,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x3fc9e298397dc,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1295,!1,[[1,[2,"gla_combo_low_hack"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1296,!1,[[10,8],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1297,!1,[[2,["kung fu - achoo",
!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9945271986903776,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9915466642525564,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9187143de88ac,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9540438650461212,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9182549429306058,
!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6423424593216361,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x5d87625970402,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1298,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1299,!1,[[10,8],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1300,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1301,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,1302,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1303,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1304,!1,[[10,8],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1305,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1249,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1307,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1308,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1309,!1,[[1,[2,"gla_combo_low_hack"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1310,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1311,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1312,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1313,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1314,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1305,!1],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1249,!1]]]]],[0,[!0,"combo_low_left_high_right3"],!1,null,1317,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1317,!1,[[1,[2,"combo_low_left_high_right3"]]]]],[],[[0,null,!1,null,1318,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1319,!1,[[4,4]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1320,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,1321,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1322,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x7c07e024bba26,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,6791532760745448,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1323,!1,[[1,[2,"gla_combo_low_left_high_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1324,!1,[[10,9],[7,
[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1325,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xd5dd64d51123d,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,766993986455378,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x605d825127723,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x529e9fcf52013,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,0xb394b64c3c7e2,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8034475396105008,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,5028135647551073,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1326,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1327,!1,[[10,9],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1328,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1329,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1330,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1331,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1332,!1,[[10,9],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1333,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1334,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1335,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1336,
[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1337,!1,[[1,[2,"gla_combo_low_left_high_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1338,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1339,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1340,!1,[[4,68],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1341,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,1342,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1333,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1334,!1]]]]],[0,[!0,"combo_low_right_high_left3"],!1,null,1345,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1345,!1,[[1,[2,"combo_low_right_high_left3"]]]]],[],[[0,null,!1,null,1346,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1347,!1,[[4,6]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,
1348,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1349,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1350,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9358716279683420,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xb5b7abb3c9e44,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1351,!1,[[1,[2,"gla_combo_low_right_high_left"]],[3,1]]],
[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1352,!1,[[10,10],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1353,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6510077453117642,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,6277432560911739,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x50a049f5fdc5b,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xb47c2d5e849a9,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xc00097f68df4f,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x56055310db3cb,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,5040720710783188,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1354,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1355,!1,[[10,
10],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1356,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1357,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1358,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1359,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1360,!1,[[10,10],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1361,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1362,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1363,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1364,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1365,!1,[[1,[2,"gla_combo_low_right_high_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1366,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1367,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1368,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1369,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1370,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1361,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1362,!1]]]]],[0,[!0,"combo_mid_right_high_left3"],!1,null,1373,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1373,!1,[[1,[2,"combo_mid_right_high_left3"]]]]],[],[[0,null,!1,null,1374,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1375,
!1,[[4,5]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1376,!1,[[4,3]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1377,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1378,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x977ecbe099a21,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,4838789239768423,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1379,!1,[[1,[2,"gla_combo_mid_right_high_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1380,!1,[[10,11],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1381,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7915717591060974,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,5499389020271595,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,0xc7a557071c1f1,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7575627871405684,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9537006467927600,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8523477144296676,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,7048305016167162,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1382,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1383,!1,[[10,11],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1384,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1385,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1386,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1387,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1388,!1,[[10,11],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1389,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1390,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1391,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1392,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1393,!1,[[1,[2,"gla_combo_mid_right_high_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1394,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1395,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1396,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1397,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1398,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1389,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1390,!1]]]]],[0,[!0,"combo_mid_left_high_right3"],!1,null,1401,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1401,!1,[[1,[2,"combo_mid_left_high_right3"]]]]],[],[[0,null,!1,null,1402,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1403,
!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1404,!1,[[4,1]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1405,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1406,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xef5d011db0d08,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xd15c0278b335,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1407,!1,[[1,[2,"gla_combo_mid_left_high_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1408,!1,[[10,12],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1409,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5919437089559608,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,9672443623258152,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,0xe078c3c71f48f,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5911562740081935,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8575828811296206,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5216396110081339,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x57030fd6cc0d9,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1410,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1411,!1,[[10,12],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1412,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1413,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1414,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1415,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1416,!1,[[10,12],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1417,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1418,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1419,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1420,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1421,!1,[[1,[2,"gla_combo_mid_left_high_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1422,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1423,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1424,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1425,!1,[[4,68],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1426,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1417,!1],[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,1418,!1]]]]],[0,[!0,"combo_mid_right_low_left3"],!1,null,1429,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1429,!1,[[1,[2,"combo_mid_right_low_left3"]]]]],[],[[0,null,!1,null,1430,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1431,
!1,[[4,5]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1432,!1,[[4,4]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1433,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1434,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8051503460964082,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,7733181699320455,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1435,!1,[[1,[2,"gla_combo_mid_right_low_left"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1436,!1,[[10,13],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1437,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5114042362712208,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,0x93c303728f537,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
8524136936580324,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xddfedadef569c,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xaf0255d4250af,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xeb23ff9ecf913,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xf21598fa2fb22,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1438,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1439,!1,[[10,13],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1440,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1441,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1442,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1443,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1444,!1,[[10,13],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1446,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,13535,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1447,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1448,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1449,!1,[[1,[2,"gla_combo_mid_right_low_left"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1450,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1451,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1452,!1,[[4,67],[5,[0,1]],[7,[0,1]]]],[12,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1453,!1,[[4,150],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1454,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1446,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13534,!1]]]]],[0,[!0,"combo_mid_left_low_right3"],!1,null,1457,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1457,!1,[[1,[2,"combo_mid_left_low_right3"]]]]],[],[[0,null,!1,null,1458,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1459,
!1,[[4,2]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1460,!1,[[4,6]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1461,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1462,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8734191064014511,!1,[[4,182]]],[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8432937332096867,!1,[[4,80]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1463,!1,[[1,[2,"gla_combo_mid_left_low_right"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1464,!1,[[10,14],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1465,!1,[[2,["kung fu - achoo",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4935000679937766,!1,[[2,["swoosh 3-soundbible.com-1573211927",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]],[[0,null,!1,null,562666753649624,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
5610795366303244,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8ba4f237f8b50,!1,[[11,"skill"],[8,0],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,0xfae72fb7813e2,!1,[[10,0],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5524189353683422,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,6147307998502036,!1,[[1,[2,"100"]]]]]]]],[0,null,!1,null,1466,[[12,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1467,!1,[[10,14],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,1468,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,1469,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1470,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1471,!1,[[1,[2,"gla_idle"]],[3,1]]],[12,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1472,!1,[[10,14],[7,[0,0]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1473,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,13537,!1],[-1,cr.system_object.prototype.acts.AddVar,null,1475,!1,[[11,"move"],[7,[0,1]]]]]]]],[0,null,!1,null,1476,[[12,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1477,!1,[[1,[2,"gla_combo_mid_left_low_right"]]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1478,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1479,!1]],[[12,cr.plugins_.Sprite.prototype.acts.Spawn,null,1480,!1,[[4,150],[5,[0,1]],[7,[0,1]]]],[12,
cr.plugins_.Sprite.prototype.acts.Spawn,null,1481,!1,[[4,67],[5,[0,1]],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,1482,!1,[[0,[1,0.001]]]],[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,1473,!1],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,13536,!1]]]]]]],[0,[!0,"button"],!1,null,1485,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1485,!1,[[1,[2,"button"]]]]],[],[[0,null,!1,null,1486,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,
1487,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1488,!1,[[1,[2,"bam"]],[3,1]]]]],[0,null,!1,null,1489,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,1490,!1,[[4,3]]]],[[3,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1491,!1,[[1,[2,"kobam"]],[3,1]]]]],[0,null,!1,null,1492,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1493,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1494,!1,[[1,[2,"bam"]],[3,1]]]]],[0,null,!1,
null,1495,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,1496,!1,[[4,2]]]],[[2,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1497,!1,[[1,[2,"kobam"]],[3,1]]]]],[0,null,!1,null,1498,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1499,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1500,!1,[[1,[2,"bam"]],[3,1]]]]],[0,null,!1,null,1501,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,1502,!1,[[4,4]]]],[[4,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1503,!1,[[1,[2,"kobam"]],[3,1]]]]],[0,null,!1,null,1504,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1505,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1506,!1,[[1,[2,"bam"]],[3,1]]]]],[0,null,!1,null,1507,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,1508,!1,[[4,1]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1509,!1,[[1,[2,"kobam"]],[3,1]]]]],[0,null,!1,null,1510,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,1511,!1,[[4,5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1512,!1,[[1,[2,"bam"]],[3,1]]]]],[0,null,!1,null,1513,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,1514,!1,[[4,5]]]],[[5,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1515,!1,[[1,[2,"kobam"]],[3,1]]]]],[0,null,!1,null,1516,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,1517,!1,[[4,6]]]],[[6,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1518,!1,[[1,[2,"bam"]],[3,1]]]]],
[0,null,!1,null,1519,[[7,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,1520,!1,[[4,6]]]],[[6,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1521,!1,[[1,[2,"kobam"]],[3,1]]]]]]]]],[0,[!0,"enemies"],!1,null,1522,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1522,!1,[[1,[2,"enemies"]]]]],[],[[0,[!0,"beer"],!1,null,1523,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1523,!1,[[1,[2,"beer"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,
null,0,!0,!1,!1,1525,!1,[[4,28]]]],[],[[0,null,!1,null,1533,[[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[28,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,
[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1542,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,
1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,493331994749802,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,385707086787866,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9980121871184876,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1533,[[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[28,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,
cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1545,[[28,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1547,[[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1548,!1,[[4,16]]],[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1549,!1,[[4,15]]],[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13516,!1,[[4,150]]]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1551,!1,[[1,[2,"break"]],[3,1]]],[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1552,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1554,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1559,!1,[[4,41],[5,[0,3]],[7,
[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1561,!1,[[11,"scorefly"],[7,[0,35]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1562,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1563,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1564,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1565,!1,[[11,"score"],[7,[0,35]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,1566,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15578,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7681968999511202,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],
[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,!1]]],[0,null,!1,null,1570,[[28,
cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1571,!1,[[1,[2,"break"]]]]],[[28,cr.plugins_.Sprite.prototype.acts.Destroy,null,1572,!1]]]]],[0,[!0,"bomb_add"],!1,null,9648619475919914,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9648619475919914,!1,[[1,[2,"bomb_add"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1525,!1,[[4,197]]]],[],[[0,null,!1,null,1533,[[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,1534,!1,[[4,21]]]],[[197,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[197,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1542,!1,[[11,"hp"],[7,[0,1]]]],
[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.Destroy,null,7565604807081004,!1],[197,cr.plugins_.Sprite.prototype.acts.Destroy,null,368150040236393,!1],[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,8732396100810536,!1,[[1,[2,"200,100"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5305208976182154,!1,[[11,"combo"],
[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x826864c31a3e5,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9922099462644226,!1,[[1,[2,"hit"]],[3,1]]]],[[0,null,!1,null,0x487f52bf24d06,[[25,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9398767614134152,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcb73f54ae57e9,!1]],[],[[0,null,!0,null,0x3d7a8773f2081,[[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,
9173134289447236,!1,[[1,[2,"atk"]]]],[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9760023043488616,!1,[[1,[2,"walk"]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9934242286564540,!1,[[10,2],[7,[0,1]]]]],[[0,null,!1,null,8986015503730241,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa19e636d39016,!1]],[[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb6918869416bf,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xc92cba47e283,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4e9b173ddeeae,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x8ba9ee563fe72,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,7625084091674109,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9e3986bc7a90,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,0xbbf7754dc649e,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xb8611c7de724c,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,305773700665989,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd4784611bd0c1,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,9786748920007048,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,
0xd46ec729bb8fa,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9ddadc6e6d979,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9d5d0ddceb155,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x6efe06c15d33b,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,0xbff43ca2f0522,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7563352117403735,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x9a52d93734cc2,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9338776829716060,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,0xba5f2ef675239,[[112,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xe7db6b9a6c80d,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb564429f26f09,!1]],[],[[0,null,!0,null,5411626464909428,[[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5745964315369529,!1,[[1,[2,"atk"]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,7745286375406647,!1,[[1,[2,"walk"]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5686022565349521,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x84c6f4c064d7b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6040596655900355,!1]],[[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x89cdd6ae0f324,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,7123782417709692,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,7071910255766772,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7521831374580351,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,7253873399029258,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5685126183370377,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xe42a5dfaa25e4,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,8176221848231694,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd9c1195b2c9df,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x667ea5f02d06d,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8671562372348278,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,8101904921880373,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x78dff5a8c6cba,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x61793dcf9f6c8,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9042516376996106,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,5512224339097015,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4827529052161,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,9129059579096580,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xbe03ff07bf4b1,
!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,7360943754696848,[[108,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x96daad084b52,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9087522951544374,!1]],[],[[0,null,!0,null,0x7cbfd746bd440,[[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9885660727600364,!1,[[1,[2,"atk"]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6768951321392139,!1,[[1,[2,"walk"]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,592985351978045,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xe48dd1ef2a60d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4db8f6c1a8320,!1]],[[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x3cea1e7ca2ae5,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x879173f6691b0,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6894396542224711,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,7193693051513198,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,9247542252314344,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5043745552737159,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,9505499508284114,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,549158763450992,!1,[[0,[19,cr.system_object.prototype.exps.rgb,
[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,792646055215897,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7273871625145743,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,6239195470519097,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,6438278390711783,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4887486632833493,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6890219666902324,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xa445e5481f7ac,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,0x9098ef7d07c40,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7531683161549096,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,7490299677588345,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x431ad4156ed23,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,9102155815639500,
[[104,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x989a40c03fbc8,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5063256504731742,!1]],[],[[0,null,!0,null,5211435555697432,[[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6124268847991929,!1,[[1,[2,"atk"]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x4041f6cf72b29,!1,[[1,[2,"walk"]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe92676a871ceb,!1,
[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0xadb1c27b74e4c,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe627dc6d4ce4a,!1]],[[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,8382245470329728,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,693516948373565,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7794666691167267,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x826868ffe327,!1,
[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb16f21c65025f,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc56d346e41eae,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,7296319093046513,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,9862638941879960,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],
[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9675686081199356,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9453704958126328,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8689288447236098,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,505419841659654,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7337459566902504,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe0764e8cf30ea,!1,[[11,
"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8994686181327843,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,6011114440579664,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7381646204304201,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0xb5dcb716544c6,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5349596130400985,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,9530473057313504,[[100,
cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9229334824592292,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9845152336992580,!1]],[],[[0,null,!0,null,0xac826baad6695,[[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xc6e1dbc783239,!1,[[1,[2,"atk"]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x4710baeeb55c5,!1,[[1,[2,"walk"]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6088906985742248,!1,[[10,
1],[7,[0,1]]]]],[[0,null,!1,null,0x3dbf030949c31,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf85a44142edbc,!1]],[[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,8789825009196451,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,5883760412098643,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5702186869613328,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xf1ffa4ef81748,!1,[[2,
["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,4730403432613313,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7175487178772649,!1,[[11,"scorefly"],[7,[0,45]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x6e981beaa1bec,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x9fae1e5a34948,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],
[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf1180bbcd56e3,!1,[[11,"score"],[7,[0,45]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x9098eca985912,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,696140540146521,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,9985598871975566,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8329316442661185,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x727a3d8ca36ad,!1,[[11,
"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8144316949059964,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,4869832294833785,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x925d038192e20,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,7859465078960572,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9224162948434672,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,7099568886955048,[[99,
cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6338631194947566,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7380382205182235,!1]],[],[[0,null,!0,null,9164014486262972,[[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xac293fec51c26,!1,[[1,[2,"atk"]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6526128823236667,!1,[[1,[2,"walk"]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,481205624655446,!1,[[10,1],
[7,[0,1]]]]],[[0,null,!1,null,5019042102947323,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9994e37e2bfca,!1]],[[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,330786888578597,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa2106947a9c74,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x662672b836b37,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4905440755673386,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4894567269429824,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,6147105956728965,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9294548816210464,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x39fd699e8ff6b,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,0x99c9790806c31,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6427657363690123,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x67d1e300ccf67,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x8df1d40f260fc,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0x519479b991343,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6315614378364934,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x639eb8b7f7862,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x784ce18a50962,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,9689463735746352,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5560925252573784,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x7a0f9f65ea0cb,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x973f9bfc5482e,
!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,0xa24170ab6367e,[[129,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xb6d69d16deca8,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6247376402109175,!1]],[],[[0,null,!0,null,6780950517576665,[[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5622479476306849,!1,[[1,[2,"atk"]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,499644682476724,!1,[[1,[2,"walk"]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xc09b2e7919f16,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,8220014911089085,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x45e81bc51b447,!1]],[[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,8271651703420604,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,6988347077546754,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,7423346494810486,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xc85f3e32cd2f8,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,914621568851299,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,9723162838000228,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6718487806539084,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x5ee7994fd659f,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,0xc87354df6beaf,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8249008609556128,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xc474b9155e2d9,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8283285659942165,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,7102825963235849,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6727306502614717,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4796535084167099,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7012251643657587,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0xdd11314e1bd06,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,818616574042688,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x63bd97b1ecc3f,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xa3072611f7021,
!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,8647858443970187,[[127,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4545401122291957,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8976382397693306,!1]],[],[[0,null,!0,null,8354165724634877,[[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5386996826315746,!1,[[1,[2,"atk"]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8039146465445637,!1,[[1,[2,"walk"]]]]],[[127,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7896873397852336,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,511366543438891,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x987c342078a0d,!1]],[[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,7001302254341992,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,9915398577769576,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,23772063387823,!1,[[4,24],[5,[0,1]],
[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,291297915366584,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x9f7b39b0cbdf2,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,8297965294122518,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8691224932052309,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xbe1ed0750f8bc,
!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,7608363064082608,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,473615475175041,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x5a06706716ee1,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,5053377714776468,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xdf105f220a7d8,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3cbf883fdd1ba,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5381458501624803,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7242253094362025,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,8119632963843094,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4908810506648283,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x5fdf474163618,!1,[[11,
"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5315040686076049,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,5236269281755764,[[128,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xc1dc7344f3589,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7096040109661121,!1]],[],[[0,null,!0,null,8608373412980518,[[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x5e8cd65b26403,!1,[[1,[2,"atk"]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,0xc2e4642b14427,!1,[[1,[2,"walk"]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8977276650033512,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0xc74a004d9c2d5,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,462566820589479,!1]],[[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,7524094608634732,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,9676801949909272,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6785635587115308,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6847327925150829,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9260123933197928,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,9575673111670316,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4862658836681213,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,5580707086066373,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x9d0f86c776cba,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6342644561835291,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4585625615577555,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x9351e992e868d,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,
null,5011502535160616,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9ea23122af3df,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa5a0389f57db9,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x7e15fa209dd80,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,394208682540898,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9002046952381555,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,8150444959778138,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x9b83bcfcf2eb,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,0x9dede5536bfdd,[[125,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xaf2923bb6f945,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6347587023857785,!1]],[],[[0,null,!0,null,0xcee3045ebc72b,[[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9928068461596772,!1,[[1,[2,"atk"]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,0xdece88a4d39b4,!1,[[1,[2,"walk"]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x52a6b4b8b2fa4,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0xe74c6bc251454,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7541138363126505,!1]],[[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7fe788e5c3f4e,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,4959905895145743,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6185731787301651,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x711d7511b65e9,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9567161809372226,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x94cada0a95d42,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x94f01a593dc14,!1,[[11,"scorefly"],[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,7969877605913746,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x65f5385fa94d,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd63a0e0522c20,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5551151724019057,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xb5ca3b98e2b99,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,
0xbc2cdf4dffd67,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6ce70351f4bf,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x791b3d0f87054,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x76fe83dd1343f,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,0xe0769509ebe12,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6881144276336821,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,7275969083506752,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9551104675333348,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,4508953281776637,[[111,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x402c3c5a700f4,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7687328874877798,!1]],[],[[0,null,!0,null,9457728505313456,[[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9677162464806942,!1,[[1,[2,"atk"]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,5067745239241324,!1,[[1,[2,"walk"]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7922329998561691,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,9987845768271532,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9094995399351524,!1]],[[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,4710817643041329,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,8854321606964788,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6690775190716066,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xed6affd65c2d9,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xf8b9d64e6c77b,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbbe0d28f36fe7,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8392518606613072,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,6558311264801282,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,9265874976659332,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x60ebe5e72446,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x4c0f310dafb11,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xeec7b3bd0e29d,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,
8124417033641744,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x45b91bb277062,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7947917088839647,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8253251953727996,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0x806901ca889b7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5888180621605198,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,8703272464995035,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9531807239268056,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,81763467317811,[[107,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5739920848155973,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6f5540dd4692f,!1]],[],[[0,null,!0,null,878274484073989,[[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4962703249426891,!1,[[1,[2,"atk"]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,0x682de94a97964,!1,[[1,[2,"walk"]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x508598baa6965,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,9066117357624572,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8237428026642799,!1]],[[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,7464642235328731,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,5858161507932764,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7085396912586389,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x959069b71cdd3,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8732061707850125,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,5326652090994341,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x419283a09bac9,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,0xcfac8872d6664,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x90be9c33c1af0,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf0eea6991b675,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9155258327197912,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,437151681927926,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,
0xa30251ebea701,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7462097845209432,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9235194707686476,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xc99fc3d5cc7c6,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,0x742b1d5a1ccf7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5159092771551928,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,282287139937388,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x41c044e528765,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,969061181728131,[[103,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5190775353969933,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5659843992835734,!1]],[],[[0,null,!0,null,6678750777841574,[[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x686c15dc87a3b,!1,[[1,[2,"atk"]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,8920488768128141,!1,[[1,[2,"walk"]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xf97286927acc8,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0xdbcf769322761,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,529111168186134,!1]],[[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,324745138005886,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,6903047042798672,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7329428308242507,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7535597156464732,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7737458097215274,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,6895903766054211,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8695411829088776,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,5435612155436364,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x982d13eef7c91,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xa6f674e9cf9b,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x69c1a288c5e36,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,9876486145400292,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,
0x85b0c94b264f7,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x540398eeb9b7c,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4714635608450471,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8523898739455622,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,49460436097153,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7255082729241812,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,572361756088553,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x8edbc000ddd35,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,0xc9ef3687caf62,[[126,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9677112975720112,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5757862288761387,!1]],[],[[0,null,!0,null,60662022314312,[[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5841008652606247,!1,[[1,[2,"atk"]]]],[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,8431223519434593,!1,[[1,[2,"walk"]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x9b24937a27899,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,6847451416829009,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6969404520656979,!1]],[[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,8988388520650988,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcda12ddfe8653,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xf591c4cc1740c,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xb956cfb636abd,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xc0938ddc9f4ae,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,8509244325036138,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc137181d9344a,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,0x89d04898f4c7c,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x67af6896daf3f,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,830600059757653,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7340500567761861,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,5968881911806245,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,
null,848621864308543,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6589227784960735,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5215541644820865,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x7e6da5b898e9c,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,4874008461208574,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9796565766150168,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,
9120006125124136,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xd54e38cf31bb4,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,0xd8bf1a8b93819,[[101,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x937d3c65183ea,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcd25d1a2910ec,!1]],[[101,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x93721491a1dea,!1,[[1,[2,"break"]],[3,1]]],[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",0xf80425a0825bb,!1,[[0,[0,0]]]]],[[0,null,!1,null,9861486404033608,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf3df5553a6843,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,8803097289982385,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa857cba9ac103,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5510865366254205,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,4886468586642554,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4aa3cad381eaa,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,969908451787801,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,7606614808089598,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,6614230019020779,!1,[[0,[19,cr.system_object.prototype.exps.rgb,
[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,5962680330160944,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x9c6affbe82e82,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5691738742774322,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,5713128637130112,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xeab1f8974b211,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x80c1495d51a7c,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x80f65bd2f8383,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7604785135199256,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,7183370176126494,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9726873733141224,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x4852da3186873,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,729702598013264,
!1,[[11,"money"],[7,[0,6]]]]]]]]]],[0,null,!1,null,0x9aadd9c9d69f5,[[113,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5001803106557698,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x455ce3ba15660,!1]],[[113,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xade4475b894d1,!1,[[1,[2,"break"]],[3,1]]],[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x6fde7b2016ea3,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x60b054054a40,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8031868039050127,!1]],[[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,7771200046207815,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb95cbbeaa1fe,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xbe02ccb65680c,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8892078131195971,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,
null,560881766367687,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,506730366187334,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6270810855417014,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,8293246697039128,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0xe19147c45ec90,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x94b01278cb782,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,823060081147416,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8160572671752101,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,7287770883232751,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8185169924112892,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9612128681476268,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,0x69fbe029933be,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0xf3e029b48ada9,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4773989408102762,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,399936341811712,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xd26b1cfc08ba5,!1,[[11,"money"],[7,[0,30]]]]]]]]]],[0,null,!1,null,930170280131265,[[109,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6774697847447999,
!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7402522859000749,!1]],[[109,cr.plugins_.Sprite.prototype.acts.SetAnim,null,661070139791689,!1,[[1,[2,"break"]],[3,1]]],[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6190237823231624,!1,[[0,[0,0]]]]],[[0,null,!1,null,6813504125694444,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,691917948524733,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,9068031825692466,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[109,
cr.plugins_.Sprite.prototype.acts.Spawn,null,8026429529005235,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8347872858451349,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x39a6b92e63727,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,6192433650085597,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x40ce59758d607,!1,[[11,
"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x814a20d6b423,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,4837455039405214,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,7540178756549196,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,926382844634834,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x98c42c2c8e22c,
!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,7223558776485213,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,8855444297575673,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4546042047914304,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe76acc0bda808,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x487ee42bf5b92,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,837009604559965,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8487333281032903,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x4703528eab47c,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9313359556015314,!1,[[11,"money"],[7,[0,20]]]]]]]]]],[0,null,!1,null,0xa992314c68479,[[105,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9130666703646948,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x98b7639708dd9,!1]],[[105,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x39af7d4b7b5fe,!1,[[1,[2,"break"]],[3,1]]],[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x400b2584b3135,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x81e7e417e80b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x75b90520dffb7,!1]],[[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xce900f8af5a6b,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4c7f0f20931a1,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,982184743711496,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x497ddfcea543a,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,7999378142692202,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd56517f17db8f,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,778023427024054,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,4655354475629066,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0xd729c4d4ed4cc,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,751746280109863,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6303457062312746,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,9115449401406364,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xf8ca597994b47,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb572a35b2a64b,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5116995611139206,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xe6717bc2cd8a,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,9555364700047800,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4857992464183344,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5629861717217845,!1,[[11,"bonus"],
[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5633349953367933,!1,[[11,"money"],[7,[0,10]]]]]]]]]],[0,null,!1,null,0xd5310f3dad557,[[102,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8570512710886042,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9945952755234664,!1]],[[102,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6286fc06dde44,!1,[[1,[2,"break"]],[3,1]]],[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",7923126333622872,!1,
[[0,[0,0]]]]],[[0,null,!1,null,7023978389231507,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7472140462777052,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,7772867135117155,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,8620153236577456,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe08535b6f43ca,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,412627052939787,!1,[[2,
["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,6943567337969573,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x60e93e060ba91,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x59be4aecbbb4d,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,7107423838900722,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],
[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,9390387279050496,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x678f8a5c11679,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7795105356586415,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8439612300410998,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,5669679758796883,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7888104763115046,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8568b06962a27,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xea993c45bcef,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,0xf1341ea1c1381,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6832157033936612,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,993904104222245,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x9b9c37aa5ec84,
!1,[[11,"money"],[7,[0,6]]]]]]]]]],[0,null,!1,null,8704941579601503,[[110,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x7635b35b01e29,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xff8c85185f84,!1]],[[110,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6559133272612558,!1,[[1,[2,"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9089400633850746,!1,[[0,[0,0]]]]],[[0,null,!1,null,5137295001881797,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x84477ce9dd137,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd9f096f6fc129,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x710ed4594226,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x8d610fe130228,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x98116bcc73806,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,
null,531814073895864,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x51aeaef32f5ab,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,839919722674151,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xc9a180a33092c,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,939912660117416,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0xa6f6e1374a021,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd43627e296835,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,5669112830037261,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,6353133316242362,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9205791579897274,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8385962882820774,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,6619893188302228,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,0x661b29ed20819,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6182759486470217,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6111024608442326,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x78e218fcce747,!1,[[11,"money"],[7,[0,20]]]]]]]]]],[0,null,!1,null,0x914adde44d616,[[114,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8789295439837589,
!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9001551935709916,!1]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb13f199555b4e,!1,[[1,[2,"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x9cc2675d5fb77,!1,[[0,[0,0]]]]],[[0,null,!1,null,8048343620743923,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5209843075294427,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,4661378953743003,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[114,
cr.plugins_.Sprite.prototype.acts.Spawn,null,5507918212272114,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7612498784107257,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4506970014893514,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,4957409787027302,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9989598862380984,!1,[[11,
"scorefly"],[7,[0,100]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6849836466727205,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xfc0c999f73a45,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,9552488359062288,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6404099881149331,!1,[[11,"score"],[7,[0,100]]]],[-1,cr.system_object.prototype.acts.AddVar,null,
0x57ede223b289d,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,9477659139012204,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xa5b5d77d924a0,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xcc5bff4c27b92,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,648057872654765,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,787761843224718,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,7400187272366374,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8930408831132871,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,549481164447159,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x4d0aa6d4f4689,!1,[[11,"money"],[7,[0,30]]]]]]]]]],[0,null,!1,null,7806449232403837,[[106,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8433258108659563,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x50a2069fa32ff,
!1]],[[106,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x99cbdb2a8965f,!1,[[1,[2,"break"]],[3,1]]],[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4953272615338203,!1,[[0,[0,0]]]]],[[0,null,!1,null,83757468599804,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6449996312889526,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb069d5afe80f,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe24dfb19f8bc3,!1,[[4,33],[5,[0,1]],[7,
[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4971613875517386,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xfece87813a6a3,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,901152717642414,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6689611208195599,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,8474605636547686,
!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xdd93479bb934c,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0xc26b6893b7289,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4852082795833369,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9652014011488162,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0x822b4f5089c84,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xec23c1524fdc4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6828220965015763,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7619044885837403,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x6750d132df51c,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,4563326570851148,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3c3106ccbaa4b,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!0,!1,0x81b6f80f4933f,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5549817784505288,!1,[[11,"money"],[7,[0,10]]]]]]]]]],[0,null,!1,null,0x9fed709f68889,[[19,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8288236267425777,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6874626843473489,!1]],[],[[0,null,!0,null,0xf2db31366bb1e,[[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9868425139954078,!1,[[1,
[2,"atk"]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6252811853547567,!1,[[1,[2,"walk"]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7059218144683185,!1,[[10,3],[7,[0,1]]]]],[[0,null,!1,null,0xd24eca9bbaa00,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9407191452134414,!1]],[[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,7738011282065414,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,6866731100203504,
!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x5a54f21db8c74,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd7dc95e908fab,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6307467380901055,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd51427e9b18b6,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,930175292354331,!1,[[11,"scorefly"],[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,9854755445005852,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,4618722958228796,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5406206914964965,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4871951274987263,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,8133948570427441,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,5896555666877404,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7036853747033629,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6810512359368966,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7647797891330861,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,8723129753223886,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8642564874484526,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,4737107316372861,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6606877837238498,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,0x3b93275424a57,[[30,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x66ed1b0f2c1e3,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8032291866350101,!1]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7494790742194453,!1,[[1,[2,"break"]],
[3,1]]],[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9011144136950284,!1,[[0,[0,0]]]]],[[0,null,!1,null,8921682551335481,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5521d612e1296,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,5396881546971141,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe0d8f001edda6,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xc6bebe52c05cc,!1,[[10,0],
[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8378620231852965,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,7997914969377117,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5097696290592264,!1,[[11,"scorefly"],[7,[0,40]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,9801937486197080,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,
7626662315691256,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,7665190169251914,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4743603550414863,!1,[[11,"score"],[7,[0,40]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5149507182768941,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xef094cf8caeb,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0x4467c0b8b7b0d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,526048635163318,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x64f490dbe7928,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x7ade45741fcae,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,895870957993895,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd440fc0552cba,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,8818895979716133,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,0x71b1b6a52e6dc,!1,[[11,"money"],[7,[0,3]]]]]]]]]],[0,null,!1,null,9077603914902848,[[28,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9292611161778646,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbcae964c88e01,!1]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc45159f6789b3,!1,[[1,[2,"break"]],[3,1]]],[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x3ba16d32e8d0d,!1,[[0,[0,0]]]]],[[0,null,!1,null,8269256080706002,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6454371103775765,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd3f07809c9c86,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,287980741539605,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xce29aaa23ca9d,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x7731420448a8a,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9277437111145944,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x729b2a4551a06,!1,[[11,"scorefly"],[7,[0,35]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,4833976349642206,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xbac1541c46f47,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,4683713264226282,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,5797692214044688,!1,[[11,"score"],[7,[0,35]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6297291821781165,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,4918050982041837,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,5431910402366737,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6045640617383322,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x58423de785fa8,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,0xdd618eb9cbfff,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,0x730f907e21b16,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9643787703328978,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,4599560333701192,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7238586029496465,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]]]],[0,null,!1,null,1545,[[197,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,[[1,[2,"fly"]]]]],
[],[[0,null,!0,null,1547,[[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1548,!1,[[4,16]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1549,!1,[[4,15]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13516,!1,[[4,150]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8347019322452967,!1,[[4,18]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,27102082133072,!1,[[4,17]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x5f3411af03f8e,!1,[[4,68]]]],[[197,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x7c8ffecbd1a7e,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[197,cr.plugins_.Sprite.prototype.acts.Spawn,null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,27],[5,[0,1]],[7,[0,
0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[28,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x89b692c5e0780,!1],[197,cr.plugins_.Sprite.prototype.acts.Destroy,null,9951365320326676,!1],[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,9904358422402520,
!1,[[1,[2,"200,100"]]]]],[[0,null,!1,null,6175784084890837,[[25,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8333503866457012,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,290121171337762,!1]],[],[[0,null,!0,null,0x558cf25f018b6,[[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xfce8b9eef3894,!1,[[1,[2,"atk"]]]],[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7964065949333569,!1,[[1,[2,"walk"]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,654702817625716,!1,[[10,2],[7,[0,1]]]]],[[0,null,!1,null,8884753768042503,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8571320257752607,!1]],[[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe7c150a484129,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,6645005234277522,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5812433664828336,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,5888787658314901,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,7303249423198648,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x82ff06009efa8,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5634704455603839,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,7242289062319287,!1,[[0,[19,cr.system_object.prototype.exps.rgb,
[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9898799494404220,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x5b62cf2362214,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,5172426841688939,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x4f6692f7884a1,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6744049427421578,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,4889078577775317,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9941732969219208,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x960106fdf512d,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,8580830705464161,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4753934496615375,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,9044085664975824,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,620253351901608,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,0xf9efa08cd1a04,[[112,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7812427350636151,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9721900132593280,!1]],[],[[0,null,!0,null,0xe7168e410b42a,[[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8612417378083688,!1,[[1,[2,"atk"]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5228676699066342,!1,[[1,[2,
"walk"]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5291017408571386,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0xc0619d1a3da8a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7142570761997373,!1]],[[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6209b217b698c,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,5837018781521312,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd2e64a717ab7,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9622865838861176,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,7906701293143887,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9280133281992514,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,8633401572696796,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,5217481092796715,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4599856736408669,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,804670534643884,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8690587396047937,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6881823019478671,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,4678897823497367,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7155391967719559,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd654b388d39d2,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5088365884431247,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,8183317029321716,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,514000734952891,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,7751253760280566,!1,[[11,
"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,598555932720909,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,458800041752336,[[108,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x54dec5a73a96f,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8202222404324552,!1]],[],[[0,null,!0,null,640169094321385,[[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9038550025246004,!1,[[1,[2,"atk"]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,9480870137941056,!1,[[1,[2,"walk"]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xdd2075fb01bb9,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0x959f220c0abec,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfc855dbf19cdf,!1]],[[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb914b4d42598,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,4975330757026045,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,6196197709464054,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x8687a6169663d,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc2da2643bff4b,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9936479765610148,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5812032248122718,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,0x4a2f450406aa4,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd1e3662fc1667,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x3b0f4336eab65,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,864408692714165,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6578483758468712,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6100484398070923,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7360788473849353,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,815844172235128,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9298132585272198,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,9699915563141396,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5029609625091366,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x9555adac1a964,!1,[[11,
"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6599825810140983,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,7125753288201481,[[104,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5627038526698432,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8506363532099676,!1]],[],[[0,null,!0,null,8403202449595609,[[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7503669566287935,!1,[[1,[2,"atk"]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,0x9432bb20f1a62,!1,[[1,[2,"walk"]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x69dc3a0f2f450,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,5466951053499085,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6510302744542985,!1]],[[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8cf60857f3d5a,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,8053049358274354,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0xf5e7ead2a5d9e,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x4a99cf98be6bb,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe8c7aff50f9f5,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,78989899189333,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xce635cb336963,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,4999438187888515,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5996838245916056,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6436122744834507,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8063620366538055,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6423244845606836,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,9827966151050886,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5177230430312044,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7838075174519111,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8077786455415463,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,0x4dab8cbcd9d37,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9961494766748374,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5165544606449769,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xb5564d34873ff,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,0x9f0840bc99e3c,[[100,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8222743688333054,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9139146294902546,!1]],[],[[0,null,!0,null,9749394026578180,[[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,596600367381461,!1,[[1,[2,"atk"]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,0xea5642c1f26fd,!1,[[1,[2,"walk"]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7605602429442246,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x81334c289d42e,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,313477837824833,!1]],[[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,8205268193525807,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc32793769d30,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,0x41ca1ace36c7d,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5219238549272642,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdf2f0ac6b3777,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7217274647895853,!1,[[11,"scorefly"],[7,[0,45]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xd804bfd20e4f0,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,7773055943937839,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xd0ae22db4c60b,!1,[[11,"score"],[7,[0,45]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6947838486678076,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8405665267627143,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf8caf043c097e,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,5059930406921889,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9471863437915074,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6f3ce985791f7,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,41239500919894,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,8987275058008435,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8315542631773267,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x96fbf10fea387,!1,[[11,
"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6903035727698527,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,719016699421137,[[99,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9343066838831712,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5073877258384416,!1]],[],[[0,null,!0,null,5317082714973515,[[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x3948deffafc29,!1,[[1,[2,"atk"]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,671361129816287,!1,[[1,[2,"walk"]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,916859030292949,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x972af5ee25668,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9049c54049484,!1]],[[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,9171954399863486,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,9992477823189100,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,
null,591541509140624,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9710866456570776,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4879078298358602,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,6461092116418263,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8915604623099396,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,0x8249f228e1a33,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,4707571594884834,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6815740729951194,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6699017746951228,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8004536768482265,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,4758054497155839,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,4888360138427892,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x42d9b8314b2fe,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb1e6be04d36ba,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5225220703391467,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,8803430150949415,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4663776644872253,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,9258259714399524,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,369236163988176,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,0xaed7b05a9f994,[[129,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6821115829680272,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5787324310300373,!1]],[],[[0,null,!0,null,6209968941423731,[[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,6655743516143437,!1,[[1,[2,"atk"]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,414290552185876,!1,[[1,[2,"walk"]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5286433911978358,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x3fa0123a12def,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9226515169977208,!1]],[[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,6092922125361877,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x512954f8971db,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf9d2d78927bb2,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7841293762728927,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xd3fd73eb9969,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,6979260004176486,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,5092914021350444,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5120410992679492,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,38123312434281,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x793ea1f80139c,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x9b37c397033f1,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0xca88045f37f23,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6239192917932603,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0x9dee185b95a1b,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x94452d4a40f19,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6369765106330685,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x9d5e8d5e91514,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0xcaf346ae2e644,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5d96a5172d40f,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,952150341720475,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xa0a4d2ddd05ef,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,9884566669084656,[[127,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7593781717741334,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6018408693649599,
!1]],[],[[0,null,!0,null,9792489863861508,[[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5805385803902766,!1,[[1,[2,"atk"]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,721829834870296,!1,[[1,[2,"walk"]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xca3a08c9a9df9,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,9180842064456720,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5137719962462573,!1]],[[127,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7027344724384064,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x5d1ab156499c3,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6d6122c549f45,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5844615238895896,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xc774cebb3fa5f,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9271309184915548,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x67ebc5e5e59c1,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xbfecd00b47149,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,7989777578505224,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8305061404420017,!1,[[11,"score"],[7,[0,50]]]],[-1,
cr.system_object.prototype.acts.AddVar,null,0xb123bc4bd2afc,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,6375323970805269,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4511746906937887,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0x4e9ead3cb7db6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7671370291429981,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3f686469d172d,!1,[[11,"bonus"],[8,0],[7,
[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xcf2dbe089ca02,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,388992653310941,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xde532f30ad0a0,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x5982b436b6d0b,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5382923435584417,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,4726297564334648,[[128,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,7363936688284057,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5b795ce8c8139,!1]],[],[[0,null,!0,null,0x789cc169f4a08,[[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5737551287111694,!1,[[1,[2,"atk"]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,312551236705693,!1,[[1,[2,"walk"]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x4041c8cf8dd95,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,0x737bfaf4372ca,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,801308522082689,!1]],[[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x94fee7f9feed7,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,56605231660591,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe7bf98061ba6f,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,746631421711124,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,5722455722647629,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,6104796838102515,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x99c52af3d2201,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,8010510367828476,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,7501120029180412,!1,[[0,[19,cr.system_object.prototype.exps.rgb,
[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8446198502449978,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xc00608edac80e,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,6635234661605525,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x4f22557d1fe2b,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xb792c33b82d78,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,
!1,5925781585281921,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x68a919ad425cb,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5853352182583337,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,0x6ba59343e758f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7210818777560426,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,9992046150435808,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,5070857494088357,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,6162981474718612,[[125,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xc8435e7bb5af7,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7618874473530645,!1]],[],[[0,null,!0,null,0x9a22827515209,[[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8079570662993043,!1,[[1,[2,"atk"]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8918625069992422,!1,[[1,
[2,"walk"]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7369471201283292,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,6025660733859532,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xedf0aea264b04,!1]],[[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbf85689553312,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfbe6eca53f421,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdb6c5647a702e,
!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4867414823970061,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,636315784246953,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,5318200112754077,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6a8983a12b89d,!1,[[11,"scorefly"],[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,
null,9450670929812924,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xde0a4e99e9e4a,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6691161307022525,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,884539400458718,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xcb2a8e7e19562,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6184503159837561,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,4640613017376797,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc444b0dd63094,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcaa452fc0a951,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x3cb9fae1ee158,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,6290282131628122,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7242592383313698,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5652628097802092,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x5e743165710ef,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,50896200606389,[[111,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8883000972835945,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5343641705756465,!1]],[],[[0,null,!0,null,0xe86f565a559bc,[[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,0xf90b16239c55b,!1,[[1,[2,"atk"]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8247281228459829,!1,[[1,[2,"walk"]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xeabde943d40a1,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,0xfa3700a0b1c76,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa055a9dd8fb75,!1]],[[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,4992744679109799,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5894889736394778,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,6484581778387648,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,295224671973574,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xc9b0585ab24c8,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,6522985150749668,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0xef2e7e656ece8,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6665867967530125,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xdcc30c8c3db4f,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xb83fbaa1db66f,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,995550828596204,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0xab94939b41109,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7827408866911746,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,7620572869490553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf31a706601a48,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xefe47e8465d66,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9955320926425604,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0xe572e23cc9472,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7005d7364ec85,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,9378606623068718,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xe1b4fc603c88c,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,6697023127508651,[[107,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7208540985603494,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd33d7de909019,
!1]],[],[[0,null,!0,null,594719237244938,[[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6761676579538492,!1,[[1,[2,"atk"]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9112300484947276,!1,[[1,[2,"walk"]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9579027406737404,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,687732613041442,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf64c454b7a989,!1]],[[107,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xa4f0a28cf7e34,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7935673b17111,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa8381048f3ac5,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x7bf632b39639b,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,600642197159315,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xf821a7dd8624a,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xed23a5400ab51,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xfa08a88896501,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x6fce63988f9d9,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6741544789325855,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0xa136b9b76c7ec,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,6283133918058732,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf7f9eafb1cd6f,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6806319186198659,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6344576340ba1,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8988354549633238,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,437178913788818,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,8592039891255491,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,842470237805947,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,581204051545679,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xd1e3fd2d3f30c,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,0xbac77eda0ff73,[[103,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4674910257275179,
!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8548713265253883,!1]],[],[[0,null,!0,null,5677386880082059,[[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6799121474243892,!1,[[1,[2,"atk"]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xf00eae9d30313,!1,[[1,[2,"walk"]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xd0c65603dedbc,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,93079896106907,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6029218052978937,!1]],[[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,474147671125931,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc828b9339885f,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,5554873446426108,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8888910298789313,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9070325177244024,!1,
[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,4905662064514501,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8830446222096577,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x4a4e90b69edb2,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x8230ac24a1f7a,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,
35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5314965908763129,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x6a67b643a6f17,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xef6de4fcf0d8b,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7203853962638165,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,391844095875746,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6680373156980374,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbabbc9ca10c4,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9945458777456364,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,6042831325251856,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8635733059391192,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,7988818882240996,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xc1ef32e3eccd,
!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,0x74b3d78b9456d,[[126,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6965664959055317,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5704843156505957,!1]],[],[[0,null,!0,null,5844209216690974,[[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xb74b8c091a20b,!1,[[1,[2,"atk"]]]],[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5838624489462512,!1,[[1,[2,"walk"]]]]],[[126,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7507265684774571,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,8404107429749284,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8921425919062491,!1]],[[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,6926830151421807,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,7215349202195325,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc96eba4c29dd4,!1,[[4,24],[5,[0,1]],
[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7983027486876428,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,9116982933254958,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4434848d812fe,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4715012008470367,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,9423147041959268,
!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,6257059056003595,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6827159996257008,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6945391266647053,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8938118316548763,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,9458499366638758,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xb1cec25abfc05,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf412946954bf,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,497347141384798,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7621056771905708,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,0x4439e928b06c2,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8204060822105548,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,8615542409748182,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,471517049517039,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,7836421620327095,[[101,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x4b5b5154aea4d,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x86dee17593add,!1]],[[101,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbcfdef0acb28d,!1,[[1,[2,"break"]],
[3,1]]],[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0x4128831a90fe5,!1,[[0,[0,0]]]]],[[0,null,!1,null,9794125986555820,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3d11346729bad,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,7770946201859395,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,8210026949978452,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5402287621429761,!1,[[10,
0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6305199316798881,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4d738940eee0b,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x762e5836815b0,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6004517975288126,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,9888319068186656,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,8384791923873318,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6599566765081764,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9843591891876606,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xe3f844918b319,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0xb8ac967d12b19,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xc1cd0529ef18d,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,941144997768714,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6742511353161309,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7950751780966489,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,592603559512146,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,912543792271391,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0xb83bb62885260,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x6553c0625528f,!1,[[11,"money"],[7,[0,6]]]]]]]]]],[0,null,!1,null,8871833063696019,[[113,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7806974508211613,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6099260728189644,!1]],[[113,cr.plugins_.Sprite.prototype.acts.SetAnim,null,652700241417464,!1,[[1,[2,"break"]],
[3,1]]],[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5270011304771021,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x44fa8b7847968,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,352806320959014,!1]],[[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,946859778014568,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,6420690366763686,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x815009bf9dc7d,!1,[[10,
0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6298533022555459,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x73ddd659e66ed,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x589a916457e5b,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x962997cc27b1c,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,8836408451710584,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0x535a198317739,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xb0b025b9ba270,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x9e3a8bb0902c4,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,5206952406671433,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x8f74d3c6155e8,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xf100e485ecdaa,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8514053031790489,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa8ada740a643b,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9108736509738352,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0xe52df49f3d111,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6907445319108414,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6633057460032865,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4884944698661792,!1,[[11,"money"],[7,[0,30]]]]]]]]]],[0,null,!1,null,9232312307989442,[[109,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xddbc97e27c04d,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7573928325234598,!1]],[[109,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x93db935224a42,!1,[[1,[2,
"break"]],[3,1]]],[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9849575887705540,!1,[[0,[0,0]]]]],[[0,null,!1,null,9591963866334222,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x97f7cc59e62f8,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,6465647059919973,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,8485213039995343,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7440611326949737,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6920423069473225,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,778230514198467,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9333884090581834,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x9794229057b6a,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,8895674128950732,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0x5523ef971922d,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x5d8a9478ab227,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6662516346104143,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x58b556a7b3e30,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x9969f86987e7f,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xf83d0a162d96f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5721057863822839,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9719113696551896,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7063744618497857,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,9065176142222860,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x917063a2cf12a,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5010705483630223,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xfbcd4ca043c28,!1,[[11,"money"],[7,[0,20]]]]]]]]]],[0,null,!1,null,0x89d69585feb88,[[105,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,7591798904163139,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7568440831084542,!1]],[[105,cr.plugins_.Sprite.prototype.acts.SetAnim,null,920824092159192,!1,[[1,[2,
"break"]],[3,1]]],[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6912730279015465,!1,[[0,[0,0]]]]],[[0,null,!1,null,4634984143977137,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7864535579559989,!1]],[[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,318010475270984,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,9774123374779992,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5596039124132783,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4542472385695169,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,718956484935067,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7281204037663972,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x6fe7d17ef9fe6,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,7701358179860278,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0xeeca12729b14f,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x9ea38f6ba544e,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,337038966928708,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,7611264065508984,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6091994488702787,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,8890806400679163,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6a16b7bd9622b,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7223421633882676,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6371519865267587,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,8612383996943003,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8936308169692209,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6128730212590161,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5038968260265524,!1,[[11,"money"],[7,[0,10]]]]]]]]]],[0,null,!1,null,0x42a3ef0c739ee,[[102,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xd6896001dd173,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbc7e6acfb8b91,!1]],[[102,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5835438798147843,!1,[[1,[2,
"break"]],[3,1]]],[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xedc9b151d85ac,!1,[[0,[0,0]]]]],[[0,null,!1,null,7968491872543117,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8312251669428499,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,5860464674133283,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xeafbe3a98f1ee,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xca5f119d09fea,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x3f4fcc0ae576d,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4a003ee9762d6,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7af02bf521ed7,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,7681573687467073,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,0x55f83e2e8b0c6,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,4523373359632241,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6976144075265893,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8183201993577144,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8190552893309609,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,5341889995200991,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xf3857f4b52b95,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd60e433a4c462,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7539901388009311,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7535029283781085,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,4704962434286295,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3c2f44ed1f984,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,8851812006266385,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x39dd10871c020,!1,[[11,"money"],[7,[0,6]]]]]]]]]],[0,null,!1,null,5949616068237073,[[110,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6005010824674814,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf47dc1d608194,!1]],[[110,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9631993533528668,!1,[[1,[2,
"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6704128056734658,!1,[[0,[0,0]]]]],[[0,null,!1,null,0xd9581fa23cc23,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5851817293476878,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa0f8403a14a3b,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x4a3ec57e5d311,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7014778535451681,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,8412449358096338,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,376981357644462,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6818889162056048,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,7088427964816457,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,8256713946648011,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,9321205226016568,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6675011627637587,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6926863875801898,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,6423176244081039,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,5276125198818602,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,636393583216587,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe494f5e0a0eab,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6276163410872569,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xf0cbf4d425714,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,9170403055316928,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5977234328564774,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0xebeda0feca763,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6819025927354622,!1,[[11,"money"],[7,[0,20]]]]]]]]]],[0,null,!1,null,8167430186387491,[[114,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x8ba7d26479dfd,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7260021151330118,!1]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,640539951305013,!1,[[1,[2,
"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",863339975221608,!1,[[0,[0,0]]]]],[[0,null,!1,null,784562835418366,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6736145108761316,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,6256802482937009,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x46a48f8df0704,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5496324793159224,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xbc94e1230189a,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x8b861fd47b0bc,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5016549845215594,!1,[[11,"scorefly"],[7,[0,100]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,941506116955371,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,7144055626815183,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0x551888f55a25f,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7269195969828211,!1,[[11,"score"],[7,[0,100]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x3a0e75a885f8a,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,4942414469233512,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0xec053354e547c,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0x547fca61926a1,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9162263559778712,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8749622589715944,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7862044667488112,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,0x491ceae955d30,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7223748883291817,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5574271320060973,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9279120659354028,!1,[[11,"money"],[7,[0,30]]]]]]]]]],[0,null,!1,null,0xd763b9f71aa32,[[106,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x62cdd5f8194bb,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6619225884680286,!1]],[[106,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5733909136993113,!1,[[1,[2,
"break"]],[3,1]]],[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6824420484470434,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x7e6b4c0b860f5,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4611888307572619,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,9389584322940612,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe16d2f4bf5b1b,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,9482982908715692,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xe40ae3fb424be,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,5490360594094184,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9781550907388080,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6931795037866803,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,5651208980244966,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,6208158874075513,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x45ae19151b20f,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4552612324993477,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xcaabaaf62d30c,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x527bdca2a5cf1,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0x3e8555a49aee6,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4892896d514d1,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7626163757253521,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,8643961047739873,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,4866932083343708,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfaa28b2d16604,!1],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0xc7709572dc41f,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0x589576981e500,!1,[[11,"money"],[7,[0,10]]]]]]]]]],[0,null,!1,null,8271312030604746,[[19,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xe0c6d7c83819e,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9e8f66743508e,!1]],[],[[0,null,!0,null,0xc9c41480d1a4a,[[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,7196856000911026,!1,[[1,[2,"atk"]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xc04d09cc8fb03,!1,[[1,[2,"walk"]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xe38a52dacd03b,!1,[[10,3],[7,[0,1]]]]],[[0,null,!1,null,9315422920489536,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5164591507423474,!1]],[[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,9049126207565092,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7899972908809604,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf542c57ef04f3,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5803094717485198,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,353598797141439,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,6056149133609327,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0xf2e5d1e423d09,!1,[[11,"scorefly"],[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0x6411ceee1f7ff,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,9063136791566804,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4880505702327328,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5270369584613555,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,6800218094065684,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x95df7beafde06,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0xf44fecbfe93ec,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd0a6a8c0b6cbd,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5804474226321516,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4687805272745585,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,8590311459046448,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x59ce490fc7a66,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,9924877148967800,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xb20fbcbb0cf1d,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,6763301925751475,[[30,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6045359410167372,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8717253374755682,
!1]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe74689ed61ba6,!1,[[1,[2,"break"]],[3,1]]],[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5058984301969853,!1,[[0,[0,0]]]]],[[0,null,!1,null,8440852958704183,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7647889164129778,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,6423442628151561,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,644076114803145,!1,[[4,33],[5,[0,1]],[7,
[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,379321885298834,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,310662629978812,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,7623732251073736,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4552874153216413,!1,[[11,"scorefly"],[7,[0,40]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,7343583022362301,
!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,0xfe0d42c0aba6a,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,8250185715874467,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4565979110299743,!1,[[11,"score"],[7,[0,40]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8156431055369394,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0xd8bc2bf918197,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xc3f3a8c02fd9d,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6410953835490463,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9d384160ae766,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7519094962490754,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,819569084364924,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,0x839b330006ff5,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,410977422359318,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,7160437055533133,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7182354370846983,!1,[[11,"money"],[7,[0,3]]]]]]]]]],[0,null,!1,null,0x83d889754ce0b,[[28,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5747500754294293,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8720338971120464,
!1]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6c93657cd3ce0,!1,[[1,[2,"break"]],[3,1]]],[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",9770333738553008,!1,[[0,[0,0]]]]],[[0,null,!1,null,0x4bc4093e9f7a4,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,965694138199979,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf9b6b2076ab3a,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe800845da986d,!1,[[4,29],[5,[0,1]],[7,[0,
0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6965505864254142,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0xfa4ac1d5d450e,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,4774309815116077,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7594871568899691,!1,[[11,"scorefly"],[7,[0,35]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,0xa2f54a07840b2,
!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,9507829210106974,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,0x98ef29227a3a9,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xc1e9ee2259629,!1,[[11,"score"],[7,[0,35]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9515560849511986,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0xd09cb1c260abe,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x979e7d6a82423,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,0x7d937a29e359a,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8b397f2be9140,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7436720170357256,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xe666547dd0adb,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,7622438186628575,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9293063243549788,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x652f72530390,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6603653026519389,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,!1]]]]],[0,[!0,
"hp_add"],!1,null,0xffbba5aedc5da,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xffbba5aedc5da,!1,[[1,[2,"hp_add"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1525,!1,[[4,196]]]],[],[[0,null,!1,null,1545,[[196,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1547,[[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1548,!1,[[4,16]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1549,!1,[[4,15]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13516,!1,[[4,150]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x4c8645beaf142,!1,[[4,18]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9717660499180960,!1,[[4,17]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9967251272703912,!1,[[4,68]]]],
[[196,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1551,!1,[[1,[2,"break"]],[3,1]]],[196,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1552,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[196,cr.plugins_.Sprite.prototype.acts.Spawn,null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1557,
!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xcda4631915aed,!1,[[11,"hp"],[7,[0,1]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,
!1]]],[0,null,!1,null,1570,[[196,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1571,!1,[[1,[2,"break"]]]]],[[196,cr.plugins_.Sprite.prototype.acts.Destroy,null,1572,!1]]]]],[0,[!0,"riu"],!1,null,5629,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5629,!1,[[1,[2,"riu"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1525,!1,[[4,113]]]],[],[[0,null,!1,null,1533,[[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,1534,!1,[[4,21]]],[113,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[113,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[113,
cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1542,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6405107543887841,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x4ea2f14b4609f,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,297419866925114,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1533,[[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[113,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[113,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,
[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1545,[[113,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1547,[[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1548,!1,[[4,16]]],[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,
!1,!1,1549,!1,[[4,15]]],[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13517,!1,[[4,150]]]],[[113,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1551,!1,[[1,[2,"break"]],[3,1]]],[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1552,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[113,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,1559,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1561,!1,[[11,
"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1562,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1563,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1564,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1565,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,15579,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xa31b3aff0bcdd,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,!1]]],[0,null,!1,null,1570,[[113,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1571,!1,[[1,[2,"break"]]]]],
[[113,cr.plugins_.Sprite.prototype.acts.Destroy,null,1572,!1]]]]],[0,[!0,"tieu"],!1,null,4893,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4893,!1,[[1,[2,"tieu"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1525,!1,[[4,109]]]],[],[[0,null,!1,null,1533,[[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[109,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],
[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[109,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1542,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8343444325615971,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,543882525387379,
!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf4af0b889f5f,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1533,[[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[109,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[109,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4894,!1,[[1,[2,"break"]],
[3,1]]],[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4895,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,4896,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4897,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,
cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1545,[[109,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1547,[[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1548,!1,[[4,16]]],[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1549,!1,[[4,15]]],[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,13539,!1,[[4,150]]]],[[109,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4900,!1,[[1,[2,"break"]],[3,1]]],[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4901,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,1559,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1561,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1562,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1563,!1,[[0,
[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1564,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1565,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15580,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6201448003360227,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,1561,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,!1]]],[0,null,!1,null,1570,[[109,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1571,!1,[[1,[2,"break"]]]]],[[109,cr.plugins_.Sprite.prototype.acts.Destroy,null,1572,!1]]]]],[0,[!0,"guoc"],!1,null,3827,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,
0,!1,!1,!1,3827,!1,[[1,[2,"guoc"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1525,!1,[[4,105]]]],[],[[0,null,!1,null,1533,[[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[105,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[105,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1536,!1,[[1,[2,"break"]],[3,1]]],[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1542,!1,[[11,"hp"],[7,[0,
1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x96a932b8e1716,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7643818277788604,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7188524527850645,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1533,[[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1534,!1,[[4,21]]],[105,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[105,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],
[[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1545,[[105,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,
[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1547,[[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1548,!1,[[4,16]]],[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1549,!1,[[4,15]]],[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13519,!1,[[4,150]]]],[[105,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3830,!1,[[1,[2,"break"]],[3,1]]],[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",3831,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["left hook-soundbible.com-516660386",!1]],[3,0],[0,
[0,0]],[1,[2,""]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,1559,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1561,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1562,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1563,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1564,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,1565,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15581,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8780271255820194,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],
[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,
cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,!1]]],[0,null,!1,null,1570,[[105,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1571,!1,[[1,[2,"break"]]]]],[[105,cr.plugins_.Sprite.prototype.acts.Destroy,null,1572,!1]]]]],[0,[!0,"moneo"],!1,null,2895,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2895,!1,[[1,[2,"moneo"]]]]],[],[[0,null,!1,null,1524,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1525,!1,[[4,101]]]],[],[[0,null,!1,null,1533,[[101,
cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1534,!1,[[4,21]]],[101,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1535,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[101,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1536,!1,[[1,[2,"break"]],[3,1]]],[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1537,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1539,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,1540,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1542,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0x988af593283f4,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7775026389042307,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5402301970698452,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1533,[[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,2912,!1,[[4,21]]],[101,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,2913,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[101,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2914,!1,[[1,[2,"break"]],[3,1]]],[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",2915,!1,[[0,[0,0]]]]],[[0,null,!1,null,1538,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1539,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,2916,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1541,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,
0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1543,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1544,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1545,[[101,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1546,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1547,[[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1548,!1,[[4,16]]],[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,1549,!1,[[4,15]]],[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1550,!1,[[4,67]]],[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13520,!1,[[4,150]]]],[[101,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2917,!1,[[1,[2,"break"]],[3,1]]],[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",2918,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Spawn,
null,2919,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,1559,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1561,!1,[[11,
"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1562,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1563,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1564,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1565,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,15582,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6782252902860365,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]]]],[0,null,!1,null,1567,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1568,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1569,!1]]],[0,null,!1,null,1570,[[101,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1571,!1,[[1,[2,"break"]]]]],
[[101,cr.plugins_.Sprite.prototype.acts.Destroy,null,1572,!1]]]]],[0,[!0,"coigia"],!1,null,1573,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1573,!1,[[1,[2,"coigia"]]]]],[],[[0,null,!1,null,1574,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1575,!1,[[4,30]]]],[],[[0,null,!1,null,1576,[[30,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[30,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],
[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,1]]],[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,
1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1585,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6867919249702439,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,676770997107897,
!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4c4939a979b4a,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1576,[[30,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[30,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,
1]]],[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1588,[[30,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1589,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1590,[[30,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1591,!1,[[4,18]]],[30,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1592,!1,[[4,17]]],[30,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1593,!1,[[4,68]]]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1594,
!1,[[1,[2,"break"]],[3,1]]],[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1595,!1,[[0,[0,0]]]]],[[0,null,!1,null,1596,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1597,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1598,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1599,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1600,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1601,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1602,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1604,!1,[[11,"scorefly"],[7,[0,40]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1605,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1606,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,
null,1607,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1608,!1,[[11,"score"],[7,[0,40]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1609,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15583,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7898519266621832,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]]]],[0,null,!1,null,1610,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,1611,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1612,!1]]],[0,null,!1,null,1613,[[30,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1614,!1,[[1,[2,"break"]]]]],[[30,cr.plugins_.Sprite.prototype.acts.Destroy,null,1615,!1]]]]],[0,[!0,"trident"],!1,null,5630,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5630,!1,[[1,[2,"trident"]]]]],[],[[0,null,!1,null,1574,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,
!1,1575,!1,[[4,114]]]],[],[[0,null,!1,null,1576,[[114,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[114,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,1]]],[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],
[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1585,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9311126343342856,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x5569b35163e5f,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9939592449512826,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1576,[[114,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[114,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,
!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,1]]],[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1588,[[114,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1589,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1590,[[114,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1591,!1,[[4,18]]],
[114,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1592,!1,[[4,17]]],[114,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1593,!1,[[4,68]]]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1594,!1,[[1,[2,"break"]],[3,1]]],[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5631,!1,[[0,[0,0]]]]],[[0,null,!1,null,1596,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1597,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,1598,!1,[[4,
23],[5,[0,1]],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,1599,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1600,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1601,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,1602,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1604,!1,[[11,"scorefly"],[7,
[0,100]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1605,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1606,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1607,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1608,!1,[[11,"score"],[7,[0,100]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1609,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,15584,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x6aa06d05e83a3,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]]]],[0,null,!1,null,1610,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1611,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1612,!1]]],[0,null,!1,null,1613,[[114,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1614,!1,[[1,[2,"break"]]]]],
[[114,cr.plugins_.Sprite.prototype.acts.Destroy,null,1615,!1]]]]],[0,[!0,"dao"],!1,null,4902,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4902,!1,[[1,[2,"dao"]]]]],[],[[0,null,!1,null,1574,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1575,!1,[[4,110]]]],[],[[0,null,!1,null,1576,[[110,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[110,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],
[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[110,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1585,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9317719407273778,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,998061228229599,
!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb8161633e96d2,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1576,[[110,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[110,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[110,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4903,!1,[[1,[2,"break"]],
[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4904,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,
cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1588,[[110,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1589,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1590,[[110,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1591,!1,[[4,18]]],[110,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1592,!1,[[4,17]]],[110,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1593,!1,[[4,68]]]],[[110,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,4905,!1,[[1,[2,"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4906,!1,[[0,[0,0]]]]],[[0,null,!1,null,1596,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1597,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,1598,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,1599,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1600,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1601,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,1602,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1604,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1605,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1606,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,
null,1607,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1608,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1609,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15585,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xa1cd722c9cb94,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]]]],[0,null,!1,null,1610,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,1611,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1612,!1]]],[0,null,!1,null,1613,[[110,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1614,!1,[[1,[2,"break"]]]]],[[110,cr.plugins_.Sprite.prototype.acts.Destroy,null,1615,!1]]]]],[0,[!0,"maysay"],!1,null,3833,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,3833,!1,[[1,[2,"maysay"]]]]],[],[[0,null,!1,null,1574,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,
!1,1575,!1,[[4,106]]]],[],[[0,null,!1,null,1576,[[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[106,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[106,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,1]]],[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],
[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1585,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4803641947545413,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xd369911d81144,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe69e0bd3a63fd,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1576,[[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[106,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,
!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[106,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3834,!1,[[1,[2,"break"]],[3,1]]],[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3835,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1588,[[106,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1589,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1590,[[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1591,!1,[[4,18]]],
[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1592,!1,[[4,17]]],[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1593,!1,[[4,68]]]],[[106,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3842,!1,[[1,[2,"break"]],[3,1]]],[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3843,!1,[[0,[0,0]]]]],[[0,null,!1,null,1596,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1597,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,1598,!1,[[4,
23],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,1599,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1600,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1601,!1,[[2,["right cross-soundbible.com-1721311663",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,1602,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1604,!1,[[11,"scorefly"],[7,[0,
80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1605,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1606,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1607,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1608,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1609,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,15586,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5395279368622091,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]]]],[0,null,!1,null,1610,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1611,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1612,!1]]],[0,null,!1,null,1613,[[106,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1614,!1,[[1,[2,"break"]]]]],
[[106,cr.plugins_.Sprite.prototype.acts.Destroy,null,1615,!1]]]]],[0,[!0,"bua"],!1,null,2920,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2920,!1,[[1,[2,"bua"]]]]],[],[[0,null,!1,null,1574,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1575,!1,[[4,102]]]],[],[[0,null,!1,null,1576,[[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1577,!1,[[4,21]]],[102,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,1578,!1,[[1,[2,"break"]]]],
[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[102,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1579,!1,[[1,[2,"break"]],[3,1]]],[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1580,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1585,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6874419048032454,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x6b6e620981d46,
!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x570e957e9e29b,!1,[[1,[2,"hit"]],[3,1]]]]]]],[0,null,!1,null,1576,[[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,2921,!1,[[4,21]]],[102,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!0,!1,2922,!1,[[1,[2,"break"]]]],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[102,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2923,!1,[[1,[2,"break"]],
[3,1]]],[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",2924,!1,[[0,[0,0]]]]],[[0,null,!1,null,1581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1582,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,1583,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1584,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1586,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,
cr.plugins_.Sprite.prototype.acts.Spawn,null,1587,!1,[[4,22],[5,[0,1]],[7,[0,0]]]]]]]],[0,null,!1,null,1588,[[102,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1589,!1,[[1,[2,"fly"]]]]],[],[[0,null,!0,null,1590,[[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1591,!1,[[4,18]]],[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1592,!1,[[4,17]]],[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1593,!1,[[4,68]]]],[[102,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,2927,!1,[[1,[2,"break"]],[3,1]]],[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",2928,!1,[[0,[0,0]]]]],[[0,null,!1,null,1596,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1597,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,1598,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,1599,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1600,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1601,!1,[[2,["swords_collide-sound_explorer-2015600826",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,1602,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1604,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1605,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1606,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,
null,1607,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1608,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1609,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15587,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x5d8942104b25d,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]]]],[0,null,!1,null,1610,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,1611,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1612,!1]]],[0,null,!1,null,1613,[[102,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1614,!1,[[1,[2,"break"]]]]],[[102,cr.plugins_.Sprite.prototype.acts.Destroy,null,1615,!1]]]]],[0,[!0,"daugau1"],!1,null,1616,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1616,!1,[[1,[2,"daugau1"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,
!1,!1,1618,!1,[[4,19]]]],[],[[0,null,!1,null,1619,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,0],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,3],[8,0],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,2],[8,0],[7,[0,0]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[19,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,1624,!1,[[3,0]]],[19,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1628,!1,[[10,1],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1629,!1,[[10,3],[8,0],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1630,!1,[[10,2],[8,0],[7,[0,0]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1631,!1,[[1,[2,"walk"]],[3,1]]],[19,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1632,!1,[[3,1]]],[19,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1634,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1637,!1,[[10,3],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1639,!1,[[10,2],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,0],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,1],[7,[0,0]]]]]],[0,null,!1,null,1642,[[19,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1644,!1,[[10,3],[8,0],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1645,!1,[[10,2],[8,0],[7,[0,0]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,1],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,0],[7,[0,0]]]]]],[0,null,!1,null,1648,[[19,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1650,!1,[[10,3],[8,0],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1651,!1,[[10,2],[8,0],[7,[0,0]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1652,!1,[[10,1],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1653,!1,[[10,0],[7,[0,1]]]]]],[0,null,!0,null,1654,[[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12552,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1657,!1,[[4,18]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1663,!1,[[4,67]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13522,!1,[[4,150]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,3],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["left hook-soundbible.com-516660386",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],
[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15588,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,8817353943017049,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,1707,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,2],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,3],[8,0],[7,[0,0]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",
1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,
"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6001496536719665,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5902755303723522,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x44846e0571fe5,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,
!1,!1,1720,!1,[[10,3],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[19,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[19,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",14748,!1,[[0,[0,0]]]],[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",14749,!1,[[0,[0,900]]]]]],[0,null,!1,null,1726,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1727,!1,[[10,3],[8,0],[7,[0,1]]]],[19,
cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1728,!1]],[[19,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1730,!1,[[1,[2,"die"]],[3,1]]],[19,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",14746,!1,[[0,[0,180]]]],[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",14752,!1,[[0,[0,900]]]]]]]],[0,null,!1,null,14979,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,14980,!1,[[10,3],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,14981,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,14982,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15185,!1,[[0,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15186,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15187,!1,[[0,[1,1]]]],[19,cr.plugins_.Sprite.prototype.acts.Destroy,null,15188,!1]]],[0,null,!1,null,14984,[[19,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,14989,!1,[[10,3],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,14990,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,14991,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15189,!1,[[0,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15190,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15191,!1,[[0,[1,
1]]]],[19,cr.plugins_.Sprite.prototype.acts.Destroy,null,15192,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"lamadaugau2"],!1,null,10338,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,10338,!1,[[1,[2,"lamadaugau2"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,129]]]],[],[[0,null,!1,null,1619,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,
0]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[129,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[129,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10339,!1,[[10,3],[8,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10340,!1,[[10,1],[8,0],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,10341,!1,[[10,0],[8,0],[7,[0,0]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10342,!1,[[1,[2,"walk"]],[3,1]]],[129,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,10343,!1,[[3,1]]],[129,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",10344,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1637,!1,[[10,1],
[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[129,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10345,!1,[[10,1],[8,0],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1645,!1,[[10,0],[8,0],[7,[0,0]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,3],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,[[129,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,10346,!1,
[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10347,!1,[[10,1],[8,0],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10348,!1,[[10,0],[8,0],[7,[0,0]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10349,!1,[[10,3],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10350,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,10351,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,
[[4,13]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13523,!1,[[4,150]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1665,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,1672,!1,[[2,["right cross-soundbible.com-1721311663",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,1678,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15589,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7465794362134602,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],
[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,1707,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,
1]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9826185523847224,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,7363177200494457,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5880235132675243,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[129,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15368,!1,[[0,[0,900]]]],
[129,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15370,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10353,!1,[[10,1],[8,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,10354,!1]],[[129,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10355,!1,[[1,[2,"die"]],[3,1]]],[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15369,!1,[[0,[0,900]]]],[129,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,
"Bullet",15371,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15360,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15361,!1,[[10,1],[8,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15362,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15363,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15364,!1,[[0,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,15365,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15366,!1,[[0,[1,1]]]],[129,cr.plugins_.Sprite.prototype.acts.Destroy,null,15367,!1]]],[0,null,!1,null,15372,[[129,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15373,!1,[[10,1],[8,0],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15374,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!1,!1,15375,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15376,!1,[[0,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15377,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15378,!1,[[0,[1,1]]]],[129,cr.plugins_.Sprite.prototype.acts.Destroy,null,15379,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,
!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"nhatbandaugau2"],!1,null,10254,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,10254,!1,[[1,[2,"nhatbandaugau2"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,128]]]],[],[[0,null,!1,null,1619,[[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[128,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[128,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,
[0,0]]]]]],[0,null,!1,null,1627,[[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1628,!1,[[10,3],[8,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1629,!1,[[10,1],[8,0],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1630,!1,[[10,0],[8,0],[7,[0,0]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1631,!1,[[1,[2,"walk"]],[3,1]]],[128,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1632,
!1,[[3,1]]],[128,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1634,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1637,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1640,!1,[[10,4],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[128,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1644,!1,[[10,1],[8,0],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1645,!1,[[10,0],[8,0],[7,[0,0]]]]],[[128,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,3],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,[[128,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1650,!1,[[10,1],[8,0],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,
0,!1,!1,!1,1651,!1,[[10,0],[8,0],[7,[0,0]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1652,!1,[[10,3],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1653,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,10255,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1657,!1,[[4,18]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1663,!1,[[4,67]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13524,!1,[[4,150]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["upper cut-soundbible.com-1272257235",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],
[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15590,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,5555759695633706,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,1707,[[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",
1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,
"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7605397304594579,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,4605709701726096,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6437117444825678,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15307,!1,[[0,[0,900]]]],[128,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15309,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10257,!1,[[10,1],[8,0],[7,[0,1]]]],
[128,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,10258,!1]],[[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10259,!1,[[1,[2,"die"]],[3,1]]],[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15308,!1,[[0,[0,900]]]],[128,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15310,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15299,[[128,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15300,!1,[[10,1],[8,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,15301,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15302,!1]],[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15303,!1,[[0,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15304,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15305,!1,[[0,[1,1]]]],[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,15306,!1]]],[0,null,!1,null,15311,[[128,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15312,!1,[[10,1],[8,0],[7,[0,1]]]],[128,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15313,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15314,!1]],[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15315,!1,[[0,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15316,!1,[[1,[2,"land"]],[3,1]]],[-1,
cr.system_object.prototype.acts.Wait,null,15317,!1,[[0,[1,1]]]],[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,15318,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,
"nb_daugau1"],!1,null,4907,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4907,!1,[[1,[2,"nb_daugau1"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,107]]]],[],[[0,null,!1,null,1619,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[107,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[107,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4908,!1,[[10,3],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
4909,!1,[[10,1],[8,0],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4910,!1,[[10,0],[8,0],[7,[0,0]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4911,!1,[[1,[2,"walk"]],[3,1]]],[107,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,4912,!1,[[3,1]]],[107,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",4913,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],
[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4914,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[107,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4915,!1,[[10,1],[8,0],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4916,!1,[[10,0],[8,0],[7,[0,0]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4917,!1,[[10,4],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4918,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1648,
[[107,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4919,!1,[[10,1],[8,0],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4920,!1,[[10,0],[8,0],[7,[0,0]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4921,!1,[[10,4],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,
4922,!1,[[10,3],[7,[0,0]]]]]],[0,null,!0,null,1654,[[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12553,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,1659,!1,[[4,14]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,13525,!1,[[4,150]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4923,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["right cross-soundbible.com-1721311663",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,
cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15591,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6637867620399493,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,
1707,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],
[107,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,
1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6fd917f7713b,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,4774680120651369,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6702afd72fa00,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,
!1,1721,!1]],[[107,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15287,!1,[[0,[0,900]]]],[107,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15289,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4946,!1,[[10,1],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,4947,!1]],[[107,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,4948,!1,[[1,[2,"die"]],[3,1]]],[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15288,!1,[[0,[0,900]]]],[107,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15290,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15279,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15280,!1,[[10,1],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15281,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!0,!1,15282,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15283,!1,[[0,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15284,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15285,!1,[[0,[1,1]]]],[107,cr.plugins_.Sprite.prototype.acts.Destroy,null,15286,!1]]],[0,null,!1,null,15291,[[107,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15292,!1,[[10,1],[8,0],[7,[0,1]]]],[107,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,15293,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15294,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15295,!1,[[0,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15296,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15297,!1,[[0,[1,1]]]],[107,cr.plugins_.Sprite.prototype.acts.Destroy,null,15298,!1]]],[0,null,!1,null,1745,[[22,
cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"sg_daugau2"],!1,null,10165,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,10165,!1,[[1,[2,"sg_daugau2"]]]]],[],[[0,null,!1,null,1617,
[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,127]]]],[],[[0,null,!1,null,1619,[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],
[3,1]]],[127,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[127,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10166,!1,[[10,3],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10167,!1,[[10,1],[8,0],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10168,!1,[[10,0],
[8,0],[7,[0,0]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10169,!1,[[1,[2,"walk"]],[3,1]]],[127,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,10170,!1,[[3,1]]],[127,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",10171,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4914,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1638,!1]],[[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[127,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,4915,!1,[[10,1],[8,0],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4916,!1,[[10,0],[8,0],[7,[0,0]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4917,!1,[[10,4],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4918,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1648,[[127,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,4919,!1,[[10,1],[8,0],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4920,!1,[[10,0],[8,0],[7,[0,0]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4921,!1,[[10,4],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4922,!1,[[10,3],[7,[0,0]]]]]],[0,null,!0,null,1654,[[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,10172,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],
[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13526,!1,[[4,150]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4923,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1667,!1]],[[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["left hook-soundbible.com-516660386",!1]],[3,0],[0,[0,0]],[1,[2,
""]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15592,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8508879785774093,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]],
[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,1707,[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,
[[10,1],[8,0],[7,[0,0]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8491460261344666,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xbd97bd016f6b5,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5135982013559942,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15226,!1,[[0,[0,900]]]],[127,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15228,!1,[[0,
[0,0]]]]]],[0,null,!1,null,1726,[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10174,!1,[[10,1],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,10175,!1]],[[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10180,!1,[[1,[2,"die"]],[3,1]]],[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15227,!1,[[0,[0,900]]]],[127,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15229,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15218,
[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15219,!1,[[10,1],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15220,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15221,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15230,!1,[[0,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15223,!1,[[1,[2,"land"]],[3,1]]],
[-1,cr.system_object.prototype.acts.Wait,null,15224,!1,[[0,[1,1]]]],[127,cr.plugins_.Sprite.prototype.acts.Destroy,null,15225,!1]]],[0,null,!1,null,15231,[[127,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15232,!1,[[10,1],[8,0],[7,[0,1]]]],[127,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15233,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15234,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",15235,!1,[[0,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15236,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15237,!1,[[0,[1,1]]]],[127,cr.plugins_.Sprite.prototype.acts.Destroy,null,15238,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"sg_daugau1"],!1,null,3844,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,3844,!1,[[1,[2,"sg_daugau1"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,103]]]],[],[[0,null,!1,null,1619,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[103,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[103,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
3845,!1,[[10,3],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3846,!1,[[10,1],[8,0],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3847,!1,[[10,0],[8,0],[7,[0,0]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3848,!1,[[1,[2,"walk"]],[3,1]]],[103,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,3849,!1,[[3,1]]],[103,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",3850,!1,[[0,[0,180]]]]]],[0,
null,!1,null,1635,[[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1637,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[103,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3851,!1,[[10,1],[8,0],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3852,!1,[[10,0],[8,0],[7,[0,0]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,3],[7,[0,1]]]],[103,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,[[103,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3853,!1,[[10,1],[8,0],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3854,!1,[[10,0],[8,0],[7,[0,0]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,3855,!1,[[10,3],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3856,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12554,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1658,!1,[[4,17]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1664,!1,[[4,68]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13527,!1,[[4,150]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],
[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15593,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x50fe340d74fae,!1,[[11,"combo"],[7,[0,1]]]]],[[0,
null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,1561,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,1707,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,463935851938189,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x78bd901843136,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5216442157637375,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,
0,!1,!0,!1,1721,!1]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15153,!1,[[0,[0,900]]]],[103,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15155,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1727,!1,[[10,1],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1728,!1]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,3879,!1,[[1,[2,"die"]],[3,1]]],[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15154,!1,[[0,[0,900]]]],[103,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15156,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15148,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15149,!1,[[10,1],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15150,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!0,!1,15151,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15157,!1,[[0,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15158,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15159,!1,[[0,[1,1]]]],[103,cr.plugins_.Sprite.prototype.acts.Destroy,null,15160,!1]]],[0,null,!1,null,15161,[[103,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15162,!1,[[10,1],[8,0],[7,[0,1]]]],[103,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,15163,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15217,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15165,!1,[[0,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15166,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15167,!1,[[0,[1,1]]]],[103,cr.plugins_.Sprite.prototype.acts.Destroy,null,15168,!1]]],[0,null,!1,null,1745,[[22,
cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"hl_daugau2"],!1,null,10073,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,10073,!1,[[1,[2,"hl_daugau2"]]]]],[],[[0,null,!1,null,1617,
[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,126]]]],[],[[0,null,!1,null,1619,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],
[3,1]]],[126,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[126,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10074,!1,[[10,3],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10075,!1,[[10,1],[8,0],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10076,!1,[[10,0],
[8,0],[7,[0,0]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10077,!1,[[1,[2,"walk"]],[3,1]]],[126,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,10078,!1,[[3,1]]],[126,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",10079,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10080,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1638,!1]],[[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[126,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,10081,!1,[[10,1],[8,0],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10082,!1,[[10,0],[8,0],[7,[0,0]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,3],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,[[126,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[126,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10083,!1,[[10,1],[8,0],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10084,!1,[[10,0],[8,0],[7,[0,0]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10085,!1,[[10,3],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10086,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],
[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,10087,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1661,!1,[[4,16]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13528,!1,[[4,150]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["upper cut-soundbible.com-1272257235",
!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,35]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],
[7,[0,35]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15594,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x6e7e36549553,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,1561,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,1707,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5451368310477733,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,0xe4109d05f7f0d,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9337983905211216,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[126,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15139,!1,[[0,[0,900]]]],
[126,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15141,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,10089,!1,[[10,1],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,10090,!1]],[[126,cr.plugins_.Sprite.prototype.acts.SetAnim,null,10091,!1,[[1,[2,"die"]],[3,1]]],[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15140,!1,[[0,[0,900]]]],[126,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,
"Bullet",15142,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15134,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15135,!1,[[10,1],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15136,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[126,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15137,!1]],[[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15209,!1,[[0,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,15210,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15211,!1,[[0,[1,1]]]],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,15212,!1]]],[0,null,!1,null,15143,[[126,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15144,!1,[[10,1],[8,0],[7,[0,1]]]],[126,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15145,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[126,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!1,!1,15146,!1]],[[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15213,!1,[[0,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15214,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15215,!1,[[0,[1,1]]]],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,15216,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,
!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"HL_DAUGAU1"],!1,null,2929,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2929,!1,[[1,[2,"HL_DAUGAU1"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,99]]]],[],[[0,null,!1,null,1619,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[99,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[99,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,
0]]]]]],[0,null,!1,null,1627,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1628,!1,[[10,3],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2930,!1,[[10,1],[8,0],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2931,!1,[[10,0],[8,0],[7,[0,0]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2932,!1,[[1,[2,"walk"]],[3,1]]],[99,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,2933,!1,[[3,
1]]],[99,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",2934,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2935,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1640,!1,[[10,4],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[99,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1644,!1,[[10,1],[8,0],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1645,!1,[[10,0],[8,0],[7,[0,0]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1646,!1,[[10,3],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,[[99,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2936,!1,[[10,1],[8,0],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2937,!1,[[10,0],[8,0],[7,[0,0]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1652,!1,[[10,3],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1653,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12555,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,1658,!1,[[4,17]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1664,!1,[[4,68]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13529,!1,[[4,150]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,
"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15595,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7528075068226609,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,
!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,1561,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,1707,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x931f2e92301e7,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xf57a97a2850fa,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6f7c53a533b3a,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,
!0,!1,1721,!1]],[[99,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15115,!1,[[0,[0,900]]]],[99,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15127,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2950,!1,[[10,1],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,2951,!1]],[[99,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,2953,!1,[[1,[2,"die"]],[3,1]]],[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15126,!1,[[0,[0,900]]]],[99,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15128,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15116,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15117,!1,[[10,1],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15118,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!0,!1,15119,!1]],[[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15201,!1,[[0,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15202,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15203,!1,[[0,[1,1]]]],[99,cr.plugins_.Sprite.prototype.acts.Destroy,null,15204,!1]]],[0,null,!1,null,15129,[[99,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15130,!1,[[10,1],[8,0],[7,[0,1]]]],[99,cr.plugins_.Sprite.prototype.cnds.CompareX,null,
0,!1,!1,!1,15131,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15132,!1]],[[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15205,!1,[[0,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15206,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15207,!1,[[0,[1,1]]]],[99,cr.plugins_.Sprite.prototype.acts.Destroy,null,15208,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"hn_daugau2"],!1,null,9988,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9988,!1,[[1,[2,"hn_daugau2"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,
0,!0,!1,!1,1618,!1,[[4,125]]]],[],[[0,null,!1,null,1619,[[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,1],[8,0],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1622,!1,[[10,0],[8,0],[7,[0,0]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[125,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,1624,!1,[[3,0]]],[125,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1628,!1,[[10,3],[8,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2930,!1,[[10,1],[8,0],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2931,!1,[[10,0],[8,0],[7,[0,0]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9989,!1,[[1,[2,"walk"]],[3,1]]],[125,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9990,!1,[[3,1]]],[125,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",9991,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2935,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1639,!1,[[10,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[125,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1644,!1,[[10,1],[8,0],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1645,!1,[[10,0],[8,0],[7,[0,0]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,3],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,[[125,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9992,!1,[[10,1],[8,0],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,9993,!1,[[10,0],[8,0],[7,[0,0]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1652,!1,[[10,3],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1653,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9994,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1657,!1,[[4,18]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1659,!1,[[4,14]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1663,!1,[[4,67]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,13530,!1,[[4,150]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["right cross-soundbible.com-1721311663",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],
[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15596,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,8976120491458694,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,1707,[[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1708,!1,[[10,0],[8,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,1],[8,0],[7,[0,0]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",
1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,
"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xbe586f2ed06df,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5539959444866275,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9101910085837008,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,
!1,!1,!1,1720,!1,[[10,1],[8,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[125,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,[2,"die"]],[3,1]]],[125,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",14769,!1,[[0,[0,0]]]],[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",14771,!1,[[0,[0,900]]]]]],[0,null,!1,null,1726,[[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,9996,!1,[[10,1],[8,0],[7,[0,1]]]],
[125,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,9997,!1]],[[125,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9998,!1,[[1,[2,"die"]],[3,1]]],[125,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",14778,!1,[[0,[0,180]]]],[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",14780,!1,[[0,[0,900]]]]]]]],[0,null,!1,null,14963,[[125,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,14964,!1,[[10,1],[8,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,14965,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,14966,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15177,!1,[[0,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15178,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15179,!1,[[0,[1,1]]]],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,15180,!1]]],[0,null,!1,null,14974,[[125,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,14975,!1,[[10,1],[8,0],[7,[0,1]]]],[125,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,14976,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,14977,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15181,!1,[[0,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15182,!1,[[1,[2,"land"]],[3,1]]],[-1,
cr.system_object.prototype.acts.Wait,null,15183,!1,[[0,[1,1]]]],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,15184,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,
"lm_daugau1"],!1,null,5632,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5632,!1,[[1,[2,"lm_daugau1"]]]]],[],[[0,null,!1,null,1617,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1618,!1,[[4,111]]]],[],[[0,null,!1,null,1619,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1620,!1,[[10,4],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1621,!1,[[10,0],[8,0],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1622,!1,[[10,1],[8,0],[7,[0,0]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1623,!1,[[1,[2,"walk"]],[3,1]]],[111,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1624,!1,[[3,0]]],[111,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1626,!1,[[0,[0,0]]]]]],[0,null,!1,null,1627,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1628,!1,[[10,3],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,
2930,!1,[[10,0],[8,0],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2931,!1,[[10,1],[8,0],[7,[0,0]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5633,!1,[[1,[2,"walk"]],[3,1]]],[111,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5634,!1,[[3,1]]],[111,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5635,!1,[[0,[0,180]]]]]],[0,null,!1,null,1635,[[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1636,!1,[[4,21]]],
[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2935,!1,[[10,0],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1638,!1]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1639,!1,[[10,1],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1640,!1,[[10,4],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1641,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1642,[[111,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,1643,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1644,!1,[[10,0],[8,0],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1645,!1,[[10,1],[8,0],[7,[0,0]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1646,!1,[[10,3],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1647,!1,[[10,4],[7,[0,0]]]]]],[0,null,!1,null,1648,
[[111,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1649,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2936,!1,[[10,0],[8,0],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2937,!1,[[10,1],[8,0],[7,[0,0]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1652,!1,[[10,3],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,
1653,!1,[[10,4],[7,[0,1]]]]]],[0,null,!0,null,1654,[[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1655,!1,[[1,[2,"walk"]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12556,!1,[[1,[2,"atk"]]]]],[],[[0,null,!0,null,1656,[[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1657,!1,[[4,18]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1658,!1,[[4,17]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,1659,!1,[[4,14]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1660,!1,[[4,13]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1661,!1,[[4,16]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1662,!1,[[4,15]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1663,!1,[[4,67]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1664,!1,[[4,68]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,13531,!1,[[4,150]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1665,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["left hook-soundbible.com-516660386",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,
[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15597,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8346121366696788,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,1707,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1708,!1,[[10,1],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1709,!1,[[10,0],[8,0],[7,[0,0]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1710,!1,[[1,[2,"atk"]],[3,1]]],[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1711,!1,[[0,[0,0]]]]]],[0,null,!1,null,1712,[[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1713,!1,[[1,[2,"atk"]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,
!1,!1,1714,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1715,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1716,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1717,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1718,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0xf20862f6b397b,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,9117601784368252,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc57f68561de01,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1719,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1720,!1,[[10,0],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1721,!1]],[[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1722,!1,[[1,
[2,"die"]],[3,1]]],[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15348,!1,[[0,[0,900]]]],[111,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15350,!1,[[0,[0,0]]]]]],[0,null,!1,null,1726,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2950,!1,[[10,0],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,2951,!1]],[[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5657,!1,[[1,[2,"die"]],[3,1]]],[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",15349,!1,[[0,[0,900]]]],[111,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15351,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15340,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15341,!1,[[10,0],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15342,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15343,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",15344,!1,[[0,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15345,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15346,!1,[[0,[1,1]]]],[111,cr.plugins_.Sprite.prototype.acts.Destroy,null,15347,!1]]],[0,null,!1,null,15352,[[111,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15353,!1,[[10,0],[8,0],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15354,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[0,250]]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15355,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15356,!1,[[0,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15357,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15358,!1,[[0,[1,1]]]],[111,cr.plugins_.Sprite.prototype.acts.Destroy,null,15359,!1]]],[0,null,!1,null,1745,[[22,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1746,!1,[[1,[2,
"blood1"]]]]],[[22,cr.plugins_.Sprite.prototype.acts.Destroy,null,1747,!1]]],[0,null,!1,null,1748,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1749,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1750,!1]]]]],[0,[!0,"dog"],!1,null,1751,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1751,!1,[[1,[2,"dog"]]]]],[],[[0,null,!1,null,1752,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1753,!1,[[4,25]]]],[],[[0,null,!1,
null,1754,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1755,!1,[[10,0],[8,0],[7,[0,1]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1756,!1,[[1,[2,"walk"]],[3,1]]],[25,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1757,!1,[[3,0]]],[25,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1759,!1,[[0,[0,180]]]]]],[0,null,!1,null,1760,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1761,!1,[[10,1],[8,0],[7,[0,1]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,1762,!1,[[1,[2,"walk"]],[3,1]]],[25,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1763,!1,[[3,1]]],[25,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1765,!1,[[0,[0,0]]]]]],[0,null,!1,null,1766,[[25,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1767,!1,[[4,21]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1768,!1,[[10,2],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1769,!1]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1770,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1771,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1772,!1,[[10,3],[8,0],[7,[0,1]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1773,!1,[[10,2],[8,0],[7,[0,0]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1774,!1,[[10,1],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1775,!1,[[10,0],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1776,
!1,[[1,[2,"atk"]],[3,1]]],[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1777,!1,[[0,[0,0]]]]]],[0,null,!1,null,1778,[[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1779,!1,[[1,[2,"atk"]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1780,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1781,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,
cr.system_object.prototype.acts.SubVar,null,1782,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1783,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1784,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7fc20b6c05013,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x76bac0d1ef9c2,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x760406be8fe97,
!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1785,[[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1786,!1,[[1,[2,"atk"]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1787,!1,[[8,2],[0,[0,1]]]]],[[39,cr.plugins_.Sprite.prototype.acts.Destroy,null,1788,!1]]],[0,null,!1,null,1789,[[25,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1790,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1791,!1,[[10,2],[8,0],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1792,!1,[[10,3],[8,0],[7,[0,0]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1793,!1,[[10,1],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1794,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,1795,[[25,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1796,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1797,!1,[[10,2],[8,0],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1798,!1,[[10,3],[8,0],[7,[0,0]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1799,!1,[[10,1],[7,[0,1]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1800,!1,[[10,0],[7,[0,0]]]]]],[0,null,!1,null,1801,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1802,!1,[[10,2],[8,0],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1803,!1,[[10,4],[8,0],[7,[0,0]]]]],[],[[0,null,!0,null,1804,[[25,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1805,!1,[[4,14]]],[25,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1806,!1,[[4,13]]],[25,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1807,!1,[[4,67]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1808,!1,[[10,2],[7,[0,1]]]],[25,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1809,!1,[[1,[2,"die"]],[3,1]]]],
[[0,null,!1,null,1832,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1833,!1]],[[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,1834,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,1835,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1836,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1837,!1,[[2,["right cross-soundbible.com-1721311663",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1838,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1840,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1841,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1842,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1843,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1844,!1,[[11,"kill"],
[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15598,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8281893774517273,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,1553,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,1845,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1846,!1,[[10,2],[8,0],[7,[0,1]]]],[25,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1847,!1]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1848,!1,[[10,3],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1849,!1,[[10,1],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1850,!1,[[10,0],[7,[0,0]]]],[25,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",14760,!1,[[0,[0,0]]]],[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",14762,!1,[[0,[0,900]]]]]],[0,null,!1,null,1854,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1855,!1,[[10,2],[8,0],[7,[0,1]]]],
[25,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,1856,!1]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1857,!1,[[10,3],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1858,!1,[[10,1],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1859,!1,[[10,0],[7,[0,0]]]],[25,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",14782,!1,[[0,[0,180]]]],[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",14784,!1,[[0,[0,900]]]]]]]],
[0,null,!1,null,14995,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,14996,!1,[[10,2],[8,0],[7,[0,1]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,14997,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[25,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,14998,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15175,!1,[[0,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15169,!1,[[1,[2,
"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15170,!1,[[0,[1,1]]]],[25,cr.plugins_.Sprite.prototype.acts.Destroy,null,15171,!1]]],[0,null,!1,null,15E3,[[25,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15005,!1,[[10,2],[8,0],[7,[0,1]]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15006,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[25,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15007,!1]],
[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15176,!1,[[0,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15172,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15173,!1,[[0,[1,1]]]],[25,cr.plugins_.Sprite.prototype.acts.Destroy,null,15174,!1]]],[0,null,!1,null,1875,[[26,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1876,!1,[[1,[2,"blood2"]]]]],[[26,cr.plugins_.Sprite.prototype.acts.Destroy,null,1877,!1]]],[0,null,!1,null,1878,[[23,
cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1879,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,null,1880,!1]]]]],[0,[!0,"linhcau"],!1,null,5661,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5661,!1,[[1,[2,"linhcau"]]]]],[],[[0,null,!1,null,1752,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1753,!1,[[4,112]]]],[],[[0,null,!1,null,1754,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1755,!1,
[[10,3],[8,0],[7,[0,1]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1756,!1,[[1,[2,"walk"]],[3,1]]],[112,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,1757,!1,[[3,0]]],[112,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1759,!1,[[0,[0,180]]]]]],[0,null,!1,null,1760,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1761,!1,[[10,4],[8,0],[7,[0,1]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5669,!1,[[1,[2,"walk"]],[3,1]]],[112,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,5670,!1,[[3,1]]],[112,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",5671,!1,[[0,[0,0]]]]]],[0,null,!1,null,1766,[[112,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1767,!1,[[4,21]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1768,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1769,!1]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1770,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,
null,1771,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1772,!1,[[10,0],[8,0],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1773,!1,[[10,1],[8,0],[7,[0,0]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1774,!1,[[10,4],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1775,!1,[[10,3],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1776,!1,[[1,[2,"atk"]],[3,1]]],[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",1777,!1,[[0,[0,0]]]]]],[0,null,!1,null,1778,[[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1779,!1,[[1,[2,"atk"]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1780,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1781,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1782,!1,[[11,"hp"],[7,[0,1]]]],
[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1783,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,null,1784,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xca6eb4f5219f8,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5402916537356289,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8d5395ff37a40,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1785,[[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1786,!1,[[1,[2,"atk"]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1787,!1,[[8,2],[0,[0,1]]]]],[[39,cr.plugins_.Sprite.prototype.acts.Destroy,null,1788,!1]]],[0,null,!1,null,1789,[[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1790,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1791,!1,[[10,1],[8,0],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1792,!1,[[10,0],[8,0],[7,[0,0]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1793,!1,[[10,4],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1794,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1795,[[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1796,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1797,!1,[[10,1],[8,0],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1798,!1,[[10,0],[8,0],[7,[0,0]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1799,!1,[[10,4],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1800,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1801,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1802,!1,[[10,1],[8,0],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1803,!1,[[10,2],[8,0],[7,[0,0]]]]],[],[[0,null,!0,null,1804,[[112,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,1805,!1,[[4,14]]],[112,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1806,!1,[[4,13]]],[112,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1807,!1,[[4,67]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1808,!1,[[10,1],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1809,!1,[[1,[2,"die"]],[3,1]]]],[[0,null,!1,null,1832,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1833,!1]],[[112,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1834,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,1835,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1836,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1837,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,1838,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1840,!1,[[11,"scorefly"],
[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1841,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1842,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1843,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1844,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15599,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,5476523014206402,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,1845,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1846,!1,[[10,1],[8,0],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1847,!1]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1848,!1,[[10,0],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1849,!1,[[10,4],[7,[0,
0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1850,!1,[[10,3],[7,[0,0]]]],[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15328,!1,[[0,[0,900]]]],[112,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15330,!1,[[0,[0,0]]]]]],[0,null,!1,null,1854,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,5679,!1,[[10,1],[8,0],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,5680,!1]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,5673,!1,[[10,0],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5674,!1,[[10,4],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5675,!1,[[10,3],[7,[0,0]]]],[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15329,!1,[[0,[0,900]]]],[112,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15331,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15319,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15320,!1,[[10,1],[8,0],
[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15321,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15322,!1]],[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15323,!1,[[0,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15325,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15326,!1,[[0,[1,1]]]],[112,cr.plugins_.Sprite.prototype.acts.Destroy,
null,15327,!1]]],[0,null,!1,null,15332,[[112,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15333,!1,[[10,1],[8,0],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15334,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15335,!1]],[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15336,!1,[[0,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,15337,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15338,!1,[[0,[1,1]]]],[112,cr.plugins_.Sprite.prototype.acts.Destroy,null,15339,!1]]],[0,null,!1,null,1875,[[26,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1876,!1,[[1,[2,"blood2"]]]]],[[26,cr.plugins_.Sprite.prototype.acts.Destroy,null,1877,!1]]],[0,null,!1,null,1878,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1879,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1880,!1]]]]],[0,[!0,"ran"],!1,null,4952,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4952,!1,[[1,[2,"ran"]]]]],[],[[0,null,!1,null,1752,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1753,!1,[[4,108]]]],[],[[0,null,!1,null,1754,[[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1755,!1,[[10,3],[8,0],[7,[0,1]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1756,!1,[[1,[2,"walk"]],[3,1]]],[108,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,1757,!1,[[3,0]]],[108,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1759,!1,[[0,[0,180]]]]]],[0,null,!1,null,1760,[[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1761,!1,[[10,4],[8,0],[7,[0,1]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4953,!1,[[1,[2,"walk"]],[3,1]]],[108,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,4954,!1,[[3,1]]],[108,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",4955,!1,[[0,[0,0]]]]]],[0,null,!1,
null,1766,[[108,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1767,!1,[[4,21]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1768,!1,[[10,0],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1769,!1]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1770,!1,[[10,1],[7,[0,1]]]]]],[0,null,!1,null,1771,[[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1772,!1,[[10,1],[8,0],[7,[0,1]]]],[108,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1773,!1,[[10,0],[8,0],[7,[0,0]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1774,!1,[[10,4],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1775,!1,[[10,3],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1776,!1,[[1,[2,"atk"]],[3,1]]],[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1777,!1,[[0,[0,0]]]]]],[0,null,!1,null,1778,[[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1779,!1,[[1,[2,"atk"]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1780,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1781,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1782,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1783,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1784,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5358490383150193,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,9638547833700724,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5496856259897569,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1785,[[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1786,!1,[[1,[2,"atk"]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,
1787,!1,[[8,2],[0,[0,1]]]]],[[39,cr.plugins_.Sprite.prototype.acts.Destroy,null,1788,!1]]],[0,null,!1,null,1789,[[108,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1790,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1791,!1,[[10,0],[8,0],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1792,!1,[[10,1],[8,0],[7,[0,0]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1793,!1,[[10,4],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1794,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1795,[[108,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1796,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4956,!1,[[10,0],[8,0],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4957,!1,[[10,1],[8,0],[7,[0,0]]]]],[[108,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1799,!1,[[10,4],[7,[0,1]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1800,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1801,[[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1802,!1,[[10,0],[8,0],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1803,!1,[[10,2],[8,0],[7,[0,0]]]]],[],[[0,null,!0,null,1804,[[108,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,
!1,1805,!1,[[4,14]]],[108,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1806,!1,[[4,13]]],[108,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1807,!1,[[4,67]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1808,!1,[[10,0],[7,[0,1]]]],[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1809,!1,[[1,[2,"die"]],[3,1]]]],[[0,null,!1,null,1832,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1833,!1]],[[108,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1834,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,1835,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1836,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1837,!1,[[2,["upper cut-soundbible.com-1272257235",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,1838,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1840,!1,[[11,"scorefly"],
[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1841,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1842,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1843,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1844,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15600,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,9646751154356332,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,
!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,1845,[[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1846,!1,[[10,0],[8,0],[7,[0,1]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1847,!1]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1848,!1,[[10,1],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1849,!1,[[10,4],[7,[0,
0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1850,!1,[[10,3],[7,[0,0]]]],[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15267,!1,[[0,[0,900]]]],[108,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15269,!1,[[0,[0,0]]]]]],[0,null,!1,null,1854,[[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,4960,!1,[[10,0],[8,0],[7,[0,1]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,4961,!1]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,4962,!1,[[10,1],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4963,!1,[[10,4],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4964,!1,[[10,3],[7,[0,0]]]],[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15268,!1,[[0,[0,900]]]],[108,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15270,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15259,[[108,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15260,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[0,250]]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15261,!1,[[10,0],[8,0],[7,[0,1]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15262,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15263,!1,[[0,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15264,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15265,!1,[[0,[1,1]]]],[108,cr.plugins_.Sprite.prototype.acts.Destroy,null,15266,!1]]],
[0,null,!1,null,15271,[[108,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15272,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[108,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15273,!1,[[10,0],[8,0],[7,[0,1]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15274,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15275,!1,[[0,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15276,!1,
[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15277,!1,[[0,[1,1]]]],[108,cr.plugins_.Sprite.prototype.acts.Destroy,null,15278,!1]]],[0,null,!1,null,1875,[[26,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1876,!1,[[1,[2,"blood2"]]]]],[[26,cr.plugins_.Sprite.prototype.acts.Destroy,null,1877,!1]]],[0,null,!1,null,1878,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1879,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1880,!1]]]]],[0,[!0,"meo"],!1,null,3883,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,3883,!1,[[1,[2,"meo"]]]]],[],[[0,null,!1,null,1752,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1753,!1,[[4,104]]]],[],[[0,null,!1,null,1754,[[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1755,!1,[[10,3],[8,0],[7,[0,1]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1756,!1,[[1,[2,"walk"]],[3,1]]],[104,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,1757,!1,[[3,0]]],[104,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1759,!1,[[0,[0,180]]]]]],[0,null,!1,null,1760,[[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1761,!1,[[10,4],[8,0],[7,[0,1]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3887,!1,[[1,[2,"walk"]],[3,1]]],[104,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,3888,!1,[[3,1]]],[104,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",3889,!1,[[0,[0,0]]]]]],[0,null,!1,
null,1766,[[104,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1767,!1,[[4,21]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1768,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1769,!1]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1770,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,1771,[[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1772,!1,[[10,0],[8,0],[7,[0,1]]]],[104,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1773,!1,[[10,1],[8,0],[7,[0,0]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1774,!1,[[10,4],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1775,!1,[[10,3],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1776,!1,[[1,[2,"atk"]],[3,1]]],[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1777,!1,[[0,[0,0]]]]]],[0,null,!1,null,1778,[[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1779,!1,[[1,[2,"atk"]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1780,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1781,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1782,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1783,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1784,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6697563130229204,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5538540283663469,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,865990487711462,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1785,[[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1786,!1,[[1,[2,"atk"]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,
1787,!1,[[8,2],[0,[0,1]]]]],[[39,cr.plugins_.Sprite.prototype.acts.Destroy,null,1788,!1]]],[0,null,!1,null,1789,[[104,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1790,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1791,!1,[[10,1],[8,0],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1792,!1,[[10,0],[8,0],[7,[0,0]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1793,!1,[[10,4],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1794,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1795,[[104,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1796,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3892,!1,[[10,1],[8,0],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3893,!1,[[10,0],[8,0],[7,[0,0]]]]],[[104,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3890,!1,[[10,4],[7,[0,1]]]],[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3891,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1801,[[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1802,!1,[[10,1],[8,0],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1803,!1,[[10,2],[8,0],[7,[0,0]]]]],[],[[0,null,!0,null,1804,[[104,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,
!1,1805,!1,[[4,14]]],[104,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1806,!1,[[4,13]]],[104,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1807,!1,[[4,67]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1808,!1,[[10,1],[7,[0,1]]]],[104,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1809,!1,[[1,[2,"die"]],[3,1]]]],[[0,null,!1,null,1832,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1833,!1]],[[104,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1834,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,1835,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1836,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1837,!1,[[2,["right cross-soundbible.com-1721311663",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,1838,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1840,!1,[[11,"scorefly"],
[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1841,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1842,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1843,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1844,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15601,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x965f0ea2ba4d9,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,1845,[[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1846,!1,[[10,1],[8,0],[7,[0,1]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1847,!1]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1848,!1,[[10,0],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1849,!1,[[10,4],[7,[0,0]]]],
[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1850,!1,[[10,3],[7,[0,0]]]],[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15247,!1,[[0,[0,900]]]],[104,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15250,!1,[[0,[0,0]]]]]],[0,null,!1,null,1854,[[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,3913,!1,[[10,1],[8,0],[7,[0,1]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,3914,!1]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,3915,!1,[[10,0],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3916,!1,[[10,4],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3917,!1,[[10,3],[7,[0,0]]]],[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15248,!1,[[0,[0,900]]]],[104,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15249,!1,[[0,[0,180]]]]]]]],[0,null,!1,null,15239,[[104,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15240,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[0,250]]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15241,!1,[[10,1],[8,0],[7,[0,1]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15242,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15243,!1,[[0,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15244,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15245,!1,[[0,[1,1]]]],[104,cr.plugins_.Sprite.prototype.acts.Destroy,null,15246,!1]]],
[0,null,!1,null,15251,[[104,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15252,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[104,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15253,!1,[[10,1],[8,0],[7,[0,1]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15254,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15255,!1,[[0,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15256,!1,
[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15257,!1,[[0,[1,1]]]],[104,cr.plugins_.Sprite.prototype.acts.Destroy,null,15258,!1]]],[0,null,!1,null,1875,[[26,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1876,!1,[[1,[2,"blood2"]]]]],[[26,cr.plugins_.Sprite.prototype.acts.Destroy,null,1877,!1]]],[0,null,!1,null,1878,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1879,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1880,!1]]]]],[0,[!0,"ocbien"],!1,null,2958,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2958,!1,[[1,[2,"ocbien"]]]]],[],[[0,null,!1,null,1752,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,1753,!1,[[4,100]]]],[],[[0,null,!1,null,1754,[[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1755,!1,[[10,3],[8,0],[7,[0,1]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1756,!1,[[1,[2,"walk"]],[3,1]]],[100,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,1757,!1,[[3,0]]],[100,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",1759,!1,[[0,[0,180]]]]]],[0,null,!1,null,1760,[[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1761,!1,[[10,4],[8,0],[7,[0,1]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2959,!1,[[1,[2,"walk"]],[3,1]]],[100,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,2960,!1,[[3,1]]],[100,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",2961,!1,[[0,[0,0]]]]]],[0,null,!1,
null,1766,[[100,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1767,!1,[[4,21]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1768,!1,[[10,1],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1769,!1]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1770,!1,[[10,0],[7,[0,1]]]]]],[0,null,!1,null,1771,[[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1772,!1,[[10,0],[8,0],[7,[0,1]]]],[100,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1773,!1,[[10,1],[8,0],[7,[0,0]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1774,!1,[[10,4],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1775,!1,[[10,3],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1776,!1,[[1,[2,"atk"]],[3,1]]],[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1777,!1,[[0,[0,0]]]]]],[0,null,!1,null,1778,[[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,1779,!1,[[1,[2,"atk"]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,1780,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1781,!1],[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!0,!1,2390,!1,[[10,0],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1782,!1,[[11,"hp"],[7,[0,1]]]],[12,cr.behaviors.Flash.prototype.acts.Flash,"Flash",1783,!1,[[0,[1,0.5]],[0,[1,0.1]],[0,[1,1]]]],[21,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1784,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8928890124414425,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,null,9506002516018606,!1,[[3,1]]],[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8848985417842415,!1,[[1,[2,"hit"]],[3,1]]]]],[0,null,!1,null,1785,[[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,1786,!1,[[1,[2,"atk"]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,
1787,!1,[[8,2],[0,[0,1]]]]],[[39,cr.plugins_.Sprite.prototype.acts.Destroy,null,1788,!1]]],[0,null,!1,null,1789,[[100,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1790,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1791,!1,[[10,1],[8,0],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1792,!1,[[10,0],[8,0],[7,[0,0]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1793,!1,[[10,4],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1794,!1,[[10,3],[7,[0,1]]]]]],[0,null,!1,null,1795,[[100,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,2964,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2962,!1,[[10,1],[8,0],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2963,!1,[[10,0],[8,0],[7,[0,0]]]]],[[100,
cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2965,!1,[[10,4],[7,[0,1]]]],[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2966,!1,[[10,3],[7,[0,0]]]]]],[0,null,!1,null,1801,[[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1802,!1,[[10,1],[8,0],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1803,!1,[[10,2],[8,0],[7,[0,0]]]]],[],[[0,null,!0,null,1804,[[100,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,
!1,1805,!1,[[4,14]]],[100,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1806,!1,[[4,13]]],[100,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,1807,!1,[[4,67]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1808,!1,[[10,1],[7,[0,1]]]],[100,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1809,!1,[[1,[2,"die"]],[3,1]]]],[[0,null,!1,null,1832,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1833,!1]],[[100,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1834,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,1835,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1836,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1837,!1,[[2,["left hook-soundbible.com-516660386",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,1838,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1840,!1,[[11,"scorefly"],
[7,[0,45]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1841,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1842,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1843,!1,[[11,"score"],[7,[0,45]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1844,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15602,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0xd807a039e4fdf,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,1845,[[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1846,!1,[[10,1],[8,0],[7,[0,1]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,1847,!1]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1848,!1,[[10,0],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1849,!1,[[10,4],[7,[0,0]]]],
[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2976,!1,[[10,3],[7,[0,0]]]],[100,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15103,!1,[[0,[0,0]]]],[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15106,!1,[[0,[0,900]]]]]],[0,null,!1,null,1854,[[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2978,!1,[[10,1],[8,0],[7,[0,1]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,2979,!1]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,2980,!1,[[10,0],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2981,!1,[[10,4],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2982,!1,[[10,3],[7,[0,0]]]],[100,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15104,!1,[[0,[0,180]]]],[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15105,!1,[[0,[0,900]]]]]]]],[0,null,!1,null,1871,[[100,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1873,!1,[[8,5],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[0,250]]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15107,!1,[[10,1],[8,0],[7,[0,1]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,15109,!1]],[[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15193,!1,[[0,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15194,!1,[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15195,!1,[[0,[1,1]]]],[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,15196,!1]]],
[0,null,!1,null,15110,[[100,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,15111,!1,[[8,3],[0,[5,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,250]]]]],[100,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15112,!1,[[10,1],[8,0],[7,[0,1]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,15113,!1]],[[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",15197,!1,[[0,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.SetAnim,null,15198,!1,
[[1,[2,"land"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,15199,!1,[[0,[1,1]]]],[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,15200,!1]]],[0,null,!1,null,1875,[[26,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1876,!1,[[1,[2,"blood2"]]]]],[[26,cr.plugins_.Sprite.prototype.acts.Destroy,null,1877,!1]]],[0,null,!1,null,1878,[[23,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,1879,!1,[[1,[2,"blood3"]]]]],[[23,cr.plugins_.Sprite.prototype.acts.Destroy,
null,1880,!1]]]]]]],[0,[!0,"combo_control"],!1,null,1881,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,1881,!1,[[1,[2,"combo_control"]]]]],[],[[0,null,!1,null,1882,[[24,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1883,!1,[[10,0],[8,0],[7,[0,1]]]]],[[24,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15607,!1,[[0,[0,-90]]]]]],[0,null,!1,null,15576,[[41,cr.plugins_.Text.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,15577,!1,[[10,0],[8,0],
[7,[0,1]]]]],[[41,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15608,!1,[[0,[0,-90]]]],[-1,cr.system_object.prototype.acts.Wait,null,15616,!1,[[0,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.Destroy,null,15617,!1]]],[0,null,!1,null,1885,[[27,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1886,!1,[[10,0],[8,0],[7,[0,1]]]]],[[27,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15609,!1,[[0,[0,-90]]]]]],[0,null,!1,null,1888,[[29,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1889,!1,[[10,0],[8,0],[7,[0,1]]]]],[[29,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15610,!1,[[0,[0,-90]]]]]],[0,null,!1,null,1891,[[29,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1892,!1,[[10,0],[8,0],[7,[0,1]]]],[29,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1893,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[29,cr.plugins_.Sprite.prototype.acts.SetAngle,null,1895,!1,[[0,[0,360]]]]]],[0,null,!1,null,
1896,[[33,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,1897,!1,[[10,0],[8,0],[7,[0,1]]]],[33,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1898,!1,[[8,4],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[33,cr.plugins_.Sprite.prototype.acts.SetAngle,null,1900,!1,[[0,[0,360]]]],[33,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15612,!1,[[0,[0,-90]]]]]],[0,null,!1,null,1901,[[33,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,
0,!1,!1,!1,1902,!1,[[10,0],[8,0],[7,[0,1]]]],[33,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,1903,!1,[[8,2],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[33,cr.plugins_.Sprite.prototype.acts.SetAngle,null,1905,!1,[[0,[0,360]]]],[33,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",15613,!1,[[0,[0,-90]]]]]],[0,null,!1,null,15618,[[24,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,15619,!1,[[1,[2,"ngon"]]]]],[[24,cr.plugins_.Sprite.prototype.acts.Destroy,
null,15620,!1]]],[0,null,!1,null,15621,[[27,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,15622,!1,[[1,[2,"tuyet"]]]]],[[27,cr.plugins_.Sprite.prototype.acts.Destroy,null,15623,!1]]],[0,null,!1,null,15624,[[29,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,15625,!1,[[1,[2,"tot"]]]]],[[29,cr.plugins_.Sprite.prototype.acts.Destroy,null,15626,!1]]],[0,null,!1,null,15627,[[33,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,15628,!1,[[1,[2,"vai"]]]]],
[[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,15629,!1]]]]],[0,[!0,"Player_hp"],!1,null,2155,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2155,!1,[[1,[2,"Player_hp"]]]]],[],[[0,null,!1,null,2156,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2157,!1,[[11,"hp"],[8,0],[7,[0,4]]]]],[[37,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2158,!1,[[1,[2,"full"]],[3,1]]]]],[0,null,!1,null,2159,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2160,
!1,[[11,"hp"],[8,0],[7,[0,3]]]]],[[37,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2161,!1,[[1,[2,"full3"]],[3,1]]]],[[0,null,!1,null,0x4e80e387d1d74,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7086843179348267,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5715547183023957,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,7116081725788443,!1,[[1,[2,"150"]]]]]]]],[0,null,!1,null,2162,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2163,!1,[[11,"hp"],[8,0],[7,[0,2]]]]],[[37,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2164,!1,[[1,[2,"full2"]],[3,1]]]],[[0,null,!1,null,9432203399117966,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8430670630701218,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9675298390871846,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,8567435165162234,!1,[[1,[2,"150"]]]]]]]],[0,null,!1,null,2165,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2166,!1,[[11,"hp"],[8,0],[7,[0,1]]]]],[[37,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2167,!1,[[1,[2,"full1"]],[3,1]]]],[[0,null,!1,null,8803562394560594,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7802719063198754,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb1589eeaf1faf,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0xc41e09e107650,!1,[[1,[2,"150"]]]]]]]],[0,null,!1,null,9770291015045608,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5549228175121561,!1,[[11,"hp"],[8,0],[7,[0,0]]]]],[],[[0,null,!1,null,5999839659476657,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,788688531187776,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7064213163454036,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,5816188057087604,!1,[[1,[2,"150"]]]]]]]],[0,null,!1,null,7865025701744024,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x6117680d68b70,!1,[[11,"hp"],[8,5],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf5a709dd068fb,!1,[[11,"hp"],[7,[0,4]]]]]],[0,null,!1,null,9918,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9921,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,9917,!1,[[11,"hp"],[7,[0,4]]]]]],[0,null,!1,null,2168,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2169,!1,[[11,"hp"],[8,3],[7,[0,0]]]]],[[37,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,2170,!1,[[1,[2,"end"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,2173,!1,[[11,"score"],[7,[19,cr.system_object.prototype.exps.max,[[0,0],[5,[23,"score"],[6,[5,[23,"move"],[23,"kill"]],[0,5]]]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12445,!1,[[11,"stage"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12446,!1,[[11,"start"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12450,!1,[[11,"lvl"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,2171,!1,[[6,"lose"]]],[11,cr.plugins_.Audio.prototype.acts.Stop,null,12820,!1,[[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,13613,!1,[[1,[2,"money"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,5313220159326112,!1,[[1,[2,"music"]],[3,0]]]],[[0,null,!1,null,5244775281638062,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7158353654539904,!1,[[11,"highscore"],[8,3],[7,[23,"score"]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,0x56d4e1dc2e134,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xdceac6e01c53c,!1,[[11,"yourkill"],[7,[23,"kill"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9acd99d2f7edf,!1,[[11,"yourmove"],[7,[23,"move"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7071857891405522,!1,[[1,[2,"yourkill"]],[7,[23,"yourkill"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,298318416976826,!1,[[1,[2,"yourmove"]],[7,[23,"yourmove"]]]]]]]]]],[0,[!0,"warrior"],!1,
null,2255,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2255,!1,[[1,[2,"warrior"]]]]],[],[[0,null,!1,null,2256,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2257,!1,[[11,"warrior"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2258,!1]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2259,!1,[[1,[2,"idle"]],[3,1]]]]],[0,null,!1,null,2260,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2261,!1,[[11,"warrior"],
[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2262,!1]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2263,!1,[[1,[2,"sam_idle"]],[3,1]]]]],[0,null,!1,null,2264,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2265,!1,[[11,"warrior"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2266,!1]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2267,!1,[[1,[2,"gla_idle"]],[3,1]]]]]]],[0,[!0,"Item Effect"],!1,null,
2354,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2354,!1,[[1,[2,"Item Effect"]]]]],[],[[0,[!0,"bonus"],!1,null,2391,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2391,!1,[[1,[2,"bonus"]]]]],[],[[0,null,!1,null,2394,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2395,!1,[[11,"bonus"],[8,0],[7,[0,0]]]]],[[82,cr.plugins_.Sprite.prototype.acts.SetPos,null,2447,!1,[[0,[0,2E3]],[0,[0,-100]]]]]],[0,null,!1,null,2394,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2395,!1,[[11,"bonus"],[8,0],[7,[0,1]]]]],[[82,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2396,!1,[[1,[2,"skilltime_add"]],[3,1]]],[82,cr.plugins_.Sprite.prototype.acts.SetPos,null,2447,!1,[[0,[1,52.771]],[0,[1,77.771]]]]]],[0,null,!1,null,2394,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2395,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[82,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2396,!1,[[1,[2,"money_add"]],[3,1]]],[82,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xdb914d0de32a8,!1,[[0,[1,52.771]],[0,[1,77.771]]]]]],[0,null,!1,null,2394,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2395,!1,[[11,"bonus"],[8,0],[7,[0,3]]]]],[[82,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2396,!1,[[1,[2,"hp_add"]],[3,1]]],[82,cr.plugins_.Sprite.prototype.acts.SetPos,null,5419094869425655,!1,[[0,[1,52.771]],[0,[1,77.771]]]]]],[0,null,!1,null,12468,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,12469,!1,[[0,[0,40]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,12470,!1,[[11,"hp"],[8,2],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,12471,!1,[[11,"bonus"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,12472,!1,[[11,"hp"],[7,[0,1]]]]]],[0,null,!1,null,2394,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2395,!1,[[11,"bonus"],[8,0],[7,[0,4]]]]],[[82,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2396,!1,[[1,[2,"skillreload_add"]],[3,1]]],[82,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x4270e9a0d04c9,!1,[[0,[1,52.771]],[0,[1,77.771]]]]]]]],[0,[!0,"skill"],!1,null,2174,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2174,!1,[[1,[2,"skill"]]]]],[],[[0,[!0,"skill_battu"],!1,null,15382,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,15382,!1,[[1,[2,"skill_battu"]]]]],[],[[0,null,!1,null,2373,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2374,!1,[[11,"skill"],[8,0],[7,[0,3]]]]],[[81,cr.plugins_.Text.prototype.acts.SetPos,
null,2446,!1,[[0,[1,369.646]],[0,[1,139.646]]]],[80,cr.plugins_.Sprite.prototype.acts.SetPos,null,5379424395572876,!1,[[0,[1,437.335]],[0,[1,155.335]]]]],[[0,null,!1,null,2191,[[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2192,!1,[[10,0],[8,0],[7,[0,0]]]]],[[81,cr.plugins_.Text.prototype.acts.SetFontColor,null,2368,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,255],[0,255],[0,255]]]]]],[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,50]]]],[80,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,2370,!1,[[0,[0,100]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"battu_unactive"]],[3,1]]]],[[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,2360,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6844,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,2361,!1,[[11,"slowtime"],[7,[0,1]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2407,!1,[[11,"bonus"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,13602,!1,[[11,"skillactive"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,40]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2407,!1,[[11,"bonus"],[8,0],[7,
[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,25]]]]]],[0,null,!1,null,13597,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,13598,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13599,!1,[[11,"skillactive"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13600,!1,[[11,"slowtime"],[7,[0,0]]]]]],[0,null,!1,null,2178,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2362,!1,[[11,"slowtime"],
[8,3],[7,[0,0]]]]],[[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,0]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"battu_active"]],[3,1]]]],[[0,null,!1,null,2183,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2184,!1]],[[80,cr.plugins_.Sprite.prototype.acts.Spawn,null,2181,!1,[[4,46],[5,[0,3]],[7,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2186,!1,[[1,[2,"ring"]],[3,1]]]]]]]]],[0,null,!1,null,2187,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,2188,!1,[[4,80]]],[80,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,2189,!1,[[1,[2,"battu_active"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9227753088317272,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2190,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,13601,!1,[[11,"skillactive"],[7,[0,0]]]]]],[0,null,!1,null,7594607815330716,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,0x633b863798d05,!1,[[4,182]]],[80,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5305640703840273,!1,[[1,[2,"battu_active"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7743516781572656,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5556300785963721,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6514887453801041,!1,[[11,"skillactive"],[7,[0,0]]]]]],[0,null,!1,null,2191,[[80,
cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2192,!1,[[10,0],[8,0],[7,[0,1]]]]],[[81,cr.plugins_.Text.prototype.acts.SetFontColor,null,2368,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,255],[0,255],[0,255]]]]]],[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,100]]]],[80,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,2370,!1,[[0,[0,50]]]]],[[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!0,!1,2397,!1,[[11,"bonus"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,10]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2397,!1,[[11,"bonus"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,15]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.Every,null,
0,!1,!1,!1,2360,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6845,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,2361,!1,[[11,"slowtime"],[7,[0,1]]]]]],[0,null,!1,null,2206,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2362,!1,[[11,"slowtime"],[8,3],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2190,!1,[[10,0],[7,[0,0]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,
[2,"battu_unactive"]],[3,1]]]]]]],[0,null,!1,null,2214,[[46,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,2215,!1,[[1,[2,"ring"]]]]],[[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,2216,!1]]]]]]],[0,[!0,"skill_bomb"],!1,null,15381,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,15381,!1,[[1,[2,"skill_bomb"]]]]],[],[[0,null,!1,null,2373,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2374,!1,[[11,"skill"],[8,0],[7,[0,2]]]]],[[81,cr.plugins_.Text.prototype.acts.SetPos,
null,5781728577290313,!1,[[0,[1,369.646]],[0,[1,139.646]]]],[80,cr.plugins_.Sprite.prototype.acts.SetPos,null,9277278267923812,!1,[[0,[1,437.335]],[0,[1,155.335]]]]],[[0,null,!1,null,2191,[[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2192,!1,[[10,0],[8,0],[7,[0,0]]]]],[[81,cr.plugins_.Text.prototype.acts.SetFontColor,null,2368,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,255],[0,255],[0,255]]]]]],[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,
50]]]],[80,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,2370,!1,[[0,[0,100]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"bomb_unactive"]],[3,1]]]],[[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,2360,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6843,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,2361,!1,[[11,"slowtime"],[7,[0,1]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2407,!1,[[11,"bonus"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,13595,!1,[[11,"skillactive"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,40]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2407,!1,[[11,"bonus"],
[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,25]]]]]],[0,null,!1,null,13590,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,13591,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13592,!1,[[11,"skillactive"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13593,!1,[[11,"slowtime"],[7,[0,0]]]]]],[0,null,!1,null,2178,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2362,!1,[[11,
"slowtime"],[8,3],[7,[0,0]]]]],[[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,0]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"bomb_active"]],[3,1]]]],[[0,null,!1,null,2183,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2184,!1]],[[80,cr.plugins_.Sprite.prototype.acts.Spawn,null,2181,!1,[[4,46],[5,[0,3]],[7,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2186,!1,[[1,[2,"ring"]],[3,1]]]]]]]]],[0,null,!1,null,2187,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,2188,!1,[[4,80]]],[80,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,2189,!1,[[1,[2,"bomb_active"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5fa1ceb3790dc,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2190,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,13594,!1,[[11,"skillactive"],[7,[0,0]]]]],[[0,null,!1,null,0x7b3edd86027e8,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xf3f64a84c3f5f,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4882766261870463,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,0x8949f18dfb41b,!1,[[1,[2,"200,100,200"]]]]]]]],[0,null,!1,null,8768076694642336,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9738854202063200,!1,[[4,182]]],[80,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7023200376005649,!1,[[1,[2,"bomb_active"]]]],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5317797172651663,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6516395755491789,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4998642777776789,!1,[[11,"skillactive"],[7,[0,0]]]]],[[0,null,!1,null,7717014677346641,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9165871940287552,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8257340079111826,
!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[192,cr.plugins_.Browser.prototype.acts.Vibrate,null,7902339005495748,!1,[[1,[2,"200,100,200"]]]]]]]],[0,null,!1,null,2191,[[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2192,!1,[[10,0],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2190,!1,[[10,0],[7,[0,0]]]]]],[0,null,!1,null,2194,[[25,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,2195,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2383,!1]],[],[[0,null,!0,null,12473,[[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12495,!1,[[1,[2,"atk"]]]],[25,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12474,!1,[[1,[2,"walk"]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2386,!1,[[10,2],[7,[0,1]]]]],[[0,null,!1,null,1832,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1833,!1]],
[[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,1834,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,1835,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1836,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1837,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[25,cr.plugins_.Sprite.prototype.acts.Spawn,null,1838,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,1840,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1841,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1842,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1843,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1844,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15652,!1,[[10,
0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5688114342157356,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,3667,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3668,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3669,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3670,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,3671,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3672,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!0,!1,3673,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3674,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,6268,[[112,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6269,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6270,!1]],[],[[0,null,!0,null,12496,[[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12497,!1,[[1,[2,"atk"]]]],[112,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,
!1,!1,!1,12498,!1,[[1,[2,"walk"]]]]],[[112,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6271,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,6272,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6273,!1]],[[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,6274,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,6275,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6276,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,6277,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,6278,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6280,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6281,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,6282,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6283,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6284,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15653,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x6787ffa5516b5,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6130680527171432,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6285,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6286,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6287,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6288,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,6289,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6290,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6291,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6292,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,5524,[[108,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,5525,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5526,!1]],[],[[0,null,!0,null,12500,[[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12501,!1,[[1,[2,"atk"]]]],[108,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12502,!1,[[1,[2,"walk"]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5527,!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,5528,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5529,!1]],
[[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,5530,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,5531,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5532,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5533,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[108,cr.plugins_.Sprite.prototype.acts.Spawn,null,5534,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,5536,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5537,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,5538,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5539,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5540,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15654,!1,[[10,
0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xb33f36df727b6,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,8120564132837406,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,5541,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5542,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5543,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5544,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,
null,5545,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5546,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5547,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5548,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,4502,[[104,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4503,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4504,!1]],[],[[0,null,!0,null,12504,[[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,12505,!1,[[1,[2,"atk"]]]],[104,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12506,!1,[[1,[2,"walk"]]]]],[[104,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4505,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,4506,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4507,!1]],[[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,4508,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,4509,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],
[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4510,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4511,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,4512,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4514,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,4515,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,
null,4516,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4517,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4518,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15655,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xa205422cafb5d,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xce1d77dedaa0a,!1,[[11,
"combo"],[7,[0,1]]]]],[[0,null,!1,null,4519,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4520,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4521,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4522,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,4523,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4524,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,4525,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],
[[-1,cr.system_object.prototype.acts.AddVar,null,4526,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,3611,[[100,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,3612,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3613,!1]],[],[[0,null,!0,null,12508,[[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12509,!1,[[1,[2,"atk"]]]],[100,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12510,!1,[[1,[2,"walk"]]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,3614,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,3615,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3616,!1]],[[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,3640,!1,[[4,26],[5,[0,1]],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,3641,!1,[[4,27],[5,[0,1]],[7,[0,0]]]],[27,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3642,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,3643,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,
0]],[1,[2,""]]]],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,3644,!1,[[4,41],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,3646,!1,[[11,"scorefly"],[7,[0,45]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,3647,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,3648,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,90],[0,156],[0,149]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,3649,!1,[[11,"score"],[7,[0,45]]]],
[-1,cr.system_object.prototype.acts.AddVar,null,3650,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15656,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,367887117267981,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9371534527352748,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,3659,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3660,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,3661,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3662,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,3663,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3664,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,3665,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3666,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,3675,[[99,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,
0,!1,!1,!1,3676,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3677,!1]],[],[[0,null,!0,null,12512,[[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12513,!1,[[1,[2,"atk"]]]],[99,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12514,!1,[[1,[2,"walk"]]]]],[[99,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3678,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,3679,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3680,!1]],[[99,
cr.plugins_.Sprite.prototype.acts.Spawn,null,3700,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,3701,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,null,3702,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3703,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,3704,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[99,cr.plugins_.Sprite.prototype.acts.Spawn,
null,3705,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,3707,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,3708,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,3709,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,3710,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,3711,!1,[[11,"kill"],
[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15657,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,9867551781590542,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6663600336098207,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,3692,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3693,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3694,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,3695,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,3696,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3697,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,3698,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3699,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,10363,[[129,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,10364,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10365,
!1]],[],[[0,null,!0,null,12516,[[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12517,!1,[[1,[2,"atk"]]]],[129,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12518,!1,[[1,[2,"walk"]]]]],[[129,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10366,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,10367,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10368,!1]],[[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,10369,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],
[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,10370,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,10371,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10372,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,10373,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[129,cr.plugins_.Sprite.prototype.acts.Spawn,null,10374,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,10376,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,10377,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,10378,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10379,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10380,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15658,
!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x77f53b2c533b,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7337669897229881,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,10381,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10382,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10383,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10384,!1,[[11,"money"],[7,[0,40]]]]]],
[0,null,!1,null,10385,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10386,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,10387,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10388,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,10188,[[127,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,10189,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10190,!1]],[],[[0,null,!0,null,12520,[[127,
cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12521,!1,[[1,[2,"atk"]]]],[127,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12522,!1,[[1,[2,"walk"]]]]],[[127,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10191,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,10192,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10193,!1]],[[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,10194,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,
null,10195,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,10196,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10197,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,10198,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[127,cr.plugins_.Sprite.prototype.acts.Spawn,null,10199,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,10201,!1,[[11,"scorefly"],
[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,10202,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,10203,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10204,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10205,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15659,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,800846939746441,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x4c4671f6b8673,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,10206,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10207,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10208,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10209,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,10210,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,10211,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,10212,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10213,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,10267,[[128,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,10268,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10269,!1]],[],[[0,null,!0,null,12524,[[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12525,!1,[[1,
[2,"atk"]]]],[128,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12526,!1,[[1,[2,"walk"]]]]],[[128,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10270,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,10271,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10272,!1]],[[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,10273,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,10274,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,
null,10275,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10276,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,10277,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[128,cr.plugins_.Sprite.prototype.acts.Spawn,null,10278,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,10280,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,10281,!1,[[7,[10,[2,
""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,10282,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10283,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10284,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15660,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,613655201451893,!1,[[10,0],[7,[0,1]]]],
[-1,cr.system_object.prototype.acts.AddVar,null,5666803772013457,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,10285,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10286,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10287,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10288,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,10289,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10290,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!0,!1,10291,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10292,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,10007,[[125,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,10008,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10009,!1]],[],[[0,null,!0,null,12528,[[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12529,!1,[[1,[2,"atk"]]]],[125,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,
0,!1,!1,!1,12530,!1,[[1,[2,"walk"]]]]],[[125,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10010,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,10011,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10012,!1]],[[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,10013,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,10014,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,10015,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,10016,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,10017,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[125,cr.plugins_.Sprite.prototype.acts.Spawn,null,10018,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,10020,!1,[[11,"scorefly"],[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,10021,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,10022,!1,[[0,[19,
cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10023,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10024,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15661,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,7556584280573556,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9897586200203540,!1,[[11,"combo"],[7,[0,1]]]]],
[[0,null,!1,null,10025,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10026,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10027,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10028,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,10029,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10030,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,10031,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,10032,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,6293,[[111,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6294,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6295,!1]],[],[[0,null,!0,null,12532,[[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12533,!1,[[1,[2,"atk"]]]],[111,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12534,!1,[[1,[2,"walk"]]]]],[[111,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6296,
!1,[[10,0],[7,[0,1]]]]],[[0,null,!1,null,6297,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6298,!1]],[[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,6299,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,6300,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,6301,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6302,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,6303,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,6304,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6306,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6307,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,6308,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6309,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6310,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15662,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,9706545916178836,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7050311026107313,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6311,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6312,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6313,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6314,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,6315,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6316,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6317,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6318,!1,[[11,"money"],[7,[0,30]]]]]]]]]]]],[0,null,!1,null,5549,[[107,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,5550,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5551,!1]],[],[[0,null,!0,null,12536,[[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12537,!1,[[1,[2,"atk"]]]],[107,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12538,!1,[[1,[2,"walk"]]]]],[[107,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5552,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,5553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5554,!1]],
[[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,5555,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,5556,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,5557,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5558,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5559,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[107,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5560,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5562,!1,[[11,"scorefly"],[7,[0,65]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5563,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,5564,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5565,!1,[[11,"score"],[7,[0,65]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5566,!1,[[11,"kill"],
[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15663,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,4927333501384164,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x5cccae24885f6,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,5567,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5568,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5569,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,
null,5570,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,5571,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5572,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5573,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5574,!1,[[11,"money"],[7,[0,20]]]]]]]]]]]],[0,null,!1,null,4527,[[103,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4528,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4529,!1]],
[],[[0,null,!0,null,12540,[[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12541,!1,[[1,[2,"atk"]]]],[103,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12542,!1,[[1,[2,"walk"]]]]],[[103,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4530,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,4531,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4532,!1]],[[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,4533,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,
null,4534,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,4535,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4536,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4537,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,null,4538,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4540,!1,[[11,"scorefly"],
[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,4541,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,4542,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4543,!1,[[11,"score"],[7,[0,50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4544,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15664,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,0xa666e5f20a810,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,9200882618449476,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,4545,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4546,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4547,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4548,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,4549,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,
!1,!1,!1,4550,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,4551,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4552,!1,[[11,"money"],[7,[0,10]]]]]]]]]]]],[0,null,!1,null,10099,[[126,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,10100,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10101,!1]],[],[[0,null,!0,null,12544,[[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12545,!1,[[1,[2,"atk"]]]],
[126,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12546,!1,[[1,[2,"walk"]]]]],[[126,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10102,!1,[[10,1],[7,[0,1]]]]],[[0,null,!1,null,10103,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10104,!1]],[[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,10105,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,10106,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,
null,10107,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,10108,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,10109,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[126,cr.plugins_.Sprite.prototype.acts.Spawn,null,10110,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,10112,!1,[[11,"scorefly"],[7,[0,30]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,10113,!1,[[7,[10,[2,
""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,10114,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10115,!1,[[11,"score"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.AddVar,null,10116,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15665,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8535292345135143,!1,[[10,0],[7,[0,
1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,925230967809661,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,10117,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10118,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10119,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10120,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,10121,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10122,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!0,!1,10123,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,10124,!1,[[11,"money"],[7,[0,6]]]]]]]]]]]],[0,null,!1,null,3712,[[101,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,3713,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3714,!1]],[[101,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3738,!1,[[1,[2,"break"]],[3,1]]],[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3739,!1,[[0,[0,0]]]]],[[0,null,!1,null,
3716,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3717,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,3740,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,null,3741,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3742,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,3743,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[101,cr.plugins_.Sprite.prototype.acts.Spawn,
null,3744,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,3746,!1,[[11,"scorefly"],[7,[0,50]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,3747,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,3748,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,3749,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,3750,!1,[[11,"score"],[7,[0,
50]]]],[-1,cr.system_object.prototype.acts.AddVar,null,3751,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15666,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x94bf181d43202,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x9247a309f907,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,3730,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3731,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,3732,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3733,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,3734,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3735,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,3736,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3737,!1,[[11,"money"],[7,[0,6]]]]]]]]]],[0,null,!1,null,6319,[[113,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,6320,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6321,!1]],[[113,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6322,!1,[[1,[2,"break"]],[3,1]]],[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",6323,!1,[[0,[0,0]]]]],[[0,null,!1,null,6324,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6325,!1]],[[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,6326,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,
6327,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6328,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6329,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,6330,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6332,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6333,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],
[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,6334,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,6335,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6336,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6337,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15667,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,8345829681044899,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xbaca64296a4a4,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6338,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6339,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6340,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6341,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,6342,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,
!1,!1,!1,6343,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6344,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6345,!1,[[11,"money"],[7,[0,30]]]]]]]]]],[0,null,!1,null,5575,[[109,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5576,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5577,!1]],[[109,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5578,!1,[[1,[2,"break"]],[3,1]]],[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",5579,!1,[[0,[0,0]]]]],[[0,null,!1,null,5580,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5581,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,5582,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,5583,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5584,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5585,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],
[1,[2,""]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,5586,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5588,!1,[[11,"scorefly"],[7,[0,70]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5589,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,5590,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,5591,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,5592,!1,[[11,"score"],[7,[0,70]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5593,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15668,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8775861844345823,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4830102593666661,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,5594,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5595,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5596,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5597,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,5598,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5599,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5600,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5601,!1,[[11,"money"],[7,[0,20]]]]]]]]]],[0,null,!1,null,4553,[[105,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,4554,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4555,!1]],[[105,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4556,!1,[[1,[2,"break"]],[3,1]]],[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4557,!1,[[0,[0,0]]]]],[[0,null,!1,null,4558,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4559,!1]],[[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,4560,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,
4561,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4562,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4563,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[105,cr.plugins_.Sprite.prototype.acts.Spawn,null,4564,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4566,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,4567,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],
[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,4568,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,4569,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4570,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4571,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15669,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,9475940356322748,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xb43479f0b013b,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,4572,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4573,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4574,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4575,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,4576,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,
!1,!1,!1,4577,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,4578,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4579,!1,[[11,"money"],[7,[0,10]]]]]]]]]],[0,null,!1,null,3752,[[102,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,3753,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3754,!1]],[[102,cr.plugins_.Sprite.prototype.acts.SetAnim,null,3779,!1,[[1,[2,"break"]],[3,1]]],[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",3780,!1,[[0,[0,0]]]]],[[0,null,!1,null,3757,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3758,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,3781,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,3782,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,3783,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,3784,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],
[1,[2,""]]]],[102,cr.plugins_.Sprite.prototype.acts.Spawn,null,3785,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,3787,!1,[[11,"scorefly"],[7,[0,60]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,3788,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,3789,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,3790,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,3791,!1,[[11,"score"],[7,[0,60]]]],[-1,cr.system_object.prototype.acts.AddVar,null,3792,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15670,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0x4e7e38e42cdb9,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7792424811708794,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,3771,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3772,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,3773,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3774,!1,[[11,"money"],[7,[0,10]]]]]],[0,null,!1,null,3775,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3776,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,3777,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3778,!1,[[11,"money"],[7,[0,6]]]]]]]]]],[0,null,!1,null,5602,[[110,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,5603,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5604,!1]],[[110,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5605,!1,[[1,[2,"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",5606,!1,[[0,[0,0]]]]],[[0,null,!1,null,5607,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5608,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,5609,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,
5610,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,5611,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,5612,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[110,cr.plugins_.Sprite.prototype.acts.Spawn,null,5613,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5615,!1,[[11,"scorefly"],[7,[0,90]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,5616,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],
[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,5617,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,5618,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5619,!1,[[11,"score"],[7,[0,90]]]],[-1,cr.system_object.prototype.acts.AddVar,null,5620,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15671,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,5374541995754974,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,7641958035455507,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,5621,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5622,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5623,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5624,!1,[[11,"money"],[7,[0,30]]]]]],[0,null,!1,null,5625,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,5626,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,5627,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,5628,!1,[[11,"money"],[7,[0,20]]]]]]]]]],[0,null,!1,null,6346,[[114,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,6347,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6348,!1]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6349,!1,[[1,[2,"break"]],[3,1]]],[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",6350,!1,[[0,[0,0]]]]],[[0,null,!1,null,6351,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6352,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,6353,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,6354,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,6355,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,6356,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],
[1,[2,""]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,6357,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6359,!1,[[11,"scorefly"],[7,[0,100]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,6360,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,6361,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,6362,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,6363,!1,[[11,"score"],[7,[0,100]]]],[-1,cr.system_object.prototype.acts.AddVar,null,6364,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15672,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,0xd1fb1520932a2,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf4b5607a23b2a,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,6365,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6366,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6367,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6368,!1,[[11,"money"],[7,[0,40]]]]]],[0,null,!1,null,6369,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6370,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,6371,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,6372,!1,[[11,"money"],[7,[0,30]]]]]]]]]],[0,null,!1,null,4580,[[106,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,4581,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4582,!1]],[[106,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4583,!1,[[1,[2,"break"]],[3,1]]],[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",4584,!1,[[0,[0,0]]]]],[[0,null,!1,null,4585,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4586,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,4587,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,
4588,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,4589,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,4590,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[106,cr.plugins_.Sprite.prototype.acts.Spawn,null,4591,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4593,!1,[[11,"scorefly"],[7,[0,80]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,4594,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],
[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,4595,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,4596,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4597,!1,[[11,"score"],[7,[0,80]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4598,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15673,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,
null,5904338017928901,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,4916808025934377,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,4599,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4600,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4601,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4602,!1,[[11,"money"],[7,[0,20]]]]]],[0,null,!1,null,4603,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,4604,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,4605,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,4606,!1,[[11,"money"],[7,[0,10]]]]]]]]]],[0,null,!1,null,2197,[[19,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,2198,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2383,!1]],[],[[0,null,!0,null,12548,[[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12549,!1,[[1,[2,"atk"]]]],
[19,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,12550,!1,[[1,[2,"walk"]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2387,!1,[[10,3],[7,[0,1]]]]],[[0,null,!1,null,1666,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1667,!1]],[[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,1668,!1,[[4,22],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,1669,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,
1670,!1,[[4,24],[5,[0,1]],[7,[0,0]]]],[24,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1671,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1672,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[19,cr.plugins_.Sprite.prototype.acts.Spawn,null,1673,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1675,!1,[[11,"scorefly"],[7,[0,20]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1676,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],
[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1677,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,197],[0,35],[0,122]]]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1678,!1,[[11,"score"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1679,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15674,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,8133443054590534,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x9f41d50cc374f,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,3651,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3652,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3653,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3654,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,3655,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3656,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,3657,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,3658,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,2200,[[30,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,2201,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2383,!1]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1594,!1,[[1,[2,"break"]],[3,1]]],[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1595,!1,[[0,[0,0]]]]],[[0,null,!1,null,1596,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1597,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1598,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1599,!1,[[4,33],[5,[0,1]],[7,[0,0]]]],[33,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,1600,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1601,!1,[[2,["jab-soundbible.com-1806727891",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,1602,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,
cr.system_object.prototype.acts.SetVar,null,1604,!1,[[11,"scorefly"],[7,[0,40]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1605,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1606,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,54],[0,165],[0,239]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1607,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1608,!1,[[11,"score"],[7,[0,40]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,1609,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15675,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,7828198377500971,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0x8aa6e3a53ec22,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,
[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]],[0,null,!1,null,2203,[[28,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,2204,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,2383,!1]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1551,!1,[[1,[2,"break"]],[3,1]]],[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",1552,!1,[[0,[0,0]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1555,!1,[[4,23],[5,[0,1]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1556,!1,[[4,29],[5,[0,1]],[7,[0,0]]]],[29,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
null,1557,!1,[[10,0],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,1558,!1,[[2,["glass breaking-soundbible.com-1765179538",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,1559,!1,[[4,41],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,1561,!1,[[11,"scorefly"],[7,[0,35]]]],[41,cr.plugins_.Text.prototype.acts.SetText,null,1562,!1,[[7,[10,[2,""],[23,"scorefly"]]]]],[41,cr.plugins_.Text.prototype.acts.SetFontColor,null,1563,!1,[[0,
[19,cr.system_object.prototype.exps.rgb,[[0,230],[0,5],[0,5]]]]]],[41,cr.plugins_.Text.prototype.acts.SetAngle,null,1564,!1,[[0,[0,360]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1565,!1,[[11,"score"],[7,[0,35]]]],[-1,cr.system_object.prototype.acts.AddVar,null,1566,!1,[[11,"kill"],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,15676,!1,[[10,0],[7,[0,1]]]],[41,cr.plugins_.Text.prototype.acts.SetInstanceVar,null,6512386583321098,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.AddVar,
null,0x39ae7a1de0bfd,!1,[[11,"combo"],[7,[0,1]]]]],[[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2400,!1,[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,6]]]]]],[0,null,!1,null,1553,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1554,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2400,!1,
[[11,"bonus"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,1561,!1,[[11,"money"],[7,[0,3]]]]]]]]]]]],[0,null,!1,null,2214,[[46,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,2215,!1,[[1,[2,"ring"]]]]],[[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,2216,!1]]]]]]],[0,[!0,"skill_slowtime"],!1,null,15380,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,15380,!1,[[1,[2,"skill_slowtime"]]]]],[],[[0,null,!1,null,2373,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2374,!1,[[11,"skill"],[8,0],[7,[0,1]]]]],[[81,cr.plugins_.Text.prototype.acts.SetPos,null,598047709470746,!1,[[0,[1,369.646]],[0,[1,139.646]]]],[80,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4c556a57dc8aa,!1,[[0,[1,437.335]],[0,[1,155.335]]]]],[[0,null,!1,null,2191,[[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2192,!1,[[10,0],[8,0],[7,[0,0]]]]],[[81,cr.plugins_.Text.prototype.acts.SetFontColor,null,2368,!1,[[0,[19,cr.system_object.prototype.exps.rgb,
[[0,255],[0,255],[0,255]]]]]],[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,50]]]],[80,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,2370,!1,[[0,[0,100]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"unactive"]],[3,1]]]],[[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,2360,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6841,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,
null,2361,!1,[[11,"slowtime"],[7,[0,1]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,2407,!1,[[11,"bonus"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,13585,!1,[[11,"skillactive"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,40]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2407,!1,[[11,"bonus"],[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,25]]]]]],[0,null,!1,null,13581,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,13582,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13587,!1,[[11,"skillactive"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13584,!1,[[11,"slowtime"],
[7,[0,0]]]]]],[0,null,!1,null,2178,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2362,!1,[[11,"slowtime"],[8,3],[7,[0,0]]]]],[[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,0]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"active"]],[3,1]]]],[[0,null,!1,null,2183,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2184,!1]],[[80,cr.plugins_.Sprite.prototype.acts.Spawn,null,2181,!1,[[4,46],[5,[0,3]],[7,[0,0]]]],[46,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,2186,!1,[[1,[2,"ring"]],[3,1]]]]]]]]],[0,null,!1,null,2187,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2188,!1,[[4,80]]],[80,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,2189,!1,[[1,[2,"active"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7617687215529896,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2190,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,13588,
!1,[[11,"skillactive"],[7,[0,0]]]]]],[0,null,!1,null,8971063642103458,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7373963572847214,!1,[[4,182]]],[80,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7100290888318627,!1,[[1,[2,"active"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb474a2462835a,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7158493263847727,!1,[[10,0],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,4667885885400512,!1,[[11,"skillactive"],[7,[0,0]]]]]],[0,null,!1,null,2191,[[80,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,2192,!1,[[10,0],[8,0],[7,[0,1]]]]],[[81,cr.plugins_.Text.prototype.acts.SetFontColor,null,2368,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,255],[0,255],[0,255]]]]]],[81,cr.plugins_.Text.prototype.acts.SetOpacity,null,2359,!1,[[0,[0,100]]]],[80,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,2370,!1,[[0,[0,80]]]]],[[0,null,!1,null,2175,[[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2397,!1,[[11,"bonus"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,15]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,7493728604665914,!1,[[2,["slow_1",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2360,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!0,!1,2397,!1,[[11,"bonus"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,2364,!1,[[11,"slowtime"],[7,[0,10]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,0x5019f05d1c665,!1,[[2,["slow_1",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]],[0,null,!1,null,2175,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,2360,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6842,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SubVar,
null,2361,!1,[[11,"slowtime"],[7,[0,1]]]]]],[0,null,!1,null,2194,[[25,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,2195,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2196,!1,[[4,25],[0,[1,0.3]]]]]],[0,null,!1,null,6376,[[100,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6377,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6378,!1,[[4,100],[0,[1,0.3]]]]]],[0,null,!1,null,6379,[[104,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6380,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6381,!1,[[4,104],[0,[1,0.3]]]]]],[0,null,!1,null,6382,[[108,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6383,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6384,!1,[[4,108],[0,[1,0.3]]]]]],[0,null,!1,null,6385,[[112,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6386,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,
6387,!1,[[4,112],[0,[1,0.3]]]]]],[0,null,!1,null,2197,[[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,2198,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2199,!1,[[4,19],[0,[1,0.3]]]]]],[0,null,!1,null,10095,[[126,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,10096,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10097,!1,[[4,126],[0,[1,0.3]]]]]],[0,null,!1,null,10184,[[127,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,10185,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10186,!1,[[4,127],[0,[1,0.3]]]]]],[0,null,!1,null,6388,[[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6389,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6390,!1,[[4,99],[0,[1,0.3]]]]]],[0,null,!1,null,10003,[[125,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,10004,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,10005,!1,[[4,125],[0,[1,0.3]]]]]],[0,null,!1,null,6391,[[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6392,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6393,!1,[[4,103],[0,[1,0.3]]]]]],[0,null,!1,null,6394,[[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6395,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6396,!1,[[4,107],[0,[1,0.3]]]]]],[0,null,!1,null,6397,[[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6398,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6399,!1,[[4,111],[0,[1,0.3]]]]]],[0,null,!1,null,2200,[[30,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,2201,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2202,!1,[[4,30],[0,[1,0.3]]]]]],[0,null,!1,null,6400,[[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6401,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,
6402,!1,[[4,102],[0,[1,0.3]]]]]],[0,null,!1,null,6403,[[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6404,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6405,!1,[[4,106],[0,[1,0.3]]]]]],[0,null,!1,null,6406,[[110,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6407,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6408,!1,[[4,110],[0,[1,0.3]]]]]],[0,null,!1,null,6409,[[113,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6410,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6411,!1,[[4,113],[0,[1,0.3]]]]]],[0,null,!1,null,2203,[[28,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,2204,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2205,!1,[[4,28],[0,[1,0.3]]]]]],[0,null,!1,null,6412,[[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6413,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,
6414,!1,[[4,101],[0,[1,0.3]]]]]],[0,null,!1,null,6415,[[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6416,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6417,!1,[[4,105],[0,[1,0.3]]]]]],[0,null,!1,null,6418,[[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6419,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6420,!1,[[4,109],[0,[1,0.3]]]]]],[0,null,!1,null,6421,[[114,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6422,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6423,!1,[[4,114],[0,[1,0.3]]]]]],[0,null,!1,null,10263,[[128,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,10264,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10265,!1,[[4,128],[0,[1,0.3]]]]]],[0,null,!1,null,10359,[[129,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,10360,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,10361,!1,[[4,129],[0,[1,0.3]]]]]],[0,null,!1,null,2206,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2362,!1,[[11,"slowtime"],[8,3],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2208,!1,[[4,25],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2209,!1,[[4,19],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2210,!1,[[4,30],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,2211,!1,
[[4,28],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6424,!1,[[4,100],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6425,!1,[[4,104],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6426,!1,[[4,108],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6427,!1,[[4,112],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6428,!1,[[4,99],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6429,!1,[[4,103],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6430,!1,[[4,107],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6431,!1,[[4,111],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6432,!1,[[4,102],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6433,!1,[[4,106],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6434,!1,[[4,110],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6435,!1,[[4,113],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6436,!1,[[4,101],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6437,!1,[[4,105],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6438,!1,[[4,109],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6439,!1,[[4,114],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10006,!1,[[4,125],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,10098,!1,[[4,126],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10187,!1,[[4,127],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10266,!1,[[4,128],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10362,!1,[[4,129],[0,[0,1]]]],[80,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,2190,!1,[[10,0],[7,[0,0]]]],[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2180,!1,[[1,[2,"unactive"]],[3,1]]]],[[0,null,!1,null,8898305152174668,
[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x566d61c7f73fc,!1]],[[11,cr.plugins_.Audio.prototype.acts.Play,null,5541013757314087,!1,[[2,["slow_2",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]]]],[0,null,!1,null,2214,[[46,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,2215,!1,[[1,[2,"ring"]]]]],[[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,2216,!1]]]]]]],[0,null,!1,null,2373,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2374,!1,[[11,"skill"],[8,
0],[7,[0,0]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetPos,null,2445,!1,[[0,[0,2E3]],[0,[0,-100]]]],[81,cr.plugins_.Text.prototype.acts.SetPos,null,2446,!1,[[0,[0,2E3]],[0,[0,-100]]]]]],[0,null,!1,null,13618,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,13619,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,13620,!1,[[11,"skillactive"],[7,[0,1]]]]]]]]]],[0,[!0,"menu"],!1,null,2217,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2217,!1,[[1,[2,"menu"]]]]],
[],[[0,null,!1,null,2218,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2219,!1,[[4,48]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,6469,!1,[[6,"chosestage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,13577,!1,[[1,[2,"money"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14674,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14673,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15010,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15011,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15012,!1,[[1,[2,"itemchose"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5575272218983582,!1,[[1,[2,"tutorial"]],[3,0]]]]],[0,null,!1,null,0xba59d404c3549,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9a60be27da888,!1,[[4,181]]]],[[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0x673ea33b4e4e0,!1,[[1,[2,"money"]],[7,[23,"money"]]]],[123,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd620c43805b21,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[180,cr.plugins_.Sprite.prototype.acts.SetPos,null,6416546204126893,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[181,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3b3d3a3d364fd,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8989940295481402,!1,[[11,"score"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x53c27496f943d,
!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8628591283013505,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x65a977226fbfb,!1,[[11,"stage"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcedfd1ba397f1,!1,[[11,"start"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9372294035026838,!1,[[11,"lvl"],[7,[0,0]]]],[11,cr.plugins_.Audio.prototype.acts.Stop,null,0xab7b1f007bf7f,!1,[[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,8112584476699254,!1,[[1,[2,"money"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8839631827554571,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xa2cf0ee50285,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x80ead777a902b,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5177094753105521,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,0x5b74bc82308f5,!1,[[1,[2,"itemchose"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9609045076886316,!1,[[1,[2,"tutorial"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9615872544677120,!1,[[1,[2,"control"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,332067838485021,!1,[[11,"pause"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd044d8a453ccf,!1,[[11,"enemy_tutorial"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,8152175626665412,!1,[[4,19],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5598840569675041,!1,[[1,[2,"daugau1"]],[3,1]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9591771533308120,!1,[[6,"menu"]]]]],[0,null,!1,null,2226,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2227,!1,[[4,49]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf2d8c592d27e3,!1,[[11,"storebanner"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,2228,!1,
[[6,"store"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,13578,!1,[[1,[2,"money"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14676,!1,[[1,[2,"save"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15021,!1,[[1,[2,"weapon"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15022,!1,[[1,[2,"skill_trade"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15023,!1,[[1,[2,"bonus_trade"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15024,!1,[[1,[2,"itemchose"]],[3,1]]]]],[0,null,!1,null,5980333074909506,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,834181041999745,!1],[9,cr.plugins_.CJSAds.prototype.cnds.IsShowingBanner,null,0,!1,!1,!1,7677518218224285,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb7630816d96ad,!1,[[11,"storebanner"],[8,0],[7,[0,1]]]]],[[9,cr.plugins_.CJSAds.prototype.acts.HideBanner,null,6279296403606127,!1]]],[0,null,!1,null,2230,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,2231,!1,[[4,51]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,2232,!1,[[6,"menu"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14678,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15025,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15026,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15027,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15028,!1,[[1,[2,"itemchose"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc3ecd5eaad0c3,!1,[[11,"storebanner"],[7,[0,0]]]]]],[0,null,!1,null,2234,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2235,!1,[[4,60]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,2236,!1,[[6,"credit"]]],[-1,cr.system_object.prototype.acts.SetVar,null,2291,!1,[[11,"score_credit"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14680,!1,[[1,[2,"save"]],[3,
0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15029,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15030,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15031,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15032,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,0xe5139b42416a6,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x97367cde8ca64,!1,
[[4,199]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,6170116100539184,!1,[[6,"credit"]]],[-1,cr.system_object.prototype.acts.SetVar,null,5262161805680492,!1,[[11,"score_credit"],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7688934995349558,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xa1e8a5344c102,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9129357322457806,!1,[[1,[2,"skill_trade"]],
[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x38f0d875e53a1,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8200113450343129,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,2218,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2219,!1,[[4,69]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,2221,!1,[[6,"credit"]]],[-1,cr.system_object.prototype.acts.SetVar,null,2291,!1,[[11,"score_credit"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14682,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15033,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15034,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15035,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15036,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,2292,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,
!1,2293,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2294,!1,[[11,"score_credit"],[8,0],[7,[0,1]]]]],[[52,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2280,!1,[[1,[2,"credit_1"]],[3,1]]],[62,cr.plugins_.Text.prototype.acts.SetPos,null,2287,!1,[[0,[0,1E3]],[0,[0,1E3]]]],[145,cr.plugins_.Sprite.prototype.acts.SetPos,null,11832,!1,[[0,[0,450]],[0,[0,224]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14684,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15037,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15038,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15039,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15040,!1,[[1,[2,"itemchose"]],[3,0]]],[185,cr.plugins_.Text.prototype.acts.SetPos,null,4978658369131569,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[187,cr.plugins_.Text.prototype.acts.SetPos,null,9439718022988660,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[195,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb2cb67baa20c0,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[53,cr.plugins_.Sprite.prototype.acts.SetPos,null,9179922084379268,!1,[[0,[0,634]],[0,[0,441]]]],[200,cr.plugins_.Sprite.prototype.acts.SetPos,null,9803004244852144,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[201,cr.plugins_.Sprite.prototype.acts.SetPos,null,9504483549775906,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,2292,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,
2293,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2294,!1,[[11,"score_credit"],[8,0],[7,[0,2]]]]],[[52,cr.plugins_.Sprite.prototype.acts.SetAnim,null,2280,!1,[[1,[2,"score_1"]],[3,1]]],[62,cr.plugins_.Text.prototype.acts.SetPos,null,2287,!1,[[0,[0,165]],[0,[0,178]]]],[145,cr.plugins_.Sprite.prototype.acts.SetPos,null,11833,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14686,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15041,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15042,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15043,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15044,!1,[[1,[2,"itemchose"]],[3,0]]],[185,cr.plugins_.Text.prototype.acts.SetPos,null,0x58f5ea50fa789,!1,[[0,[0,406]],[0,[0,224]]]],[187,cr.plugins_.Text.prototype.acts.SetPos,null,7152810432969584,!1,[[0,[0,406]],
[0,[0,271]]]],[195,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7ba4e6d885f8,!1,[[0,[0,428]],[0,[0,342]]]],[53,cr.plugins_.Sprite.prototype.acts.SetPos,null,9375946423803588,!1,[[0,[0,431]],[0,[0,439]]]],[200,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x749c57357fd59,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[201,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x513dc791af4d1,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,0xba92fb0bc64fc,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,
!1,354793477580796,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9196806257512706,!1,[[11,"score_credit"],[8,0],[7,[0,3]]]]],[[52,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa40aca8c78719,!1,[[1,[2,"option"]],[3,1]]],[62,cr.plugins_.Text.prototype.acts.SetPos,null,7692634489414303,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[145,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x543e981692ffd,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8945145190741881,
!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5442793727868026,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6354142650761191,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5197670982961642,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xa580bd13396e8,!1,[[1,[2,"itemchose"]],[3,0]]],[53,cr.plugins_.Sprite.prototype.acts.SetPos,null,7459495393882151,
!1,[[0,[0,431]],[0,[0,439]]]],[185,cr.plugins_.Text.prototype.acts.SetPos,null,0x3deafe4f19abb,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[187,cr.plugins_.Text.prototype.acts.SetPos,null,4658022393690882,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[195,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e4bea1a211d6,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[200,cr.plugins_.Sprite.prototype.acts.SetPos,null,9392506304250418,!1,[[0,[1,422.397]],[0,[1,228.319]]]],[201,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe434a754b5ace,!1,[[0,
[0,424]],[0,[0,342]]]]]],[0,null,!1,null,2238,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2239,!1,[[4,53]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,2240,!1,[[6,"menu"]]],[-1,cr.system_object.prototype.acts.SetVar,null,2291,!1,[[11,"score_credit"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14688,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15045,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15046,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15047,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15048,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,2242,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2243,!1,[[4,59]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,2244,!1,[[6,"chosestage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,13621,!1,[[1,[2,"money"]],
[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14690,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15049,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15050,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15051,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15052,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,2250,[[7,
cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,2251,!1,[[4,58]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,2252,!1,[[6,"menu"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14692,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14705,!1,[[1,[2,"money"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15053,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15054,!1,[[1,[2,"skill_trade"]],
[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15055,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15056,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,9774,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9775,!1,[[4,55]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,9776,!1,[[6,"menu"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14694,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15057,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15058,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15059,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15060,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,6472237364853772,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6550049827100836,!1,[[4,183]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,
null,7444823832061604,!1,[[6,"tutorial"]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xbb26908c6b6a7,!1,[[11,"score"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6097945293162389,!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5046463460527079,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x56875176f555f,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xe861ceba38165,!1,[[1,[2,
"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5528053728190107,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x7c21a54f426d0,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9512673194849404,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,11631,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,11636,!1,[[4,131]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,
11650,!1,[[6,"level"]]],[-1,cr.system_object.prototype.acts.SetVar,null,11637,!1,[[11,"start"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12452,!1,[[11,"score"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12453,!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12454,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14696,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15061,
!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15062,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15063,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15064,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,11638,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,11639,!1,[[4,133]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x62ff0bb1b599d,
!1,[[11,"halong_unlock"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,11651,!1,[[6,"level"]]],[-1,cr.system_object.prototype.acts.SetVar,null,11747,!1,[[11,"start"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12455,!1,[[11,"score"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12456,!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12457,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14698,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15065,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15066,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15067,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15068,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,11641,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,
!1,11642,!1,[[4,134]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xde0c8287781c4,!1,[[11,"saigon_unlock"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,11652,!1,[[6,"level"]]],[-1,cr.system_object.prototype.acts.SetVar,null,11748,!1,[[11,"start"],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12458,!1,[[11,"score"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12459,!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,12460,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14700,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15069,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15070,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15071,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15072,!1,[[1,[2,"itemchose"]],[3,0]]]]],
[0,null,!1,null,11644,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,11645,!1,[[4,135]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7056901451897638,!1,[[11,"nhatban_unlock"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,11653,!1,[[6,"level"]]],[-1,cr.system_object.prototype.acts.SetVar,null,11749,!1,[[11,"start"],[7,[0,4]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12461,!1,[[11,"score"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,12462,!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12463,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14702,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15073,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15074,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15075,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15076,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,11647,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,11648,!1,[[4,136]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4e4271b1c0683,!1,[[11,"arena_unlock"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,11654,!1,[[6,"level"]]],[-1,cr.system_object.prototype.acts.SetVar,null,11649,!1,[[11,"start"],[7,[0,5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12464,!1,[[11,"score"],
[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12465,!1,[[11,"move"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12466,!1,[[11,"kill"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14704,!1,[[1,[2,"save"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15077,!1,[[1,[2,"weapon"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15078,!1,[[1,[2,"skill_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15079,!1,[[1,[2,"bonus_trade"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15080,!1,[[1,[2,"itemchose"]],[3,0]]]]],[0,null,!1,null,8698648695524651,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x86959162e616d,!1,[[4,189]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5271649450883093,!1,[[11,"Language"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x6127b9b3e8143,!1,[[1,[2,"VIET"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,8231507858073614,!1,[[6,"menu"]]]]],[0,null,!1,null,6358956410945001,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6786994903808432,!1,[[4,190]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4737105584262225,!1,[[11,"Language"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xa0d1aee9cbf37,!1,[[1,[2,"ENGLISH"]],[3,0]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,316691033901659,!1,[[6,"menu"]]]]]]],[0,[!0,"spawn"],!1,null,1906,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,1906,!1,[[1,[2,"spawn"]]]]],[],[[0,null,!1,null,1907,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1908,!1,[[11,"stage"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,2992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2993,!1,[[11,"lvl"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,2994,[[19,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,2995,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",2996,!1,[[0,[0,300]]]]]],[0,null,!1,null,
2997,[[30,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,2998,!1]],[[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",2999,!1,[[0,[0,300]]]]]],[0,null,!1,null,3E3,[[28,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3001,!1]],[[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3002,!1,[[0,[0,300]]]]]],[0,null,!1,null,3003,[[25,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3004,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3005,!1,
[[0,[0,300]]]]]],[0,null,!1,null,10033,[[125,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10034,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10035,!1,[[0,[0,300]]]]]],[0,null,!1,null,9694,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9695,!1,[[0,[1,1.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,10425,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,
null,3010,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3011,!1,[[11,"lvl"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,3012,[[19,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3013,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3014,!1,[[0,[0,350]]]]]],[0,null,!1,null,3015,[[30,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3016,!1]],[[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3017,!1,[[0,[0,350]]]]]],[0,null,!1,null,3018,[[28,
cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3019,!1]],[[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3020,!1,[[0,[0,350]]]]]],[0,null,!1,null,3021,[[25,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3022,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3023,!1,[[0,[0,350]]]]]],[0,null,!1,null,10036,[[125,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10037,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10038,!1,[[0,
[0,350]]]]]],[0,null,!1,null,3024,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,3025,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11760,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,3028,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3029,!1,[[11,"lvl"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,3030,[[19,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,
1,!1,!1,!1,3031,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3032,!1,[[0,[0,420]]]]]],[0,null,!1,null,3033,[[30,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3034,!1]],[[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3035,!1,[[0,[0,420]]]]]],[0,null,!1,null,3036,[[28,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3037,!1]],[[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3038,!1,[[0,[0,420]]]]]],[0,null,!1,null,3039,[[25,cr.plugins_.Sprite.prototype.cnds.OnCreated,
null,1,!1,!1,!1,3040,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3041,!1,[[0,[0,420]]]]]],[0,null,!1,null,10039,[[125,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10040,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10041,!1,[[0,[0,420]]]]]],[0,null,!1,null,3042,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,3043,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11761,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,
[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,3046,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3047,!1,[[11,"lvl"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,3048,[[19,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3049,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3050,!1,[[0,[0,420]]]]]],[0,null,!1,null,3051,[[30,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3052,!1]],[[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",3053,!1,[[0,[0,420]]]]]],[0,null,!1,null,3054,[[28,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3055,!1]],[[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3056,!1,[[0,[0,420]]]]]],[0,null,!1,null,3057,[[25,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3058,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3059,!1,[[0,[0,420]]]]]],[0,null,!1,null,10042,[[125,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10043,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",10044,!1,[[0,[0,420]]]]]],[0,null,!1,null,3060,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,3061,!1,[[0,[1,0.8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11762,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,4930081968911987,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,9130121474051724,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,73814665464845,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,3064,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3065,!1,[[11,"lvl"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,3066,[[19,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3067,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",
3068,!1,[[0,[0,440]]]]]],[0,null,!1,null,3069,[[30,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3070,!1]],[[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3071,!1,[[0,[0,440]]]]]],[0,null,!1,null,3072,[[28,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3073,!1]],[[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",3074,!1,[[0,[0,440]]]]]],[0,null,!1,null,3075,[[25,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,3076,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",3077,!1,[[0,[0,440]]]]]],[0,null,!1,null,10045,[[125,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10046,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10047,!1,[[0,[0,440]]]]]],[0,null,!1,null,3078,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,3079,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11763,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],
[0,null,!1,null,0x8d68a5ec8c0a1,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,5094670497704624,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5590263672358343,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,1909,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,1910,!1,[[11,"spawn"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1911,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,1912,!1,[[4,19],[5,[0,1]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1913,!1,[[3,0],[4,12]]]]],[0,null,!1,null,1914,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1915,!1,[[11,"spawn"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1916,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1917,!1,[[4,19],[5,[0,0]],[7,[0,0]]]],[19,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1918,!1,[[3,0],[4,12]]]]],[0,null,!1,null,1919,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1920,!1,[[11,"spawn"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1921,!1]],[[165,cr.plugins_.Sprite.prototype.acts.Spawn,null,14736,!1,[[4,25],[5,[0,1]],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1923,!1,[[3,0],[4,12]]]]],[0,
null,!1,null,1924,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1925,!1,[[11,"spawn"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1926,!1]],[[164,cr.plugins_.Sprite.prototype.acts.Spawn,null,14759,!1,[[4,25],[5,[0,1]],[7,[0,0]]]],[25,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1928,!1,[[3,0],[4,12]]]]],[0,null,!1,null,1929,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1930,!1,[[11,"spawn"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,1931,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14741,!1,[[4,28],[5,[0,0]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,1933,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[28,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1934,!1,[[3,0],[4,12]]]]],[0,null,!1,null,1935,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1936,!1,[[11,"spawn"],[8,0],[7,[0,
6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1937,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14740,!1,[[4,28],[5,[0,1]],[7,[0,0]]]],[28,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,1939,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[28,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1940,!1,[[3,0],[4,12]]]]],[0,null,!1,null,1941,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,1942,!1,[[11,"spawn"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1943,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,14739,!1,[[4,30],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,1945,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[30,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,1946,!1,[[3,0],[4,12]]]]],[0,null,!1,null,
1947,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,1948,!1,[[11,"spawn"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,1949,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14738,!1,[[4,30],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,1951,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[30,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,1952,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10048,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10049,!1,[[11,"spawn"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10050,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14742,!1,[[4,125],[5,[0,1]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10053,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10054,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10055,
!1,[[11,"spawn"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10056,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14743,!1,[[4,125],[5,[0,0]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10060,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10469,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10470,!1,[[11,"spawn"],[8,0],[7,[0,11]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10471,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,
null,14744,!1,[[4,125],[5,[0,0]],[7,[0,0]]]],[125,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10474,!1,[[3,0],[4,12]]]]],[0,null,!1,null,3605,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3606,!1,[[11,"spawn"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3607,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14745,!1,[[4,30],[5,[0,1]],[7,[0,0]]]],[30,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,3609,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[30,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,3610,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5537763195900572,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc0bc37abf595b,!1,[[11,"spawn"],[8,0],[7,[0,12]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9254869817135884,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,6613719775414232,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,9828542682784552,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xec0d3c364436e,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xe715d8e87fe3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5172719987621174,!1,[[11,"spawn"],[8,0],[7,[0,13]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x51ad3ac78b3d1,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,
null,9854615352787240,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6800484409687624,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xa236c69a17f0c,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xd6899aba0a91c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,366667318195232,!1,[[11,"spawn"],[8,0],[7,[0,14]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5305370120812115,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,7359033563606717,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6691914228854965,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,6423679496806553,!1,[[3,0],[4,12]]]]],[0,null,!1,null,8787613226472683,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7925823470603596,!1,[[11,"spawn"],[8,0],[7,[0,15]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9464161079800532,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,8012145343958777,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x70e0b498d2161,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,7985781923290109,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0x72afa70078447,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x991cec0620c7f,!1,[[11,"spawn"],[8,0],[7,[0,16]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7722214679673916,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,7539087214714957,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xba9f4709f1fe1,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,6719898740229854,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4759982657623251,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6638139670492284,!1,[[11,"spawn"],[8,0],[7,[0,17]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf0468fb50ed33,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,576256847084623,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,
cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x586bc91d8f897,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,9881329536059528,!1,[[3,0],[4,12]]]]],[0,null,!1,null,9582442902379076,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8115955502683281,!1,[[11,"spawn"],[8,0],[7,[0,18]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
9583787760385060,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,6350012266843028,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xd2c2a887734d4,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xcfdc05ec85f5d,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xd1d665cd42a25,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,846243381410383,!1,[[11,"spawn"],[8,0],[7,[0,19]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8226368735362875,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,4518471514339065,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4504452654447697,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,
8764180963885624,!1,[[3,0],[4,12]]]]]]],[0,null,!1,null,2691,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2692,!1,[[11,"stage"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,10647,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10648,!1,[[11,"lvl"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,10650,[[99,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10651,!1]],[[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10652,!1,[[0,[0,350]]]]]],[0,null,!1,null,10653,
[[102,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10654,!1]],[[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10655,!1,[[0,[0,350]]]]]],[0,null,!1,null,10656,[[101,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10657,!1]],[[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10658,!1,[[0,[0,350]]]]]],[0,null,!1,null,10659,[[100,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10660,!1]],[[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",
10661,!1,[[0,[0,350]]]]]],[0,null,!1,null,10662,[[126,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10663,!1]],[[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10664,!1,[[0,[0,350]]]]]],[0,null,!1,null,10665,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10666,!1,[[0,[1,1.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11764,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],
[0,null,!1,null,10672,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10673,!1,[[11,"lvl"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,11376,[[99,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11377,!1]],[[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11378,!1,[[0,[0,400]]]]]],[0,null,!1,null,11379,[[102,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11380,!1]],[[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11381,!1,[[0,[0,400]]]]]],[0,null,
!1,null,11382,[[101,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11383,!1]],[[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11384,!1,[[0,[0,400]]]]]],[0,null,!1,null,11385,[[100,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11386,!1]],[[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11387,!1,[[0,[0,400]]]]]],[0,null,!1,null,11388,[[126,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11389,!1]],[[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11390,!1,[[0,[0,400]]]]]],[0,null,!1,null,10690,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10691,!1,[[0,[1,1.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11765,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,10697,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10698,!1,[[11,"lvl"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,11391,[[99,cr.plugins_.Sprite.prototype.cnds.OnCreated,
null,1,!1,!1,!1,11392,!1]],[[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11393,!1,[[0,[0,450]]]]]],[0,null,!1,null,11394,[[102,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11395,!1]],[[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11396,!1,[[0,[0,450]]]]]],[0,null,!1,null,11397,[[101,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11398,!1]],[[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11399,!1,[[0,[0,450]]]]]],[0,null,!1,null,11400,
[[100,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11401,!1]],[[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11402,!1,[[0,[0,450]]]]]],[0,null,!1,null,11403,[[126,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11404,!1]],[[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11405,!1,[[0,[0,450]]]]]],[0,null,!1,null,10715,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10716,!1,[[0,[1,0.8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,
11766,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,10722,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10723,!1,[[11,"lvl"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,10725,[[19,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10726,!1]],[[19,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10727,!1,[[0,[0,480]]]]]],[0,null,!1,null,10728,[[30,cr.plugins_.Sprite.prototype.cnds.OnCreated,
null,1,!1,!1,!1,10729,!1]],[[30,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10730,!1,[[0,[0,480]]]]]],[0,null,!1,null,10731,[[28,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10732,!1]],[[28,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10733,!1,[[0,[0,480]]]]]],[0,null,!1,null,10734,[[25,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10735,!1]],[[25,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10736,!1,[[0,[0,480]]]]]],[0,null,!1,null,10737,[[125,
cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10738,!1]],[[125,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10739,!1,[[0,[0,480]]]]]],[0,null,!1,null,10740,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10741,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11767,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,0x87e62748561a3,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,7604790363072074,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9838147404637964,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,10747,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10748,!1,[[11,"lvl"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,11406,[[99,
cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11407,!1]],[[99,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11408,!1,[[0,[0,480]]]]]],[0,null,!1,null,11409,[[102,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11410,!1]],[[102,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11411,!1,[[0,[0,480]]]]]],[0,null,!1,null,11412,[[101,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11413,!1]],[[101,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11414,
!1,[[0,[0,480]]]]]],[0,null,!1,null,11415,[[100,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11416,!1]],[[100,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11417,!1,[[0,[0,480]]]]]],[0,null,!1,null,11418,[[126,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11419,!1]],[[126,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11420,!1,[[0,[0,480]]]]]],[0,null,!1,null,10765,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10766,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,11768,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,0xece94aea2e4c5,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,4994928842717692,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5097677337108911,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,2693,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2694,!1,[[11,"spawn"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2695,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,2696,!1,[[4,99],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2697,!1,[[3,0],[4,12]]]]],[0,null,!1,null,2698,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2699,!1,[[11,"spawn"],
[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2700,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14922,!1,[[4,99],[5,[0,1]],[7,[0,0]]]],[99,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2702,!1,[[3,0],[4,12]]]]],[0,null,!1,null,2703,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2704,!1,[[11,"spawn"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2705,!1]],[[165,cr.plugins_.Sprite.prototype.acts.Spawn,
null,14923,!1,[[4,100],[5,[0,1]],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2707,!1,[[3,0],[4,12]]]]],[0,null,!1,null,2708,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2709,!1,[[11,"spawn"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2710,!1]],[[164,cr.plugins_.Sprite.prototype.acts.Spawn,null,14924,!1,[[4,100],[5,[0,1]],[7,[0,0]]]],[100,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2712,!1,[[3,0],[4,12]]]]],
[0,null,!1,null,2713,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2714,!1,[[11,"spawn"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2715,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,2716,!1,[[4,101],[5,[0,1]],[7,[0,0]]]],[101,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,2717,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[101,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,2718,!1,[[3,0],[4,12]]]]],[0,null,!1,null,2719,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2720,!1,[[11,"spawn"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2721,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14925,!1,[[4,101],[5,[0,1]],[7,[0,0]]]],[101,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,2723,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[101,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2724,!1,[[3,0],[4,12]]]]],[0,null,!1,null,2725,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2726,!1,[[11,"spawn"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2727,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,14927,!1,[[4,102],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,2729,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],
[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[102,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2730,!1,[[3,0],[4,12]]]]],[0,null,!1,null,2731,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2732,!1,[[11,"spawn"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,2733,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14926,!1,[[4,102],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,2735,!1,
[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[102,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,2736,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10140,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10141,!1,[[11,"spawn"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10142,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14929,!1,[[4,126],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,10145,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10146,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10147,!1,[[11,"spawn"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10148,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14928,!1,[[4,126],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10152,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10475,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10476,
!1,[[11,"spawn"],[8,0],[7,[0,11]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10477,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14930,!1,[[4,126],[5,[0,1]],[7,[0,0]]]],[126,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10480,!1,[[3,0],[4,12]]]]],[0,null,!1,null,3577,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3578,!1,[[11,"spawn"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,3579,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,
null,14931,!1,[[4,102],[5,[0,1]],[7,[0,0]]]],[102,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,3581,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[102,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,3582,!1,[[3,0],[4,12]]]]],[0,null,!1,null,8061099989939854,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7533892612760438,!1,[[11,"spawn"],[8,0],[7,[0,12]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,435300415879747,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,9520542010720596,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6723772230130234,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,8873097221904168,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xebd5f6db28697,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7288346566169625,!1,[[11,"spawn"],[8,0],[7,[0,13]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5c21ec863ed3b,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,6642878501763809,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,9122496627074316,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,0xe175a397bf6e,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5739181856836123,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9dc02503c5253,!1,[[11,"spawn"],[8,0],[7,[0,14]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4796499169052938,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,928331777130725,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x6696a04b2d5e,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x4ae0c96c68139,!1,[[3,0],[4,12]]]]],[0,null,!1,null,9344198143680016,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6761132352438447,!1,[[11,"spawn"],[8,0],[7,[0,15]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,467720975735241,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xee230a4023cb9,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,
cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6885893122711357,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x6c930a9ac7251,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xb68d4479f4a7d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9652218734685288,!1,[[11,"spawn"],[8,0],[7,[0,16]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe4faf1693b08b,
!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc0469e3bd3275,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5376935844863726,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,6116128534041226,!1,[[3,0],[4,12]]]]],[0,null,!1,null,544174486217352,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8847911176191176,
!1,[[11,"spawn"],[8,0],[7,[0,17]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4623644336855747,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,7122269074730828,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x6e7522efc09ff,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x8af8e166a0323,!1,[[3,
0],[4,12]]]]],[0,null,!1,null,0x7018f4dbcb380,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,721924517394833,!1,[[11,"spawn"],[8,0],[7,[0,18]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5928548149636044,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,7221301160098223,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xc7e0efc2bf087,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,9509921212819804,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4748023162965353,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x84e9b0a155e6e,!1,[[11,"spawn"],[8,0],[7,[0,19]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xffded54df21f1,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,6041571224971837,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,5015895529072778,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,7352895184558894,!1,[[3,0],[4,12]]]]]]],[0,null,!1,null,3921,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,3922,!1,[[11,"stage"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,10897,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10898,!1,[[11,"lvl"],[8,0],[7,[0,1]]]]],[],[[0,
null,!1,null,10900,[[103,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10901,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10902,!1,[[0,[0,400]]]]]],[0,null,!1,null,10903,[[105,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10904,!1]],[[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10905,!1,[[0,[0,400]]]]]],[0,null,!1,null,10906,[[106,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10907,!1]],[[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",10908,!1,[[0,[0,400]]]]]],[0,null,!1,null,10909,[[104,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10910,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10911,!1,[[0,[0,400]]]]]],[0,null,!1,null,10912,[[127,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,10913,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",10914,!1,[[0,[0,400]]]]]],[0,null,!1,null,10915,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10916,!1,[[0,[1,1.5]]]]],
[[-1,cr.system_object.prototype.acts.SetVar,null,11769,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,10922,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10923,!1,[[11,"lvl"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,11421,[[103,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11422,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11423,!1,[[0,[0,450]]]]]],[0,
null,!1,null,11424,[[105,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11425,!1]],[[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11426,!1,[[0,[0,450]]]]]],[0,null,!1,null,11427,[[106,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11428,!1]],[[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11429,!1,[[0,[0,450]]]]]],[0,null,!1,null,11430,[[104,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11431,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11432,!1,[[0,[0,450]]]]]],[0,null,!1,null,11433,[[127,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11434,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11435,!1,[[0,[0,450]]]]]],[0,null,!1,null,10940,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10941,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11770,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],
[0,null,!1,null,10947,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10948,!1,[[11,"lvl"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,11436,[[103,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11437,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11438,!1,[[0,[0,480]]]]]],[0,null,!1,null,11439,[[105,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11440,!1]],[[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11441,!1,[[0,[0,480]]]]]],[0,
null,!1,null,11442,[[106,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11443,!1]],[[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11444,!1,[[0,[0,480]]]]]],[0,null,!1,null,11445,[[104,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11446,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11447,!1,[[0,[0,480]]]]]],[0,null,!1,null,11448,[[127,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11449,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11450,!1,[[0,[0,480]]]]]],[0,null,!1,null,10965,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10966,!1,[[0,[1,0.8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11771,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,10972,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10973,!1,[[11,"lvl"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,11451,[[103,cr.plugins_.Sprite.prototype.cnds.OnCreated,
null,1,!1,!1,!1,11452,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11453,!1,[[0,[0,500]]]]]],[0,null,!1,null,11454,[[105,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11455,!1]],[[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11456,!1,[[0,[0,500]]]]]],[0,null,!1,null,11457,[[106,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11458,!1]],[[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11459,!1,[[0,[0,500]]]]]],[0,null,!1,null,11460,
[[104,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11461,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11462,!1,[[0,[0,500]]]]]],[0,null,!1,null,11463,[[127,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11464,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11465,!1,[[0,[0,500]]]]]],[0,null,!1,null,10990,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,10991,!1,[[0,[1,0.7]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,
11772,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,8350427434134586,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xc5a4a793d66ff,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6ade25e8e13c6,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,10997,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10998,!1,[[11,"lvl"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,11466,[[103,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11467,!1]],[[103,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11468,!1,[[0,[0,500]]]]]],[0,null,!1,null,11469,[[105,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11470,!1]],[[105,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11471,
!1,[[0,[0,500]]]]]],[0,null,!1,null,11472,[[106,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11473,!1]],[[106,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11474,!1,[[0,[0,500]]]]]],[0,null,!1,null,11475,[[104,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11476,!1]],[[104,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11477,!1,[[0,[0,500]]]]]],[0,null,!1,null,11478,[[127,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11479,!1]],[[127,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11480,!1,[[0,[0,500]]]]]],[0,null,!1,null,11015,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11016,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11773,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,6561871411047958,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0x867a1abfa0baf,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xb90ca43776863,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,4121,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4122,!1,[[11,"spawn"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4123,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,4124,!1,[[4,103],[5,[0,1]],[7,[0,
0]]]],[103,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4125,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4126,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4127,!1,[[11,"spawn"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4128,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,4129,!1,[[4,103],[5,[0,1]],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4130,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4131,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4132,!1,[[11,"spawn"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4133,!1]],[[165,cr.plugins_.Sprite.prototype.acts.Spawn,null,14934,!1,[[4,104],[5,[0,1]],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4135,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4136,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4137,!1,[[11,"spawn"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4138,!1]],
[[164,cr.plugins_.Sprite.prototype.acts.Spawn,null,14932,!1,[[4,104],[5,[0,1]],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4468,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4141,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4142,!1,[[11,"spawn"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4143,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14936,!1,[[4,105],[5,[0,1]],[7,[0,0]]]],[105,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,4145,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[105,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4146,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4147,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4148,!1,[[11,"spawn"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4149,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14935,!1,[[4,105],[5,[0,1]],[7,[0,0]]]],
[105,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4469,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[105,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4470,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4153,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4154,!1,[[11,"spawn"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4155,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,
null,4156,!1,[[4,106],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4157,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[106,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4158,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4159,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4160,!1,[[11,"spawn"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
4161,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,4162,!1,[[4,106],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4471,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[106,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4472,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10229,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10230,!1,[[11,"spawn"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,10231,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14937,!1,[[4,127],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10234,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10235,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10236,!1,[[11,"spawn"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10237,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14938,!1,[[4,127],[5,[0,1]],[7,[0,0]]]],[127,
cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10241,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10481,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10482,!1,[[11,"spawn"],[8,0],[7,[0,11]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10483,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14939,!1,[[4,127],[5,[0,1]],[7,[0,0]]]],[127,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10486,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4473,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4474,!1,[[11,"spawn"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4475,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14940,!1,[[4,106],[5,[0,1]],[7,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,4477,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[106,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4478,!1,[[3,0],[4,12]]]]],[0,null,!1,
null,5166374002196933,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9025902362965484,!1,[[11,"spawn"],[8,0],[7,[0,12]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8561763345493936,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,4906794474898437,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7646283667715323,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,4771073153909429,!1,[[3,0],[4,12]]]]],[0,null,!1,null,7698602317110593,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8f47748884b1b,!1,[[11,"spawn"],[8,0],[7,[0,13]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9191222035074880,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfde14a471894f,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,0xb8dc3dca64aff,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,8493640393557965,!1,[[3,0],[4,12]]]]],[0,null,!1,null,6425899280600687,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6b8169adb3544,!1,[[11,"spawn"],[8,0],[7,[0,14]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9094957953847364,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7946750125772577,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6494517436847823,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x64f60c8832a50,!1,[[3,0],[4,12]]]]],[0,null,!1,null,901349972843334,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5922414801850865,!1,[[11,"spawn"],[8,0],[7,[0,15]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4760714675527044,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x77b170b67e71e,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6881234021901312,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,8114017730765274,!1,[[3,0],[4,12]]]]],[0,null,!1,null,7228264137003065,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa7cff86ef0259,!1,[[11,"spawn"],[8,0],[7,[0,16]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,548803885966298,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xf67ebaff49138,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x8c86bfe9c8334,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,
cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,353006376957899,!1,[[3,0],[4,12]]]]],[0,null,!1,null,7538449387411915,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf8199108c1720,!1,[[11,"spawn"],[8,0],[7,[0,17]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3c6a734380005,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x758882f16dd46,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7875705469787053,
!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xd2253ae26f0d6,!1,[[3,0],[4,12]]]]],[0,null,!1,null,8754881824344169,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9839408414361016,!1,[[11,"spawn"],[8,0],[7,[0,18]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xef8eac393c621,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,8424813607774642,
!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x5f3450b24314e,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xfef486452f2ce,!1,[[3,0],[4,12]]]]],[0,null,!1,null,8297964344477835,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7164370707633582,!1,[[11,"spawn"],[8,0],[7,[0,19]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,869399975475906,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,8944652088983372,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,8667785164281114,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x60b328669f727,!1,[[3,0],[4,12]]]]]]],[0,null,!1,null,4968,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4969,!1,[[11,"stage"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,11022,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11023,!1,[[11,"lvl"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,11025,[[107,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11026,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11027,!1,[[0,[0,450]]]]]],[0,null,!1,null,11028,[[110,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11029,!1]],[[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11030,!1,[[0,[0,450]]]]]],[0,null,!1,null,11031,[[109,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11032,!1]],[[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11033,!1,[[0,[0,450]]]]]],[0,null,!1,null,11034,[[108,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11035,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11036,!1,[[0,[0,450]]]]]],[0,null,!1,null,11037,[[128,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11038,!1]],
[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11039,!1,[[0,[0,450]]]]]],[0,null,!1,null,11040,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11041,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11774,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,11047,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11048,!1,[[11,"lvl"],[8,0],[7,[0,2]]]]],
[],[[0,null,!1,null,11481,[[107,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11482,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11483,!1,[[0,[0,480]]]]]],[0,null,!1,null,11484,[[110,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11485,!1]],[[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11486,!1,[[0,[0,480]]]]]],[0,null,!1,null,11487,[[109,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11488,!1]],[[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11489,!1,[[0,[0,480]]]]]],[0,null,!1,null,11490,[[108,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11491,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11492,!1,[[0,[0,480]]]]]],[0,null,!1,null,11493,[[128,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11494,!1]],[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11495,!1,[[0,[0,480]]]]]],[0,null,!1,null,11065,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11066,!1,[[0,[1,0.9]]]]],
[[-1,cr.system_object.prototype.acts.SetVar,null,11775,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,11072,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11073,!1,[[11,"lvl"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,11496,[[107,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11497,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11498,!1,[[0,[0,500]]]]]],[0,
null,!1,null,11499,[[110,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11500,!1]],[[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11501,!1,[[0,[0,500]]]]]],[0,null,!1,null,11502,[[109,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11503,!1]],[[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11504,!1,[[0,[0,500]]]]]],[0,null,!1,null,11505,[[108,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11506,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11507,!1,[[0,[0,500]]]]]],[0,null,!1,null,11508,[[128,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11509,!1]],[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11510,!1,[[0,[0,500]]]]]],[0,null,!1,null,11090,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11091,!1,[[0,[1,0.8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11776,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],
[0,null,!1,null,11097,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11098,!1,[[11,"lvl"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,11511,[[107,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11512,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11513,!1,[[0,[0,500]]]]]],[0,null,!1,null,11514,[[110,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11515,!1]],[[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11516,!1,[[0,[0,500]]]]]],[0,
null,!1,null,11517,[[109,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11518,!1]],[[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11519,!1,[[0,[0,500]]]]]],[0,null,!1,null,11520,[[108,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11521,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11522,!1,[[0,[0,500]]]]]],[0,null,!1,null,11523,[[128,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11524,!1]],[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11525,!1,[[0,[0,500]]]]]],[0,null,!1,null,11115,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11116,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11777,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,5907568277307438,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,0xd59f704a8fefe,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9681123026847968,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,11122,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11123,!1,[[11,"lvl"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,11526,[[107,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11527,!1]],[[107,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",
11528,!1,[[0,[0,520]]]]]],[0,null,!1,null,11529,[[110,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11530,!1]],[[110,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11531,!1,[[0,[0,520]]]]]],[0,null,!1,null,11532,[[109,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11533,!1]],[[109,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11534,!1,[[0,[0,520]]]]]],[0,null,!1,null,11535,[[108,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11536,!1]],[[108,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11537,!1,[[0,[0,520]]]]]],[0,null,!1,null,11538,[[128,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11539,!1]],[[128,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11540,!1,[[0,[0,520]]]]]],[0,null,!1,null,11140,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11141,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11778,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],
[0,null,!1,null,0xfd44b447d7092,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8938645072533033,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x7f96ff22bcd7,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,5168,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,5169,!1,[[11,"spawn"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5170,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,5172,!1,[[4,107],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5173,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5174,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5175,!1,[[11,"spawn"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5176,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,
null,5178,!1,[[4,107],[5,[0,1]],[7,[0,0]]]],[107,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5179,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5180,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5181,!1,[[11,"spawn"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5182,!1]],[[165,cr.plugins_.Sprite.prototype.acts.Spawn,null,14943,!1,[[4,108],[5,[0,1]],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5185,!1,[[3,0],[4,12]]]]],
[0,null,!1,null,5186,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5187,!1,[[11,"spawn"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5188,!1]],[[164,cr.plugins_.Sprite.prototype.acts.Spawn,null,14942,!1,[[4,108],[5,[0,1]],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5191,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5192,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5193,!1,[[11,"spawn"],[8,0],[7,[0,5]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5194,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14945,!1,[[4,109],[5,[0,1]],[7,[0,0]]]],[109,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5197,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[109,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5198,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5199,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5200,!1,[[11,"spawn"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5201,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14944,!1,[[4,109],[5,[0,1]],[7,[0,0]]]],[109,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5204,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[109,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5205,!1,[[3,0],[4,12]]]]],[0,null,!1,null,
5206,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5207,!1,[[11,"spawn"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5208,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,5210,!1,[[4,110],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5211,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[110,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,5212,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5213,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214,!1,[[11,"spawn"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5215,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14946,!1,[[4,110],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5218,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[110,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5219,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10311,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10312,!1,[[11,"spawn"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10313,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14948,!1,[[4,128],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10316,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10317,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,10318,!1,[[11,"spawn"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10319,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14947,!1,[[4,128],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10323,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10487,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10488,!1,[[11,"spawn"],[8,0],[7,[0,11]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,
10489,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14949,!1,[[4,128],[5,[0,1]],[7,[0,0]]]],[128,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10492,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5512,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5513,!1,[[11,"spawn"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5514,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14950,!1,[[4,110],[5,[0,1]],[7,[0,0]]]],[110,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,5516,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[110,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5517,!1,[[3,0],[4,12]]]]],[0,null,!1,null,6304548252086105,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5524615536470118,!1,[[11,"spawn"],[8,0],[7,[0,12]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6394757915983546,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,7881738028640763,
!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xea53161fba084,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,7364530319069338,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xd18adffde4e8f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5924649143597646,!1,[[11,"spawn"],[8,0],[7,[0,13]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x82ff4f489afd8,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,7136212593127218,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x71ea84afa1bd7,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x95e1f949aefe,!1,[[3,0],[4,12]]]]],[0,null,!1,null,924396184743324,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5188042691522915,!1,[[11,"spawn"],[8,0],[7,[0,14]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xaeb27044f9343,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,7175958416114416,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xec30aaffb000d,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,9715517334929460,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0x4561f85f56066,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe7d770e80cc5c,!1,[[11,"spawn"],[8,0],[7,[0,15]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7258180140234273,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa8df245135a02,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,9518635819375922,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x6d984116f55cd,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xbc2ed3daeabab,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6079608403341916,!1,[[11,"spawn"],[8,0],[7,[0,16]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5701863505584726,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xdc25f056e0913,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,
cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6457290172125048,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xbd196f87fef3c,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0x9326e9383c3a3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7043409184547068,!1,[[11,"spawn"],[8,0],[7,[0,17]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb09f653607f31,
!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x742652df7e5e1,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,9904986809830160,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5417827987182761,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0x6089a7f1b4d25,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8108466411701957,
!1,[[11,"spawn"],[8,0],[7,[0,18]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7795432449771773,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x553ffd027786b,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xa4023d1c4e360,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,7487670242059424,!1,[[3,
0],[4,12]]]]],[0,null,!1,null,410756002507965,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5320061692638344,!1,[[11,"spawn"],[8,0],[7,[0,19]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x3d1b24c7c4559,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb50baa9dfd246,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,825643458246409,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x4987e2a3e91b4,!1,[[3,0],[4,12]]]]]]],[0,null,!1,null,5681,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5682,!1,[[11,"stage"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,11147,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11148,!1,[[11,"lvl"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,11150,[[111,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11151,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11152,!1,[[0,[0,450]]]]]],[0,null,!1,null,11153,[[114,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11154,!1]],[[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11155,!1,[[0,[0,450]]]]]],[0,null,!1,null,11156,[[113,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11157,!1]],[[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11158,!1,[[0,[0,450]]]]]],[0,null,!1,null,11159,[[112,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11160,!1]],
[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11161,!1,[[0,[0,450]]]]]],[0,null,!1,null,11162,[[129,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11163,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11164,!1,[[0,[0,450]]]]]],[0,null,!1,null,11165,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11166,!1,[[0,[1,0.8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11779,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,11172,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11173,!1,[[11,"lvl"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,11541,[[111,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11542,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11543,!1,[[0,[0,500]]]]]],[0,null,!1,null,11544,[[114,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11545,!1]],[[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11546,
!1,[[0,[0,500]]]]]],[0,null,!1,null,11547,[[113,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11548,!1]],[[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11549,!1,[[0,[0,500]]]]]],[0,null,!1,null,11550,[[112,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11551,!1]],[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11552,!1,[[0,[0,500]]]]]],[0,null,!1,null,11553,[[129,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11554,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,
"Bullet",11555,!1,[[0,[0,500]]]]]],[0,null,!1,null,11190,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11191,!1,[[0,[1,0.8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11780,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,11197,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11198,!1,[[11,"lvl"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,11571,[[111,cr.plugins_.Sprite.prototype.cnds.OnCreated,
null,1,!1,!1,!1,11572,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11573,!1,[[0,[0,520]]]]]],[0,null,!1,null,11574,[[114,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11575,!1]],[[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11576,!1,[[0,[0,520]]]]]],[0,null,!1,null,11577,[[113,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11578,!1]],[[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11579,!1,[[0,[0,520]]]]]],[0,null,!1,null,11580,
[[112,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11581,!1]],[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11582,!1,[[0,[0,520]]]]]],[0,null,!1,null,11583,[[129,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11584,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11585,!1,[[0,[0,520]]]]]],[0,null,!1,null,11215,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11216,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,
11781,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]]]],[0,null,!1,null,11222,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11223,!1,[[11,"lvl"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,11601,[[111,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11602,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11603,!1,[[0,[0,550]]]]]],[0,null,!1,null,11604,[[114,cr.plugins_.Sprite.prototype.cnds.OnCreated,
null,1,!1,!1,!1,11605,!1]],[[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11606,!1,[[0,[0,550]]]]]],[0,null,!1,null,11607,[[113,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11608,!1]],[[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11609,!1,[[0,[0,550]]]]]],[0,null,!1,null,11610,[[112,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11611,!1]],[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11612,!1,[[0,[0,550]]]]]],[0,null,!1,null,11613,
[[129,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11614,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11615,!1,[[0,[0,550]]]]]],[0,null,!1,null,11240,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11241,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,11782,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,6488988867206528,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,9419784701111528,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8348178482640226,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,11247,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11248,!1,[[11,"lvl"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,11616,[[111,
cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11617,!1]],[[111,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11618,!1,[[0,[0,580]]]]]],[0,null,!1,null,11619,[[114,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11620,!1]],[[114,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11621,!1,[[0,[0,580]]]]]],[0,null,!1,null,11622,[[113,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11623,!1]],[[113,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11624,
!1,[[0,[0,580]]]]]],[0,null,!1,null,11625,[[112,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11626,!1]],[[112,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11627,!1,[[0,[0,580]]]]]],[0,null,!1,null,11628,[[129,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,11629,!1]],[[129,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",11630,!1,[[0,[0,580]]]]]],[0,null,!1,null,11265,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11266,!1,[[0,[1,0.5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,11783,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,0],[0,11]]]]]]]]]],[0,null,!1,null,9517782632861084,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,7973214562808731,!1,[[0,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,[[0,35],[0,70]]]]]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9957934500321208,!1,[[11,"spawn"],[7,[19,cr.system_object.prototype.exps.floor,[[19,cr.system_object.prototype.exps.random,
[[0,12],[0,19]]]]]]]]]]]],[0,null,!1,null,5881,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5882,!1,[[11,"spawn"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5883,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,5884,!1,[[4,111],[5,[0,1]],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5885,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5886,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5887,!1,[[11,"spawn"],
[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5888,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14951,!1,[[4,111],[5,[0,1]],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5890,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5891,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5892,!1,[[11,"spawn"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5893,!1]],[[165,cr.plugins_.Sprite.prototype.acts.Spawn,
null,14953,!1,[[4,112],[5,[0,1]],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5895,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5896,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5897,!1,[[11,"spawn"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5898,!1]],[[164,cr.plugins_.Sprite.prototype.acts.Spawn,null,14952,!1,[[4,112],[5,[0,1]],[7,[0,0]]]],[112,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5900,!1,[[3,0],[4,12]]]]],
[0,null,!1,null,5901,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5902,!1,[[11,"spawn"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5903,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14955,!1,[[4,113],[5,[0,1]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5905,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[113,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,5906,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5907,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5908,!1,[[11,"spawn"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5909,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14954,!1,[[4,113],[5,[0,1]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5911,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[113,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5912,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5913,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5914,!1,[[11,"spawn"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5915,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,5916,!1,[[4,114],[5,[0,1]],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5917,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,
[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[114,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5918,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5919,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5920,!1,[[11,"spawn"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5921,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,14956,!1,[[4,114],[5,[0,1]],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,5923,!1,[[0,
[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[114,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5924,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10404,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10405,!1,[[11,"spawn"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10406,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,14958,!1,[[4,129],[5,[0,1]],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,10409,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10410,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10411,!1,[[11,"spawn"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10412,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14957,!1,[[4,129],[5,[0,1]],[7,[0,1]]]],[129,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10416,!1,[[3,0],[4,12]]]]],[0,null,!1,null,10493,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,10494,
!1,[[11,"spawn"],[8,0],[7,[0,11]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,10495,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,14959,!1,[[4,129],[5,[0,1]],[7,[0,0]]]],[129,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,10498,!1,[[3,0],[4,12]]]]],[0,null,!1,null,6258,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6259,!1,[[11,"spawn"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6260,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,
null,14960,!1,[[4,114],[5,[0,1]],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6263,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[114,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,6264,!1,[[3,0],[4,12]]]]],[0,null,!1,null,8932671945308558,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8870054379423983,!1,[[11,"spawn"],[8,0],[7,[0,12]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x8983d9d4720db,!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,9602107894996074,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xa75810cbf2fbe,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,416186275015267,!1,[[3,0],[4,12]]]]],[0,null,!1,null,4946507985443569,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x8827c91a6878a,!1,[[11,"spawn"],[8,0],[7,[0,13]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8405590716888277,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,6720346802855734,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,7545302549482069,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,
null,8991706957578123,!1,[[3,0],[4,12]]]]],[0,null,!1,null,7849175269416043,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8467622395705785,!1,[[11,"spawn"],[8,0],[7,[0,14]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9e614db41ae43,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xaa28ad8ad47c3,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6211616256759076,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,9777035377916440,!1,[[3,0],[4,12]]]]],[0,null,!1,null,5522393354064864,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6526033249750609,!1,[[11,"spawn"],[8,0],[7,[0,15]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x583cca1c6951c,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc063ec2d597fa,!1,[[4,197],[5,[0,1]],[7,[0,0]]]],[197,
cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,9102420891859256,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[197,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0xdec77ba62f4b4,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xbebf68bbfc4ab,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc43412639c3bc,!1,[[11,"spawn"],[8,0],[7,[0,16]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xfc3cc2f145128,
!1]],[[161,cr.plugins_.Sprite.prototype.acts.Spawn,null,6318528049084822,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xf2615740dab9a,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,9376933628055368,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0x4c666409d27f9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9780667129469072,
!1,[[11,"spawn"],[8,0],[7,[0,17]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7541330495648599,!1]],[[160,cr.plugins_.Sprite.prototype.acts.Spawn,null,6361639194146257,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,6804503246268112,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,0x5466a254fe876,!1,[[3,
0],[4,12]]]]],[0,null,!1,null,0xadf6385d658ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7997358378053885,!1,[[11,"spawn"],[8,0],[7,[0,18]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x8edc242cc09a7,!1]],[[163,cr.plugins_.Sprite.prototype.acts.Spawn,null,286577754959407,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xa838b35573830,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,9682084315075792,!1,[[3,0],[4,12]]]]],[0,null,!1,null,0xf59f59db9924b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5993748777662185,!1,[[11,"spawn"],[8,0],[7,[0,19]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6349104576581941,!1]],[[162,cr.plugins_.Sprite.prototype.acts.Spawn,null,6462939342831422,!1,[[4,196],[5,[0,1]],[7,[0,0]]]],[196,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,
null,7776647489089146,!1,[[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[196,cr.plugins_.Sprite.prototype.acts.ZMoveToObject,null,5977762145333739,!1,[[3,0],[4,12]]]]]]]]],[0,[!0,"lvl_control"],!1,null,2268,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2268,!1,[[1,[2,"lvl_control"]]]]],[],[[0,null,!1,null,11312,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11313,!1,[[11,"score"],[8,0],[7,[0,
0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,11314,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,11315,!1,[[11,"lvl"],[7,[0,1]]]]]],[0,null,!1,null,11316,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11317,!1,[[11,"score"],[8,5],[7,[0,1E3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,11318,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,11319,!1,[[11,"lvl"],[7,[0,2]]]]]],[0,null,!1,null,11320,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,11321,!1,[[11,"score"],[8,5],[7,[0,2E3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,11322,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,11323,!1,[[11,"lvl"],[7,[0,3]]]]]],[0,null,!1,null,11324,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11325,!1,[[11,"score"],[8,5],[7,[0,3E3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,11326,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,11327,!1,[[11,"lvl"],[7,[0,4]]]]]],
[0,null,!1,null,11328,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11329,!1,[[11,"score"],[8,5],[7,[0,5E3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,11330,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,11331,!1,[[11,"lvl"],[7,[0,5]]]]]],[0,null,!1,null,11352,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,11353,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11655,!1,[[11,"start"],[8,0],[7,[0,1]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,11656,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8458204083394975,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7386393261046857,!1,[[1,[2,"hanoi"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,11658,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,11659,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,12796,!1,[[1,[2,"spawn"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.Play,
null,12829,!1,[[2,["spartan x_remix_begin",!0]],[3,0],[0,[0,0]],[1,[2,"begin"]]]]]],[0,null,!1,null,9662595103726196,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5540009379463291,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe3f765558ff7,!1,[[11,"start"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7d3cd517e5dd9,!1,[[11,"sound"],[8,0],[7,[0,0]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xa9cc2500be7d,
!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9639671890519684,!1,[[1,[2,"hanoi"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,4796593826671863,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8814495160519636,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9932539097283742,!1,[[1,[2,"spawn"]],[3,1]]]]],[0,null,!1,null,12822,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,12827,!1,[[11,"start"],[8,0],[7,[0,1]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,12830,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8601256349955875,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,15677,!1,[[0,[1,431.325]],[0,[1,248.279]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,15678,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,15679,!1,[[0,[0,-869]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,
null,15680,!1,[[0,[0,-868]],[0,[0,-1166]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,15681,!1,[[0,[0,-868]],[0,[0,-1166]]]],[-1,cr.system_object.prototype.acts.Wait,null,12828,!1,[[0,[0,6]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12790,!1,[[2,["kung_fu_sound_test",!0]],[3,1],[0,[0,0]],[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12795,!1,[[11,"stage"],[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,9048734179151594,!1,[[1,[2,"music"]],[3,1]]]]],
[0,null,!1,null,0xac1fba2483a3a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5698044018793274,!1,[[11,"start"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7653244519996732,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7264393431207587,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfd8a89e5539bf,!1,[[0,[1,431.325]],[0,[1,248.279]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,
0xd5293807f7e,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,7398983440011489,!1,[[0,[0,-869]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,7619790897189365,!1,[[0,[0,-868]],[0,[0,-1166]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,7141264517760508,!1,[[0,[0,-868]],[0,[0,-1166]]]],[-1,cr.system_object.prototype.acts.Wait,null,7094001809861203,!1,[[0,[0,6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4558914303274455,!1,[[11,"stage"],
[7,[0,1]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf9178c7632e3d,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,11676,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,11677,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11678,!1,[[11,"start"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8166831236457378,!1,[[11,"sound"],[8,0],[7,[0,1]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,8047257758604466,
!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5614600713212598,!1,[[1,[2,"halong"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,11681,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,11682,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,12441,!1,[[1,[2,"spawn"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12837,!1,[[2,["spartan x_remix_begin",!0]],[3,0],[0,[0,0]],[1,[2,"begin"]]]]]],[0,null,!1,null,9948349530500328,[[-1,
cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8200105280145907,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbcf91f5c5f7c5,!1,[[11,"start"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7789421469525479,!1,[[11,"sound"],[8,0],[7,[0,0]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x676d20d3835bf,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7868174199739501,!1,[[1,[2,"halong"]],[3,1]]],[-1,
cr.system_object.prototype.acts.Wait,null,9899984965501548,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8358855060645784,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7686840004995059,!1,[[1,[2,"spawn"]],[3,1]]]]],[0,null,!1,null,12831,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,12832,!1,[[11,"start"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,12833,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9172240675528,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,15687,!1,[[0,[1,436.287]],[0,[1,264.892]]]],[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,15688,!1,[[0,[0,-868]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,15689,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,15690,!1,[[0,[0,-869]],[0,[0,-1166]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,15691,!1,[[0,[0,-868]],[0,
[0,-1166]]]],[-1,cr.system_object.prototype.acts.Wait,null,12834,!1,[[0,[0,6]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12835,!1,[[2,["kung_fu_sound_test",!0]],[3,1],[0,[0,0]],[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12836,!1,[[11,"stage"],[7,[0,2]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xa78f1eb2fd3fc,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,8977240258915044,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6307409423019269,!1,[[11,
"start"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8657205059478655,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8666513423300508,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,7451180781614303,!1,[[0,[1,436.287]],[0,[1,264.892]]]],[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,959828609947395,!1,[[0,[0,-868]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,6608016974327285,!1,
[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x64a237a3d2ec5,!1,[[0,[0,-869]],[0,[0,-1166]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x65659f11030a9,!1,[[0,[0,-868]],[0,[0,-1166]]]],[-1,cr.system_object.prototype.acts.Wait,null,7496963791429136,!1,[[0,[0,6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5746221359927526,!1,[[11,"stage"],[7,[0,2]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xeb04aa533c374,!1,[[1,[2,"music"]],[3,1]]]]],[0,
null,!1,null,11683,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,11684,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11685,!1,[[11,"start"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,365349631278101,!1,[[11,"sound"],[8,0],[7,[0,1]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x9d22afd5066dd,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xdad99e83d7fcd,!1,[[1,[2,"saigon"]],[3,1]]],[-1,
cr.system_object.prototype.acts.Wait,null,11688,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,11689,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,12442,!1,[[1,[2,"spawn"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12844,!1,[[2,["spartan x_remix_begin",!0]],[3,0],[0,[0,0]],[1,[2,"begin"]]]]]],[0,null,!1,null,9686561509967376,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9195184431155794,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,588648039675898,!1,[[11,"start"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8456549722319758,!1,[[11,"sound"],[8,0],[7,[0,0]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x6b657c2c471d1,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6835475767436027,!1,[[1,[2,"saigon"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,9515805778821254,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x585bc4b547b24,
!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,4747842426425707,!1,[[1,[2,"spawn"]],[3,1]]]]],[0,null,!1,null,12838,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,12839,!1,[[11,"start"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,12840,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9da836d4947d7,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,15692,!1,[[0,[0,
-868]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,15693,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,15694,!1,[[0,[0,-869]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,15695,!1,[[0,[0,-868]],[0,[0,-1166]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,15696,!1,[[0,[1,428.558]],[0,[1,219.558]]]],[-1,cr.system_object.prototype.acts.Wait,null,12841,!1,[[0,[0,6]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12842,
!1,[[2,["kung_fu_sound_test",!0]],[3,1],[0,[0,0]],[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,11752,!1,[[11,"stage"],[7,[0,3]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,7417906457136974,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,340761643595057,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x75c47be3b0f09,!1,[[11,"start"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9364348418527304,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xed40cae2d69cb,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x593afd9a66b89,!1,[[0,[0,-868]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,5356465641371281,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6096b8329fc0c,!1,[[0,[0,-869]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf80eae09b27c5,!1,[[0,[0,-868]],[0,[0,-1166]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,
null,7038148370921682,!1,[[0,[1,428.558]],[0,[1,219.558]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3c7db103d465e,!1,[[0,[0,6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3fb3d37a31131,!1,[[11,"stage"],[7,[0,3]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,7434367987817131,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,11690,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,11691,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11692,!1,[[11,
"start"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6e2e184d5df55,!1,[[11,"sound"],[8,0],[7,[0,1]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4613670829425822,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4627361114467753,!1,[[1,[2,"japan"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,11695,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,11696,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,12443,!1,[[1,[2,"spawn"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12851,!1,[[2,["spartan x_remix_begin",!0]],[3,0],[0,[0,0]],[1,[2,"begin"]]]]]],[0,null,!1,null,7164110243543819,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9200502762358894,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4935488707344204,!1,[[11,"start"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9565916119049552,!1,[[11,"sound"],[8,
0],[7,[0,0]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9788275187536648,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb8a82d76cd33c,!1,[[1,[2,"japan"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,4599542141678268,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xd0a9c59631a88,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7294217956473588,!1,[[1,[2,"spawn"]],[3,1]]]]],[0,null,!1,null,12845,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,12846,!1,[[11,"start"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,12847,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xea61250ee85e1,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,15697,!1,[[0,[0,-868]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,15698,!1,[[0,[0,-868]],[0,[0,-1166]]]],[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,15699,!1,[[0,[0,-868]],[0,[0,
-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,15700,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,15701,!1,[[0,[1,450.755]],[0,[1,287.935]]]],[-1,cr.system_object.prototype.acts.Wait,null,12848,!1,[[0,[0,6]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12849,!1,[[2,["kung_fu_sound_test",!0]],[3,1],[0,[0,0]],[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12850,!1,[[11,"stage"],[7,[0,4]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,
null,0x8cebca7ae83d0,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,7667455193988436,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4655684955084631,!1,[[11,"start"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6597590464692175,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7459546270599771,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x456352abaf25f,!1,[[0,[0,-868]],[0,[0,-1166]]]],
[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc7a3b5c0f0d3b,!1,[[0,[0,-868]],[0,[0,-1166]]]],[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb0de79f412637,!1,[[0,[0,-868]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,9804670680477192,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc757e559ec170,!1,[[0,[1,450.755]],[0,[1,287.935]]]],[-1,cr.system_object.prototype.acts.Wait,null,4629939613873587,!1,[[0,[0,6]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0x48bce704a680d,!1,[[11,"stage"],[7,[0,4]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,0xf94dd78c00acd,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,11697,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,11698,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11699,!1,[[11,"start"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6616079b13835,!1,[[11,"sound"],[8,0],[7,[0,1]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,9689208754533476,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7231254885937736,!1,[[1,[2,"rome"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,11702,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,11703,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,12444,!1,[[1,[2,"spawn"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12858,!1,[[2,["spartan x_remix_begin",!0]],[3,0],[0,[0,0]],[1,[2,"begin"]]]]]],[0,null,
!1,null,9183246441273988,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5873437438589503,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xaa3b4f292b34,!1,[[11,"start"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa316b23df5138,!1,[[11,"sound"],[8,0],[7,[0,0]]]],[212,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xa50d0b5c022ff,!1]],[[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xed0d4d81ccdcf,!1,[[1,
[2,"rome"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,8315730362099418,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xc7e6643080f3e,!1,[[6,"stage"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9524740171444524,!1,[[1,[2,"spawn"]],[3,1]]]]],[0,null,!1,null,12852,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,12853,!1,[[11,"start"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,12854,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9382646732988240,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,15702,!1,[[0,[0,-868]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,15703,!1,[[0,[0,-868]],[0,[0,-1166]]]],[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,15704,!1,[[0,[0,-868]],[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,15705,!1,[[0,[0,-565]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,15706,!1,[[0,[1,431.19]],[0,
[1,257.5]]]],[-1,cr.system_object.prototype.acts.Wait,null,12855,!1,[[0,[0,6]]]],[11,cr.plugins_.Audio.prototype.acts.Play,null,12856,!1,[[2,["kung_fu_sound_test",!0]],[3,1],[0,[0,0]],[1,[2,"music"]]]],[-1,cr.system_object.prototype.acts.SetVar,null,12857,!1,[[11,"stage"],[7,[0,5]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,0x8c680dfa90617,!1,[[1,[2,"music"]],[3,1]]]]],[0,null,!1,null,754233215264718,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9efa55b4b45d,!1,[[11,
"start"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe958cba7dfe8,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714851208778629,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc902911bccf00,!1,[[0,[0,-868]],[0,[0,-1166]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,52896456450589,!1,[[0,[0,-868]],[0,[0,-1166]]]],[0,cr.plugins_.Sprite.prototype.acts.SetPos,null,8048864546760508,!1,[[0,[0,-868]],
[0,[0,-1166]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,550549208574695,!1,[[0,[0,-565]],[0,[0,-1166]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,6489348127553751,!1,[[0,[1,431.19]],[0,[1,257.5]]]],[-1,cr.system_object.prototype.acts.Wait,null,9277961630886180,!1,[[0,[0,6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,18798443097924,!1,[[11,"stage"],[7,[0,5]]]],[11,cr.plugins_.Audio.prototype.acts.SetMuted,null,9813314560370800,!1,[[1,[2,"music"]],[3,1]]]]]]],[0,[!0,"stage"],
!1,null,2667,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,2667,!1,[[1,[2,"stage"]]]]],[],[[0,null,!1,null,2668,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2670,!1,[[11,"stage"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,14787,!1,[[1,[2,"dog"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14788,!1,[[1,[2,"beer"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14789,!1,[[1,[2,"coigia"]],[3,
1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14790,!1,[[1,[2,"daugau1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14791,!1,[[1,[2,"hn_daugau2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14817,!1,[[1,[2,"moneo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14818,!1,[[1,[2,"bua"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14819,!1,[[1,[2,"ocbien"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14820,!1,[[1,[2,"hl_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14821,!1,[[1,[2,"hl_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14842,!1,[[1,[2,"meo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14843,!1,[[1,[2,"sg_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14844,!1,[[1,[2,"sg_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14845,!1,[[1,[2,"guoc"]],[3,
0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14846,!1,[[1,[2,"maysay"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14867,!1,[[1,[2,"dao"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14868,!1,[[1,[2,"tieu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14869,!1,[[1,[2,"nhatbandaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14870,!1,[[1,[2,"nb_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14871,!1,[[1,[2,"ran"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14917,!1,[[1,[2,"trident"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14918,!1,[[1,[2,"linhcau"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14919,!1,[[1,[2,"riu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14920,!1,[[1,[2,"lm_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14921,!1,[[1,[2,"lamadaugau2"]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetGroupActive,null,834550898855113,!1,[[1,[2,"combo"]],[3,1]]]]],[0,null,!1,null,2672,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2673,!1,[[11,"stage"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,14792,!1,[[1,[2,"dog"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14793,!1,[[1,[2,"beer"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14794,!1,[[1,[2,"coigia"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14795,!1,[[1,[2,"daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14796,!1,[[1,[2,"hn_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14812,!1,[[1,[2,"moneo"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14813,!1,[[1,[2,"bua"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14814,!1,[[1,[2,"ocbien"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14815,!1,[[1,[2,"hl_daugau1"]],[3,1]]],[-1,
cr.system_object.prototype.acts.SetGroupActive,null,14816,!1,[[1,[2,"hl_daugau2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14847,!1,[[1,[2,"meo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14848,!1,[[1,[2,"sg_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14849,!1,[[1,[2,"sg_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14850,!1,[[1,[2,"guoc"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14851,!1,[[1,[2,"maysay"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14877,!1,[[1,[2,"dao"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14878,!1,[[1,[2,"tieu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14879,!1,[[1,[2,"nhatbandaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14880,!1,[[1,[2,"nb_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14881,!1,[[1,[2,"ran"]],[3,0]]],[-1,
cr.system_object.prototype.acts.SetGroupActive,null,14907,!1,[[1,[2,"trident"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14908,!1,[[1,[2,"linhcau"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14909,!1,[[1,[2,"riu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14910,!1,[[1,[2,"lm_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14911,!1,[[1,[2,"lamadaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,0xa6545e341bfc1,!1,[[1,[2,"combo"]],[3,1]]],[72,cr.plugins_.Text.prototype.acts.SetFontColor,null,0x67f3c1ef36033,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,162],[0,143],[0,2]]]]]]]],[0,null,!1,null,8606334679309893,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa87daf1aae4be,!1,[[11,"stage"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,967602191599304,!1]],[[72,cr.plugins_.Text.prototype.acts.SetFontColor,null,5081521766728766,!1,
[[0,[19,cr.system_object.prototype.exps.rgb,[[0,162],[0,143],[0,2]]]]]]]],[0,null,!1,null,8142444826226423,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!0,!1,0x944f53e8dedf3,!1,[[11,"stage"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,0xac0e8a7c8da19,!1]],[[72,cr.plugins_.Text.prototype.acts.SetFontColor,null,8350853466358363,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,241],[0,210],[0,4]]]]]]]],[0,null,!1,null,2676,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,2677,!1,[[11,"stage"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,14797,!1,[[1,[2,"dog"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14798,!1,[[1,[2,"beer"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14799,!1,[[1,[2,"coigia"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14800,!1,[[1,[2,"daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14801,!1,[[1,[2,"hn_daugau2"]],
[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14822,!1,[[1,[2,"moneo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14823,!1,[[1,[2,"bua"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14824,!1,[[1,[2,"ocbien"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14825,!1,[[1,[2,"hl_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14826,!1,[[1,[2,"hl_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14837,!1,[[1,[2,"meo"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14838,!1,[[1,[2,"sg_daugau1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14839,!1,[[1,[2,"sg_daugau2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14840,!1,[[1,[2,"guoc"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14841,!1,[[1,[2,"maysay"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14882,!1,[[1,[2,"dao"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14883,!1,[[1,[2,"tieu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14884,!1,[[1,[2,"nhatbandaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14885,!1,[[1,[2,"nb_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14886,!1,[[1,[2,"ran"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14902,!1,[[1,[2,"trident"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14903,!1,[[1,[2,"linhcau"]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetGroupActive,null,14904,!1,[[1,[2,"riu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14905,!1,[[1,[2,"lm_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14906,!1,[[1,[2,"lamadaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xda572b43f4c41,!1,[[1,[2,"combo"]],[3,1]]]]],[0,null,!1,null,2681,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2682,!1,[[11,"stage"],[8,0],[7,[0,4]]]]],
[[-1,cr.system_object.prototype.acts.SetGroupActive,null,14802,!1,[[1,[2,"dog"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14803,!1,[[1,[2,"beer"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14804,!1,[[1,[2,"coigia"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14805,!1,[[1,[2,"daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14806,!1,[[1,[2,"hn_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14827,!1,[[1,[2,"moneo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14828,!1,[[1,[2,"bua"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14829,!1,[[1,[2,"ocbien"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14830,!1,[[1,[2,"hl_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14831,!1,[[1,[2,"hl_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14852,!1,[[1,[2,"meo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14853,!1,[[1,[2,"sg_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14854,!1,[[1,[2,"sg_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14855,!1,[[1,[2,"guoc"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14856,!1,[[1,[2,"maysay"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14862,!1,[[1,[2,"dao"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14863,!1,[[1,[2,"tieu"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14864,!1,[[1,[2,"nhatbandaugau2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14865,!1,[[1,[2,"nb_daugau1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14866,!1,[[1,[2,"ran"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14897,!1,[[1,[2,"trident"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14898,!1,[[1,[2,"linhcau"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14899,!1,[[1,[2,"riu"]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetGroupActive,null,14900,!1,[[1,[2,"lm_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14901,!1,[[1,[2,"lamadaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7189672199700712,!1,[[1,[2,"combo"]],[3,1]]]]],[0,null,!1,null,2686,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,2687,!1,[[11,"stage"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,14807,!1,[[1,[2,"dog"]],
[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14808,!1,[[1,[2,"beer"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14809,!1,[[1,[2,"coigia"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14810,!1,[[1,[2,"daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14811,!1,[[1,[2,"hn_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14832,!1,[[1,[2,"moneo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14833,!1,[[1,[2,"bua"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14834,!1,[[1,[2,"ocbien"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14835,!1,[[1,[2,"hl_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14836,!1,[[1,[2,"hl_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14857,!1,[[1,[2,"meo"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14858,!1,[[1,[2,"sg_daugau1"]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetGroupActive,null,14859,!1,[[1,[2,"sg_daugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14860,!1,[[1,[2,"guoc"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14861,!1,[[1,[2,"maysay"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14887,!1,[[1,[2,"dao"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14888,!1,[[1,[2,"tieu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,14889,!1,[[1,[2,"nhatbandaugau2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14890,!1,[[1,[2,"nb_daugau1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14891,!1,[[1,[2,"ran"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14892,!1,[[1,[2,"trident"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14893,!1,[[1,[2,"linhcau"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14894,!1,[[1,[2,"riu"]],[3,1]]],
[-1,cr.system_object.prototype.acts.SetGroupActive,null,14895,!1,[[1,[2,"lm_daugau1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,14896,!1,[[1,[2,"lamadaugau2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,62284385397375,!1,[[1,[2,"combo"]],[3,1]]]]],[0,null,!1,null,0x6f4fa3e3a3589,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4533dc5707fda,!1,[[11,"stage"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0xdcaeaf702f13d,!1,[[11,"score"],[8,5],[7,[0,4E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4601508807705654,!1,[[11,"halong_unlock"],[7,[0,1]]]]]],[0,null,!1,null,0x4fdb50f88c7c8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6301421327233189,!1,[[11,"stage"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7989099372739015,!1,[[11,"score"],[8,5],[7,[0,7E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6764860479262185,!1,[[11,"saigon_unlock"],
[7,[0,1]]]]]],[0,null,!1,null,0x6e3a8dfdcbbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf5815b967902f,!1,[[11,"stage"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,677071996722095,!1,[[11,"score"],[8,5],[7,[0,9E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x39589d825a127,!1,[[11,"nhatban_unlock"],[7,[0,1]]]]]],[0,null,!1,null,5832684506394942,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb0ac92e6babd5,!1,[[11,
"stage"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,871297042520644,!1,[[11,"score"],[8,5],[7,[0,12E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5663551008779814,!1,[[11,"arena_unlock"],[7,[0,1]]]]]],[0,null,!1,null,11729,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9403734999640788,!1,[[11,"halong_unlock"],[8,0],[7,[0,1]]]]],[[133,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13405,!1,[[1,[2,"unlocked"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0x8219b502d6786,!1,[[1,[2,"halong_unlock"]],[7,[23,"halong_unlock"]]]]]],[0,null,!1,null,11732,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7716298230655767,!1,[[11,"saigon_unlock"],[8,0],[7,[0,1]]]]],[[134,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13406,!1,[[1,[2,"unlocked"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf96d22330bad3,!1,[[1,[2,"saigon_unlock"]],[7,[23,"saigon_unlock"]]]]]],[0,null,!1,null,11735,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x83b0247011a6,!1,[[11,"nhatban_unlock"],[8,0],[7,[0,1]]]]],[[135,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13407,!1,[[1,[2,"unlocked"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,653627944314388,!1,[[1,[2,"nhatban_unlock"]],[7,[23,"nhatban_unlock"]]]]]],[0,null,!1,null,11738,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4762792587661407,!1,[[11,"arena_unlock"],[8,0],[7,[0,1]]]]],[[136,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13408,
!1,[[1,[2,"unlocked"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6063374554266082,!1,[[1,[2,"arena_unlock"]],[7,[23,"arena_unlock"]]]]]],[0,null,!1,null,12905,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,12906,!1]],[[133,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13412,!1,[[1,[2,"unlock"]],[3,1]]],[134,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13413,!1,[[1,[2,"unlock"]],[3,1]]],[135,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13414,!1,[[1,
[2,"unlock"]],[3,1]]],[136,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13415,!1,[[1,[2,"unlock"]],[3,1]]]]]]],[0,[!0,"pause"],!1,null,6508,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6508,!1,[[1,[2,"pause"]]]]],[],[[0,null,!1,null,2254,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6507,!1,[[4,116]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9abfd96562f4f,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6509,!1,[[4,25],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6510,!1,[[4,100],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6511,!1,[[4,104],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6512,!1,[[4,108],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6513,!1,[[4,112],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6514,!1,[[4,19],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6515,!1,[[4,99],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6516,!1,[[4,103],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6517,!1,[[4,107],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6518,!1,[[4,111],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6519,!1,[[4,30],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6520,!1,[[4,102],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6521,!1,[[4,106],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6522,!1,[[4,110],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6523,!1,[[4,113],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6524,!1,[[4,28],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6525,!1,[[4,101],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6526,!1,[[4,105],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6527,!1,[[4,109],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6528,!1,[[4,114],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10061,!1,[[4,125],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10153,!1,[[4,126],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10242,!1,[[4,127],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10324,!1,[[4,128],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,10417,!1,[[4,129],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6402540985154653,!1,[[4,196],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,9884883765836482,!1,[[4,197],[0,[0,0]]]],[123,cr.plugins_.Sprite.prototype.acts.SetPos,null,6600,!1,[[0,[1,428.614]],[0,[1,290.792]]]],[180,cr.plugins_.Sprite.prototype.acts.SetPos,null,8053933580859854,!1,[[0,[0,436]],[0,[0,258]]]],[181,cr.plugins_.Sprite.prototype.acts.SetPos,null,5032471594068738,!1,[[0,
[1,427.5]],[0,[1,390.5]]]],[25,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6532,!1],[100,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6533,!1],[104,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6534,!1],[108,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6535,!1],[112,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6536,!1],[19,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6537,!1],[99,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6538,!1],[103,cr.plugins_.Sprite.prototype.acts.StopAnim,
null,6539,!1],[107,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6540,!1],[111,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6541,!1],[30,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6542,!1],[102,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6543,!1],[106,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6544,!1],[110,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6545,!1],[113,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6546,!1],[28,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6547,
!1],[101,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6548,!1],[105,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6549,!1],[109,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6550,!1],[114,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6551,!1],[12,cr.plugins_.Sprite.prototype.acts.StopAnim,null,6730,!1],[125,cr.plugins_.Sprite.prototype.acts.StopAnim,null,10062,!1],[126,cr.plugins_.Sprite.prototype.acts.StopAnim,null,10154,!1],[127,cr.plugins_.Sprite.prototype.acts.StopAnim,null,10243,!1],
[128,cr.plugins_.Sprite.prototype.acts.StopAnim,null,10325,!1],[129,cr.plugins_.Sprite.prototype.acts.StopAnim,null,10418,!1],[196,cr.plugins_.Sprite.prototype.acts.StopAnim,null,0xb9cfd39998616,!1],[197,cr.plugins_.Sprite.prototype.acts.StopAnim,null,0x7c23e1244f12b,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6552,!1,[[1,[2,"spawn"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6727,!1,[[1,[2,"control"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,6839,
!1,[[11,"pause"],[7,[0,1]]]]]],[0,null,!1,null,6601,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6602,!1,[[4,123]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9536227955869664,!1,[[11,"pause"],[8,0],[7,[0,1]]]]],[[123,cr.plugins_.Sprite.prototype.acts.SetPos,null,6726,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[180,cr.plugins_.Sprite.prototype.acts.SetPos,null,9117415547747644,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[181,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa2df1d2527e63,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,11822,!1,[[4,143],[5,[0,3]],[0,[0,419]],[0,[0,147]]]],[-1,cr.system_object.prototype.acts.SetVar,null,11803,!1,[[11,"bahaimot"],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.Wait,null,11791,!1,[[0,[0,3]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6603,!1,[[4,25],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6604,!1,[[4,100],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6605,!1,[[4,104],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6606,!1,[[4,108],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6607,!1,[[4,112],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6608,!1,[[4,19],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6609,!1,[[4,99],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6610,!1,[[4,103],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6611,!1,[[4,107],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6612,!1,[[4,111],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6613,!1,[[4,30],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6614,!1,[[4,102],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6615,!1,[[4,106],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6616,!1,[[4,110],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,6617,!1,[[4,113],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6618,!1,[[4,28],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6619,!1,[[4,101],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6620,!1,[[4,105],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6621,!1,[[4,109],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,6622,!1,[[4,114],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,10063,!1,[[4,125],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10155,!1,[[4,126],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10244,!1,[[4,127],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10326,!1,[[4,128],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,10419,!1,[[4,129],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,null,0xc6cd7effee561,!1,[[4,196],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetObjectTimescale,
null,0xfbb0c6a373477,!1,[[4,197],[0,[0,1]]]],[25,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6625,!1,[[3,0]]],[100,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6626,!1,[[3,0]]],[104,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6627,!1,[[3,0]]],[108,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6628,!1,[[3,0]]],[112,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6629,!1,[[3,0]]],[19,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6630,!1,[[3,0]]],[99,cr.plugins_.Sprite.prototype.acts.StartAnim,
null,6631,!1,[[3,0]]],[103,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6632,!1,[[3,0]]],[107,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6633,!1,[[3,0]]],[111,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6634,!1,[[3,0]]],[30,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6635,!1,[[3,0]]],[102,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6636,!1,[[3,0]]],[106,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6637,!1,[[3,0]]],[110,cr.plugins_.Sprite.prototype.acts.StartAnim,null,
6638,!1,[[3,0]]],[113,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6639,!1,[[3,0]]],[28,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6640,!1,[[3,0]]],[101,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6641,!1,[[3,0]]],[105,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6642,!1,[[3,0]]],[109,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6643,!1,[[3,0]]],[114,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6644,!1,[[3,0]]],[12,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6731,!1,
[[3,0]]],[125,cr.plugins_.Sprite.prototype.acts.StartAnim,null,10064,!1,[[3,0]]],[126,cr.plugins_.Sprite.prototype.acts.StartAnim,null,10156,!1,[[3,0]]],[127,cr.plugins_.Sprite.prototype.acts.StartAnim,null,10245,!1,[[3,0]]],[129,cr.plugins_.Sprite.prototype.acts.StartAnim,null,10420,!1,[[3,0]]],[128,cr.plugins_.Sprite.prototype.acts.StartAnim,null,10327,!1,[[3,0]]],[197,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x82aadbdb46a43,!1,[[3,0]]],[196,cr.plugins_.Sprite.prototype.acts.StartAnim,null,
51829312211684,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6645,!1,[[1,[2,"spawn"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6728,!1,[[1,[2,"control"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,6840,!1,[[11,"pause"],[7,[0,0]]]],[143,cr.plugins_.Text.prototype.acts.SetPos,null,11793,!1,[[0,[0,419]],[0,[0,147]]]]],[[0,null,!1,null,11815,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,11818,!1,[[11,"bahaimot"],[8,3],[7,[0,0]]]]],
[[143,cr.plugins_.Text.prototype.acts.Destroy,null,11817,!1]]],[0,null,!1,null,6646,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6647,!1,[[4,28]]],[28,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6648,!1]],[[28,cr.plugins_.Sprite.prototype.acts.Destroy,null,6649,!1]]],[0,null,!1,null,6650,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6651,!1,[[4,30]]],[30,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6652,!1]],[[30,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6653,!1]]],[0,null,!1,null,6654,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6655,!1,[[4,19]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6656,!1]],[[19,cr.plugins_.Sprite.prototype.acts.Destroy,null,6657,!1]]],[0,null,!1,null,6658,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6659,!1,[[4,25]]],[25,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6660,!1]],[[25,cr.plugins_.Sprite.prototype.acts.Destroy,null,6661,!1]]],
[0,null,!1,null,6662,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6663,!1,[[4,99]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6664,!1]],[[99,cr.plugins_.Sprite.prototype.acts.Destroy,null,6665,!1]]],[0,null,!1,null,6666,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6667,!1,[[4,100]]],[100,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6668,!1]],[[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,6669,!1]]],[0,null,!1,null,
6670,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6671,!1,[[4,102]]],[102,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6672,!1]],[[102,cr.plugins_.Sprite.prototype.acts.Destroy,null,6673,!1]]],[0,null,!1,null,6674,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6675,!1,[[4,101]]],[101,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6676,!1]],[[101,cr.plugins_.Sprite.prototype.acts.Destroy,null,6677,!1]]],[0,null,!1,null,6678,[[-1,
cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6679,!1,[[4,103]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6680,!1]],[[103,cr.plugins_.Sprite.prototype.acts.Destroy,null,6681,!1]]],[0,null,!1,null,6682,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6683,!1,[[4,104]]],[104,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6684,!1]],[[104,cr.plugins_.Sprite.prototype.acts.Destroy,null,6685,!1]]],[0,null,!1,null,6686,[[-1,cr.system_object.prototype.cnds.PickAll,
null,0,!1,!1,!1,6687,!1,[[4,106]]],[106,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6688,!1]],[[106,cr.plugins_.Sprite.prototype.acts.Destroy,null,6689,!1]]],[0,null,!1,null,6690,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6691,!1,[[4,105]]],[105,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6692,!1]],[[105,cr.plugins_.Sprite.prototype.acts.Destroy,null,6693,!1]]],[0,null,!1,null,6694,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,
!1,!1,6695,!1,[[4,107]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6696,!1]],[[107,cr.plugins_.Sprite.prototype.acts.Destroy,null,6697,!1]]],[0,null,!1,null,6698,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6699,!1,[[4,108]]],[108,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6700,!1]],[[108,cr.plugins_.Sprite.prototype.acts.Destroy,null,6701,!1]]],[0,null,!1,null,6702,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6703,
!1,[[4,109]]],[109,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6704,!1]],[[109,cr.plugins_.Sprite.prototype.acts.Destroy,null,6705,!1]]],[0,null,!1,null,6706,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6707,!1,[[4,110]]],[110,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6708,!1]],[[110,cr.plugins_.Sprite.prototype.acts.Destroy,null,6709,!1]]],[0,null,!1,null,6710,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6711,!1,[[4,111]]],
[111,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6712,!1]],[[111,cr.plugins_.Sprite.prototype.acts.Destroy,null,6713,!1]]],[0,null,!1,null,6714,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6715,!1,[[4,112]]],[112,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6716,!1]],[[112,cr.plugins_.Sprite.prototype.acts.Destroy,null,6717,!1]]],[0,null,!1,null,6718,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6719,!1,[[4,113]]],[113,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,
null,0,!1,!1,!1,6720,!1]],[[113,cr.plugins_.Sprite.prototype.acts.Destroy,null,6721,!1]]],[0,null,!1,null,6722,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,6723,!1,[[4,114]]],[114,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,6724,!1]],[[114,cr.plugins_.Sprite.prototype.acts.Destroy,null,6725,!1]]],[0,null,!1,null,10065,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,10066,!1,[[4,125]]],[125,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,
!1,!1,!1,10067,!1]],[[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,10068,!1]]],[0,null,!1,null,10157,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,10158,!1,[[4,126]]],[126,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,10159,!1]],[[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,10160,!1]]],[0,null,!1,null,10246,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,10247,!1,[[4,127]]],[127,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,
!1,!1,10248,!1]],[[127,cr.plugins_.Sprite.prototype.acts.Destroy,null,10249,!1]]],[0,null,!1,null,10328,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,10329,!1,[[4,128]]],[128,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,10330,!1]],[[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,10331,!1]]],[0,null,!1,null,10421,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,10422,!1,[[4,129]]],[129,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,
!1,10423,!1]],[[129,cr.plugins_.Sprite.prototype.acts.Destroy,null,10424,!1]]],[0,null,!1,null,6312075643359494,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,4809838907602665,!1,[[4,197]]],[197,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,null,0,!1,!1,!1,0xe77c0f662941d,!1]],[[197,cr.plugins_.Sprite.prototype.acts.Destroy,null,473159732908795,!1]]],[0,null,!1,null,6289576846296413,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,0xe764528578d,!1,[[4,196]]],[196,cr.plugins_.Sprite.prototype.cnds.IsOutsideLayout,
null,0,!1,!1,!1,0xc456a2981d8ec,!1]],[[196,cr.plugins_.Sprite.prototype.acts.Destroy,null,6220945656390973,!1]]]]],[0,null,!1,null,11823,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,11824,!1,[[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,11825,!1,[[11,"bahaimot"],[7,[0,1]]]]]],[0,null,!1,null,11826,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,11827,!1]],[[143,cr.plugins_.Text.prototype.acts.SetText,null,11828,!1,[[7,[10,[2,""],[23,"bahaimot"]]]]]]]]],
[0,[!0,"money"],!1,null,13563,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,13563,!1,[[1,[2,"money"]]]]],[],[[0,null,!1,null,13564,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,13565,!1]],[[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,13576,!1,[[1,[2,"money"]],[7,[23,"money"]]]]]]]],[0,[!0,"STORE"],!1,null,13634,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,13634,!1,[[1,[2,"STORE"]]]]],[],[[0,[!0,"weapon"],!1,null,13969,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,13969,!1,[[1,[2,"weapon"]]]]],[],[[0,[!0,"samurai"],!1,null,13970,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,13970,!1,[[1,[2,"samurai"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,151]]],[75,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[151,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,4E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"sam_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,4E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14283,!1,[[1,[2,"sam_buy"]],[7,[23,"sam_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"sam_buy"],[8,0],[7,[0,1]]]]],[[151,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]],[166,cr.plugins_.Text.prototype.acts.SetText,null,15545,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,151]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"sam_buy"],[8,0],[7,[0,1]]]],[151,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14004,!1,[[11,"sam_equip"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14124,!1,[[11,"gla_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14213,!1,[[11,"bruce_equip"],[7,[0,0]]]],[76,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14141,!1,[[1,[2,"nopick"]],[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14214,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14284,!1,[[1,[2,"bruce_equip"]],[7,[23,"bruce_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,14285,!1,[[1,[2,"sam_equip"]],[7,[23,"sam_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14286,!1,[[1,[2,"gla_equip"]],[7,[23,"gla_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"sam_equip"],[8,0],[7,[0,1]]]]],[[75,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[151,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14025,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"warrior"],[7,[0,2]]]]]]]],[0,[!0,"gla"],!1,null,14017,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14017,!1,[[1,[2,"gla"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,152]]],[76,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[152,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,7E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"gla_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,7E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14279,!1,[[1,[2,"gla_buy"]],[7,[23,"gla_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"gla_buy"],[8,0],[7,[0,1]]]]],[[152,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]],[167,cr.plugins_.Text.prototype.acts.SetText,null,15546,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,152]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"gla_buy"],[8,0],[7,[0,1]]]],[152,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,"gla_equip"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14123,!1,[[11,"sam_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14211,!1,[[11,"bruce_equip"],[7,[0,0]]]],[75,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14142,!1,[[1,[2,"nopick"]],[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14212,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14280,!1,[[1,[2,"bruce_equip"]],[7,[23,"bruce_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,14281,!1,[[1,[2,"sam_equip"]],[7,[23,"sam_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14282,!1,[[1,[2,"gla_equip"]],[7,[23,"gla_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"gla_equip"],[8,0],[7,[0,1]]]]],[[76,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[152,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"warrior"],[7,[0,3]]]]]]]],[0,[!0,"bruce"],!1,null,14207,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14207,!1,[[1,[2,"bruce"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,78]]],[74,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[78,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"bruce_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,1]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14275,!1,[[1,[2,"bruce_buy"]],[7,[23,"bruce_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"bruce_buy"],[8,0],[7,[0,1]]]]],[[78,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,78]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"bruce_buy"],[8,0],[7,[0,1]]]],[78,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,"bruce_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14123,!1,
[[11,"sam_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14208,!1,[[11,"gla_equip"],[7,[0,0]]]],[75,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14142,!1,[[1,[2,"nopick"]],[3,1]]],[76,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14209,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14276,!1,[[1,[2,"bruce_equip"]],[7,[23,"bruce_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14277,!1,[[1,[2,"sam_equip"]],[7,[23,"sam_equip"]]]],
[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14278,!1,[[1,[2,"gla_equip"]],[7,[23,"gla_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"bruce_equip"],[8,0],[7,[0,1]]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[78,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,14009,!1,[[11,"warrior"],[7,[0,1]]]]]]]],
[0,null,!1,null,14210,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14215,!1,[[11,"sam_equip"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14216,!1,[[11,"gla_equip"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14217,!1,[[11,"bruce_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14218,!1,[[11,"bruce_buy"],[7,[0,1]]]]]]]],[0,[!0,"skill_trade"],!1,null,14159,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,14159,!1,[[1,[2,"skill_trade"]]]]],[],[[0,[!0,"slow"],!1,null,13970,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,13970,!1,[[1,[2,"slow"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,153]]],[86,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[153,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,2E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"slow_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,2E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14384,!1,[[1,[2,"slow_buy"]],[7,[23,"slow_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"slow_buy"],[8,0],[7,[0,1]]]]],[[153,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]],[168,cr.plugins_.Text.prototype.acts.SetText,null,15548,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,153]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"slow_buy"],[8,0],[7,[0,1]]]],[153,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14004,!1,[[11,
"slow_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14124,!1,[[11,"bomb_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14167,!1,[[11,"battu_equip"],[7,[0,0]]]],[87,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14141,!1,[[1,[2,"nopick"]],[3,1]]],[88,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14168,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14385,!1,[[1,[2,"slow_equip"]],[7,[23,"slow_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,14386,!1,[[1,[2,"bomb_equip"]],[7,[23,"bomb_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14387,!1,[[1,[2,"battu_equip"]],[7,[23,"battu_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"slow_equip"],[8,0],[7,[0,1]]]]],[[86,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14025,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"skill"],[7,[0,1]]]]]]]],[0,[!0,"bomb"],!1,null,14017,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14017,!1,[[1,[2,"bomb"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,154]]],[87,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[154,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,3E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"bomb_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,3E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14388,!1,[[1,[2,"bomb_buy"]],[7,[23,"bomb_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"bomb_buy"],[8,0],[7,[0,1]]]]],[[154,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]],[169,cr.plugins_.Text.prototype.acts.SetText,null,15549,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,154]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"bomb_buy"],[8,0],[7,[0,1]]]],[154,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,
"bomb_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14169,!1,[[11,"battu_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14170,!1,[[11,"slow_equip"],[7,[0,0]]]],[88,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14142,!1,[[1,[2,"nopick"]],[3,1]]],[86,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14171,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14389,!1,[[1,[2,"slow_equip"]],[7,[23,"slow_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,14390,!1,[[1,[2,"bomb_equip"]],[7,[23,"bomb_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14391,!1,[[1,[2,"battu_equip"]],[7,[23,"battu_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"bomb_equip"],[8,0],[7,[0,1]]]]],[[87,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[154,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"skill"],[7,[0,2]]]]]]]],[0,[!0,"battu"],!1,null,14160,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14160,!1,[[1,[2,"battu"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,155]]],[88,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[155,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,3500]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"battu_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,3500]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14392,!1,[[1,[2,"battu_buy"]],[7,[23,"battu_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"battu_buy"],[8,0],[7,[0,1]]]]],[[155,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]],[170,cr.plugins_.Text.prototype.acts.SetText,null,15550,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,155]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"battu_buy"],[8,0],[7,[0,1]]]],[155,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,
"battu_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14123,!1,[[11,"bomb_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14173,!1,[[11,"slow_equip"],[7,[0,0]]]],[87,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14174,!1,[[1,[2,"nopick"]],[3,1]]],[86,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14175,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14393,!1,[[1,[2,"slow_equip"]],[7,[23,"slow_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,14394,!1,[[1,[2,"bomb_equip"]],[7,[23,"bomb_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14395,!1,[[1,[2,"battu_equip"]],[7,[23,"battu_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"battu_equip"],[8,0],[7,[0,1]]]]],[[88,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[155,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"skill"],[7,[0,3]]]]]]]]]],[0,[!0,"bonus_trade"],!1,null,14176,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14176,!1,[[1,[2,"bonus_trade"]]]]],[],[[0,[!0,"addtime"],!1,null,13970,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,13970,!1,[[1,[2,"addtime"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,156]]],[90,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,
!1,[[1,[2,"pick"]]]],[156,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,5E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"addtime_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,5E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14400,!1,[[1,[2,"addtime_buy"]],[7,[23,"addtime_buy"]]]]]],
[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"addtime_buy"],[8,0],[7,[0,1]]]]],[[156,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13998,!1,[[1,[2,"equip"]],[3,1]]],[171,cr.plugins_.Text.prototype.acts.SetText,null,15551,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,156]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"addtime_buy"],
[8,0],[7,[0,1]]]],[156,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14004,!1,[[11,"addtime_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14124,!1,[[11,"money_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14167,!1,[[11,"addhp_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14186,!1,[[11,"reload_equip"],[7,[0,0]]]],[91,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,14141,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14168,!1,[[1,[2,"nopick"]],[3,1]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14187,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14396,!1,[[1,[2,"addtime_equip"]],[7,[23,"addtime_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14397,!1,[[1,[2,"money_equip"]],[7,[23,"money_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,
14398,!1,[[1,[2,"addhp_equip"]],[7,[23,"addhp_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14399,!1,[[1,[2,"reload_equip"]],[7,[23,"reload_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"addtime_equip"],[8,0],[7,[0,1]]]]],[[90,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[156,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14025,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"bonus"],[7,[0,1]]]]]]]],[0,[!0,"money_trade"],!1,null,14017,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14017,!1,[[1,[2,"money_trade"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,157]]],[91,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[157,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,6E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"money_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,6E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14401,!1,[[1,[2,"money_buy"]],[7,[23,"money_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"money_buy"],[8,0],[7,[0,1]]]]],[[157,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13998,!1,[[1,[2,"equip"]],[3,1]]],[172,cr.plugins_.Text.prototype.acts.SetText,null,15552,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,157]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"money_buy"],[8,0],[7,[0,1]]]],[157,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,
"money_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14188,!1,[[11,"addtime_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14189,!1,[[11,"addhp_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14190,!1,[[11,"reload_equip"],[7,[0,0]]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14191,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14192,!1,[[1,[2,"nopick"]],[3,1]]],[90,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,14205,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14402,!1,[[1,[2,"addtime_equip"]],[7,[23,"addtime_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14403,!1,[[1,[2,"money_equip"]],[7,[23,"money_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14404,!1,[[1,[2,"addhp_equip"]],[7,[23,"addhp_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14405,!1,[[1,[2,"reload_equip"]],[7,[23,"reload_equip"]]]]]],
[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"money_equip"],[8,0],[7,[0,1]]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[157,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,14009,!1,[[11,"bonus"],[7,[0,2]]]]]]]],[0,[!0,"+hp"],!1,null,14160,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14160,!1,[[1,
[2,"+hp"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,158]]],[92,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[158,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,8E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"addhp_buy"],[7,
[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,8E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14406,!1,[[1,[2,"addhp_buy"]],[7,[23,"addhp_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"addhp_buy"],[8,0],[7,[0,1]]]]],[[158,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13998,!1,[[1,[2,"equip"]],[3,1]]],[173,cr.plugins_.Text.prototype.acts.SetText,null,15553,!1,[[7,[2,"cost: sold"]]]]]],
[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,158]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14006,!1,[[11,"addhp_buy"],[8,0],[7,[0,1]]]],[158,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,"addhp_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14194,!1,[[11,"money_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14195,!1,[[11,"addtime_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14196,!1,[[11,"reload_equip"],[7,[0,0]]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14197,!1,[[1,[2,"nopick"]],[3,1]]],[91,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14198,!1,[[1,[2,"nopick"]],[3,1]]],[90,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14206,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14407,!1,[[1,[2,"addtime_equip"]],[7,[23,"addtime_equip"]]]],
[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14408,!1,[[1,[2,"money_equip"]],[7,[23,"money_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14409,!1,[[1,[2,"addhp_equip"]],[7,[23,"addhp_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14410,!1,[[1,[2,"reload_equip"]],[7,[23,"reload_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"addhp_equip"],[8,0],[7,[0,1]]]]],[[92,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,14010,!1,[[1,[2,"equip"]],[3,1]]],[158,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,14009,!1,[[11,"bonus"],[7,[0,3]]]]]]]],[0,[!0,"reload"],!1,null,14177,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14177,!1,[[1,[2,"reload"]]]]],[],[[0,null,!1,null,13971,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13985,!1,[[4,159]]],[93,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,13972,!1,[[1,[2,"pick"]]]],[159,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,13984,!1,[[1,[2,"buy"]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13986,!1,[[11,"money"],[8,5],[7,[0,3E3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,13988,!1,[[11,"reload_buy"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,13989,!1,[[11,"money"],[7,[0,3E3]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14411,!1,[[1,[2,"reload_buy"]],
[7,[23,"reload_buy"]]]]]],[0,null,!1,null,13990,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,13997,!1,[[11,"reload_buy"],[8,0],[7,[0,1]]]]],[[159,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13998,!1,[[1,[2,"equip"]],[3,1]]],[174,cr.plugins_.Text.prototype.acts.SetText,null,15554,!1,[[7,[2,"cost: sold"]]]]]],[0,null,!1,null,13999,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,14007,!1,[[4,159]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
14006,!1,[[11,"reload_buy"],[8,0],[7,[0,1]]]],[159,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,14008,!1,[[1,[2,"equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14019,!1,[[11,"reload_equip"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14123,!1,[[11,"money_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14173,!1,[[11,"addhp_equip"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,14200,!1,[[11,"addtime_equip"],[7,[0,0]]]],
[91,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14201,!1,[[1,[2,"nopick"]],[3,1]]],[90,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14203,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14204,!1,[[1,[2,"nopick"]],[3,1]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14412,!1,[[1,[2,"addtime_equip"]],[7,[23,"addtime_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14413,!1,[[1,[2,"money_equip"]],[7,[23,"money_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,14414,!1,[[1,[2,"addhp_equip"]],[7,[23,"addhp_equip"]]]],[10,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,14415,!1,[[1,[2,"reload_equip"]],[7,[23,"reload_equip"]]]]]],[0,null,!1,null,14013,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,14014,!1,[[11,"reload_equip"],[8,0],[7,[0,1]]]]],[[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14010,!1,[[1,[2,"equip"]],[3,1]]],[159,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14026,!1,[[1,[2,"equip"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,
null,14009,!1,[[11,"bonus"],[7,[0,4]]]]]]]]]],[0,[!0,"itemchose"],!1,null,13635,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,13635,!1,[[1,[2,"itemchose"]]]]],[],[[0,null,!1,null,13636,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,13637,!1]],[[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,13638,!1,[[0,[0,141]],[0,[0,229]]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,13639,!1,[[0,[1,239.5]],[0,[0,227]]]],[76,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13640,!1,[[0,[0,349]],[0,[0,228]]]],[86,cr.plugins_.Sprite.prototype.acts.SetPos,null,13641,!1,[[0,[0,2E3]],[0,[0,-100]]]],[87,cr.plugins_.Sprite.prototype.acts.SetPos,null,13642,!1,[[0,[0,2E3]],[0,[0,-100]]]],[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,13643,!1,[[0,[0,2E3]],[0,[0,-100]]]],[90,cr.plugins_.Sprite.prototype.acts.SetPos,null,13644,!1,[[0,[0,2E3]],[0,[0,-100]]]],[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,13645,!1,[[0,[0,2E3]],[0,[0,-100]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13646,!1,[[0,[0,2E3]],[0,[0,-100]]]],[93,cr.plugins_.Sprite.prototype.acts.SetPos,null,13647,!1,[[0,[0,2E3]],[0,[0,-100]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,14523,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,14524,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,14525,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,14526,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,
null,14527,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,14528,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,14529,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,14530,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,14531,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,14532,!1,[[0,[0,1605]],[0,[0,1075]]]],[77,cr.plugins_.Text.prototype.acts.SetPos,
null,15555,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15556,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15557,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15558,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15559,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15560,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,
null,15561,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15562,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15563,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15564,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,8420251233257311,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,811721297955511,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7496138264025757,!1,[[1,[2,"weaponactive"]],[3,1]]]]],[0,null,!1,null,0x952760c959871,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4944289056080732,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6270472442975171,!1,[[1,[2,"weapon_viet"]],[3,1]]]]]]],[0,null,!1,null,13648,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13649,!1,[[4,83]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,13650,!1,[[0,[0,141]],
[0,[0,229]]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,13651,!1,[[0,[1,239.5]],[0,[0,227]]]],[76,cr.plugins_.Sprite.prototype.acts.SetPos,null,13652,!1,[[0,[0,349]],[0,[0,228]]]],[86,cr.plugins_.Sprite.prototype.acts.SetPos,null,13653,!1,[[0,[0,2E3]],[0,[0,-100]]]],[87,cr.plugins_.Sprite.prototype.acts.SetPos,null,13654,!1,[[0,[0,2E3]],[0,[0,-100]]]],[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,13655,!1,[[0,[0,2E3]],[0,[0,-100]]]],[90,cr.plugins_.Sprite.prototype.acts.SetPos,null,13656,
!1,[[0,[0,2E3]],[0,[0,-100]]]],[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,13657,!1,[[0,[0,2E3]],[0,[0,-100]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPos,null,13658,!1,[[0,[0,2E3]],[0,[0,-100]]]],[93,cr.plugins_.Sprite.prototype.acts.SetPos,null,13659,!1,[[0,[0,2E3]],[0,[0,-100]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,14533,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,14534,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,
null,14535,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,14536,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,14537,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,14538,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,14539,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,14540,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,
null,14541,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,14542,!1,[[0,[0,1605]],[0,[0,1075]]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15415,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15416,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15417,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15418,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,
null,15419,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15420,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15421,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15422,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15423,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15424,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[147,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6882781203999575,!1,[[1,[2,"weaponactive"]],[3,1]]]],[[0,null,!1,null,324729135140068,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb27b5ea141634,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6327764077422525,!1,[[1,[2,"weaponactive"]],[3,1]]]]],[0,null,!1,null,9453153864136E3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9103712894316076,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,4940817435570922,!1,[[1,[2,"weapon_viet"]],[3,1]]]]]]],[0,null,!1,null,13660,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13661,!1,[[4,84]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,13672,!1,[[0,[0,2087]],[0,[0,-100]]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,13673,!1,[[0,[0,2E3]],[0,[0,-100]]]],[76,cr.plugins_.Sprite.prototype.acts.SetPos,null,13674,!1,[[0,[0,2E3]],[0,[0,-100]]]],[86,cr.plugins_.Sprite.prototype.acts.SetPos,null,13677,!1,[[0,[0,142]],
[0,[0,233]]]],[87,cr.plugins_.Sprite.prototype.acts.SetPos,null,13678,!1,[[0,[0,247]],[0,[0,229]]]],[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,13679,!1,[[0,[0,353]],[0,[0,229]]]],[90,cr.plugins_.Sprite.prototype.acts.SetPos,null,13680,!1,[[0,[0,2E3]],[0,[0,-100]]]],[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,13681,!1,[[0,[0,2E3]],[0,[0,-100]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPos,null,13682,!1,[[0,[0,2E3]],[0,[0,-100]]]],[93,cr.plugins_.Sprite.prototype.acts.SetPos,null,13683,
!1,[[0,[0,2E3]],[0,[0,-100]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,14543,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,14544,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,14545,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,14546,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,14547,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,
null,14548,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,14549,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,14550,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,14551,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,14552,!1,[[0,[0,1605]],[0,[0,1075]]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15425,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,
null,15426,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15427,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15428,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15429,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15430,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15431,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,
null,15432,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15433,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15434,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,6060873692661084,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x79a80824ea584,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8894425513570301,!1,[[1,[2,"skillactive"]],[3,1]]]]],[0,null,!1,null,7871951777409856,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4997884295800252,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8950038893457389,!1,[[1,[2,"skill_viet"]],[3,1]]]]]]],[0,null,!1,null,13684,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13685,!1,[[4,85]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,13696,!1,[[0,[0,2087]],[0,[0,-100]]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,13697,!1,[[0,[0,2E3]],[0,[0,
-100]]]],[76,cr.plugins_.Sprite.prototype.acts.SetPos,null,13698,!1,[[0,[0,2E3]],[0,[0,-100]]]],[86,cr.plugins_.Sprite.prototype.acts.SetPos,null,13701,!1,[[0,[0,2E3]],[0,[0,-100]]]],[87,cr.plugins_.Sprite.prototype.acts.SetPos,null,13702,!1,[[0,[0,2E3]],[0,[0,-100]]]],[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,13703,!1,[[0,[0,2E3]],[0,[0,-100]]]],[90,cr.plugins_.Sprite.prototype.acts.SetPos,null,13704,!1,[[0,[0,142]],[0,[0,230]]]],[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,13705,!1,
[[0,[0,252]],[0,[0,228]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPos,null,13706,!1,[[0,[0,353]],[0,[0,229]]]],[93,cr.plugins_.Sprite.prototype.acts.SetPos,null,13707,!1,[[0,[0,455]],[0,[0,227]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,14553,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,14554,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,14555,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,
null,14556,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,14557,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,14558,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,14559,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,14560,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,14561,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,
null,14562,!1,[[0,[0,1605]],[0,[0,1075]]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15435,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15436,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15437,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15438,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15439,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,
null,15440,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15441,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15442,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15443,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15444,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,7028430682977219,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,718054645619476,
!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7406657286230266,!1,[[1,[2,"bonusactive"]],[3,1]]]]],[0,null,!1,null,0xa4d6b5e274458,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc55ad77a4dee2,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x56d7ba1b6c679,!1,[[1,[2,"bonus_viet"]],[3,1]]]]]]],[0,null,!1,null,13728,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13729,!1,[[4,
74]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13731,!1,[[1,[2,"pick"]],[3,1]]],[75,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13732,!1,[[1,[2,"nopick"]],[3,1]]],[76,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13733,!1,[[1,[2,"nopick"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetText,null,13734,!1,[[7,[2,"free"]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13736,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13737,!1,[[0,[1,
670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13879,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13880,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13881,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13882,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13883,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13884,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13885,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13886,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13887,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetAnim,null,14011,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15445,!1,[[0,[0,575]],[0,[0,196]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,
null,15446,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15447,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15448,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15449,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15450,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15451,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,
null,15452,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15453,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15454,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,0xbb187126ed7c6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x54c103b41d219,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13738,!1,[[1,[2,"bruce"]],[3,1]]]]],[0,null,!1,null,95866996751423,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6273269237200437,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7161914418785036,!1,[[1,[2,"bruce_viet"]],[3,1]]]]]]],[0,null,!1,null,13740,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13741,!1,[[4,75]]]],[[75,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13750,!1,[[1,[2,"pick"]],[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13751,!1,[[1,[2,"nopick"]],[3,1]]],[76,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13752,!1,[[1,[2,"nopick"]],[3,1]]],[166,cr.plugins_.Text.prototype.acts.SetText,null,13753,!1,[[7,[2,"Cost: 4000"]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13754,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13755,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13888,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13889,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13890,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13891,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13892,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,13893,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13894,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13895,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13896,!1,[[0,[0,1605]],[0,[0,1075]]]],[151,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13975,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15455,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15456,!1,[[0,[0,575]],[0,[0,196]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15457,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15458,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,
null,15459,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15460,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15461,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15462,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15463,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15464,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,7752594374694324,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb8d6942fe9006,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13756,!1,[[1,[2,"sam"]],[3,1]]]]],[0,null,!1,null,5829334067976637,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5804170577023579,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8842862571017612,!1,[[1,[2,"sam_viet"]],[3,1]]]]]]],[0,null,!1,null,13758,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,13759,!1,[[4,76]]]],[[76,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13760,!1,[[1,[2,"pick"]],[3,1]]],[75,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13761,!1,[[1,[2,"nopick"]],[3,1]]],[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13762,!1,[[1,[2,"nopick"]],[3,1]]],[167,cr.plugins_.Text.prototype.acts.SetText,null,13763,!1,[[7,[2,"Cost: 7000"]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13764,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13765,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13897,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13898,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13899,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13900,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13901,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13902,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13903,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13904,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13905,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13976,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15465,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,
null,15466,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15467,!1,[[0,[0,575]],[0,[0,196]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15468,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15469,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15470,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15471,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,
null,15472,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15473,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15474,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,414503745115447,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9319190085321908,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13766,!1,[[1,[2,"gla"]],[3,1]]]]],[0,null,!1,null,4975632092990837,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x6ffbd7cccbe09,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9369778492033606,!1,[[1,[2,"gla_viet"]],[3,1]]]]]]],[0,null,!1,null,13768,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13769,!1,[[4,86]]]],[[86,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13770,!1,[[1,[2,"pick"]],[3,1]]],[87,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13771,!1,[[1,[2,"nopick"]],[3,1]]],[88,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13772,!1,[[1,[2,"nopick"]],[3,1]]],[168,cr.plugins_.Text.prototype.acts.SetText,null,13773,!1,[[7,[2,"Cost: 2000"]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13774,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13775,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13906,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13907,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13908,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13909,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13910,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,13911,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13912,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13913,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13914,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13977,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15475,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15476,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15477,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15478,!1,[[0,[0,575]],[0,[0,196]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,
null,15479,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15480,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15481,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15482,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15483,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15484,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,0x5650186767055,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8418153634598434,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13776,!1,[[1,[2,"slow"]],[3,1]]]]],[0,null,!1,null,4874376880692413,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x92441c053a7c7,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8300690098323142,!1,[[1,[2,"slow_viet"]],[3,1]]]]]]],[0,null,!1,null,13778,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,13779,!1,[[4,87]]]],[[87,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13780,!1,[[1,[2,"pick"]],[3,1]]],[86,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13781,!1,[[1,[2,"nopick"]],[3,1]]],[88,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13782,!1,[[1,[2,"nopick"]],[3,1]]],[169,cr.plugins_.Text.prototype.acts.SetText,null,13783,!1,[[7,[2,"Cost: 3000"]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13784,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13785,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13915,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13916,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13917,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13918,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13919,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13920,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13921,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13922,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13923,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13978,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15485,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,
null,15486,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15487,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15488,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15489,!1,[[0,[0,575]],[0,[0,196]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15490,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15491,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,
null,15492,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15493,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15494,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,8408578206536925,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8b3422d82c68,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13786,!1,[[1,[2,"bomb"]],[3,1]]]]],[0,null,!1,null,6586203122156839,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8680522308858165,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4894734864854409,!1,[[1,[2,"bomb_viet"]],[3,1]]]]]]],[0,null,!1,null,13788,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13789,!1,[[4,88]]]],[[88,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13790,!1,[[1,[2,"pick"]],[3,1]]],[86,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13791,!1,[[1,[2,"nopick"]],[3,1]]],[87,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13792,!1,[[1,[2,"nopick"]],[3,1]]],[170,cr.plugins_.Text.prototype.acts.SetText,null,13793,!1,[[7,[2,"Cost: 3500"]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13794,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13795,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13924,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13925,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13926,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13927,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13928,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,13929,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13930,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13931,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13932,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13979,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15495,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15496,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15497,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15498,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,
null,15499,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15500,!1,[[0,[0,575]],[0,[0,196]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15501,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15502,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15503,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15504,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,6349210898452715,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7008247712214825,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13796,!1,[[1,[2,"battu"]],[3,1]]]]],[0,null,!1,null,657994205487162,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x830369647e66d,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9236507496128528,!1,[[1,[2,"battu_viet"]],[3,1]]]]]]],[0,null,!1,null,13798,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,13799,!1,[[4,90]]]],[[90,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13800,!1,[[1,[2,"pick"]],[3,1]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13801,!1,[[1,[2,"nopick"]],[3,1]]],[91,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13802,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13803,!1,[[1,[2,"nopick"]],[3,1]]],[171,cr.plugins_.Text.prototype.acts.SetText,null,13804,!1,[[7,[2,"Cost: 5000"]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13805,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13807,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13933,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13934,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13935,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13936,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,
cr.plugins_.Sprite.prototype.acts.SetPos,null,13937,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13938,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13939,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13940,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13941,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13980,!1,[[1,
[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15505,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15506,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15507,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15508,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15509,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,
15510,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15511,!1,[[0,[0,575]],[0,[0,196]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15512,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15513,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15514,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,8261933292769875,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9589939367498444,!1,
[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13808,!1,[[1,[2,"addtime"]],[3,1]]]]],[0,null,!1,null,6721137370004232,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x72a34c205220,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x55ac92b8cf578,!1,[[1,[2,"addtime_viet"]],[3,1]]]]]]],[0,null,!1,null,13810,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13811,!1,[[4,91]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13812,!1,[[1,[2,"pick"]],[3,1]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13813,!1,[[1,[2,"nopick"]],[3,1]]],[90,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13814,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13815,!1,[[1,[2,"nopick"]],[3,1]]],[172,cr.plugins_.Text.prototype.acts.SetText,null,13816,!1,[[7,[2,"Cost: 6000"]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13817,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13818,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13942,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13943,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13944,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13945,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13946,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13947,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13948,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13949,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13950,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13981,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15515,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,
null,15516,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15517,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15518,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15519,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15520,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15521,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,
null,15522,!1,[[0,[0,575]],[0,[0,196]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15523,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15524,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,8010493533577768,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7714306688841638,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13819,!1,[[1,[2,"money"]],[3,1]]]]],[0,null,!1,null,934353938987194,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,325763610337877,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5444963134159043,!1,[[1,[2,"money_viet"]],[3,1]]]]]]],[0,null,!1,null,13821,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13822,!1,[[4,92]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13823,!1,[[1,[2,"nopick"]],[3,1]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13824,!1,[[1,[2,"nopick"]],[3,1]]],[90,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13825,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13826,!1,[[1,[2,"pick"]],[3,1]]],[173,cr.plugins_.Text.prototype.acts.SetText,null,13827,!1,[[7,[2,"Cost: 8000"]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13828,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13829,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13951,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13952,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13953,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,null,13954,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13955,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,13956,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13957,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13958,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13959,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13982,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15525,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15526,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15527,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,
null,15528,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15529,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,null,15530,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15531,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15532,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15533,!1,[[0,[0,575]],[0,[0,196]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,
null,15534,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]]],[[0,null,!1,null,0xfb5960597df1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5690453448908636,!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13830,!1,[[1,[2,"addHP"]],[3,1]]]]],[0,null,!1,null,46623238347699,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4776604815906689,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7974288249752363,
!1,[[1,[2,"addhp_viet"]],[3,1]]]]]]],[0,null,!1,null,13832,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,13833,!1,[[4,93]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13834,!1,[[1,[2,"nopick"]],[3,1]]],[93,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13835,!1,[[1,[2,"pick"]],[3,1]]],[90,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13836,!1,[[1,[2,"nopick"]],[3,1]]],[92,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13837,!1,[[1,[2,"nopick"]],[3,1]]],[174,cr.plugins_.Text.prototype.acts.SetText,
null,13838,!1,[[7,[2,"Cost: 3000"]]]],[159,cr.plugins_.Sprite.prototype.acts.SetPos,null,13839,!1,[[0,[1,671.476]],[0,[1,371.841]]]],[147,cr.plugins_.Sprite.prototype.acts.SetPos,null,13840,!1,[[0,[1,670.988]],[0,[1,281.782]]]],[151,cr.plugins_.Sprite.prototype.acts.SetPos,null,13960,!1,[[0,[0,1605]],[0,[0,1075]]]],[152,cr.plugins_.Sprite.prototype.acts.SetPos,null,13961,!1,[[0,[0,1605]],[0,[0,1075]]]],[153,cr.plugins_.Sprite.prototype.acts.SetPos,null,13962,!1,[[0,[0,1605]],[0,[0,1075]]]],[154,cr.plugins_.Sprite.prototype.acts.SetPos,
null,13963,!1,[[0,[0,1605]],[0,[0,1075]]]],[155,cr.plugins_.Sprite.prototype.acts.SetPos,null,13964,!1,[[0,[0,1605]],[0,[0,1075]]]],[156,cr.plugins_.Sprite.prototype.acts.SetPos,null,13965,!1,[[0,[0,1605]],[0,[0,1075]]]],[157,cr.plugins_.Sprite.prototype.acts.SetPos,null,13966,!1,[[0,[0,1605]],[0,[0,1075]]]],[158,cr.plugins_.Sprite.prototype.acts.SetPos,null,13967,!1,[[0,[0,1605]],[0,[0,1075]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,null,13968,!1,[[0,[0,1605]],[0,[0,1075]]]],[159,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,13983,!1,[[1,[2,"buy"]],[3,1]]],[77,cr.plugins_.Text.prototype.acts.SetPos,null,15535,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[166,cr.plugins_.Text.prototype.acts.SetPos,null,15536,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[167,cr.plugins_.Text.prototype.acts.SetPos,null,15537,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[168,cr.plugins_.Text.prototype.acts.SetPos,null,15538,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[169,cr.plugins_.Text.prototype.acts.SetPos,null,15539,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[170,cr.plugins_.Text.prototype.acts.SetPos,
null,15540,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[171,cr.plugins_.Text.prototype.acts.SetPos,null,15541,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[172,cr.plugins_.Text.prototype.acts.SetPos,null,15542,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[173,cr.plugins_.Text.prototype.acts.SetPos,null,15543,!1,[[0,[0,-3E3]],[0,[0,-1E3]]]],[174,cr.plugins_.Text.prototype.acts.SetPos,null,15544,!1,[[0,[0,575]],[0,[0,196]]]]],[[0,null,!1,null,7740544037742758,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9733162460035644,
!1,[[11,"Language"],[8,0],[7,[0,1]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,13841,!1,[[1,[2,"cooldown"]],[3,1]]]]],[0,null,!1,null,9144918193410036,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5686068688852639,!1,[[11,"Language"],[8,0],[7,[0,2]]]]],[[147,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5306954932079102,!1,[[1,[2,"reload_viet"]],[3,1]]]]]]]]]]],[0,[!0,"save"],!1,null,14363,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,14363,!1,
[[1,[2,"save"]]]]],[],[[0,null,!1,null,14364,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,14365,!1]],[],[[0,null,!1,null,14366,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14367,!1,[[1,[2,"sam_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14368,!1,[[11,"sam_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"sam_buy"]]]]]]]],[0,null,!1,null,14369,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,
null,0,!1,!1,!1,14370,!1,[[1,[2,"gla_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14371,!1,[[11,"gla_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"gla_buy"]]]]]]]],[0,null,!1,null,14372,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14373,!1,[[1,[2,"bruce_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14374,!1,[[11,"bruce_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"bruce_buy"]]]]]]]],
[0,null,!1,null,14375,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14376,!1,[[1,[2,"bruce_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14377,!1,[[11,"bruce_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"bruce_equip"]]]]]]]],[0,null,!1,null,14378,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14379,!1,[[1,[2,"gla_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14380,!1,[[11,
"gla_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"gla_equip"]]]]]]]],[0,null,!1,null,14381,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14382,!1,[[1,[2,"sam_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14383,!1,[[11,"sam_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"sam_equip"]]]]]]]],[0,null,!1,null,14416,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,
!1,14417,!1,[[1,[2,"slow_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14448,!1,[[11,"slow_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"slow_buy"]]]]]]]],[0,null,!1,null,14419,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14420,!1,[[1,[2,"bomb_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14449,!1,[[11,"bomb_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"bomb_buy"]]]]]]]],[0,null,
!1,null,14422,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14423,!1,[[1,[2,"battu_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14450,!1,[[11,"battu_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"battu_buy"]]]]]]]],[0,null,!1,null,14425,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14426,!1,[[1,[2,"addtime_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14451,!1,[[11,"addtime_buy"],
[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"addtime_buy"]]]]]]]],[0,null,!1,null,14428,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14429,!1,[[1,[2,"money_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14452,!1,[[11,"money_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"money_buy"]]]]]]]],[0,null,!1,null,14430,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14431,!1,
[[1,[2,"addhp_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14453,!1,[[11,"addhp_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"addhp_buy"]]]]]]]],[0,null,!1,null,14432,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14433,!1,[[1,[2,"reload_buy"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14454,!1,[[11,"reload_buy"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"reload_buy"]]]]]]]],[0,null,
!1,null,14434,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14435,!1,[[1,[2,"slow_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14455,!1,[[11,"slow_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"slow_equip"]]]]]]]],[0,null,!1,null,14436,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14437,!1,[[1,[2,"bomb_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14456,!1,[[11,"bomb_equip"],
[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"bomb_equip"]]]]]]]],[0,null,!1,null,14438,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14439,!1,[[1,[2,"battu_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14457,!1,[[11,"battu_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"battu_equip"]]]]]]]],[0,null,!1,null,14440,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14441,
!1,[[1,[2,"addtime_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14458,!1,[[11,"addtime_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"addtime_equip"]]]]]]]],[0,null,!1,null,14442,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14443,!1,[[1,[2,"money_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14459,!1,[[11,"money_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"money_equip"]]]]]]]],
[0,null,!1,null,14444,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14445,!1,[[1,[2,"addhp_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14460,!1,[[11,"addhp_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"addhp_equip"]]]]]]]],[0,null,!1,null,14446,[[10,cr.plugins_.WebStorage.prototype.cnds.LocalStorageExists,null,0,!1,!1,!1,14447,!1,[[1,[2,"reload_equip"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,14461,!1,[[11,
"reload_equip"],[7,[20,10,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"reload_equip"]]]]]]]]]]]],[0,[!0,"Item_and_char"],!1,null,15081,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,15081,!1,[[1,[2,"Item_and_char"]]]]],[],[[0,null,!1,null,15082,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,15083,!1,[[11,"warrior"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,15084,!1,[[1,[2,"sam"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15085,!1,[[1,[2,"glad"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15092,!1,[[1,[2,"lee"]],[3,1]]]]],[0,null,!1,null,15087,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,15088,!1,[[11,"warrior"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,15089,!1,[[1,[2,"sam"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15090,!1,[[1,[2,"glad"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15091,!1,
[[1,[2,"lee"]],[3,0]]]]],[0,null,!1,null,15093,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,15094,!1,[[11,"warrior"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,15095,!1,[[1,[2,"sam"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15096,!1,[[1,[2,"glad"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15097,!1,[[1,[2,"lee"]],[3,0]]]]],[0,null,!1,null,15383,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,15384,!1,[[11,"skill"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,15385,!1,[[1,[2,"skill_bomb"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15388,!1,[[1,[2,"skill_battu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15389,!1,[[1,[2,"skill_slowtime"]],[3,1]]]]],[0,null,!1,null,15390,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,15391,!1,[[11,"skill"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15392,!1,[[1,[2,"skill_bomb"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15393,!1,[[1,[2,"skill_battu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15394,!1,[[1,[2,"skill_slowtime"]],[3,0]]]]],[0,null,!1,null,15395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,15396,!1,[[11,"skill"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,15397,!1,[[1,[2,"skill_bomb"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15398,!1,[[1,[2,"skill_battu"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15399,!1,[[1,[2,"skill_slowtime"]],[3,0]]]]],[0,null,!1,null,15400,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,15401,!1,[[11,"skill"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,15402,!1,[[1,[2,"skill_bomb"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,15403,!1,[[1,[2,"skill_battu"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,15404,!1,[[1,[2,"skill_slowtime"]],[3,0]]]]]]],[0,[!0,"rank"],!1,null,0x7b5bfc917b188,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x7b5bfc917b188,!1,[[1,[2,"rank"]]]]],[],[[0,null,!1,null,5537322696045135,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,540433885981314,!1,[[11,"highscore"],[8,5],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5f60c2890e7aa,!1,[[11,"highscore"],[8,2],[7,[0,3999]]]]],[[195,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x3c67ea7f41b91,!1,[[1,[2,"novice"]],[3,1]]]]],[0,null,!1,null,9679266579304244,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4840071168507463,!1,[[11,"highscore"],[8,5],[7,[0,4E3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7644855899252047,!1,[[11,"highscore"],[8,2],[7,[0,6999]]]]],[[195,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5dd0007043372,!1,[[1,[2,"skillful"]],[3,1]]]]],[0,null,!1,null,0x8a629370b660,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7938948793038201,!1,[[11,"highscore"],[8,5],[7,[0,7E3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9f84b7339fa57,!1,[[11,"highscore"],[8,2],[7,[0,14999]]]]],[[195,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6738978291006504,!1,[[1,[2,"expert"]],[3,1]]]]],[0,null,!1,null,7571226730304329,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7959966740796631,!1,[[11,"highscore"],[8,5],[7,[0,15E3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4613754322297661,!1,[[11,"highscore"],[8,2],[7,[0,24999]]]]],[[195,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5064819782117222,!1,[[1,[2,"unstoppedable"]],[3,1]]]]],[0,null,!1,null,9744537821505120,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,529467751686999,!1,[[11,"highscore"],[8,5],[7,[0,25E3]]]]],[[195,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5010067647360729,!1,[[1,[2,"master"]],[3,1]]]]]]],[0,[!0,"option"],!1,null,7693709233128105,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,7693709233128105,!1,[[1,[2,"option"]]]]],[],[[0,null,!1,null,0x9011d8d8cd56c,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9125151788054172,!1,[[4,200]]],[200,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8188354147957015,!1,[[1,[2,"on"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5024085310273352,!1,[[11,"vibra"],[7,[0,0]]]]]],[0,null,!1,null,5789593335634679,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,756523260262333,
!1,[[11,"vibra"],[8,0],[7,[0,0]]]]],[[200,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf3f995501a87c,!1,[[1,[2,"off"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf310ded8ef28a,!1,[[11,"vibra"],[7,[0,0]]]]]],[0,null,!1,null,8284829064840918,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8203779425017762,!1,[[4,200]]],[200,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7126763897163316,!1,[[1,[2,"off"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,9504840408136316,!1,[[11,"vibra"],[7,[0,1]]]]]],[0,null,!1,null,4558742579083024,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5310628321922736,!1,[[11,"vibra"],[8,0],[7,[0,1]]]]],[[200,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5308962583890385,!1,[[1,[2,"on"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.SetSilent,null,4885507536573375,!1,[[3,1]]]]],[0,null,!1,null,8008810170638482,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8236295351618171,!1,
[[4,201]]],[201,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9205966750071140,!1,[[1,[2,"on"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xfee4c65dc40ca,!1,[[11,"sound"],[7,[0,0]]]]]],[0,null,!1,null,0xc9aef414aa3cc,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe591927136c1d,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[201,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6541902546302768,!1,[[1,[2,"off"]],[3,1]]],[11,cr.plugins_.Audio.prototype.acts.SetSilent,
null,0x58692a022311d,!1,[[3,0]]]]],[0,null,!1,null,8671783791762441,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9607314467675788,!1,[[4,201]]],[201,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x7ab6e0e6f15e1,!1,[[1,[2,"off"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9167130067983504,!1,[[11,"sound"],[7,[0,1]]]]]],[0,null,!1,null,7786356270440011,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7621258604353327,!1,[[11,"sound"],[8,
0],[7,[0,1]]]]],[[201,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8925548246729057,!1,[[1,[2,"on"]],[3,1]]]]]]],[0,[!0,"combo"],!1,null,463937461695177,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,463937461695177,!1,[[1,[2,"combo"]]]]],[],[[0,null,!1,null,9848022006618972,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5610919515378567,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9e7dd8265393a,!1,[[11,"combo"],[7,[0,0]]]],[213,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,8810881854903785,!1,[[3,0]]],[2,cr.plugins_.Sprite.prototype.acts.SetPos,null,8195921272788633,!1,[[0,[1,214.402]],[0,[1,276.277]]]],[1,cr.plugins_.Sprite.prototype.acts.SetPos,null,4801056198201093,!1,[[0,[1,648.767]],[0,[1,108.722]]]],[3,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x61dcff5e9409b,!1,[[0,[1,214.529]],[0,[1,108.487]]]],[6,cr.plugins_.Sprite.prototype.acts.SetPos,null,7253142864376662,!1,[[0,[1,648.767]],[0,[1,416.402]]]],[4,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x40ffec970eadf,
!1,[[0,[1,214.841]],[0,[1,414.282]]]],[5,cr.plugins_.Sprite.prototype.acts.SetPos,null,5053012980585446,!1,[[0,[1,650.642]],[0,[1,277.957]]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,5826280400429306,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd1fe6320f1d38,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,0xf6366ebf29354,[[213,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,0xdd89d8b90264d,!1,[[1,[2,"hit"]]]]],[[213,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,0xc2154a663c571,!1,[[3,0]]]]],[0,null,!1,null,6326644870218737,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf5f5fb8f29767,!1,[[11,"combo"],[8,4],[7,[0,20]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,687831574723142,!1,[[11,"combo"],[8,2],[7,[0,30]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd94dad714aedf,!1]],[[214,cr.plugins_.Sprite.prototype.acts.SetAnim,null,585376589326254,!1,[[1,[2,"you"]],[3,1]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,
null,5595526166750099,!1,[[0,[0,138]],[0,[0,386]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x63ff605872977,!1,[[0,[0,142]],[0,[0,447]]]],[215,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6567091659737105,!1,[[1,[2,"novice"]],[3,1]]]]],[0,null,!1,null,9970117230184224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa94cddacbfc53,!1,[[11,"combo"],[8,4],[7,[0,31]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdb4e4477d29d0,!1,[[11,"combo"],[8,2],[7,
[0,50]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,74058560264168,!1]],[[214,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9811674513772502,!1,[[1,[2,"you"]],[3,1]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3becc2cd3b3dd,!1,[[0,[0,138]],[0,[0,386]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcf764b89e86b1,!1,[[0,[0,142]],[0,[0,447]]]],[215,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7941687092064551,!1,[[1,[2,"skillful"]],[3,1]]]]],[0,null,!1,null,
0xb8b8246163b23,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9254887517660324,!1,[[11,"combo"],[8,4],[7,[0,51]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9ede9511a8dfe,!1,[[11,"combo"],[8,2],[7,[0,70]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x758579e80366e,!1]],[[214,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8313074066889259,!1,[[1,[2,"you"]],[3,1]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,534987706314949,!1,[[0,
[0,138]],[0,[0,386]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa3c8aee4758fd,!1,[[0,[0,142]],[0,[0,447]]]],[215,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5741377318283818,!1,[[1,[2,"expert"]],[3,1]]]]],[0,null,!1,null,9985636486013736,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4564079368387481,!1,[[11,"combo"],[8,4],[7,[0,71]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc132049fe6f69,!1,[[11,"combo"],[8,2],[7,[0,90]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8092540618729011,!1]],[[214,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x636ead9c168fe,!1,[[1,[2,"you"]],[3,1]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e201e0e826eb,!1,[[0,[0,138]],[0,[0,386]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6da0fb0a37a19,!1,[[0,[0,142]],[0,[0,447]]]],[215,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6843519729393729,!1,[[1,[2,"unstoppedable"]],[3,1]]]]],[0,null,!1,null,7826354342980727,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6351580805985226,!1,[[11,"combo"],[8,4],[7,[0,120]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5653998886762684,!1]],[[214,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8470654189608888,!1,[[1,[2,"you"]],[3,1]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbbc5eebdf0b15,!1,[[0,[0,138]],[0,[0,386]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdd8f0677e4f7c,!1,[[0,[0,142]],[0,[0,447]]]],[215,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9518551733534904,
!1,[[1,[2,"master"]],[3,1]]]]],[0,null,!1,null,0x973858e455e20,[[214,cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,null,1,!1,!1,!1,776335540160643,!1,[[1,[2,"you"]]]]],[[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,673605155863673,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[215,cr.plugins_.Sprite.prototype.acts.SetPos,null,4960921850941943,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]]]],[0,[!0,"tutorial_ok"],!1,null,6332018095682487,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6332018095682487,
!1,[[1,[2,"tutorial_ok"]]]]],[],[[0,null,!1,null,0xb43ef0434c7b9,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4912430439011716,!1,[[4,217]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7564827180538874,!1,[[11,"enemy_tutorial"],[7,[0,1]]]]]],[0,null,!1,null,0xfa0ffa6aa6ca5,[[7,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6164341466872934,!1,[[4,216]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,791451867462982,!1,[[11,"enemy_tutorial"],[7,[0,1]]]]]],
[0,null,!1,null,6460120690160585,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8c03886a84ab0,!1,[[11,"enemy_tutorial"],[8,3],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6230125695067117,!1,[[11,"enemy_tutorial"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,4774075046421021,!1,[[6,"menu"]]]]],[0,null,!1,null,9069487862434656,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6813279429154477,!1]],[[-1,cr.system_object.prototype.acts.SetVar,
null,7641432559981329,!1,[[11,"enemy_tutorial"],[7,[0,1]]]]]]]],[0,[!0,"English"],!1,null,0x6acb7a9ac80b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x6acb7a9ac80b,!1,[[1,[2,"English"]]]]],[],[[0,null,!1,null,8301947205874559,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8421765924488993,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,1]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,5689912456397111,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7827448848311292,!1,[[1,[2,"learn"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6436949100380092,!1,[[1,[2,"idle"]],[3,1]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x73c8d204e3ba9,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[224,cr.plugins_.Sprite.prototype.acts.SetPos,null,7378904660940237,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,5581150137356517,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPos,null,8038139565497135,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,7820596076033623,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,426241032175662,!1,[[0,[0,-2200]],[0,[0,-1E3]]]],[232,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x68d70db196f0a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[230,cr.plugins_.Sprite.prototype.acts.SetPos,null,5342836318147211,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[231,cr.plugins_.Sprite.prototype.acts.SetPos,null,7939630409322663,!1,
[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,8844851643796335,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[233,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x40b02f67f9bd3,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9032528059543412,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,6300605555567205,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,7340977372865878,!1,[[0,
[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,636862665036692,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,732090166030085,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xeef72b98313b1,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[217,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6162837418908728,!1,[[0,[0,100]]]],[216,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x937ec09c7f699,!1,[[0,[0,100]]]]]],
[0,null,!1,null,0x3f9d9fa82bfe3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa73d98c86f0e7,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,2]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xff8f2e0714396,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7196592204655319,!1,[[1,[2,"come"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4985292436390364,!1,[[1,[2,"idle"]],[3,1]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,6860277688678629,
!1,[[0,[0,715]],[0,[0,104]]]],[224,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x715f29718e8ac,!1,[[0,[0,595]],[0,[0,300]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,5945493850986839,!1,[[0,[0,594]],[0,[0,402]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPos,null,7988470160567116,!1,[[0,[0,156]],[0,[0,109]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,6311646345381401,!1,[[0,[0,270]],[0,[0,300]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb377b5f94f86d,!1,[[0,[0,268]],
[0,[0,402]]]],[232,cr.plugins_.Sprite.prototype.acts.SetPos,null,395349162099609,!1,[[0,[0,737]],[0,[0,87]]]],[230,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e83322e0e6ed,!1,[[0,[0,702]],[0,[0,295]]]],[231,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc2cde269fe813,!1,[[0,[0,709]],[0,[0,389]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf0df3aca1a9f7,!1,[[0,[0,165]],[0,[0,301]]]],[233,cr.plugins_.Sprite.prototype.acts.SetPos,null,5826248576206675,!1,[[0,[0,144]],[0,[0,76]]]],[235,
cr.plugins_.Sprite.prototype.acts.SetPos,null,9947714706038588,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7864477794575666,!1,[[1,[2,"walk"]],[3,1]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe3b40a995617f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,4654797811475127,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x53dedf9b99e61,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,
null,5212766595433042,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc205cb7495b45,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[217,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x74cdd5f7e2fc0,!1,[[0,[0,40]]]],[216,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xbb1360b054621,!1,[[0,[0,40]]]]]],[0,null,!1,null,0xd790ded9c88cb,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7182558487143267,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,3]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,5004022299009261,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd4c5a5aee5399,!1,[[1,[2,"touch"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4970277885374413,!1,[[1,[2,"mid_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc8eccb8e650c4,!1,[[1,[2,"mid"]],[3,1]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x928b6832d8ba9,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[224,cr.plugins_.Sprite.prototype.acts.SetPos,null,8099881075868413,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,8199538777503493,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPos,null,488437049149082,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,334933122310334,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,7649069044925138,!1,[[0,[0,-2200]],[0,[0,-1E3]]]],[232,cr.plugins_.Sprite.prototype.acts.SetPos,null,9745468891546180,!1,
[[0,[0,-2E3]],[0,[0,-1E3]]]],[230,cr.plugins_.Sprite.prototype.acts.SetPos,null,5207380779202379,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[231,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe561274c636c0,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,712686310296269,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[233,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x749663c2a5d7a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9838661871275484,!1,[[0,
[0,735]],[0,[0,304]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x936a428a487a7,!1,[[0,[0,543]],[0,[0,298]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf43af7ebe50d8,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,4738216385056051,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,8938700954478701,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6863812542728429,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[217,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xc52c02523f419,!1,[[0,[0,100]]]],[216,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8964283483214939,!1,[[0,[0,100]]]]]],[0,null,!1,null,5204433885420565,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x88c534ba09830,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,4]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,9531716244261842,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xa166957a30ea9,!1,[[1,[2,"same"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8478709023782805,!1,[[1,[2,"high"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9761632093264636,!1,[[1,[2,"high"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,7928096902807734,!1,[[0,[0,735]],[0,[0,150]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,7312714735086026,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,8989293037613049,
!1,[[0,[0,529]],[0,[0,269]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,5493439713190247,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,8695958191346769,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbd230fc861d20,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,7096000271214599,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,828970013640569,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,5]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,873148977765585,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6967098012151556,!1,[[1,[2,"touch"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6905568675652794,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9728744375416722,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,8092873496041796,!1,[[0,[0,738]],[0,[0,435]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,7313091832088501,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6965944671767097,!1,[[0,[0,542]],[0,[0,391]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,471720490459736,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8203490614471,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,6441733965156788,!1,[[0,[0,-2200]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc92a3e6c47abc,!1,[[0,
[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,7928273875552838,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,9758917127938176,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4819200328697097,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,6]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,908189410296936,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x83d653144b509,!1,[[1,[2,"combo"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5988914757991278,!1,[[1,[2,"mid_combo"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb572d74d1e538,!1,[[1,[2,"mid"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x49111d2f2b867,!1,[[0,[0,698]],[0,[0,299]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6f75740b000c6,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c7124179d15e,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9391748799941284,
!1,[[0,[0,533]],[0,[0,293]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,8406456390203276,!1,[[0,[0,384]],[0,[0,316]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x97fb66cb2554a,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,7632523531131764,!1,[[0,[0,166]],[0,[0,308]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4622707719890249,!1,[[1,[2,"mid"]],[3,1]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf2093f10f51df,!1,[[0,[0,-2E3]],[0,
[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,4799141468265368,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,958077276238886,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,0x390178a7edcff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6391241659402469,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,7]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xed067e4ab2ebb,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,8433350702456472,!1,[[1,[2,"same"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8806089972838966,!1,[[1,[2,"low_combo"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4958696890374505,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9084613550869736,!1,[[0,[0,698]],[0,[0,436]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,432600047833574,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,8254169978006927,
!1,[[0,[0,560]],[0,[0,388]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9594131686357896,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6936727807e28,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf9232def473b,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,4636545960729586,!1,[[0,[0,166]],[0,[0,447]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9376403696768744,!1,[[1,[2,"low"]],
[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,8251756473916331,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,7684767261754147,!1,[[0,[0,314]],[0,[0,393]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,5831439990104449,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,9607455423046540,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,5237343311664354,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,5069151944275077,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,8]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,9084040989767728,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8abea0337c762,!1,[[1,[2,"kill"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7408120559452662,!1,[[1,[2,"high_combo"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8706158659440676,!1,[[1,[2,"high"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6512706214531999,!1,[[0,[0,730]],[0,[0,137]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,7817409560442337,!1,[[0,[0,511]],[0,[0,260]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x436c292a7e2e2,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,795283900117827,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,5764239292663276,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4e48161e58e16,
!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,6903284835914644,!1,[[0,[0,109]],[0,[0,150]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc7825c001e0b5,!1,[[1,[2,"high"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,715875152677324,!1,[[0,[1,371.825]],[0,[1,253.163]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe19edef0a1661,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,6672481976530622,!1,[[0,[0,
-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xaa37572d92f6,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,8274350463568022,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,704815431711402,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,9]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,5375282758983344,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7450186522260857,!1,[[1,[2,"kill"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,4834054691924468,!1,[[1,[2,"high_left_mid_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcdc5a905783f2,!1,[[1,[2,"mid"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,6178869808544555,!1,[[0,[0,730]],[0,[0,328]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe59337a5bf956,!1,[[0,[0,327]],[0,[0,263]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6932895461728654,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,
9765614546534908,!1,[[0,[0,550]],[0,[0,309]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,67507694823157,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe243d1037bafe,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,363308115603897,!1,[[0,[0,109]],[0,[0,150]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa566cfae95cc2,!1,[[1,[2,"high"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,8878624777221189,!1,
[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4ee4b005e917d,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4f219406d6610,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7de7877696b31,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,6153023307075307,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,765290044752341,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,10]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x565a8660ae46b,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5635874827100521,!1,[[1,[2,"as"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,586924353730312,!1,[[1,[2,"high_left_low_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5999188173831638,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x73e22c7a9fe35,!1,[[0,[0,730]],[0,[0,440]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf09e22baf929f,
!1,[[0,[0,327]],[0,[0,263]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5815f2d6508ab,!1,[[0,[0,553]],[0,[0,393]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,87245534476054,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,7636959914197653,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7416357086410358,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,8203977793733094,!1,[[0,[0,109]],
[0,[0,150]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf48dd64c3973,!1,[[1,[2,"high"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,7715364592467097,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4a513d8aa185f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,8264845488658066,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,40883281390796,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],
[0,null,!1,null,0xcdde81e64e70d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6585082148412008,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,11]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8a250c253b9e6,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7451859866117798,!1,[[1,[2,"creat"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5f64f4d2287fd,!1,[[1,[2,"mid_left_low_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7386169306926943,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,6811492843758701,!1,[[0,[0,730]],[0,[0,440]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,8299762713565832,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,8353053748393668,!1,[[0,[0,553]],[0,[0,393]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,5594129718236468,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,6328533833183376,
!1,[[0,[0,364]],[0,[0,320]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf0d0aa7b3704,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,6295213024797793,!1,[[0,[0,109]],[0,[0,293]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6586646747355399,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,9132247825221884,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5afadf63555d6,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,5820438053521417,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4e2fde52ad543,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,5748447776053875,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6574406025498302,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,12]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xca7c23aadb427,!1,[[0,[0,435]],[0,[0,460]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7346904652495189,!1,[[1,[2,"skill"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,364073852077169,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4cd5dc03ba2ae,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,5437279145118441,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,7724542281469553,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbe01646c626d8,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x836cbdd3e722,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc711956029f0f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7246051577432705,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,8070675308237402,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x772d2a94bec46,!1,[[1,[2,
"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,7533097969409748,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7bb9661fb3231,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,9917231736371788,!1,[[0,[0,440]],[0,[0,152]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,6027619669840365,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,6691090816926215,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,4686275564291388,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,13]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,423087984403422,!1,[[0,[0,435]],[0,[0,460]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf41049295d36b,!1,[[1,[2,"char"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9552891589674164,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,341042174045019,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xdf5241e91c97a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,6560802519550891,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6026483745348934,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9791239356361024,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x75056dc5996a2,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
5701139875272247,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,7504651205527195,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x51dbbe43800cc,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,6339505937010687,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7be20653135e,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,290472442303165,
!1,[[0,[0,452]],[0,[0,357]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xba8b5c8772491,!1,[[0,[0,440]],[0,[0,152]]]]]],[0,null,!1,null,6239487807015852,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5781926743021957,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,14]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6ae9a6da90eb2,!1,[[0,[0,435]],[0,[0,460]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5140195224892948,!1,[[1,[2,"icon"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x761786acd6797,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6045358278379811,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb2a724a08a9db,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,4535826004466234,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc93095011c603,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,7261354653450851,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,872280988644667,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8570266499076243,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe8ed58ba7c04d,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,676521207006517,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe30c418920860,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,6580582970408311,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb7a71a2e72aa0,!1,[[0,[0,452]],[0,[0,201]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,7639893798422526,!1,[[0,[0,440]],[0,[0,152]]]]]],[0,null,!1,null,5436007186753963,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6851851698792193,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,15]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,4767141254505574,!1,[[0,[0,435]],[0,[0,163]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6260626063219,!1,[[1,[2,"active"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5212246681548324,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7581429467060963,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9650563870657372,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,5226532499888373,
!1,[[0,[0,79]],[0,[0,143]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,7532045742604127,!1,[[0,[0,584]],[0,[0,379]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc4fbb26ecda67,!1,[[0,[0,673]],[0,[0,294]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,8100339946940593,!1,[[0,[0,258]],[0,[0,302]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5423896277281045,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,5903980150319787,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8239382084878216,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,4886952677800649,!1,[[0,[0,709]],[0,[0,161]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,8870889093416105,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,6860713931784289,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x90ee317f6838a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],
[0,null,!1,null,5059544891659207,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd0d31db0732e8,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,16]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,407282723202092,!1,[[0,[0,435]],[0,[0,163]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7312648129575618,!1,[[1,[2,"ass"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,637336238725808,!1,[[1,[2,"mocmui"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
4943243589550536,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9234564822994656,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,9926769302900244,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,8426665561536373,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e03e0127616f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x54517dd156b80,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3c019cf838742,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf3c1e17d2d515,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x543b42d73a64c,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7c16bb5312aa4,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,5652149837232977,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,5996801837640126,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,9595090781919156,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,5585876061002843,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7401027666503423,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,17]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x96ed5aef80b85,!1,[[6,"chosestage"]]]]]]],[0,[!0,"viet"],!1,null,6704609799171054,
[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6704609799171054,!1,[[1,[2,"viet"]]]]],[],[[0,null,!1,null,8301947205874559,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8421765924488993,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,1]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,5689912456397111,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7827448848311292,!1,[[1,[2,"hocdanh"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6436949100380092,!1,[[1,[2,"idle"]],[3,1]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x73c8d204e3ba9,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[224,cr.plugins_.Sprite.prototype.acts.SetPos,null,7378904660940237,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,5581150137356517,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPos,null,8038139565497135,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,7820596076033623,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,426241032175662,!1,[[0,[0,-2200]],[0,[0,-1E3]]]],[232,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x68d70db196f0a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[230,cr.plugins_.Sprite.prototype.acts.SetPos,null,5342836318147211,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[231,cr.plugins_.Sprite.prototype.acts.SetPos,null,7939630409322663,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,8844851643796335,!1,
[[0,[0,-2E3]],[0,[0,-1E3]]]],[233,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x40b02f67f9bd3,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9032528059543412,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,6300605555567205,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,7340977372865878,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,636862665036692,!1,[[0,
[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,732090166030085,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xeef72b98313b1,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[217,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6162837418908728,!1,[[0,[0,100]]]],[216,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x937ec09c7f699,!1,[[0,[0,100]]]]]],[0,null,!1,null,0x3f9d9fa82bfe3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa73d98c86f0e7,
!1,[[11,"enemy_tutorial"],[8,0],[7,[0,2]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xff8f2e0714396,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,869242326599922,!1,[[1,[2,"6HUONG"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4985292436390364,!1,[[1,[2,"idle"]],[3,1]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,6860277688678629,!1,[[0,[0,715]],[0,[0,104]]]],[224,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x715f29718e8ac,
!1,[[0,[0,595]],[0,[0,300]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,5945493850986839,!1,[[0,[0,594]],[0,[0,402]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPos,null,7988470160567116,!1,[[0,[0,156]],[0,[0,109]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,6311646345381401,!1,[[0,[0,270]],[0,[0,300]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb377b5f94f86d,!1,[[0,[0,268]],[0,[0,402]]]],[232,cr.plugins_.Sprite.prototype.acts.SetPos,null,395349162099609,!1,[[0,[0,737]],
[0,[0,87]]]],[230,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e83322e0e6ed,!1,[[0,[0,702]],[0,[0,295]]]],[231,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc2cde269fe813,!1,[[0,[0,709]],[0,[0,389]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf0df3aca1a9f7,!1,[[0,[0,165]],[0,[0,301]]]],[233,cr.plugins_.Sprite.prototype.acts.SetPos,null,5826248576206675,!1,[[0,[0,144]],[0,[0,76]]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9947714706038588,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],
[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7864477794575666,!1,[[1,[2,"walk"]],[3,1]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe3b40a995617f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,4654797811475127,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x53dedf9b99e61,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,5212766595433042,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xc205cb7495b45,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[217,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x74cdd5f7e2fc0,!1,[[0,[0,40]]]],[216,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xbb1360b054621,!1,[[0,[0,40]]]]]],[0,null,!1,null,0xd790ded9c88cb,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7182558487143267,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,3]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,5004022299009261,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xd4c5a5aee5399,!1,[[1,[2,"cham"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4970277885374413,!1,[[1,[2,"mid_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc8eccb8e650c4,!1,[[1,[2,"mid"]],[3,1]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x928b6832d8ba9,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[224,cr.plugins_.Sprite.prototype.acts.SetPos,null,8099881075868413,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,8199538777503493,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPos,null,488437049149082,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,334933122310334,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,7649069044925138,!1,[[0,[0,-2200]],[0,[0,-1E3]]]],[232,cr.plugins_.Sprite.prototype.acts.SetPos,null,9745468891546180,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[230,cr.plugins_.Sprite.prototype.acts.SetPos,null,5207380779202379,!1,
[[0,[0,-2E3]],[0,[0,-1E3]]]],[231,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe561274c636c0,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,712686310296269,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[233,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x749663c2a5d7a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9838661871275484,!1,[[0,[0,735]],[0,[0,304]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x936a428a487a7,!1,[[0,[0,
543]],[0,[0,298]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf43af7ebe50d8,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,4738216385056051,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,8938700954478701,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6863812542728429,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[217,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0xc52c02523f419,!1,[[0,[0,100]]]],
[216,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,8964283483214939,!1,[[0,[0,100]]]]]],[0,null,!1,null,5204433885420565,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x88c534ba09830,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,4]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,9531716244261842,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa166957a30ea9,!1,[[1,[2,"cham"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8478709023782805,
!1,[[1,[2,"high"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9761632093264636,!1,[[1,[2,"high"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,7928096902807734,!1,[[0,[0,735]],[0,[0,150]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,7312714735086026,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,8989293037613049,!1,[[0,[0,529]],[0,[0,269]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,5493439713190247,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,8695958191346769,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbd230fc861d20,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,7096000271214599,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,828970013640569,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,5]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,873148977765585,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6967098012151556,!1,[[1,[2,"cham"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6905568675652794,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9728744375416722,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,8092873496041796,!1,[[0,[0,738]],[0,[0,435]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,7313091832088501,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6965944671767097,
!1,[[0,[0,542]],[0,[0,391]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,471720490459736,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8203490614471,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,6441733965156788,!1,[[0,[0,-2200]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc92a3e6c47abc,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,7928273875552838,!1,[[0,
[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,9758917127938176,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4819200328697097,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,6]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,908189410296936,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x83d653144b509,!1,[[1,[2,"hoccombo"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5988914757991278,!1,[[1,[2,"mid_combo"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xb572d74d1e538,!1,[[1,[2,"mid"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x49111d2f2b867,!1,[[0,[0,698]],[0,[0,299]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6f75740b000c6,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c7124179d15e,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9391748799941284,!1,[[0,[0,533]],[0,[0,293]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,8406456390203276,
!1,[[0,[0,384]],[0,[0,316]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x97fb66cb2554a,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,7632523531131764,!1,[[0,[0,166]],[0,[0,308]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4622707719890249,!1,[[1,[2,"mid"]],[3,1]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf2093f10f51df,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,4799141468265368,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,958077276238886,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,0x390178a7edcff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6391241659402469,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,7]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xed067e4ab2ebb,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8433350702456472,!1,[[1,[2,"2DIEM"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,8806089972838966,!1,[[1,[2,"low_combo"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4958696890374505,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9084613550869736,!1,[[0,[0,698]],[0,[0,436]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,432600047833574,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,8254169978006927,!1,[[0,[0,560]],[0,[0,388]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9594131686357896,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6936727807e28,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf9232def473b,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,4636545960729586,!1,[[0,[0,166]],[0,[0,447]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9376403696768744,!1,[[1,[2,"low"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,8251756473916331,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,7684767261754147,!1,[[0,[0,314]],[0,[0,393]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,5831439990104449,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,9607455423046540,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,5237343311664354,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5069151944275077,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,8]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9084040989767728,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8abea0337c762,!1,[[1,[2,"2DICH"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7408120559452662,!1,[[1,[2,"high_combo"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8706158659440676,!1,[[1,[2,"high"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,6512706214531999,!1,[[0,[0,730]],[0,[0,137]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,7817409560442337,
!1,[[0,[0,511]],[0,[0,260]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x436c292a7e2e2,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,795283900117827,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,5764239292663276,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4e48161e58e16,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,6903284835914644,!1,[[0,[0,109]],
[0,[0,150]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc7825c001e0b5,!1,[[1,[2,"high"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,715875152677324,!1,[[0,[1,371.825]],[0,[1,253.163]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe19edef0a1661,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,6672481976530622,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xaa37572d92f6,!1,[[0,[0,-2E3]],[0,[0,
-1E3]]]]]],[0,null,!1,null,8274350463568022,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,704815431711402,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,9]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,5375282758983344,!1,[[0,[0,435]],[0,[0,152]]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4834054691924468,!1,[[1,[2,"high_left_mid_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcdc5a905783f2,!1,[[1,[2,"mid"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6178869808544555,!1,[[0,[0,730]],[0,[0,328]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe59337a5bf956,!1,[[0,[0,327]],[0,[0,263]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6932895461728654,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9765614546534908,!1,[[0,[0,550]],[0,[0,309]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,67507694823157,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe243d1037bafe,
!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,363308115603897,!1,[[0,[0,109]],[0,[0,150]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa566cfae95cc2,!1,[[1,[2,"high"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,8878624777221189,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4ee4b005e917d,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4f219406d6610,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7de7877696b31,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,6153023307075307,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,765290044752341,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,10]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x565a8660ae46b,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5635874827100521,!1,[[1,[2,"KETHOP"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,586924353730312,!1,[[1,[2,"high_left_low_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5999188173831638,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x73e22c7a9fe35,!1,[[0,[0,730]],[0,[0,440]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf09e22baf929f,!1,[[0,[0,327]],[0,[0,263]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5815f2d6508ab,!1,[[0,[0,553]],[0,[0,393]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,87245534476054,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,7636959914197653,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7416357086410358,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,8203977793733094,!1,[[0,[0,109]],[0,[0,150]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf48dd64c3973,!1,[[1,[2,"high"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,7715364592467097,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4a513d8aa185f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,8264845488658066,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,40883281390796,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,0xcdde81e64e70d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6585082148412008,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,11]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x8a250c253b9e6,!1,[[0,[0,435]],[0,[0,152]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7451859866117798,!1,[[1,[2,"BANTHICH"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5f64f4d2287fd,!1,[[1,[2,"mid_left_low_right"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7386169306926943,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,6811492843758701,!1,[[0,[0,730]],[0,[0,440]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,
8299762713565832,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,8353053748393668,!1,[[0,[0,553]],[0,[0,393]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,5594129718236468,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,6328533833183376,!1,[[0,[0,364]],[0,[0,320]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcf0d0aa7b3704,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,6295213024797793,
!1,[[0,[0,109]],[0,[0,293]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6586646747355399,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,9132247825221884,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5afadf63555d6,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,5820438053521417,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4e2fde52ad543,!1,[[0,[0,
-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,5748447776053875,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6574406025498302,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,12]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xca7c23aadb427,!1,[[0,[0,435]],[0,[0,460]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7346904652495189,!1,[[1,[2,"KYNANG"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,364073852077169,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x4cd5dc03ba2ae,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,5437279145118441,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,7724542281469553,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbe01646c626d8,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x836cbdd3e722,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc711956029f0f,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7246051577432705,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,8070675308237402,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x772d2a94bec46,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,7533097969409748,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7bb9661fb3231,!1,[[0,[0,-2E3]],
[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,9917231736371788,!1,[[0,[0,440]],[0,[0,152]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,6027619669840365,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,6691090816926215,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4686275564291388,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,13]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,423087984403422,!1,[[0,[0,435]],[0,[0,460]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xf41049295d36b,!1,[[1,[2,"NHANVAT"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9552891589674164,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,341042174045019,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdf5241e91c97a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,6560802519550891,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,6026483745348934,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,9791239356361024,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x75056dc5996a2,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5701139875272247,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,7504651205527195,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x51dbbe43800cc,!1,[[1,
[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,6339505937010687,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7be20653135e,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,290472442303165,!1,[[0,[0,452]],[0,[0,357]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xba8b5c8772491,!1,[[0,[0,440]],[0,[0,152]]]]]],[0,null,!1,null,6239487807015852,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,5781926743021957,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,14]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6ae9a6da90eb2,!1,[[0,[0,435]],[0,[0,460]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5140195224892948,!1,[[1,[2,"HOACICON"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x761786acd6797,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6045358278379811,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xb2a724a08a9db,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,4535826004466234,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc93095011c603,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,7261354653450851,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,872280988644667,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
8570266499076243,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe8ed58ba7c04d,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,676521207006517,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe30c418920860,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,6580582970408311,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb7a71a2e72aa0,
!1,[[0,[0,452]],[0,[0,201]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,7639893798422526,!1,[[0,[0,440]],[0,[0,152]]]]]],[0,null,!1,null,5436007186753963,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6851851698792193,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,15]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,null,4767141254505574,!1,[[0,[0,435]],[0,[0,163]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6260626063219,!1,[[1,[2,"KICHHOAT"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,5212246681548324,!1,[[1,[2,"idle"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7581429467060963,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9650563870657372,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,5226532499888373,!1,[[0,[0,79]],[0,[0,143]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,7532045742604127,!1,[[0,[0,584]],[0,[0,379]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc4fbb26ecda67,
!1,[[0,[0,673]],[0,[0,294]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,8100339946940593,!1,[[0,[0,258]],[0,[0,302]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5423896277281045,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,5903980150319787,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8239382084878216,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,4886952677800649,!1,[[0,[0,709]],
[0,[0,161]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,8870889093416105,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,6860713931784289,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x90ee317f6838a,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]]]],[0,null,!1,null,5059544891659207,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd0d31db0732e8,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,16]]]]],[[222,cr.plugins_.Sprite.prototype.acts.SetPos,
null,407282723202092,!1,[[0,[0,435]],[0,[0,163]]]],[222,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7312648129575618,!1,[[1,[2,"NGON"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.SetAnim,null,637336238725808,!1,[[1,[2,"mocmui"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4943243589550536,!1,[[1,[2,"low"]],[3,1]]],[235,cr.plugins_.Sprite.prototype.acts.SetPos,null,9234564822994656,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[237,cr.plugins_.Sprite.prototype.acts.SetPos,null,9926769302900244,
!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[238,cr.plugins_.Sprite.prototype.acts.SetPos,null,8426665561536373,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[236,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9e03e0127616f,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x54517dd156b80,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[234,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3c019cf838742,!1,[[1,[2,"die"]],[3,1]]],[239,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf3c1e17d2d515,!1,[[0,[0,
-2E3]],[0,[0,-1E3]]]],[239,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x543b42d73a64c,!1,[[1,[2,"mid"]],[3,1]]],[240,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7c16bb5312aa4,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[241,cr.plugins_.Sprite.prototype.acts.SetPos,null,5652149837232977,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[242,cr.plugins_.Sprite.prototype.acts.SetPos,null,5996801837640126,!1,[[0,[0,-2E3]],[0,[0,-1E3]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,9595090781919156,!1,[[0,[0,-2E3]],[0,
[0,-1E3]]]]]],[0,null,!1,null,5585876061002843,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7401027666503423,!1,[[11,"enemy_tutorial"],[8,0],[7,[0,17]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,0x96ed5aef80b85,!1,[[6,"chosestage"]]]]]]]]]],"",!0,860,490,3,!0,!0,!1,"1.0",!0,!1,1,0,239,!1,!0,[]]};

createCocoonJSRuntime();

})();
